package android.support.graphics.drawable;

import android.annotation.TargetApi;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.VectorDrawable;
import android.os.Build;
import android.support.annotation.DrawableRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.graphics.drawable.PathParser;
import android.support.v4.content.res.ResourcesCompat;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.util.ArrayMap;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import com.tencent.smtt.sdk.WebView;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Stack;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

@TargetApi(21)
public class VectorDrawableCompat extends VectorDrawableCommon {
    static final PorterDuff.Mode b = PorterDuff.Mode.SRC_IN;
    private VectorDrawableCompatState c;
    private PorterDuffColorFilter d;
    private ColorFilter e;
    private boolean f;
    private boolean g;
    private Drawable.ConstantState h;
    private final float[] i;
    private final Matrix j;
    private final Rect k;

    private boolean a() {
        return false;
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void applyTheme(Resources.Theme theme) {
        super.applyTheme(theme);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ ColorFilter getColorFilter() {
        return super.getColorFilter();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ int getLayoutDirection() {
        return super.getLayoutDirection();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ boolean isAutoMirrored() {
        return super.isAutoMirrored();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setAutoMirrored(boolean z) {
        super.setAutoMirrored(z);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i2) {
        super.setChangingConfigurations(i2);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setColorFilter(int i2, PorterDuff.Mode mode) {
        super.setColorFilter(i2, mode);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z) {
        super.setFilterBitmap(z);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setHotspot(float f2, float f3) {
        super.setHotspot(f2, f3);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i2, int i3, int i4, int i5) {
        super.setHotspotBounds(i2, i3, i4, i5);
    }

    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    private VectorDrawableCompat() {
        this.g = true;
        this.i = new float[9];
        this.j = new Matrix();
        this.k = new Rect();
        this.c = new VectorDrawableCompatState();
    }

    private VectorDrawableCompat(@NonNull VectorDrawableCompatState vectorDrawableCompatState) {
        this.g = true;
        this.i = new float[9];
        this.j = new Matrix();
        this.k = new Rect();
        this.c = vectorDrawableCompatState;
        this.d = a(this.d, vectorDrawableCompatState.c, vectorDrawableCompatState.d);
    }

    public Drawable mutate() {
        if (this.f52a != null) {
            this.f52a.mutate();
            return this;
        }
        if (!this.f && super.mutate() == this) {
            this.c = new VectorDrawableCompatState(this.c);
            this.f = true;
        }
        return this;
    }

    /* access modifiers changed from: package-private */
    public Object a(String str) {
        return this.c.b.g.get(str);
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f52a != null) {
            return new VectorDrawableDelegateState(this.f52a.getConstantState());
        }
        this.c.f56a = getChangingConfigurations();
        return this.c;
    }

    public void draw(Canvas canvas) {
        if (this.f52a != null) {
            this.f52a.draw(canvas);
            return;
        }
        copyBounds(this.k);
        if (this.k.width() > 0 && this.k.height() > 0) {
            ColorFilter colorFilter = this.e == null ? this.d : this.e;
            canvas.getMatrix(this.j);
            this.j.getValues(this.i);
            float abs = Math.abs(this.i[0]);
            float abs2 = Math.abs(this.i[4]);
            float abs3 = Math.abs(this.i[1]);
            float abs4 = Math.abs(this.i[3]);
            if (!(abs3 == 0.0f && abs4 == 0.0f)) {
                abs = 1.0f;
                abs2 = 1.0f;
            }
            int min = Math.min(2048, (int) (((float) this.k.width()) * abs));
            int min2 = Math.min(2048, (int) (((float) this.k.height()) * abs2));
            if (min > 0 && min2 > 0) {
                int save = canvas.save();
                canvas.translate((float) this.k.left, (float) this.k.top);
                if (a()) {
                    canvas.translate((float) this.k.width(), 0.0f);
                    canvas.scale(-1.0f, 1.0f);
                }
                this.k.offsetTo(0, 0);
                this.c.b(min, min2);
                if (!this.g) {
                    this.c.a(min, min2);
                } else if (!this.c.b()) {
                    this.c.a(min, min2);
                    this.c.c();
                }
                this.c.a(canvas, colorFilter, this.k);
                canvas.restoreToCount(save);
            }
        }
    }

    public int getAlpha() {
        if (this.f52a != null) {
            return DrawableCompat.c(this.f52a);
        }
        return this.c.b.a();
    }

    public void setAlpha(int i2) {
        if (this.f52a != null) {
            this.f52a.setAlpha(i2);
        } else if (this.c.b.a() != i2) {
            this.c.b.a(i2);
            invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        if (this.f52a != null) {
            this.f52a.setColorFilter(colorFilter);
            return;
        }
        this.e = colorFilter;
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public PorterDuffColorFilter a(PorterDuffColorFilter porterDuffColorFilter, ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }

    @Override // android.support.v4.graphics.drawable.TintAwareDrawable
    public void setTint(int i2) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, i2);
        } else {
            setTintList(ColorStateList.valueOf(i2));
        }
    }

    @Override // android.support.v4.graphics.drawable.TintAwareDrawable
    public void setTintList(ColorStateList colorStateList) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, colorStateList);
            return;
        }
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        if (vectorDrawableCompatState.c != colorStateList) {
            vectorDrawableCompatState.c = colorStateList;
            this.d = a(this.d, colorStateList, vectorDrawableCompatState.d);
            invalidateSelf();
        }
    }

    @Override // android.support.v4.graphics.drawable.TintAwareDrawable
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, mode);
            return;
        }
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        if (vectorDrawableCompatState.d != mode) {
            vectorDrawableCompatState.d = mode;
            this.d = a(this.d, vectorDrawableCompatState.c, mode);
            invalidateSelf();
        }
    }

    public boolean isStateful() {
        if (this.f52a != null) {
            return this.f52a.isStateful();
        }
        return super.isStateful() || !(this.c == null || this.c.c == null || !this.c.c.isStateful());
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        if (this.f52a != null) {
            return this.f52a.setState(iArr);
        }
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        if (vectorDrawableCompatState.c == null || vectorDrawableCompatState.d == null) {
            return false;
        }
        this.d = a(this.d, vectorDrawableCompatState.c, vectorDrawableCompatState.d);
        invalidateSelf();
        return true;
    }

    public int getOpacity() {
        if (this.f52a != null) {
            return this.f52a.getOpacity();
        }
        return -3;
    }

    public int getIntrinsicWidth() {
        if (this.f52a != null) {
            return this.f52a.getIntrinsicWidth();
        }
        return (int) this.c.b.f55a;
    }

    public int getIntrinsicHeight() {
        if (this.f52a != null) {
            return this.f52a.getIntrinsicHeight();
        }
        return (int) this.c.b.b;
    }

    public boolean canApplyTheme() {
        if (this.f52a == null) {
            return false;
        }
        DrawableCompat.d(this.f52a);
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0034 A[Catch:{ XmlPullParserException -> 0x004a, IOException -> 0x0041 }] */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A[Catch:{ XmlPullParserException -> 0x004a, IOException -> 0x0041 }] */
    @Nullable
    public static VectorDrawableCompat a(@NonNull Resources resources, @DrawableRes int i2, @Nullable Resources.Theme theme) {
        int next;
        if (Build.VERSION.SDK_INT >= 23) {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f52a = ResourcesCompat.a(resources, i2, theme);
            vectorDrawableCompat.h = new VectorDrawableDelegateState(vectorDrawableCompat.f52a.getConstantState());
            return vectorDrawableCompat;
        }
        try {
            XmlResourceParser xml = resources.getXml(i2);
            AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
            while (true) {
                next = xml.next();
                if (next == 2 || next == 1) {
                    if (next != 2) {
                        return a(resources, xml, asAttributeSet, theme);
                    }
                    throw new XmlPullParserException("No start tag found");
                }
            }
            if (next != 2) {
            }
        } catch (XmlPullParserException e2) {
            Log.e("VectorDrawableCompat", "parser error", e2);
            return null;
        } catch (IOException e3) {
            Log.e("VectorDrawableCompat", "parser error", e3);
            return null;
        }
    }

    public static VectorDrawableCompat a(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
        vectorDrawableCompat.inflate(resources, xmlPullParser, attributeSet, theme);
        return vectorDrawableCompat;
    }

    /* access modifiers changed from: private */
    public static int b(int i2, float f2) {
        return (i2 & 16777215) | (((int) (((float) Color.alpha(i2)) * f2)) << 24);
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) throws XmlPullParserException, IOException {
        if (this.f52a != null) {
            this.f52a.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        vectorDrawableCompatState.b = new VPathRenderer();
        TypedArray b2 = b(resources, theme, attributeSet, AndroidResources.f46a);
        a(b2, xmlPullParser);
        b2.recycle();
        vectorDrawableCompatState.f56a = getChangingConfigurations();
        vectorDrawableCompatState.k = true;
        b(resources, xmlPullParser, attributeSet, theme);
        this.d = a(this.d, vectorDrawableCompatState.c, vectorDrawableCompatState.d);
    }

    private static PorterDuff.Mode a(int i2, PorterDuff.Mode mode) {
        if (i2 == 3) {
            return PorterDuff.Mode.SRC_OVER;
        }
        if (i2 == 5) {
            return PorterDuff.Mode.SRC_IN;
        }
        if (i2 == 9) {
            return PorterDuff.Mode.SRC_ATOP;
        }
        switch (i2) {
            case 14:
                return PorterDuff.Mode.MULTIPLY;
            case 15:
                return PorterDuff.Mode.SCREEN;
            case 16:
                return PorterDuff.Mode.ADD;
            default:
                return mode;
        }
    }

    private void a(TypedArray typedArray, XmlPullParser xmlPullParser) throws XmlPullParserException {
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        VPathRenderer vPathRenderer = vectorDrawableCompatState.b;
        vectorDrawableCompatState.d = a(TypedArrayUtils.a(typedArray, xmlPullParser, "tintMode", 6, -1), PorterDuff.Mode.SRC_IN);
        ColorStateList colorStateList = typedArray.getColorStateList(1);
        if (colorStateList != null) {
            vectorDrawableCompatState.c = colorStateList;
        }
        vectorDrawableCompatState.e = TypedArrayUtils.a(typedArray, xmlPullParser, "autoMirrored", 5, vectorDrawableCompatState.e);
        vPathRenderer.c = TypedArrayUtils.a(typedArray, xmlPullParser, "viewportWidth", 7, vPathRenderer.c);
        vPathRenderer.d = TypedArrayUtils.a(typedArray, xmlPullParser, "viewportHeight", 8, vPathRenderer.d);
        if (vPathRenderer.c <= 0.0f) {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
        } else if (vPathRenderer.d > 0.0f) {
            vPathRenderer.f55a = typedArray.getDimension(3, vPathRenderer.f55a);
            vPathRenderer.b = typedArray.getDimension(2, vPathRenderer.b);
            if (vPathRenderer.f55a <= 0.0f) {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires width > 0");
            } else if (vPathRenderer.b > 0.0f) {
                vPathRenderer.a(TypedArrayUtils.a(typedArray, xmlPullParser, "alpha", 4, vPathRenderer.b()));
                String string = typedArray.getString(0);
                if (string != null) {
                    vPathRenderer.f = string;
                    vPathRenderer.g.put(string, vPathRenderer);
                }
            } else {
                throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires height > 0");
            }
        } else {
            throw new XmlPullParserException(typedArray.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
        }
    }

    private void b(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) throws XmlPullParserException, IOException {
        VectorDrawableCompatState vectorDrawableCompatState = this.c;
        VPathRenderer vPathRenderer = vectorDrawableCompatState.b;
        Stack stack = new Stack();
        stack.push(vPathRenderer.p);
        int eventType = xmlPullParser.getEventType();
        boolean z = true;
        while (eventType != 1) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                VGroup vGroup = (VGroup) stack.peek();
                if ("path".equals(name)) {
                    VFullPath vFullPath = new VFullPath();
                    vFullPath.a(resources, attributeSet, theme, xmlPullParser);
                    vGroup.f54a.add(vFullPath);
                    if (vFullPath.b() != null) {
                        vPathRenderer.g.put(vFullPath.b(), vFullPath);
                    }
                    z = false;
                    vectorDrawableCompatState.f56a = vFullPath.o | vectorDrawableCompatState.f56a;
                } else if ("clip-path".equals(name)) {
                    VClipPath vClipPath = new VClipPath();
                    vClipPath.a(resources, attributeSet, theme, xmlPullParser);
                    vGroup.f54a.add(vClipPath);
                    if (vClipPath.b() != null) {
                        vPathRenderer.g.put(vClipPath.b(), vClipPath);
                    }
                    vectorDrawableCompatState.f56a = vClipPath.o | vectorDrawableCompatState.f56a;
                } else if ("group".equals(name)) {
                    VGroup vGroup2 = new VGroup();
                    vGroup2.a(resources, attributeSet, theme, xmlPullParser);
                    vGroup.f54a.add(vGroup2);
                    stack.push(vGroup2);
                    if (vGroup2.a() != null) {
                        vPathRenderer.g.put(vGroup2.a(), vGroup2);
                    }
                    vectorDrawableCompatState.f56a = vGroup2.k | vectorDrawableCompatState.f56a;
                }
            } else if (eventType == 3 && "group".equals(xmlPullParser.getName())) {
                stack.pop();
            }
            eventType = xmlPullParser.next();
        }
        if (z) {
            StringBuffer stringBuffer = new StringBuffer();
            if (stringBuffer.length() > 0) {
                stringBuffer.append(" or ");
            }
            stringBuffer.append("path");
            throw new XmlPullParserException("no " + ((Object) stringBuffer) + " defined");
        }
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z) {
        this.g = z;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.graphics.drawable.VectorDrawableCommon
    public void onBoundsChange(Rect rect) {
        if (this.f52a != null) {
            this.f52a.setBounds(rect);
        }
    }

    public int getChangingConfigurations() {
        if (this.f52a != null) {
            return this.f52a.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.c.getChangingConfigurations();
    }

    public void invalidateSelf() {
        if (this.f52a != null) {
            this.f52a.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    public void scheduleSelf(Runnable runnable, long j2) {
        if (this.f52a != null) {
            this.f52a.scheduleSelf(runnable, j2);
        } else {
            super.scheduleSelf(runnable, j2);
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        if (this.f52a != null) {
            return this.f52a.setVisible(z, z2);
        }
        return super.setVisible(z, z2);
    }

    public void unscheduleSelf(Runnable runnable) {
        if (this.f52a != null) {
            this.f52a.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }

    private static class VectorDrawableDelegateState extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        private final Drawable.ConstantState f57a;

        public VectorDrawableDelegateState(Drawable.ConstantState constantState) {
            this.f57a = constantState;
        }

        public Drawable newDrawable() {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f52a = (VectorDrawable) this.f57a.newDrawable();
            return vectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources) {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f52a = (VectorDrawable) this.f57a.newDrawable(resources);
            return vectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f52a = (VectorDrawable) this.f57a.newDrawable(resources, theme);
            return vectorDrawableCompat;
        }

        public boolean canApplyTheme() {
            return this.f57a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f57a.getChangingConfigurations();
        }
    }

    /* access modifiers changed from: private */
    public static class VectorDrawableCompatState extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        int f56a;
        VPathRenderer b;
        ColorStateList c;
        PorterDuff.Mode d;
        boolean e;
        Bitmap f;
        ColorStateList g;
        PorterDuff.Mode h;
        int i;
        boolean j;
        boolean k;
        Paint l;

        public VectorDrawableCompatState(VectorDrawableCompatState vectorDrawableCompatState) {
            this.c = null;
            this.d = VectorDrawableCompat.b;
            if (vectorDrawableCompatState != null) {
                this.f56a = vectorDrawableCompatState.f56a;
                this.b = new VPathRenderer(vectorDrawableCompatState.b);
                if (vectorDrawableCompatState.b.m != null) {
                    this.b.m = new Paint(vectorDrawableCompatState.b.m);
                }
                if (vectorDrawableCompatState.b.l != null) {
                    this.b.l = new Paint(vectorDrawableCompatState.b.l);
                }
                this.c = vectorDrawableCompatState.c;
                this.d = vectorDrawableCompatState.d;
                this.e = vectorDrawableCompatState.e;
            }
        }

        public void a(Canvas canvas, ColorFilter colorFilter, Rect rect) {
            canvas.drawBitmap(this.f, (Rect) null, rect, a(colorFilter));
        }

        public boolean a() {
            return this.b.a() < 255;
        }

        public Paint a(ColorFilter colorFilter) {
            if (!a() && colorFilter == null) {
                return null;
            }
            if (this.l == null) {
                this.l = new Paint();
                this.l.setFilterBitmap(true);
            }
            this.l.setAlpha(this.b.a());
            this.l.setColorFilter(colorFilter);
            return this.l;
        }

        public void a(int i2, int i3) {
            this.f.eraseColor(0);
            this.b.a(new Canvas(this.f), i2, i3, (ColorFilter) null);
        }

        public void b(int i2, int i3) {
            if (this.f == null || !c(i2, i3)) {
                this.f = Bitmap.createBitmap(i2, i3, Bitmap.Config.ARGB_8888);
                this.k = true;
            }
        }

        public boolean c(int i2, int i3) {
            return i2 == this.f.getWidth() && i3 == this.f.getHeight();
        }

        public boolean b() {
            return !this.k && this.g == this.c && this.h == this.d && this.j == this.e && this.i == this.b.a();
        }

        public void c() {
            this.g = this.c;
            this.h = this.d;
            this.i = this.b.a();
            this.j = this.e;
            this.k = false;
        }

        public VectorDrawableCompatState() {
            this.c = null;
            this.d = VectorDrawableCompat.b;
            this.b = new VPathRenderer();
        }

        public Drawable newDrawable() {
            return new VectorDrawableCompat(this);
        }

        public Drawable newDrawable(Resources resources) {
            return new VectorDrawableCompat(this);
        }

        public int getChangingConfigurations() {
            return this.f56a;
        }
    }

    /* access modifiers changed from: private */
    public static class VPathRenderer {
        private static final Matrix j = new Matrix();

        /* renamed from: a  reason: collision with root package name */
        float f55a;
        float b;
        float c;
        float d;
        int e;
        String f;
        final ArrayMap<String, Object> g;
        private final Path h;
        private final Path i;
        private final Matrix k;
        private Paint l;
        private Paint m;
        private PathMeasure n;
        private int o;
        private final VGroup p;

        private static float a(float f2, float f3, float f4, float f5) {
            return (f2 * f5) - (f3 * f4);
        }

        public VPathRenderer() {
            this.k = new Matrix();
            this.f55a = 0.0f;
            this.b = 0.0f;
            this.c = 0.0f;
            this.d = 0.0f;
            this.e = WebView.NORMAL_MODE_ALPHA;
            this.f = null;
            this.g = new ArrayMap<>();
            this.p = new VGroup();
            this.h = new Path();
            this.i = new Path();
        }

        public void a(int i2) {
            this.e = i2;
        }

        public int a() {
            return this.e;
        }

        public void a(float f2) {
            a((int) (f2 * 255.0f));
        }

        public float b() {
            return ((float) a()) / 255.0f;
        }

        public VPathRenderer(VPathRenderer vPathRenderer) {
            this.k = new Matrix();
            this.f55a = 0.0f;
            this.b = 0.0f;
            this.c = 0.0f;
            this.d = 0.0f;
            this.e = WebView.NORMAL_MODE_ALPHA;
            this.f = null;
            this.g = new ArrayMap<>();
            this.p = new VGroup(vPathRenderer.p, this.g);
            this.h = new Path(vPathRenderer.h);
            this.i = new Path(vPathRenderer.i);
            this.f55a = vPathRenderer.f55a;
            this.b = vPathRenderer.b;
            this.c = vPathRenderer.c;
            this.d = vPathRenderer.d;
            this.o = vPathRenderer.o;
            this.e = vPathRenderer.e;
            this.f = vPathRenderer.f;
            if (vPathRenderer.f != null) {
                this.g.put(vPathRenderer.f, this);
            }
        }

        private void a(VGroup vGroup, Matrix matrix, Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            vGroup.b.set(matrix);
            vGroup.b.preConcat(vGroup.j);
            for (int i4 = 0; i4 < vGroup.f54a.size(); i4++) {
                Object obj = vGroup.f54a.get(i4);
                if (obj instanceof VGroup) {
                    a((VGroup) obj, vGroup.b, canvas, i2, i3, colorFilter);
                } else if (obj instanceof VPath) {
                    a(vGroup, (VPath) obj, canvas, i2, i3, colorFilter);
                }
            }
        }

        public void a(Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            a(this.p, j, canvas, i2, i3, colorFilter);
        }

        private void a(VGroup vGroup, VPath vPath, Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            float f2 = ((float) i2) / this.c;
            float f3 = ((float) i3) / this.d;
            float min = Math.min(f2, f3);
            Matrix matrix = vGroup.b;
            this.k.set(matrix);
            this.k.postScale(f2, f3);
            float a2 = a(matrix);
            if (a2 != 0.0f) {
                vPath.a(this.h);
                Path path = this.h;
                this.i.reset();
                if (vPath.a()) {
                    this.i.addPath(path, this.k);
                    canvas.clipPath(this.i, Region.Op.REPLACE);
                    return;
                }
                VFullPath vFullPath = (VFullPath) vPath;
                if (!(vFullPath.g == 0.0f && vFullPath.h == 1.0f)) {
                    float f4 = (vFullPath.g + vFullPath.i) % 1.0f;
                    float f5 = (vFullPath.h + vFullPath.i) % 1.0f;
                    if (this.n == null) {
                        this.n = new PathMeasure();
                    }
                    this.n.setPath(this.h, false);
                    float length = this.n.getLength();
                    float f6 = f4 * length;
                    float f7 = f5 * length;
                    path.reset();
                    if (f6 > f7) {
                        this.n.getSegment(f6, length, path, true);
                        this.n.getSegment(0.0f, f7, path, true);
                    } else {
                        this.n.getSegment(f6, f7, path, true);
                    }
                    path.rLineTo(0.0f, 0.0f);
                }
                this.i.addPath(path, this.k);
                if (vFullPath.c != 0) {
                    if (this.m == null) {
                        this.m = new Paint();
                        this.m.setStyle(Paint.Style.FILL);
                        this.m.setAntiAlias(true);
                    }
                    Paint paint = this.m;
                    paint.setColor(VectorDrawableCompat.b(vFullPath.c, vFullPath.f));
                    paint.setColorFilter(colorFilter);
                    canvas.drawPath(this.i, paint);
                }
                if (vFullPath.f53a != 0) {
                    if (this.l == null) {
                        this.l = new Paint();
                        this.l.setStyle(Paint.Style.STROKE);
                        this.l.setAntiAlias(true);
                    }
                    Paint paint2 = this.l;
                    if (vFullPath.k != null) {
                        paint2.setStrokeJoin(vFullPath.k);
                    }
                    if (vFullPath.j != null) {
                        paint2.setStrokeCap(vFullPath.j);
                    }
                    paint2.setStrokeMiter(vFullPath.l);
                    paint2.setColor(VectorDrawableCompat.b(vFullPath.f53a, vFullPath.d));
                    paint2.setColorFilter(colorFilter);
                    paint2.setStrokeWidth(vFullPath.b * min * a2);
                    canvas.drawPath(this.i, paint2);
                }
            }
        }

        private float a(Matrix matrix) {
            float[] fArr = {0.0f, 1.0f, 1.0f, 0.0f};
            matrix.mapVectors(fArr);
            float a2 = a(fArr[0], fArr[1], fArr[2], fArr[3]);
            float max = Math.max((float) Math.hypot((double) fArr[0], (double) fArr[1]), (float) Math.hypot((double) fArr[2], (double) fArr[3]));
            if (max > 0.0f) {
                return Math.abs(a2) / max;
            }
            return 0.0f;
        }
    }

    /* access modifiers changed from: private */
    public static class VGroup {

        /* renamed from: a  reason: collision with root package name */
        final ArrayList<Object> f54a = new ArrayList<>();
        private final Matrix b = new Matrix();
        private float c = 0.0f;
        private float d = 0.0f;
        private float e = 0.0f;
        private float f = 1.0f;
        private float g = 1.0f;
        private float h = 0.0f;
        private float i = 0.0f;
        private final Matrix j = new Matrix();
        private int k;
        private int[] l;
        private String m = null;

        public VGroup(VGroup vGroup, ArrayMap<String, Object> arrayMap) {
            VPath vPath;
            this.c = vGroup.c;
            this.d = vGroup.d;
            this.e = vGroup.e;
            this.f = vGroup.f;
            this.g = vGroup.g;
            this.h = vGroup.h;
            this.i = vGroup.i;
            this.l = vGroup.l;
            this.m = vGroup.m;
            this.k = vGroup.k;
            if (this.m != null) {
                arrayMap.put(this.m, this);
            }
            this.j.set(vGroup.j);
            ArrayList<Object> arrayList = vGroup.f54a;
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                Object obj = arrayList.get(i2);
                if (obj instanceof VGroup) {
                    this.f54a.add(new VGroup((VGroup) obj, arrayMap));
                } else {
                    if (obj instanceof VFullPath) {
                        vPath = new VFullPath((VFullPath) obj);
                    } else if (obj instanceof VClipPath) {
                        vPath = new VClipPath((VClipPath) obj);
                    } else {
                        throw new IllegalStateException("Unknown object in the tree!");
                    }
                    this.f54a.add(vPath);
                    if (vPath.n != null) {
                        arrayMap.put(vPath.n, vPath);
                    }
                }
            }
        }

        public VGroup() {
        }

        public String a() {
            return this.m;
        }

        public void a(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray b2 = VectorDrawableCommon.b(resources, theme, attributeSet, AndroidResources.b);
            a(b2, xmlPullParser);
            b2.recycle();
        }

        private void a(TypedArray typedArray, XmlPullParser xmlPullParser) {
            this.l = null;
            this.c = TypedArrayUtils.a(typedArray, xmlPullParser, "rotation", 5, this.c);
            this.d = typedArray.getFloat(1, this.d);
            this.e = typedArray.getFloat(2, this.e);
            this.f = TypedArrayUtils.a(typedArray, xmlPullParser, "scaleX", 3, this.f);
            this.g = TypedArrayUtils.a(typedArray, xmlPullParser, "scaleY", 4, this.g);
            this.h = TypedArrayUtils.a(typedArray, xmlPullParser, "translateX", 6, this.h);
            this.i = TypedArrayUtils.a(typedArray, xmlPullParser, "translateY", 7, this.i);
            String string = typedArray.getString(0);
            if (string != null) {
                this.m = string;
            }
            b();
        }

        private void b() {
            this.j.reset();
            this.j.postTranslate(-this.d, -this.e);
            this.j.postScale(this.f, this.g);
            this.j.postRotate(this.c, 0.0f, 0.0f);
            this.j.postTranslate(this.h + this.d, this.i + this.e);
        }
    }

    /* access modifiers changed from: private */
    public static class VPath {
        protected PathParser.PathDataNode[] m = null;
        String n;
        int o;

        public boolean a() {
            return false;
        }

        public VPath() {
        }

        public VPath(VPath vPath) {
            this.n = vPath.n;
            this.o = vPath.o;
            this.m = PathParser.a(vPath.m);
        }

        public void a(Path path) {
            path.reset();
            if (this.m != null) {
                PathParser.PathDataNode.a(this.m, path);
            }
        }

        public String b() {
            return this.n;
        }
    }

    /* access modifiers changed from: private */
    public static class VClipPath extends VPath {
        @Override // android.support.graphics.drawable.VectorDrawableCompat.VPath
        public boolean a() {
            return true;
        }

        public VClipPath() {
        }

        public VClipPath(VClipPath vClipPath) {
            super(vClipPath);
        }

        public void a(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            if (TypedArrayUtils.a(xmlPullParser, "pathData")) {
                TypedArray b = VectorDrawableCommon.b(resources, theme, attributeSet, AndroidResources.d);
                a(b);
                b.recycle();
            }
        }

        private void a(TypedArray typedArray) {
            String string = typedArray.getString(0);
            if (string != null) {
                this.n = string;
            }
            String string2 = typedArray.getString(1);
            if (string2 != null) {
                this.m = PathParser.a(string2);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class VFullPath extends VPath {

        /* renamed from: a  reason: collision with root package name */
        int f53a = 0;
        float b = 0.0f;
        int c = 0;
        float d = 1.0f;
        int e;
        float f = 1.0f;
        float g = 0.0f;
        float h = 1.0f;
        float i = 0.0f;
        Paint.Cap j = Paint.Cap.BUTT;
        Paint.Join k = Paint.Join.MITER;
        float l = 4.0f;
        private int[] p;

        public VFullPath() {
        }

        public VFullPath(VFullPath vFullPath) {
            super(vFullPath);
            this.p = vFullPath.p;
            this.f53a = vFullPath.f53a;
            this.b = vFullPath.b;
            this.d = vFullPath.d;
            this.c = vFullPath.c;
            this.e = vFullPath.e;
            this.f = vFullPath.f;
            this.g = vFullPath.g;
            this.h = vFullPath.h;
            this.i = vFullPath.i;
            this.j = vFullPath.j;
            this.k = vFullPath.k;
            this.l = vFullPath.l;
        }

        private Paint.Cap a(int i2, Paint.Cap cap) {
            switch (i2) {
                case 0:
                    return Paint.Cap.BUTT;
                case 1:
                    return Paint.Cap.ROUND;
                case 2:
                    return Paint.Cap.SQUARE;
                default:
                    return cap;
            }
        }

        private Paint.Join a(int i2, Paint.Join join) {
            switch (i2) {
                case 0:
                    return Paint.Join.MITER;
                case 1:
                    return Paint.Join.ROUND;
                case 2:
                    return Paint.Join.BEVEL;
                default:
                    return join;
            }
        }

        public void a(Resources resources, AttributeSet attributeSet, Resources.Theme theme, XmlPullParser xmlPullParser) {
            TypedArray b2 = VectorDrawableCommon.b(resources, theme, attributeSet, AndroidResources.c);
            a(b2, xmlPullParser);
            b2.recycle();
        }

        private void a(TypedArray typedArray, XmlPullParser xmlPullParser) {
            this.p = null;
            if (TypedArrayUtils.a(xmlPullParser, "pathData")) {
                String string = typedArray.getString(0);
                if (string != null) {
                    this.n = string;
                }
                String string2 = typedArray.getString(2);
                if (string2 != null) {
                    this.m = PathParser.a(string2);
                }
                this.c = TypedArrayUtils.b(typedArray, xmlPullParser, "fillColor", 1, this.c);
                this.f = TypedArrayUtils.a(typedArray, xmlPullParser, "fillAlpha", 12, this.f);
                this.j = a(TypedArrayUtils.a(typedArray, xmlPullParser, "strokeLineCap", 8, -1), this.j);
                this.k = a(TypedArrayUtils.a(typedArray, xmlPullParser, "strokeLineJoin", 9, -1), this.k);
                this.l = TypedArrayUtils.a(typedArray, xmlPullParser, "strokeMiterLimit", 10, this.l);
                this.f53a = TypedArrayUtils.b(typedArray, xmlPullParser, "strokeColor", 3, this.f53a);
                this.d = TypedArrayUtils.a(typedArray, xmlPullParser, "strokeAlpha", 11, this.d);
                this.b = TypedArrayUtils.a(typedArray, xmlPullParser, "strokeWidth", 4, this.b);
                this.h = TypedArrayUtils.a(typedArray, xmlPullParser, "trimPathEnd", 6, this.h);
                this.i = TypedArrayUtils.a(typedArray, xmlPullParser, "trimPathOffset", 7, this.i);
                this.g = TypedArrayUtils.a(typedArray, xmlPullParser, "trimPathStart", 5, this.g);
            }
        }
    }
}
