package android.support.v4.widget;

import android.graphics.Rect;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.v4.util.SparseArrayCompat;
import android.support.v4.view.AccessibilityDelegateCompat;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.ViewParentCompat;
import android.support.v4.view.accessibility.AccessibilityEventCompat;
import android.support.v4.view.accessibility.AccessibilityManagerCompat;
import android.support.v4.view.accessibility.AccessibilityNodeInfoCompat;
import android.support.v4.view.accessibility.AccessibilityNodeProviderCompat;
import android.support.v4.view.accessibility.AccessibilityRecordCompat;
import android.support.v4.widget.FocusStrategy;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import com.tencent.smtt.sdk.TbsListener;
import java.util.ArrayList;
import java.util.List;

public abstract class ExploreByTouchHelper extends AccessibilityDelegateCompat {
    private static final Rect b = new Rect(Integer.MAX_VALUE, Integer.MAX_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE);
    private static final FocusStrategy.BoundsAdapter<AccessibilityNodeInfoCompat> l = new FocusStrategy.BoundsAdapter<AccessibilityNodeInfoCompat>() {
        /* class android.support.v4.widget.ExploreByTouchHelper.AnonymousClass1 */

        public void a(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat, Rect rect) {
            accessibilityNodeInfoCompat.a(rect);
        }
    };
    private static final FocusStrategy.CollectionAdapter<SparseArrayCompat<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat> m = new FocusStrategy.CollectionAdapter<SparseArrayCompat<AccessibilityNodeInfoCompat>, AccessibilityNodeInfoCompat>() {
        /* class android.support.v4.widget.ExploreByTouchHelper.AnonymousClass2 */
    };
    private final Rect c;
    private final Rect d;
    private final Rect e;
    private final int[] f;
    private final AccessibilityManager g;
    private final View h;
    private MyNodeProvider i;
    private int j;
    private int k;

    /* access modifiers changed from: protected */
    public abstract void a(int i2, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat);

    /* access modifiers changed from: protected */
    public void a(int i2, AccessibilityEvent accessibilityEvent) {
    }

    /* access modifiers changed from: protected */
    public void a(int i2, boolean z) {
    }

    /* access modifiers changed from: protected */
    public void a(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
    }

    /* access modifiers changed from: protected */
    public void a(AccessibilityEvent accessibilityEvent) {
    }

    /* access modifiers changed from: protected */
    public abstract void a(List<Integer> list);

    /* access modifiers changed from: protected */
    public abstract boolean a(int i2, int i3, Bundle bundle);

    @Override // android.support.v4.view.AccessibilityDelegateCompat
    public AccessibilityNodeProviderCompat a(View view) {
        if (this.i == null) {
            this.i = new MyNodeProvider();
        }
        return this.i;
    }

    public final boolean a(int i2, int i3) {
        ViewParent parent;
        if (i2 == Integer.MIN_VALUE || !this.g.isEnabled() || (parent = this.h.getParent()) == null) {
            return false;
        }
        return ViewParentCompat.a(parent, this.h, b(i2, i3));
    }

    private AccessibilityEvent b(int i2, int i3) {
        if (i2 != -1) {
            return c(i2, i3);
        }
        return c(i3);
    }

    private AccessibilityEvent c(int i2) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(i2);
        ViewCompat.a(this.h, obtain);
        return obtain;
    }

    @Override // android.support.v4.view.AccessibilityDelegateCompat
    public void d(View view, AccessibilityEvent accessibilityEvent) {
        super.d(view, accessibilityEvent);
        a(accessibilityEvent);
    }

    private AccessibilityEvent c(int i2, int i3) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(i3);
        AccessibilityRecordCompat a2 = AccessibilityEventCompat.a(obtain);
        AccessibilityNodeInfoCompat d2 = d(i2);
        a2.a().add(d2.t());
        a2.b(d2.u());
        a2.d(d2.q());
        a2.c(d2.p());
        a2.b(d2.o());
        a2.a(d2.g());
        a(i2, obtain);
        if (!obtain.getText().isEmpty() || obtain.getContentDescription() != null) {
            a2.a(d2.s());
            a2.a(this.h, i2);
            obtain.setPackageName(this.h.getContext().getPackageName());
            return obtain;
        }
        throw new RuntimeException("Callbacks must add text or a content description in populateEventForVirtualViewId()");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @NonNull
    private AccessibilityNodeInfoCompat d(int i2) {
        if (i2 == -1) {
            return b();
        }
        return e(i2);
    }

    @NonNull
    private AccessibilityNodeInfoCompat b() {
        AccessibilityNodeInfoCompat a2 = AccessibilityNodeInfoCompat.a(this.h);
        ViewCompat.a(this.h, a2);
        ArrayList arrayList = new ArrayList();
        a(arrayList);
        if (a2.c() <= 0 || arrayList.size() <= 0) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                a2.b(this.h, ((Integer) arrayList.get(i2)).intValue());
            }
            return a2;
        }
        throw new RuntimeException("Views cannot have both real and virtual children");
    }

    @Override // android.support.v4.view.AccessibilityDelegateCompat
    public void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
        super.a(view, accessibilityNodeInfoCompat);
        a(accessibilityNodeInfoCompat);
    }

    @NonNull
    private AccessibilityNodeInfoCompat e(int i2) {
        AccessibilityNodeInfoCompat b2 = AccessibilityNodeInfoCompat.b();
        b2.h(true);
        b2.a(true);
        b2.b("android.view.View");
        b2.b(b);
        b2.d(b);
        a(i2, b2);
        if (b2.t() == null && b2.u() == null) {
            throw new RuntimeException("Callbacks must add text or a content description in populateNodeForVirtualViewId()");
        }
        b2.a(this.d);
        if (!this.d.equals(b)) {
            int d2 = b2.d();
            if ((d2 & 64) != 0) {
                throw new RuntimeException("Callbacks must not add ACTION_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            } else if ((d2 & TbsListener.ErrorCode.DOWNLOAD_INTERRUPT) == 0) {
                b2.a((CharSequence) this.h.getContext().getPackageName());
                b2.a(this.h, i2);
                b2.d(this.h);
                if (this.j == i2) {
                    b2.d(true);
                    b2.a(TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                } else {
                    b2.d(false);
                    b2.a(64);
                }
                boolean z = this.k == i2;
                if (z) {
                    b2.a(2);
                } else if (b2.h()) {
                    b2.a(1);
                }
                b2.b(z);
                if (a(this.d)) {
                    b2.c(true);
                    b2.b(this.d);
                }
                b2.c(this.c);
                if (this.c.equals(b)) {
                    this.h.getLocationOnScreen(this.f);
                    b2.a(this.c);
                    this.c.offset(this.f[0] - this.h.getScrollX(), this.f[1] - this.h.getScrollY());
                    b2.d(this.c);
                }
                return b2;
            } else {
                throw new RuntimeException("Callbacks must not add ACTION_CLEAR_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            }
        } else {
            throw new RuntimeException("Callbacks must set parent bounds in populateNodeForVirtualViewId()");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean b(int i2, int i3, Bundle bundle) {
        if (i2 != -1) {
            return c(i2, i3, bundle);
        }
        return a(i3, bundle);
    }

    private boolean a(int i2, Bundle bundle) {
        return ViewCompat.a(this.h, i2, bundle);
    }

    private boolean c(int i2, int i3, Bundle bundle) {
        if (i3 == 64) {
            return f(i2);
        }
        if (i3 == 128) {
            return g(i2);
        }
        switch (i3) {
            case 1:
                return a(i2);
            case 2:
                return b(i2);
            default:
                return a(i2, i3, bundle);
        }
    }

    private boolean a(Rect rect) {
        if (rect == null || rect.isEmpty() || this.h.getWindowVisibility() != 0) {
            return false;
        }
        ViewParent parent = this.h.getParent();
        while (parent instanceof View) {
            View view = (View) parent;
            if (ViewCompat.d(view) <= 0.0f || view.getVisibility() != 0) {
                return false;
            }
            parent = view.getParent();
        }
        if (parent != null && this.h.getLocalVisibleRect(this.e)) {
            return rect.intersect(this.e);
        }
        return false;
    }

    private boolean f(int i2) {
        if (!this.g.isEnabled() || !AccessibilityManagerCompat.a(this.g) || this.j == i2) {
            return false;
        }
        if (this.j != Integer.MIN_VALUE) {
            g(this.j);
        }
        this.j = i2;
        this.h.invalidate();
        a(i2, 32768);
        return true;
    }

    private boolean g(int i2) {
        if (this.j != i2) {
            return false;
        }
        this.j = Integer.MIN_VALUE;
        this.h.invalidate();
        a(i2, 65536);
        return true;
    }

    public final boolean a(int i2) {
        if ((!this.h.isFocused() && !this.h.requestFocus()) || this.k == i2) {
            return false;
        }
        if (this.k != Integer.MIN_VALUE) {
            b(this.k);
        }
        this.k = i2;
        a(i2, true);
        a(i2, 8);
        return true;
    }

    public final boolean b(int i2) {
        if (this.k != i2) {
            return false;
        }
        this.k = Integer.MIN_VALUE;
        a(i2, false);
        a(i2, 8);
        return true;
    }

    private class MyNodeProvider extends AccessibilityNodeProviderCompat {
        private MyNodeProvider() {
        }

        @Override // android.support.v4.view.accessibility.AccessibilityNodeProviderCompat
        public AccessibilityNodeInfoCompat a(int i) {
            return AccessibilityNodeInfoCompat.a(ExploreByTouchHelper.this.d(i));
        }

        @Override // android.support.v4.view.accessibility.AccessibilityNodeProviderCompat
        public boolean a(int i, int i2, Bundle bundle) {
            return ExploreByTouchHelper.this.b(i, i2, bundle);
        }
    }
}
