package android.support.v7.widget;

import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.support.annotation.Nullable;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.view.ViewCompat;
import android.support.v7.appcompat.R;
import android.util.AttributeSet;
import android.widget.SeekBar;

/* access modifiers changed from: package-private */
public class AppCompatSeekBarHelper extends AppCompatProgressBarHelper {
    private final SeekBar b;
    private Drawable c;
    private ColorStateList d = null;
    private PorterDuff.Mode e = null;
    private boolean f = false;
    private boolean g = false;

    AppCompatSeekBarHelper(SeekBar seekBar, AppCompatDrawableManager appCompatDrawableManager) {
        super(seekBar, appCompatDrawableManager);
        this.b = seekBar;
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.widget.AppCompatProgressBarHelper
    public void a(AttributeSet attributeSet, int i) {
        super.a(attributeSet, i);
        TintTypedArray a2 = TintTypedArray.a(this.b.getContext(), attributeSet, R.styleable.AppCompatSeekBar, i, 0);
        Drawable b2 = a2.b(R.styleable.AppCompatSeekBar_android_thumb);
        if (b2 != null) {
            this.b.setThumb(b2);
        }
        a(a2.a(R.styleable.AppCompatSeekBar_tickMark));
        if (a2.g(R.styleable.AppCompatSeekBar_tickMarkTintMode)) {
            this.e = DrawableUtils.a(a2.a(R.styleable.AppCompatSeekBar_tickMarkTintMode, -1), this.e);
            this.g = true;
        }
        if (a2.g(R.styleable.AppCompatSeekBar_tickMarkTint)) {
            this.d = a2.e(R.styleable.AppCompatSeekBar_tickMarkTint);
            this.f = true;
        }
        a2.a();
        d();
    }

    /* access modifiers changed from: package-private */
    public void a(@Nullable Drawable drawable) {
        if (this.c != null) {
            this.c.setCallback(null);
        }
        this.c = drawable;
        if (drawable != null) {
            drawable.setCallback(this.b);
            DrawableCompat.b(drawable, ViewCompat.f(this.b));
            if (drawable.isStateful()) {
                drawable.setState(this.b.getDrawableState());
            }
            d();
        }
        this.b.invalidate();
    }

    private void d() {
        if (this.c == null) {
            return;
        }
        if (this.f || this.g) {
            this.c = DrawableCompat.f(this.c.mutate());
            if (this.f) {
                DrawableCompat.a(this.c, this.d);
            }
            if (this.g) {
                DrawableCompat.a(this.c, this.e);
            }
            if (this.c.isStateful()) {
                this.c.setState(this.b.getDrawableState());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (this.c != null) {
            this.c.jumpToCurrentState();
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        Drawable drawable = this.c;
        if (drawable != null && drawable.isStateful() && drawable.setState(this.b.getDrawableState())) {
            this.b.invalidateDrawable(drawable);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas) {
        if (this.c != null) {
            int max = this.b.getMax();
            int i = 1;
            if (max > 1) {
                int intrinsicWidth = this.c.getIntrinsicWidth();
                int intrinsicHeight = this.c.getIntrinsicHeight();
                int i2 = intrinsicWidth >= 0 ? intrinsicWidth / 2 : 1;
                if (intrinsicHeight >= 0) {
                    i = intrinsicHeight / 2;
                }
                this.c.setBounds(-i2, -i, i2, i);
                float width = ((float) ((this.b.getWidth() - this.b.getPaddingLeft()) - this.b.getPaddingRight())) / ((float) max);
                int save = canvas.save();
                canvas.translate((float) this.b.getPaddingLeft(), (float) (this.b.getHeight() / 2));
                for (int i3 = 0; i3 <= max; i3++) {
                    this.c.draw(canvas);
                    canvas.translate(width, 0.0f);
                }
                canvas.restoreToCount(save);
            }
        }
    }
}
