package cn.jiguang.aw;

import cn.jiguang.an.d;
import cn.jiguang.at.e;
import cn.jiguang.f.k;
import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.SocketTimeoutException;
import java.nio.ByteBuffer;
import java.nio.channels.SelectionKey;
import java.nio.channels.Selector;
import java.nio.channels.SocketChannel;
import java.util.Iterator;

public final class b extends a {
    private final int g;
    private ByteBuffer h = ByteBuffer.allocate(8192);

    public b(int i, int i2) {
        this.g = i;
        this.f = i2;
    }

    private boolean b(byte[] bArr) {
        try {
            if (!a()) {
                d.b("NioSocketClient", "send error - connect was invalid");
                return false;
            }
            if (bArr != null) {
                if (bArr.length > 0) {
                    int write = this.b.write(ByteBuffer.wrap(bArr));
                    if (write > 0) {
                        d.a("NioSocketClient", "isWritable has send len:" + write);
                        return true;
                    } else if (write >= 0) {
                        return true;
                    } else {
                        d.a("NioSocketClient", "isWritable error:" + write);
                        return false;
                    }
                }
            }
            d.b("NioSocketClient", "send error - invalide buffer");
            return false;
        } catch (Exception e) {
            d.g("NioSocketClient", "send data error:" + e);
            close();
            return false;
        }
    }

    @Override // cn.jiguang.aw.a
    public final synchronized int a(String str, int i) {
        super.a(str, i);
        try {
            this.b = SocketChannel.open();
            this.d = Selector.open();
            this.b.configureBlocking(false);
            this.b.connect(new InetSocketAddress(str, i));
            d.b("NioSocketClient", "tcp connecting...");
            long currentTimeMillis = System.currentTimeMillis();
            while (!this.b.finishConnect()) {
                if (!this.e) {
                    d.b("NioSocketClient", "has close channel when connect...");
                    return -991;
                }
                Thread.sleep(10);
                if (System.currentTimeMillis() - currentTimeMillis > 3000) {
                    close();
                    return -994;
                }
            }
            if (!this.e) {
                d.b("NioSocketClient", "has close channel when connected...");
                return -991;
            }
            d.b("NioSocketClient", "tcp connected");
            this.b.register(this.d, 1);
            return 0;
        } catch (Throwable th) {
            d.g("NioSocketClient", "tcp connect has failed:" + th);
            close();
            return th instanceof SocketTimeoutException ? -994 : -1000;
        }
    }

    @Override // cn.jiguang.aw.a
    public final int a(byte[] bArr) {
        if (bArr == null) {
            d.b("NioSocketClient", "sendData failed, send data was null");
            return 103;
        }
        d.b("NioSocketClient", "send data length:" + bArr.length);
        if (bArr.length < this.g) {
            return b(bArr) ? 0 : 103;
        }
        d.b("NioSocketClient", "sendData failed, data length must less than " + this.g);
        return 6026;
    }

    @Override // cn.jiguang.aw.a
    public final ByteBuffer a(int i) {
        ByteBuffer b;
        try {
            if (a()) {
                int b2 = b();
                if (b2 > 0 && (b = b(b2)) != null) {
                    return b;
                }
                int i2 = 1048576;
                int i3 = 0;
                while (a() && this.c < i2) {
                    int select = i > 0 ? this.d.select((long) i) : this.d.select();
                    if (select == 0) {
                        d.b("NioSocketClient", "readSelect:" + select + ",time out:" + i);
                        if (i > 0) {
                            throw new e(-994, "recv time out");
                        }
                    } else {
                        Iterator<SelectionKey> it = this.d.selectedKeys().iterator();
                        while (it.hasNext()) {
                            SelectionKey next = it.next();
                            SocketChannel socketChannel = (SocketChannel) next.channel();
                            if (next.isReadable()) {
                                int read = socketChannel.read(this.h);
                                if (read >= 0) {
                                    this.h.flip();
                                    int limit = this.h.limit();
                                    if (this.f897a.remaining() >= limit) {
                                        this.f897a.put(this.h);
                                        this.c += limit;
                                        this.h.compact();
                                        if (this.c < this.f) {
                                            d.b("NioSocketClient", "totalbuf can not parse head:" + this.c + ",peerNetData len:" + limit + ",read:" + read);
                                        } else {
                                            i2 = b();
                                        }
                                        i3 = limit;
                                    } else {
                                        throw new e(-996, "the total buf remaining less than readLen,remaining:" + this.f897a.remaining() + ",readLen:" + limit);
                                    }
                                } else {
                                    throw new e(-996, "read len < 0:" + read);
                                }
                            } else {
                                next.isWritable();
                            }
                            it.remove();
                        }
                        continue;
                    }
                }
                if (i2 != 1048576) {
                    d.b("NioSocketClient", "read len:" + i3 + ",recvTotalLen:" + this.c + ",shouldLen:" + i2);
                    ByteBuffer b3 = b(i2);
                    if (b3 != null) {
                        return b3;
                    }
                    throw new e(-1001, "parse error");
                }
                throw new e(-997, "recv empty data or tcp has close");
            }
            throw new e(-991, "recv error,the connect is invalid");
        } catch (Throwable th) {
            if (th instanceof SocketTimeoutException) {
                throw new e(-994, th.getMessage());
            } else if (th instanceof e) {
                throw ((e) th);
            } else {
                throw new e(-997, th.getMessage());
            }
        }
    }

    @Override // cn.jiguang.aw.a, java.io.Closeable, java.lang.AutoCloseable
    public final void close() {
        d.b("NioSocketClient", "close this connect");
        super.close();
        if (this.d != null) {
            try {
                this.d.close();
            } catch (IOException unused) {
            }
        }
        k.a(this.b);
        this.b = null;
    }
}
