package cn.jiguang.f;

import android.content.Context;
import cn.jiguang.an.d;
import com.facebook.stetho.common.Utf8Charset;
import java.io.Closeable;
import java.io.File;
import java.io.FileFilter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.UnsupportedEncodingException;
import java.util.Collections;
import java.util.LinkedList;

public final class e {
    public static File a(Context context, String str) {
        File filesDir;
        if (context != null && (filesDir = context.getFilesDir()) != null) {
            return new File(filesDir, str);
        }
        d.f("FileUtils", "can't get file :" + str);
        return null;
    }

    public static File a(File[] fileArr) {
        File file = null;
        if (!(fileArr == null || fileArr.length == 0)) {
            for (File file2 : fileArr) {
                if (file2.lastModified() > (file != null ? file.lastModified() : 0)) {
                    file = file2;
                }
            }
        }
        return file;
    }

    public static void a(File file) {
        if (file != null) {
            try {
                if (file.exists()) {
                    file.delete();
                    d.b("FileUtils", "delete File:" + file.getPath());
                }
            } catch (Throwable unused) {
            }
        }
    }

    public static boolean a(File file, String str) {
        byte[] bArr;
        if (str != null) {
            try {
                bArr = str.getBytes(Utf8Charset.NAME);
            } catch (Throwable th) {
                d.f("FileUtils", "getBytes exception:" + th);
                return false;
            }
        } else {
            bArr = null;
        }
        return a(file, bArr);
    }

    private static boolean a(File file, byte[] bArr) {
        Throwable th;
        Throwable th2;
        if (file == null || file.isDirectory()) {
            d.f("FileUtils", "file should not be null or a directory");
            return false;
        }
        FileOutputStream fileOutputStream = null;
        if (bArr == null) {
            try {
                bArr = new byte[0];
            } catch (Throwable th3) {
                th2 = th3;
                d.f("FileUtils", "save to file exception:" + th2 + " path = " + file.getAbsolutePath());
                k.a(fileOutputStream);
                return false;
            }
        }
        if (file != null && !file.exists()) {
            File parentFile = file.getParentFile();
            if (parentFile != null && !parentFile.exists()) {
                parentFile.mkdirs();
            }
            try {
                file.createNewFile();
            } catch (Throwable unused) {
            }
        }
        FileOutputStream fileOutputStream2 = new FileOutputStream(file);
        try {
            fileOutputStream2.write(bArr);
            k.a(fileOutputStream2);
            return true;
        } catch (Throwable th4) {
            th = th4;
            fileOutputStream = fileOutputStream2;
            k.a(fileOutputStream);
            throw th;
        }
    }

    public static File[] a(File file, FileFilter... fileFilterArr) {
        if (file == null || !file.exists() || !file.isDirectory()) {
            return null;
        }
        if (fileFilterArr == null || fileFilterArr.length == 0 || (fileFilterArr.length == 1 && fileFilterArr[0] == null)) {
            return file.listFiles();
        }
        if (fileFilterArr.length == 1) {
            return file.listFiles(fileFilterArr[0]);
        }
        LinkedList linkedList = new LinkedList();
        linkedList.add(file);
        int length = fileFilterArr.length;
        LinkedList<File> linkedList2 = linkedList;
        int i = 0;
        while (i < length) {
            FileFilter fileFilter = fileFilterArr[i];
            LinkedList linkedList3 = new LinkedList();
            for (File file2 : linkedList2) {
                File[] listFiles = fileFilter != null ? file2.listFiles(fileFilter) : file2.listFiles();
                if (listFiles != null && listFiles.length > 0) {
                    Collections.addAll(linkedList3, listFiles);
                }
            }
            if (linkedList3.isEmpty()) {
                return null;
            }
            i++;
            linkedList2 = linkedList3;
        }
        return (File[]) linkedList2.toArray(new File[0]);
    }

    public static File[] a(String str, FileFilter... fileFilterArr) {
        try {
            return a(new File(str), fileFilterArr);
        } catch (Throwable unused) {
            return null;
        }
    }

    public static String b(File file) {
        byte[] d = d(file);
        if (d == null) {
            return null;
        }
        try {
            return new String(d, Utf8Charset.NAME);
        } catch (UnsupportedEncodingException e) {
            d.b("FileUtils", "can't encoding, give up read :" + e);
            return null;
        }
    }

    public static void c(File file) {
        File[] listFiles;
        if (file != null && file.exists()) {
            if (file.isDirectory() && (listFiles = file.listFiles()) != null) {
                for (File file2 : listFiles) {
                    c(file2);
                    file2.delete();
                }
            }
            file.delete();
        }
    }

    private static byte[] d(File file) {
        Throwable th;
        FileInputStream fileInputStream;
        Throwable th2;
        if (file == null || !file.exists() || file.isDirectory()) {
            return null;
        }
        try {
            fileInputStream = new FileInputStream(file);
            try {
                byte[] bArr = new byte[fileInputStream.available()];
                fileInputStream.read(bArr);
                k.a((Closeable) fileInputStream);
                return bArr;
            } catch (Throwable th3) {
                th2 = th3;
                try {
                    d.b("FileUtils", "can't read, give up read. e:" + th2);
                    k.a((Closeable) fileInputStream);
                    return null;
                } catch (Throwable th4) {
                    th = th4;
                    k.a((Closeable) fileInputStream);
                    throw th;
                }
            }
        } catch (Throwable th5) {
            th = th5;
            fileInputStream = null;
            k.a((Closeable) fileInputStream);
            throw th;
        }
    }
}
