package cn.jiguang.plugins.push;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import cn.jiguang.plugins.push.common.JLogger;
import cn.jiguang.plugins.push.helper.JPushHelper;
import cn.jiguang.plugins.push.receiver.JPushBroadcastReceiver;
import cn.jpush.android.api.BasicPushNotificationBuilder;
import cn.jpush.android.api.JPushInterface;
import cn.jpush.android.data.JPushLocalNotification;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.WritableMap;
import java.util.HashSet;
import org.json.JSONObject;

public class JPushModule extends ReactContextBaseJavaModule {
    public static boolean isAppForeground = false;
    public static ReactApplicationContext reactContext;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "JPushModule";
    }

    public JPushModule(ReactApplicationContext reactApplicationContext) {
        super(reactContext);
        reactContext = reactApplicationContext;
    }

    @ReactMethod
    public void setDebugMode(boolean z) {
        JPushInterface.a(z);
        JLogger.a(z);
    }

    @ReactMethod
    public void init() {
        JPushInterface.a(reactContext);
        if (JPushBroadcastReceiver.f965a != null) {
            JPushHelper.a("NotificationEvent", JPushHelper.a("notificationOpened", JPushBroadcastReceiver.f965a));
            JPushBroadcastReceiver.f965a = null;
        }
    }

    @ReactMethod
    public void stopPush() {
        JPushInterface.c(reactContext);
    }

    @ReactMethod
    public void resumePush() {
        JPushInterface.b(reactContext);
    }

    @ReactMethod
    public void isPushStopped(Callback callback) {
        boolean d = JPushInterface.d(reactContext);
        if (callback == null) {
            JLogger.b("callback cant be null");
            return;
        }
        callback.a(Boolean.valueOf(d));
    }

    @ReactMethod
    public void setChannel(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        String f = readableMap.f("channel");
        if (TextUtils.isEmpty(f)) {
            JLogger.b("params illegal");
        } else {
            JPushInterface.a(reactContext, f);
        }
    }

    @ReactMethod
    public void setPushTime(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        ReadableArray k = readableMap.k("pushTimeDays");
        int e = readableMap.e("pushTimeStartHour");
        int e2 = readableMap.e("pushTimeEndHour");
        if (k == null || e == 0 || e2 == 0) {
            JLogger.b("params cant be null");
            return;
        }
        HashSet hashSet = new HashSet();
        for (int i = 0; i < k.a(); i++) {
            int c = k.c(i);
            if (c > 6 || c < 0) {
                JLogger.b("params cant be null");
                return;
            } else {
                hashSet.add(Integer.valueOf(c));
            }
        }
        JPushInterface.a(reactContext, hashSet, e, e2);
    }

    @ReactMethod
    public void setSilenceTime(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        int e = readableMap.e("silenceTimeStartHour");
        int e2 = readableMap.e("silenceTimeStartMinute");
        int e3 = readableMap.e("silenceTimeEndHour");
        int e4 = readableMap.e("silenceTimeEndMinute");
        if (e == 0 || e2 == 0 || e3 == 0 || e4 == 0) {
            JLogger.b("params cant be null");
        } else {
            JPushInterface.a(reactContext, e, e2, e3, e4);
        }
    }

    @ReactMethod
    public void getRegistrationID(Callback callback) {
        if (callback == null) {
            JLogger.b("callback cant be null");
            return;
        }
        String e = JPushInterface.e(reactContext);
        WritableMap b = Arguments.b();
        b.putString("registerID", e);
        callback.a(b);
    }

    @ReactMethod
    public void getUdid(Callback callback) {
        if (callback == null) {
            JLogger.b("callback cant be null");
            return;
        }
        callback.a(JPushInterface.f(reactContext));
    }

    @ReactMethod
    public void setLatestNotificationNumber(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("notificationMaxNumber")) {
            JPushInterface.a((Context) reactContext, readableMap.e("notificationMaxNumber"));
        } else {
            JLogger.b("there are no notificationMaxNumber");
        }
    }

    @ReactMethod
    public void setDefaultPushNotificationBuilder(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else {
            JPushInterface.a(new BasicPushNotificationBuilder(reactContext));
        }
    }

    @ReactMethod
    public void filterValidTags(ReadableMap readableMap, Callback callback) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("tags")) {
            ReadableArray k = readableMap.k("tags");
            HashSet hashSet = new HashSet();
            for (int i = 0; i < k.a(); i++) {
                hashSet.add(k.d(i));
            }
            JPushInterface.a(hashSet);
        } else {
            JLogger.b("there are no tags");
        }
    }

    @ReactMethod
    public void setTags(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("tags")) {
            ReadableArray k = readableMap.k("tags");
            int e = readableMap.e("sequence");
            HashSet hashSet = new HashSet();
            for (int i = 0; i < k.a(); i++) {
                hashSet.add(k.d(i));
            }
            JPushInterface.a(reactContext, e, hashSet);
        } else {
            JLogger.b("there are no tags");
        }
    }

    @ReactMethod
    public void addTags(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("tags")) {
            ReadableArray k = readableMap.k("tags");
            int e = readableMap.e("sequence");
            HashSet hashSet = new HashSet();
            for (int i = 0; i < k.a(); i++) {
                hashSet.add(k.d(i));
            }
            JPushInterface.b(reactContext, e, hashSet);
        } else {
            JLogger.b("there are no tags");
        }
    }

    @ReactMethod
    public void deleteTags(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("tags")) {
            ReadableArray k = readableMap.k("tags");
            int e = readableMap.e("sequence");
            HashSet hashSet = new HashSet();
            for (int i = 0; i < k.a(); i++) {
                hashSet.add(k.d(i));
            }
            JPushInterface.c(reactContext, e, hashSet);
        } else {
            JLogger.b("there are no tags");
        }
    }

    @ReactMethod
    public void cleanTags(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.c(reactContext, readableMap.e("sequence"));
    }

    @ReactMethod
    public void getAllTags(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.d(reactContext, readableMap.e("sequence"));
    }

    @ReactMethod
    public void checkTagBindState(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.a(reactContext, readableMap.e("sequence"), readableMap.f("tag"));
    }

    @ReactMethod
    public void setAlias(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.b(reactContext, readableMap.e("sequence"), readableMap.f("alias"));
    }

    @ReactMethod
    public void deleteAlias(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.e(reactContext, readableMap.e("sequence"));
    }

    @ReactMethod
    public void getAlias(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.f(reactContext, readableMap.e("sequence"));
    }

    @ReactMethod
    public void setMobileNumber(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
            return;
        }
        JPushInterface.c(reactContext, readableMap.e("sequence"), readableMap.f("mobileNumber"));
    }

    @ReactMethod
    public void onResume() {
        JPushInterface.g(reactContext);
    }

    @ReactMethod
    public void onPause() {
        JPushInterface.h(reactContext);
    }

    @ReactMethod
    public void onKillProcess() {
        JPushInterface.i(reactContext);
    }

    @ReactMethod
    public void initCrashHandler() {
        JPushInterface.j(reactContext);
    }

    @ReactMethod
    public void stopCrashHandler() {
        JPushInterface.k(reactContext);
    }

    @ReactMethod
    public void addLocalNotification(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (!readableMap.a("messageID")) {
            JLogger.b("params illegal");
        } else {
            String f = readableMap.f("messageID");
            if (f == null || TextUtils.isEmpty(f)) {
                JLogger.b("params illegal");
                return;
            }
            int intValue = Integer.valueOf(f).intValue();
            String f2 = readableMap.a("title") ? readableMap.f("title") : reactContext.getPackageName();
            String f3 = readableMap.a("content") ? readableMap.f("content") : reactContext.getPackageName();
            JPushLocalNotification jPushLocalNotification = new JPushLocalNotification();
            jPushLocalNotification.a((long) intValue);
            jPushLocalNotification.b(f2);
            jPushLocalNotification.c(f3);
            if (readableMap.a("extras")) {
                jPushLocalNotification.a(new JSONObject(readableMap.g("extras").b()).toString());
            }
            JPushInterface.a(reactContext, jPushLocalNotification);
        }
    }

    @ReactMethod
    public void removeLocalNotification(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("messageID")) {
            String f = readableMap.f("messageID");
            if (f == null || TextUtils.isEmpty(f)) {
                JLogger.b("params illegal");
                return;
            }
            JPushInterface.a(reactContext, (long) Integer.valueOf(f).intValue());
        } else {
            JLogger.b("there are no messageID");
        }
    }

    @ReactMethod
    public void clearLocalNotifications() {
        JPushInterface.l(reactContext);
    }

    @ReactMethod
    public void requestPermission() {
        JPushInterface.m(reactContext);
    }

    @ReactMethod
    public void setGeofenceInterval(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("geoFenceInterval")) {
            JPushInterface.b(reactContext, (long) readableMap.e("geoFenceInterval"));
        } else {
            JLogger.b("there are no geoFenceInterval");
        }
    }

    @ReactMethod
    public void setMaxGeofenceNumber(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("geoFenceMaxNumber")) {
            JPushInterface.g(reactContext, readableMap.e("geoFenceMaxNumber"));
        } else {
            JLogger.b("there are no geoFenceMaxNumber");
        }
    }

    @ReactMethod
    public void deleteGeofence(ReadableMap readableMap) {
        if (readableMap == null) {
            JLogger.b("params cant be null");
        } else if (readableMap.a("geoFenceID")) {
            JPushInterface.b(reactContext, readableMap.f("geoFenceID"));
        } else {
            JLogger.b("there are no geoFenceID");
        }
    }

    public static void registerActivityLifecycle(Application application) {
        application.registerActivityLifecycleCallbacks(new Application.ActivityLifecycleCallbacks() {
            /* class cn.jiguang.plugins.push.JPushModule.AnonymousClass1 */

            public void onActivityCreated(Activity activity, Bundle bundle) {
                JLogger.a("onActivityCreated");
            }

            public void onActivityStarted(Activity activity) {
                JLogger.a("onActivityStarted");
            }

            public void onActivityResumed(Activity activity) {
                JLogger.a("onActivityResumed");
                JPushModule.isAppForeground = true;
            }

            public void onActivityPaused(Activity activity) {
                JLogger.a("onActivityPaused");
                JPushModule.isAppForeground = false;
            }

            public void onActivityStopped(Activity activity) {
                JLogger.a("onActivityStopped");
            }

            public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
                JLogger.a("onActivitySaveInstanceState");
            }

            public void onActivityDestroyed(Activity activity) {
                JLogger.a("onActivityDestroyed");
            }
        });
    }
}
