package cn.jiguang.plugins.push.receiver;

import android.content.Context;
import cn.jiguang.plugins.push.JPushModule;
import cn.jiguang.plugins.push.common.JLogger;
import cn.jiguang.plugins.push.helper.JPushHelper;
import cn.jpush.android.api.CmdMessage;
import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.api.JPushMessage;
import cn.jpush.android.api.NotificationMessage;
import cn.jpush.android.service.JPushMessageReceiver;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableMap;

public class JPushModuleReceiver extends JPushMessageReceiver {
    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, CustomMessage customMessage) {
        JLogger.a("onMessage:" + customMessage.toString());
        JPushHelper.a("CustomMessageEvent", JPushHelper.a(customMessage));
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, NotificationMessage notificationMessage) {
        JLogger.a("onNotifyMessageArrived:" + notificationMessage.toString());
        WritableMap a2 = JPushHelper.a("notificationArrived", notificationMessage);
        if (notificationMessage.t != 1) {
            JPushHelper.a("NotificationEvent", a2);
        } else {
            JPushHelper.a("LocalNotificationEvent", a2);
        }
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void b(Context context, NotificationMessage notificationMessage) {
        JLogger.a("onNotifyMessageOpened:" + notificationMessage.toString());
        if (JPushModule.reactContext != null) {
            if (!JPushModule.isAppForeground) {
                JPushHelper.a(context);
            }
            JPushHelper.a("NotificationEvent", JPushHelper.a("notificationOpened", notificationMessage));
            return;
        }
        super.b(context, notificationMessage);
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void c(Context context, NotificationMessage notificationMessage) {
        JLogger.a("onNotifyMessageDismiss:" + notificationMessage.toString());
        JPushHelper.a("NotificationEvent", JPushHelper.a("notificationDismissed", notificationMessage));
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, String str) {
        JLogger.a("onRegister:" + str);
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, boolean z) {
        JLogger.a("onConnected state:" + z);
        WritableMap b = Arguments.b();
        b.putBoolean("connectEnable", z);
        JPushHelper.a("ConnectEvent", b);
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, CmdMessage cmdMessage) {
        JLogger.a("onCommandResult:" + cmdMessage.toString());
        WritableMap b = Arguments.b();
        b.putInt("command", cmdMessage.f993a);
        b.putString("commandExtra", cmdMessage.d.toString());
        b.putString("commandMessage", cmdMessage.c);
        b.putInt("commandResult", cmdMessage.b);
        JPushHelper.a("CommandEvent", b);
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void a(Context context, JPushMessage jPushMessage) {
        JLogger.a("onTagOperatorResult:" + jPushMessage.toString());
        JPushHelper.a("TagAliasEvent", JPushHelper.a(1, jPushMessage));
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void b(Context context, JPushMessage jPushMessage) {
        JLogger.a("onCheckTagOperatorResult:" + jPushMessage.toString());
        JPushHelper.a("TagAliasEvent", JPushHelper.a(2, jPushMessage));
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void c(Context context, JPushMessage jPushMessage) {
        JLogger.a("onAliasOperatorResult:" + jPushMessage.toString());
        JPushHelper.a("TagAliasEvent", JPushHelper.a(3, jPushMessage));
    }

    @Override // cn.jpush.android.service.JPushMessageReceiver
    public void d(Context context, JPushMessage jPushMessage) {
        JLogger.a("onMobileNumberOperatorResult:" + jPushMessage.toString());
        WritableMap b = Arguments.b();
        b.putInt("code", jPushMessage.c());
        b.putInt("sequence", jPushMessage.d());
        JPushHelper.a("MobileNumberEvent", b);
    }
}
