package com.alibaba.fastjson;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.RandomAccess;

public class JSONArray extends JSON implements Serializable, Cloneable, List<Object>, RandomAccess {
    private final List<Object> f;

    public JSONArray() {
        this.f = new ArrayList(10);
    }

    public JSONArray(List<Object> list) {
        this.f = list;
    }

    public int size() {
        return this.f.size();
    }

    public boolean isEmpty() {
        return this.f.isEmpty();
    }

    public boolean contains(Object obj) {
        return this.f.contains(obj);
    }

    @Override // java.util.List, java.util.Collection, java.lang.Iterable
    public Iterator<Object> iterator() {
        return this.f.iterator();
    }

    public Object[] toArray() {
        return this.f.toArray();
    }

    @Override // java.util.List, java.util.Collection
    public <T> T[] toArray(T[] tArr) {
        return (T[]) this.f.toArray(tArr);
    }

    @Override // java.util.List, java.util.Collection
    public boolean add(Object obj) {
        return this.f.add(obj);
    }

    @Override // java.util.List
    public boolean remove(Object obj) {
        return this.f.remove(obj);
    }

    @Override // java.util.List, java.util.Collection
    public boolean containsAll(Collection<?> collection) {
        return this.f.containsAll(collection);
    }

    @Override // java.util.List, java.util.Collection
    public boolean addAll(Collection<? extends Object> collection) {
        return this.f.addAll(collection);
    }

    @Override // java.util.List
    public boolean addAll(int i, Collection<? extends Object> collection) {
        return this.f.addAll(i, collection);
    }

    @Override // java.util.List, java.util.Collection
    public boolean removeAll(Collection<?> collection) {
        return this.f.removeAll(collection);
    }

    @Override // java.util.List, java.util.Collection
    public boolean retainAll(Collection<?> collection) {
        return this.f.retainAll(collection);
    }

    public void clear() {
        this.f.clear();
    }

    @Override // java.util.List
    public Object set(int i, Object obj) {
        return this.f.set(i, obj);
    }

    @Override // java.util.List
    public void add(int i, Object obj) {
        this.f.add(i, obj);
    }

    @Override // java.util.List
    public Object remove(int i) {
        return this.f.remove(i);
    }

    public int indexOf(Object obj) {
        return this.f.indexOf(obj);
    }

    public int lastIndexOf(Object obj) {
        return this.f.lastIndexOf(obj);
    }

    @Override // java.util.List
    public ListIterator<Object> listIterator() {
        return this.f.listIterator();
    }

    @Override // java.util.List
    public ListIterator<Object> listIterator(int i) {
        return this.f.listIterator(i);
    }

    @Override // java.util.List
    public List<Object> subList(int i, int i2) {
        return this.f.subList(i, i2);
    }

    @Override // java.util.List
    public Object get(int i) {
        return this.f.get(i);
    }

    @Override // java.lang.Object
    public Object clone() {
        return new JSONArray(new ArrayList(this.f));
    }

    public boolean equals(Object obj) {
        return this.f.equals(obj);
    }

    public int hashCode() {
        return this.f.hashCode();
    }
}
