package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.parser.deserializer.FieldDeserializer;
import com.alibaba.fastjson.util.FieldInfo;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;

/* access modifiers changed from: package-private */
public class ListTypeFieldDeserializer extends FieldDeserializer {
    private final Type c;
    private final boolean d;

    public ListTypeFieldDeserializer(ParserConfig parserConfig, Class<?> cls, FieldInfo fieldInfo) {
        super(cls, fieldInfo, 14);
        Type type = fieldInfo.g;
        Class<?> cls2 = fieldInfo.f;
        if (type instanceof ParameterizedType) {
            this.c = ((ParameterizedType) type).getActualTypeArguments()[0];
            this.d = false;
        } else if (cls2.isArray()) {
            this.c = cls2.getComponentType();
            this.d = true;
        } else {
            this.c = Object.class;
            this.d = false;
        }
    }
}
