package com.alibaba.sdk.android.oss.internal;

import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.CaseInsensitiveHashMap;
import com.alibaba.sdk.android.oss.model.OSSResult;
import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.ParameterizedType;
import java.math.BigInteger;
import java.util.zip.CheckedInputStream;
import okhttp3.Headers;
import okhttp3.Response;

public abstract class AbstractResponseParser<T extends OSSResult> implements ResponseParser {
    /* access modifiers changed from: package-private */
    public abstract T a(ResponseMessage responseMessage, T t) throws Exception;

    public boolean a() {
        return true;
    }

    public static void a(ResponseMessage responseMessage) {
        try {
            responseMessage.e();
        } catch (Exception unused) {
        }
    }

    @Override // com.alibaba.sdk.android.oss.internal.ResponseParser
    public T b(ResponseMessage responseMessage) throws IOException {
        try {
            T t = (T) ((OSSResult) ((Class) ((ParameterizedType) getClass().getGenericSuperclass()).getActualTypeArguments()[0]).newInstance());
            if (t != null) {
                t.i((String) responseMessage.a().get("x-oss-request-id"));
                t.d(responseMessage.f());
                t.b(a(responseMessage.g()));
                a(t, responseMessage);
                t = a(responseMessage, t);
            }
            if (a()) {
                a(responseMessage);
            }
            return t;
        } catch (Exception e) {
            IOException iOException = new IOException(e.getMessage(), e);
            e.printStackTrace();
            OSSLog.a(e);
            throw iOException;
        } catch (Throwable th) {
            if (a()) {
                a(responseMessage);
            }
            throw th;
        }
    }

    private CaseInsensitiveHashMap<String, String> a(Response response) {
        CaseInsensitiveHashMap<String, String> caseInsensitiveHashMap = new CaseInsensitiveHashMap<>();
        Headers headers = response.headers();
        for (int i = 0; i < headers.size(); i++) {
            caseInsensitiveHashMap.put(headers.name(i), headers.value(i));
        }
        return caseInsensitiveHashMap;
    }

    public <Result extends OSSResult> void a(Result result, ResponseMessage responseMessage) {
        InputStream b = responseMessage.h().b();
        if (b != null && (b instanceof CheckedInputStream)) {
            result.b(Long.valueOf(((CheckedInputStream) b).getChecksum().getValue()));
        }
        String str = (String) responseMessage.a().get("x-oss-hash-crc64ecma");
        if (str != null) {
            result.c(Long.valueOf(new BigInteger(str).longValue()));
        }
    }
}
