package com.facebook.imagepipeline.platform;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.MemoryFile;
import com.facebook.common.internal.ByteStreams;
import com.facebook.common.internal.Closeables;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Throwables;
import com.facebook.common.memory.PooledByteBuffer;
import com.facebook.common.memory.PooledByteBufferInputStream;
import com.facebook.common.references.CloseableReference;
import com.facebook.common.streams.LimitedInputStream;
import com.facebook.common.webp.WebpSupportStatus;
import com.facebook.imagepipeline.image.EncodedImage;
import java.io.FileDescriptor;
import java.io.IOException;
import java.io.OutputStream;
import java.lang.reflect.Method;
import javax.annotation.Nullable;

public class GingerbreadPurgeableDecoder extends DalvikPurgeableDecoder {
    private static Method b;

    @Override // com.facebook.imagepipeline.platform.DalvikPurgeableDecoder
    public /* bridge */ /* synthetic */ CloseableReference a(Bitmap bitmap) {
        return super.a(bitmap);
    }

    @Override // com.facebook.imagepipeline.platform.DalvikPurgeableDecoder, com.facebook.imagepipeline.platform.PlatformDecoder
    public /* bridge */ /* synthetic */ CloseableReference a(EncodedImage encodedImage, Bitmap.Config config) {
        return super.a(encodedImage, config);
    }

    @Override // com.facebook.imagepipeline.platform.DalvikPurgeableDecoder, com.facebook.imagepipeline.platform.PlatformDecoder
    public /* bridge */ /* synthetic */ CloseableReference a(EncodedImage encodedImage, Bitmap.Config config, int i) {
        return super.a(encodedImage, config, i);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.platform.DalvikPurgeableDecoder
    public Bitmap a(CloseableReference<PooledByteBuffer> closeableReference, BitmapFactory.Options options) {
        return a(closeableReference, closeableReference.a().a(), null, options);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.platform.DalvikPurgeableDecoder
    public Bitmap a(CloseableReference<PooledByteBuffer> closeableReference, int i, BitmapFactory.Options options) {
        return a(closeableReference, i, a(closeableReference, i) ? null : f1688a, options);
    }

    private static MemoryFile a(CloseableReference<PooledByteBuffer> closeableReference, int i, @Nullable byte[] bArr) throws IOException {
        Throwable th;
        OutputStream outputStream;
        PooledByteBufferInputStream pooledByteBufferInputStream;
        LimitedInputStream limitedInputStream;
        LimitedInputStream limitedInputStream2 = null;
        MemoryFile memoryFile = new MemoryFile(null, (bArr == null ? 0 : bArr.length) + i);
        memoryFile.allowPurging(false);
        try {
            pooledByteBufferInputStream = new PooledByteBufferInputStream(closeableReference.a());
            try {
                limitedInputStream = new LimitedInputStream(pooledByteBufferInputStream, i);
            } catch (Throwable th2) {
                th = th2;
                outputStream = null;
                CloseableReference.c(closeableReference);
                Closeables.a(pooledByteBufferInputStream);
                Closeables.a(limitedInputStream2);
                Closeables.a(outputStream, true);
                throw th;
            }
            try {
                outputStream = memoryFile.getOutputStream();
                try {
                    ByteStreams.a(limitedInputStream, outputStream);
                    if (bArr != null) {
                        memoryFile.writeBytes(bArr, 0, i, bArr.length);
                    }
                    CloseableReference.c(closeableReference);
                    Closeables.a(pooledByteBufferInputStream);
                    Closeables.a(limitedInputStream);
                    Closeables.a(outputStream, true);
                    return memoryFile;
                } catch (Throwable th3) {
                    th = th3;
                    limitedInputStream2 = limitedInputStream;
                    CloseableReference.c(closeableReference);
                    Closeables.a(pooledByteBufferInputStream);
                    Closeables.a(limitedInputStream2);
                    Closeables.a(outputStream, true);
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                outputStream = null;
                limitedInputStream2 = limitedInputStream;
                CloseableReference.c(closeableReference);
                Closeables.a(pooledByteBufferInputStream);
                Closeables.a(limitedInputStream2);
                Closeables.a(outputStream, true);
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            pooledByteBufferInputStream = null;
            outputStream = null;
            CloseableReference.c(closeableReference);
            Closeables.a(pooledByteBufferInputStream);
            Closeables.a(limitedInputStream2);
            Closeables.a(outputStream, true);
            throw th;
        }
    }

    private synchronized Method a() {
        if (b == null) {
            try {
                b = MemoryFile.class.getDeclaredMethod("getFileDescriptor", new Class[0]);
            } catch (Exception e) {
                throw Throwables.b(e);
            }
        }
        return b;
    }

    private FileDescriptor a(MemoryFile memoryFile) {
        try {
            return (FileDescriptor) a().invoke(memoryFile, new Object[0]);
        } catch (Exception e) {
            throw Throwables.b(e);
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x002d  */
    public Bitmap a(CloseableReference<PooledByteBuffer> closeableReference, int i, byte[] bArr, BitmapFactory.Options options) {
        Throwable th;
        IOException e;
        MemoryFile memoryFile = null;
        try {
            MemoryFile memoryFile2 = a(closeableReference, i, bArr);
            try {
                Bitmap bitmap = (Bitmap) Preconditions.a(WebpSupportStatus.d.a(a(memoryFile2), null, options), "BitmapFactory returned null");
                if (memoryFile2 != null) {
                    memoryFile2.close();
                }
                return bitmap;
            } catch (IOException e2) {
                e = e2;
                memoryFile = memoryFile2;
                try {
                    throw Throwables.b(e);
                } catch (Throwable th2) {
                    th = th2;
                    memoryFile2 = memoryFile;
                    if (memoryFile2 != null) {
                        memoryFile2.close();
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                if (memoryFile2 != null) {
                }
                throw th;
            }
        } catch (IOException e3) {
            e = e3;
            throw Throwables.b(e);
        }
    }
}
