package com.facebook.imagepipeline.producers;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.logging.FLog;
import com.facebook.imageformat.DefaultImageFormats;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;

public class DownsampleUtil {
    @VisibleForTesting
    static int b(float f) {
        if (f > 0.6666667f) {
            return 1;
        }
        int i = 2;
        while (true) {
            int i2 = i * 2;
            double d = 1.0d / ((double) i2);
            if (d + (0.3333333432674408d * d) <= ((double) f)) {
                return i;
            }
            i = i2;
        }
    }

    private DownsampleUtil() {
    }

    public static int a(ImageRequest imageRequest, EncodedImage encodedImage) {
        int i;
        if (!EncodedImage.c(encodedImage)) {
            return 1;
        }
        float b = b(imageRequest, encodedImage);
        if (encodedImage.e() == DefaultImageFormats.f1575a) {
            i = b(b);
        } else {
            i = a(b);
        }
        int max = Math.max(encodedImage.h(), encodedImage.g());
        ResizeOptions g = imageRequest.g();
        float f = g != null ? g.c : 2048.0f;
        while (((float) (max / i)) > f) {
            i = encodedImage.e() == DefaultImageFormats.f1575a ? i * 2 : i + 1;
        }
        return i;
    }

    @VisibleForTesting
    static float b(ImageRequest imageRequest, EncodedImage encodedImage) {
        Preconditions.a(EncodedImage.c(encodedImage));
        ResizeOptions g = imageRequest.g();
        if (g == null || g.b <= 0 || g.f1626a <= 0 || encodedImage.g() == 0 || encodedImage.h() == 0) {
            return 1.0f;
        }
        int c = c(imageRequest, encodedImage);
        boolean z = c == 90 || c == 270;
        int h = z ? encodedImage.h() : encodedImage.g();
        int g2 = z ? encodedImage.g() : encodedImage.h();
        float f = ((float) g.f1626a) / ((float) h);
        float f2 = ((float) g.b) / ((float) g2);
        float max = Math.max(f, f2);
        FLog.a("DownsampleUtil", "Downsample - Specified size: %dx%d, image size: %dx%d ratio: %.1f x %.1f, ratio: %.3f for %s", Integer.valueOf(g.f1626a), Integer.valueOf(g.b), Integer.valueOf(h), Integer.valueOf(g2), Float.valueOf(f), Float.valueOf(f2), Float.valueOf(max), imageRequest.b().toString());
        return max;
    }

    @VisibleForTesting
    static int a(float f) {
        if (f > 0.6666667f) {
            return 1;
        }
        int i = 2;
        while (true) {
            double d = (double) i;
            if ((1.0d / d) + ((1.0d / (Math.pow(d, 2.0d) - d)) * 0.3333333432674408d) <= ((double) f)) {
                return i - 1;
            }
            i++;
        }
    }

    private static int c(ImageRequest imageRequest, EncodedImage encodedImage) {
        boolean z = false;
        if (!imageRequest.h().d()) {
            return 0;
        }
        int f = encodedImage.f();
        if (f == 0 || f == 90 || f == 180 || f == 270) {
            z = true;
        }
        Preconditions.a(z);
        return f;
    }
}
