package com.facebook.react.animated;

import com.facebook.react.bridge.JSApplicationCausedNativeException;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;

/* access modifiers changed from: package-private */
public class DivisionAnimatedNode extends ValueAnimatedNode {
    private final NativeAnimatedNodesManager g;
    private final int[] h;

    public DivisionAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager) {
        this.g = nativeAnimatedNodesManager;
        ReadableArray k = readableMap.k("input");
        this.h = new int[k.a()];
        for (int i = 0; i < this.h.length; i++) {
            this.h[i] = k.c(i);
        }
    }

    @Override // com.facebook.react.animated.AnimatedNode
    public void a() {
        for (int i = 0; i < this.h.length; i++) {
            AnimatedNode a2 = this.g.a(this.h[i]);
            if (a2 == null || !(a2 instanceof ValueAnimatedNode)) {
                throw new JSApplicationCausedNativeException("Illegal node ID set as an input for Animated.divide node");
            }
            double b = ((ValueAnimatedNode) a2).b();
            if (i == 0) {
                this.e = b;
            } else if (b != 0.0d) {
                this.e /= b;
            } else {
                throw new JSApplicationCausedNativeException("Detected a division by zero in Animated.divide node");
            }
        }
    }
}
