package com.facebook.react.animated;

import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.JavaOnlyMap;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableMapKeySetIterator;
import com.facebook.react.uimanager.ReactStylesDiffMap;
import com.facebook.react.uimanager.UIImplementation;
import java.util.HashMap;
import java.util.Map;

/* access modifiers changed from: package-private */
public class PropsAnimatedNode extends AnimatedNode {
    private int e = -1;
    private final NativeAnimatedNodesManager f;
    private final UIImplementation g;
    private final Map<String, Integer> h;
    private final JavaOnlyMap i;
    private final ReactStylesDiffMap j;

    PropsAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager, UIImplementation uIImplementation) {
        ReadableMap g2 = readableMap.g("props");
        ReadableMapKeySetIterator a2 = g2.a();
        this.h = new HashMap();
        while (a2.hasNextKey()) {
            String nextKey = a2.nextKey();
            this.h.put(nextKey, Integer.valueOf(g2.e(nextKey)));
        }
        this.i = new JavaOnlyMap();
        this.j = new ReactStylesDiffMap(this.i);
        this.f = nativeAnimatedNodesManager;
        this.g = uIImplementation;
    }

    public void a(int i2) {
        if (this.e == -1) {
            this.e = i2;
            return;
        }
        throw new JSApplicationIllegalArgumentException("Animated node " + this.d + " is already attached to a view");
    }

    public void b(int i2) {
        if (this.e == i2) {
            this.e = -1;
            return;
        }
        throw new JSApplicationIllegalArgumentException("Attempting to disconnect view that has not been connected with the given animated node");
    }

    public void b() {
        ReadableMapKeySetIterator a2 = this.i.a();
        while (a2.hasNextKey()) {
            this.i.putNull(a2.nextKey());
        }
        this.g.a(this.e, this.j);
    }

    public final void c() {
        if (this.e != -1) {
            for (Map.Entry<String, Integer> entry : this.h.entrySet()) {
                AnimatedNode a2 = this.f.a(entry.getValue().intValue());
                if (a2 == null) {
                    throw new IllegalArgumentException("Mapped property node does not exists");
                } else if (a2 instanceof StyleAnimatedNode) {
                    ((StyleAnimatedNode) a2).a(this.i);
                } else if (a2 instanceof ValueAnimatedNode) {
                    this.i.putDouble(entry.getKey(), ((ValueAnimatedNode) a2).b());
                } else {
                    throw new IllegalArgumentException("Unsupported type of node used in property node " + a2.getClass());
                }
            }
            this.g.a(this.e, this.j);
        }
    }
}
