package com.facebook.react.animated;

import com.facebook.react.bridge.JavaOnlyMap;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableMapKeySetIterator;
import java.util.HashMap;
import java.util.Map;

/* access modifiers changed from: package-private */
public class StyleAnimatedNode extends AnimatedNode {
    private final NativeAnimatedNodesManager e;
    private final Map<String, Integer> f = new HashMap();

    StyleAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager) {
        ReadableMap g = readableMap.g("style");
        ReadableMapKeySetIterator a2 = g.a();
        while (a2.hasNextKey()) {
            String nextKey = a2.nextKey();
            this.f.put(nextKey, Integer.valueOf(g.e(nextKey)));
        }
        this.e = nativeAnimatedNodesManager;
    }

    public void a(JavaOnlyMap javaOnlyMap) {
        for (Map.Entry<String, Integer> entry : this.f.entrySet()) {
            AnimatedNode a2 = this.e.a(entry.getValue().intValue());
            if (a2 == null) {
                throw new IllegalArgumentException("Mapped style node does not exists");
            } else if (a2 instanceof TransformAnimatedNode) {
                ((TransformAnimatedNode) a2).a(javaOnlyMap);
            } else if (a2 instanceof ValueAnimatedNode) {
                javaOnlyMap.putDouble(entry.getKey(), ((ValueAnimatedNode) a2).b());
            } else {
                throw new IllegalArgumentException("Unsupported type of node used in property node " + a2.getClass());
            }
        }
    }
}
