package com.facebook.react.bridge;

import android.os.Bundle;
import java.lang.reflect.Array;
import java.util.AbstractList;
import java.util.List;
import java.util.Map;

public class Arguments {
    private static Object c(Object obj) {
        if (obj == null) {
            return null;
        }
        if ((obj instanceof Float) || (obj instanceof Long) || (obj instanceof Byte) || (obj instanceof Short)) {
            return new Double(((Number) obj).doubleValue());
        }
        if (obj.getClass().isArray()) {
            return a(obj);
        }
        if (obj instanceof List) {
            return a((List) obj);
        }
        if (obj instanceof Map) {
            return a((Map<String, Object>) ((Map) obj));
        }
        return obj instanceof Bundle ? a((Bundle) obj) : obj;
    }

    public static WritableNativeArray a(List list) {
        WritableNativeArray writableNativeArray = new WritableNativeArray();
        if (list == null) {
            return writableNativeArray;
        }
        for (Object obj : list) {
            Object c = c(obj);
            if (c == null) {
                writableNativeArray.pushNull();
            } else if (c instanceof Boolean) {
                writableNativeArray.pushBoolean(((Boolean) c).booleanValue());
            } else if (c instanceof Integer) {
                writableNativeArray.pushInt(((Integer) c).intValue());
            } else if (c instanceof Double) {
                writableNativeArray.pushDouble(((Double) c).doubleValue());
            } else if (c instanceof String) {
                writableNativeArray.pushString((String) c);
            } else if (c instanceof WritableNativeArray) {
                writableNativeArray.a((WritableNativeArray) c);
            } else if (c instanceof WritableNativeMap) {
                writableNativeArray.a((WritableNativeMap) c);
            } else {
                throw new IllegalArgumentException("Could not convert " + c.getClass());
            }
        }
        return writableNativeArray;
    }

    public static <T> WritableNativeArray a(final Object obj) {
        if (obj == null) {
            return new WritableNativeArray();
        }
        return a((List) new AbstractList() {
            /* class com.facebook.react.bridge.Arguments.AnonymousClass1 */

            public int size() {
                return Array.getLength(obj);
            }

            @Override // java.util.List, java.util.AbstractList
            public Object get(int i) {
                return Array.get(obj, i);
            }
        });
    }

    private static void a(WritableNativeMap writableNativeMap, String str, Object obj) {
        Object c = c(obj);
        if (c == null) {
            writableNativeMap.putNull(str);
        } else if (c instanceof Boolean) {
            writableNativeMap.putBoolean(str, ((Boolean) c).booleanValue());
        } else if (c instanceof Integer) {
            writableNativeMap.putInt(str, ((Integer) c).intValue());
        } else if (c instanceof Number) {
            writableNativeMap.putDouble(str, ((Number) c).doubleValue());
        } else if (c instanceof String) {
            writableNativeMap.putString(str, (String) c);
        } else if (c instanceof WritableNativeArray) {
            writableNativeMap.a(str, (WritableNativeArray) c);
        } else if (c instanceof WritableNativeMap) {
            writableNativeMap.a(str, (WritableNativeMap) c);
        } else {
            throw new IllegalArgumentException("Could not convert " + c.getClass());
        }
    }

    public static WritableNativeMap a(Map<String, Object> map) {
        WritableNativeMap writableNativeMap = new WritableNativeMap();
        if (map == null) {
            return writableNativeMap;
        }
        for (Map.Entry<String, Object> entry : map.entrySet()) {
            a(writableNativeMap, entry.getKey(), entry.getValue());
        }
        return writableNativeMap;
    }

    public static WritableNativeMap a(Bundle bundle) {
        WritableNativeMap writableNativeMap = new WritableNativeMap();
        if (bundle == null) {
            return writableNativeMap;
        }
        for (String str : bundle.keySet()) {
            a(writableNativeMap, str, bundle.get(str));
        }
        return writableNativeMap;
    }

    public static WritableArray a() {
        return new WritableNativeArray();
    }

    public static WritableMap b() {
        return new WritableNativeMap();
    }

    public static WritableNativeArray a(Object[] objArr) {
        WritableNativeArray writableNativeArray = new WritableNativeArray();
        for (Object obj : objArr) {
            if (obj == null) {
                writableNativeArray.pushNull();
            } else {
                Class<?> cls = obj.getClass();
                if (cls == Boolean.class) {
                    writableNativeArray.pushBoolean(((Boolean) obj).booleanValue());
                } else if (cls == Integer.class) {
                    writableNativeArray.pushDouble(((Integer) obj).doubleValue());
                } else if (cls == Double.class) {
                    writableNativeArray.pushDouble(((Double) obj).doubleValue());
                } else if (cls == Float.class) {
                    writableNativeArray.pushDouble(((Float) obj).doubleValue());
                } else if (cls == String.class) {
                    writableNativeArray.pushString(obj.toString());
                } else if (cls == WritableNativeMap.class) {
                    writableNativeArray.a((WritableNativeMap) obj);
                } else if (cls == WritableNativeArray.class) {
                    writableNativeArray.a((WritableNativeArray) obj);
                } else {
                    throw new RuntimeException("Cannot convert argument of type " + cls);
                }
            }
        }
        return writableNativeArray;
    }

    public static WritableArray b(Object obj) {
        WritableArray a2 = a();
        int i = 0;
        if (obj instanceof String[]) {
            String[] strArr = (String[]) obj;
            int length = strArr.length;
            while (i < length) {
                a2.pushString(strArr[i]);
                i++;
            }
        } else if (obj instanceof Bundle[]) {
            Bundle[] bundleArr = (Bundle[]) obj;
            int length2 = bundleArr.length;
            while (i < length2) {
                a2.a(b(bundleArr[i]));
                i++;
            }
        } else if (obj instanceof int[]) {
            int[] iArr = (int[]) obj;
            int length3 = iArr.length;
            while (i < length3) {
                a2.pushInt(iArr[i]);
                i++;
            }
        } else if (obj instanceof float[]) {
            float[] fArr = (float[]) obj;
            int length4 = fArr.length;
            while (i < length4) {
                a2.pushDouble((double) fArr[i]);
                i++;
            }
        } else if (obj instanceof double[]) {
            double[] dArr = (double[]) obj;
            int length5 = dArr.length;
            while (i < length5) {
                a2.pushDouble(dArr[i]);
                i++;
            }
        } else if (obj instanceof boolean[]) {
            boolean[] zArr = (boolean[]) obj;
            int length6 = zArr.length;
            while (i < length6) {
                a2.pushBoolean(zArr[i]);
                i++;
            }
        } else {
            throw new IllegalArgumentException("Unknown array type " + obj.getClass());
        }
        return a2;
    }

    public static WritableArray b(List list) {
        WritableArray a2 = a();
        for (Object obj : list) {
            if (obj == null) {
                a2.pushNull();
            } else if (obj.getClass().isArray()) {
                a2.a(b(obj));
            } else if (obj instanceof Bundle) {
                a2.a(b((Bundle) obj));
            } else if (obj instanceof List) {
                a2.a(b((List) obj));
            } else if (obj instanceof String) {
                a2.pushString((String) obj);
            } else if (obj instanceof Integer) {
                a2.pushInt(((Integer) obj).intValue());
            } else if (obj instanceof Number) {
                a2.pushDouble(((Number) obj).doubleValue());
            } else if (obj instanceof Boolean) {
                a2.pushBoolean(((Boolean) obj).booleanValue());
            } else {
                throw new IllegalArgumentException("Unknown value type " + obj.getClass());
            }
        }
        return a2;
    }

    public static WritableMap b(Bundle bundle) {
        WritableMap b = b();
        for (String str : bundle.keySet()) {
            Object obj = bundle.get(str);
            if (obj == null) {
                b.putNull(str);
            } else if (obj.getClass().isArray()) {
                b.a(str, b(obj));
            } else if (obj instanceof String) {
                b.putString(str, (String) obj);
            } else if (obj instanceof Number) {
                if (obj instanceof Integer) {
                    b.putInt(str, ((Integer) obj).intValue());
                } else {
                    b.putDouble(str, ((Number) obj).doubleValue());
                }
            } else if (obj instanceof Boolean) {
                b.putBoolean(str, ((Boolean) obj).booleanValue());
            } else if (obj instanceof Bundle) {
                b.a(str, b((Bundle) obj));
            } else if (obj instanceof List) {
                b.a(str, b((List) obj));
            } else {
                throw new IllegalArgumentException("Could not convert " + obj.getClass());
            }
        }
        return b;
    }

    /* renamed from: com.facebook.react.bridge.Arguments$2  reason: invalid class name */
    static /* synthetic */ class AnonymousClass2 {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f1864a = new int[ReadableType.values().length];

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|(3:11|12|14)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0040 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0014 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0035 */
        static {
            f1864a[ReadableType.Null.ordinal()] = 1;
            f1864a[ReadableType.Boolean.ordinal()] = 2;
            f1864a[ReadableType.Number.ordinal()] = 3;
            f1864a[ReadableType.String.ordinal()] = 4;
            f1864a[ReadableType.Map.ordinal()] = 5;
            try {
                f1864a[ReadableType.Array.ordinal()] = 6;
            } catch (NoSuchFieldError unused) {
            }
        }
    }
}
