package com.facebook.react.devsupport;

import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.devsupport.JSCHeapCapture;
import com.facebook.react.module.annotations.ReactModule;
import javax.annotation.Nullable;

@ReactModule
public class JSDevSupport extends ReactContextBaseJavaModule {
    static final String MODULE_NAME = "JSDevSupport";
    @Nullable
    private volatile DevSupportCallback mCurrentCallback = null;

    public interface DevSupportCallback {
        void a(Exception exc);

        void a(String str);
    }

    public interface JSDevSupportModule extends JavaScriptModule {
        void getJSHierarchy(String str);
    }

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return MODULE_NAME;
    }

    public JSDevSupport(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
    }

    public synchronized void getJSHierarchy(String str, DevSupportCallback devSupportCallback) {
        if (this.mCurrentCallback != null) {
            devSupportCallback.a(new RuntimeException("JS Hierarchy download already in progress."));
            return;
        }
        JSDevSupportModule jSDevSupportModule = (JSDevSupportModule) getReactApplicationContext().a(JSDevSupportModule.class);
        if (jSDevSupportModule == null) {
            devSupportCallback.a(new JSCHeapCapture.CaptureException("JSDevSupport module not registered."));
            return;
        }
        this.mCurrentCallback = devSupportCallback;
        jSDevSupportModule.getJSHierarchy(str);
    }

    @ReactMethod
    public synchronized void setResult(String str, String str2) {
        if (this.mCurrentCallback != null) {
            if (str2 == null) {
                this.mCurrentCallback.a(str);
            } else {
                this.mCurrentCallback.a(new RuntimeException(str2));
            }
        }
        this.mCurrentCallback = null;
    }
}
