package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewParent;
import javax.annotation.Nullable;

abstract class DrawCommandManager {
    /* access modifiers changed from: package-private */
    public abstract void a(Canvas canvas);

    /* access modifiers changed from: package-private */
    public abstract void a(Rect rect);

    /* access modifiers changed from: package-private */
    public abstract void a(View view);

    /* access modifiers changed from: package-private */
    public abstract void a(ViewResolver viewResolver, int[] iArr, int[] iArr2);

    /* access modifiers changed from: package-private */
    public abstract void a(DrawCommand[] drawCommandArr, SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, boolean z);

    /* access modifiers changed from: package-private */
    public abstract void a(NodeRegion[] nodeRegionArr, float[] fArr, float[] fArr2);

    /* access modifiers changed from: package-private */
    @Nullable
    public abstract NodeRegion b(float f, float f2);

    /* access modifiers changed from: package-private */
    public abstract void b(Canvas canvas);

    /* access modifiers changed from: package-private */
    public abstract boolean b();

    /* access modifiers changed from: package-private */
    public abstract SparseArray<View> c();

    /* access modifiers changed from: package-private */
    @Nullable
    public abstract NodeRegion c(float f, float f2);

    DrawCommandManager() {
    }

    protected static void b(View view) {
        ViewParent parent = view.getParent();
        if (parent != null) {
            throw new RuntimeException("Cannot add view " + view + " to DrawCommandManager while it has a parent " + parent);
        }
    }

    static DrawCommandManager a(FlatViewGroup flatViewGroup, DrawCommand[] drawCommandArr) {
        return new VerticalDrawCommandManager(flatViewGroup, drawCommandArr);
    }
}
