package com.facebook.react.flat;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Animatable;
import android.net.Uri;
import com.facebook.drawee.controller.ControllerListener;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.generic.GenericDraweeHierarchy;
import com.facebook.drawee.generic.RoundingParams;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.request.ImageRequest;
import com.facebook.imagepipeline.request.ImageRequestBuilder;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.flat.FlatViewGroup;
import com.facebook.react.views.image.GlobalImageLoadListener;
import com.facebook.react.views.image.ImageResizeMode;
import com.facebook.react.views.imagehelper.ImageSource;
import com.facebook.react.views.imagehelper.MultiSourceHelper;
import com.tencent.smtt.sdk.TbsListener;
import java.util.LinkedList;
import java.util.List;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class DrawImageWithDrawee extends AbstractDrawCommand implements ControllerListener, DrawImage {
    private final List<ImageSource> c = new LinkedList();
    @Nullable
    private final GlobalImageLoadListener d;
    @Nullable
    private DraweeRequestHelper e;
    @Nullable
    private PorterDuffColorFilter f;
    private ScalingUtils.ScaleType g = ImageResizeMode.a();
    private float h;
    private float i;
    private int j;
    private int k;
    private boolean l;
    private int m = TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE;
    @Nullable
    private FlatViewGroup.InvalidateCallback n;

    @Override // com.facebook.drawee.controller.ControllerListener
    public void a(String str) {
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void a(String str, Throwable th) {
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void b(String str, @Nullable Object obj) {
    }

    public DrawImageWithDrawee(@Nullable GlobalImageLoadListener globalImageLoadListener) {
        this.d = globalImageLoadListener;
    }

    @Override // com.facebook.react.flat.DrawImage
    public boolean b() {
        return !this.c.isEmpty();
    }

    @Override // com.facebook.react.flat.DrawImage
    public void a(Context context, @Nullable ReadableArray readableArray) {
        this.c.clear();
        if (!(readableArray == null || readableArray.a() == 0)) {
            if (readableArray.a() == 1) {
                this.c.add(new ImageSource(context, readableArray.i(0).f("uri")));
                return;
            }
            for (int i2 = 0; i2 < readableArray.a(); i2++) {
                ReadableMap i3 = readableArray.i(i2);
                this.c.add(new ImageSource(context, i3.f("uri"), i3.d("width"), i3.d("height")));
            }
        }
    }

    @Override // com.facebook.react.flat.DrawImage
    public void a(int i2) {
        if (i2 == 0) {
            this.f = null;
        } else {
            this.f = new PorterDuffColorFilter(i2, PorterDuff.Mode.SRC_ATOP);
        }
    }

    @Override // com.facebook.react.flat.DrawImage
    public void a(ScalingUtils.ScaleType scaleType) {
        this.g = scaleType;
    }

    @Override // com.facebook.react.flat.DrawImage
    public ScalingUtils.ScaleType c() {
        return this.g;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void a(float f2) {
        this.h = f2;
    }

    @Override // com.facebook.react.flat.DrawImage
    public float e() {
        return this.h;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void b(float f2) {
        this.i = f2;
    }

    @Override // com.facebook.react.flat.DrawImage
    public float f() {
        return this.i;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void c(int i2) {
        this.j = i2;
    }

    @Override // com.facebook.react.flat.DrawImage
    public int g() {
        return this.j;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void d(int i2) {
        this.m = i2;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void a(boolean z) {
        this.l = z;
    }

    @Override // com.facebook.react.flat.DrawImage
    public void b(int i2) {
        this.k = i2;
    }

    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void c(Canvas canvas) {
        if (this.e != null) {
            this.e.c().draw(canvas);
        }
    }

    @Override // com.facebook.react.flat.AttachDetachListener
    public void a(FlatViewGroup.InvalidateCallback invalidateCallback) {
        this.n = invalidateCallback;
        if (this.e != null) {
            GenericDraweeHierarchy b = this.e.b();
            RoundingParams c2 = b.c();
            if (v()) {
                if (c2 == null) {
                    c2 = new RoundingParams();
                }
                c2.a(this.j, this.h);
                c2.a(this.i);
                b.a(c2);
            } else if (c2 != null) {
                b.a((RoundingParams) null);
            }
            b.a(this.g);
            b.a(this.f);
            b.a(this.m);
            b.a().setBounds(Math.round(p()), Math.round(q()), Math.round(r()), Math.round(s()));
            this.e.a(invalidateCallback);
            return;
        }
        throw new RuntimeException("No DraweeRequestHelper - width: " + (r() - p()) + " - height: " + (s() - q()) + " - number of sources: " + this.c.size());
    }

    @Override // com.facebook.react.flat.AttachDetachListener
    public void a() {
        if (this.e != null) {
            this.e.a();
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void a(String str, Object obj) {
        if (this.n != null && this.k != 0) {
            this.n.a(this.k, 4);
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void a(String str, @Nullable Object obj, @Nullable Animatable animatable) {
        if (this.n != null && this.k != 0) {
            this.n.a(this.k, 2);
            this.n.a(this.k, 3);
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void b(String str, Throwable th) {
        if (this.n != null && this.k != 0) {
            this.n.a(this.k, 1);
            this.n.a(this.k, 3);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.AbstractDrawCommand
    public void d() {
        super.d();
        u();
    }

    private void u() {
        MultiSourceHelper.MultiSourceResult a2 = MultiSourceHelper.a(Math.round(r() - p()), Math.round(s() - q()), this.c);
        ImageSource a3 = a2.a();
        ImageSource b = a2.b();
        ImageRequest imageRequest = null;
        if (a3 == null) {
            this.e = null;
            return;
        }
        ResizeOptions resizeOptions = a(a3) ? new ResizeOptions((int) (r() - p()), (int) (s() - q())) : null;
        ImageRequest n2 = ImageRequestBuilder.a(a3.b()).a(resizeOptions).b(this.l).n();
        if (this.d != null) {
            this.d.a(a3.b());
        }
        if (b != null) {
            imageRequest = ImageRequestBuilder.a(b.b()).a(resizeOptions).b(this.l).n();
        }
        this.e = new DraweeRequestHelper((ImageRequest) Assertions.b(n2), imageRequest, this);
    }

    private boolean v() {
        return this.j != 0 || this.i >= 0.5f;
    }

    private static boolean a(ImageSource imageSource) {
        String str;
        Uri b = imageSource.b();
        if (b == null) {
            str = null;
        } else {
            str = b.getScheme();
        }
        return "file".equals(str) || "content".equals(str);
    }
}
