package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.SurfaceTexture;
import android.util.Log;
import android.view.Surface;
import android.view.TextureView;
import com.facebook.react.uimanager.ReactShadowNode;
import com.facebook.react.uimanager.UIViewOperationQueue;
import com.facebook.react.views.art.ARTVirtualNode;
import com.facebook.yoga.YogaUnit;
import com.facebook.yoga.YogaValue;
import javax.annotation.Nullable;

class FlatARTSurfaceViewShadowNode extends FlatShadowNode implements TextureView.SurfaceTextureListener, AndroidView {
    private boolean d = false;
    @Nullable
    private Surface e;

    @Override // com.facebook.react.flat.AndroidView
    public boolean c_() {
        return false;
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean d() {
        return false;
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean e() {
        return true;
    }

    public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
    }

    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
    }

    FlatARTSurfaceViewShadowNode() {
        B();
        f();
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public void a(UIViewOperationQueue uIViewOperationQueue) {
        super.a(uIViewOperationQueue);
        H();
        uIViewOperationQueue.a(V(), this);
    }

    private void H() {
        if (this.e == null || !this.e.isValid()) {
            f(this);
            return;
        }
        try {
            Canvas lockCanvas = this.e.lockCanvas(null);
            lockCanvas.drawColor(0, PorterDuff.Mode.CLEAR);
            Paint paint = new Paint();
            for (int i = 0; i < S(); i++) {
                ARTVirtualNode aRTVirtualNode = (ARTVirtualNode) e(i);
                aRTVirtualNode.a(lockCanvas, paint, 1.0f);
                aRTVirtualNode.P();
            }
            if (this.e != null) {
                this.e.unlockCanvasAndPost(lockCanvas);
            }
        } catch (IllegalArgumentException | IllegalStateException e2) {
            Log.e("ReactNative", e2.getClass().getSimpleName() + " in Surface.unlockCanvasAndPost");
        }
    }

    private void f(ReactShadowNode reactShadowNode) {
        for (int i = 0; i < reactShadowNode.S(); i++) {
            ReactShadowNode e2 = reactShadowNode.e(i);
            e2.P();
            f(e2);
        }
    }

    @Override // com.facebook.react.flat.AndroidView
    public boolean b() {
        return this.d;
    }

    @Override // com.facebook.react.flat.AndroidView
    public void c() {
        this.d = false;
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    public void a(int i, float f) {
        YogaValue k = k(i);
        if (k.e != YogaUnit.POINT || k.d != f) {
            super.a(i, f);
            this.d = true;
            n();
        }
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    public void b(int i, float f) {
        YogaValue k = k(i);
        if (k.e != YogaUnit.PERCENT || k.d != f) {
            super.a(i, f);
            this.d = true;
            n();
        }
    }

    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
        this.e = new Surface(surfaceTexture);
        H();
    }

    public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
        surfaceTexture.release();
        this.e = null;
        return true;
    }
}
