package com.facebook.react.flat;

import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import com.facebook.react.uimanager.NativeViewHierarchyManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;
import com.facebook.react.uimanager.common.SizeMonitoringFrameLayout;
import java.util.ArrayList;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class FlatNativeViewHierarchyManager extends NativeViewHierarchyManager implements ViewResolver {
    @Override // com.facebook.react.flat.ViewResolver
    public View a(int i) {
        return super.b(i);
    }

    @Override // com.facebook.react.uimanager.NativeViewHierarchyManager
    public void a(int i, SizeMonitoringFrameLayout sizeMonitoringFrameLayout, ThemedReactContext themedReactContext) {
        FlatViewGroup flatViewGroup = new FlatViewGroup(themedReactContext);
        sizeMonitoringFrameLayout.addView(flatViewGroup);
        sizeMonitoringFrameLayout.setId(i);
        a(i, flatViewGroup, themedReactContext);
    }

    /* access modifiers changed from: package-private */
    public void a(int i, @Nullable DrawCommand[] drawCommandArr, @Nullable AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr) {
        FlatViewGroup flatViewGroup = (FlatViewGroup) b(i);
        if (drawCommandArr != null) {
            flatViewGroup.a(drawCommandArr);
        }
        if (attachDetachListenerArr != null) {
            flatViewGroup.a(attachDetachListenerArr);
        }
        if (nodeRegionArr != null) {
            flatViewGroup.a(nodeRegionArr);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i, @Nullable DrawCommand[] drawCommandArr, SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, @Nullable AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr, float[] fArr3, float[] fArr4, boolean z) {
        FlatViewGroup flatViewGroup = (FlatViewGroup) b(i);
        if (drawCommandArr != null) {
            flatViewGroup.a(drawCommandArr, sparseIntArray, fArr, fArr2, z);
        }
        if (attachDetachListenerArr != null) {
            flatViewGroup.a(attachDetachListenerArr);
        }
        if (nodeRegionArr != null) {
            flatViewGroup.a(nodeRegionArr, fArr3, fArr4);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i, int[] iArr, int[] iArr2) {
        View b = b(i);
        if (b instanceof FlatViewGroup) {
            ((FlatViewGroup) b).a(this, iArr, iArr2);
            return;
        }
        ViewGroup viewGroup = (ViewGroup) b;
        ViewGroupManager viewGroupManager = (ViewGroupManager) c(i);
        ArrayList arrayList = new ArrayList(iArr.length);
        for (int i2 : iArr) {
            arrayList.add(b(Math.abs(i2)));
        }
        viewGroupManager.addViews(viewGroup, arrayList);
    }

    /* access modifiers changed from: package-private */
    public void a(int i, int i2, int i3, int i4, int i5) {
        View b = b(i);
        int i6 = i4 - i2;
        int i7 = i5 - i3;
        if (b.getWidth() == i6 && b.getHeight() == i7) {
            b.offsetLeftAndRight(i2 - b.getLeft());
            b.offsetTopAndBottom(i3 - b.getTop());
            return;
        }
        b.measure(View.MeasureSpec.makeMeasureSpec(i6, 1073741824), View.MeasureSpec.makeMeasureSpec(i7, 1073741824));
        b.layout(i2, i3, i4, i5);
    }

    /* access modifiers changed from: package-private */
    public void b(int i, int i2, int i3, int i4, int i5) {
        b(i).setPadding(i2, i3, i4, i5);
    }

    /* access modifiers changed from: package-private */
    public void a(SparseIntArray sparseIntArray) {
        int size = sparseIntArray.size();
        for (int i = 0; i < size; i++) {
            int keyAt = sparseIntArray.keyAt(i);
            View view = null;
            if (keyAt > 0) {
                try {
                    View b = b(keyAt);
                    try {
                        a(b);
                    } catch (Exception unused) {
                    }
                    view = b;
                } catch (Exception unused2) {
                }
            } else {
                d(-keyAt);
            }
            int valueAt = sparseIntArray.valueAt(i);
            if (valueAt > 0 && view != null && view.getParent() == null) {
                View b2 = b(valueAt);
                if (b2 instanceof FlatViewGroup) {
                    ((FlatViewGroup) b2).a(view);
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.uimanager.NativeViewHierarchyManager
    public void a(View view) {
        super.a(view);
        if (view instanceof FlatViewGroup) {
            FlatViewGroup flatViewGroup = (FlatViewGroup) view;
            if (flatViewGroup.getRemoveClippedSubviews()) {
                SparseArray<View> a2 = flatViewGroup.a();
                int size = a2.size();
                for (int i = 0; i < size; i++) {
                    View valueAt = a2.valueAt(i);
                    try {
                        a(valueAt);
                    } catch (Exception unused) {
                    }
                    flatViewGroup.b(valueAt);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int[] iArr) {
        for (int i : iArr) {
            View b = b(i);
            if (b instanceof FlatViewGroup) {
                ((FlatViewGroup) b).detachAllViewsFromParent();
            } else {
                ((ViewGroupManager) c(i)).removeAllViews((ViewGroup) b);
            }
        }
    }
}
