package com.facebook.react.flat;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.text.style.ReplacementSpan;
import com.facebook.imagepipeline.request.ImageRequest;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.flat.FlatViewGroup;
import javax.annotation.Nullable;

final class InlineImageSpanWithPipeline extends ReplacementSpan implements AttachDetachListener, BitmapUpdateListener {
    private static final RectF b = new RectF();
    @Nullable
    private PipelineRequestHelper c;
    @Nullable
    private FlatViewGroup.InvalidateCallback d;
    private float e;
    private float f;
    private boolean g;

    @Override // com.facebook.react.flat.BitmapUpdateListener
    public void a(int i) {
    }

    InlineImageSpanWithPipeline() {
        this(null, Float.NaN, Float.NaN);
    }

    private InlineImageSpanWithPipeline(@Nullable PipelineRequestHelper pipelineRequestHelper, float f2, float f3) {
        this.c = pipelineRequestHelper;
        this.e = f2;
        this.f = f3;
    }

    /* access modifiers changed from: package-private */
    public InlineImageSpanWithPipeline b() {
        return new InlineImageSpanWithPipeline(this.c, this.e, this.f);
    }

    /* access modifiers changed from: package-private */
    public void a(@Nullable ImageRequest imageRequest) {
        if (imageRequest == null) {
            this.c = null;
        } else {
            this.c = new PipelineRequestHelper(imageRequest);
        }
    }

    /* access modifiers changed from: package-private */
    public float c() {
        return this.e;
    }

    /* access modifiers changed from: package-private */
    public void a(float f2) {
        this.e = f2;
    }

    /* access modifiers changed from: package-private */
    public float d() {
        return this.f;
    }

    /* access modifiers changed from: package-private */
    public void b(float f2) {
        this.f = f2;
    }

    /* access modifiers changed from: package-private */
    public void e() {
        this.g = true;
    }

    /* access modifiers changed from: package-private */
    public boolean f() {
        return this.g;
    }

    @Override // com.facebook.react.flat.BitmapUpdateListener
    public void a(Bitmap bitmap) {
        ((FlatViewGroup.InvalidateCallback) Assertions.a(this.d)).a();
    }

    @Override // com.facebook.react.flat.BitmapUpdateListener
    public void b(Bitmap bitmap) {
        ((FlatViewGroup.InvalidateCallback) Assertions.a(this.d)).a();
    }

    @Override // com.facebook.react.flat.AttachDetachListener
    public void a(FlatViewGroup.InvalidateCallback invalidateCallback) {
        this.d = invalidateCallback;
        if (this.c != null) {
            this.c.a(this);
        }
    }

    @Override // com.facebook.react.flat.AttachDetachListener
    public void a() {
        if (this.c != null) {
            this.c.a();
            if (this.c.c()) {
                this.d = null;
            }
        }
    }

    public int getSize(Paint paint, CharSequence charSequence, int i, int i2, Paint.FontMetricsInt fontMetricsInt) {
        if (fontMetricsInt != null) {
            fontMetricsInt.ascent = -Math.round(this.f);
            fontMetricsInt.descent = 0;
            fontMetricsInt.top = fontMetricsInt.ascent;
            fontMetricsInt.bottom = 0;
        }
        return Math.round(this.e);
    }

    public void draw(Canvas canvas, CharSequence charSequence, int i, int i2, float f2, int i3, int i4, int i5, Paint paint) {
        Bitmap b2;
        if (this.c != null && (b2 = this.c.b()) != null) {
            float f3 = ((float) i5) - ((float) paint.getFontMetricsInt().descent);
            b.set(f2, f3 - this.f, this.e + f2, f3);
            canvas.drawBitmap(b2, (Rect) null, b, paint);
        }
    }
}
