package com.facebook.react.flat;

import android.support.v4.text.TextDirectionHeuristicsCompat;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import com.facebook.fbui.textlayoutbuilder.TextLayoutBuilder;
import com.facebook.fbui.textlayoutbuilder.glyphwarmer.GlyphWarmerImpl;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.annotations.ReactProp;
import com.facebook.yoga.YogaDirection;
import com.facebook.yoga.YogaMeasureFunction;
import com.facebook.yoga.YogaMeasureMode;
import com.facebook.yoga.YogaMeasureOutput;
import com.facebook.yoga.YogaNode;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class RCTText extends RCTVirtualText implements YogaMeasureFunction {
    private static final TextLayoutBuilder d = new TextLayoutBuilder().c(false).d(true).a(new GlyphWarmerImpl());
    @Nullable
    private CharSequence e;
    @Nullable
    private DrawTextLayout f;
    private float g = 1.0f;
    private float h = 0.0f;
    private int i = Integer.MAX_VALUE;
    private int j = 0;
    private boolean k = true;

    @Override // com.facebook.react.flat.FlatTextShadowNode, com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean d() {
        return false;
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean e() {
        return true;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.FlatShadowNode
    public boolean g() {
        return true;
    }

    public RCTText() {
        a((YogaMeasureFunction) this);
        L().b(a());
    }

    @Override // com.facebook.yoga.YogaMeasureFunction
    public long measure(YogaNode yogaNode, float f2, YogaMeasureMode yogaMeasureMode, float f3, YogaMeasureMode yogaMeasureMode2) {
        SpannableStringBuilder M = M();
        if (TextUtils.isEmpty(M)) {
            this.e = null;
            return YogaMeasureOutput.a(0, 0);
        }
        this.e = M;
        Layout a2 = a((int) Math.ceil((double) f2), yogaMeasureMode, TextUtils.TruncateAt.END, this.k, this.i, this.i == 1, M, J(), this.h, this.g, K(), b());
        if (this.f == null || this.f.n()) {
            this.f = new DrawTextLayout(a2);
        } else {
            this.f.a(a2);
        }
        return YogaMeasureOutput.a(this.f.b(), this.f.c());
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.FlatShadowNode
    public void a(StateBuilder stateBuilder, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        boolean z;
        super.a(stateBuilder, f2, f3, f4, f5, f6, f7, f8, f9);
        if (this.e == null) {
            if (f5 - f3 > 0.0f && f4 - f2 > 0.0f) {
                SpannableStringBuilder M = M();
                if (!TextUtils.isEmpty(M)) {
                    this.e = M;
                }
            }
            if (this.e == null) {
                return;
            }
        }
        if (this.f == null) {
            this.f = new DrawTextLayout(a((int) Math.ceil((double) (f4 - f2)), YogaMeasureMode.EXACTLY, TextUtils.TruncateAt.END, this.k, this.i, this.i == 1, this.e, J(), this.h, this.g, K(), b()));
            z = true;
        } else {
            z = false;
        }
        float a2 = f2 + a(0);
        float a3 = f3 + a(1);
        this.f = (DrawTextLayout) this.f.a(a2, a3, a2 + this.f.b(), a3 + this.f.c(), f6, f7, f8, f9);
        stateBuilder.a(this.f);
        if (z) {
            NodeRegion w = w();
            if (w instanceof TextNodeRegion) {
                ((TextNodeRegion) w).a(this.f.a());
            }
        }
        a(stateBuilder);
    }

    @ReactProp(a = "lineHeight", c = Double.NaN)
    public void setLineHeight(double d2) {
        if (Double.isNaN(d2)) {
            this.g = 1.0f;
            this.h = 0.0f;
        } else {
            this.g = 0.0f;
            this.h = PixelUtil.b((float) d2);
        }
        a(true);
    }

    @ReactProp(a = "numberOfLines", e = Integer.MAX_VALUE)
    public void setNumberOfLines(int i2) {
        this.i = i2;
        a(true);
    }

    @ReactProp(a = "includeFontPadding", f = true)
    public void setIncludeFontPadding(boolean z) {
        this.k = z;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.FlatShadowNode
    public void a(float f2, float f3, float f4, float f5, boolean z) {
        NodeRegion w = w();
        if (this.f != null) {
            Layout layout = null;
            if (w instanceof TextNodeRegion) {
                layout = ((TextNodeRegion) w).i();
            }
            Layout a2 = this.f.a();
            if (!w.a(f2, f3, f4, f5, z) || layout != a2) {
                a((NodeRegion) new TextNodeRegion(f2, f3, f4, f5, V(), z, a2));
            }
        } else if (!w.a(f2, f3, f4, f5, z)) {
            a((NodeRegion) new TextNodeRegion(f2, f3, f4, f5, V(), z, null));
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.RCTVirtualText
    public int a() {
        return c(14.0f);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.FlatTextShadowNode
    public void a(boolean z) {
        R();
    }

    @ReactProp(a = "textAlign")
    public void setTextAlign(@Nullable String str) {
        if (str == null || "auto".equals(str)) {
            this.j = 0;
        } else if ("left".equals(str)) {
            this.j = 3;
        } else if ("right".equals(str)) {
            this.j = 5;
        } else if ("center".equals(str)) {
            this.j = 17;
        } else {
            throw new JSApplicationIllegalArgumentException("Invalid textAlign: " + str);
        }
        a(false);
    }

    public Layout.Alignment b() {
        boolean z = av() == YogaDirection.RTL;
        int i2 = this.j;
        char c = 4;
        if (i2 == 3) {
            if (!z) {
                c = 3;
            }
            return Layout.Alignment.values()[c];
        } else if (i2 == 5) {
            if (z) {
                c = 3;
            }
            return Layout.Alignment.values()[c];
        } else if (i2 != 17) {
            return Layout.Alignment.ALIGN_NORMAL;
        } else {
            return Layout.Alignment.ALIGN_CENTER;
        }
    }

    private static Layout a(int i2, YogaMeasureMode yogaMeasureMode, TextUtils.TruncateAt truncateAt, boolean z, int i3, boolean z2, CharSequence charSequence, int i4, float f2, float f3, int i5, Layout.Alignment alignment) {
        int i6;
        switch (yogaMeasureMode) {
            case UNDEFINED:
                i6 = 0;
                break;
            case EXACTLY:
                i6 = 1;
                break;
            case AT_MOST:
                i6 = 2;
                break;
            default:
                throw new IllegalStateException("Unexpected size mode: " + yogaMeasureMode);
        }
        d.a(truncateAt).c(i3).b(z2).a(charSequence).a(i4).a(i2, i6);
        d.b(i5);
        d.a(TextDirectionHeuristicsCompat.c);
        d.a(z);
        d.a(f2);
        d.b(f3);
        d.a(alignment);
        Layout a2 = d.a();
        d.a((CharSequence) null);
        return a2;
    }
}
