package com.facebook.react.flat;

import android.graphics.Rect;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.ReactStylesDiffMap;
import com.facebook.react.uimanager.annotations.ReactProp;
import com.facebook.react.uimanager.annotations.ReactPropGroup;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class RCTView extends FlatShadowNode {
    private static final int[] f = {8, 0, 2, 1, 3};
    boolean d;
    boolean e;
    @Nullable
    private DrawBorder g;
    @Nullable
    private Rect h;

    RCTView() {
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.FlatShadowNode
    public void a(ReactStylesDiffMap reactStylesDiffMap) {
        boolean z = true;
        this.d = this.d || (reactStylesDiffMap.a("removeClippedSubviews") && reactStylesDiffMap.a("removeClippedSubviews", false));
        if (this.d) {
            if (!this.e && (!reactStylesDiffMap.a("horizontal") || !reactStylesDiffMap.a("horizontal", false))) {
                z = false;
            }
            this.e = z;
        }
        super.a(reactStylesDiffMap);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.flat.FlatShadowNode
    public void a(StateBuilder stateBuilder, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        super.a(stateBuilder, f2, f3, f4, f5, f6, f7, f8, f9);
        if (this.g != null) {
            this.g = (DrawBorder) this.g.a(f2, f3, f4, f5, f6, f7, f8, f9);
            stateBuilder.a(this.g);
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.FlatShadowNode
    public boolean g() {
        return this.g != null || super.g();
    }

    @Override // com.facebook.react.flat.FlatShadowNode
    public void setBackgroundColor(int i) {
        a().f(i);
    }

    @Override // com.facebook.react.uimanager.LayoutShadowNode
    public void setBorderWidths(int i, float f2) {
        super.setBorderWidths(i, f2);
        a().a(f[i], PixelUtil.a(f2));
    }

    @ReactProp(a = "nativeBackgroundAndroid")
    public void setHotspot(@Nullable ReadableMap readableMap) {
        if (readableMap != null) {
            B();
        }
    }

    @ReactPropGroup(a = {"borderColor", "borderLeftColor", "borderRightColor", "borderTopColor", "borderBottomColor"}, b = "Color", d = Double.NaN)
    public void setBorderColor(int i, double d2) {
        int i2 = f[i];
        if (Double.isNaN(d2)) {
            a().e(i2);
        } else {
            a().a(i2, (int) d2);
        }
    }

    @ReactProp(a = "borderRadius")
    public void setBorderRadius(float f2) {
        this.b = f2;
        if (this.c && f2 > 0.5f) {
            B();
        }
        a().b(PixelUtil.a(f2));
    }

    @ReactProp(a = "borderStyle")
    public void setBorderStyle(@Nullable String str) {
        a().a(str);
    }

    @ReactProp(a = "hitSlop")
    public void setHitSlop(@Nullable ReadableMap readableMap) {
        if (readableMap == null) {
            this.h = null;
        } else {
            this.h = new Rect((int) PixelUtil.a(readableMap.d("left")), (int) PixelUtil.a(readableMap.d("top")), (int) PixelUtil.a(readableMap.d("right")), (int) PixelUtil.a(readableMap.d("bottom")));
        }
    }

    @ReactProp(a = "pointerEvents")
    public void setPointerEvents(@Nullable String str) {
        B();
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.FlatShadowNode
    public void a(float f2, float f3, float f4, float f5, boolean z) {
        NodeRegion nodeRegion;
        if (!w().a(f2, f3, f4, f5, z)) {
            if (this.h == null) {
                nodeRegion = new NodeRegion(f2, f3, f4, f5, V(), z);
            } else {
                nodeRegion = new HitSlopNodeRegion(this.h, f2, f3, f4, f5, V(), z);
            }
            a(nodeRegion);
        }
    }

    private DrawBorder a() {
        if (this.g == null) {
            this.g = new DrawBorder();
        } else if (this.g.n()) {
            this.g = (DrawBorder) this.g.m();
        }
        m();
        return this.g;
    }

    @Override // com.facebook.react.flat.FlatShadowNode
    public boolean F() {
        return this.d;
    }
}
