package com.facebook.react.flat;

import android.text.Layout;
import android.text.Spanned;
import javax.annotation.Nullable;

final class TextNodeRegion extends NodeRegion {
    @Nullable
    private Layout e;

    TextNodeRegion(float f, float f2, float f3, float f4, int i, boolean z, @Nullable Layout layout) {
        super(f, f2, f3, f4, i, z);
        this.e = layout;
    }

    public void a(Layout layout) {
        this.e = layout;
    }

    /* access modifiers changed from: package-private */
    @Nullable
    public Layout i() {
        return this.e;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public int b(float f, float f2) {
        int round;
        if (this.e != null) {
            CharSequence text = this.e.getText();
            if ((text instanceof Spanned) && (round = Math.round(f2 - f())) >= this.e.getLineTop(0) && round < this.e.getLineBottom(this.e.getLineCount() - 1)) {
                float round2 = (float) Math.round(f - e());
                int lineForVertical = this.e.getLineForVertical(round);
                if (this.e.getLineLeft(lineForVertical) <= round2 && round2 <= this.e.getLineRight(lineForVertical)) {
                    int offsetForHorizontal = this.e.getOffsetForHorizontal(lineForVertical, round2);
                    RCTRawText[] rCTRawTextArr = (RCTRawText[]) ((Spanned) text).getSpans(offsetForHorizontal, offsetForHorizontal, RCTRawText.class);
                    if (rCTRawTextArr.length != 0) {
                        return rCTRawTextArr[0].V();
                    }
                }
            }
        }
        return super.b(f, f2);
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.NodeRegion
    public boolean a(int i) {
        if (super.a(i)) {
            return true;
        }
        if (this.e != null) {
            CharSequence text = this.e.getText();
            if (text instanceof Spanned) {
                for (RCTRawText rCTRawText : (RCTRawText[]) ((Spanned) text).getSpans(0, text.length(), RCTRawText.class)) {
                    if (rCTRawText.V() == i) {
                        return true;
                    }
                }
            }
        }
        return false;
    }
}
