package com.facebook.react.shell;

import android.preference.PreferenceManager;
import com.facebook.react.LazyReactPackage;
import com.facebook.react.animated.NativeAnimatedModule;
import com.facebook.react.bridge.ModuleSpec;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.flat.FlatARTSurfaceViewManager;
import com.facebook.react.flat.RCTImageViewManager;
import com.facebook.react.flat.RCTModalHostManager;
import com.facebook.react.flat.RCTRawTextManager;
import com.facebook.react.flat.RCTTextInlineImageManager;
import com.facebook.react.flat.RCTTextInputManager;
import com.facebook.react.flat.RCTTextManager;
import com.facebook.react.flat.RCTViewManager;
import com.facebook.react.flat.RCTViewPagerManager;
import com.facebook.react.flat.RCTVirtualTextManager;
import com.facebook.react.module.model.ReactModuleInfoProvider;
import com.facebook.react.modules.accessibilityinfo.AccessibilityInfoModule;
import com.facebook.react.modules.appstate.AppStateModule;
import com.facebook.react.modules.blob.BlobModule;
import com.facebook.react.modules.blob.FileReaderModule;
import com.facebook.react.modules.camera.CameraRollManager;
import com.facebook.react.modules.camera.ImageEditingManager;
import com.facebook.react.modules.camera.ImageStoreManager;
import com.facebook.react.modules.clipboard.ClipboardModule;
import com.facebook.react.modules.datepicker.DatePickerDialogModule;
import com.facebook.react.modules.dialog.DialogModule;
import com.facebook.react.modules.fresco.FrescoModule;
import com.facebook.react.modules.i18nmanager.I18nManagerModule;
import com.facebook.react.modules.image.ImageLoaderModule;
import com.facebook.react.modules.intent.IntentModule;
import com.facebook.react.modules.location.LocationModule;
import com.facebook.react.modules.netinfo.NetInfoModule;
import com.facebook.react.modules.network.NetworkingModule;
import com.facebook.react.modules.permissions.PermissionsModule;
import com.facebook.react.modules.share.ShareModule;
import com.facebook.react.modules.statusbar.StatusBarModule;
import com.facebook.react.modules.storage.AsyncStorageModule;
import com.facebook.react.modules.timepicker.TimePickerDialogModule;
import com.facebook.react.modules.toast.ToastModule;
import com.facebook.react.modules.vibration.VibrationModule;
import com.facebook.react.modules.websocket.WebSocketModule;
import com.facebook.react.uimanager.ViewManager;
import com.facebook.react.views.art.ARTRenderableViewManager;
import com.facebook.react.views.art.ARTSurfaceViewManager;
import com.facebook.react.views.checkbox.ReactCheckBoxManager;
import com.facebook.react.views.drawer.ReactDrawerLayoutManager;
import com.facebook.react.views.image.ReactImageManager;
import com.facebook.react.views.modal.ReactModalHostManager;
import com.facebook.react.views.picker.ReactDialogPickerManager;
import com.facebook.react.views.picker.ReactDropdownPickerManager;
import com.facebook.react.views.progressbar.ReactProgressBarViewManager;
import com.facebook.react.views.scroll.ReactHorizontalScrollContainerViewManager;
import com.facebook.react.views.scroll.ReactHorizontalScrollViewManager;
import com.facebook.react.views.scroll.ReactScrollViewManager;
import com.facebook.react.views.slider.ReactSliderManager;
import com.facebook.react.views.swiperefresh.SwipeRefreshLayoutManager;
import com.facebook.react.views.switchview.ReactSwitchManager;
import com.facebook.react.views.text.ReactRawTextManager;
import com.facebook.react.views.text.ReactTextViewManager;
import com.facebook.react.views.text.ReactVirtualTextViewManager;
import com.facebook.react.views.text.frescosupport.FrescoBasedReactTextInlineImageViewManager;
import com.facebook.react.views.textinput.ReactTextInputManager;
import com.facebook.react.views.toolbar.ReactToolbarManager;
import com.facebook.react.views.view.ReactViewManager;
import com.facebook.react.views.viewpager.ReactViewPagerManager;
import com.facebook.react.views.webview.ReactWebViewManager;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import javax.inject.Provider;

public class MainReactPackage extends LazyReactPackage {

    /* renamed from: a  reason: collision with root package name */
    private MainPackageConfig f2184a;

    @Override // com.facebook.react.LazyReactPackage
    public List<ModuleSpec> c(final ReactApplicationContext reactApplicationContext) {
        return Arrays.asList(ModuleSpec.a(AccessibilityInfoModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass1 */

            /* renamed from: a */
            public NativeModule b() {
                return new AccessibilityInfoModule(reactApplicationContext);
            }
        }), ModuleSpec.a(AppStateModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass2 */

            /* renamed from: a */
            public NativeModule b() {
                return new AppStateModule(reactApplicationContext);
            }
        }), ModuleSpec.a(BlobModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass3 */

            /* renamed from: a */
            public NativeModule b() {
                return new BlobModule(reactApplicationContext);
            }
        }), ModuleSpec.a(FileReaderModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass4 */

            /* renamed from: a */
            public NativeModule b() {
                return new FileReaderModule(reactApplicationContext);
            }
        }), ModuleSpec.a(AsyncStorageModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass5 */

            /* renamed from: a */
            public NativeModule b() {
                return new AsyncStorageModule(reactApplicationContext);
            }
        }), ModuleSpec.a(CameraRollManager.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass6 */

            /* renamed from: a */
            public NativeModule b() {
                return new CameraRollManager(reactApplicationContext);
            }
        }), ModuleSpec.a(ClipboardModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass7 */

            /* renamed from: a */
            public NativeModule b() {
                return new ClipboardModule(reactApplicationContext);
            }
        }), ModuleSpec.a(DatePickerDialogModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass8 */

            /* renamed from: a */
            public NativeModule b() {
                return new DatePickerDialogModule(reactApplicationContext);
            }
        }), ModuleSpec.a(DialogModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass9 */

            /* renamed from: a */
            public NativeModule b() {
                return new DialogModule(reactApplicationContext);
            }
        }), ModuleSpec.a(FrescoModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass10 */

            /* renamed from: a */
            public NativeModule b() {
                return new FrescoModule(reactApplicationContext, true, MainReactPackage.this.f2184a != null ? MainReactPackage.this.f2184a.a() : null);
            }
        }), ModuleSpec.a(I18nManagerModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass11 */

            /* renamed from: a */
            public NativeModule b() {
                return new I18nManagerModule(reactApplicationContext);
            }
        }), ModuleSpec.a(ImageEditingManager.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass12 */

            /* renamed from: a */
            public NativeModule b() {
                return new ImageEditingManager(reactApplicationContext);
            }
        }), ModuleSpec.a(ImageLoaderModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass13 */

            /* renamed from: a */
            public NativeModule b() {
                return new ImageLoaderModule(reactApplicationContext);
            }
        }), ModuleSpec.a(ImageStoreManager.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass14 */

            /* renamed from: a */
            public NativeModule b() {
                return new ImageStoreManager(reactApplicationContext);
            }
        }), ModuleSpec.a(IntentModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass15 */

            /* renamed from: a */
            public NativeModule b() {
                return new IntentModule(reactApplicationContext);
            }
        }), ModuleSpec.a(LocationModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass16 */

            /* renamed from: a */
            public NativeModule b() {
                return new LocationModule(reactApplicationContext);
            }
        }), ModuleSpec.a(NativeAnimatedModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass17 */

            /* renamed from: a */
            public NativeModule b() {
                return new NativeAnimatedModule(reactApplicationContext);
            }
        }), ModuleSpec.a(NetworkingModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass18 */

            /* renamed from: a */
            public NativeModule b() {
                return new NetworkingModule(reactApplicationContext);
            }
        }), ModuleSpec.a(NetInfoModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass19 */

            /* renamed from: a */
            public NativeModule b() {
                return new NetInfoModule(reactApplicationContext);
            }
        }), ModuleSpec.a(PermissionsModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass20 */

            /* renamed from: a */
            public NativeModule b() {
                return new PermissionsModule(reactApplicationContext);
            }
        }), ModuleSpec.a(ShareModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass21 */

            /* renamed from: a */
            public NativeModule b() {
                return new ShareModule(reactApplicationContext);
            }
        }), ModuleSpec.a(StatusBarModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass22 */

            /* renamed from: a */
            public NativeModule b() {
                return new StatusBarModule(reactApplicationContext);
            }
        }), ModuleSpec.a(TimePickerDialogModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass23 */

            /* renamed from: a */
            public NativeModule b() {
                return new TimePickerDialogModule(reactApplicationContext);
            }
        }), ModuleSpec.a(ToastModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass24 */

            /* renamed from: a */
            public NativeModule b() {
                return new ToastModule(reactApplicationContext);
            }
        }), ModuleSpec.a(VibrationModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass25 */

            /* renamed from: a */
            public NativeModule b() {
                return new VibrationModule(reactApplicationContext);
            }
        }), ModuleSpec.a(WebSocketModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.shell.MainReactPackage.AnonymousClass26 */

            /* renamed from: a */
            public NativeModule b() {
                return new WebSocketModule(reactApplicationContext);
            }
        }));
    }

    @Override // com.facebook.react.LazyReactPackage, com.facebook.react.ReactPackage
    public List<ViewManager> b(ReactApplicationContext reactApplicationContext) {
        ArrayList arrayList = new ArrayList();
        arrayList.add(ARTRenderableViewManager.createARTGroupViewManager());
        arrayList.add(ARTRenderableViewManager.createARTShapeViewManager());
        arrayList.add(ARTRenderableViewManager.createARTTextViewManager());
        arrayList.add(new ReactCheckBoxManager());
        arrayList.add(new ReactDialogPickerManager());
        arrayList.add(new ReactDrawerLayoutManager());
        arrayList.add(new ReactDropdownPickerManager());
        arrayList.add(new ReactHorizontalScrollViewManager());
        arrayList.add(new ReactHorizontalScrollContainerViewManager());
        arrayList.add(new ReactProgressBarViewManager());
        arrayList.add(new ReactScrollViewManager());
        arrayList.add(new ReactSliderManager());
        arrayList.add(new ReactSwitchManager());
        arrayList.add(new ReactToolbarManager());
        arrayList.add(new ReactWebViewManager());
        arrayList.add(new SwipeRefreshLayoutManager());
        if (PreferenceManager.getDefaultSharedPreferences(reactApplicationContext).getBoolean("flat_uiimplementation", false)) {
            arrayList.add(new FlatARTSurfaceViewManager());
            arrayList.add(new RCTTextInlineImageManager());
            arrayList.add(new RCTImageViewManager());
            arrayList.add(new RCTModalHostManager());
            arrayList.add(new RCTRawTextManager());
            arrayList.add(new RCTTextInputManager());
            arrayList.add(new RCTTextManager());
            arrayList.add(new RCTViewManager());
            arrayList.add(new RCTViewPagerManager());
            arrayList.add(new RCTVirtualTextManager());
        } else {
            arrayList.add(new ARTSurfaceViewManager());
            arrayList.add(new FrescoBasedReactTextInlineImageViewManager());
            arrayList.add(new ReactImageManager());
            arrayList.add(new ReactModalHostManager());
            arrayList.add(new ReactRawTextManager());
            arrayList.add(new ReactTextInputManager());
            arrayList.add(new ReactTextViewManager());
            arrayList.add(new ReactViewManager());
            arrayList.add(new ReactViewPagerManager());
            arrayList.add(new ReactVirtualTextViewManager());
        }
        return arrayList;
    }

    @Override // com.facebook.react.LazyReactPackage
    public ReactModuleInfoProvider a() {
        return LazyReactPackage.a(this);
    }
}
