package com.facebook.react.uimanager;

import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.systrace.Systrace;
import com.facebook.systrace.SystraceMessage;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public class UIManagerModuleConstantsHelper {
    UIManagerModuleConstantsHelper() {
    }

    static Map<String, Object> a(UIManagerModule.ViewManagerResolver viewManagerResolver) {
        Map<String, Object> c = UIManagerModuleConstants.c();
        c.put("ViewManagerNames", viewManagerResolver.a());
        return c;
    }

    static Map<String, Object> a() {
        return MapBuilder.a("bubblingEventTypes", UIManagerModuleConstants.a(), "directEventTypes", UIManagerModuleConstants.b());
    }

    static Map<String, Object> a(List<ViewManager> list, @Nullable Map<String, Object> map, @Nullable Map<String, Object> map2) {
        Map<String, Object> c = UIManagerModuleConstants.c();
        Map<? extends String, ? extends Object> a2 = UIManagerModuleConstants.a();
        Map<? extends String, ? extends Object> b = UIManagerModuleConstants.b();
        if (map != null) {
            map.putAll(a2);
        }
        if (map2 != null) {
            map2.putAll(b);
        }
        for (ViewManager viewManager : list) {
            String name = viewManager.getName();
            SystraceMessage.a(0, "UIManagerModuleConstantsHelper.createConstants").a("ViewManager", name).a("Lazy", (Object) false).a();
            try {
                Map<String, Object> a3 = a(viewManager, null, null, map, map2);
                if (!a3.isEmpty()) {
                    c.put(name, a3);
                }
            } finally {
                Systrace.b(0);
            }
        }
        c.put("genericBubblingEventTypes", a2);
        c.put("genericDirectEventTypes", b);
        return c;
    }

    static Map<String, Object> a(ViewManager viewManager, @Nullable Map map, @Nullable Map map2, @Nullable Map map3, @Nullable Map map4) {
        HashMap a2 = MapBuilder.a();
        Map<String, Object> exportedCustomBubblingEventTypeConstants = viewManager.getExportedCustomBubblingEventTypeConstants();
        if (exportedCustomBubblingEventTypeConstants != null) {
            a(map3, exportedCustomBubblingEventTypeConstants);
            a(exportedCustomBubblingEventTypeConstants, map);
            a2.put("bubblingEventTypes", exportedCustomBubblingEventTypeConstants);
        } else if (map != null) {
            a2.put("bubblingEventTypes", map);
        }
        Map<String, Object> exportedCustomDirectEventTypeConstants = viewManager.getExportedCustomDirectEventTypeConstants();
        if (exportedCustomDirectEventTypeConstants != null) {
            a(map4, exportedCustomDirectEventTypeConstants);
            a(exportedCustomDirectEventTypeConstants, map2);
            a2.put("directEventTypes", exportedCustomDirectEventTypeConstants);
        } else if (map2 != null) {
            a2.put("directEventTypes", map2);
        }
        Map<String, Object> exportedViewConstants = viewManager.getExportedViewConstants();
        if (exportedViewConstants != null) {
            a2.put("Constants", exportedViewConstants);
        }
        Map<String, Integer> commandsMap = viewManager.getCommandsMap();
        if (commandsMap != null) {
            a2.put("Commands", commandsMap);
        }
        Map<String, String> nativeProps = viewManager.getNativeProps();
        if (!nativeProps.isEmpty()) {
            a2.put("NativeProps", nativeProps);
        }
        return a2;
    }

    private static void a(@Nullable Map map, @Nullable Map map2) {
        if (!(map == null || map2 == null || map2.isEmpty())) {
            for (Object obj : map2.keySet()) {
                Object obj2 = map2.get(obj);
                Object obj3 = map.get(obj);
                if (obj3 == null || !(obj2 instanceof Map) || !(obj3 instanceof Map)) {
                    map.put(obj, obj2);
                } else {
                    a((Map) obj3, (Map) obj2);
                }
            }
        }
    }
}
