package com.facebook.react.views.art;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Typeface;
import android.text.TextUtils;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.annotations.ReactProp;
import javax.annotation.Nullable;

public class ARTTextShadowNode extends ARTShapeShadowNode {
    @Nullable
    private ReadableMap d;
    private int e = 0;

    @ReactProp(a = "frame")
    public void setFrame(@Nullable ReadableMap readableMap) {
        this.d = readableMap;
    }

    @ReactProp(a = "alignment", e = 0)
    public void setAlignment(int i) {
        this.e = i;
    }

    @Override // com.facebook.react.views.art.ARTVirtualNode, com.facebook.react.views.art.ARTShapeShadowNode
    public void a(Canvas canvas, Paint paint, float f) {
        ReadableArray k;
        if (this.d != null) {
            float f2 = f * this.b;
            if (f2 > 0.01f && this.d.a("lines") && (k = this.d.k("lines")) != null && k.a() != 0) {
                a(canvas);
                String[] strArr = new String[k.a()];
                for (int i = 0; i < strArr.length; i++) {
                    strArr[i] = k.d(i);
                }
                String join = TextUtils.join("\n", strArr);
                if (a(paint, f2)) {
                    a(paint);
                    if (this.f2305a == null) {
                        canvas.drawText(join, 0.0f, -paint.ascent(), paint);
                    } else {
                        canvas.drawTextOnPath(join, this.f2305a, 0.0f, 0.0f, paint);
                    }
                }
                if (b(paint, f2)) {
                    a(paint);
                    if (this.f2305a == null) {
                        canvas.drawText(join, 0.0f, -paint.ascent(), paint);
                    } else {
                        canvas.drawTextOnPath(join, this.f2305a, 0.0f, 0.0f, paint);
                    }
                }
                b(canvas);
                P();
            }
        }
    }

    private void a(Paint paint) {
        ReadableMap g;
        switch (this.e) {
            case 0:
                paint.setTextAlign(Paint.Align.LEFT);
                break;
            case 1:
                paint.setTextAlign(Paint.Align.RIGHT);
                break;
            case 2:
                paint.setTextAlign(Paint.Align.CENTER);
                break;
        }
        if (this.d != null && this.d.a("font") && (g = this.d.g("font")) != null) {
            float f = 12.0f;
            if (g.a("fontSize")) {
                f = (float) g.d("fontSize");
            }
            paint.setTextSize(f * this.c);
            int i = 1;
            boolean z = g.a("fontWeight") && "bold".equals(g.f("fontWeight"));
            boolean z2 = g.a("fontStyle") && "italic".equals(g.f("fontStyle"));
            if (z && z2) {
                i = 3;
            } else if (!z) {
                i = z2 ? 2 : 0;
            }
            paint.setTypeface(Typeface.create(g.f("fontFamily"), i));
        }
    }
}
