package com.facebook.react.views.swiperefresh;

import android.support.v4.widget.SwipeRefreshLayout;
import android.view.MotionEvent;
import android.view.ViewConfiguration;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.events.NativeGestureUtil;

public class ReactSwipeRefreshLayout extends SwipeRefreshLayout {
    private boolean c = false;
    private boolean d = false;
    private float e = 0.0f;
    private int f;
    private float g;
    private boolean h;

    public ReactSwipeRefreshLayout(ReactContext reactContext) {
        super(reactContext);
        this.f = ViewConfiguration.get(reactContext).getScaledTouchSlop();
    }

    @Override // android.support.v4.widget.SwipeRefreshLayout
    public void setRefreshing(boolean z) {
        this.d = z;
        if (this.c) {
            super.setRefreshing(z);
        }
    }

    public void setProgressViewOffset(float f2) {
        this.e = f2;
        if (this.c) {
            int progressCircleDiameter = getProgressCircleDiameter();
            a(false, Math.round(PixelUtil.a(f2)) - progressCircleDiameter, Math.round(PixelUtil.a(f2 + 64.0f) - ((float) progressCircleDiameter)));
        }
    }

    @Override // android.support.v4.widget.SwipeRefreshLayout
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (!this.c) {
            this.c = true;
            setProgressViewOffset(this.e);
            setRefreshing(this.d);
        }
    }

    @Override // android.support.v4.widget.SwipeRefreshLayout
    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (getParent() != null) {
            getParent().requestDisallowInterceptTouchEvent(z);
        }
    }

    @Override // android.support.v4.widget.SwipeRefreshLayout
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (!a(motionEvent) || !super.onInterceptTouchEvent(motionEvent)) {
            return false;
        }
        NativeGestureUtil.a(this, motionEvent);
        return true;
    }

    private boolean a(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action == 0) {
            this.g = motionEvent.getX();
            this.h = false;
        } else if (action == 2) {
            float abs = Math.abs(motionEvent.getX() - this.g);
            if (this.h || abs > ((float) this.f)) {
                this.h = true;
                return false;
            }
        }
        return true;
    }
}
