package com.facebook.react.views.text;

import android.os.Build;
import android.text.BoringLayout;
import android.text.Layout;
import android.text.Spannable;
import android.text.Spanned;
import android.text.StaticLayout;
import android.text.TextPaint;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.uimanager.UIViewOperationQueue;
import com.facebook.yoga.YogaConstants;
import com.facebook.yoga.YogaDirection;
import com.facebook.yoga.YogaMeasureFunction;
import com.facebook.yoga.YogaMeasureMode;
import com.facebook.yoga.YogaMeasureOutput;
import com.facebook.yoga.YogaNode;
import javax.annotation.Nullable;

public class ReactTextShadowNode extends ReactBaseTextShadowNode {
    private static final TextPaint A = new TextPaint(1);
    @Nullable
    private Spannable B;
    private final YogaMeasureFunction C = new YogaMeasureFunction() {
        /* class com.facebook.react.views.text.ReactTextShadowNode.AnonymousClass1 */

        @Override // com.facebook.yoga.YogaMeasureFunction
        public long measure(YogaNode yogaNode, float f, YogaMeasureMode yogaMeasureMode, float f2, YogaMeasureMode yogaMeasureMode2) {
            Layout layout;
            TextPaint textPaint = ReactTextShadowNode.A;
            Spanned spanned = (Spanned) Assertions.a(ReactTextShadowNode.this.B, "Spannable element has not been prepared in onBeforeLayout");
            BoringLayout.Metrics isBoring = BoringLayout.isBoring(spanned, textPaint);
            float desiredWidth = isBoring == null ? Layout.getDesiredWidth(spanned, textPaint) : Float.NaN;
            boolean z = yogaMeasureMode == YogaMeasureMode.UNDEFINED || f < 0.0f;
            if (isBoring == null && (z || (!YogaConstants.a(desiredWidth) && desiredWidth <= f))) {
                int ceil = (int) Math.ceil((double) desiredWidth);
                if (Build.VERSION.SDK_INT < 23) {
                    layout = new StaticLayout(spanned, textPaint, ceil, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, ReactTextShadowNode.this.u);
                } else {
                    layout = StaticLayout.Builder.obtain(spanned, 0, spanned.length(), textPaint, ceil).setAlignment(Layout.Alignment.ALIGN_NORMAL).setLineSpacing(0.0f, 1.0f).setIncludePad(ReactTextShadowNode.this.u).setBreakStrategy(ReactTextShadowNode.this.n).setHyphenationFrequency(1).build();
                }
            } else if (isBoring != null && (z || ((float) isBoring.width) <= f)) {
                layout = BoringLayout.make(spanned, textPaint, isBoring.width, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, isBoring, ReactTextShadowNode.this.u);
            } else if (Build.VERSION.SDK_INT < 23) {
                layout = new StaticLayout(spanned, textPaint, (int) f, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, ReactTextShadowNode.this.u);
            } else {
                layout = StaticLayout.Builder.obtain(spanned, 0, spanned.length(), textPaint, (int) f).setAlignment(Layout.Alignment.ALIGN_NORMAL).setLineSpacing(0.0f, 1.0f).setIncludePad(ReactTextShadowNode.this.u).setBreakStrategy(ReactTextShadowNode.this.n).setHyphenationFrequency(1).build();
            }
            if (ReactTextShadowNode.this.h == -1 || ReactTextShadowNode.this.h >= layout.getLineCount()) {
                return YogaMeasureOutput.a(layout.getWidth(), layout.getHeight());
            }
            return YogaMeasureOutput.a(layout.getWidth(), layout.getLineBottom(ReactTextShadowNode.this.h - 1));
        }
    };

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean e() {
        return true;
    }

    public ReactTextShadowNode() {
        c();
    }

    private void c() {
        if (!d()) {
            a(this.C);
        }
    }

    private int f() {
        int i = this.m;
        if (av() != YogaDirection.RTL) {
            return i;
        }
        if (i == 5) {
            return 3;
        }
        if (i == 3) {
            return 5;
        }
        return i;
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public void U() {
        this.B = a(this, (String) null);
        n();
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    public void n() {
        super.n();
        super.R();
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public void a(UIViewOperationQueue uIViewOperationQueue) {
        super.a(uIViewOperationQueue);
        if (this.B != null) {
            uIViewOperationQueue.a(V(), new ReactTextUpdate(this.B, -1, this.y, a(4), a(1), a(5), a(3), f(), this.n));
        }
    }
}
