package com.facebook.soloader;

import com.tencent.smtt.export.external.interfaces.ISelectionInterface;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;

public final class MinElf {
    public static final int DT_NEEDED = 1;
    public static final int DT_NULL = 0;
    public static final int DT_STRTAB = 5;
    public static final int ELF_MAGIC = 1179403647;
    public static final int PN_XNUM = 65535;
    public static final int PT_DYNAMIC = 2;
    public static final int PT_LOAD = 1;

    public static String[] extract_DT_NEEDED(File file) throws IOException {
        FileInputStream fileInputStream = new FileInputStream(file);
        try {
            return extract_DT_NEEDED(fileInputStream.getChannel());
        } finally {
            fileInputStream.close();
        }
    }

    public static String[] extract_DT_NEEDED(FileChannel fileChannel) throws IOException {
        long j;
        long j2;
        boolean z;
        long j3;
        long j4;
        long j5;
        long j6;
        long j7;
        long j8;
        long j9;
        long j10;
        ByteBuffer allocate = ByteBuffer.allocate(8);
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        if (getu32(fileChannel, allocate, 0) == 1179403647) {
            boolean z2 = true;
            if (getu8(fileChannel, allocate, 4) != 1) {
                z2 = false;
            }
            if (getu8(fileChannel, allocate, 5) == 2) {
                allocate.order(ByteOrder.BIG_ENDIAN);
            }
            long r15 = z2 ? getu32(fileChannel, allocate, 28) : get64(fileChannel, allocate, 32);
            long j11 = z2 ? (long) getu16(fileChannel, allocate, 44) : (long) getu16(fileChannel, allocate, 56);
            if (z2) {
                j = 42;
            } else {
                j = 54;
            }
            int i = getu16(fileChannel, allocate, j);
            if (j11 == 65535) {
                long r3 = z2 ? getu32(fileChannel, allocate, 32) : get64(fileChannel, allocate, 40);
                if (z2) {
                    j10 = r3 + 28;
                } else {
                    j10 = r3 + 44;
                }
                j11 = getu32(fileChannel, allocate, j10);
            }
            long j12 = r15;
            long j13 = 0;
            while (true) {
                if (j13 >= j11) {
                    j2 = 0;
                    break;
                }
                if (getu32(fileChannel, allocate, j12 + (z2 ? 0 : 0)) == 2) {
                    j2 = z2 ? getu32(fileChannel, allocate, j12 + 4) : get64(fileChannel, allocate, j12 + 8);
                } else {
                    j12 += (long) i;
                    j13++;
                }
            }
            long j14 = 0;
            if (j2 != 0) {
                long j15 = j2;
                long j16 = 0;
                int i2 = 0;
                while (true) {
                    if (z2) {
                        z = z2;
                        j3 = getu32(fileChannel, allocate, j15 + j14);
                    } else {
                        z = z2;
                        j3 = get64(fileChannel, allocate, j15 + j14);
                    }
                    if (j3 == 1) {
                        if (i2 != Integer.MAX_VALUE) {
                            i2++;
                            j4 = j2;
                        } else {
                            throw new ElfError("malformed DT_NEEDED section");
                        }
                    } else if (j3 == 5) {
                        if (z) {
                            j4 = j2;
                            j9 = getu32(fileChannel, allocate, j15 + 4);
                        } else {
                            j4 = j2;
                            j9 = get64(fileChannel, allocate, j15 + 8);
                        }
                        j16 = j9;
                    } else {
                        j4 = j2;
                    }
                    long j17 = 16;
                    j15 += z ? 8 : 16;
                    j14 = 0;
                    if (j3 != 0) {
                        z2 = z;
                        j2 = j4;
                    } else if (j16 != 0) {
                        int i3 = 0;
                        while (true) {
                            if (((long) i3) >= j11) {
                                j5 = 0;
                                break;
                            }
                            if (!z) {
                            }
                            if (getu32(fileChannel, allocate, r15 + j14) == 1) {
                                long r10 = z ? getu32(fileChannel, allocate, r15 + 8) : get64(fileChannel, allocate, r15 + j17);
                                if (z) {
                                    j6 = j11;
                                    j7 = getu32(fileChannel, allocate, r15 + 20);
                                } else {
                                    j6 = j11;
                                    j7 = get64(fileChannel, allocate, r15 + 40);
                                }
                                if (r10 <= j16 && j16 < j7 + r10) {
                                    if (z) {
                                        j8 = getu32(fileChannel, allocate, r15 + 4);
                                    } else {
                                        j8 = get64(fileChannel, allocate, r15 + 8);
                                    }
                                    j5 = j8 + (j16 - r10);
                                }
                            } else {
                                j6 = j11;
                            }
                            r15 += (long) i;
                            i3++;
                            j11 = j6;
                            j17 = 16;
                            j14 = 0;
                        }
                        long j18 = 0;
                        if (j5 != 0) {
                            String[] strArr = new String[i2];
                            int i4 = 0;
                            while (true) {
                                long r8 = z ? getu32(fileChannel, allocate, j4 + j18) : get64(fileChannel, allocate, j4 + j18);
                                if (r8 == 1) {
                                    strArr[i4] = getSz(fileChannel, allocate, (z ? getu32(fileChannel, allocate, j4 + 4) : get64(fileChannel, allocate, j4 + 8)) + j5);
                                    if (i4 != Integer.MAX_VALUE) {
                                        i4++;
                                    } else {
                                        throw new ElfError("malformed DT_NEEDED section");
                                    }
                                }
                                j4 += z ? 8 : 16;
                                if (r8 != 0) {
                                    j18 = 0;
                                } else if (i4 == strArr.length) {
                                    return strArr;
                                } else {
                                    throw new ElfError("malformed DT_NEEDED section");
                                }
                            }
                        } else {
                            throw new ElfError("did not find file offset of DT_STRTAB table");
                        }
                    } else {
                        throw new ElfError("Dynamic section string-table not found");
                    }
                }
            } else {
                throw new ElfError("ELF file does not contain dynamic linking information");
            }
        } else {
            throw new ElfError("file is not ELF");
        }
    }

    private static String getSz(FileChannel fileChannel, ByteBuffer byteBuffer, long j) throws IOException {
        StringBuilder sb = new StringBuilder();
        while (true) {
            long j2 = 1 + j;
            short u8Var = getu8(fileChannel, byteBuffer, j);
            if (u8Var == 0) {
                return sb.toString();
            }
            sb.append((char) u8Var);
            j = j2;
        }
    }

    private static void read(FileChannel fileChannel, ByteBuffer byteBuffer, int i, long j) throws IOException {
        int read;
        byteBuffer.position(0);
        byteBuffer.limit(i);
        while (byteBuffer.remaining() > 0 && (read = fileChannel.read(byteBuffer, j)) != -1) {
            j += (long) read;
        }
        if (byteBuffer.remaining() <= 0) {
            byteBuffer.position(0);
            return;
        }
        throw new ElfError("ELF file truncated");
    }

    private static long get64(FileChannel fileChannel, ByteBuffer byteBuffer, long j) throws IOException {
        read(fileChannel, byteBuffer, 8, j);
        return byteBuffer.getLong();
    }

    private static long getu32(FileChannel fileChannel, ByteBuffer byteBuffer, long j) throws IOException {
        read(fileChannel, byteBuffer, 4, j);
        return ((long) byteBuffer.getInt()) & 4294967295L;
    }

    private static int getu16(FileChannel fileChannel, ByteBuffer byteBuffer, long j) throws IOException {
        read(fileChannel, byteBuffer, 2, j);
        return byteBuffer.getShort() & ISelectionInterface.HELD_NOTHING;
    }

    private static short getu8(FileChannel fileChannel, ByteBuffer byteBuffer, long j) throws IOException {
        read(fileChannel, byteBuffer, 1, j);
        return (short) (byteBuffer.get() & 255);
    }

    /* access modifiers changed from: private */
    public static class ElfError extends RuntimeException {
        ElfError(String str) {
            super(str);
        }
    }
}
