package com.imagepicker.utils;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.media.ExifInterface;
import android.media.MediaScannerConnection;
import android.net.Uri;
import android.os.Environment;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.Log;
import com.facebook.react.bridge.ReadableMap;
import com.imagepicker.ResponseHelper;
import com.imagepicker.media.ImageConfig;
import com.mb.rn.bridge.MyNativeModule;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;
import java.text.SimpleDateFormat;
import java.util.TimeZone;
import java.util.UUID;

public class MediaUtils {
    @Nullable
    public static File a(@NonNull Context context, @NonNull ReadableMap readableMap, @NonNull boolean z) {
        File file;
        String str = "image-" + UUID.randomUUID().toString() + ".jpg";
        if (ReadableMapUtils.a(readableMap, "storageOptions") && ReadableMapUtils.b(readableMap.g("storageOptions"), "path")) {
            file = new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_PICTURES), readableMap.g("storageOptions").f("path"));
        } else if (!z) {
            file = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_PICTURES);
        } else {
            file = context.getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        }
        File file2 = new File(file, str);
        try {
            file.mkdirs();
            file2.createNewFile();
            return file2;
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    @NonNull
    public static ImageConfig a(@NonNull Context context, @NonNull ReadableMap readableMap, @NonNull ImageConfig imageConfig, int i, int i2, int i3) {
        int i4;
        int i5;
        ImageConfig imageConfig2;
        BitmapFactory.Options options = new BitmapFactory.Options();
        boolean z = false;
        options.inScaled = false;
        options.inSampleSize = 1;
        if (imageConfig.c != 0 || imageConfig.d != 0) {
            i5 = i;
            i4 = i2;
            while (true) {
                if ((imageConfig.c != 0 && i5 <= imageConfig.c * 2) || (imageConfig.d != 0 && i4 <= imageConfig.d * 2)) {
                    break;
                }
                options.inSampleSize *= 2;
                i4 /= 2;
                i5 /= 2;
            }
        } else {
            i5 = i;
            i4 = i2;
        }
        Bitmap decodeFile = BitmapFactory.decodeFile(imageConfig.f2462a.getAbsolutePath(), options);
        if (decodeFile == null) {
            return null;
        }
        if (imageConfig.c == 0 || imageConfig.c > i5) {
            imageConfig2 = imageConfig.a(i5);
        } else {
            imageConfig2 = imageConfig;
        }
        if (imageConfig.d == 0 || imageConfig.c > i4) {
            imageConfig2 = imageConfig2.b(i4);
        }
        double d = ((double) imageConfig2.c) / ((double) i5);
        double d2 = ((double) imageConfig2.d) / ((double) i4);
        if (d < d2) {
            d2 = d;
        }
        Matrix matrix = new Matrix();
        matrix.postRotate((float) imageConfig2.f);
        float f = (float) d2;
        matrix.postScale(f, f);
        try {
            int attributeInt = new ExifInterface(imageConfig2.f2462a.getAbsolutePath()).getAttributeInt("Orientation", 0);
            if (attributeInt == 3) {
                matrix.postRotate(180.0f);
            } else if (attributeInt == 6) {
                matrix.postRotate(90.0f);
            } else if (attributeInt == 8) {
                matrix.postRotate(270.0f);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        Bitmap createBitmap = Bitmap.createBitmap(decodeFile, 0, 0, decodeFile.getWidth(), decodeFile.getHeight(), matrix, true);
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        createBitmap.compress(Bitmap.CompressFormat.JPEG, imageConfig2.e, byteArrayOutputStream);
        if (i3 == 13001) {
            z = true;
        }
        File a2 = a(context, readableMap, !z);
        if (a2 == null) {
            if (decodeFile != null) {
                decodeFile.recycle();
            }
            if (createBitmap != null) {
                createBitmap.recycle();
            }
            return imageConfig;
        }
        ImageConfig b = imageConfig2.b(a2);
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(b.b);
            try {
                byteArrayOutputStream.writeTo(fileOutputStream);
                fileOutputStream.close();
                if (decodeFile != null) {
                    decodeFile.recycle();
                }
                if (createBitmap != null) {
                    createBitmap.recycle();
                }
                return b;
            } catch (Throwable th) {
                th.addSuppressed(th);
            }
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        throw th;
    }

    public static void a(int i, @NonNull ImageConfig imageConfig) {
        if (i == 13001) {
            if (imageConfig.f2462a != null && imageConfig.f2462a.exists()) {
                imageConfig.f2462a.delete();
            }
            if (imageConfig.b != null && imageConfig.b.exists()) {
                imageConfig.b.delete();
            }
        }
    }

    public static void a(@Nullable Context context, @NonNull String str) {
        if (context != null) {
            MediaScannerConnection.scanFile(context, new String[]{str}, null, new MediaScannerConnection.OnScanCompletedListener() {
                /* class com.imagepicker.utils.MediaUtils.AnonymousClass1 */

                public void onScanCompleted(String str, Uri uri) {
                    Log.i(MyNativeModule.TAG, "Finished scanning " + str);
                }
            });
        }
    }

    public static ReadExifResult a(@NonNull ResponseHelper responseHelper, @NonNull ImageConfig imageConfig) {
        int i = 0;
        try {
            ExifInterface exifInterface = new ExifInterface(imageConfig.f2462a.getAbsolutePath());
            float[] fArr = new float[2];
            exifInterface.getLatLong(fArr);
            float f = fArr[0];
            boolean z = true;
            float f2 = fArr[1];
            if (!(f == 0.0f && f2 == 0.0f)) {
                responseHelper.a("latitude", (double) f);
                responseHelper.a("longitude", (double) f2);
            }
            String attribute = exifInterface.getAttribute("DateTime");
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy:MM:dd HH:mm:ss");
            SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
            simpleDateFormat2.setTimeZone(TimeZone.getTimeZone("UTC"));
            try {
                responseHelper.a("timestamp", simpleDateFormat2.format(simpleDateFormat.parse(attribute)) + "Z");
            } catch (Exception unused) {
            }
            int attributeInt = exifInterface.getAttributeInt("Orientation", 1);
            if (attributeInt != 3) {
                if (attributeInt == 6) {
                    i = 90;
                } else if (attributeInt == 8) {
                    i = 270;
                }
                z = false;
            } else {
                i = 180;
            }
            responseHelper.a("originalRotation", i);
            responseHelper.a("isVertical", z);
            return new ReadExifResult(i, null);
        } catch (IOException e) {
            e.printStackTrace();
            return new ReadExifResult(0, e);
        }
    }

    @Nullable
    public static RolloutPhotoResult a(@NonNull ImageConfig imageConfig) {
        ImageConfig imageConfig2;
        File file = imageConfig.b == null ? imageConfig.f2462a : imageConfig.b;
        File file2 = new File(Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM).getPath(), file.getName());
        try {
            a(file, file2);
            if (imageConfig.b != null) {
                imageConfig2 = imageConfig.b(file2);
            } else {
                imageConfig2 = imageConfig.a(file2);
            }
            return new RolloutPhotoResult(imageConfig2, null);
        } catch (IOException e) {
            e.printStackTrace();
            return new RolloutPhotoResult(imageConfig, e);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x003c A[SYNTHETIC, Splitter:B:22:0x003c] */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0044 A[Catch:{ IOException -> 0x0040 }] */
    private static void a(@NonNull File file, @NonNull File file2) throws IOException {
        Throwable th;
        FileChannel fileChannel;
        FileChannel fileChannel2 = null;
        try {
            fileChannel = new FileInputStream(file).getChannel();
            try {
                FileChannel channel = new FileOutputStream(file2).getChannel();
                try {
                    fileChannel.transferTo(0, fileChannel.size(), channel);
                    file.delete();
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e) {
                            e.printStackTrace();
                            return;
                        }
                    }
                    if (channel != null) {
                        channel.close();
                    }
                } catch (Throwable th2) {
                    th = th2;
                    fileChannel2 = channel;
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                            throw th;
                        }
                    }
                    if (fileChannel2 != null) {
                        fileChannel2.close();
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                if (fileChannel != null) {
                }
                if (fileChannel2 != null) {
                }
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            fileChannel = null;
            if (fileChannel != null) {
            }
            if (fileChannel2 != null) {
            }
            throw th;
        }
    }

    public static class RolloutPhotoResult {

        /* renamed from: a  reason: collision with root package name */
        public final ImageConfig f2468a;
        public final Throwable b;

        public RolloutPhotoResult(@NonNull ImageConfig imageConfig, @Nullable Throwable th) {
            this.f2468a = imageConfig;
            this.b = th;
        }
    }

    public static class ReadExifResult {

        /* renamed from: a  reason: collision with root package name */
        public final int f2467a;
        public final Throwable b;

        public ReadExifResult(int i, @Nullable Throwable th) {
            this.f2467a = i;
            this.b = th;
        }
    }
}
