package com.lockscreen.xvolley.toolbox;

import com.facebook.stetho.server.http.HttpHeaders;
import com.lockscreen.xvolley.XCache;
import com.lockscreen.xvolley.XHeader;
import com.lockscreen.xvolley.XNetworkResponse;
import com.lockscreen.xvolley.XVolleyLog;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.TreeMap;

public class XHttpHeaderParser {
    public static XCache.Entry a(XNetworkResponse xNetworkResponse) {
        boolean z;
        long j;
        long j2;
        long j3;
        long j4;
        long currentTimeMillis = System.currentTimeMillis();
        Map<String, String> map = xNetworkResponse.c;
        String str = map.get("Date");
        long a2 = str != null ? a(str) : 0;
        String str2 = map.get("XCache-Control");
        int i = 0;
        if (str2 != null) {
            String[] split = str2.split(",", 0);
            j2 = 0;
            int i2 = 0;
            j = 0;
            while (i < split.length) {
                String trim = split[i].trim();
                if (trim.equals("no-cache") || trim.equals("no-store")) {
                    return null;
                }
                if (trim.startsWith("max-age=")) {
                    try {
                        j2 = Long.parseLong(trim.substring(8));
                    } catch (Exception unused) {
                    }
                } else if (trim.startsWith("stale-while-revalidate=")) {
                    j = Long.parseLong(trim.substring(23));
                } else if (trim.equals("must-revalidate") || trim.equals("proxy-revalidate")) {
                    i2 = 1;
                }
                i++;
            }
            i = i2;
            z = true;
        } else {
            j2 = 0;
            j = 0;
            z = false;
        }
        String str3 = map.get("Expires");
        long a3 = str3 != null ? a(str3) : 0;
        String str4 = map.get("Last-Modified");
        long a4 = str4 != null ? a(str4) : 0;
        String str5 = map.get("ETag");
        if (z) {
            j4 = currentTimeMillis + (j2 * 1000);
            if (i == 0) {
                j3 = (j * 1000) + j4;
                XCache.Entry entry = new XCache.Entry();
                entry.f2531a = xNetworkResponse.b;
                entry.b = str5;
                entry.f = j4;
                entry.e = j3;
                entry.c = a2;
                entry.d = a4;
                entry.g = map;
                entry.h = xNetworkResponse.d;
                return entry;
            }
        } else if (a2 <= 0 || a3 < a2) {
            j4 = 0;
        } else {
            j3 = (a3 - a2) + currentTimeMillis;
            j4 = j3;
            XCache.Entry entry2 = new XCache.Entry();
            entry2.f2531a = xNetworkResponse.b;
            entry2.b = str5;
            entry2.f = j4;
            entry2.e = j3;
            entry2.c = a2;
            entry2.d = a4;
            entry2.g = map;
            entry2.h = xNetworkResponse.d;
            return entry2;
        }
        j3 = j4;
        XCache.Entry entry22 = new XCache.Entry();
        entry22.f2531a = xNetworkResponse.b;
        entry22.b = str5;
        entry22.f = j4;
        entry22.e = j3;
        entry22.c = a2;
        entry22.d = a4;
        entry22.g = map;
        entry22.h = xNetworkResponse.d;
        return entry22;
    }

    public static long a(String str) {
        try {
            return a().parse(str).getTime();
        } catch (ParseException e) {
            XVolleyLog.a(e, "Unable to parse dateStr: %s, falling back to 0", str);
            return 0;
        }
    }

    static String a(long j) {
        return a().format(new Date(j));
    }

    private static SimpleDateFormat a() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss zzz", Locale.US);
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
        return simpleDateFormat;
    }

    public static String a(Map<String, String> map, String str) {
        String str2 = map.get(HttpHeaders.CONTENT_TYPE);
        if (str2 != null) {
            String[] split = str2.split(";", 0);
            for (int i = 1; i < split.length; i++) {
                String[] split2 = split[i].trim().split("=", 0);
                if (split2.length == 2 && split2[0].equals("charset")) {
                    return split2[1];
                }
            }
        }
        return str;
    }

    public static String a(Map<String, String> map) {
        return a(map, "ISO-8859-1");
    }

    static Map<String, String> a(List<XHeader> list) {
        TreeMap treeMap = new TreeMap(String.CASE_INSENSITIVE_ORDER);
        for (XHeader xHeader : list) {
            treeMap.put(xHeader.a(), xHeader.b());
        }
        return treeMap;
    }

    static List<XHeader> b(Map<String, String> map) {
        ArrayList arrayList = new ArrayList(map.size());
        for (Map.Entry<String, String> entry : map.entrySet()) {
            arrayList.add(new XHeader(entry.getKey(), entry.getValue()));
        }
        return arrayList;
    }
}
