package com.mb.rn.openapp;

import android.content.Intent;
import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.uimanager.IllegalViewOperationException;

public class OpenAppModule extends ReactContextBaseJavaModule {
    private ReactApplicationContext Context;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "OpenApp";
    }

    public OpenAppModule(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
        this.Context = reactApplicationContext;
    }

    @ReactMethod
    public void open(String str, Promise promise) {
        try {
            Intent launchIntentForPackage = this.Context.getPackageManager().getLaunchIntentForPackage(str);
            if (launchIntentForPackage != null) {
                launchIntentForPackage.setFlags(268435456);
                this.Context.startActivity(launchIntentForPackage);
                promise.a("ok");
                return;
            }
            promise.a("fail");
        } catch (IllegalViewOperationException unused) {
            promise.a("fail");
        }
    }
}
