package com.mb.rn.webview;

import android.content.Intent;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.support.annotation.Nullable;
import cn.app.client.bean.AnyEventType;
import cn.app.client.common.Config;
import cn.app.client.download.DownImageEndCallback;
import cn.app.client.download.DownImageUrl;
import cn.app.client.download.DownloadBean;
import cn.app.client.download.DownloadManger;
import cn.app.client.download.OnDownloadCallBack;
import cn.app.client.utils.DeviceIdUtil;
import cn.app.client.utils.FileUtils;
import cn.app.client.utils.MD5Util;
import cn.app.client.utils.ViewPrint;
import cn.app.client.utils.WindowDispaly;
import com.aliyun.security.yunceng.android.sdk.traceroute.d;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.stetho.common.LogUtil;
import com.meituan.android.walle.ChannelInfo;
import com.meituan.android.walle.WalleChannelReader;
import com.tencent.smtt.sdk.TbsReaderView;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Pattern;
import okhttp3.Call;
import okhttp3.HttpUrl;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.greenrobot.eventbus.EventBus;

public class XBridgeModule extends ReactContextBaseJavaModule {
    private static final OkHttpClient HTTPCLIENT = new OkHttpClient();
    public int downloadTotal = -1;
    DownLoadCallbackImpl mDownLoadCallbackImpl = new DownLoadCallbackImpl();
    private ArrayList<String> needupfiles;
    private ReactApplicationContext reactContext;
    private String resVersion;
    private Map<String, Integer> retryDownMap = new HashMap();
    private int successCount = 0;
    private String url;

    private String getOrientationString(int i) {
        return i == 2 ? "LANDSCAPE" : i == 1 ? "PORTRAIT" : i == 0 ? d.f1413a : "null";
    }

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "MyBridgeModule";
    }

    @ReactMethod
    public void resetStatusColor() {
    }

    @ReactMethod
    public void supportedOrientationLandscape() {
    }

    @ReactMethod
    public void supportedOrientationLandscapeLeft() {
    }

    @ReactMethod
    public void supportedOrientationLandscapeRight() {
    }

    @ReactMethod
    public void supportedOrientationPortrait() {
    }

    @ReactMethod
    public void supportedOrientationUnlock() {
    }

    @Override // com.facebook.react.bridge.BaseJavaModule
    @Nullable
    public Map<String, Object> getConstants() {
        String[] strArr = {"clusters_id", "CfgKey", "AseqId", "AutoUrl", "VersionKey", "Landscape", "proxy"};
        HashMap hashMap = new HashMap();
        for (String str : strArr) {
            int identifier = this.reactContext.getResources().getIdentifier(str, "string", this.reactContext.getPackageName());
            if (identifier != 0) {
                String string = this.reactContext.getResources().getString(identifier);
                hashMap.put(str, string);
                if ("Landscape".equals(str)) {
                    EventBus.a().c(new AnyEventType(99, string));
                }
                System.out.println("===>>KEY:" + str + " VALUE:" + string);
            } else {
                System.err.println("===>>未找到配置:" + str);
            }
        }
        hashMap.put("VersionCode", getVersionCode());
        hashMap.put("VersionName", getVersionName());
        hashMap.put("PackageName", this.reactContext.getPackageName());
        hashMap.put("Country", getCountry());
        ChannelInfo a2 = WalleChannelReader.a(this.reactContext.getApplicationContext());
        if (a2 != null) {
            for (Map.Entry<String, String> entry : a2.a().entrySet()) {
                hashMap.put(entry.getKey(), entry.getValue());
            }
        }
        return hashMap;
    }

    public XBridgeModule(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
        this.reactContext = reactApplicationContext;
        reactApplicationContext.k();
    }

    private void writeFile(byte[] bArr, String str) throws IOException {
        FileOutputStream fileOutputStream = new FileOutputStream(str);
        fileOutputStream.write(bArr);
        fileOutputStream.close();
    }

    public String getVersionCode() {
        if (this.reactContext == null) {
            return "0";
        }
        try {
            return "" + this.reactContext.getPackageManager().getPackageInfo(this.reactContext.getPackageName(), 0).versionCode;
        } catch (PackageManager.NameNotFoundException unused) {
            return "0";
        }
    }

    public String getVersionName() {
        if (this.reactContext == null) {
            return "";
        }
        try {
            return this.reactContext.getPackageManager().getPackageInfo(this.reactContext.getPackageName(), 0).versionName;
        } catch (PackageManager.NameNotFoundException unused) {
            return "";
        }
    }

    private String getCountry() {
        return getReactApplicationContext().getResources().getConfiguration().locale.getCountry();
    }

    @ReactMethod
    public void getDeviceUDID(Callback callback) {
        callback.a(DeviceIdUtil.a(this.reactContext));
    }

    @ReactMethod
    public void getUIInterfaceOrientation(Callback callback) {
        int i = getReactApplicationContext().getResources().getConfiguration().orientation;
        PrintStream printStream = System.err;
        printStream.println("===>>orientation:" + i);
        String orientationString = getOrientationString(i);
        if (orientationString == "null") {
            callback.a(Integer.valueOf(i), null);
            return;
        }
        callback.a(null, orientationString);
    }

    @ReactMethod
    public void isShowBottomNavBar(Callback callback) {
        callback.a(Boolean.valueOf(WindowDispaly.b(this.reactContext.k())));
    }

    @ReactMethod
    public void setRedirectResList(ReadableMap readableMap) {
        ArrayList arrayList = (ArrayList) readableMap.b().get("list");
        if (arrayList != null) {
            for (int i = 0; i < arrayList.size(); i++) {
                HashMap hashMap = (HashMap) arrayList.get(i);
                ViewPrint.f765a.put((String) hashMap.get("srcHost"), hashMap);
            }
        }
    }

    @ReactMethod
    public void copyResource() {
        FileUtils.a(this.reactContext, getDir(), new FileUtils.OnCopyAssetsCallBack() {
            /* class com.mb.rn.webview.XBridgeModule.AnonymousClass1 */

            @Override // cn.app.client.utils.FileUtils.OnCopyAssetsCallBack
            public void a() {
            }

            @Override // cn.app.client.utils.FileUtils.OnCopyAssetsCallBack
            public void a(int i, int i2) {
                WritableMap b = Arguments.b();
                b.putDouble("current", (double) i);
                b.putDouble("total", (double) i2);
                ((DeviceEventManagerModule.RCTDeviceEventEmitter) XBridgeModule.this.reactContext.a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit("onCopyResProcess", b);
            }
        });
    }

    @ReactMethod
    public void setMainURL(String str) {
        Config.b = Uri.parse(str);
    }

    @ReactMethod
    public void testHttps(String str, final Callback callback) {
        final WritableMap b = Arguments.b();
        HttpUrl parse = HttpUrl.parse(str);
        b.putString("origin", str);
        if (parse.isHttps()) {
            b.putBoolean("needToHttps", false);
            callback.a(b);
            return;
        }
        AnonymousClass2 r1 = new okhttp3.Callback() {
            /* class com.mb.rn.webview.XBridgeModule.AnonymousClass2 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                b.putBoolean("needToHttps", false);
                callback.a(b);
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
                HttpUrl url = response.request().url();
                String header = response.header("Location");
                boolean isHttps = ((response.code() == 301 || response.code() == 302) && header != null) ? HttpUrl.parse(header).isHttps() : false;
                b.putBoolean("needToHttps", !url.isHttps() && isHttps);
                if (isHttps) {
                    b.putString("target", header);
                }
                callback.a(b);
            }
        };
        Request build = new Request.Builder().url(str).build();
        OkHttpClient okHttpClient = HTTPCLIENT;
        try {
            Field declaredField = OkHttpClient.class.getDeclaredField("followSslRedirects");
            declaredField.setAccessible(true);
            declaredField.set(okHttpClient, false);
        } catch (Exception e) {
            e.printStackTrace();
        }
        HTTPCLIENT.newCall(build).enqueue(r1);
    }

    @ReactMethod
    public void shareWithSystemOption(String str, String str2, String str3) {
        if (str.length() > 0 && str3.length() > 0) {
            Intent intent = new Intent();
            intent.setAction("android.intent.action.SEND");
            intent.putExtra("android.intent.extra.TEXT", str + str3);
            intent.setType("text/plain");
            this.reactContext.startActivity(Intent.createChooser(intent, "分享到"));
        } else if (str.length() > 0) {
            Intent intent2 = new Intent();
            intent2.setAction("android.intent.action.SEND");
            intent2.putExtra("android.intent.extra.TEXT", str);
            intent2.setType("text/plain");
            this.reactContext.startActivity(Intent.createChooser(intent2, "分享到"));
        } else if (str2.length() > 0) {
            new DownImageUrl(str2, this.reactContext.k(), new DownImageEndCallback() {
                /* class com.mb.rn.webview.XBridgeModule.AnonymousClass3 */

                @Override // cn.app.client.download.DownImageEndCallback
                public void a(Uri uri) {
                    Intent intent = new Intent();
                    intent.setAction("android.intent.action.SEND");
                    intent.putExtra("android.intent.extra.STREAM", uri);
                    intent.setType("image/*");
                    XBridgeModule.this.reactContext.startActivity(Intent.createChooser(intent, "分享到"));
                }
            });
        }
    }

    @ReactMethod
    public void androidOpenApp(String str, Callback callback) {
        try {
            this.reactContext.startActivity(this.reactContext.getPackageManager().getLaunchIntentForPackage(str));
        } catch (Exception unused) {
            callback.a("fail");
        }
    }

    @ReactMethod
    public void update(String str, String str2, boolean z) {
        this.url = str;
        this.resVersion = str2;
        this.successCount = 0;
        this.downloadTotal = -1;
        this.needupfiles = new ArrayList<>();
        this.retryDownMap.clear();
        Config.f753a = z;
        Config.b = Uri.parse(str);
        if (z) {
            doUpdateProcessEvent(0, 0);
            return;
        }
        File file = new File(getDir() + "/resVersion");
        if (file.exists()) {
            try {
                String readLine = new BufferedReader(new InputStreamReader(new FileInputStream(file))).readLine();
                if (readLine == null || readLine.length() == 0) {
                    PrintStream printStream = System.out;
                    printStream.println("update===>>>原生更新:本地没有版本号服务器资源版本" + str2);
                } else {
                    PrintStream printStream2 = System.out;
                    printStream2.println("update===>>>原生更新:服务器资源版本" + str2 + " 本地资源版本：" + readLine);
                    if (str2.equals(readLine)) {
                        System.out.println("update===>>>不需要更新");
                        doUpdateProcessEvent(0, 0);
                        return;
                    }
                }
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        }
        final DownloadBean downloadBean = new DownloadBean(this.url + "/files.txt?v=" + System.currentTimeMillis(), null, null, TbsReaderView.ReaderCallback.GET_BAR_ANIMATING);
        downloadBean.a(new OnDownloadCallBack() {
            /* class com.mb.rn.webview.XBridgeModule.AnonymousClass4 */

            @Override // cn.app.client.download.OnDownloadCallBack
            public void a(String str, String str2) {
                String[] split;
                System.out.println("update===>>>files.txt RESPONSE:" + XBridgeModule.this.url + " + url + " + str);
                HashMap hashMap = new HashMap();
                HashMap hashMap2 = new HashMap();
                HashMap hashMap3 = new HashMap();
                if (str.length() != 0 && str.indexOf("</html>") == -1) {
                    for (String str3 : str.split("\n")) {
                        String[] split2 = str3.split("\\|");
                        if (split2.length > 2 && !split2[0].equals("files.txt")) {
                            hashMap.put(MD5Util.a(split2[0]), split2[2]);
                            hashMap3.put(MD5Util.a(split2[0]), split2[0]);
                        }
                    }
                }
                File file = new File(XBridgeModule.this.getDir());
                if (file.exists()) {
                    File[] listFiles = file.listFiles();
                    for (File file2 : listFiles) {
                        hashMap2.put(file2.getName(), MD5Util.a(file2));
                    }
                }
                int i = 0;
                for (String str4 : hashMap.keySet()) {
                    String str5 = (String) hashMap.get(str4);
                    String str6 = (String) hashMap2.get(str4);
                    if (str6 == null || !str6.equals(str5)) {
                        String str7 = (String) hashMap3.get(str4);
                        String str8 = XBridgeModule.this.url + "/" + str7;
                        if (XBridgeModule.this.matchStringByRegularExpression(str7)) {
                            str8 = str8 + "?v=" + System.currentTimeMillis();
                        }
                        DownloadBean downloadBean = new DownloadBean(str8, XBridgeModule.this.getDir(), MD5Util.a(str7), 20000);
                        downloadBean.a(XBridgeModule.this.mDownLoadCallbackImpl);
                        DownloadManger.a().a(downloadBean);
                        XBridgeModule.this.needupfiles.add(str8);
                        i++;
                    }
                }
                XBridgeModule.this.downloadTotal = i;
                System.out.println("update===>>>需要更新的文件数：" + XBridgeModule.this.downloadTotal);
                if (XBridgeModule.this.downloadTotal == 0) {
                    XBridgeModule.this.doUpdateProcessEvent(0, 0);
                }
            }

            @Override // cn.app.client.download.OnDownloadCallBack
            public void a(String str, Object obj) {
                XBridgeModule.this.doUpdateErrorEvent(str, downloadBean.f758a);
            }
        });
        downloadBean.a();
    }

    @ReactMethod
    public void clearCache() {
        File file = new File(getDir());
        if (file.exists()) {
            deleteDirWithFile(file);
        }
        ((DeviceEventManagerModule.RCTDeviceEventEmitter) this.reactContext.a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit("onClearCache", Arguments.b());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String getDir() {
        return this.reactContext.getFilesDir().getAbsolutePath() + "/" + this.reactContext.getPackageName();
    }

    private static void deleteDirWithFile(File file) {
        if (file != null && file.exists() && file.isDirectory()) {
            File[] listFiles = file.listFiles();
            for (File file2 : listFiles) {
                if (file2.isFile()) {
                    file2.delete();
                } else if (file2.isDirectory()) {
                    deleteDirWithFile(file2);
                }
            }
            file.delete();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doUpdateProcessEvent(int i, int i2) {
        if (i2 != -1) {
            if (i > i2) {
                i = i2;
            }
            WritableMap b = Arguments.b();
            b.putDouble("current", (double) i);
            b.putDouble("total", (double) i2);
            if (i >= i2) {
                try {
                    PrintStream printStream = System.out;
                    printStream.println("===>>原生更新:更新完成后保存最新的资源版本号" + this.resVersion);
                    byte[] bytes = this.resVersion.getBytes();
                    writeFile(bytes, getDir() + "/resVersion");
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            ((DeviceEventManagerModule.RCTDeviceEventEmitter) this.reactContext.a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit("onResUpdateProcess", b);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doUpdateErrorEvent(String str, String str2) {
        WritableMap b = Arguments.b();
        b.putString("message", str);
        b.putString(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL, str2);
        ((DeviceEventManagerModule.RCTDeviceEventEmitter) this.reactContext.a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit("onResUpdateError", b);
    }

    public class DownLoadCallbackImpl implements OnDownloadCallBack {
        public DownLoadCallbackImpl() {
        }

        @Override // cn.app.client.download.OnDownloadCallBack
        public synchronized void a(String str, String str2) {
            XBridgeModule.this.needupfiles.remove(str2);
            XBridgeModule.this.updateSuccessProcess();
            LogUtil.i("exec Finished===>>> " + XBridgeModule.this.successCount + "/" + XBridgeModule.this.downloadTotal + " " + str2);
        }

        @Override // cn.app.client.download.OnDownloadCallBack
        public synchronized void a(String str, Object obj) {
            if (obj instanceof DownloadBean) {
                String str2 = ((DownloadBean) obj).f758a;
                LogUtil.i("exec didError===>>> " + XBridgeModule.this.successCount + "/" + XBridgeModule.this.downloadTotal + " " + str2 + " " + str);
                int intValue = (XBridgeModule.this.retryDownMap.containsKey(str2) ? ((Integer) XBridgeModule.this.retryDownMap.get(str2)).intValue() : 0) + 1;
                XBridgeModule.this.retryDownMap.put(str2, Integer.valueOf(intValue));
                if (intValue < 30) {
                    DownloadManger.a().a((DownloadBean) obj);
                } else {
                    XBridgeModule.this.needupfiles.remove(str2);
                    XBridgeModule.this.updateSuccessProcess();
                }
            }
        }
    }

    public synchronized void updateSuccessProcess() {
        this.successCount++;
        if (this.downloadTotal != -1) {
            if (this.needupfiles.isEmpty()) {
                this.successCount = this.downloadTotal;
            }
            doUpdateProcessEvent(this.successCount, this.downloadTotal);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean matchStringByRegularExpression(String str) {
        return Pattern.compile("(\\.js|\\.html|\\.css|\\.txt|\\.json)$").matcher(str).find();
    }
}
