package com.mb.rn.webview;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.view.View;
import cn.app.client.bean.AnyEventType;
import cn.app.client.view.X5WebView;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.common.annotations.VisibleForTesting;
import com.facebook.react.uimanager.SimpleViewManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.annotations.ReactProp;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.PrintStream;
import java.util.Map;
import javax.annotation.Nullable;
import org.greenrobot.eventbus.EventBus;
import org.json.JSONException;
import org.json.JSONObject;

public class XWebViewManager extends SimpleViewManager<X5WebView> {
    private static final String BLANK_URL = "about:blank";
    public static final int EVALUATE_JAVA_SCRIPT = 5;
    public static final int GO_BACK = 1;
    public static final int GO_FORWARD = 2;
    public static final int POST_MESSAGE = 4;
    @VisibleForTesting
    public static final String REACT_CLASS = "MyWebView";
    public static final int RELOAD = 3;
    private ThemedReactContext context;
    private boolean isGone;
    private ReactApplicationContext reactContext;

    @Override // com.facebook.react.bridge.NativeModule, com.facebook.react.uimanager.ViewManager
    public String getName() {
        return REACT_CLASS;
    }

    @ReactProp(a = "automaticallyAdjustContentInsets")
    public void setAutomaticallyAdjustContentInsets(X5WebView x5WebView, @Nullable Boolean bool) {
    }

    @ReactProp(a = "injectedJavaScript")
    public void setInjectedJavaScript(X5WebView x5WebView, @Nullable String str) {
    }

    @ReactProp(a = "isgame")
    public void setIsgame(X5WebView x5WebView, boolean z) {
    }

    @ReactProp(a = "source")
    public void setSource(X5WebView x5WebView, @Nullable ReadableMap readableMap) {
    }

    public XWebViewManager(ReactApplicationContext reactApplicationContext) {
        this.reactContext = reactApplicationContext;
    }

    @Override // com.facebook.react.uimanager.ViewManager
    @SuppressLint({"SetJavaScriptEnabled"})
    public X5WebView createViewInstance(ThemedReactContext themedReactContext) {
        this.context = themedReactContext;
        Activity k = this.reactContext.k();
        X5WebView x5WebView = new X5WebView(this.context);
        this.context.a(x5WebView);
        this.reactContext.a(new OnActivityEventListener(x5WebView));
        x5WebView.addJavascriptInterface(new XJsInterface(k, x5WebView, this.reactContext), "NativeInterface");
        return x5WebView;
    }

    public void onDropViewInstance(X5WebView x5WebView) {
        super.onDropViewInstance((View) x5WebView);
        ((ThemedReactContext) x5WebView.getContext()).b(x5WebView);
    }

    @ReactProp(a = "hidden")
    public void setHidden(X5WebView x5WebView, boolean z) {
        if (z) {
            this.isGone = true;
            EventBus.a().c(new AnyEventType(1, this.isGone));
            x5WebView.pauseTimers();
            x5WebView.setVisibility(8);
            return;
        }
        EventBus.a().c(new AnyEventType(2, this.isGone));
        x5WebView.resumeTimers();
        x5WebView.setVisibility(0);
    }

    @ReactProp(a = TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL)
    public void setUrl(final X5WebView x5WebView, @Nullable final String str) {
        PrintStream printStream = System.out;
        printStream.println("=====>>XWebViewManager :setUrl =" + str);
        Activity k = this.reactContext.k();
        PrintStream printStream2 = System.out;
        printStream2.println("=====>>XWebViewManager :setUrl =" + k);
        if (k != null) {
            k.runOnUiThread(new Runnable() {
                /* class com.mb.rn.webview.XWebViewManager.AnonymousClass1 */

                public void run() {
                    PrintStream printStream = System.out;
                    printStream.println("===>setUrl " + str);
                    x5WebView.loadUrl(str, null);
                }
            });
        }
    }

    @Override // com.facebook.react.uimanager.ViewManager
    @Nullable
    public Map<String, Integer> getCommandsMap() {
        return MapBuilder.a("goBack", 1, "goForward", 2, "reload", 3, "postMessage", 4, "evaluateJavaScript", 5);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public void receiveCommand(X5WebView x5WebView, int i, @Nullable ReadableArray readableArray) {
        switch (i) {
            case 1:
                x5WebView.goBack();
                return;
            case 2:
                x5WebView.goForward();
                return;
            case 3:
                x5WebView.reload();
                return;
            case 4:
                try {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("data", readableArray.d(0));
                    x5WebView.evaluateJavascript("document.dispatchEvent(new MessageEvent('message', " + jSONObject.toString() + "))", null);
                    break;
                } catch (JSONException e) {
                    throw new RuntimeException(e);
                }
            case 5:
                break;
            default:
                return;
        }
        x5WebView.evaluateJavascript(readableArray.d(0), null);
    }

    @Override // com.facebook.react.uimanager.ViewManager
    public Map getExportedCustomDirectEventTypeConstants() {
        return MapBuilder.a("webStart", MapBuilder.a("registrationName", "onWebStart"), "webError", MapBuilder.a("registrationName", "onWebError"), "webProgress", MapBuilder.a("registrationName", "onWebProgress"), "webDidLoaded", MapBuilder.a("registrationName", "onWebDidLoaded"), "webMessage", MapBuilder.a("registrationName", "onWebMessage"), "webConsole", MapBuilder.a("registrationName", "onConsole"));
    }
}
