package com.microsoft.codepush.react;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.LifecycleEventListener;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

public class CodePushDialog extends ReactContextBaseJavaModule {
    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "CodePushDialog";
    }

    public CodePushDialog(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
    }

    @ReactMethod
    public void showDialog(final String str, final String str2, final String str3, final String str4, final Callback callback, Callback callback2) {
        Activity currentActivity = getCurrentActivity();
        if (currentActivity == null || currentActivity.isFinishing()) {
            getReactApplicationContext().a(new LifecycleEventListener() {
                /* class com.microsoft.codepush.react.CodePushDialog.AnonymousClass1 */

                @Override // com.facebook.react.bridge.LifecycleEventListener
                public void onHostDestroy() {
                }

                @Override // com.facebook.react.bridge.LifecycleEventListener
                public void onHostPause() {
                }

                @Override // com.facebook.react.bridge.LifecycleEventListener
                public void onHostResume() {
                    Activity currentActivity = CodePushDialog.this.getCurrentActivity();
                    if (currentActivity != null) {
                        CodePushDialog.this.getReactApplicationContext().b(this);
                        CodePushDialog.this.showDialogInternal(str, str2, str3, str4, callback, currentActivity);
                    }
                }
            });
        } else {
            showDialogInternal(str, str2, str3, str4, callback, currentActivity);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showDialogInternal(String str, String str2, String str3, String str4, final Callback callback, Activity activity) {
        AlertDialog.Builder builder = new AlertDialog.Builder(activity);
        builder.setCancelable(false);
        AnonymousClass2 r7 = new DialogInterface.OnClickListener() {
            /* class com.microsoft.codepush.react.CodePushDialog.AnonymousClass2 */

            public void onClick(DialogInterface dialogInterface, int i) {
                try {
                    dialogInterface.cancel();
                    switch (i) {
                        case -2:
                            callback.a(1);
                            return;
                        case -1:
                            callback.a(0);
                            return;
                        default:
                            throw new CodePushUnknownException("Unknown button ID pressed.");
                    }
                } catch (Throwable th) {
                    CodePushUtils.a(th);
                }
            }
        };
        if (str != null) {
            builder.setTitle(str);
        }
        if (str2 != null) {
            builder.setMessage(str2);
        }
        if (str3 != null) {
            builder.setPositiveButton(str3, r7);
        }
        if (str4 != null) {
            builder.setNegativeButton(str4, r7);
        }
        builder.create().show();
    }
}
