package com.microsoft.codepush.react;

import android.util.Log;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.NoSuchKeyException;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableMapKeySetIterator;
import com.facebook.react.bridge.ReadableType;
import com.facebook.react.bridge.WritableArray;
import com.facebook.react.bridge.WritableMap;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.Iterator;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class CodePushUtils {
    public static String a(String str, String str2) {
        return new File(str, str2).getAbsolutePath();
    }

    public static WritableArray a(JSONArray jSONArray) {
        WritableArray a2 = Arguments.a();
        for (int i = 0; i < jSONArray.length(); i++) {
            try {
                Object obj = jSONArray.get(i);
                if (obj instanceof JSONObject) {
                    a2.a(a((JSONObject) obj));
                } else if (obj instanceof JSONArray) {
                    a2.a(a((JSONArray) obj));
                } else if (obj instanceof String) {
                    a2.pushString((String) obj);
                } else if (obj instanceof Double) {
                    a2.pushDouble(((Double) obj).doubleValue());
                } else if (obj instanceof Integer) {
                    a2.pushInt(((Integer) obj).intValue());
                } else if (obj instanceof Boolean) {
                    a2.pushBoolean(((Boolean) obj).booleanValue());
                } else if (obj == null) {
                    a2.pushNull();
                } else {
                    throw new CodePushUnknownException("Unrecognized object: " + obj);
                }
            } catch (JSONException e) {
                throw new CodePushUnknownException(i + " should be within bounds of array " + jSONArray.toString(), e);
            }
        }
        return a2;
    }

    public static WritableMap a(JSONObject jSONObject) {
        WritableMap b = Arguments.b();
        Iterator<String> keys = jSONObject.keys();
        while (keys.hasNext()) {
            String next = keys.next();
            try {
                Object obj = jSONObject.get(next);
                if (obj instanceof JSONObject) {
                    b.a(next, a((JSONObject) obj));
                } else if (obj instanceof JSONArray) {
                    b.a(next, a((JSONArray) obj));
                } else if (obj instanceof String) {
                    b.putString(next, (String) obj);
                } else if (obj instanceof Double) {
                    b.putDouble(next, ((Double) obj).doubleValue());
                } else if (obj instanceof Integer) {
                    b.putInt(next, ((Integer) obj).intValue());
                } else if (obj instanceof Boolean) {
                    b.putBoolean(next, ((Boolean) obj).booleanValue());
                } else if (obj == null) {
                    b.putNull(next);
                } else {
                    throw new CodePushUnknownException("Unrecognized object: " + obj);
                }
            } catch (JSONException e) {
                throw new CodePushUnknownException("Key " + next + " should exist in " + jSONObject.toString() + ".", e);
            }
        }
        return b;
    }

    public static JSONArray a(ReadableArray readableArray) {
        JSONArray jSONArray = new JSONArray();
        for (int i = 0; i < readableArray.a(); i++) {
            switch (readableArray.h(i)) {
                case Map:
                    jSONArray.put(a(readableArray.i(i)));
                    break;
                case Array:
                    jSONArray.put(a(readableArray.j(i)));
                    break;
                case String:
                    jSONArray.put(readableArray.d(i));
                    break;
                case Number:
                    Double valueOf = Double.valueOf(readableArray.b(i));
                    if (valueOf.doubleValue() == Math.floor(valueOf.doubleValue()) && !Double.isInfinite(valueOf.doubleValue())) {
                        jSONArray.put(valueOf.longValue());
                        break;
                    } else {
                        try {
                            jSONArray.put(valueOf.doubleValue());
                            break;
                        } catch (JSONException unused) {
                            throw new CodePushUnknownException("Unable to put value " + readableArray.b(i) + " in JSONArray");
                        }
                    }
                    break;
                case Boolean:
                    jSONArray.put(readableArray.f(i));
                    break;
                case Null:
                    jSONArray.put((Object) null);
                    break;
            }
        }
        return jSONArray;
    }

    public static JSONObject a(ReadableMap readableMap) {
        JSONObject jSONObject = new JSONObject();
        ReadableMapKeySetIterator a2 = readableMap.a();
        while (a2.hasNextKey()) {
            String nextKey = a2.nextKey();
            ReadableType j = readableMap.j(nextKey);
            try {
                switch (j) {
                    case Map:
                        jSONObject.put(nextKey, a(readableMap.g(nextKey)));
                        break;
                    case Array:
                        jSONObject.put(nextKey, a(readableMap.k(nextKey)));
                        break;
                    case String:
                        jSONObject.put(nextKey, readableMap.f(nextKey));
                        break;
                    case Number:
                        jSONObject.put(nextKey, readableMap.d(nextKey));
                        break;
                    case Boolean:
                        jSONObject.put(nextKey, readableMap.c(nextKey));
                        break;
                    case Null:
                        jSONObject.put(nextKey, (Object) null);
                        break;
                    default:
                        throw new CodePushUnknownException("Unrecognized type: " + j + " of key: " + nextKey);
                }
            } catch (JSONException e) {
                throw new CodePushUnknownException("Error setting key: " + nextKey + " in JSONObject", e);
            }
        }
        return jSONObject;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0037  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
    public static String a(InputStream inputStream) throws IOException {
        BufferedReader bufferedReader;
        Throwable th;
        try {
            StringBuilder sb = new StringBuilder();
            bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            while (true) {
                try {
                    String readLine = bufferedReader.readLine();
                    if (readLine == null) {
                        break;
                    }
                    sb.append(readLine);
                    sb.append("\n");
                } catch (Throwable th2) {
                    th = th2;
                    if (bufferedReader != null) {
                        bufferedReader.close();
                    }
                    if (inputStream != null) {
                        inputStream.close();
                    }
                    throw th;
                }
            }
            String trim = sb.toString().trim();
            bufferedReader.close();
            if (inputStream != null) {
                inputStream.close();
            }
            return trim;
        } catch (Throwable th3) {
            bufferedReader = null;
            th = th3;
            if (bufferedReader != null) {
            }
            if (inputStream != null) {
            }
            throw th;
        }
    }

    public static JSONObject a(String str) throws IOException {
        try {
            return new JSONObject(FileUtils.d(str));
        } catch (JSONException e) {
            throw new CodePushMalformedDataException(str, e);
        }
    }

    public static void b(String str) {
        Log.d("ReactNative", "[CodePush] " + str);
    }

    public static void a(Throwable th) {
        Log.e("ReactNative", "[CodePush] Exception", th);
    }

    public static void c(String str) {
        b("Loading JS bundle from \"" + str + "\"");
    }

    public static void a(JSONObject jSONObject, String str, Object obj) {
        try {
            jSONObject.put(str, obj);
        } catch (JSONException unused) {
            throw new CodePushUnknownException("Unable to set value " + obj + " for key " + str + " to JSONObject");
        }
    }

    public static String a(ReadableMap readableMap, String str) {
        try {
            return readableMap.f(str);
        } catch (NoSuchKeyException unused) {
            return null;
        }
    }

    public static void a(JSONObject jSONObject, String str) throws IOException {
        FileUtils.b(jSONObject.toString(), str);
    }
}
