package com.nimbusds.jose.crypto;

import com.nimbusds.jose.CriticalHeaderParamsAware;
import com.nimbusds.jose.JOSEException;
import com.nimbusds.jose.JWSAlgorithm;
import com.nimbusds.jose.JWSHeader;
import com.nimbusds.jose.JWSVerifier;
import com.nimbusds.jose.jca.JCAContext;
import com.nimbusds.jose.util.Base64URL;
import java.security.InvalidKeyException;
import java.security.Signature;
import java.security.SignatureException;
import java.security.interfaces.ECPublicKey;
import java.util.Set;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class ECDSAVerifier extends ECDSAProvider implements CriticalHeaderParamsAware, JWSVerifier {
    private final CriticalHeaderParamsDeferral b;
    private final ECPublicKey c;

    @Override // com.nimbusds.jose.crypto.BaseJWSProvider
    public /* bridge */ /* synthetic */ Set a() {
        return super.a();
    }

    @Override // com.nimbusds.jose.crypto.BaseJWSProvider
    public /* bridge */ /* synthetic */ JCAContext b() {
        return super.b();
    }

    @Override // com.nimbusds.jose.JWSVerifier
    public boolean a(JWSHeader jWSHeader, byte[] bArr, Base64URL base64URL) throws JOSEException {
        JWSAlgorithm e = jWSHeader.b();
        if (!a().contains(e)) {
            throw new JOSEException(AlgorithmSupportMessage.a(e, a()));
        } else if (!this.b.a(jWSHeader)) {
            return false;
        } else {
            try {
                byte[] a2 = ECDSA.a(base64URL.a());
                Signature a3 = ECDSA.a(e, b().a());
                try {
                    a3.initVerify(this.c);
                    a3.update(bArr);
                    return a3.verify(a2);
                } catch (InvalidKeyException e2) {
                    throw new JOSEException("Invalid EC public key: " + e2.getMessage(), e2);
                } catch (SignatureException unused) {
                    return false;
                }
            } catch (JOSEException unused2) {
                return false;
            }
        }
    }
}
