package com.nimbusds.jose.crypto;

import com.nimbusds.jose.CriticalHeaderParamsAware;
import com.nimbusds.jose.JOSEException;
import com.nimbusds.jose.JWSHeader;
import com.nimbusds.jose.JWSVerifier;
import com.nimbusds.jose.crypto.utils.ConstantTimeUtils;
import com.nimbusds.jose.jca.JCAContext;
import com.nimbusds.jose.util.Base64URL;
import java.util.Set;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class MACVerifier extends MACProvider implements CriticalHeaderParamsAware, JWSVerifier {
    private final CriticalHeaderParamsDeferral b;

    @Override // com.nimbusds.jose.crypto.BaseJWSProvider
    public /* bridge */ /* synthetic */ Set a() {
        return super.a();
    }

    @Override // com.nimbusds.jose.crypto.BaseJWSProvider
    public /* bridge */ /* synthetic */ JCAContext b() {
        return super.b();
    }

    @Override // com.nimbusds.jose.crypto.MACProvider
    public /* bridge */ /* synthetic */ byte[] c() {
        return super.c();
    }

    @Override // com.nimbusds.jose.JWSVerifier
    public boolean a(JWSHeader jWSHeader, byte[] bArr, Base64URL base64URL) throws JOSEException {
        if (!this.b.a(jWSHeader)) {
            return false;
        }
        return ConstantTimeUtils.a(HMAC.a(a(jWSHeader.b()), c(), bArr, b().a()), base64URL.a());
    }
}
