package com.nimbusds.jose.jwk;

import com.nimbusds.jose.Algorithm;
import com.nimbusds.jose.util.Base64;
import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.JSONObjectUtils;
import com.nimbusds.jose.util.X509CertChainUtils;
import java.net.URI;
import java.text.ParseException;
import java.util.List;
import java.util.Set;
import net.minidev.json.JSONObject;

/* access modifiers changed from: package-private */
public final class JWKMetadata {
    JWKMetadata() {
    }

    static KeyType a(JSONObject jSONObject) throws ParseException {
        return KeyType.a(JSONObjectUtils.b(jSONObject, "kty"));
    }

    static KeyUse b(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("use")) {
            return KeyUse.a(JSONObjectUtils.b(jSONObject, "use"));
        }
        return null;
    }

    static Set<KeyOperation> c(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("key_ops")) {
            return KeyOperation.a(JSONObjectUtils.f(jSONObject, "key_ops"));
        }
        return null;
    }

    static Algorithm d(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("alg")) {
            return new Algorithm(JSONObjectUtils.b(jSONObject, "alg"));
        }
        return null;
    }

    static String e(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("kid")) {
            return JSONObjectUtils.b(jSONObject, "kid");
        }
        return null;
    }

    static URI f(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("x5u")) {
            return JSONObjectUtils.c(jSONObject, "x5u");
        }
        return null;
    }

    static Base64URL g(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("x5t")) {
            return new Base64URL(JSONObjectUtils.b(jSONObject, "x5t"));
        }
        return null;
    }

    static Base64URL h(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("x5t#S256")) {
            return new Base64URL(JSONObjectUtils.b(jSONObject, "x5t#S256"));
        }
        return null;
    }

    static List<Base64> i(JSONObject jSONObject) throws ParseException {
        if (jSONObject.containsKey("x5c")) {
            return X509CertChainUtils.a(JSONObjectUtils.d(jSONObject, "x5c"));
        }
        return null;
    }
}
