package com.nimbusds.jose.jwk;

import java.text.ParseException;

public enum KeyUse {
    SIGNATURE("sig"),
    ENCRYPTION("enc");
    
    private final String c;

    private KeyUse(String str) {
        if (str != null) {
            this.c = str;
            return;
        }
        throw new IllegalArgumentException("The key use identifier must not be null");
    }

    public String a() {
        return this.c;
    }

    public String toString() {
        return a();
    }

    public static KeyUse a(String str) throws ParseException {
        if (str == null) {
            return null;
        }
        KeyUse[] values = values();
        for (KeyUse keyUse : values) {
            if (str.equals(keyUse.c)) {
                return keyUse;
            }
        }
        throw new ParseException("Invalid JWK use: " + str, 0);
    }
}
