package com.nimbusds.jose.util;

import java.net.URI;
import java.net.URISyntaxException;
import java.text.ParseException;
import java.util.Arrays;
import java.util.List;
import net.minidev.json.JSONArray;
import net.minidev.json.JSONObject;
import net.minidev.json.parser.JSONParser;

public class JSONObjectUtils {
    public static JSONObject a(String str) throws ParseException {
        try {
            Object a2 = new JSONParser(640).a(str);
            if (a2 instanceof JSONObject) {
                return (JSONObject) a2;
            }
            throw new ParseException("JSON entity is not an object", 0);
        } catch (net.minidev.json.parser.ParseException e) {
            throw new ParseException("Invalid JSON: " + e.getMessage(), 0);
        }
    }

    private static <T> T a(JSONObject jSONObject, String str, Class<T> cls) throws ParseException {
        if (!jSONObject.containsKey(str)) {
            throw new ParseException("Missing JSON object member with key \"" + str + "\"", 0);
        } else if (jSONObject.get(str) != null) {
            T t = (T) jSONObject.get(str);
            if (cls.isAssignableFrom(t.getClass())) {
                return t;
            }
            throw new ParseException("Unexpected type of JSON object member with key \"" + str + "\"", 0);
        } else {
            throw new ParseException("JSON object member with key \"" + str + "\" has null value", 0);
        }
    }

    public static long a(JSONObject jSONObject, String str) throws ParseException {
        return ((Number) a(jSONObject, str, Number.class)).longValue();
    }

    public static String b(JSONObject jSONObject, String str) throws ParseException {
        return (String) a(jSONObject, str, String.class);
    }

    public static URI c(JSONObject jSONObject, String str) throws ParseException {
        try {
            return new URI((String) a(jSONObject, str, String.class));
        } catch (URISyntaxException e) {
            throw new ParseException(e.getMessage(), 0);
        }
    }

    public static JSONArray d(JSONObject jSONObject, String str) throws ParseException {
        return (JSONArray) a(jSONObject, str, JSONArray.class);
    }

    public static String[] e(JSONObject jSONObject, String str) throws ParseException {
        try {
            return (String[]) d(jSONObject, str).toArray(new String[0]);
        } catch (ArrayStoreException unused) {
            throw new ParseException("JSON object member with key \"" + str + "\" is not an array of strings", 0);
        }
    }

    public static List<String> f(JSONObject jSONObject, String str) throws ParseException {
        return Arrays.asList(e(jSONObject, str));
    }

    public static JSONObject g(JSONObject jSONObject, String str) throws ParseException {
        return (JSONObject) a(jSONObject, str, JSONObject.class);
    }

    private JSONObjectUtils() {
    }
}
