package com.nimbusds.jwt;

import com.nimbusds.jose.JOSEObject;
import com.nimbusds.jose.JWSObject;
import com.nimbusds.jose.util.Base64URL;
import java.text.ParseException;
import net.jcip.annotations.ThreadSafe;
import net.minidev.json.JSONObject;

@ThreadSafe
public class SignedJWT extends JWSObject implements JWT {
    private static final long serialVersionUID = 1;

    public SignedJWT(Base64URL base64URL, Base64URL base64URL2, Base64URL base64URL3) throws ParseException {
        super(base64URL, base64URL2, base64URL3);
    }

    public JWTClaimsSet g() throws ParseException {
        JSONObject a2 = a().a();
        if (a2 != null) {
            return JWTClaimsSet.a(a2);
        }
        throw new ParseException("Payload of JWS object is not a valid JSON object", 0);
    }

    public static SignedJWT b(String str) throws ParseException {
        Base64URL[] a2 = JOSEObject.a(str);
        if (a2.length == 3) {
            return new SignedJWT(a2[0], a2[1], a2[2]);
        }
        throw new ParseException("Unexpected number of Base64URL parts, must be three", 0);
    }
}
