package fi.iki.elonen;

import com.facebook.stetho.common.Utf8Charset;
import com.facebook.stetho.server.http.HttpHeaders;
import fi.iki.elonen.NanoHTTPD;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FilenameFilter;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.StringTokenizer;

public class SimpleWebServer extends NanoHTTPD {
    public static final List<String> c = new ArrayList<String>() {
        /* class fi.iki.elonen.SimpleWebServer.AnonymousClass1 */

        {
            add("index.html");
            add("index.htm");
        }
    };
    private static final String e;
    private static Map<String, WebServerPlugin> f = new HashMap();
    protected List<File> d;
    private final boolean g;
    private final String h;

    public void l() {
    }

    static {
        String str;
        a();
        try {
            InputStream resourceAsStream = SimpleWebServer.class.getResourceAsStream("/LICENSE.txt");
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            byte[] bArr = new byte[1024];
            while (true) {
                int read = resourceAsStream.read(bArr);
                if (read < 0) {
                    break;
                }
                byteArrayOutputStream.write(bArr, 0, read);
            }
            str = byteArrayOutputStream.toString(Utf8Charset.NAME);
        } catch (Exception unused) {
            str = "unknown";
        }
        e = str;
    }

    public SimpleWebServer(String str, int i, File file, boolean z, String str2) {
        this(str, i, Collections.singletonList(file), z, str2);
    }

    public SimpleWebServer(String str, int i, List<File> list, boolean z, String str2) {
        super(str, i);
        this.g = z;
        this.h = str2;
        this.d = new ArrayList(list);
        l();
    }

    private boolean b(String str, File file) {
        WebServerPlugin webServerPlugin;
        boolean exists = new File(file, str).exists();
        return (exists || (webServerPlugin = f.get(a(str))) == null) ? exists : webServerPlugin.a(str, file);
    }

    private String e(String str) {
        String str2;
        String str3 = "";
        StringTokenizer stringTokenizer = new StringTokenizer(str, "/ ", true);
        while (stringTokenizer.hasMoreTokens()) {
            String nextToken = stringTokenizer.nextToken();
            if ("/".equals(nextToken)) {
                str2 = str3 + "/";
            } else if (" ".equals(nextToken)) {
                str2 = str3 + "%20";
            } else {
                try {
                    str2 = str3 + URLEncoder.encode(nextToken, Utf8Charset.NAME);
                } catch (UnsupportedEncodingException unused) {
                }
            }
            str3 = str2;
        }
        return str3;
    }

    private String a(File file) {
        for (String str : c) {
            if (new File(file, str).isFile()) {
                return str;
            }
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public NanoHTTPD.Response c(String str) {
        NanoHTTPD.Response.Status status = NanoHTTPD.Response.Status.FORBIDDEN;
        return b(status, "text/plain", "FORBIDDEN: " + str);
    }

    /* access modifiers changed from: protected */
    public NanoHTTPD.Response d(String str) {
        NanoHTTPD.Response.Status status = NanoHTTPD.Response.Status.INTERNAL_ERROR;
        return b(status, "text/plain", "INTERNAL ERROR: " + str);
    }

    /* access modifiers changed from: protected */
    public NanoHTTPD.Response k() {
        return b(NanoHTTPD.Response.Status.NOT_FOUND, "text/plain", "Error 404, file not found.");
    }

    /* access modifiers changed from: protected */
    public String a(String str, File file) {
        String substring;
        int lastIndexOf;
        String str2 = "Directory " + str;
        StringBuilder sb = new StringBuilder("<html><head><title>" + str2 + "</title><style><!--\n" + "span.dirname { font-weight: bold; }\n" + "span.filesize { font-size: 75%; }\n" + "// -->\n" + "</style>" + "</head><body><h1>" + str2 + "</h1>");
        String substring2 = (str.length() <= 1 || (lastIndexOf = (substring = str.substring(0, str.length() - 1)).lastIndexOf(47)) < 0 || lastIndexOf >= substring.length()) ? null : str.substring(0, lastIndexOf + 1);
        List<String> asList = Arrays.asList(file.list(new FilenameFilter() {
            /* class fi.iki.elonen.SimpleWebServer.AnonymousClass2 */

            public boolean accept(File file, String str) {
                return new File(file, str).isFile();
            }
        }));
        Collections.sort(asList);
        List asList2 = Arrays.asList(file.list(new FilenameFilter() {
            /* class fi.iki.elonen.SimpleWebServer.AnonymousClass3 */

            public boolean accept(File file, String str) {
                return new File(file, str).isDirectory();
            }
        }));
        Collections.sort(asList2);
        if (substring2 != null || asList2.size() + asList.size() > 0) {
            sb.append("<ul>");
            if (substring2 != null || asList2.size() > 0) {
                sb.append("<section class=\"directories\">");
                if (substring2 != null) {
                    sb.append("<li><a rel=\"directory\" href=\"");
                    sb.append(substring2);
                    sb.append("\"><span class=\"dirname\">..</span></a></li>");
                }
                Iterator it = asList2.iterator();
                while (it.hasNext()) {
                    String str3 = ((String) it.next()) + "/";
                    sb.append("<li><a rel=\"directory\" href=\"");
                    sb.append(e(str + str3));
                    sb.append("\"><span class=\"dirname\">");
                    sb.append(str3);
                    sb.append("</span></a></li>");
                }
                sb.append("</section>");
            }
            if (asList.size() > 0) {
                sb.append("<section class=\"files\">");
                for (String str4 : asList) {
                    sb.append("<li><a href=\"");
                    sb.append(e(str + str4));
                    sb.append("\"><span class=\"filename\">");
                    sb.append(str4);
                    sb.append("</span></a>");
                    long length = new File(file, str4).length();
                    sb.append("&nbsp;<span class=\"filesize\">(");
                    if (length < 1024) {
                        sb.append(length);
                        sb.append(" bytes");
                    } else if (length < 1048576) {
                        sb.append(length / 1024);
                        sb.append(".");
                        sb.append(((length % 1024) / 10) % 100);
                        sb.append(" KB");
                    } else {
                        sb.append(length / 1048576);
                        sb.append(".");
                        sb.append(((length % 1048576) / 10000) % 100);
                        sb.append(" MB");
                    }
                    sb.append(")</span></li>");
                }
                sb.append("</section>");
            }
            sb.append("</ul>");
        }
        sb.append("</body></html>");
        return sb.toString();
    }

    public static NanoHTTPD.Response b(NanoHTTPD.Response.IStatus iStatus, String str, String str2) {
        NanoHTTPD.Response a2 = NanoHTTPD.a(iStatus, str, str2);
        a2.a("Accept-Ranges", "bytes");
        return a2;
    }

    private NanoHTTPD.Response a(Map<String, String> map, NanoHTTPD.IHTTPSession iHTTPSession, String str) {
        NanoHTTPD.Response response;
        if (this.h == null || !NanoHTTPD.Method.OPTIONS.equals(iHTTPSession.c())) {
            response = b(map, iHTTPSession, str);
        } else {
            response = new NanoHTTPD.Response(NanoHTTPD.Response.Status.OK, "text/plain", null, 0);
        }
        return this.h != null ? a(map, response, this.h) : response;
    }

    private NanoHTTPD.Response b(Map<String, String> map, NanoHTTPD.IHTTPSession iHTTPSession, String str) {
        NanoHTTPD.Response response;
        String replace = str.trim().replace(File.separatorChar, '/');
        boolean z = false;
        if (replace.indexOf(63) >= 0) {
            replace = replace.substring(0, replace.indexOf(63));
        }
        if (replace.contains("../")) {
            return c("Won't serve ../ for security reasons.");
        }
        File file = null;
        int i = 0;
        while (!z && i < this.d.size()) {
            file = this.d.get(i);
            z = b(replace, file);
            i++;
        }
        if (!z) {
            return k();
        }
        File file2 = new File(file, replace);
        if (file2.isDirectory() && !replace.endsWith("/")) {
            String str2 = replace + "/";
            NanoHTTPD.Response b = b(NanoHTTPD.Response.Status.REDIRECT, "text/html", "<html><body>Redirected: <a href=\"" + str2 + "\">" + str2 + "</a></body></html>");
            b.a("Location", str2);
            return b;
        } else if (file2.isDirectory()) {
            String a2 = a(file2);
            if (a2 != null) {
                return a(map, iHTTPSession, replace + a2);
            } else if (file2.canRead()) {
                return b(NanoHTTPD.Response.Status.OK, "text/html", a(replace, file2));
            } else {
                return c("No directory listing.");
            }
        } else {
            String a3 = a(replace);
            WebServerPlugin webServerPlugin = f.get(a3);
            if (webServerPlugin == null || !webServerPlugin.a(replace, file)) {
                response = a(replace, map, file2, a3);
            } else {
                response = webServerPlugin.a(replace, map, iHTTPSession, file2, a3);
                if (response != null && (response instanceof InternalRewrite)) {
                    InternalRewrite internalRewrite = (InternalRewrite) response;
                    return a(internalRewrite.a(), iHTTPSession, internalRewrite.b());
                }
            }
            return response != null ? response : k();
        }
    }

    @Override // fi.iki.elonen.NanoHTTPD
    public NanoHTTPD.Response a(NanoHTTPD.IHTTPSession iHTTPSession) {
        Map<String, String> b = iHTTPSession.b();
        Map<String, String> d2 = iHTTPSession.d();
        String f2 = iHTTPSession.f();
        if (!this.g) {
            PrintStream printStream = System.out;
            printStream.println(iHTTPSession.c() + " '" + f2 + "' ");
            for (String str : b.keySet()) {
                PrintStream printStream2 = System.out;
                printStream2.println("  HDR: '" + str + "' = '" + b.get(str) + "'");
            }
            for (String str2 : d2.keySet()) {
                PrintStream printStream3 = System.out;
                printStream3.println("  PRM: '" + str2 + "' = '" + d2.get(str2) + "'");
            }
        }
        for (File file : this.d) {
            if (!file.isDirectory()) {
                return d("given path is not a directory (" + file + ").");
            }
        }
        return a(Collections.unmodifiableMap(b), iHTTPSession, f2);
    }

    /* access modifiers changed from: package-private */
    public NanoHTTPD.Response a(String str, Map<String, String> map, File file, String str2) {
        long j;
        boolean z;
        long length;
        int indexOf;
        try {
            String hexString = Integer.toHexString((file.getAbsolutePath() + file.lastModified() + "" + file.length()).hashCode());
            long j2 = -1;
            String str3 = map.get("range");
            boolean z2 = false;
            if (str3 != null && str3.startsWith("bytes=") && (indexOf = (str3 = str3.substring("bytes=".length())).indexOf(45)) > 0) {
                try {
                    j = Long.parseLong(str3.substring(0, indexOf));
                    try {
                        j2 = Long.parseLong(str3.substring(indexOf + 1));
                    } catch (NumberFormatException unused) {
                    }
                } catch (NumberFormatException unused2) {
                }
                String str4 = map.get("if-range");
                z = str4 != null || hexString.equals(str4);
                String str5 = map.get("if-none-match");
                if (str5 != null && ("*".equals(str5) || str5.equals(hexString))) {
                    z2 = true;
                }
                length = file.length();
                if (z || str3 == null || j < 0 || j >= length) {
                    if (!z && str3 != null && j >= length) {
                        NanoHTTPD.Response b = b(NanoHTTPD.Response.Status.RANGE_NOT_SATISFIABLE, "text/plain", "");
                        b.a("Content-Range", "bytes */" + length);
                        b.a("ETag", hexString);
                        return b;
                    } else if (str3 != null && z2) {
                        NanoHTTPD.Response b2 = b(NanoHTTPD.Response.Status.NOT_MODIFIED, str2, "");
                        b2.a("ETag", hexString);
                        return b2;
                    } else if (!z || !z2) {
                        NanoHTTPD.Response a2 = a(file, str2);
                        a2.a(HttpHeaders.CONTENT_LENGTH, "" + length);
                        a2.a("ETag", hexString);
                        return a2;
                    } else {
                        NanoHTTPD.Response b3 = b(NanoHTTPD.Response.Status.NOT_MODIFIED, str2, "");
                        b3.a("ETag", hexString);
                        return b3;
                    }
                } else if (z2) {
                    NanoHTTPD.Response b4 = b(NanoHTTPD.Response.Status.NOT_MODIFIED, str2, "");
                    b4.a("ETag", hexString);
                    return b4;
                } else {
                    if (j2 < 0) {
                        j2 = length - 1;
                    }
                    long j3 = (j2 - j) + 1;
                    if (j3 < 0) {
                        j3 = 0;
                    }
                    FileInputStream fileInputStream = new FileInputStream(file);
                    fileInputStream.skip(j);
                    NanoHTTPD.Response a3 = a(NanoHTTPD.Response.Status.PARTIAL_CONTENT, str2, fileInputStream, j3);
                    a3.a("Accept-Ranges", "bytes");
                    a3.a(HttpHeaders.CONTENT_LENGTH, "" + j3);
                    a3.a("Content-Range", "bytes " + j + "-" + j2 + "/" + length);
                    a3.a("ETag", hexString);
                    return a3;
                }
            }
            j = 0;
            String str42 = map.get("if-range");
            if (str42 != null) {
            }
            String str52 = map.get("if-none-match");
            z2 = true;
            length = file.length();
            if (z) {
            }
            if (!z) {
            }
            if (str3 != null) {
            }
            if (!z) {
            }
            NanoHTTPD.Response a22 = a(file, str2);
            a22.a(HttpHeaders.CONTENT_LENGTH, "" + length);
            a22.a("ETag", hexString);
            return a22;
        } catch (IOException unused3) {
            return c("Reading file failed.");
        }
    }

    private NanoHTTPD.Response a(File file, String str) throws FileNotFoundException {
        NanoHTTPD.Response a2 = a(NanoHTTPD.Response.Status.OK, str, new FileInputStream(file), (long) ((int) file.length()));
        a2.a("Accept-Ranges", "bytes");
        return a2;
    }

    /* access modifiers changed from: protected */
    public NanoHTTPD.Response a(Map<String, String> map, NanoHTTPD.Response response, String str) {
        response.a("Access-Control-Allow-Origin", str);
        response.a("Access-Control-Allow-Headers", a(map));
        response.a("Access-Control-Allow-Credentials", "true");
        response.a("Access-Control-Allow-Methods", "GET, POST, PUT, DELETE, OPTIONS, HEAD");
        response.a("Access-Control-Max-Age", "151200");
        return response;
    }

    private String a(Map<String, String> map) {
        return System.getProperty("AccessControlAllowHeader", "origin,accept,content-type");
    }
}
