package fr.bamlab.rnimageresizer;

import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.WritableMap;
import java.io.File;
import java.io.IOException;

class ImageResizerModule extends ReactContextBaseJavaModule {
    private Context context;

    @Override // com.facebook.react.bridge.NativeModule
    public String getName() {
        return "ImageResizerAndroid";
    }

    public ImageResizerModule(ReactApplicationContext reactApplicationContext) {
        super(reactApplicationContext);
        this.context = reactApplicationContext;
    }

    @ReactMethod
    public void createResizedImage(String str, int i, int i2, String str2, int i3, int i4, String str3, Callback callback, Callback callback2) {
        try {
            createResizedImageWithExceptions(str, i, i2, str2, i3, i4, str3, callback, callback2);
        } catch (IOException e) {
            callback2.a(e.getMessage());
        }
    }

    private void createResizedImageWithExceptions(String str, int i, int i2, String str2, int i3, int i4, String str3, Callback callback, Callback callback2) throws IOException {
        Bitmap.CompressFormat valueOf = Bitmap.CompressFormat.valueOf(str2);
        File a2 = ImageResizer.a(this.context, Uri.parse(str), i, i2, valueOf, i3, i4, str3);
        if (a2.isFile()) {
            WritableMap b = Arguments.b();
            b.putString("path", a2.getAbsolutePath());
            b.putString("uri", Uri.fromFile(a2).toString());
            b.putString("name", a2.getName());
            b.putDouble("size", (double) a2.length());
            callback.a(b);
            return;
        }
        callback2.a("Error getting resized image path");
    }
}
