package okio;

import java.util.Arrays;

/* access modifiers changed from: package-private */
public final class SegmentedByteString extends ByteString {
    final transient byte[][] f;
    final transient int[] g;

    SegmentedByteString(Buffer buffer, int i) {
        super(null);
        Util.a(buffer.b, 0, (long) i);
        int i2 = 0;
        Segment segment = buffer.f3326a;
        int i3 = 0;
        int i4 = 0;
        while (i3 < i) {
            if (segment.c != segment.b) {
                i3 += segment.c - segment.b;
                i4++;
                segment = segment.f;
            } else {
                throw new AssertionError("s.limit == s.pos");
            }
        }
        this.f = new byte[i4][];
        this.g = new int[(i4 * 2)];
        Segment segment2 = buffer.f3326a;
        int i5 = 0;
        while (i2 < i) {
            this.f[i5] = segment2.f3350a;
            i2 += segment2.c - segment2.b;
            if (i2 > i) {
                i2 = i;
            }
            this.g[i5] = i2;
            this.g[this.f.length + i5] = segment2.b;
            segment2.d = true;
            i5++;
            segment2 = segment2.f;
        }
    }

    @Override // okio.ByteString
    public String a() {
        return j().a();
    }

    @Override // okio.ByteString
    public String b() {
        return j().b();
    }

    @Override // okio.ByteString
    public String f() {
        return j().f();
    }

    @Override // okio.ByteString
    public ByteString g() {
        return j().g();
    }

    @Override // okio.ByteString
    public ByteString c() {
        return j().c();
    }

    @Override // okio.ByteString
    public ByteString d() {
        return j().d();
    }

    @Override // okio.ByteString
    public ByteString e() {
        return j().e();
    }

    @Override // okio.ByteString
    public ByteString a(int i, int i2) {
        return j().a(i, i2);
    }

    @Override // okio.ByteString
    public byte a(int i) {
        int i2;
        Util.a((long) this.g[this.f.length - 1], (long) i, 1);
        int b = b(i);
        if (b == 0) {
            i2 = 0;
        } else {
            i2 = this.g[b - 1];
        }
        return this.f[b][(i - i2) + this.g[this.f.length + b]];
    }

    private int b(int i) {
        int binarySearch = Arrays.binarySearch(this.g, 0, this.f.length, i + 1);
        return binarySearch >= 0 ? binarySearch : ~binarySearch;
    }

    @Override // okio.ByteString
    public int h() {
        return this.g[this.f.length - 1];
    }

    @Override // okio.ByteString
    public byte[] i() {
        byte[] bArr = new byte[this.g[this.f.length - 1]];
        int length = this.f.length;
        int i = 0;
        int i2 = 0;
        while (i < length) {
            int i3 = this.g[length + i];
            int i4 = this.g[i];
            System.arraycopy(this.f[i], i3, bArr, i2, i4 - i2);
            i++;
            i2 = i4;
        }
        return bArr;
    }

    /* access modifiers changed from: package-private */
    @Override // okio.ByteString
    public void a(Buffer buffer) {
        int length = this.f.length;
        int i = 0;
        int i2 = 0;
        while (i < length) {
            int i3 = this.g[length + i];
            int i4 = this.g[i];
            Segment segment = new Segment(this.f[i], i3, (i3 + i4) - i2, true, false);
            if (buffer.f3326a == null) {
                segment.g = segment;
                segment.f = segment;
                buffer.f3326a = segment;
            } else {
                buffer.f3326a.g.a(segment);
            }
            i++;
            i2 = i4;
        }
        buffer.b += (long) i2;
    }

    @Override // okio.ByteString
    public boolean a(int i, ByteString byteString, int i2, int i3) {
        int i4;
        if (i < 0 || i > h() - i3) {
            return false;
        }
        int b = b(i);
        while (i3 > 0) {
            if (b == 0) {
                i4 = 0;
            } else {
                i4 = this.g[b - 1];
            }
            int min = Math.min(i3, ((this.g[b] - i4) + i4) - i);
            if (!byteString.a(i2, this.f[b], (i - i4) + this.g[this.f.length + b], min)) {
                return false;
            }
            i += min;
            i2 += min;
            i3 -= min;
            b++;
        }
        return true;
    }

    @Override // okio.ByteString
    public boolean a(int i, byte[] bArr, int i2, int i3) {
        int i4;
        if (i < 0 || i > h() - i3 || i2 < 0 || i2 > bArr.length - i3) {
            return false;
        }
        int b = b(i);
        while (i3 > 0) {
            if (b == 0) {
                i4 = 0;
            } else {
                i4 = this.g[b - 1];
            }
            int min = Math.min(i3, ((this.g[b] - i4) + i4) - i);
            if (!Util.a(this.f[b], (i - i4) + this.g[this.f.length + b], bArr, i2, min)) {
                return false;
            }
            i += min;
            i2 += min;
            i3 -= min;
            b++;
        }
        return true;
    }

    private ByteString j() {
        return new ByteString(i());
    }

    @Override // okio.ByteString
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof ByteString) {
            ByteString byteString = (ByteString) obj;
            if (byteString.h() != h() || !a(0, byteString, 0, h())) {
                return false;
            }
            return true;
        }
        return false;
    }

    @Override // okio.ByteString
    public int hashCode() {
        int i = this.d;
        if (i != 0) {
            return i;
        }
        int length = this.f.length;
        int i2 = 0;
        int i3 = 0;
        int i4 = 1;
        while (i2 < length) {
            byte[] bArr = this.f[i2];
            int i5 = this.g[length + i2];
            int i6 = this.g[i2];
            int i7 = (i6 - i3) + i5;
            while (i5 < i7) {
                i4 = (i4 * 31) + bArr[i5];
                i5++;
            }
            i2++;
            i3 = i6;
        }
        this.d = i4;
        return i4;
    }

    @Override // okio.ByteString
    public String toString() {
        return j().toString();
    }

    private Object writeReplace() {
        return j();
    }
}
