package org.apache.commons.lang3;

import org.apache.commons.lang3.math.NumberUtils;

public enum JavaVersion {
    JAVA_0_9(1.5f, "0.9"),
    JAVA_1_1(1.1f, "1.1"),
    JAVA_1_2(1.2f, "1.2"),
    JAVA_1_3(1.3f, "1.3"),
    JAVA_1_4(1.4f, "1.4"),
    JAVA_1_5(1.5f, "1.5"),
    JAVA_1_6(1.6f, "1.6"),
    JAVA_1_7(1.7f, "1.7"),
    JAVA_1_8(1.8f, "1.8"),
    JAVA_1_9(9.0f, "9"),
    JAVA_9(9.0f, "9"),
    JAVA_10(10.0f, "10"),
    JAVA_RECENT(a(), Float.toString(a()));
    
    private final float n;
    private final String o;

    private JavaVersion(float f, String str) {
        this.n = f;
        this.o = str;
    }

    public boolean a(JavaVersion javaVersion) {
        return this.n >= javaVersion.n;
    }

    static JavaVersion a(String str) {
        if ("0.9".equals(str)) {
            return JAVA_0_9;
        }
        if ("1.1".equals(str)) {
            return JAVA_1_1;
        }
        if ("1.2".equals(str)) {
            return JAVA_1_2;
        }
        if ("1.3".equals(str)) {
            return JAVA_1_3;
        }
        if ("1.4".equals(str)) {
            return JAVA_1_4;
        }
        if ("1.5".equals(str)) {
            return JAVA_1_5;
        }
        if ("1.6".equals(str)) {
            return JAVA_1_6;
        }
        if ("1.7".equals(str)) {
            return JAVA_1_7;
        }
        if ("1.8".equals(str)) {
            return JAVA_1_8;
        }
        if ("9".equals(str)) {
            return JAVA_9;
        }
        if ("10".equals(str)) {
            return JAVA_10;
        }
        if (str != null && ((double) b(str)) - 1.0d < 1.0d) {
            int max = Math.max(str.indexOf(46), str.indexOf(44));
            if (Float.parseFloat(str.substring(max + 1, Math.max(str.length(), str.indexOf(44, max)))) > 0.9f) {
                return JAVA_RECENT;
            }
        }
        return null;
    }

    public String toString() {
        return this.o;
    }

    private static float a() {
        float b = b(System.getProperty("java.specification.version", "99.0"));
        if (b > 0.0f) {
            return b;
        }
        return 99.0f;
    }

    private static float b(String str) {
        if (!str.contains(".")) {
            return NumberUtils.a(str, -1.0f);
        }
        String[] split = str.split("\\.");
        if (split.length < 2) {
            return -1.0f;
        }
        return NumberUtils.a(split[0] + '.' + split[1], -1.0f);
    }
}
