package org.apache.commons.lang3.concurrent;

import java.util.EnumMap;
import java.util.Map;
import org.apache.commons.lang3.concurrent.AbstractCircuitBreaker;

public class EventCountCircuitBreaker extends AbstractCircuitBreaker<Integer> {
    private static final Map<AbstractCircuitBreaker.State, StateStrategy> b = a();

    private static class CheckIntervalData {
    }

    private static Map<AbstractCircuitBreaker.State, StateStrategy> a() {
        EnumMap enumMap = new EnumMap(AbstractCircuitBreaker.State.class);
        enumMap.put((Object) AbstractCircuitBreaker.State.CLOSED, (Object) new StateStrategyClosed());
        enumMap.put((Object) AbstractCircuitBreaker.State.OPEN, (Object) new StateStrategyOpen());
        return enumMap;
    }

    private static abstract class StateStrategy {
        private StateStrategy() {
        }
    }

    /* access modifiers changed from: private */
    public static class StateStrategyClosed extends StateStrategy {
        private StateStrategyClosed() {
            super();
        }
    }

    /* access modifiers changed from: private */
    public static class StateStrategyOpen extends StateStrategy {
        private StateStrategyOpen() {
            super();
        }
    }
}
