package android.support.graphics.drawable;

import android.annotation.TargetApi;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.graphics.drawable.TintAwareDrawable;
import android.util.AttributeSet;

@TargetApi(21)
abstract class VectorDrawableCommon extends Drawable implements TintAwareDrawable {

    /* renamed from: a  reason: collision with root package name */
    Drawable f52a;

    VectorDrawableCommon() {
    }

    static TypedArray b(Resources resources, Resources.Theme theme, AttributeSet attributeSet, int[] iArr) {
        if (theme == null) {
            return resources.obtainAttributes(attributeSet, iArr);
        }
        return theme.obtainStyledAttributes(attributeSet, iArr, 0, 0);
    }

    public void setColorFilter(int i, PorterDuff.Mode mode) {
        if (this.f52a != null) {
            this.f52a.setColorFilter(i, mode);
        } else {
            super.setColorFilter(i, mode);
        }
    }

    public ColorFilter getColorFilter() {
        if (this.f52a != null) {
            return DrawableCompat.e(this.f52a);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        if (this.f52a != null) {
            return this.f52a.setLevel(i);
        }
        return super.onLevelChange(i);
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        if (this.f52a != null) {
            this.f52a.setBounds(rect);
        } else {
            super.onBoundsChange(rect);
        }
    }

    public void setHotspot(float f, float f2) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, f, f2);
        }
    }

    public void setHotspotBounds(int i, int i2, int i3, int i4) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, i, i2, i3, i4);
        }
    }

    public void setFilterBitmap(boolean z) {
        if (this.f52a != null) {
            this.f52a.setFilterBitmap(z);
        }
    }

    public void jumpToCurrentState() {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a);
        }
    }

    public void setAutoMirrored(boolean z) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, z);
        }
    }

    public boolean isAutoMirrored() {
        if (this.f52a == null) {
            return false;
        }
        DrawableCompat.b(this.f52a);
        return false;
    }

    public void applyTheme(Resources.Theme theme) {
        if (this.f52a != null) {
            DrawableCompat.a(this.f52a, theme);
        }
    }

    public int getLayoutDirection() {
        if (this.f52a == null) {
            return 0;
        }
        DrawableCompat.h(this.f52a);
        return 0;
    }

    public void clearColorFilter() {
        if (this.f52a != null) {
            this.f52a.clearColorFilter();
        } else {
            super.clearColorFilter();
        }
    }

    public Drawable getCurrent() {
        if (this.f52a != null) {
            return this.f52a.getCurrent();
        }
        return super.getCurrent();
    }

    public int getMinimumWidth() {
        if (this.f52a != null) {
            return this.f52a.getMinimumWidth();
        }
        return super.getMinimumWidth();
    }

    public int getMinimumHeight() {
        if (this.f52a != null) {
            return this.f52a.getMinimumHeight();
        }
        return super.getMinimumHeight();
    }

    public boolean getPadding(Rect rect) {
        if (this.f52a != null) {
            return this.f52a.getPadding(rect);
        }
        return super.getPadding(rect);
    }

    public int[] getState() {
        if (this.f52a != null) {
            return this.f52a.getState();
        }
        return super.getState();
    }

    public Region getTransparentRegion() {
        if (this.f52a != null) {
            return this.f52a.getTransparentRegion();
        }
        return super.getTransparentRegion();
    }

    public void setChangingConfigurations(int i) {
        if (this.f52a != null) {
            this.f52a.setChangingConfigurations(i);
        } else {
            super.setChangingConfigurations(i);
        }
    }

    public boolean setState(int[] iArr) {
        if (this.f52a != null) {
            return this.f52a.setState(iArr);
        }
        return super.setState(iArr);
    }
}
