package android.support.v4.app;

import android.os.Build;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransitionCompat21;
import android.support.v4.util.ArrayMap;
import android.support.v4.util.LogWriter;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import com.tencent.smtt.sdk.TbsListener;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/* access modifiers changed from: package-private */
public final class BackStackRecord extends FragmentTransaction implements FragmentManager.BackStackEntry, Runnable {

    /* renamed from: a  reason: collision with root package name */
    static final boolean f73a = (Build.VERSION.SDK_INT >= 21);
    final FragmentManagerImpl b;
    Op c;
    Op d;
    int e;
    int f;
    int g;
    int h;
    int i;
    int j;
    int k;
    boolean l;
    boolean m = true;
    String n;
    boolean o;
    int p = -1;
    int q;
    CharSequence r;
    int s;
    CharSequence t;
    ArrayList<String> u;
    ArrayList<String> v;

    /* access modifiers changed from: package-private */
    public static final class Op {

        /* renamed from: a  reason: collision with root package name */
        Op f77a;
        Op b;
        int c;
        Fragment d;
        int e;
        int f;
        int g;
        int h;
        ArrayList<Fragment> i;

        Op() {
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder((int) TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        sb.append("BackStackEntry{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        if (this.p >= 0) {
            sb.append(" #");
            sb.append(this.p);
        }
        if (this.n != null) {
            sb.append(" ");
            sb.append(this.n);
        }
        sb.append("}");
        return sb.toString();
    }

    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        a(str, printWriter, true);
    }

    public void a(String str, PrintWriter printWriter, boolean z) {
        String str2;
        if (z) {
            printWriter.print(str);
            printWriter.print("mName=");
            printWriter.print(this.n);
            printWriter.print(" mIndex=");
            printWriter.print(this.p);
            printWriter.print(" mCommitted=");
            printWriter.println(this.o);
            if (this.j != 0) {
                printWriter.print(str);
                printWriter.print("mTransition=#");
                printWriter.print(Integer.toHexString(this.j));
                printWriter.print(" mTransitionStyle=#");
                printWriter.println(Integer.toHexString(this.k));
            }
            if (!(this.f == 0 && this.g == 0)) {
                printWriter.print(str);
                printWriter.print("mEnterAnim=#");
                printWriter.print(Integer.toHexString(this.f));
                printWriter.print(" mExitAnim=#");
                printWriter.println(Integer.toHexString(this.g));
            }
            if (!(this.h == 0 && this.i == 0)) {
                printWriter.print(str);
                printWriter.print("mPopEnterAnim=#");
                printWriter.print(Integer.toHexString(this.h));
                printWriter.print(" mPopExitAnim=#");
                printWriter.println(Integer.toHexString(this.i));
            }
            if (!(this.q == 0 && this.r == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbTitleRes=#");
                printWriter.print(Integer.toHexString(this.q));
                printWriter.print(" mBreadCrumbTitleText=");
                printWriter.println(this.r);
            }
            if (!(this.s == 0 && this.t == null)) {
                printWriter.print(str);
                printWriter.print("mBreadCrumbShortTitleRes=#");
                printWriter.print(Integer.toHexString(this.s));
                printWriter.print(" mBreadCrumbShortTitleText=");
                printWriter.println(this.t);
            }
        }
        if (this.c != null) {
            printWriter.print(str);
            printWriter.println("Operations:");
            String str3 = str + "    ";
            Op op = this.c;
            int i2 = 0;
            while (op != null) {
                switch (op.c) {
                    case 0:
                        str2 = "NULL";
                        break;
                    case 1:
                        str2 = "ADD";
                        break;
                    case 2:
                        str2 = "REPLACE";
                        break;
                    case 3:
                        str2 = "REMOVE";
                        break;
                    case 4:
                        str2 = "HIDE";
                        break;
                    case 5:
                        str2 = "SHOW";
                        break;
                    case 6:
                        str2 = "DETACH";
                        break;
                    case 7:
                        str2 = "ATTACH";
                        break;
                    default:
                        str2 = "cmd=" + op.c;
                        break;
                }
                printWriter.print(str);
                printWriter.print("  Op #");
                printWriter.print(i2);
                printWriter.print(": ");
                printWriter.print(str2);
                printWriter.print(" ");
                printWriter.println(op.d);
                if (z) {
                    if (!(op.e == 0 && op.f == 0)) {
                        printWriter.print(str);
                        printWriter.print("enterAnim=#");
                        printWriter.print(Integer.toHexString(op.e));
                        printWriter.print(" exitAnim=#");
                        printWriter.println(Integer.toHexString(op.f));
                    }
                    if (!(op.g == 0 && op.h == 0)) {
                        printWriter.print(str);
                        printWriter.print("popEnterAnim=#");
                        printWriter.print(Integer.toHexString(op.g));
                        printWriter.print(" popExitAnim=#");
                        printWriter.println(Integer.toHexString(op.h));
                    }
                }
                if (op.i != null && op.i.size() > 0) {
                    for (int i3 = 0; i3 < op.i.size(); i3++) {
                        printWriter.print(str3);
                        if (op.i.size() == 1) {
                            printWriter.print("Removed: ");
                        } else {
                            if (i3 == 0) {
                                printWriter.println("Removed:");
                            }
                            printWriter.print(str3);
                            printWriter.print("  #");
                            printWriter.print(i3);
                            printWriter.print(": ");
                        }
                        printWriter.println(op.i.get(i3));
                    }
                }
                op = op.f77a;
                i2++;
            }
        }
    }

    public BackStackRecord(FragmentManagerImpl fragmentManagerImpl) {
        this.b = fragmentManagerImpl;
    }

    /* access modifiers changed from: package-private */
    public void a(Op op) {
        if (this.c == null) {
            this.d = op;
            this.c = op;
        } else {
            op.b = this.d;
            this.d.f77a = op;
            this.d = op;
        }
        op.e = this.f;
        op.f = this.g;
        op.g = this.h;
        op.h = this.i;
        this.e++;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction a(Fragment fragment, String str) {
        a(0, fragment, str, 1);
        return this;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction a(int i2, Fragment fragment, String str) {
        a(i2, fragment, str, 1);
        return this;
    }

    private void a(int i2, Fragment fragment, String str, int i3) {
        fragment.B = this.b;
        if (str != null) {
            if (fragment.I == null || str.equals(fragment.I)) {
                fragment.I = str;
            } else {
                throw new IllegalStateException("Can't change tag of fragment " + fragment + ": was " + fragment.I + " now " + str);
            }
        }
        if (i2 != 0) {
            if (i2 == -1) {
                throw new IllegalArgumentException("Can't add fragment " + fragment + " with tag " + str + " to container view with no id");
            } else if (fragment.G == 0 || fragment.G == i2) {
                fragment.G = i2;
                fragment.H = i2;
            } else {
                throw new IllegalStateException("Can't change container ID of fragment " + fragment + ": was " + fragment.G + " now " + i2);
            }
        }
        Op op = new Op();
        op.c = i3;
        op.d = fragment;
        a(op);
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction a(Fragment fragment) {
        Op op = new Op();
        op.c = 3;
        op.d = fragment;
        a(op);
        return this;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction b(Fragment fragment) {
        Op op = new Op();
        op.c = 6;
        op.d = fragment;
        a(op);
        return this;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction c(Fragment fragment) {
        Op op = new Op();
        op.c = 7;
        op.d = fragment;
        a(op);
        return this;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public FragmentTransaction a() {
        if (!this.l) {
            this.m = false;
            return this;
        }
        throw new IllegalStateException("This transaction is already being added to the back stack");
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        if (this.l) {
            if (FragmentManagerImpl.f91a) {
                Log.v("FragmentManager", "Bump nesting in " + this + " by " + i2);
            }
            for (Op op = this.c; op != null; op = op.f77a) {
                if (op.d != null) {
                    op.d.A += i2;
                    if (FragmentManagerImpl.f91a) {
                        Log.v("FragmentManager", "Bump nesting of " + op.d + " to " + op.d.A);
                    }
                }
                if (op.i != null) {
                    for (int size = op.i.size() - 1; size >= 0; size--) {
                        Fragment fragment = op.i.get(size);
                        fragment.A += i2;
                        if (FragmentManagerImpl.f91a) {
                            Log.v("FragmentManager", "Bump nesting of " + fragment + " to " + fragment.A);
                        }
                    }
                }
            }
        }
    }

    @Override // android.support.v4.app.FragmentTransaction
    public int b() {
        return a(false);
    }

    @Override // android.support.v4.app.FragmentTransaction
    public int c() {
        return a(true);
    }

    /* access modifiers changed from: package-private */
    public int a(boolean z) {
        if (!this.o) {
            if (FragmentManagerImpl.f91a) {
                Log.v("FragmentManager", "Commit: " + this);
                a("  ", (FileDescriptor) null, new PrintWriter(new LogWriter("FragmentManager")), (String[]) null);
            }
            this.o = true;
            if (this.l) {
                this.p = this.b.a(this);
            } else {
                this.p = -1;
            }
            this.b.a(this, z);
            return this.p;
        }
        throw new IllegalStateException("commit already called");
    }

    public void run() {
        TransitionState transitionState;
        int i2;
        int i3;
        int i4;
        int i5;
        if (FragmentManagerImpl.f91a) {
            Log.v("FragmentManager", "Run: " + this);
        }
        if (!this.l || this.p >= 0) {
            a(1);
            if (!f73a || this.b.n < 1) {
                transitionState = null;
            } else {
                SparseArray<Fragment> sparseArray = new SparseArray<>();
                SparseArray<Fragment> sparseArray2 = new SparseArray<>();
                b(sparseArray, sparseArray2);
                transitionState = a(sparseArray, sparseArray2, false);
            }
            if (transitionState != null) {
                i2 = 0;
            } else {
                i2 = this.k;
            }
            if (transitionState != null) {
                i3 = 0;
            } else {
                i3 = this.j;
            }
            for (Op op = this.c; op != null; op = op.f77a) {
                if (transitionState != null) {
                    i4 = 0;
                } else {
                    i4 = op.e;
                }
                if (transitionState != null) {
                    i5 = 0;
                } else {
                    i5 = op.f;
                }
                switch (op.c) {
                    case 1:
                        Fragment fragment = op.d;
                        fragment.Q = i4;
                        this.b.a(fragment, false);
                        continue;
                    case 2:
                        Fragment fragment2 = op.d;
                        int i6 = fragment2.H;
                        if (this.b.g != null) {
                            for (int size = this.b.g.size() - 1; size >= 0; size--) {
                                Fragment fragment3 = this.b.g.get(size);
                                if (FragmentManagerImpl.f91a) {
                                    Log.v("FragmentManager", "OP_REPLACE: adding=" + fragment2 + " old=" + fragment3);
                                }
                                if (fragment3.H == i6) {
                                    if (fragment3 == fragment2) {
                                        op.d = null;
                                        fragment2 = null;
                                    } else {
                                        if (op.i == null) {
                                            op.i = new ArrayList<>();
                                        }
                                        op.i.add(fragment3);
                                        fragment3.Q = i5;
                                        if (this.l) {
                                            fragment3.A++;
                                            if (FragmentManagerImpl.f91a) {
                                                Log.v("FragmentManager", "Bump nesting of " + fragment3 + " to " + fragment3.A);
                                            }
                                        }
                                        this.b.a(fragment3, i3, i2);
                                    }
                                }
                            }
                        }
                        if (fragment2 != null) {
                            fragment2.Q = i4;
                            this.b.a(fragment2, false);
                            continue;
                        }
                        break;
                    case 3:
                        Fragment fragment4 = op.d;
                        fragment4.Q = i5;
                        this.b.a(fragment4, i3, i2);
                        break;
                    case 4:
                        Fragment fragment5 = op.d;
                        fragment5.Q = i5;
                        this.b.b(fragment5, i3, i2);
                        break;
                    case 5:
                        Fragment fragment6 = op.d;
                        fragment6.Q = i4;
                        this.b.c(fragment6, i3, i2);
                        break;
                    case 6:
                        Fragment fragment7 = op.d;
                        fragment7.Q = i5;
                        this.b.d(fragment7, i3, i2);
                        break;
                    case 7:
                        Fragment fragment8 = op.d;
                        fragment8.Q = i4;
                        this.b.e(fragment8, i3, i2);
                        break;
                    default:
                        throw new IllegalArgumentException("Unknown cmd: " + op.c);
                }
            }
            this.b.a(this.b.n, i3, i2, true);
            if (this.l) {
                this.b.b(this);
                return;
            }
            return;
        }
        throw new IllegalStateException("addToBackStack() called after commit()");
    }

    private static void a(SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2, Fragment fragment) {
        int i2;
        if (fragment != null && (i2 = fragment.H) != 0 && !fragment.s()) {
            if (fragment.q() && fragment.t() != null && sparseArray.get(i2) == null) {
                sparseArray.put(i2, fragment);
            }
            if (sparseArray2.get(i2) == fragment) {
                sparseArray2.remove(i2);
            }
        }
    }

    private void b(SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2, Fragment fragment) {
        if (fragment != null) {
            int i2 = fragment.H;
            if (i2 != 0) {
                if (!fragment.q()) {
                    sparseArray2.put(i2, fragment);
                }
                if (sparseArray.get(i2) == fragment) {
                    sparseArray.remove(i2);
                }
            }
            if (fragment.k < 1 && this.b.n >= 1) {
                this.b.c(fragment);
                this.b.a(fragment, 1, 0, 0, false);
            }
        }
    }

    private void b(SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2) {
        if (this.b.p.a()) {
            for (Op op = this.c; op != null; op = op.f77a) {
                switch (op.c) {
                    case 1:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 2:
                        Fragment fragment = op.d;
                        if (this.b.g != null) {
                            for (int i2 = 0; i2 < this.b.g.size(); i2++) {
                                Fragment fragment2 = this.b.g.get(i2);
                                if (fragment == null || fragment2.H == fragment.H) {
                                    if (fragment2 == fragment) {
                                        fragment = null;
                                        sparseArray2.remove(fragment2.H);
                                    } else {
                                        a(sparseArray, sparseArray2, fragment2);
                                    }
                                }
                            }
                        }
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 3:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 4:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 5:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 6:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 7:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                }
            }
        }
    }

    public void a(SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2) {
        if (this.b.p.a()) {
            for (Op op = this.d; op != null; op = op.b) {
                switch (op.c) {
                    case 1:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 2:
                        if (op.i != null) {
                            for (int size = op.i.size() - 1; size >= 0; size--) {
                                b(sparseArray, sparseArray2, op.i.get(size));
                            }
                        }
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 3:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 4:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 5:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                    case 6:
                        b(sparseArray, sparseArray2, op.d);
                        break;
                    case 7:
                        a(sparseArray, sparseArray2, op.d);
                        break;
                }
            }
        }
    }

    public TransitionState a(boolean z, TransitionState transitionState, SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2) {
        int i2;
        int i3;
        int i4;
        int i5;
        if (FragmentManagerImpl.f91a) {
            Log.v("FragmentManager", "popFromBackStack: " + this);
            a("  ", (FileDescriptor) null, new PrintWriter(new LogWriter("FragmentManager")), (String[]) null);
        }
        if (f73a && this.b.n >= 1) {
            if (transitionState == null) {
                if (!(sparseArray.size() == 0 && sparseArray2.size() == 0)) {
                    transitionState = a(sparseArray, sparseArray2, true);
                }
            } else if (!z) {
                a(transitionState, this.v, this.u);
            }
        }
        a(-1);
        if (transitionState != null) {
            i2 = 0;
        } else {
            i2 = this.k;
        }
        if (transitionState != null) {
            i3 = 0;
        } else {
            i3 = this.j;
        }
        for (Op op = this.d; op != null; op = op.b) {
            if (transitionState != null) {
                i4 = 0;
            } else {
                i4 = op.g;
            }
            if (transitionState != null) {
                i5 = 0;
            } else {
                i5 = op.h;
            }
            switch (op.c) {
                case 1:
                    Fragment fragment = op.d;
                    fragment.Q = i5;
                    this.b.a(fragment, FragmentManagerImpl.d(i3), i2);
                    break;
                case 2:
                    Fragment fragment2 = op.d;
                    if (fragment2 != null) {
                        fragment2.Q = i5;
                        this.b.a(fragment2, FragmentManagerImpl.d(i3), i2);
                    }
                    if (op.i != null) {
                        for (int i6 = 0; i6 < op.i.size(); i6++) {
                            Fragment fragment3 = op.i.get(i6);
                            fragment3.Q = i4;
                            this.b.a(fragment3, false);
                        }
                        break;
                    } else {
                        break;
                    }
                case 3:
                    Fragment fragment4 = op.d;
                    fragment4.Q = i4;
                    this.b.a(fragment4, false);
                    break;
                case 4:
                    Fragment fragment5 = op.d;
                    fragment5.Q = i4;
                    this.b.c(fragment5, FragmentManagerImpl.d(i3), i2);
                    break;
                case 5:
                    Fragment fragment6 = op.d;
                    fragment6.Q = i5;
                    this.b.b(fragment6, FragmentManagerImpl.d(i3), i2);
                    break;
                case 6:
                    Fragment fragment7 = op.d;
                    fragment7.Q = i4;
                    this.b.e(fragment7, FragmentManagerImpl.d(i3), i2);
                    break;
                case 7:
                    Fragment fragment8 = op.d;
                    fragment8.Q = i4;
                    this.b.d(fragment8, FragmentManagerImpl.d(i3), i2);
                    break;
                default:
                    throw new IllegalArgumentException("Unknown cmd: " + op.c);
            }
        }
        if (z) {
            this.b.a(this.b.n, FragmentManagerImpl.d(i3), i2, true);
            transitionState = null;
        }
        if (this.p >= 0) {
            this.b.c(this.p);
            this.p = -1;
        }
        return transitionState;
    }

    public String d() {
        return this.n;
    }

    @Override // android.support.v4.app.FragmentTransaction
    public boolean e() {
        return this.e == 0;
    }

    private TransitionState a(SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2, boolean z) {
        TransitionState transitionState = new TransitionState();
        transitionState.d = new View(this.b.o.g());
        boolean z2 = false;
        for (int i2 = 0; i2 < sparseArray.size(); i2++) {
            if (a(sparseArray.keyAt(i2), transitionState, z, sparseArray, sparseArray2)) {
                z2 = true;
            }
        }
        for (int i3 = 0; i3 < sparseArray2.size(); i3++) {
            int keyAt = sparseArray2.keyAt(i3);
            if (sparseArray.get(keyAt) == null && a(keyAt, transitionState, z, sparseArray, sparseArray2)) {
                z2 = true;
            }
        }
        if (!z2) {
            return null;
        }
        return transitionState;
    }

    private static Object a(Fragment fragment, boolean z) {
        if (fragment == null) {
            return null;
        }
        return FragmentTransitionCompat21.a(z ? fragment.C() : fragment.z());
    }

    private static Object b(Fragment fragment, boolean z) {
        if (fragment == null) {
            return null;
        }
        return FragmentTransitionCompat21.a(z ? fragment.A() : fragment.B());
    }

    private static Object a(Fragment fragment, Fragment fragment2, boolean z) {
        Object obj;
        if (fragment == null || fragment2 == null) {
            return null;
        }
        if (z) {
            obj = fragment2.E();
        } else {
            obj = fragment.D();
        }
        return FragmentTransitionCompat21.b(obj);
    }

    private static Object a(Object obj, Fragment fragment, ArrayList<View> arrayList, ArrayMap<String, View> arrayMap, View view) {
        return obj != null ? FragmentTransitionCompat21.a(obj, fragment.t(), arrayList, arrayMap, view) : obj;
    }

    private ArrayMap<String, View> a(TransitionState transitionState, Fragment fragment, boolean z) {
        ArrayMap<String, View> arrayMap = new ArrayMap<>();
        if (this.u != null) {
            FragmentTransitionCompat21.a((Map<String, View>) arrayMap, fragment.t());
            if (z) {
                arrayMap.a((Collection<?>) this.v);
            } else {
                arrayMap = a(this.u, this.v, arrayMap);
            }
        }
        if (z) {
            if (fragment.ah != null) {
                fragment.ah.a(this.v, arrayMap);
            }
            a(transitionState, arrayMap, false);
        } else {
            if (fragment.ai != null) {
                fragment.ai.a(this.v, arrayMap);
            }
            b(transitionState, arrayMap, false);
        }
        return arrayMap;
    }

    private boolean a(int i2, TransitionState transitionState, boolean z, SparseArray<Fragment> sparseArray, SparseArray<Fragment> sparseArray2) {
        final Fragment fragment;
        Fragment fragment2;
        Object obj;
        ArrayMap<String, View> arrayMap;
        Object obj2;
        Object obj3;
        Object obj4;
        boolean z2;
        boolean z3;
        Object obj5;
        View view;
        ViewGroup viewGroup = (ViewGroup) this.b.p.a(i2);
        if (viewGroup == null) {
            return false;
        }
        Fragment fragment3 = sparseArray2.get(i2);
        Fragment fragment4 = sparseArray.get(i2);
        Object a2 = a(fragment3, z);
        Object a3 = a(fragment3, fragment4, z);
        Object b2 = b(fragment4, z);
        ArrayList<View> arrayList = new ArrayList<>();
        if (a3 != null) {
            ArrayMap<String, View> a4 = a(transitionState, fragment4, z);
            if (a4.isEmpty()) {
                obj2 = null;
                arrayMap = null;
                obj = b2;
                obj3 = a2;
                fragment2 = fragment4;
                fragment = fragment3;
            } else {
                SharedElementCallback sharedElementCallback = z ? fragment4.ah : fragment3.ah;
                if (sharedElementCallback != null) {
                    sharedElementCallback.a(new ArrayList(a4.keySet()), new ArrayList(a4.values()), (List<View>) null);
                }
                obj = b2;
                fragment2 = fragment4;
                fragment = fragment3;
                a(transitionState, viewGroup, a3, fragment3, fragment4, z, arrayList, a2, obj);
                obj2 = a3;
                arrayMap = a4;
                obj3 = a2;
            }
        } else {
            obj = b2;
            fragment2 = fragment4;
            fragment = fragment3;
            arrayMap = null;
            obj3 = a2;
            obj2 = a3;
        }
        if (obj3 == null && obj2 == null) {
            obj4 = obj;
            if (obj4 == null) {
                return false;
            }
        } else {
            obj4 = obj;
        }
        ArrayList arrayList2 = new ArrayList();
        Object a5 = a(obj4, fragment2, arrayList2, arrayMap, transitionState.d);
        if (!(this.v == null || arrayMap == null || (view = arrayMap.get(this.v.get(0))) == null)) {
            if (a5 != null) {
                FragmentTransitionCompat21.a(a5, view);
            }
            if (obj2 != null) {
                FragmentTransitionCompat21.a(obj2, view);
            }
        }
        AnonymousClass1 r5 = new FragmentTransitionCompat21.ViewRetriever() {
            /* class android.support.v4.app.BackStackRecord.AnonymousClass1 */

            @Override // android.support.v4.app.FragmentTransitionCompat21.ViewRetriever
            public View a() {
                return fragment.t();
            }
        };
        ArrayList arrayList3 = new ArrayList();
        ArrayMap arrayMap2 = new ArrayMap();
        if (fragment != null) {
            z2 = z ? fragment.G() : fragment.F();
        } else {
            z2 = true;
        }
        Object a6 = FragmentTransitionCompat21.a(obj3, a5, obj2, z2);
        if (a6 != null) {
            z3 = false;
            FragmentTransitionCompat21.a(obj3, obj2, a5, viewGroup, r5, transitionState.d, transitionState.c, transitionState.f78a, arrayList3, arrayList2, arrayMap, arrayMap2, arrayList);
            obj5 = a6;
            a(viewGroup, transitionState, i2, obj5);
            FragmentTransitionCompat21.a(obj5, transitionState.d, true);
            a(transitionState, i2, obj5);
            FragmentTransitionCompat21.a(viewGroup, obj5);
            FragmentTransitionCompat21.a(viewGroup, transitionState.d, obj3, arrayList3, a5, arrayList2, obj2, arrayList, obj5, transitionState.b, arrayMap2);
        } else {
            obj5 = a6;
            z3 = false;
        }
        if (obj5 != null) {
            return true;
        }
        return z3;
    }

    private void a(final TransitionState transitionState, final View view, final Object obj, final Fragment fragment, final Fragment fragment2, final boolean z, final ArrayList<View> arrayList, final Object obj2, final Object obj3) {
        if (obj != null) {
            view.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() {
                /* class android.support.v4.app.BackStackRecord.AnonymousClass2 */

                public boolean onPreDraw() {
                    view.getViewTreeObserver().removeOnPreDrawListener(this);
                    FragmentTransitionCompat21.a(obj, arrayList);
                    arrayList.remove(transitionState.d);
                    FragmentTransitionCompat21.a(obj2, obj3, obj, (ArrayList<View>) arrayList, false);
                    arrayList.clear();
                    ArrayMap a2 = BackStackRecord.this.a((BackStackRecord) transitionState, (TransitionState) z, (boolean) fragment);
                    FragmentTransitionCompat21.a(obj, transitionState.d, a2, arrayList);
                    BackStackRecord.this.a((BackStackRecord) a2, (ArrayMap) transitionState);
                    BackStackRecord.this.a((BackStackRecord) transitionState, (TransitionState) fragment, fragment2, (Fragment) z, (boolean) a2);
                    FragmentTransitionCompat21.a(obj2, obj3, obj, (ArrayList<View>) arrayList, true);
                    return true;
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(TransitionState transitionState, Fragment fragment, Fragment fragment2, boolean z, ArrayMap<String, View> arrayMap) {
        SharedElementCallback sharedElementCallback = z ? fragment2.ah : fragment.ah;
        if (sharedElementCallback != null) {
            sharedElementCallback.b(new ArrayList(arrayMap.keySet()), new ArrayList(arrayMap.values()), null);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(ArrayMap<String, View> arrayMap, TransitionState transitionState) {
        View view;
        if (this.v != null && !arrayMap.isEmpty() && (view = arrayMap.get(this.v.get(0))) != null) {
            transitionState.c.f111a = view;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private ArrayMap<String, View> a(TransitionState transitionState, boolean z, Fragment fragment) {
        ArrayMap<String, View> b2 = b(transitionState, fragment, z);
        if (z) {
            if (fragment.ai != null) {
                fragment.ai.a(this.v, b2);
            }
            a(transitionState, b2, true);
        } else {
            if (fragment.ah != null) {
                fragment.ah.a(this.v, b2);
            }
            b(transitionState, b2, true);
        }
        return b2;
    }

    private static ArrayMap<String, View> a(ArrayList<String> arrayList, ArrayList<String> arrayList2, ArrayMap<String, View> arrayMap) {
        if (arrayMap.isEmpty()) {
            return arrayMap;
        }
        ArrayMap<String, View> arrayMap2 = new ArrayMap<>();
        int size = arrayList.size();
        for (int i2 = 0; i2 < size; i2++) {
            View view = arrayMap.get(arrayList.get(i2));
            if (view != null) {
                arrayMap2.put(arrayList2.get(i2), view);
            }
        }
        return arrayMap2;
    }

    private ArrayMap<String, View> b(TransitionState transitionState, Fragment fragment, boolean z) {
        ArrayMap<String, View> arrayMap = new ArrayMap<>();
        View t2 = fragment.t();
        if (t2 == null || this.u == null) {
            return arrayMap;
        }
        FragmentTransitionCompat21.a((Map<String, View>) arrayMap, t2);
        if (z) {
            return a(this.u, this.v, arrayMap);
        }
        arrayMap.a((Collection<?>) this.v);
        return arrayMap;
    }

    private void a(final View view, final TransitionState transitionState, final int i2, final Object obj) {
        view.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() {
            /* class android.support.v4.app.BackStackRecord.AnonymousClass3 */

            public boolean onPreDraw() {
                view.getViewTreeObserver().removeOnPreDrawListener(this);
                BackStackRecord.this.a((BackStackRecord) transitionState, (TransitionState) i2, (int) obj);
                return true;
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(TransitionState transitionState, int i2, Object obj) {
        if (this.b.g != null) {
            for (int i3 = 0; i3 < this.b.g.size(); i3++) {
                Fragment fragment = this.b.g.get(i3);
                if (!(fragment.S == null || fragment.R == null || fragment.H != i2)) {
                    if (!fragment.J) {
                        FragmentTransitionCompat21.a(obj, fragment.S, false);
                        transitionState.b.remove(fragment.S);
                    } else if (!transitionState.b.contains(fragment.S)) {
                        FragmentTransitionCompat21.a(obj, fragment.S, true);
                        transitionState.b.add(fragment.S);
                    }
                }
            }
        }
    }

    private static void a(ArrayMap<String, String> arrayMap, String str, String str2) {
        if (!(str == null || str2 == null)) {
            for (int i2 = 0; i2 < arrayMap.size(); i2++) {
                if (str.equals(arrayMap.c(i2))) {
                    arrayMap.a(i2, str2);
                    return;
                }
            }
            arrayMap.put(str, str2);
        }
    }

    private static void a(TransitionState transitionState, ArrayList<String> arrayList, ArrayList<String> arrayList2) {
        if (arrayList != null) {
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                a(transitionState.f78a, arrayList.get(i2), arrayList2.get(i2));
            }
        }
    }

    private void a(TransitionState transitionState, ArrayMap<String, View> arrayMap, boolean z) {
        int size = this.v == null ? 0 : this.v.size();
        for (int i2 = 0; i2 < size; i2++) {
            String str = this.u.get(i2);
            View view = arrayMap.get(this.v.get(i2));
            if (view != null) {
                String a2 = FragmentTransitionCompat21.a(view);
                if (z) {
                    a(transitionState.f78a, str, a2);
                } else {
                    a(transitionState.f78a, a2, str);
                }
            }
        }
    }

    private void b(TransitionState transitionState, ArrayMap<String, View> arrayMap, boolean z) {
        int size = arrayMap.size();
        for (int i2 = 0; i2 < size; i2++) {
            String b2 = arrayMap.b(i2);
            String a2 = FragmentTransitionCompat21.a(arrayMap.c(i2));
            if (z) {
                a(transitionState.f78a, b2, a2);
            } else {
                a(transitionState.f78a, a2, b2);
            }
        }
    }

    public class TransitionState {

        /* renamed from: a  reason: collision with root package name */
        public ArrayMap<String, String> f78a = new ArrayMap<>();
        public ArrayList<View> b = new ArrayList<>();
        public FragmentTransitionCompat21.EpicenterView c = new FragmentTransitionCompat21.EpicenterView();
        public View d;

        public TransitionState() {
        }
    }
}
