package android.support.v4.app;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.support.annotation.CallSuper;
import android.support.v4.app.BackStackRecord;
import android.support.v4.app.FragmentManager;
import android.support.v4.os.BuildCompat;
import android.support.v4.util.DebugUtils;
import android.support.v4.util.LogWriter;
import android.support.v4.view.LayoutInflaterFactory;
import android.support.v4.view.ViewCompat;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.view.animation.AnimationSet;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.ScaleAnimation;
import com.tencent.smtt.sdk.TbsListener;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/* access modifiers changed from: package-private */
/* compiled from: FragmentManager */
public final class FragmentManagerImpl extends FragmentManager implements LayoutInflaterFactory {
    static final Interpolator A = new DecelerateInterpolator(2.5f);
    static final Interpolator B = new DecelerateInterpolator(1.5f);
    static final Interpolator C = new AccelerateInterpolator(2.5f);
    static final Interpolator D = new AccelerateInterpolator(1.5f);

    /* renamed from: a  reason: collision with root package name */
    static boolean f91a = false;
    static final boolean b = (Build.VERSION.SDK_INT >= 11);
    static Field r = null;
    ArrayList<Runnable> c;
    Runnable[] d;
    boolean e;
    ArrayList<Fragment> f;
    ArrayList<Fragment> g;
    ArrayList<Integer> h;
    ArrayList<BackStackRecord> i;
    ArrayList<Fragment> j;
    ArrayList<BackStackRecord> k;
    ArrayList<Integer> l;
    ArrayList<FragmentManager.OnBackStackChangedListener> m;
    int n = 0;
    FragmentHostCallback o;
    FragmentContainer p;
    Fragment q;
    boolean s;
    boolean t;
    boolean u;
    String v;
    boolean w;
    Bundle x = null;
    SparseArray<Parcelable> y = null;
    Runnable z = new Runnable() {
        /* class android.support.v4.app.FragmentManagerImpl.AnonymousClass1 */

        public void run() {
            FragmentManagerImpl.this.f();
        }
    };

    public static int b(int i2, boolean z2) {
        if (i2 == 4097) {
            return z2 ? 1 : 2;
        }
        if (i2 == 4099) {
            return z2 ? 5 : 6;
        }
        if (i2 != 8194) {
            return -1;
        }
        return z2 ? 3 : 4;
    }

    public static int d(int i2) {
        if (i2 == 4097) {
            return 8194;
        }
        if (i2 != 4099) {
            return i2 != 8194 ? 0 : 4097;
        }
        return 4099;
    }

    /* access modifiers changed from: package-private */
    public LayoutInflaterFactory v() {
        return this;
    }

    FragmentManagerImpl() {
    }

    /* access modifiers changed from: package-private */
    /* compiled from: FragmentManager */
    public static class AnimateOnHWLayerIfNeededListener implements Animation.AnimationListener {

        /* renamed from: a  reason: collision with root package name */
        private Animation.AnimationListener f97a;
        private boolean b;
        private View c;

        public AnimateOnHWLayerIfNeededListener(View view, Animation animation) {
            if (view != null && animation != null) {
                this.c = view;
            }
        }

        public AnimateOnHWLayerIfNeededListener(View view, Animation animation, Animation.AnimationListener animationListener) {
            if (view != null && animation != null) {
                this.f97a = animationListener;
                this.c = view;
                this.b = true;
            }
        }

        @CallSuper
        public void onAnimationStart(Animation animation) {
            if (this.f97a != null) {
                this.f97a.onAnimationStart(animation);
            }
        }

        @CallSuper
        public void onAnimationEnd(Animation animation) {
            if (this.c != null && this.b) {
                if (ViewCompat.z(this.c) || BuildCompat.a()) {
                    this.c.post(new Runnable() {
                        /* class android.support.v4.app.FragmentManagerImpl.AnimateOnHWLayerIfNeededListener.AnonymousClass1 */

                        public void run() {
                            ViewCompat.a(AnimateOnHWLayerIfNeededListener.this.c, 0, (Paint) null);
                        }
                    });
                } else {
                    ViewCompat.a(this.c, 0, (Paint) null);
                }
            }
            if (this.f97a != null) {
                this.f97a.onAnimationEnd(animation);
            }
        }

        public void onAnimationRepeat(Animation animation) {
            if (this.f97a != null) {
                this.f97a.onAnimationRepeat(animation);
            }
        }
    }

    static boolean a(Animation animation) {
        if (animation instanceof AlphaAnimation) {
            return true;
        }
        if (animation instanceof AnimationSet) {
            List<Animation> animations = ((AnimationSet) animation).getAnimations();
            for (int i2 = 0; i2 < animations.size(); i2++) {
                if (animations.get(i2) instanceof AlphaAnimation) {
                    return true;
                }
            }
        }
        return false;
    }

    static boolean a(View view, Animation animation) {
        return Build.VERSION.SDK_INT >= 19 && ViewCompat.e(view) == 0 && ViewCompat.t(view) && a(animation);
    }

    private void a(RuntimeException runtimeException) {
        Log.e("FragmentManager", runtimeException.getMessage());
        Log.e("FragmentManager", "Activity state:");
        PrintWriter printWriter = new PrintWriter(new LogWriter("FragmentManager"));
        if (this.o != null) {
            try {
                this.o.a("  ", null, printWriter, new String[0]);
            } catch (Exception e2) {
                Log.e("FragmentManager", "Failed dumping state", e2);
            }
        } else {
            try {
                a("  ", (FileDescriptor) null, printWriter, new String[0]);
            } catch (Exception e3) {
                Log.e("FragmentManager", "Failed dumping state", e3);
            }
        }
        throw runtimeException;
    }

    @Override // android.support.v4.app.FragmentManager
    public FragmentTransaction a() {
        return new BackStackRecord(this);
    }

    @Override // android.support.v4.app.FragmentManager
    public boolean b() {
        return f();
    }

    /* renamed from: android.support.v4.app.FragmentManagerImpl$2  reason: invalid class name */
    /* compiled from: FragmentManager */
    class AnonymousClass2 implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ FragmentManagerImpl f93a;

        public void run() {
            this.f93a.a(this.f93a.o.h(), (String) null, -1, 0);
        }
    }

    @Override // android.support.v4.app.FragmentManager
    public boolean c() {
        w();
        b();
        return a(this.o.h(), (String) null, -1, 0);
    }

    /* renamed from: android.support.v4.app.FragmentManagerImpl$3  reason: invalid class name */
    /* compiled from: FragmentManager */
    class AnonymousClass3 implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f94a;
        final /* synthetic */ int b;
        final /* synthetic */ FragmentManagerImpl c;

        public void run() {
            this.c.a(this.c.o.h(), this.f94a, -1, this.b);
        }
    }

    @Override // android.support.v4.app.FragmentManager
    public void a(final int i2, final int i3) {
        if (i2 >= 0) {
            a((Runnable) new Runnable() {
                /* class android.support.v4.app.FragmentManagerImpl.AnonymousClass4 */

                public void run() {
                    FragmentManagerImpl.this.a(FragmentManagerImpl.this.o.h(), (String) null, i2, i3);
                }
            }, false);
            return;
        }
        throw new IllegalArgumentException("Bad id: " + i2);
    }

    public void a(Bundle bundle, String str, Fragment fragment) {
        if (fragment.p < 0) {
            a(new IllegalStateException("Fragment " + fragment + " is not currently in the FragmentManager"));
        }
        bundle.putInt(str, fragment.p);
    }

    public Fragment a(Bundle bundle, String str) {
        int i2 = bundle.getInt(str, -1);
        if (i2 == -1) {
            return null;
        }
        if (i2 >= this.f.size()) {
            a(new IllegalStateException("Fragment no longer exists for key " + str + ": index " + i2));
        }
        Fragment fragment = this.f.get(i2);
        if (fragment == null) {
            a(new IllegalStateException("Fragment no longer exists for key " + str + ": index " + i2));
        }
        return fragment;
    }

    @Override // android.support.v4.app.FragmentManager
    public boolean d() {
        return this.u;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder((int) TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        sb.append("FragmentManager{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append(" in ");
        if (this.q != null) {
            DebugUtils.a(this.q, sb);
        } else {
            DebugUtils.a(this.o, sb);
        }
        sb.append("}}");
        return sb.toString();
    }

    @Override // android.support.v4.app.FragmentManager
    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        int size;
        int size2;
        int size3;
        int size4;
        int size5;
        int size6;
        String str2 = str + "    ";
        if (this.f != null && (size6 = this.f.size()) > 0) {
            printWriter.print(str);
            printWriter.print("Active Fragments in ");
            printWriter.print(Integer.toHexString(System.identityHashCode(this)));
            printWriter.println(":");
            for (int i2 = 0; i2 < size6; i2++) {
                Fragment fragment = this.f.get(i2);
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i2);
                printWriter.print(": ");
                printWriter.println(fragment);
                if (fragment != null) {
                    fragment.a(str2, fileDescriptor, printWriter, strArr);
                }
            }
        }
        if (this.g != null && (size5 = this.g.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Added Fragments:");
            for (int i3 = 0; i3 < size5; i3++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i3);
                printWriter.print(": ");
                printWriter.println(this.g.get(i3).toString());
            }
        }
        if (this.j != null && (size4 = this.j.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Fragments Created Menus:");
            for (int i4 = 0; i4 < size4; i4++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i4);
                printWriter.print(": ");
                printWriter.println(this.j.get(i4).toString());
            }
        }
        if (this.i != null && (size3 = this.i.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Back Stack:");
            for (int i5 = 0; i5 < size3; i5++) {
                BackStackRecord backStackRecord = this.i.get(i5);
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i5);
                printWriter.print(": ");
                printWriter.println(backStackRecord.toString());
                backStackRecord.a(str2, fileDescriptor, printWriter, strArr);
            }
        }
        synchronized (this) {
            if (this.k != null && (size2 = this.k.size()) > 0) {
                printWriter.print(str);
                printWriter.println("Back Stack Indices:");
                for (int i6 = 0; i6 < size2; i6++) {
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i6);
                    printWriter.print(": ");
                    printWriter.println((BackStackRecord) this.k.get(i6));
                }
            }
            if (this.l != null && this.l.size() > 0) {
                printWriter.print(str);
                printWriter.print("mAvailBackStackIndices: ");
                printWriter.println(Arrays.toString(this.l.toArray()));
            }
        }
        if (this.c != null && (size = this.c.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Pending Actions:");
            for (int i7 = 0; i7 < size; i7++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i7);
                printWriter.print(": ");
                printWriter.println((Runnable) this.c.get(i7));
            }
        }
        printWriter.print(str);
        printWriter.println("FragmentManager misc state:");
        printWriter.print(str);
        printWriter.print("  mHost=");
        printWriter.println(this.o);
        printWriter.print(str);
        printWriter.print("  mContainer=");
        printWriter.println(this.p);
        if (this.q != null) {
            printWriter.print(str);
            printWriter.print("  mParent=");
            printWriter.println(this.q);
        }
        printWriter.print(str);
        printWriter.print("  mCurState=");
        printWriter.print(this.n);
        printWriter.print(" mStateSaved=");
        printWriter.print(this.t);
        printWriter.print(" mDestroyed=");
        printWriter.println(this.u);
        if (this.s) {
            printWriter.print(str);
            printWriter.print("  mNeedMenuInvalidate=");
            printWriter.println(this.s);
        }
        if (this.v != null) {
            printWriter.print(str);
            printWriter.print("  mNoTransactionsBecause=");
            printWriter.println(this.v);
        }
        if (this.h != null && this.h.size() > 0) {
            printWriter.print(str);
            printWriter.print("  mAvailIndices: ");
            printWriter.println(Arrays.toString(this.h.toArray()));
        }
    }

    static Animation a(Context context, float f2, float f3, float f4, float f5) {
        AnimationSet animationSet = new AnimationSet(false);
        ScaleAnimation scaleAnimation = new ScaleAnimation(f2, f3, f2, f3, 1, 0.5f, 1, 0.5f);
        scaleAnimation.setInterpolator(A);
        scaleAnimation.setDuration(220);
        animationSet.addAnimation(scaleAnimation);
        AlphaAnimation alphaAnimation = new AlphaAnimation(f4, f5);
        alphaAnimation.setInterpolator(B);
        alphaAnimation.setDuration(220);
        animationSet.addAnimation(alphaAnimation);
        return animationSet;
    }

    static Animation a(Context context, float f2, float f3) {
        AlphaAnimation alphaAnimation = new AlphaAnimation(f2, f3);
        alphaAnimation.setInterpolator(B);
        alphaAnimation.setDuration(220);
        return alphaAnimation;
    }

    /* access modifiers changed from: package-private */
    public Animation a(Fragment fragment, int i2, boolean z2, int i3) {
        int b2;
        Animation loadAnimation;
        Animation a2 = fragment.a(i2, z2, fragment.Q);
        if (a2 != null) {
            return a2;
        }
        if (fragment.Q != 0 && (loadAnimation = AnimationUtils.loadAnimation(this.o.g(), fragment.Q)) != null) {
            return loadAnimation;
        }
        if (i2 == 0 || (b2 = b(i2, z2)) < 0) {
            return null;
        }
        switch (b2) {
            case 1:
                return a(this.o.g(), 1.125f, 1.0f, 0.0f, 1.0f);
            case 2:
                return a(this.o.g(), 1.0f, 0.975f, 1.0f, 0.0f);
            case 3:
                return a(this.o.g(), 0.975f, 1.0f, 0.0f, 1.0f);
            case 4:
                return a(this.o.g(), 1.0f, 1.075f, 1.0f, 0.0f);
            case 5:
                return a(this.o.g(), 0.0f, 1.0f);
            case 6:
                return a(this.o.g(), 1.0f, 0.0f);
            default:
                if (i3 == 0 && this.o.d()) {
                    i3 = this.o.e();
                }
                return i3 == 0 ? null : null;
        }
    }

    public void a(Fragment fragment) {
        if (!fragment.U) {
            return;
        }
        if (this.e) {
            this.w = true;
            return;
        }
        fragment.U = false;
        a(fragment, this.n, 0, 0, false);
    }

    private void b(View view, Animation animation) {
        Animation.AnimationListener animationListener;
        if (view != null && animation != null && a(view, animation)) {
            try {
                if (r == null) {
                    r = Animation.class.getDeclaredField("mListener");
                    r.setAccessible(true);
                }
                animationListener = (Animation.AnimationListener) r.get(animation);
            } catch (NoSuchFieldException e2) {
                Log.e("FragmentManager", "No field with the name mListener is found in Animation class", e2);
                animationListener = null;
                ViewCompat.a(view, 2, (Paint) null);
                animation.setAnimationListener(new AnimateOnHWLayerIfNeededListener(view, animation, animationListener));
            } catch (IllegalAccessException e3) {
                Log.e("FragmentManager", "Cannot access Animation's mListener field", e3);
                animationListener = null;
                ViewCompat.a(view, 2, (Paint) null);
                animation.setAnimationListener(new AnimateOnHWLayerIfNeededListener(view, animation, animationListener));
            }
            ViewCompat.a(view, 2, (Paint) null);
            animation.setAnimationListener(new AnimateOnHWLayerIfNeededListener(view, animation, animationListener));
        }
    }

    /* access modifiers changed from: package-private */
    public boolean a(int i2) {
        return this.n >= i2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r18v0, resolved type: android.support.v4.app.Fragment */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r11v2, types: [android.os.Bundle, android.view.View, android.view.ViewGroup, android.util.SparseArray<android.os.Parcelable>] */
    /* JADX WARN: Type inference failed for: r11v3 */
    /* JADX WARN: Type inference failed for: r11v4 */
    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x0258  */
    /* JADX WARNING: Removed duplicated region for block: B:124:0x0279  */
    /* JADX WARNING: Removed duplicated region for block: B:202:0x03e4  */
    /* JADX WARNING: Removed duplicated region for block: B:204:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public void a(final Fragment fragment, int i2, int i3, int i4, boolean z2) {
        int i5;
        ?? r11;
        int i6;
        ViewGroup viewGroup;
        String str;
        FragmentManagerImpl fragmentManagerImpl;
        int i7 = 1;
        if (!fragment.v || fragment.K) {
            i5 = i2;
            if (i5 > 1) {
                i5 = 1;
            }
        } else {
            i5 = i2;
        }
        if (fragment.w && i5 > fragment.k) {
            i5 = fragment.k;
        }
        int i8 = (!fragment.U || fragment.k >= 4 || i5 <= 3) ? i5 : 3;
        if (fragment.k < i8) {
            if (!fragment.x || fragment.y) {
                if (fragment.l != null) {
                    fragment.l = null;
                    r11 = 0;
                    a(fragment, fragment.m, 0, 0, true);
                } else {
                    r11 = 0;
                }
                switch (fragment.k) {
                    case 0:
                        if (f91a) {
                            Log.v("FragmentManager", "moveto CREATED: " + fragment);
                        }
                        if (fragment.n != null) {
                            fragment.n.setClassLoader(this.o.g().getClassLoader());
                            fragment.o = fragment.n.getSparseParcelableArray("android:view_state");
                            fragment.s = a(fragment.n, "android:target_state");
                            if (fragment.s != null) {
                                fragment.u = fragment.n.getInt("android:target_req_state", 0);
                            }
                            fragment.V = fragment.n.getBoolean("android:user_visible_hint", true);
                            if (!fragment.V) {
                                fragment.U = true;
                                if (i8 > 3) {
                                    i8 = 3;
                                }
                            }
                        }
                        fragment.C = this.o;
                        fragment.F = this.q;
                        if (this.q != null) {
                            fragmentManagerImpl = this.q.D;
                        } else {
                            fragmentManagerImpl = this.o.i();
                        }
                        fragment.B = fragmentManagerImpl;
                        fragment.P = false;
                        fragment.a(this.o.g());
                        if (fragment.P) {
                            if (fragment.F == null) {
                                this.o.b(fragment);
                            } else {
                                fragment.F.a(fragment);
                            }
                            if (!fragment.M) {
                                fragment.j(fragment.n);
                            } else {
                                fragment.h(fragment.n);
                                fragment.k = 1;
                            }
                            fragment.M = false;
                            if (fragment.x) {
                                fragment.S = fragment.b(fragment.b(fragment.n), r11, fragment.n);
                                if (fragment.S != null) {
                                    fragment.T = fragment.S;
                                    if (Build.VERSION.SDK_INT >= 11) {
                                        ViewCompat.a(fragment.S, false);
                                    } else {
                                        fragment.S = NoSaveStateFrameLayout.a(fragment.S);
                                    }
                                    if (fragment.J) {
                                        fragment.S.setVisibility(8);
                                    }
                                    fragment.a(fragment.S, fragment.n);
                                } else {
                                    fragment.T = r11;
                                }
                            }
                        } else {
                            throw new SuperNotCalledException("Fragment " + fragment + " did not call through to super.onAttach()");
                        }
                    case 1:
                        if (i8 > 1) {
                            if (f91a) {
                                Log.v("FragmentManager", "moveto ACTIVITY_CREATED: " + fragment);
                            }
                            if (!fragment.x) {
                                if (fragment.H != 0) {
                                    if (fragment.H == -1) {
                                        a(new IllegalArgumentException("Cannot create fragment " + fragment + " for a container view with no id"));
                                    }
                                    viewGroup = (ViewGroup) this.p.a(fragment.H);
                                    if (viewGroup == null && !fragment.z) {
                                        try {
                                            str = fragment.n().getResourceName(fragment.H);
                                        } catch (Resources.NotFoundException unused) {
                                            str = "unknown";
                                        }
                                        a(new IllegalArgumentException("No view found for id 0x" + Integer.toHexString(fragment.H) + " (" + str + ") for fragment " + fragment));
                                    }
                                } else {
                                    viewGroup = r11;
                                }
                                fragment.R = viewGroup;
                                fragment.S = fragment.b(fragment.b(fragment.n), viewGroup, fragment.n);
                                if (fragment.S != null) {
                                    fragment.T = fragment.S;
                                    if (Build.VERSION.SDK_INT >= 11) {
                                        ViewCompat.a(fragment.S, false);
                                    } else {
                                        fragment.S = NoSaveStateFrameLayout.a(fragment.S);
                                    }
                                    if (viewGroup != null) {
                                        Animation a2 = a(fragment, i3, true, i4);
                                        if (a2 != null) {
                                            b(fragment.S, a2);
                                            fragment.S.startAnimation(a2);
                                        }
                                        viewGroup.addView(fragment.S);
                                    }
                                    if (fragment.J) {
                                        fragment.S.setVisibility(8);
                                    }
                                    fragment.a(fragment.S, fragment.n);
                                } else {
                                    fragment.T = r11;
                                }
                            }
                            fragment.k(fragment.n);
                            if (fragment.S != null) {
                                fragment.f(fragment.n);
                            }
                            fragment.n = r11;
                        }
                    case 2:
                        if (i8 > 2) {
                            i6 = 3;
                            fragment.k = 3;
                            if (i8 > i6) {
                                if (f91a) {
                                    Log.v("FragmentManager", "moveto STARTED: " + fragment);
                                }
                                fragment.I();
                            }
                            if (i8 > 4) {
                                if (f91a) {
                                    Log.v("FragmentManager", "moveto RESUMED: " + fragment);
                                }
                                fragment.J();
                                fragment.n = r11;
                                fragment.o = r11;
                            }
                        }
                    case 3:
                        i6 = 3;
                        if (i8 > i6) {
                        }
                        break;
                    case 4:
                        if (i8 > 4) {
                        }
                        break;
                }
            } else {
                return;
            }
        } else if (fragment.k > i8) {
            switch (fragment.k) {
                case 5:
                    if (i8 < 5) {
                        if (f91a) {
                            Log.v("FragmentManager", "movefrom RESUMED: " + fragment);
                        }
                        fragment.L();
                    }
                case 4:
                    if (i8 < 4) {
                        if (f91a) {
                            Log.v("FragmentManager", "movefrom STARTED: " + fragment);
                        }
                        fragment.M();
                    }
                case 3:
                    if (i8 < 3) {
                        if (f91a) {
                            Log.v("FragmentManager", "movefrom STOPPED: " + fragment);
                        }
                        fragment.N();
                    }
                case 2:
                    if (i8 < 2) {
                        if (f91a) {
                            Log.v("FragmentManager", "movefrom ACTIVITY_CREATED: " + fragment);
                        }
                        if (fragment.S != null && this.o.a(fragment) && fragment.o == null) {
                            e(fragment);
                        }
                        fragment.O();
                        if (!(fragment.S == null || fragment.R == null)) {
                            Animation a3 = (this.n <= 0 || this.u) ? null : a(fragment, i3, false, i4);
                            if (a3 != null) {
                                fragment.l = fragment.S;
                                fragment.m = i8;
                                a3.setAnimationListener(new AnimateOnHWLayerIfNeededListener(fragment.S, a3) {
                                    /* class android.support.v4.app.FragmentManagerImpl.AnonymousClass5 */

                                    @Override // android.support.v4.app.FragmentManagerImpl.AnimateOnHWLayerIfNeededListener
                                    public void onAnimationEnd(Animation animation) {
                                        super.onAnimationEnd(animation);
                                        if (fragment.l != null) {
                                            fragment.l = null;
                                            FragmentManagerImpl.this.a(fragment, fragment.m, 0, 0, false);
                                        }
                                    }
                                });
                                fragment.S.startAnimation(a3);
                            }
                            fragment.R.removeView(fragment.S);
                        }
                        fragment.R = null;
                        fragment.S = null;
                        fragment.T = null;
                    }
                    break;
                case 1:
                    if (i8 < 1) {
                        if (this.u && fragment.l != null) {
                            View view = fragment.l;
                            fragment.l = null;
                            view.clearAnimation();
                        }
                        if (fragment.l != null) {
                            fragment.m = i8;
                            break;
                        } else {
                            if (f91a) {
                                Log.v("FragmentManager", "movefrom CREATED: " + fragment);
                            }
                            if (!fragment.M) {
                                fragment.P();
                            } else {
                                fragment.k = 0;
                            }
                            fragment.Q();
                            if (!z2) {
                                if (!fragment.M) {
                                    d(fragment);
                                } else {
                                    fragment.C = null;
                                    fragment.F = null;
                                    fragment.B = null;
                                }
                            }
                        }
                    }
                default:
                    i7 = i8;
                    break;
            }
            if (fragment.k == i7) {
                Log.w("FragmentManager", "moveToState: Fragment state for " + fragment + " not updated inline; " + "expected state " + i7 + " found " + fragment.k);
                fragment.k = i7;
                return;
            }
            return;
        }
        i7 = i8;
        if (fragment.k == i7) {
        }
    }

    /* access modifiers changed from: package-private */
    public void b(Fragment fragment) {
        a(fragment, this.n, 0, 0, false);
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, boolean z2) {
        a(i2, 0, 0, z2);
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, int i4, boolean z2) {
        if (this.o == null && i2 != 0) {
            throw new IllegalStateException("No host");
        } else if (z2 || this.n != i2) {
            this.n = i2;
            if (this.f != null) {
                boolean z3 = false;
                for (int i5 = 0; i5 < this.f.size(); i5++) {
                    Fragment fragment = this.f.get(i5);
                    if (fragment != null) {
                        a(fragment, i2, i3, i4, false);
                        if (fragment.W != null) {
                            z3 |= fragment.W.a();
                        }
                    }
                }
                if (!z3) {
                    e();
                }
                if (this.s && this.o != null && this.n == 5) {
                    this.o.c();
                    this.s = false;
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void e() {
        if (this.f != null) {
            for (int i2 = 0; i2 < this.f.size(); i2++) {
                Fragment fragment = this.f.get(i2);
                if (fragment != null) {
                    a(fragment);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void c(Fragment fragment) {
        if (fragment.p < 0) {
            if (this.h == null || this.h.size() <= 0) {
                if (this.f == null) {
                    this.f = new ArrayList<>();
                }
                fragment.a(this.f.size(), this.q);
                this.f.add(fragment);
            } else {
                fragment.a(this.h.remove(this.h.size() - 1).intValue(), this.q);
                this.f.set(fragment.p, fragment);
            }
            if (f91a) {
                Log.v("FragmentManager", "Allocated fragment index " + fragment);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d(Fragment fragment) {
        if (fragment.p >= 0) {
            if (f91a) {
                Log.v("FragmentManager", "Freeing fragment index " + fragment);
            }
            this.f.set(fragment.p, null);
            if (this.h == null) {
                this.h = new ArrayList<>();
            }
            this.h.add(Integer.valueOf(fragment.p));
            this.o.a(fragment.q);
            fragment.x();
        }
    }

    public void a(Fragment fragment, boolean z2) {
        if (this.g == null) {
            this.g = new ArrayList<>();
        }
        if (f91a) {
            Log.v("FragmentManager", "add: " + fragment);
        }
        c(fragment);
        if (fragment.K) {
            return;
        }
        if (!this.g.contains(fragment)) {
            this.g.add(fragment);
            fragment.v = true;
            fragment.w = false;
            if (fragment.N && fragment.O) {
                this.s = true;
            }
            if (z2) {
                b(fragment);
                return;
            }
            return;
        }
        throw new IllegalStateException("Fragment already added: " + fragment);
    }

    public void a(Fragment fragment, int i2, int i3) {
        if (f91a) {
            Log.v("FragmentManager", "remove: " + fragment + " nesting=" + fragment.A);
        }
        boolean z2 = !fragment.h();
        if (!fragment.K || z2) {
            if (this.g != null) {
                this.g.remove(fragment);
            }
            if (fragment.N && fragment.O) {
                this.s = true;
            }
            fragment.v = false;
            fragment.w = true;
            a(fragment, z2 ? 0 : 1, i2, i3, false);
        }
    }

    public void b(Fragment fragment, int i2, int i3) {
        if (f91a) {
            Log.v("FragmentManager", "hide: " + fragment);
        }
        if (!fragment.J) {
            fragment.J = true;
            if (fragment.S != null) {
                Animation a2 = a(fragment, i2, false, i3);
                if (a2 != null) {
                    b(fragment.S, a2);
                    fragment.S.startAnimation(a2);
                }
                fragment.S.setVisibility(8);
            }
            if (fragment.v && fragment.N && fragment.O) {
                this.s = true;
            }
            fragment.c(true);
        }
    }

    public void c(Fragment fragment, int i2, int i3) {
        if (f91a) {
            Log.v("FragmentManager", "show: " + fragment);
        }
        if (fragment.J) {
            fragment.J = false;
            if (fragment.S != null) {
                Animation a2 = a(fragment, i2, true, i3);
                if (a2 != null) {
                    b(fragment.S, a2);
                    fragment.S.startAnimation(a2);
                }
                fragment.S.setVisibility(0);
            }
            if (fragment.v && fragment.N && fragment.O) {
                this.s = true;
            }
            fragment.c(false);
        }
    }

    public void d(Fragment fragment, int i2, int i3) {
        if (f91a) {
            Log.v("FragmentManager", "detach: " + fragment);
        }
        if (!fragment.K) {
            fragment.K = true;
            if (fragment.v) {
                if (this.g != null) {
                    if (f91a) {
                        Log.v("FragmentManager", "remove from detach: " + fragment);
                    }
                    this.g.remove(fragment);
                }
                if (fragment.N && fragment.O) {
                    this.s = true;
                }
                fragment.v = false;
                a(fragment, 1, i2, i3, false);
            }
        }
    }

    public void e(Fragment fragment, int i2, int i3) {
        if (f91a) {
            Log.v("FragmentManager", "attach: " + fragment);
        }
        if (fragment.K) {
            fragment.K = false;
            if (!fragment.v) {
                if (this.g == null) {
                    this.g = new ArrayList<>();
                }
                if (!this.g.contains(fragment)) {
                    if (f91a) {
                        Log.v("FragmentManager", "add from attach: " + fragment);
                    }
                    this.g.add(fragment);
                    fragment.v = true;
                    if (fragment.N && fragment.O) {
                        this.s = true;
                    }
                    a(fragment, this.n, i2, i3, false);
                    return;
                }
                throw new IllegalStateException("Fragment already added: " + fragment);
            }
        }
    }

    public Fragment b(int i2) {
        if (this.g != null) {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                Fragment fragment = this.g.get(size);
                if (fragment != null && fragment.G == i2) {
                    return fragment;
                }
            }
        }
        if (this.f == null) {
            return null;
        }
        for (int size2 = this.f.size() - 1; size2 >= 0; size2--) {
            Fragment fragment2 = this.f.get(size2);
            if (fragment2 != null && fragment2.G == i2) {
                return fragment2;
            }
        }
        return null;
    }

    @Override // android.support.v4.app.FragmentManager
    public Fragment a(String str) {
        if (!(this.g == null || str == null)) {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                Fragment fragment = this.g.get(size);
                if (fragment != null && str.equals(fragment.I)) {
                    return fragment;
                }
            }
        }
        if (this.f == null || str == null) {
            return null;
        }
        for (int size2 = this.f.size() - 1; size2 >= 0; size2--) {
            Fragment fragment2 = this.f.get(size2);
            if (fragment2 != null && str.equals(fragment2.I)) {
                return fragment2;
            }
        }
        return null;
    }

    public Fragment b(String str) {
        Fragment a2;
        if (this.f == null || str == null) {
            return null;
        }
        for (int size = this.f.size() - 1; size >= 0; size--) {
            Fragment fragment = this.f.get(size);
            if (!(fragment == null || (a2 = fragment.a(str)) == null)) {
                return a2;
            }
        }
        return null;
    }

    private void w() {
        if (this.t) {
            throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
        } else if (this.v != null) {
            throw new IllegalStateException("Can not perform this action inside of " + this.v);
        }
    }

    public void a(Runnable runnable, boolean z2) {
        if (!z2) {
            w();
        }
        synchronized (this) {
            if (this.u || this.o == null) {
                throw new IllegalStateException("Activity has been destroyed");
            }
            if (this.c == null) {
                this.c = new ArrayList<>();
            }
            this.c.add(runnable);
            if (this.c.size() == 1) {
                this.o.h().removeCallbacks(this.z);
                this.o.h().post(this.z);
            }
        }
    }

    public int a(BackStackRecord backStackRecord) {
        synchronized (this) {
            if (this.l != null) {
                if (this.l.size() > 0) {
                    int intValue = this.l.remove(this.l.size() - 1).intValue();
                    if (f91a) {
                        Log.v("FragmentManager", "Adding back stack index " + intValue + " with " + backStackRecord);
                    }
                    this.k.set(intValue, backStackRecord);
                    return intValue;
                }
            }
            if (this.k == null) {
                this.k = new ArrayList<>();
            }
            int size = this.k.size();
            if (f91a) {
                Log.v("FragmentManager", "Setting back stack index " + size + " to " + backStackRecord);
            }
            this.k.add(backStackRecord);
            return size;
        }
    }

    public void a(int i2, BackStackRecord backStackRecord) {
        synchronized (this) {
            if (this.k == null) {
                this.k = new ArrayList<>();
            }
            int size = this.k.size();
            if (i2 < size) {
                if (f91a) {
                    Log.v("FragmentManager", "Setting back stack index " + i2 + " to " + backStackRecord);
                }
                this.k.set(i2, backStackRecord);
            } else {
                while (size < i2) {
                    this.k.add(null);
                    if (this.l == null) {
                        this.l = new ArrayList<>();
                    }
                    if (f91a) {
                        Log.v("FragmentManager", "Adding available back stack index " + size);
                    }
                    this.l.add(Integer.valueOf(size));
                    size++;
                }
                if (f91a) {
                    Log.v("FragmentManager", "Adding back stack index " + i2 + " with " + backStackRecord);
                }
                this.k.add(backStackRecord);
            }
        }
    }

    public void c(int i2) {
        synchronized (this) {
            this.k.set(i2, null);
            if (this.l == null) {
                this.l = new ArrayList<>();
            }
            if (f91a) {
                Log.v("FragmentManager", "Freeing back stack index " + i2);
            }
            this.l.add(Integer.valueOf(i2));
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0050, code lost:
        r6.e = true;
        r3 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0053, code lost:
        if (r3 >= r2) goto L_0x0064;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0055, code lost:
        r6.d[r3].run();
        r6.d[r3] = null;
        r3 = r3 + 1;
     */
    public boolean f() {
        if (this.e) {
            throw new IllegalStateException("FragmentManager is already executing transactions");
        } else if (Looper.myLooper() == this.o.h().getLooper()) {
            boolean z2 = false;
            while (true) {
                synchronized (this) {
                    if (this.c == null) {
                        break;
                    } else if (this.c.size() == 0) {
                        break;
                    } else {
                        int size = this.c.size();
                        if (this.d == null || this.d.length < size) {
                            this.d = new Runnable[size];
                        }
                        this.c.toArray(this.d);
                        this.c.clear();
                        this.o.h().removeCallbacks(this.z);
                    }
                }
                this.e = false;
                z2 = true;
            }
            g();
            return z2;
        } else {
            throw new IllegalStateException("Must be called from main thread of fragment host");
        }
    }

    /* access modifiers changed from: package-private */
    public void g() {
        if (this.w) {
            boolean z2 = false;
            for (int i2 = 0; i2 < this.f.size(); i2++) {
                Fragment fragment = this.f.get(i2);
                if (!(fragment == null || fragment.W == null)) {
                    z2 |= fragment.W.a();
                }
            }
            if (!z2) {
                this.w = false;
                e();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void h() {
        if (this.m != null) {
            for (int i2 = 0; i2 < this.m.size(); i2++) {
                this.m.get(i2).a();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void b(BackStackRecord backStackRecord) {
        if (this.i == null) {
            this.i = new ArrayList<>();
        }
        this.i.add(backStackRecord);
        h();
    }

    /* access modifiers changed from: package-private */
    public boolean a(Handler handler, String str, int i2, int i3) {
        int i4;
        if (this.i == null) {
            return false;
        }
        if (str == null && i2 < 0 && (i3 & 1) == 0) {
            int size = this.i.size() - 1;
            if (size < 0) {
                return false;
            }
            BackStackRecord remove = this.i.remove(size);
            SparseArray<Fragment> sparseArray = new SparseArray<>();
            SparseArray<Fragment> sparseArray2 = new SparseArray<>();
            if (this.n >= 1) {
                remove.a(sparseArray, sparseArray2);
            }
            remove.a(true, (BackStackRecord.TransitionState) null, sparseArray, sparseArray2);
            h();
        } else {
            if (str != null || i2 >= 0) {
                i4 = this.i.size() - 1;
                while (i4 >= 0) {
                    BackStackRecord backStackRecord = this.i.get(i4);
                    if ((str != null && str.equals(backStackRecord.d())) || (i2 >= 0 && i2 == backStackRecord.p)) {
                        break;
                    }
                    i4--;
                }
                if (i4 < 0) {
                    return false;
                }
                if ((i3 & 1) != 0) {
                    i4--;
                    while (i4 >= 0) {
                        BackStackRecord backStackRecord2 = this.i.get(i4);
                        if ((str == null || !str.equals(backStackRecord2.d())) && (i2 < 0 || i2 != backStackRecord2.p)) {
                            break;
                        }
                        i4--;
                    }
                }
            } else {
                i4 = -1;
            }
            if (i4 == this.i.size() - 1) {
                return false;
            }
            ArrayList arrayList = new ArrayList();
            for (int size2 = this.i.size() - 1; size2 > i4; size2--) {
                arrayList.add(this.i.remove(size2));
            }
            int size3 = arrayList.size() - 1;
            SparseArray<Fragment> sparseArray3 = new SparseArray<>();
            SparseArray<Fragment> sparseArray4 = new SparseArray<>();
            if (this.n >= 1) {
                for (int i5 = 0; i5 <= size3; i5++) {
                    ((BackStackRecord) arrayList.get(i5)).a(sparseArray3, sparseArray4);
                }
            }
            BackStackRecord.TransitionState transitionState = null;
            int i6 = 0;
            while (i6 <= size3) {
                if (f91a) {
                    Log.v("FragmentManager", "Popping back stack state: " + arrayList.get(i6));
                }
                transitionState = ((BackStackRecord) arrayList.get(i6)).a(i6 == size3, transitionState, sparseArray3, sparseArray4);
                i6++;
            }
            h();
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public FragmentManagerNonConfig i() {
        ArrayList arrayList;
        ArrayList arrayList2;
        FragmentManagerNonConfig i2;
        if (this.f != null) {
            arrayList2 = null;
            arrayList = null;
            for (int i3 = 0; i3 < this.f.size(); i3++) {
                Fragment fragment = this.f.get(i3);
                if (fragment != null) {
                    boolean z2 = true;
                    if (fragment.L) {
                        if (arrayList2 == null) {
                            arrayList2 = new ArrayList();
                        }
                        arrayList2.add(fragment);
                        fragment.M = true;
                        fragment.t = fragment.s != null ? fragment.s.p : -1;
                        if (f91a) {
                            Log.v("FragmentManager", "retainNonConfig: keeping retained " + fragment);
                        }
                    }
                    if (fragment.D == null || (i2 = fragment.D.i()) == null) {
                        z2 = false;
                    } else {
                        if (arrayList == null) {
                            arrayList = new ArrayList();
                            for (int i4 = 0; i4 < i3; i4++) {
                                arrayList.add(null);
                            }
                        }
                        arrayList.add(i2);
                    }
                    if (arrayList != null && !z2) {
                        arrayList.add(null);
                    }
                }
            }
        } else {
            arrayList2 = null;
            arrayList = null;
        }
        if (arrayList2 == null && arrayList == null) {
            return null;
        }
        return new FragmentManagerNonConfig(arrayList2, arrayList);
    }

    /* access modifiers changed from: package-private */
    public void e(Fragment fragment) {
        if (fragment.T != null) {
            if (this.y == null) {
                this.y = new SparseArray<>();
            } else {
                this.y.clear();
            }
            fragment.T.saveHierarchyState(this.y);
            if (this.y.size() > 0) {
                fragment.o = this.y;
                this.y = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public Bundle f(Fragment fragment) {
        Bundle bundle;
        if (this.x == null) {
            this.x = new Bundle();
        }
        fragment.l(this.x);
        if (!this.x.isEmpty()) {
            bundle = this.x;
            this.x = null;
        } else {
            bundle = null;
        }
        if (fragment.S != null) {
            e(fragment);
        }
        if (fragment.o != null) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putSparseParcelableArray("android:view_state", fragment.o);
        }
        if (!fragment.V) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putBoolean("android:user_visible_hint", fragment.V);
        }
        return bundle;
    }

    /* access modifiers changed from: package-private */
    public Parcelable j() {
        int[] iArr;
        int size;
        int size2;
        f();
        if (b) {
            this.t = true;
        }
        BackStackState[] backStackStateArr = null;
        if (this.f == null || this.f.size() <= 0) {
            return null;
        }
        int size3 = this.f.size();
        FragmentState[] fragmentStateArr = new FragmentState[size3];
        boolean z2 = false;
        for (int i2 = 0; i2 < size3; i2++) {
            Fragment fragment = this.f.get(i2);
            if (fragment != null) {
                if (fragment.p < 0) {
                    a(new IllegalStateException("Failure saving state: active " + fragment + " has cleared index: " + fragment.p));
                }
                FragmentState fragmentState = new FragmentState(fragment);
                fragmentStateArr[i2] = fragmentState;
                if (fragment.k <= 0 || fragmentState.k != null) {
                    fragmentState.k = fragment.n;
                } else {
                    fragmentState.k = f(fragment);
                    if (fragment.s != null) {
                        if (fragment.s.p < 0) {
                            a(new IllegalStateException("Failure saving state: " + fragment + " has target not in fragment manager: " + fragment.s));
                        }
                        if (fragmentState.k == null) {
                            fragmentState.k = new Bundle();
                        }
                        a(fragmentState.k, "android:target_state", fragment.s);
                        if (fragment.u != 0) {
                            fragmentState.k.putInt("android:target_req_state", fragment.u);
                        }
                    }
                }
                if (f91a) {
                    Log.v("FragmentManager", "Saved state of " + fragment + ": " + fragmentState.k);
                }
                z2 = true;
            }
        }
        if (!z2) {
            if (f91a) {
                Log.v("FragmentManager", "saveAllState: no fragments!");
            }
            return null;
        }
        if (this.g == null || (size2 = this.g.size()) <= 0) {
            iArr = null;
        } else {
            iArr = new int[size2];
            for (int i3 = 0; i3 < size2; i3++) {
                iArr[i3] = this.g.get(i3).p;
                if (iArr[i3] < 0) {
                    a(new IllegalStateException("Failure saving state: active " + this.g.get(i3) + " has cleared index: " + iArr[i3]));
                }
                if (f91a) {
                    Log.v("FragmentManager", "saveAllState: adding fragment #" + i3 + ": " + this.g.get(i3));
                }
            }
        }
        if (this.i != null && (size = this.i.size()) > 0) {
            backStackStateArr = new BackStackState[size];
            for (int i4 = 0; i4 < size; i4++) {
                backStackStateArr[i4] = new BackStackState(this.i.get(i4));
                if (f91a) {
                    Log.v("FragmentManager", "saveAllState: adding back stack #" + i4 + ": " + this.i.get(i4));
                }
            }
        }
        FragmentManagerState fragmentManagerState = new FragmentManagerState();
        fragmentManagerState.f101a = fragmentStateArr;
        fragmentManagerState.b = iArr;
        fragmentManagerState.c = backStackStateArr;
        return fragmentManagerState;
    }

    /* access modifiers changed from: package-private */
    public void a(Parcelable parcelable, FragmentManagerNonConfig fragmentManagerNonConfig) {
        List<FragmentManagerNonConfig> list;
        if (parcelable != null) {
            FragmentManagerState fragmentManagerState = (FragmentManagerState) parcelable;
            if (fragmentManagerState.f101a != null) {
                if (fragmentManagerNonConfig != null) {
                    List<Fragment> a2 = fragmentManagerNonConfig.a();
                    list = fragmentManagerNonConfig.b();
                    int size = a2 != null ? a2.size() : 0;
                    for (int i2 = 0; i2 < size; i2++) {
                        Fragment fragment = a2.get(i2);
                        if (f91a) {
                            Log.v("FragmentManager", "restoreAllState: re-attaching retained " + fragment);
                        }
                        FragmentState fragmentState = fragmentManagerState.f101a[fragment.p];
                        fragmentState.l = fragment;
                        fragment.o = null;
                        fragment.A = 0;
                        fragment.y = false;
                        fragment.v = false;
                        fragment.s = null;
                        if (fragmentState.k != null) {
                            fragmentState.k.setClassLoader(this.o.g().getClassLoader());
                            fragment.o = fragmentState.k.getSparseParcelableArray("android:view_state");
                            fragment.n = fragmentState.k;
                        }
                    }
                } else {
                    list = null;
                }
                this.f = new ArrayList<>(fragmentManagerState.f101a.length);
                if (this.h != null) {
                    this.h.clear();
                }
                int i3 = 0;
                while (i3 < fragmentManagerState.f101a.length) {
                    FragmentState fragmentState2 = fragmentManagerState.f101a[i3];
                    if (fragmentState2 != null) {
                        Fragment a3 = fragmentState2.a(this.o, this.q, (list == null || i3 >= list.size()) ? null : list.get(i3));
                        if (f91a) {
                            Log.v("FragmentManager", "restoreAllState: active #" + i3 + ": " + a3);
                        }
                        this.f.add(a3);
                        fragmentState2.l = null;
                    } else {
                        this.f.add(null);
                        if (this.h == null) {
                            this.h = new ArrayList<>();
                        }
                        if (f91a) {
                            Log.v("FragmentManager", "restoreAllState: avail #" + i3);
                        }
                        this.h.add(Integer.valueOf(i3));
                    }
                    i3++;
                }
                if (fragmentManagerNonConfig != null) {
                    List<Fragment> a4 = fragmentManagerNonConfig.a();
                    int size2 = a4 != null ? a4.size() : 0;
                    for (int i4 = 0; i4 < size2; i4++) {
                        Fragment fragment2 = a4.get(i4);
                        if (fragment2.t >= 0) {
                            if (fragment2.t < this.f.size()) {
                                fragment2.s = this.f.get(fragment2.t);
                            } else {
                                Log.w("FragmentManager", "Re-attaching retained fragment " + fragment2 + " target no longer exists: " + fragment2.t);
                                fragment2.s = null;
                            }
                        }
                    }
                }
                if (fragmentManagerState.b != null) {
                    this.g = new ArrayList<>(fragmentManagerState.b.length);
                    for (int i5 = 0; i5 < fragmentManagerState.b.length; i5++) {
                        Fragment fragment3 = this.f.get(fragmentManagerState.b[i5]);
                        if (fragment3 == null) {
                            a(new IllegalStateException("No instantiated fragment for index #" + fragmentManagerState.b[i5]));
                        }
                        fragment3.v = true;
                        if (f91a) {
                            Log.v("FragmentManager", "restoreAllState: added #" + i5 + ": " + fragment3);
                        }
                        if (!this.g.contains(fragment3)) {
                            this.g.add(fragment3);
                        } else {
                            throw new IllegalStateException("Already added!");
                        }
                    }
                } else {
                    this.g = null;
                }
                if (fragmentManagerState.c != null) {
                    this.i = new ArrayList<>(fragmentManagerState.c.length);
                    for (int i6 = 0; i6 < fragmentManagerState.c.length; i6++) {
                        BackStackRecord a5 = fragmentManagerState.c[i6].a(this);
                        if (f91a) {
                            Log.v("FragmentManager", "restoreAllState: back stack #" + i6 + " (index " + a5.p + "): " + a5);
                            a5.a("  ", new PrintWriter(new LogWriter("FragmentManager")), false);
                        }
                        this.i.add(a5);
                        if (a5.p >= 0) {
                            a(a5.p, a5);
                        }
                    }
                    return;
                }
                this.i = null;
            }
        }
    }

    public void a(FragmentHostCallback fragmentHostCallback, FragmentContainer fragmentContainer, Fragment fragment) {
        if (this.o == null) {
            this.o = fragmentHostCallback;
            this.p = fragmentContainer;
            this.q = fragment;
            return;
        }
        throw new IllegalStateException("Already attached");
    }

    public void k() {
        this.t = false;
    }

    public void l() {
        this.t = false;
        a(1, false);
    }

    public void m() {
        this.t = false;
        a(2, false);
    }

    public void n() {
        this.t = false;
        a(4, false);
    }

    public void o() {
        this.t = false;
        a(5, false);
    }

    public void p() {
        a(4, false);
    }

    public void q() {
        this.t = true;
        a(3, false);
    }

    public void r() {
        a(2, false);
    }

    public void s() {
        a(1, false);
    }

    public void t() {
        this.u = true;
        f();
        a(0, false);
        this.o = null;
        this.p = null;
        this.q = null;
    }

    public void a(boolean z2) {
        if (this.g != null) {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                Fragment fragment = this.g.get(size);
                if (fragment != null) {
                    fragment.f(z2);
                }
            }
        }
    }

    public void b(boolean z2) {
        if (this.g != null) {
            for (int size = this.g.size() - 1; size >= 0; size--) {
                Fragment fragment = this.g.get(size);
                if (fragment != null) {
                    fragment.g(z2);
                }
            }
        }
    }

    public void a(Configuration configuration) {
        if (this.g != null) {
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null) {
                    fragment.a(configuration);
                }
            }
        }
    }

    public void u() {
        if (this.g != null) {
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null) {
                    fragment.K();
                }
            }
        }
    }

    public boolean a(Menu menu, MenuInflater menuInflater) {
        boolean z2;
        ArrayList<Fragment> arrayList = null;
        if (this.g != null) {
            z2 = false;
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null && fragment.b(menu, menuInflater)) {
                    if (arrayList == null) {
                        arrayList = new ArrayList<>();
                    }
                    arrayList.add(fragment);
                    z2 = true;
                }
            }
        } else {
            z2 = false;
        }
        if (this.j != null) {
            for (int i3 = 0; i3 < this.j.size(); i3++) {
                Fragment fragment2 = this.j.get(i3);
                if (arrayList == null || !arrayList.contains(fragment2)) {
                    fragment2.y();
                }
            }
        }
        this.j = arrayList;
        return z2;
    }

    public boolean a(Menu menu) {
        if (this.g == null) {
            return false;
        }
        boolean z2 = false;
        for (int i2 = 0; i2 < this.g.size(); i2++) {
            Fragment fragment = this.g.get(i2);
            if (fragment != null && fragment.c(menu)) {
                z2 = true;
            }
        }
        return z2;
    }

    public boolean a(MenuItem menuItem) {
        if (this.g != null) {
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null && fragment.c(menuItem)) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean b(MenuItem menuItem) {
        if (this.g != null) {
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null && fragment.d(menuItem)) {
                    return true;
                }
            }
        }
        return false;
    }

    public void b(Menu menu) {
        if (this.g != null) {
            for (int i2 = 0; i2 < this.g.size(); i2++) {
                Fragment fragment = this.g.get(i2);
                if (fragment != null) {
                    fragment.d(menu);
                }
            }
        }
    }

    @Override // android.support.v4.view.LayoutInflaterFactory
    public View a(View view, String str, Context context, AttributeSet attributeSet) {
        Fragment fragment;
        Fragment fragment2 = null;
        if (!"fragment".equals(str)) {
            return null;
        }
        String attributeValue = attributeSet.getAttributeValue(null, "class");
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, FragmentTag.f99a);
        int i2 = 0;
        if (attributeValue == null) {
            attributeValue = obtainStyledAttributes.getString(0);
        }
        int resourceId = obtainStyledAttributes.getResourceId(1, -1);
        String string = obtainStyledAttributes.getString(2);
        obtainStyledAttributes.recycle();
        if (!Fragment.b(this.o.g(), attributeValue)) {
            return null;
        }
        if (view != null) {
            i2 = view.getId();
        }
        if (i2 == -1 && resourceId == -1 && string == null) {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Must specify unique android:id, android:tag, or have a parent with an id for " + attributeValue);
        }
        if (resourceId != -1) {
            fragment2 = b(resourceId);
        }
        if (fragment2 == null && string != null) {
            fragment2 = a(string);
        }
        if (fragment2 == null && i2 != -1) {
            fragment2 = b(i2);
        }
        if (f91a) {
            Log.v("FragmentManager", "onCreateView: id=0x" + Integer.toHexString(resourceId) + " fname=" + attributeValue + " existing=" + fragment2);
        }
        if (fragment2 == null) {
            Fragment a2 = Fragment.a(context, attributeValue);
            a2.x = true;
            a2.G = resourceId != 0 ? resourceId : i2;
            a2.H = i2;
            a2.I = string;
            a2.y = true;
            a2.B = this;
            a2.C = this.o;
            a2.a(this.o.g(), attributeSet, a2.n);
            a(a2, true);
            fragment = a2;
        } else if (!fragment2.y) {
            fragment2.y = true;
            fragment2.C = this.o;
            if (!fragment2.M) {
                fragment2.a(this.o.g(), attributeSet, fragment2.n);
            }
            fragment = fragment2;
        } else {
            throw new IllegalArgumentException(attributeSet.getPositionDescription() + ": Duplicate id 0x" + Integer.toHexString(resourceId) + ", tag " + string + ", or parent id 0x" + Integer.toHexString(i2) + " with another fragment for " + attributeValue);
        }
        if (this.n >= 1 || !fragment.x) {
            b(fragment);
        } else {
            a(fragment, 1, 0, 0, false);
        }
        if (fragment.S != null) {
            if (resourceId != 0) {
                fragment.S.setId(resourceId);
            }
            if (fragment.S.getTag() == null) {
                fragment.S.setTag(string);
            }
            return fragment.S;
        }
        throw new IllegalStateException("Fragment " + attributeValue + " did not create a view.");
    }

    /* access modifiers changed from: package-private */
    /* compiled from: FragmentManager */
    public static class FragmentTag {

        /* renamed from: a  reason: collision with root package name */
        public static final int[] f99a = {16842755, 16842960, 16842961};

        FragmentTag() {
        }
    }
}
