package android.support.v4.app;

import android.os.Bundle;
import android.support.v4.app.LoaderManager;
import android.support.v4.content.Loader;
import android.support.v4.util.DebugUtils;
import android.support.v4.util.SparseArrayCompat;
import android.util.Log;
import com.tencent.smtt.sdk.TbsListener;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.Modifier;

/* access modifiers changed from: package-private */
/* compiled from: LoaderManager */
public class LoaderManagerImpl extends LoaderManager {

    /* renamed from: a  reason: collision with root package name */
    static boolean f116a = false;
    final SparseArrayCompat<LoaderInfo> b = new SparseArrayCompat<>();
    final SparseArrayCompat<LoaderInfo> c = new SparseArrayCompat<>();
    final String d;
    boolean e;
    boolean f;
    private FragmentHostCallback g;

    /* access modifiers changed from: package-private */
    /* compiled from: LoaderManager */
    public final class LoaderInfo implements Loader.OnLoadCanceledListener<Object>, Loader.OnLoadCompleteListener<Object> {

        /* renamed from: a  reason: collision with root package name */
        final int f117a;
        final Bundle b;
        LoaderManager.LoaderCallbacks<Object> c;
        Loader<Object> d;
        boolean e;
        boolean f;
        Object g;
        boolean h;
        boolean i;
        boolean j;
        boolean k;
        boolean l;
        boolean m;
        LoaderInfo n;
        final /* synthetic */ LoaderManagerImpl o;

        /* access modifiers changed from: package-private */
        public void a() {
            if (this.i && this.j) {
                this.h = true;
            } else if (!this.h) {
                this.h = true;
                if (LoaderManagerImpl.f116a) {
                    Log.v("LoaderManager", "  Starting: " + this);
                }
                if (this.d == null && this.c != null) {
                    this.d = this.c.a(this.f117a, this.b);
                }
                if (this.d == null) {
                    return;
                }
                if (!this.d.getClass().isMemberClass() || Modifier.isStatic(this.d.getClass().getModifiers())) {
                    if (!this.m) {
                        this.d.a(this.f117a, this);
                        this.d.a((Loader.OnLoadCanceledListener<Object>) this);
                        this.m = true;
                    }
                    this.d.q();
                    return;
                }
                throw new IllegalArgumentException("Object returned from onCreateLoader must not be a non-static inner member class: " + this.d);
            }
        }

        /* access modifiers changed from: package-private */
        public void b() {
            if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "  Retaining: " + this);
            }
            this.i = true;
            this.j = this.h;
            this.h = false;
            this.c = null;
        }

        /* access modifiers changed from: package-private */
        public void c() {
            if (this.i) {
                if (LoaderManagerImpl.f116a) {
                    Log.v("LoaderManager", "  Finished Retaining: " + this);
                }
                this.i = false;
                if (this.h != this.j && !this.h) {
                    e();
                }
            }
            if (this.h && this.e && !this.k) {
                b(this.d, this.g);
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            if (this.h && this.k) {
                this.k = false;
                if (this.e && !this.i) {
                    b(this.d, this.g);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "  Stopping: " + this);
            }
            this.h = false;
            if (!this.i && this.d != null && this.m) {
                this.m = false;
                this.d.a((Loader.OnLoadCompleteListener<Object>) this);
                this.d.b((Loader.OnLoadCanceledListener<Object>) this);
                this.d.t();
            }
        }

        /* access modifiers changed from: package-private */
        public void f() {
            String str;
            if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "  Destroying: " + this);
            }
            this.l = true;
            boolean z = this.f;
            this.f = false;
            if (this.c != null && this.d != null && this.e && z) {
                if (LoaderManagerImpl.f116a) {
                    Log.v("LoaderManager", "  Reseting: " + this);
                }
                if (this.o.g != null) {
                    str = this.o.g.d.v;
                    this.o.g.d.v = "onLoaderReset";
                } else {
                    str = null;
                }
                try {
                    this.c.a(this.d);
                } finally {
                    if (this.o.g != null) {
                        this.o.g.d.v = str;
                    }
                }
            }
            this.c = null;
            this.g = null;
            this.e = false;
            if (this.d != null) {
                if (this.m) {
                    this.m = false;
                    this.d.a((Loader.OnLoadCompleteListener<Object>) this);
                    this.d.b((Loader.OnLoadCanceledListener<Object>) this);
                }
                this.d.u();
            }
            if (this.n != null) {
                this.n.f();
            }
        }

        @Override // android.support.v4.content.Loader.OnLoadCanceledListener
        public void a(Loader<Object> loader) {
            if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "onLoadCanceled: " + this);
            }
            if (this.l) {
                if (LoaderManagerImpl.f116a) {
                    Log.v("LoaderManager", "  Ignoring load canceled -- destroyed");
                }
            } else if (this.o.b.a(this.f117a) == this) {
                LoaderInfo loaderInfo = this.n;
                if (loaderInfo != null) {
                    if (LoaderManagerImpl.f116a) {
                        Log.v("LoaderManager", "  Switching to pending loader: " + loaderInfo);
                    }
                    this.n = null;
                    this.o.b.b(this.f117a, null);
                    f();
                    this.o.a(loaderInfo);
                }
            } else if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "  Ignoring load canceled -- not active");
            }
        }

        @Override // android.support.v4.content.Loader.OnLoadCompleteListener
        public void a(Loader<Object> loader, Object obj) {
            if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "onLoadComplete: " + this);
            }
            if (this.l) {
                if (LoaderManagerImpl.f116a) {
                    Log.v("LoaderManager", "  Ignoring load complete -- destroyed");
                }
            } else if (this.o.b.a(this.f117a) == this) {
                LoaderInfo loaderInfo = this.n;
                if (loaderInfo != null) {
                    if (LoaderManagerImpl.f116a) {
                        Log.v("LoaderManager", "  Switching to pending loader: " + loaderInfo);
                    }
                    this.n = null;
                    this.o.b.b(this.f117a, null);
                    f();
                    this.o.a(loaderInfo);
                    return;
                }
                if (this.g != obj || !this.e) {
                    this.g = obj;
                    this.e = true;
                    if (this.h) {
                        b(loader, obj);
                    }
                }
                LoaderInfo a2 = this.o.c.a(this.f117a);
                if (!(a2 == null || a2 == this)) {
                    a2.f = false;
                    a2.f();
                    this.o.c.c(this.f117a);
                }
                if (this.o.g != null && !this.o.a()) {
                    this.o.g.d.e();
                }
            } else if (LoaderManagerImpl.f116a) {
                Log.v("LoaderManager", "  Ignoring load complete -- not active");
            }
        }

        /* access modifiers changed from: package-private */
        public void b(Loader<Object> loader, Object obj) {
            if (this.c != null) {
                String str = null;
                if (this.o.g != null) {
                    str = this.o.g.d.v;
                    this.o.g.d.v = "onLoadFinished";
                }
                try {
                    if (LoaderManagerImpl.f116a) {
                        Log.v("LoaderManager", "  onLoadFinished in " + loader + ": " + loader.c(obj));
                    }
                    this.c.a(loader, obj);
                    this.f = true;
                } finally {
                    if (this.o.g != null) {
                        this.o.g.d.v = str;
                    }
                }
            }
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(64);
            sb.append("LoaderInfo{");
            sb.append(Integer.toHexString(System.identityHashCode(this)));
            sb.append(" #");
            sb.append(this.f117a);
            sb.append(" : ");
            DebugUtils.a(this.d, sb);
            sb.append("}}");
            return sb.toString();
        }

        public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
            printWriter.print(str);
            printWriter.print("mId=");
            printWriter.print(this.f117a);
            printWriter.print(" mArgs=");
            printWriter.println(this.b);
            printWriter.print(str);
            printWriter.print("mCallbacks=");
            printWriter.println(this.c);
            printWriter.print(str);
            printWriter.print("mLoader=");
            printWriter.println(this.d);
            if (this.d != null) {
                Loader<Object> loader = this.d;
                loader.a(str + "  ", fileDescriptor, printWriter, strArr);
            }
            if (this.e || this.f) {
                printWriter.print(str);
                printWriter.print("mHaveData=");
                printWriter.print(this.e);
                printWriter.print("  mDeliveredData=");
                printWriter.println(this.f);
                printWriter.print(str);
                printWriter.print("mData=");
                printWriter.println(this.g);
            }
            printWriter.print(str);
            printWriter.print("mStarted=");
            printWriter.print(this.h);
            printWriter.print(" mReportNextStart=");
            printWriter.print(this.k);
            printWriter.print(" mDestroyed=");
            printWriter.println(this.l);
            printWriter.print(str);
            printWriter.print("mRetaining=");
            printWriter.print(this.i);
            printWriter.print(" mRetainingStarted=");
            printWriter.print(this.j);
            printWriter.print(" mListenerRegistered=");
            printWriter.println(this.m);
            if (this.n != null) {
                printWriter.print(str);
                printWriter.println("Pending Loader ");
                printWriter.print(this.n);
                printWriter.println(":");
                LoaderInfo loaderInfo = this.n;
                loaderInfo.a(str + "  ", fileDescriptor, printWriter, strArr);
            }
        }
    }

    LoaderManagerImpl(String str, FragmentHostCallback fragmentHostCallback, boolean z) {
        this.d = str;
        this.g = fragmentHostCallback;
        this.e = z;
    }

    /* access modifiers changed from: package-private */
    public void a(FragmentHostCallback fragmentHostCallback) {
        this.g = fragmentHostCallback;
    }

    /* access modifiers changed from: package-private */
    public void a(LoaderInfo loaderInfo) {
        this.b.b(loaderInfo.f117a, loaderInfo);
        if (this.e) {
            loaderInfo.a();
        }
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (f116a) {
            Log.v("LoaderManager", "Starting in " + this);
        }
        if (this.e) {
            RuntimeException runtimeException = new RuntimeException("here");
            runtimeException.fillInStackTrace();
            Log.w("LoaderManager", "Called doStart when already started: " + this, runtimeException);
            return;
        }
        this.e = true;
        for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
            this.b.e(b2).a();
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (f116a) {
            Log.v("LoaderManager", "Stopping in " + this);
        }
        if (!this.e) {
            RuntimeException runtimeException = new RuntimeException("here");
            runtimeException.fillInStackTrace();
            Log.w("LoaderManager", "Called doStop when not started: " + this, runtimeException);
            return;
        }
        for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
            this.b.e(b2).e();
        }
        this.e = false;
    }

    /* access modifiers changed from: package-private */
    public void d() {
        if (f116a) {
            Log.v("LoaderManager", "Retaining in " + this);
        }
        if (!this.e) {
            RuntimeException runtimeException = new RuntimeException("here");
            runtimeException.fillInStackTrace();
            Log.w("LoaderManager", "Called doRetain when not started: " + this, runtimeException);
            return;
        }
        this.f = true;
        this.e = false;
        for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
            this.b.e(b2).b();
        }
    }

    /* access modifiers changed from: package-private */
    public void e() {
        if (this.f) {
            if (f116a) {
                Log.v("LoaderManager", "Finished Retaining in " + this);
            }
            this.f = false;
            for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
                this.b.e(b2).c();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void f() {
        for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
            this.b.e(b2).k = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void g() {
        for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
            this.b.e(b2).d();
        }
    }

    /* access modifiers changed from: package-private */
    public void h() {
        if (!this.f) {
            if (f116a) {
                Log.v("LoaderManager", "Destroying Active in " + this);
            }
            for (int b2 = this.b.b() - 1; b2 >= 0; b2--) {
                this.b.e(b2).f();
            }
            this.b.c();
        }
        if (f116a) {
            Log.v("LoaderManager", "Destroying Inactive in " + this);
        }
        for (int b3 = this.c.b() - 1; b3 >= 0; b3--) {
            this.c.e(b3).f();
        }
        this.c.c();
    }

    public String toString() {
        StringBuilder sb = new StringBuilder((int) TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        sb.append("LoaderManager{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append(" in ");
        DebugUtils.a(this.g, sb);
        sb.append("}}");
        return sb.toString();
    }

    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        if (this.b.b() > 0) {
            printWriter.print(str);
            printWriter.println("Active Loaders:");
            String str2 = str + "    ";
            for (int i = 0; i < this.b.b(); i++) {
                LoaderInfo e2 = this.b.e(i);
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(this.b.d(i));
                printWriter.print(": ");
                printWriter.println(e2.toString());
                e2.a(str2, fileDescriptor, printWriter, strArr);
            }
        }
        if (this.c.b() > 0) {
            printWriter.print(str);
            printWriter.println("Inactive Loaders:");
            String str3 = str + "    ";
            for (int i2 = 0; i2 < this.c.b(); i2++) {
                LoaderInfo e3 = this.c.e(i2);
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(this.c.d(i2));
                printWriter.print(": ");
                printWriter.println(e3.toString());
                e3.a(str3, fileDescriptor, printWriter, strArr);
            }
        }
    }

    @Override // android.support.v4.app.LoaderManager
    public boolean a() {
        int b2 = this.b.b();
        boolean z = false;
        for (int i = 0; i < b2; i++) {
            LoaderInfo e2 = this.b.e(i);
            z |= e2.h && !e2.f;
        }
        return z;
    }
}
