package android.support.v4.app;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.support.annotation.Nullable;
import android.support.v4.content.IntentCompat;
import android.util.Log;
import com.tencent.smtt.sdk.TbsListener;

public final class NavUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final NavUtilsImpl f118a;

    /* access modifiers changed from: package-private */
    public interface NavUtilsImpl {
        Intent a(Activity activity);

        String a(Context context, ActivityInfo activityInfo);

        boolean a(Activity activity, Intent intent);

        void b(Activity activity, Intent intent);
    }

    /* access modifiers changed from: package-private */
    public static class NavUtilsImplBase implements NavUtilsImpl {
        NavUtilsImplBase() {
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl
        public Intent a(Activity activity) {
            String b = NavUtils.b(activity);
            if (b == null) {
                return null;
            }
            ComponentName componentName = new ComponentName(activity, b);
            try {
                if (NavUtils.b(activity, componentName) == null) {
                    return IntentCompat.a(componentName);
                }
                return new Intent().setComponent(componentName);
            } catch (PackageManager.NameNotFoundException unused) {
                Log.e("NavUtils", "getParentActivityIntent: bad parentActivityName '" + b + "' in manifest");
                return null;
            }
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl
        public boolean a(Activity activity, Intent intent) {
            String action = activity.getIntent().getAction();
            return action != null && !action.equals("android.intent.action.MAIN");
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl
        public void b(Activity activity, Intent intent) {
            intent.addFlags(67108864);
            activity.startActivity(intent);
            activity.finish();
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl
        public String a(Context context, ActivityInfo activityInfo) {
            String string;
            if (activityInfo.metaData == null || (string = activityInfo.metaData.getString("android.support.PARENT_ACTIVITY")) == null) {
                return null;
            }
            if (string.charAt(0) != '.') {
                return string;
            }
            return context.getPackageName() + string;
        }
    }

    static class NavUtilsImplJB extends NavUtilsImplBase {
        NavUtilsImplJB() {
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl, android.support.v4.app.NavUtils.NavUtilsImplBase
        public Intent a(Activity activity) {
            Intent a2 = NavUtilsJB.a(activity);
            return a2 == null ? b(activity) : a2;
        }

        /* access modifiers changed from: package-private */
        public Intent b(Activity activity) {
            return super.a(activity);
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl, android.support.v4.app.NavUtils.NavUtilsImplBase
        public boolean a(Activity activity, Intent intent) {
            return NavUtilsJB.a(activity, intent);
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl, android.support.v4.app.NavUtils.NavUtilsImplBase
        public void b(Activity activity, Intent intent) {
            NavUtilsJB.b(activity, intent);
        }

        @Override // android.support.v4.app.NavUtils.NavUtilsImpl, android.support.v4.app.NavUtils.NavUtilsImplBase
        public String a(Context context, ActivityInfo activityInfo) {
            String a2 = NavUtilsJB.a(activityInfo);
            return a2 == null ? super.a(context, activityInfo) : a2;
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 16) {
            f118a = new NavUtilsImplJB();
        } else {
            f118a = new NavUtilsImplBase();
        }
    }

    public static boolean a(Activity activity, Intent intent) {
        return f118a.a(activity, intent);
    }

    public static void b(Activity activity, Intent intent) {
        f118a.b(activity, intent);
    }

    public static Intent a(Activity activity) {
        return f118a.a(activity);
    }

    public static Intent a(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        String b = b(context, componentName);
        if (b == null) {
            return null;
        }
        ComponentName componentName2 = new ComponentName(componentName.getPackageName(), b);
        if (b(context, componentName2) == null) {
            return IntentCompat.a(componentName2);
        }
        return new Intent().setComponent(componentName2);
    }

    @Nullable
    public static String b(Activity activity) {
        try {
            return b(activity, activity.getComponentName());
        } catch (PackageManager.NameNotFoundException e) {
            throw new IllegalArgumentException(e);
        }
    }

    @Nullable
    public static String b(Context context, ComponentName componentName) throws PackageManager.NameNotFoundException {
        return f118a.a(context, context.getPackageManager().getActivityInfo(componentName, TbsListener.ErrorCode.DOWNLOAD_INTERRUPT));
    }

    private NavUtils() {
    }
}
