package android.support.v4.app;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.support.v4.app.NotificationCompatApi20;
import android.support.v4.app.NotificationCompatApi21;
import android.support.v4.app.NotificationCompatApi24;
import android.support.v4.app.NotificationCompatBase;
import android.support.v4.app.NotificationCompatIceCreamSandwich;
import android.support.v4.app.NotificationCompatJellybean;
import android.support.v4.app.NotificationCompatKitKat;
import android.support.v4.os.BuildCompat;
import android.widget.RemoteViews;
import com.tencent.smtt.sdk.TbsListener;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class NotificationCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final NotificationCompatImpl f119a;

    public static class BigPictureStyle extends Style {

        /* renamed from: a  reason: collision with root package name */
        Bitmap f122a;
        Bitmap b;
        boolean c;
    }

    public static class BigTextStyle extends Style {

        /* renamed from: a  reason: collision with root package name */
        CharSequence f123a;
    }

    public static final class CarExtender implements Extender {

        /* renamed from: a  reason: collision with root package name */
        private int f125a = 0;

        public static class UnreadConversation extends NotificationCompatBase.UnreadConversation {

            /* renamed from: a  reason: collision with root package name */
            static final NotificationCompatBase.UnreadConversation.Factory f126a = new NotificationCompatBase.UnreadConversation.Factory() {
                /* class android.support.v4.app.NotificationCompat.CarExtender.UnreadConversation.AnonymousClass1 */
            };

            public static class Builder {
            }
        }
    }

    public interface Extender {
    }

    public static class InboxStyle extends Style {

        /* renamed from: a  reason: collision with root package name */
        ArrayList<CharSequence> f127a = new ArrayList<>();
    }

    /* access modifiers changed from: package-private */
    public interface NotificationCompatImpl {
        Notification a(Builder builder, BuilderExtender builderExtender);
    }

    public static abstract class Style {
        CharSequence d;
        CharSequence e;
        boolean f = false;

        public void a(Bundle bundle) {
        }
    }

    /* access modifiers changed from: protected */
    public static class BuilderExtender {
        protected BuilderExtender() {
        }

        public Notification a(Builder builder, NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor) {
            return notificationBuilderWithBuilderAccessor.b();
        }
    }

    static class NotificationCompatImplBase implements NotificationCompatImpl {
        public Bundle a(Notification notification) {
            return null;
        }

        NotificationCompatImplBase() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            Notification a2 = NotificationCompatBase.a(builder.F, builder.f124a, builder.b, builder.c, builder.d);
            if (builder.j > 0) {
                a2.flags |= TbsListener.ErrorCode.DOWNLOAD_INTERRUPT;
            }
            if (builder.C != null) {
                a2.contentView = builder.C;
            }
            return a2;
        }
    }

    static class NotificationCompatImplGingerbread extends NotificationCompatImplBase {
        NotificationCompatImplGingerbread() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            Notification a2 = NotificationCompatGingerbread.a(builder.F, builder.f124a, builder.b, builder.c, builder.d, builder.e);
            if (builder.j > 0) {
                a2.flags |= TbsListener.ErrorCode.DOWNLOAD_INTERRUPT;
            }
            if (builder.C != null) {
                a2.contentView = builder.C;
            }
            return a2;
        }
    }

    static class NotificationCompatImplHoneycomb extends NotificationCompatImplBase {
        NotificationCompatImplHoneycomb() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            Notification a2 = NotificationCompatHoneycomb.a(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g);
            if (builder.C != null) {
                a2.contentView = builder.C;
            }
            return a2;
        }
    }

    static class NotificationCompatImplIceCreamSandwich extends NotificationCompatImplBase {
        NotificationCompatImplIceCreamSandwich() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            Notification a2 = builderExtender.a(builder, new NotificationCompatIceCreamSandwich.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r));
            if (builder.C != null) {
                a2.contentView = builder.C;
            }
            return a2;
        }
    }

    static class NotificationCompatImplJellybean extends NotificationCompatImplBase {
        NotificationCompatImplJellybean() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            NotificationCompatJellybean.Builder builder2 = new NotificationCompatJellybean.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r, builder.l, builder.j, builder.n, builder.w, builder.y, builder.s, builder.t, builder.u, builder.C, builder.D);
            NotificationCompat.b(builder2, builder.v);
            NotificationCompat.c(builder2, builder.m);
            Notification a2 = builderExtender.a(builder, builder2);
            if (builder.m != null) {
                builder.m.a(a(a2));
            }
            return a2;
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplBase
        public Bundle a(Notification notification) {
            return NotificationCompatJellybean.a(notification);
        }
    }

    static class NotificationCompatImplKitKat extends NotificationCompatImplJellybean {
        NotificationCompatImplKitKat() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplJellybean, android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            NotificationCompatKitKat.Builder builder2 = new NotificationCompatKitKat.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r, builder.k, builder.l, builder.j, builder.n, builder.w, builder.G, builder.y, builder.s, builder.t, builder.u, builder.C, builder.D);
            NotificationCompat.b(builder2, builder.v);
            NotificationCompat.c(builder2, builder.m);
            return builderExtender.a(builder, builder2);
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplJellybean, android.support.v4.app.NotificationCompat.NotificationCompatImplBase
        public Bundle a(Notification notification) {
            return NotificationCompatKitKat.a(notification);
        }
    }

    static class NotificationCompatImplApi20 extends NotificationCompatImplKitKat {
        NotificationCompatImplApi20() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplJellybean, android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImplKitKat, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            NotificationCompatApi20.Builder builder2 = new NotificationCompatApi20.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r, builder.k, builder.l, builder.j, builder.n, builder.w, builder.G, builder.y, builder.s, builder.t, builder.u, builder.C, builder.D);
            NotificationCompat.b(builder2, builder.v);
            NotificationCompat.c(builder2, builder.m);
            Notification a2 = builderExtender.a(builder, builder2);
            if (builder.m != null) {
                builder.m.a(a(a2));
            }
            return a2;
        }
    }

    static class NotificationCompatImplApi21 extends NotificationCompatImplApi20 {
        NotificationCompatImplApi21() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplApi20, android.support.v4.app.NotificationCompat.NotificationCompatImplJellybean, android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImplKitKat, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            NotificationCompatApi21.Builder builder2 = new NotificationCompatApi21.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r, builder.k, builder.l, builder.j, builder.n, builder.w, builder.x, builder.G, builder.y, builder.z, builder.A, builder.B, builder.s, builder.t, builder.u, builder.C, builder.D, builder.E);
            NotificationCompat.b(builder2, builder.v);
            NotificationCompat.c(builder2, builder.m);
            Notification a2 = builderExtender.a(builder, builder2);
            if (builder.m != null) {
                builder.m.a(a(a2));
            }
            return a2;
        }
    }

    static class NotificationCompatImplApi24 extends NotificationCompatImplApi21 {
        NotificationCompatImplApi24() {
        }

        @Override // android.support.v4.app.NotificationCompat.NotificationCompatImplApi21, android.support.v4.app.NotificationCompat.NotificationCompatImplApi20, android.support.v4.app.NotificationCompat.NotificationCompatImplJellybean, android.support.v4.app.NotificationCompat.NotificationCompatImplBase, android.support.v4.app.NotificationCompat.NotificationCompatImplKitKat, android.support.v4.app.NotificationCompat.NotificationCompatImpl
        public Notification a(Builder builder, BuilderExtender builderExtender) {
            NotificationCompatApi24.Builder builder2 = new NotificationCompatApi24.Builder(builder.f124a, builder.F, builder.b, builder.c, builder.h, builder.f, builder.i, builder.d, builder.e, builder.g, builder.p, builder.q, builder.r, builder.k, builder.l, builder.j, builder.n, builder.w, builder.x, builder.G, builder.y, builder.z, builder.A, builder.B, builder.s, builder.t, builder.u, builder.o, builder.C, builder.D, builder.E);
            NotificationCompat.b(builder2, builder.v);
            NotificationCompat.d(builder2, builder.m);
            Notification a2 = builderExtender.a(builder, builder2);
            if (builder.m != null) {
                builder.m.a(a(a2));
            }
            return a2;
        }
    }

    /* access modifiers changed from: private */
    public static void b(NotificationBuilderWithActions notificationBuilderWithActions, ArrayList<Action> arrayList) {
        Iterator<Action> it = arrayList.iterator();
        while (it.hasNext()) {
            notificationBuilderWithActions.a(it.next());
        }
    }

    /* access modifiers changed from: private */
    public static void c(NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor, Style style) {
        if (style == null) {
            return;
        }
        if (style instanceof BigTextStyle) {
            BigTextStyle bigTextStyle = (BigTextStyle) style;
            NotificationCompatJellybean.a(notificationBuilderWithBuilderAccessor, bigTextStyle.d, bigTextStyle.f, bigTextStyle.e, bigTextStyle.f123a);
        } else if (style instanceof InboxStyle) {
            InboxStyle inboxStyle = (InboxStyle) style;
            NotificationCompatJellybean.a(notificationBuilderWithBuilderAccessor, inboxStyle.d, inboxStyle.f, inboxStyle.e, inboxStyle.f127a);
        } else if (style instanceof BigPictureStyle) {
            BigPictureStyle bigPictureStyle = (BigPictureStyle) style;
            NotificationCompatJellybean.a(notificationBuilderWithBuilderAccessor, bigPictureStyle.d, bigPictureStyle.f, bigPictureStyle.e, bigPictureStyle.f122a, bigPictureStyle.b, bigPictureStyle.c);
        } else {
            boolean z = style instanceof MessagingStyle;
        }
    }

    /* access modifiers changed from: private */
    public static void d(NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor, Style style) {
        if (style == null) {
            return;
        }
        if (style instanceof MessagingStyle) {
            MessagingStyle messagingStyle = (MessagingStyle) style;
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            ArrayList arrayList3 = new ArrayList();
            ArrayList arrayList4 = new ArrayList();
            ArrayList arrayList5 = new ArrayList();
            for (MessagingStyle.Message message : messagingStyle.c) {
                arrayList.add(message.a());
                arrayList2.add(Long.valueOf(message.b()));
                arrayList3.add(message.c());
                arrayList4.add(message.d());
                arrayList5.add(message.e());
            }
            NotificationCompatApi24.a(notificationBuilderWithBuilderAccessor, messagingStyle.f128a, messagingStyle.b, arrayList, arrayList2, arrayList3, arrayList4, arrayList5);
            return;
        }
        c(notificationBuilderWithBuilderAccessor, style);
    }

    static {
        if (BuildCompat.a()) {
            f119a = new NotificationCompatImplApi24();
        } else if (Build.VERSION.SDK_INT >= 21) {
            f119a = new NotificationCompatImplApi21();
        } else if (Build.VERSION.SDK_INT >= 20) {
            f119a = new NotificationCompatImplApi20();
        } else if (Build.VERSION.SDK_INT >= 19) {
            f119a = new NotificationCompatImplKitKat();
        } else if (Build.VERSION.SDK_INT >= 16) {
            f119a = new NotificationCompatImplJellybean();
        } else if (Build.VERSION.SDK_INT >= 14) {
            f119a = new NotificationCompatImplIceCreamSandwich();
        } else if (Build.VERSION.SDK_INT >= 11) {
            f119a = new NotificationCompatImplHoneycomb();
        } else if (Build.VERSION.SDK_INT >= 9) {
            f119a = new NotificationCompatImplGingerbread();
        } else {
            f119a = new NotificationCompatImplBase();
        }
    }

    public static class Builder {
        int A = 0;
        Notification B;
        RemoteViews C;
        RemoteViews D;
        RemoteViews E;
        public Notification F = new Notification();
        public ArrayList<String> G;

        /* renamed from: a  reason: collision with root package name */
        public Context f124a;
        public CharSequence b;
        public CharSequence c;
        PendingIntent d;
        PendingIntent e;
        RemoteViews f;
        public Bitmap g;
        public CharSequence h;
        public int i;
        int j;
        boolean k = true;
        public boolean l;
        public Style m;
        public CharSequence n;
        public CharSequence[] o;
        int p;
        int q;
        boolean r;
        String s;
        boolean t;
        String u;
        public ArrayList<Action> v = new ArrayList<>();
        boolean w = false;
        String x;
        Bundle y;
        int z = 0;

        public Builder(Context context) {
            this.f124a = context;
            this.F.when = System.currentTimeMillis();
            this.F.audioStreamType = -1;
            this.j = 0;
            this.G = new ArrayList<>();
        }

        public Builder a(long j2) {
            this.F.when = j2;
            return this;
        }

        public Builder a(int i2) {
            this.F.icon = i2;
            return this;
        }

        public Builder a(CharSequence charSequence) {
            this.b = c(charSequence);
            return this;
        }

        public Builder b(CharSequence charSequence) {
            this.c = c(charSequence);
            return this;
        }

        public Builder a(RemoteViews remoteViews) {
            this.F.contentView = remoteViews;
            return this;
        }

        public Builder a(PendingIntent pendingIntent) {
            this.d = pendingIntent;
            return this;
        }

        public Builder a(Bitmap bitmap) {
            this.g = bitmap;
            return this;
        }

        public Builder a(boolean z2) {
            a(2, z2);
            return this;
        }

        public Builder b(boolean z2) {
            a(16, z2);
            return this;
        }

        private void a(int i2, boolean z2) {
            if (z2) {
                Notification notification = this.F;
                notification.flags = i2 | notification.flags;
                return;
            }
            Notification notification2 = this.F;
            notification2.flags = (~i2) & notification2.flags;
        }

        public Builder b(int i2) {
            this.j = i2;
            return this;
        }

        public Notification a() {
            return NotificationCompat.f119a.a(this, b());
        }

        /* access modifiers changed from: protected */
        public BuilderExtender b() {
            return new BuilderExtender();
        }

        protected static CharSequence c(CharSequence charSequence) {
            return (charSequence != null && charSequence.length() > 5120) ? charSequence.subSequence(0, 5120) : charSequence;
        }
    }

    public static class MessagingStyle extends Style {

        /* renamed from: a  reason: collision with root package name */
        CharSequence f128a;
        CharSequence b;
        List<Message> c = new ArrayList();

        MessagingStyle() {
        }

        @Override // android.support.v4.app.NotificationCompat.Style
        public void a(Bundle bundle) {
            super.a(bundle);
            if (this.f128a != null) {
                bundle.putCharSequence("android.selfDisplayName", this.f128a);
            }
            if (this.b != null) {
                bundle.putCharSequence("android.conversationTitle", this.b);
            }
            if (!this.c.isEmpty()) {
                bundle.putParcelableArray("android.messages", Message.a(this.c));
            }
        }

        public static final class Message {

            /* renamed from: a  reason: collision with root package name */
            private final CharSequence f129a;
            private final long b;
            private final CharSequence c;
            private String d;
            private Uri e;

            public CharSequence a() {
                return this.f129a;
            }

            public long b() {
                return this.b;
            }

            public CharSequence c() {
                return this.c;
            }

            public String d() {
                return this.d;
            }

            public Uri e() {
                return this.e;
            }

            private Bundle f() {
                Bundle bundle = new Bundle();
                if (this.f129a != null) {
                    bundle.putCharSequence("text", this.f129a);
                }
                bundle.putLong("time", this.b);
                if (this.c != null) {
                    bundle.putCharSequence("sender", this.c);
                }
                if (this.d != null) {
                    bundle.putString("type", this.d);
                }
                if (this.e != null) {
                    bundle.putParcelable("uri", this.e);
                }
                return bundle;
            }

            static Bundle[] a(List<Message> list) {
                Bundle[] bundleArr = new Bundle[list.size()];
                int size = list.size();
                for (int i = 0; i < size; i++) {
                    bundleArr[i] = list.get(i).f();
                }
                return bundleArr;
            }
        }
    }

    public static class Action extends NotificationCompatBase.Action {
        public static final NotificationCompatBase.Action.Factory d = new NotificationCompatBase.Action.Factory() {
            /* class android.support.v4.app.NotificationCompat.Action.AnonymousClass1 */
        };

        /* renamed from: a  reason: collision with root package name */
        public int f120a;
        public CharSequence b;
        public PendingIntent c;
        private final Bundle e;
        private final RemoteInput[] f;
        private boolean g;

        public static final class Builder {
        }

        public interface Extender {
        }

        @Override // android.support.v4.app.NotificationCompatBase.Action
        public int a() {
            return this.f120a;
        }

        @Override // android.support.v4.app.NotificationCompatBase.Action
        public CharSequence b() {
            return this.b;
        }

        @Override // android.support.v4.app.NotificationCompatBase.Action
        public PendingIntent c() {
            return this.c;
        }

        @Override // android.support.v4.app.NotificationCompatBase.Action
        public Bundle d() {
            return this.e;
        }

        @Override // android.support.v4.app.NotificationCompatBase.Action
        public boolean e() {
            return this.g;
        }

        /* renamed from: f */
        public RemoteInput[] g() {
            return this.f;
        }

        public static final class WearableExtender implements Extender {

            /* renamed from: a  reason: collision with root package name */
            private int f121a = 1;
            private CharSequence b;
            private CharSequence c;
            private CharSequence d;

            /* renamed from: a */
            public WearableExtender clone() {
                WearableExtender wearableExtender = new WearableExtender();
                wearableExtender.f121a = this.f121a;
                wearableExtender.b = this.b;
                wearableExtender.c = this.c;
                wearableExtender.d = this.d;
                return wearableExtender;
            }
        }
    }

    public static final class WearableExtender implements Extender {

        /* renamed from: a  reason: collision with root package name */
        private ArrayList<Action> f130a = new ArrayList<>();
        private int b = 1;
        private PendingIntent c;
        private ArrayList<Notification> d = new ArrayList<>();
        private Bitmap e;
        private int f;
        private int g = 8388613;
        private int h = -1;
        private int i = 0;
        private int j;
        private int k = 80;
        private int l;
        private String m;

        /* renamed from: a */
        public WearableExtender clone() {
            WearableExtender wearableExtender = new WearableExtender();
            wearableExtender.f130a = new ArrayList<>(this.f130a);
            wearableExtender.b = this.b;
            wearableExtender.c = this.c;
            wearableExtender.d = new ArrayList<>(this.d);
            wearableExtender.e = this.e;
            wearableExtender.f = this.f;
            wearableExtender.g = this.g;
            wearableExtender.h = this.h;
            wearableExtender.i = this.i;
            wearableExtender.j = this.j;
            wearableExtender.k = this.k;
            wearableExtender.l = this.l;
            wearableExtender.m = this.m;
            return wearableExtender;
        }
    }
}
