package android.support.v4.content;

import android.content.Context;
import android.os.Handler;
import android.os.SystemClock;
import android.support.v4.os.OperationCanceledException;
import android.support.v4.util.TimeUtils;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Executor;

public abstract class AsyncTaskLoader<D> extends Loader<D> {

    /* renamed from: a  reason: collision with root package name */
    volatile AsyncTaskLoader<D>.LoadTask f149a;
    volatile AsyncTaskLoader<D>.LoadTask b;
    long c;
    long d;
    Handler e;
    private final Executor f;

    public void a(D d2) {
    }

    public abstract D d();

    public void f() {
    }

    /* access modifiers changed from: package-private */
    public final class LoadTask extends ModernAsyncTask<Void, Void, D> implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        boolean f150a;
        private final CountDownLatch d = new CountDownLatch(1);

        LoadTask() {
        }

        /* access modifiers changed from: protected */
        public D a(Void... voidArr) {
            try {
                return (D) AsyncTaskLoader.this.e();
            } catch (OperationCanceledException e) {
                if (c()) {
                    return null;
                }
                throw e;
            }
        }

        /* access modifiers changed from: protected */
        @Override // android.support.v4.content.ModernAsyncTask
        public void a(D d2) {
            try {
                AsyncTaskLoader.this.b(this, d2);
            } finally {
                this.d.countDown();
            }
        }

        /* access modifiers changed from: protected */
        @Override // android.support.v4.content.ModernAsyncTask
        public void b(D d2) {
            try {
                AsyncTaskLoader.this.a(this, d2);
            } finally {
                this.d.countDown();
            }
        }

        public void run() {
            this.f150a = false;
            AsyncTaskLoader.this.c();
        }
    }

    public AsyncTaskLoader(Context context) {
        this(context, ModernAsyncTask.c);
    }

    private AsyncTaskLoader(Context context, Executor executor) {
        super(context);
        this.d = -10000;
        this.f = executor;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v4.content.Loader
    public void a() {
        super.a();
        r();
        this.f149a = new LoadTask();
        c();
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v4.content.Loader
    public boolean b() {
        if (this.f149a == null) {
            return false;
        }
        if (this.b != null) {
            if (this.f149a.f150a) {
                this.f149a.f150a = false;
                this.e.removeCallbacks(this.f149a);
            }
            this.f149a = null;
            return false;
        } else if (this.f149a.f150a) {
            this.f149a.f150a = false;
            this.e.removeCallbacks(this.f149a);
            this.f149a = null;
            return false;
        } else {
            boolean a2 = this.f149a.a(false);
            if (a2) {
                this.b = this.f149a;
                f();
            }
            this.f149a = null;
            return a2;
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (this.b == null && this.f149a != null) {
            if (this.f149a.f150a) {
                this.f149a.f150a = false;
                this.e.removeCallbacks(this.f149a);
            }
            if (this.c <= 0 || SystemClock.uptimeMillis() >= this.d + this.c) {
                this.f149a.a(this.f, (Object[]) null);
                return;
            }
            this.f149a.f150a = true;
            this.e.postAtTime(this.f149a, this.d + this.c);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(AsyncTaskLoader<D>.LoadTask loadTask, D d2) {
        a((Object) d2);
        if (this.b == loadTask) {
            x();
            this.d = SystemClock.uptimeMillis();
            this.b = null;
            l();
            c();
        }
    }

    /* access modifiers changed from: package-private */
    public void b(AsyncTaskLoader<D>.LoadTask loadTask, D d2) {
        if (this.f149a != loadTask) {
            a(loadTask, d2);
        } else if (o()) {
            a((Object) d2);
        } else {
            w();
            this.d = SystemClock.uptimeMillis();
            this.f149a = null;
            b((Object) d2);
        }
    }

    /* access modifiers changed from: protected */
    public D e() {
        return d();
    }

    public boolean g() {
        return this.b != null;
    }

    @Override // android.support.v4.content.Loader
    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.a(str, fileDescriptor, printWriter, strArr);
        if (this.f149a != null) {
            printWriter.print(str);
            printWriter.print("mTask=");
            printWriter.print(this.f149a);
            printWriter.print(" waiting=");
            printWriter.println(this.f149a.f150a);
        }
        if (this.b != null) {
            printWriter.print(str);
            printWriter.print("mCancellingTask=");
            printWriter.print(this.b);
            printWriter.print(" waiting=");
            printWriter.println(this.b.f150a);
        }
        if (this.c != 0) {
            printWriter.print(str);
            printWriter.print("mUpdateThrottle=");
            TimeUtils.a(this.c, printWriter);
            printWriter.print(" mLastLoadCompleteTime=");
            TimeUtils.a(this.d, SystemClock.uptimeMillis(), printWriter);
            printWriter.println();
        }
    }
}
