package android.support.v4.content;

import android.content.ComponentName;
import android.content.Intent;
import android.os.Build;

public final class IntentCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final IntentCompatImpl f155a;

    interface IntentCompatImpl {
        Intent a(ComponentName componentName);
    }

    static class IntentCompatImplBase implements IntentCompatImpl {
        IntentCompatImplBase() {
        }

        @Override // android.support.v4.content.IntentCompat.IntentCompatImpl
        public Intent a(ComponentName componentName) {
            Intent intent = new Intent("android.intent.action.MAIN");
            intent.setComponent(componentName);
            intent.addCategory("android.intent.category.LAUNCHER");
            return intent;
        }
    }

    static class IntentCompatImplHC extends IntentCompatImplBase {
        IntentCompatImplHC() {
        }

        @Override // android.support.v4.content.IntentCompat.IntentCompatImplBase, android.support.v4.content.IntentCompat.IntentCompatImpl
        public Intent a(ComponentName componentName) {
            return IntentCompatHoneycomb.a(componentName);
        }
    }

    static class IntentCompatImplIcsMr1 extends IntentCompatImplHC {
        IntentCompatImplIcsMr1() {
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 15) {
            f155a = new IntentCompatImplIcsMr1();
        } else if (i >= 11) {
            f155a = new IntentCompatImplHC();
        } else {
            f155a = new IntentCompatImplBase();
        }
    }

    private IntentCompat() {
    }

    public static Intent a(ComponentName componentName) {
        return f155a.a(componentName);
    }
}
