package android.support.v4.content;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.util.Log;
import com.tencent.smtt.sdk.TbsListener;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.FutureTask;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

/* access modifiers changed from: package-private */
public abstract class ModernAsyncTask<Params, Progress, Result> {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadFactory f161a = new ThreadFactory() {
        /* class android.support.v4.content.ModernAsyncTask.AnonymousClass1 */

        /* renamed from: a  reason: collision with root package name */
        private final AtomicInteger f162a = new AtomicInteger(1);

        public Thread newThread(Runnable runnable) {
            return new Thread(runnable, "ModernAsyncTask #" + this.f162a.getAndIncrement());
        }
    };
    private static final BlockingQueue<Runnable> b = new LinkedBlockingQueue(10);
    public static final Executor c = new ThreadPoolExecutor(5, (int) TbsListener.ErrorCode.DOWNLOAD_INTERRUPT, 1, TimeUnit.SECONDS, b, f161a);
    private static InternalHandler d;
    private static volatile Executor e = c;
    private final WorkerRunnable<Params, Result> f = new WorkerRunnable<Params, Result>() {
        /* class android.support.v4.content.ModernAsyncTask.AnonymousClass2 */

        /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: android.support.v4.content.ModernAsyncTask */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.concurrent.Callable
        public Result call() throws Exception {
            ModernAsyncTask.this.i.set(true);
            Process.setThreadPriority(10);
            return (Result) ModernAsyncTask.this.d(ModernAsyncTask.this.a(this.b));
        }
    };
    private final FutureTask<Result> g = new FutureTask<Result>(this.f) {
        /* class android.support.v4.content.ModernAsyncTask.AnonymousClass3 */

        /* access modifiers changed from: protected */
        public void done() {
            try {
                ModernAsyncTask.this.c(get());
            } catch (InterruptedException e) {
                Log.w("AsyncTask", e);
            } catch (ExecutionException e2) {
                throw new RuntimeException("An error occurred while executing doInBackground()", e2.getCause());
            } catch (CancellationException unused) {
                ModernAsyncTask.this.c(null);
            } catch (Throwable th) {
                throw new RuntimeException("An error occurred while executing doInBackground()", th);
            }
        }
    };
    private volatile Status h = Status.PENDING;
    private final AtomicBoolean i = new AtomicBoolean();

    public enum Status {
        PENDING,
        RUNNING,
        FINISHED
    }

    /* access modifiers changed from: protected */
    public abstract Result a(Params... paramsArr);

    /* access modifiers changed from: protected */
    public void a() {
    }

    /* access modifiers changed from: protected */
    public void a(Result result) {
    }

    /* access modifiers changed from: protected */
    public void b() {
    }

    /* access modifiers changed from: protected */
    public void b(Progress... progressArr) {
    }

    private static Handler d() {
        InternalHandler internalHandler;
        synchronized (ModernAsyncTask.class) {
            if (d == null) {
                d = new InternalHandler();
            }
            internalHandler = d;
        }
        return internalHandler;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(Result result) {
        if (!this.i.get()) {
            d(result);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Result d(Result result) {
        d().obtainMessage(1, new AsyncTaskResult(this, result)).sendToTarget();
        return result;
    }

    /* access modifiers changed from: protected */
    public void b(Result result) {
        b();
    }

    public final boolean c() {
        return this.g.isCancelled();
    }

    public final boolean a(boolean z) {
        return this.g.cancel(z);
    }

    public final ModernAsyncTask<Params, Progress, Result> a(Executor executor, Params... paramsArr) {
        if (this.h != Status.PENDING) {
            switch (this.h) {
                case RUNNING:
                    throw new IllegalStateException("Cannot execute task: the task is already running.");
                case FINISHED:
                    throw new IllegalStateException("Cannot execute task: the task has already been executed (a task can be executed only once)");
            }
        }
        this.h = Status.RUNNING;
        a();
        this.f.b = paramsArr;
        executor.execute(this.g);
        return this;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e(Result result) {
        if (c()) {
            b(result);
        } else {
            a((Object) result);
        }
        this.h = Status.FINISHED;
    }

    /* access modifiers changed from: private */
    public static class InternalHandler extends Handler {
        public InternalHandler() {
            super(Looper.getMainLooper());
        }

        public void handleMessage(Message message) {
            AsyncTaskResult asyncTaskResult = (AsyncTaskResult) message.obj;
            switch (message.what) {
                case 1:
                    asyncTaskResult.f166a.e(asyncTaskResult.b[0]);
                    return;
                case 2:
                    asyncTaskResult.f166a.b((Object[]) asyncTaskResult.b);
                    return;
                default:
                    return;
            }
        }
    }

    private static abstract class WorkerRunnable<Params, Result> implements Callable<Result> {
        Params[] b;

        private WorkerRunnable() {
        }
    }

    /* access modifiers changed from: private */
    public static class AsyncTaskResult<Data> {

        /* renamed from: a  reason: collision with root package name */
        final ModernAsyncTask f166a;
        final Data[] b;

        AsyncTaskResult(ModernAsyncTask modernAsyncTask, Data... dataArr) {
            this.f166a = modernAsyncTask;
            this.b = dataArr;
        }
    }
}
