package android.support.v4.content.res;

import android.content.res.Resources;
import android.os.Build;
import android.support.annotation.NonNull;

public final class ConfigurationHelper {

    /* renamed from: a  reason: collision with root package name */
    private static final ConfigurationHelperImpl f170a;

    private interface ConfigurationHelperImpl {
        int a(@NonNull Resources resources);

        int b(@NonNull Resources resources);

        int c(@NonNull Resources resources);
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 17) {
            f170a = new JellybeanMr1Impl();
        } else if (i >= 13) {
            f170a = new HoneycombMr2Impl();
        } else {
            f170a = new DonutImpl();
        }
    }

    private ConfigurationHelper() {
    }

    private static class DonutImpl implements ConfigurationHelperImpl {
        private DonutImpl() {
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int a(@NonNull Resources resources) {
            return ConfigurationHelperDonut.a(resources);
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int b(@NonNull Resources resources) {
            return ConfigurationHelperDonut.b(resources);
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int c(@NonNull Resources resources) {
            return ConfigurationHelperDonut.c(resources);
        }
    }

    private static class HoneycombMr2Impl extends DonutImpl {
        private HoneycombMr2Impl() {
            super();
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.DonutImpl, android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int a(@NonNull Resources resources) {
            return ConfigurationHelperHoneycombMr2.a(resources);
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.DonutImpl, android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int b(@NonNull Resources resources) {
            return ConfigurationHelperHoneycombMr2.b(resources);
        }

        @Override // android.support.v4.content.res.ConfigurationHelper.DonutImpl, android.support.v4.content.res.ConfigurationHelper.ConfigurationHelperImpl
        public int c(@NonNull Resources resources) {
            return ConfigurationHelperHoneycombMr2.c(resources);
        }
    }

    private static class JellybeanMr1Impl extends HoneycombMr2Impl {
        private JellybeanMr1Impl() {
            super();
        }
    }

    public static int a(@NonNull Resources resources) {
        return f170a.a(resources);
    }

    public static int b(@NonNull Resources resources) {
        return f170a.b(resources);
    }

    public static int c(@NonNull Resources resources) {
        return f170a.c(resources);
    }
}
