package android.support.v4.graphics.drawable;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;

public abstract class RoundedBitmapDrawable extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    final Bitmap f177a;
    final Rect b;
    private int c;
    private final Paint d;
    private final BitmapShader e;
    private final Matrix f;
    private float g;
    private final RectF h;
    private boolean i;
    private boolean j;
    private int k;
    private int l;

    private static boolean a(float f2) {
        return f2 > 0.05f;
    }

    public void setFilterBitmap(boolean z) {
        this.d.setFilterBitmap(z);
        invalidateSelf();
    }

    public void setDither(boolean z) {
        this.d.setDither(z);
        invalidateSelf();
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, int i4, Rect rect, Rect rect2) {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public void a() {
        if (this.i) {
            if (this.j) {
                int min = Math.min(this.k, this.l);
                a(this.c, min, min, getBounds(), this.b);
                int min2 = Math.min(this.b.width(), this.b.height());
                this.b.inset(Math.max(0, (this.b.width() - min2) / 2), Math.max(0, (this.b.height() - min2) / 2));
                this.g = ((float) min2) * 0.5f;
            } else {
                a(this.c, this.k, this.l, getBounds(), this.b);
            }
            this.h.set(this.b);
            if (this.e != null) {
                this.f.setTranslate(this.h.left, this.h.top);
                this.f.preScale(this.h.width() / ((float) this.f177a.getWidth()), this.h.height() / ((float) this.f177a.getHeight()));
                this.e.setLocalMatrix(this.f);
                this.d.setShader(this.e);
            }
            this.i = false;
        }
    }

    public void draw(Canvas canvas) {
        Bitmap bitmap = this.f177a;
        if (bitmap != null) {
            a();
            if (this.d.getShader() == null) {
                canvas.drawBitmap(bitmap, (Rect) null, this.b, this.d);
            } else {
                canvas.drawRoundRect(this.h, this.g, this.g, this.d);
            }
        }
    }

    public void setAlpha(int i2) {
        if (i2 != this.d.getAlpha()) {
            this.d.setAlpha(i2);
            invalidateSelf();
        }
    }

    public int getAlpha() {
        return this.d.getAlpha();
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.d.setColorFilter(colorFilter);
        invalidateSelf();
    }

    public ColorFilter getColorFilter() {
        return this.d.getColorFilter();
    }

    private void c() {
        this.g = (float) (Math.min(this.l, this.k) / 2);
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        if (this.j) {
            c();
        }
        this.i = true;
    }

    public float b() {
        return this.g;
    }

    public int getIntrinsicWidth() {
        return this.k;
    }

    public int getIntrinsicHeight() {
        return this.l;
    }

    public int getOpacity() {
        Bitmap bitmap;
        if (this.c != 119 || this.j || (bitmap = this.f177a) == null || bitmap.hasAlpha() || this.d.getAlpha() < 255 || a(this.g)) {
            return -3;
        }
        return -1;
    }
}
