package android.support.v4.hardware.fingerprint;

import android.os.Build;
import android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23;
import java.security.Signature;
import javax.crypto.Cipher;
import javax.crypto.Mac;

public final class FingerprintManagerCompat {

    /* renamed from: a  reason: collision with root package name */
    static final FingerprintManagerCompatImpl f179a;

    public static abstract class AuthenticationCallback {
        public void a() {
        }

        public void a(int i, CharSequence charSequence) {
        }

        public void a(AuthenticationResult authenticationResult) {
        }

        public void b(int i, CharSequence charSequence) {
        }
    }

    private interface FingerprintManagerCompatImpl {
    }

    private static class LegacyFingerprintManagerCompatImpl implements FingerprintManagerCompatImpl {
    }

    static {
        if (Build.VERSION.SDK_INT >= 23) {
            f179a = new Api23FingerprintManagerCompatImpl();
        } else {
            f179a = new LegacyFingerprintManagerCompatImpl();
        }
    }

    public static class CryptoObject {

        /* renamed from: a  reason: collision with root package name */
        private final Signature f182a;
        private final Cipher b;
        private final Mac c;

        public CryptoObject(Signature signature) {
            this.f182a = signature;
            this.b = null;
            this.c = null;
        }

        public CryptoObject(Cipher cipher) {
            this.b = cipher;
            this.f182a = null;
            this.c = null;
        }

        public CryptoObject(Mac mac) {
            this.c = mac;
            this.b = null;
            this.f182a = null;
        }
    }

    public static final class AuthenticationResult {

        /* renamed from: a  reason: collision with root package name */
        private CryptoObject f181a;

        public AuthenticationResult(CryptoObject cryptoObject) {
            this.f181a = cryptoObject;
        }
    }

    private static class Api23FingerprintManagerCompatImpl implements FingerprintManagerCompatImpl {
        /* access modifiers changed from: private */
        public static CryptoObject b(FingerprintManagerCompatApi23.CryptoObject cryptoObject) {
            if (cryptoObject == null) {
                return null;
            }
            if (cryptoObject.b() != null) {
                return new CryptoObject(cryptoObject.b());
            }
            if (cryptoObject.a() != null) {
                return new CryptoObject(cryptoObject.a());
            }
            if (cryptoObject.c() != null) {
                return new CryptoObject(cryptoObject.c());
            }
            return null;
        }

        /* renamed from: android.support.v4.hardware.fingerprint.FingerprintManagerCompat$Api23FingerprintManagerCompatImpl$1  reason: invalid class name */
        static class AnonymousClass1 extends FingerprintManagerCompatApi23.AuthenticationCallback {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ AuthenticationCallback f180a;

            @Override // android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23.AuthenticationCallback
            public void a(int i, CharSequence charSequence) {
                this.f180a.a(i, charSequence);
            }

            @Override // android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23.AuthenticationCallback
            public void b(int i, CharSequence charSequence) {
                this.f180a.b(i, charSequence);
            }

            @Override // android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23.AuthenticationCallback
            public void a(FingerprintManagerCompatApi23.AuthenticationResultInternal authenticationResultInternal) {
                this.f180a.a(new AuthenticationResult(Api23FingerprintManagerCompatImpl.b(authenticationResultInternal.a())));
            }

            @Override // android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23.AuthenticationCallback
            public void a() {
                this.f180a.a();
            }
        }
    }
}
