package android.support.v4.hardware.fingerprint;

import android.hardware.fingerprint.FingerprintManager;
import java.security.Signature;
import javax.crypto.Cipher;
import javax.crypto.Mac;

public final class FingerprintManagerCompatApi23 {

    public static abstract class AuthenticationCallback {
        public void a() {
        }

        public void a(int i, CharSequence charSequence) {
        }

        public void a(AuthenticationResultInternal authenticationResultInternal) {
        }

        public void b(int i, CharSequence charSequence) {
        }
    }

    /* access modifiers changed from: private */
    public static CryptoObject b(FingerprintManager.CryptoObject cryptoObject) {
        if (cryptoObject == null) {
            return null;
        }
        if (cryptoObject.getCipher() != null) {
            return new CryptoObject(cryptoObject.getCipher());
        }
        if (cryptoObject.getSignature() != null) {
            return new CryptoObject(cryptoObject.getSignature());
        }
        if (cryptoObject.getMac() != null) {
            return new CryptoObject(cryptoObject.getMac());
        }
        return null;
    }

    /* renamed from: android.support.v4.hardware.fingerprint.FingerprintManagerCompatApi23$1  reason: invalid class name */
    static class AnonymousClass1 extends FingerprintManager.AuthenticationCallback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AuthenticationCallback f183a;

        public void onAuthenticationError(int i, CharSequence charSequence) {
            this.f183a.a(i, charSequence);
        }

        public void onAuthenticationHelp(int i, CharSequence charSequence) {
            this.f183a.b(i, charSequence);
        }

        public void onAuthenticationSucceeded(FingerprintManager.AuthenticationResult authenticationResult) {
            this.f183a.a(new AuthenticationResultInternal(FingerprintManagerCompatApi23.b(authenticationResult.getCryptoObject())));
        }

        public void onAuthenticationFailed() {
            this.f183a.a();
        }
    }

    public static class CryptoObject {

        /* renamed from: a  reason: collision with root package name */
        private final Signature f185a;
        private final Cipher b;
        private final Mac c;

        public CryptoObject(Signature signature) {
            this.f185a = signature;
            this.b = null;
            this.c = null;
        }

        public CryptoObject(Cipher cipher) {
            this.b = cipher;
            this.f185a = null;
            this.c = null;
        }

        public CryptoObject(Mac mac) {
            this.c = mac;
            this.b = null;
            this.f185a = null;
        }

        public Signature a() {
            return this.f185a;
        }

        public Cipher b() {
            return this.b;
        }

        public Mac c() {
            return this.c;
        }
    }

    public static final class AuthenticationResultInternal {

        /* renamed from: a  reason: collision with root package name */
        private CryptoObject f184a;

        public AuthenticationResultInternal(CryptoObject cryptoObject) {
            this.f184a = cryptoObject;
        }

        public CryptoObject a() {
            return this.f184a;
        }
    }
}
