package android.support.v4.media;

import android.media.browse.MediaBrowser;
import android.os.Bundle;
import android.os.Parcel;
import android.support.annotation.NonNull;
import java.util.ArrayList;
import java.util.List;

class MediaBrowserCompatApi21 {

    interface ConnectionCallback {
        void a();

        void b();

        void c();
    }

    interface SubscriptionCallback {
        void a(@NonNull String str);

        void a(@NonNull String str, List<Parcel> list);
    }

    MediaBrowserCompatApi21() {
    }

    public static Object a(ConnectionCallback connectionCallback) {
        return new ConnectionCallbackProxy(connectionCallback);
    }

    public static Bundle a(Object obj) {
        return ((MediaBrowser) obj).getExtras();
    }

    public static Object a(SubscriptionCallback subscriptionCallback) {
        return new SubscriptionCallbackProxy(subscriptionCallback);
    }

    static class ConnectionCallbackProxy<T extends ConnectionCallback> extends MediaBrowser.ConnectionCallback {

        /* renamed from: a  reason: collision with root package name */
        protected final T f208a;

        public ConnectionCallbackProxy(T t) {
            this.f208a = t;
        }

        public void onConnected() {
            this.f208a.a();
        }

        public void onConnectionSuspended() {
            this.f208a.b();
        }

        public void onConnectionFailed() {
            this.f208a.c();
        }
    }

    static class SubscriptionCallbackProxy<T extends SubscriptionCallback> extends MediaBrowser.SubscriptionCallback {

        /* renamed from: a  reason: collision with root package name */
        protected final T f209a;

        public SubscriptionCallbackProxy(T t) {
            this.f209a = t;
        }

        @Override // android.media.browse.MediaBrowser.SubscriptionCallback
        public void onChildrenLoaded(@NonNull String str, List<MediaBrowser.MediaItem> list) {
            this.f209a.a(str, a(list));
        }

        public void onError(@NonNull String str) {
            this.f209a.a(str);
        }

        static List<Parcel> a(List<MediaBrowser.MediaItem> list) {
            if (list == null) {
                return null;
            }
            if (list.size() == 1 && list.get(0).getMediaId().equals("android.support.v4.media.MediaBrowserCompat.NULL_MEDIA_ITEM")) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (MediaBrowser.MediaItem mediaItem : list) {
                Parcel obtain = Parcel.obtain();
                mediaItem.writeToParcel(obtain, 0);
                arrayList.add(obtain);
            }
            return arrayList;
        }
    }
}
