package android.support.v4.media;

import android.app.Service;
import android.os.Binder;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.RemoteException;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.BundleCompat;
import android.support.v4.media.MediaBrowserCompat;
import android.support.v4.media.MediaBrowserServiceCompatApi21;
import android.support.v4.media.MediaBrowserServiceCompatApi23;
import android.support.v4.media.MediaBrowserServiceCompatApi24;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.os.ResultReceiver;
import android.support.v4.util.ArrayMap;
import android.support.v4.util.Pair;
import android.text.TextUtils;
import android.util.Log;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;

public abstract class MediaBrowserServiceCompat extends Service {
    private static final boolean b = Log.isLoggable("MBServiceCompat", 3);

    /* renamed from: a  reason: collision with root package name */
    MediaSessionCompat.Token f211a;
    private final ArrayMap<IBinder, ConnectionRecord> c = new ArrayMap<>();
    private ConnectionRecord d;
    private final ServiceHandler e = new ServiceHandler();

    interface MediaBrowserServiceImpl {
    }

    /* access modifiers changed from: private */
    public interface ServiceCallbacks {
        IBinder a();

        void a(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException;

        void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle) throws RemoteException;

        void b() throws RemoteException;
    }

    @Nullable
    public abstract BrowserRoot a(@NonNull String str, int i, @Nullable Bundle bundle);

    public abstract void a(@NonNull String str, @NonNull Result<List<MediaBrowserCompat.MediaItem>> result);

    class MediaBrowserServiceImplBase implements MediaBrowserServiceImpl {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ MediaBrowserServiceCompat f221a;

        /* renamed from: android.support.v4.media.MediaBrowserServiceCompat$MediaBrowserServiceImplBase$1  reason: invalid class name */
        class AnonymousClass1 implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionCompat.Token f222a;
            final /* synthetic */ MediaBrowserServiceImplBase b;

            public void run() {
                for (IBinder iBinder : this.b.f221a.c.keySet()) {
                    ConnectionRecord connectionRecord = (ConnectionRecord) this.b.f221a.c.get(iBinder);
                    try {
                        connectionRecord.c.a(connectionRecord.d.a(), this.f222a, connectionRecord.d.b());
                    } catch (RemoteException unused) {
                        Log.w("MBServiceCompat", "Connection for " + connectionRecord.f215a + " is no longer valid.");
                        this.b.f221a.c.remove(iBinder);
                    }
                }
            }
        }

        /* renamed from: android.support.v4.media.MediaBrowserServiceCompat$MediaBrowserServiceImplBase$2  reason: invalid class name */
        class AnonymousClass2 implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ String f223a;
            final /* synthetic */ Bundle b;
            final /* synthetic */ MediaBrowserServiceImplBase c;

            public void run() {
                for (IBinder iBinder : this.c.f221a.c.keySet()) {
                    ConnectionRecord connectionRecord = (ConnectionRecord) this.c.f221a.c.get(iBinder);
                    List<Pair<IBinder, Bundle>> list = connectionRecord.e.get(this.f223a);
                    if (list != null) {
                        for (Pair<IBinder, Bundle> pair : list) {
                            if (MediaBrowserCompatUtils.b(this.b, pair.b)) {
                                this.c.f221a.a((MediaBrowserServiceCompat) this.f223a, (String) connectionRecord, (ConnectionRecord) pair.b);
                            }
                        }
                    }
                }
            }
        }
    }

    class MediaBrowserServiceImplApi21 implements MediaBrowserServiceImpl, MediaBrowserServiceCompatApi21.ServiceCompatProxy {

        /* renamed from: a  reason: collision with root package name */
        Messenger f216a;
        final /* synthetic */ MediaBrowserServiceCompat b;

        /* renamed from: android.support.v4.media.MediaBrowserServiceCompat$MediaBrowserServiceImplApi21$1  reason: invalid class name */
        class AnonymousClass1 implements Runnable {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ String f217a;
            final /* synthetic */ Bundle b;
            final /* synthetic */ MediaBrowserServiceImplApi21 c;

            public void run() {
                for (IBinder iBinder : this.c.b.c.keySet()) {
                    ConnectionRecord connectionRecord = (ConnectionRecord) this.c.b.c.get(iBinder);
                    List<Pair<IBinder, Bundle>> list = connectionRecord.e.get(this.f217a);
                    if (list != null) {
                        for (Pair<IBinder, Bundle> pair : list) {
                            if (MediaBrowserCompatUtils.b(this.b, pair.b)) {
                                this.c.b.a((MediaBrowserServiceCompat) this.f217a, (String) connectionRecord, (ConnectionRecord) pair.b);
                            }
                        }
                    }
                }
            }
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompatApi21.ServiceCompatProxy
        public MediaBrowserServiceCompatApi21.BrowserRoot a(String str, int i, Bundle bundle) {
            Bundle bundle2;
            if (bundle == null || bundle.getInt("extra_client_version", 0) == 0) {
                bundle2 = null;
            } else {
                bundle.remove("extra_client_version");
                this.f216a = new Messenger(this.b.e);
                bundle2 = new Bundle();
                bundle2.putInt("extra_service_version", 1);
                BundleCompat.a(bundle2, "extra_messenger", this.f216a.getBinder());
            }
            BrowserRoot a2 = this.b.a(str, i, bundle);
            if (a2 == null) {
                return null;
            }
            if (bundle2 == null) {
                bundle2 = a2.b();
            } else if (a2.b() != null) {
                bundle2.putAll(a2.b());
            }
            return new MediaBrowserServiceCompatApi21.BrowserRoot(a2.a(), bundle2);
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompatApi21.ServiceCompatProxy
        public void a(String str, final MediaBrowserServiceCompatApi21.ResultWrapper<List<Parcel>> resultWrapper) {
            this.b.a(str, new Result<List<MediaBrowserCompat.MediaItem>>(str) {
                /* class android.support.v4.media.MediaBrowserServiceCompat.MediaBrowserServiceImplApi21.AnonymousClass2 */

                /* access modifiers changed from: package-private */
                public void a(List<MediaBrowserCompat.MediaItem> list, int i) {
                    ArrayList arrayList;
                    if (list != null) {
                        arrayList = new ArrayList();
                        for (MediaBrowserCompat.MediaItem mediaItem : list) {
                            Parcel obtain = Parcel.obtain();
                            mediaItem.writeToParcel(obtain, 0);
                            arrayList.add(obtain);
                        }
                    } else {
                        arrayList = null;
                    }
                    resultWrapper.a((Object) arrayList);
                }
            });
        }
    }

    class MediaBrowserServiceImplApi23 extends MediaBrowserServiceImplApi21 implements MediaBrowserServiceCompatApi23.ServiceCompatProxy {
        final /* synthetic */ MediaBrowserServiceCompat c;

        @Override // android.support.v4.media.MediaBrowserServiceCompatApi23.ServiceCompatProxy
        public void b(String str, final MediaBrowserServiceCompatApi21.ResultWrapper<Parcel> resultWrapper) {
            this.c.b(str, new Result<MediaBrowserCompat.MediaItem>(str) {
                /* class android.support.v4.media.MediaBrowserServiceCompat.MediaBrowserServiceImplApi23.AnonymousClass1 */

                /* access modifiers changed from: package-private */
                public void a(MediaBrowserCompat.MediaItem mediaItem, int i) {
                    Parcel obtain = Parcel.obtain();
                    mediaItem.writeToParcel(obtain, 0);
                    resultWrapper.a(obtain);
                }
            });
        }
    }

    class MediaBrowserServiceImplApi24 extends MediaBrowserServiceImplApi23 implements MediaBrowserServiceCompatApi24.ServiceCompatProxy {
        final /* synthetic */ MediaBrowserServiceCompat d;

        @Override // android.support.v4.media.MediaBrowserServiceCompatApi24.ServiceCompatProxy
        public void a(String str, final MediaBrowserServiceCompatApi24.ResultWrapper resultWrapper, Bundle bundle) {
            this.d.a(str, new Result<List<MediaBrowserCompat.MediaItem>>(str) {
                /* class android.support.v4.media.MediaBrowserServiceCompat.MediaBrowserServiceImplApi24.AnonymousClass1 */

                /* access modifiers changed from: package-private */
                public void a(List<MediaBrowserCompat.MediaItem> list, int i) {
                    ArrayList arrayList;
                    if (list != null) {
                        arrayList = new ArrayList();
                        for (MediaBrowserCompat.MediaItem mediaItem : list) {
                            Parcel obtain = Parcel.obtain();
                            mediaItem.writeToParcel(obtain, 0);
                            arrayList.add(obtain);
                        }
                    } else {
                        arrayList = null;
                    }
                    resultWrapper.a(arrayList, i);
                }
            }, bundle);
        }
    }

    /* access modifiers changed from: private */
    public final class ServiceHandler extends Handler {
        private final ServiceBinderImpl b;

        private ServiceHandler() {
            this.b = new ServiceBinderImpl();
        }

        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    this.b.a(data.getString("data_package_name"), data.getInt("data_calling_uid"), data.getBundle("data_root_hints"), new ServiceCallbacksCompat(message.replyTo));
                    return;
                case 2:
                    this.b.a(new ServiceCallbacksCompat(message.replyTo));
                    return;
                case 3:
                    this.b.a(data.getString("data_media_item_id"), BundleCompat.a(data, "data_callback_token"), data.getBundle("data_options"), new ServiceCallbacksCompat(message.replyTo));
                    return;
                case 4:
                    this.b.a(data.getString("data_media_item_id"), BundleCompat.a(data, "data_callback_token"), new ServiceCallbacksCompat(message.replyTo));
                    return;
                case 5:
                    this.b.a(data.getString("data_media_item_id"), (ResultReceiver) data.getParcelable("data_result_receiver"), new ServiceCallbacksCompat(message.replyTo));
                    return;
                case 6:
                    this.b.a(new ServiceCallbacksCompat(message.replyTo), data.getBundle("data_root_hints"));
                    return;
                case 7:
                    this.b.b(new ServiceCallbacksCompat(message.replyTo));
                    return;
                default:
                    Log.w("MBServiceCompat", "Unhandled message: " + message + "\n  Service version: " + 1 + "\n  Client version: " + message.arg1);
                    return;
            }
        }

        public boolean sendMessageAtTime(Message message, long j) {
            Bundle data = message.getData();
            data.setClassLoader(MediaBrowserCompat.class.getClassLoader());
            data.putInt("data_calling_uid", Binder.getCallingUid());
            return super.sendMessageAtTime(message, j);
        }

        public void a(Runnable runnable) {
            if (Thread.currentThread() == getLooper().getThread()) {
                runnable.run();
            } else {
                post(runnable);
            }
        }
    }

    /* access modifiers changed from: private */
    public class ConnectionRecord {

        /* renamed from: a  reason: collision with root package name */
        String f215a;
        Bundle b;
        ServiceCallbacks c;
        BrowserRoot d;
        HashMap<String, List<Pair<IBinder, Bundle>>> e;

        private ConnectionRecord() {
            this.e = new HashMap<>();
        }
    }

    public static class Result<T> {

        /* renamed from: a  reason: collision with root package name */
        private Object f224a;
        private boolean b;
        private boolean c;
        private int d;

        /* access modifiers changed from: package-private */
        public void a(T t, int i) {
        }

        Result(Object obj) {
            this.f224a = obj;
        }

        public void a(T t) {
            if (!this.c) {
                this.c = true;
                a(t, this.d);
                return;
            }
            throw new IllegalStateException("sendResult() called twice for: " + this.f224a);
        }

        /* access modifiers changed from: package-private */
        public boolean a() {
            return this.b || this.c;
        }

        /* access modifiers changed from: package-private */
        public void a(int i) {
            this.d = i;
        }
    }

    private class ServiceBinderImpl {
        private ServiceBinderImpl() {
        }

        public void a(final String str, final int i, final Bundle bundle, final ServiceCallbacks serviceCallbacks) {
            if (MediaBrowserServiceCompat.this.a((MediaBrowserServiceCompat) str, (String) i)) {
                MediaBrowserServiceCompat.this.e.a(new Runnable() {
                    /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass1 */

                    public void run() {
                        IBinder a2 = serviceCallbacks.a();
                        MediaBrowserServiceCompat.this.c.remove(a2);
                        ConnectionRecord connectionRecord = new ConnectionRecord();
                        connectionRecord.f215a = str;
                        connectionRecord.b = bundle;
                        connectionRecord.c = serviceCallbacks;
                        connectionRecord.d = MediaBrowserServiceCompat.this.a(str, i, bundle);
                        if (connectionRecord.d == null) {
                            Log.i("MBServiceCompat", "No root for client " + str + " from service " + getClass().getName());
                            try {
                                serviceCallbacks.b();
                            } catch (RemoteException unused) {
                                Log.w("MBServiceCompat", "Calling onConnectFailed() failed. Ignoring. pkg=" + str);
                            }
                        } else {
                            try {
                                MediaBrowserServiceCompat.this.c.put(a2, connectionRecord);
                                if (MediaBrowserServiceCompat.this.f211a != null) {
                                    serviceCallbacks.a(connectionRecord.d.a(), MediaBrowserServiceCompat.this.f211a, connectionRecord.d.b());
                                }
                            } catch (RemoteException unused2) {
                                Log.w("MBServiceCompat", "Calling onConnect() failed. Dropping client. pkg=" + str);
                                MediaBrowserServiceCompat.this.c.remove(a2);
                            }
                        }
                    }
                });
                return;
            }
            throw new IllegalArgumentException("Package/uid mismatch: uid=" + i + " package=" + str);
        }

        public void a(final ServiceCallbacks serviceCallbacks) {
            MediaBrowserServiceCompat.this.e.a(new Runnable() {
                /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass2 */

                public void run() {
                    ConnectionRecord connectionRecord = (ConnectionRecord) MediaBrowserServiceCompat.this.c.remove(serviceCallbacks.a());
                }
            });
        }

        public void a(final String str, final IBinder iBinder, final Bundle bundle, final ServiceCallbacks serviceCallbacks) {
            MediaBrowserServiceCompat.this.e.a(new Runnable() {
                /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass3 */

                public void run() {
                    ConnectionRecord connectionRecord = (ConnectionRecord) MediaBrowserServiceCompat.this.c.get(serviceCallbacks.a());
                    if (connectionRecord == null) {
                        Log.w("MBServiceCompat", "addSubscription for callback that isn't registered id=" + str);
                        return;
                    }
                    MediaBrowserServiceCompat.this.a((MediaBrowserServiceCompat) str, (String) connectionRecord, (ConnectionRecord) iBinder, (IBinder) bundle);
                }
            });
        }

        public void a(final String str, final IBinder iBinder, final ServiceCallbacks serviceCallbacks) {
            MediaBrowserServiceCompat.this.e.a(new Runnable() {
                /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass4 */

                public void run() {
                    ConnectionRecord connectionRecord = (ConnectionRecord) MediaBrowserServiceCompat.this.c.get(serviceCallbacks.a());
                    if (connectionRecord == null) {
                        Log.w("MBServiceCompat", "removeSubscription for callback that isn't registered id=" + str);
                    } else if (!MediaBrowserServiceCompat.this.a((MediaBrowserServiceCompat) str, (String) connectionRecord, (ConnectionRecord) iBinder)) {
                        Log.w("MBServiceCompat", "removeSubscription called for " + str + " which is not subscribed");
                    }
                }
            });
        }

        public void a(final String str, final ResultReceiver resultReceiver, final ServiceCallbacks serviceCallbacks) {
            if (!TextUtils.isEmpty(str) && resultReceiver != null) {
                MediaBrowserServiceCompat.this.e.a(new Runnable() {
                    /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass5 */

                    public void run() {
                        ConnectionRecord connectionRecord = (ConnectionRecord) MediaBrowserServiceCompat.this.c.get(serviceCallbacks.a());
                        if (connectionRecord == null) {
                            Log.w("MBServiceCompat", "getMediaItem for callback that isn't registered id=" + str);
                            return;
                        }
                        MediaBrowserServiceCompat.this.a((MediaBrowserServiceCompat) str, (String) connectionRecord, (ConnectionRecord) resultReceiver);
                    }
                });
            }
        }

        public void a(final ServiceCallbacks serviceCallbacks, final Bundle bundle) {
            MediaBrowserServiceCompat.this.e.a(new Runnable() {
                /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass6 */

                public void run() {
                    IBinder a2 = serviceCallbacks.a();
                    MediaBrowserServiceCompat.this.c.remove(a2);
                    ConnectionRecord connectionRecord = new ConnectionRecord();
                    connectionRecord.c = serviceCallbacks;
                    connectionRecord.b = bundle;
                    MediaBrowserServiceCompat.this.c.put(a2, connectionRecord);
                }
            });
        }

        public void b(final ServiceCallbacks serviceCallbacks) {
            MediaBrowserServiceCompat.this.e.a(new Runnable() {
                /* class android.support.v4.media.MediaBrowserServiceCompat.ServiceBinderImpl.AnonymousClass7 */

                public void run() {
                    MediaBrowserServiceCompat.this.c.remove(serviceCallbacks.a());
                }
            });
        }
    }

    private class ServiceCallbacksCompat implements ServiceCallbacks {

        /* renamed from: a  reason: collision with root package name */
        final Messenger f233a;

        ServiceCallbacksCompat(Messenger messenger) {
            this.f233a = messenger;
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompat.ServiceCallbacks
        public IBinder a() {
            return this.f233a.getBinder();
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void a(String str, MediaSessionCompat.Token token, Bundle bundle) throws RemoteException {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putInt("extra_service_version", 1);
            Bundle bundle2 = new Bundle();
            bundle2.putString("data_media_item_id", str);
            bundle2.putParcelable("data_media_session_token", token);
            bundle2.putBundle("data_root_hints", bundle);
            a(1, bundle2);
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void b() throws RemoteException {
            a(2, null);
        }

        @Override // android.support.v4.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void a(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle) throws RemoteException {
            Bundle bundle2 = new Bundle();
            bundle2.putString("data_media_item_id", str);
            bundle2.putBundle("data_options", bundle);
            if (list != null) {
                bundle2.putParcelableArrayList("data_media_item_list", list instanceof ArrayList ? (ArrayList) list : new ArrayList<>(list));
            }
            a(3, bundle2);
        }

        private void a(int i, Bundle bundle) throws RemoteException {
            Message obtain = Message.obtain();
            obtain.what = i;
            obtain.arg1 = 1;
            obtain.setData(bundle);
            this.f233a.send(obtain);
        }
    }

    public void a(@NonNull String str, @NonNull Result<List<MediaBrowserCompat.MediaItem>> result, @NonNull Bundle bundle) {
        result.a(1);
        a(str, result);
    }

    public void b(String str, Result<MediaBrowserCompat.MediaItem> result) {
        result.a((MediaBrowserCompat.MediaItem) null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(String str, int i) {
        if (str == null) {
            return false;
        }
        for (String str2 : getPackageManager().getPackagesForUid(i)) {
            if (str2.equals(str)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str, ConnectionRecord connectionRecord, IBinder iBinder, Bundle bundle) {
        List<Pair<IBinder, Bundle>> list = connectionRecord.e.get(str);
        if (list == null) {
            list = new ArrayList<>();
        }
        for (Pair<IBinder, Bundle> pair : list) {
            if (iBinder == pair.f335a && MediaBrowserCompatUtils.a(bundle, pair.b)) {
                return;
            }
        }
        list.add(new Pair<>(iBinder, bundle));
        connectionRecord.e.put(str, list);
        a(str, connectionRecord, bundle);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(String str, ConnectionRecord connectionRecord, IBinder iBinder) {
        boolean z = false;
        if (iBinder == null) {
            return connectionRecord.e.remove(str) != null;
        }
        List<Pair<IBinder, Bundle>> list = connectionRecord.e.get(str);
        if (list != null) {
            for (Pair<IBinder, Bundle> pair : list) {
                if (iBinder == pair.f335a) {
                    list.remove(pair);
                    z = true;
                }
            }
            if (list.size() == 0) {
                connectionRecord.e.remove(str);
            }
        }
        return z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(final String str, final ConnectionRecord connectionRecord, final Bundle bundle) {
        AnonymousClass1 r6 = new Result<List<MediaBrowserCompat.MediaItem>>(str) {
            /* class android.support.v4.media.MediaBrowserServiceCompat.AnonymousClass1 */

            /* access modifiers changed from: package-private */
            public void a(List<MediaBrowserCompat.MediaItem> list, int i) {
                if (MediaBrowserServiceCompat.this.c.get(connectionRecord.c.a()) == connectionRecord) {
                    if ((i & 1) != 0) {
                        list = MediaBrowserServiceCompat.this.a((MediaBrowserServiceCompat) list, (List) bundle);
                    }
                    try {
                        connectionRecord.c.a(str, list, bundle);
                    } catch (RemoteException unused) {
                        Log.w("MBServiceCompat", "Calling onLoadChildren() failed for id=" + str + " package=" + connectionRecord.f215a);
                    }
                } else if (MediaBrowserServiceCompat.b) {
                    Log.d("MBServiceCompat", "Not sending onLoadChildren result for connection that has been disconnected. pkg=" + connectionRecord.f215a + " id=" + str);
                }
            }
        };
        this.d = connectionRecord;
        if (bundle == null) {
            a(str, r6);
        } else {
            a(str, r6, bundle);
        }
        this.d = null;
        if (!r6.a()) {
            throw new IllegalStateException("onLoadChildren must call detach() or sendResult() before returning for package=" + connectionRecord.f215a + " id=" + str);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private List<MediaBrowserCompat.MediaItem> a(List<MediaBrowserCompat.MediaItem> list, Bundle bundle) {
        if (list == null) {
            return null;
        }
        int i = bundle.getInt("android.media.browse.extra.PAGE", -1);
        int i2 = bundle.getInt("android.media.browse.extra.PAGE_SIZE", -1);
        if (i == -1 && i2 == -1) {
            return list;
        }
        int i3 = i2 * i;
        int i4 = i3 + i2;
        if (i < 0 || i2 < 1 || i3 >= list.size()) {
            return Collections.EMPTY_LIST;
        }
        if (i4 > list.size()) {
            i4 = list.size();
        }
        return list.subList(i3, i4);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(String str, ConnectionRecord connectionRecord, final ResultReceiver resultReceiver) {
        AnonymousClass2 r0 = new Result<MediaBrowserCompat.MediaItem>(str) {
            /* class android.support.v4.media.MediaBrowserServiceCompat.AnonymousClass2 */

            /* access modifiers changed from: package-private */
            public void a(MediaBrowserCompat.MediaItem mediaItem, int i) {
                Bundle bundle = new Bundle();
                bundle.putParcelable("media_item", mediaItem);
                resultReceiver.b(0, bundle);
            }
        };
        this.d = connectionRecord;
        b(str, r0);
        this.d = null;
        if (!r0.a()) {
            throw new IllegalStateException("onLoadItem must call detach() or sendResult() before returning for id=" + str);
        }
    }

    public static final class BrowserRoot {

        /* renamed from: a  reason: collision with root package name */
        private final String f214a;
        private final Bundle b;

        public String a() {
            return this.f214a;
        }

        public Bundle b() {
            return this.b;
        }
    }
}
