package android.support.v4.media;

import android.media.browse.MediaBrowser;
import android.os.Bundle;
import android.os.Parcel;
import android.service.media.MediaBrowserService;
import java.util.ArrayList;
import java.util.List;

class MediaBrowserServiceCompatApi21 {

    public interface ServiceCompatProxy {
        BrowserRoot a(String str, int i, Bundle bundle);

        void a(String str, ResultWrapper<List<Parcel>> resultWrapper);
    }

    MediaBrowserServiceCompatApi21() {
    }

    static class ResultWrapper<T> {

        /* renamed from: a  reason: collision with root package name */
        MediaBrowserService.Result f237a;

        ResultWrapper(MediaBrowserService.Result result) {
            this.f237a = result;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX DEBUG: Multi-variable search result rejected for r0v3, resolved type: android.service.media.MediaBrowserService$Result */
        /* JADX WARN: Multi-variable type inference failed */
        public void a(T t) {
            if (t instanceof List) {
                this.f237a.sendResult(a((List<Parcel>) t));
            } else if (t instanceof Parcel) {
                this.f237a.sendResult(MediaBrowser.MediaItem.CREATOR.createFromParcel(t));
            }
        }

        /* access modifiers changed from: package-private */
        public List<MediaBrowser.MediaItem> a(List<Parcel> list) {
            if (list == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (Parcel parcel : list) {
                parcel.setDataPosition(0);
                arrayList.add(MediaBrowser.MediaItem.CREATOR.createFromParcel(parcel));
                parcel.recycle();
            }
            return arrayList;
        }
    }

    static class BrowserRoot {

        /* renamed from: a  reason: collision with root package name */
        final String f235a;
        final Bundle b;

        BrowserRoot(String str, Bundle bundle) {
            this.f235a = str;
            this.b = bundle;
        }
    }

    static class MediaBrowserServiceAdaptor extends MediaBrowserService {

        /* renamed from: a  reason: collision with root package name */
        final ServiceCompatProxy f236a;

        public MediaBrowserService.BrowserRoot onGetRoot(String str, int i, Bundle bundle) {
            BrowserRoot a2 = this.f236a.a(str, i, bundle);
            if (a2 == null) {
                return null;
            }
            return new MediaBrowserService.BrowserRoot(a2.f235a, a2.b);
        }

        @Override // android.service.media.MediaBrowserService
        public void onLoadChildren(String str, MediaBrowserService.Result<List<MediaBrowser.MediaItem>> result) {
            this.f236a.a(str, new ResultWrapper<>(result));
        }
    }
}
