package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.Nullable;
import android.support.v4.media.MediaDescriptionCompatApi21;
import android.support.v4.media.MediaDescriptionCompatApi23;
import android.text.TextUtils;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Parcelable.Creator<MediaDescriptionCompat> CREATOR = new Parcelable.Creator<MediaDescriptionCompat>() {
        /* class android.support.v4.media.MediaDescriptionCompat.AnonymousClass1 */

        /* renamed from: a */
        public MediaDescriptionCompat createFromParcel(Parcel parcel) {
            if (Build.VERSION.SDK_INT < 21) {
                return new MediaDescriptionCompat(parcel);
            }
            return MediaDescriptionCompat.a(MediaDescriptionCompatApi21.a(parcel));
        }

        /* renamed from: a */
        public MediaDescriptionCompat[] newArray(int i) {
            return new MediaDescriptionCompat[i];
        }
    };

    /* renamed from: a  reason: collision with root package name */
    private final String f240a;
    private final CharSequence b;
    private final CharSequence c;
    private final CharSequence d;
    private final Bitmap e;
    private final Uri f;
    private final Bundle g;
    private final Uri h;
    private Object i;

    public int describeContents() {
        return 0;
    }

    private MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.f240a = str;
        this.b = charSequence;
        this.c = charSequence2;
        this.d = charSequence3;
        this.e = bitmap;
        this.f = uri;
        this.g = bundle;
        this.h = uri2;
    }

    private MediaDescriptionCompat(Parcel parcel) {
        this.f240a = parcel.readString();
        this.b = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.c = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.d = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.e = (Bitmap) parcel.readParcelable(null);
        this.f = (Uri) parcel.readParcelable(null);
        this.g = parcel.readBundle();
        this.h = (Uri) parcel.readParcelable(null);
    }

    public void writeToParcel(Parcel parcel, int i2) {
        if (Build.VERSION.SDK_INT < 21) {
            parcel.writeString(this.f240a);
            TextUtils.writeToParcel(this.b, parcel, i2);
            TextUtils.writeToParcel(this.c, parcel, i2);
            TextUtils.writeToParcel(this.d, parcel, i2);
            parcel.writeParcelable(this.e, i2);
            parcel.writeParcelable(this.f, i2);
            parcel.writeBundle(this.g);
            parcel.writeParcelable(this.h, i2);
            return;
        }
        MediaDescriptionCompatApi21.a(a(), parcel, i2);
    }

    public String toString() {
        return ((Object) this.b) + ", " + ((Object) this.c) + ", " + ((Object) this.d);
    }

    public Object a() {
        if (this.i != null || Build.VERSION.SDK_INT < 21) {
            return this.i;
        }
        Object a2 = MediaDescriptionCompatApi21.Builder.a();
        MediaDescriptionCompatApi21.Builder.a(a2, this.f240a);
        MediaDescriptionCompatApi21.Builder.a(a2, this.b);
        MediaDescriptionCompatApi21.Builder.b(a2, this.c);
        MediaDescriptionCompatApi21.Builder.c(a2, this.d);
        MediaDescriptionCompatApi21.Builder.a(a2, this.e);
        MediaDescriptionCompatApi21.Builder.a(a2, this.f);
        Bundle bundle = this.g;
        if (Build.VERSION.SDK_INT < 23 && this.h != null) {
            if (bundle == null) {
                bundle = new Bundle();
                bundle.putBoolean("android.support.v4.media.description.NULL_BUNDLE_FLAG", true);
            }
            bundle.putParcelable("android.support.v4.media.description.MEDIA_URI", this.h);
        }
        MediaDescriptionCompatApi21.Builder.a(a2, bundle);
        if (Build.VERSION.SDK_INT >= 23) {
            MediaDescriptionCompatApi23.Builder.b(a2, this.h);
        }
        this.i = MediaDescriptionCompatApi21.Builder.a(a2);
        return this.i;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x006c  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0070  */
    public static MediaDescriptionCompat a(Object obj) {
        Uri uri;
        Bundle bundle = null;
        if (obj == null || Build.VERSION.SDK_INT < 21) {
            return null;
        }
        Builder builder = new Builder();
        builder.a(MediaDescriptionCompatApi21.a(obj));
        builder.a(MediaDescriptionCompatApi21.b(obj));
        builder.b(MediaDescriptionCompatApi21.c(obj));
        builder.c(MediaDescriptionCompatApi21.d(obj));
        builder.a(MediaDescriptionCompatApi21.e(obj));
        builder.a(MediaDescriptionCompatApi21.f(obj));
        Bundle g2 = MediaDescriptionCompatApi21.g(obj);
        if (g2 == null) {
            uri = null;
        } else {
            uri = (Uri) g2.getParcelable("android.support.v4.media.description.MEDIA_URI");
        }
        if (uri != null) {
            if (!g2.containsKey("android.support.v4.media.description.NULL_BUNDLE_FLAG") || g2.size() != 2) {
                g2.remove("android.support.v4.media.description.MEDIA_URI");
                g2.remove("android.support.v4.media.description.NULL_BUNDLE_FLAG");
            }
            builder.a(bundle);
            if (uri == null) {
                builder.b(uri);
            } else if (Build.VERSION.SDK_INT >= 23) {
                builder.b(MediaDescriptionCompatApi23.h(obj));
            }
            MediaDescriptionCompat a2 = builder.a();
            a2.i = obj;
            return a2;
        }
        bundle = g2;
        builder.a(bundle);
        if (uri == null) {
        }
        MediaDescriptionCompat a22 = builder.a();
        a22.i = obj;
        return a22;
    }

    public static final class Builder {

        /* renamed from: a  reason: collision with root package name */
        private String f241a;
        private CharSequence b;
        private CharSequence c;
        private CharSequence d;
        private Bitmap e;
        private Uri f;
        private Bundle g;
        private Uri h;

        public Builder a(@Nullable String str) {
            this.f241a = str;
            return this;
        }

        public Builder a(@Nullable CharSequence charSequence) {
            this.b = charSequence;
            return this;
        }

        public Builder b(@Nullable CharSequence charSequence) {
            this.c = charSequence;
            return this;
        }

        public Builder c(@Nullable CharSequence charSequence) {
            this.d = charSequence;
            return this;
        }

        public Builder a(@Nullable Bitmap bitmap) {
            this.e = bitmap;
            return this;
        }

        public Builder a(@Nullable Uri uri) {
            this.f = uri;
            return this;
        }

        public Builder a(@Nullable Bundle bundle) {
            this.g = bundle;
            return this;
        }

        public Builder b(@Nullable Uri uri) {
            this.h = uri;
            return this;
        }

        public MediaDescriptionCompat a() {
            return new MediaDescriptionCompat(this.f241a, this.b, this.c, this.d, this.e, this.f, this.g, this.h);
        }
    }
}
