package android.support.v4.media;

import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class RatingCompat implements Parcelable {
    public static final Parcelable.Creator<RatingCompat> CREATOR = new Parcelable.Creator<RatingCompat>() {
        /* class android.support.v4.media.RatingCompat.AnonymousClass1 */

        /* renamed from: a */
        public RatingCompat createFromParcel(Parcel parcel) {
            return new RatingCompat(parcel.readInt(), parcel.readFloat());
        }

        /* renamed from: a */
        public RatingCompat[] newArray(int i) {
            return new RatingCompat[i];
        }
    };

    /* renamed from: a  reason: collision with root package name */
    private final int f245a;
    private final float b;
    private Object c;

    @Retention(RetentionPolicy.SOURCE)
    public @interface StarStyle {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface Style {
    }

    private RatingCompat(int i, float f) {
        this.f245a = i;
        this.b = f;
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append("Rating:style=");
        sb.append(this.f245a);
        sb.append(" rating=");
        if (this.b < 0.0f) {
            str = "unrated";
        } else {
            str = String.valueOf(this.b);
        }
        sb.append(str);
        return sb.toString();
    }

    public int describeContents() {
        return this.f245a;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.f245a);
        parcel.writeFloat(this.b);
    }

    public static RatingCompat a(int i) {
        switch (i) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                return new RatingCompat(i, -1.0f);
            default:
                return null;
        }
    }

    public static RatingCompat a(boolean z) {
        return new RatingCompat(1, z ? 1.0f : 0.0f);
    }

    public static RatingCompat b(boolean z) {
        return new RatingCompat(2, z ? 1.0f : 0.0f);
    }

    public static RatingCompat a(int i, float f) {
        float f2;
        switch (i) {
            case 3:
                f2 = 3.0f;
                break;
            case 4:
                f2 = 4.0f;
                break;
            case 5:
                f2 = 5.0f;
                break;
            default:
                Log.e("Rating", "Invalid rating style (" + i + ") for a star rating");
                return null;
        }
        if (f >= 0.0f && f <= f2) {
            return new RatingCompat(i, f);
        }
        Log.e("Rating", "Trying to set out of range star-based rating");
        return null;
    }

    public static RatingCompat a(float f) {
        if (f >= 0.0f && f <= 100.0f) {
            return new RatingCompat(6, f);
        }
        Log.e("Rating", "Invalid percentage-based rating value");
        return null;
    }

    public static RatingCompat a(Object obj) {
        RatingCompat ratingCompat;
        if (obj == null || Build.VERSION.SDK_INT < 19) {
            return null;
        }
        int b2 = RatingCompatKitkat.b(obj);
        if (RatingCompatKitkat.a(obj)) {
            switch (b2) {
                case 1:
                    ratingCompat = a(RatingCompatKitkat.c(obj));
                    break;
                case 2:
                    ratingCompat = b(RatingCompatKitkat.d(obj));
                    break;
                case 3:
                case 4:
                case 5:
                    ratingCompat = a(b2, RatingCompatKitkat.e(obj));
                    break;
                case 6:
                    ratingCompat = a(RatingCompatKitkat.f(obj));
                    break;
                default:
                    return null;
            }
        } else {
            ratingCompat = a(b2);
        }
        ratingCompat.c = obj;
        return ratingCompat;
    }
}
