package android.support.v4.media.session;

import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.RemoteException;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.session.IMediaControllerCallback;
import android.support.v4.media.session.MediaControllerCompatApi21;
import android.support.v4.media.session.MediaSessionCompat;
import java.util.List;

public final class MediaControllerCompat {

    /* renamed from: a  reason: collision with root package name */
    private final MediaControllerImpl f261a;

    /* access modifiers changed from: package-private */
    public interface MediaControllerImpl {
        Object a();
    }

    static class MediaControllerImplApi23 extends MediaControllerImplApi21 {
    }

    static class MediaControllerImplApi24 extends MediaControllerImplApi23 {
    }

    static class MediaControllerImplBase implements MediaControllerImpl {
        @Override // android.support.v4.media.session.MediaControllerCompat.MediaControllerImpl
        public Object a() {
            return null;
        }
    }

    static class TransportControlsApi21 extends TransportControls {
    }

    static class TransportControlsApi23 extends TransportControlsApi21 {
    }

    static class TransportControlsApi24 extends TransportControlsApi23 {
    }

    static class TransportControlsBase extends TransportControls {
    }

    public Object a() {
        return this.f261a.a();
    }

    public static abstract class Callback implements IBinder.DeathRecipient {

        /* renamed from: a  reason: collision with root package name */
        private final Object f262a;
        private MessageHandler b;
        private boolean c = false;

        public void a() {
        }

        public void a(Bundle bundle) {
        }

        public void a(MediaMetadataCompat mediaMetadataCompat) {
        }

        public void a(PlaybackInfo playbackInfo) {
        }

        public void a(PlaybackStateCompat playbackStateCompat) {
        }

        public void a(CharSequence charSequence) {
        }

        public void a(String str, Bundle bundle) {
        }

        public void a(List<MediaSessionCompat.QueueItem> list) {
        }

        public Callback() {
            if (Build.VERSION.SDK_INT >= 21) {
                this.f262a = MediaControllerCompatApi21.a(new StubApi21());
            } else {
                this.f262a = new StubCompat();
            }
        }

        private class StubApi21 implements MediaControllerCompatApi21.Callback {
            private StubApi21() {
            }

            @Override // android.support.v4.media.session.MediaControllerCompatApi21.Callback
            public void a() {
                Callback.this.a();
            }

            @Override // android.support.v4.media.session.MediaControllerCompatApi21.Callback
            public void a(String str, Bundle bundle) {
                Callback.this.a(str, bundle);
            }

            @Override // android.support.v4.media.session.MediaControllerCompatApi21.Callback
            public void a(Object obj) {
                Callback.this.a(PlaybackStateCompat.a(obj));
            }

            @Override // android.support.v4.media.session.MediaControllerCompatApi21.Callback
            public void b(Object obj) {
                Callback.this.a(MediaMetadataCompat.a(obj));
            }
        }

        private class StubCompat extends IMediaControllerCallback.Stub {
            private StubCompat() {
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(String str, Bundle bundle) throws RemoteException {
                Callback.this.b.a(1, str, bundle);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a() throws RemoteException {
                Callback.this.b.a(8, null, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(PlaybackStateCompat playbackStateCompat) throws RemoteException {
                Callback.this.b.a(2, playbackStateCompat, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(MediaMetadataCompat mediaMetadataCompat) throws RemoteException {
                Callback.this.b.a(3, mediaMetadataCompat, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(List<MediaSessionCompat.QueueItem> list) throws RemoteException {
                Callback.this.b.a(5, list, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(CharSequence charSequence) throws RemoteException {
                Callback.this.b.a(6, charSequence, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(Bundle bundle) throws RemoteException {
                Callback.this.b.a(7, bundle, null);
            }

            @Override // android.support.v4.media.session.IMediaControllerCallback
            public void a(ParcelableVolumeInfo parcelableVolumeInfo) throws RemoteException {
                Callback.this.b.a(4, parcelableVolumeInfo != null ? new PlaybackInfo(parcelableVolumeInfo.f283a, parcelableVolumeInfo.b, parcelableVolumeInfo.c, parcelableVolumeInfo.d, parcelableVolumeInfo.e) : null, null);
            }
        }

        /* access modifiers changed from: private */
        public class MessageHandler extends Handler {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Callback f263a;

            public void handleMessage(Message message) {
                if (this.f263a.c) {
                    switch (message.what) {
                        case 1:
                            this.f263a.a((String) message.obj, message.getData());
                            return;
                        case 2:
                            this.f263a.a((PlaybackStateCompat) message.obj);
                            return;
                        case 3:
                            this.f263a.a((MediaMetadataCompat) message.obj);
                            return;
                        case 4:
                            this.f263a.a((PlaybackInfo) message.obj);
                            return;
                        case 5:
                            this.f263a.a((List) message.obj);
                            return;
                        case 6:
                            this.f263a.a((CharSequence) message.obj);
                            return;
                        case 7:
                            this.f263a.a((Bundle) message.obj);
                            return;
                        case 8:
                            this.f263a.a();
                            return;
                        default:
                            return;
                    }
                }
            }

            public void a(int i, Object obj, Bundle bundle) {
                Message obtainMessage = obtainMessage(i, obj);
                obtainMessage.setData(bundle);
                obtainMessage.sendToTarget();
            }
        }
    }

    public static abstract class TransportControls {
        TransportControls() {
        }
    }

    public static final class PlaybackInfo {

        /* renamed from: a  reason: collision with root package name */
        private final int f267a;
        private final int b;
        private final int c;
        private final int d;
        private final int e;

        PlaybackInfo(int i, int i2, int i3, int i4, int i5) {
            this.f267a = i;
            this.b = i2;
            this.c = i3;
            this.d = i4;
            this.e = i5;
        }
    }

    static class MediaControllerImplApi21 implements MediaControllerImpl {

        /* renamed from: a  reason: collision with root package name */
        protected final Object f266a;

        @Override // android.support.v4.media.session.MediaControllerCompat.MediaControllerImpl
        public Object a() {
            return this.f266a;
        }
    }
}
