package android.support.v4.media.session;

import android.app.PendingIntent;
import android.content.Intent;
import android.media.AudioManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteCallbackList;
import android.os.RemoteException;
import android.os.ResultReceiver;
import android.os.SystemClock;
import android.support.v4.media.MediaDescriptionCompat;
import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.RatingCompat;
import android.support.v4.media.VolumeProviderCompat;
import android.support.v4.media.session.IMediaSession;
import android.support.v4.media.session.MediaSessionCompatApi19;
import android.support.v4.media.session.MediaSessionCompatApi21;
import android.support.v4.media.session.MediaSessionCompatApi23;
import android.support.v4.media.session.MediaSessionCompatApi24;
import android.support.v4.media.session.PlaybackStateCompat;
import android.view.KeyEvent;
import com.tencent.smtt.sdk.TbsListener;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.List;

public class MediaSessionCompat {

    interface MediaSessionImpl {
    }

    static class MediaSessionImplApi21 implements MediaSessionImpl {
    }

    public interface OnActiveChangeListener {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface SessionFlags {
    }

    public static abstract class Callback {

        /* renamed from: a  reason: collision with root package name */
        final Object f269a;

        public void a() {
        }

        public void a(long j) {
        }

        public void a(Uri uri, Bundle bundle) {
        }

        public void a(RatingCompat ratingCompat) {
        }

        public void a(String str, Bundle bundle) {
        }

        public void a(String str, Bundle bundle, ResultReceiver resultReceiver) {
        }

        public boolean a(Intent intent) {
            return false;
        }

        public void b() {
        }

        public void b(long j) {
        }

        public void b(Uri uri, Bundle bundle) {
        }

        public void b(String str, Bundle bundle) {
        }

        public void c() {
        }

        public void c(String str, Bundle bundle) {
        }

        public void d() {
        }

        public void d(String str, Bundle bundle) {
        }

        public void e() {
        }

        public void e(String str, Bundle bundle) {
        }

        public void f() {
        }

        public void g() {
        }

        public void h() {
        }

        public Callback() {
            if (Build.VERSION.SDK_INT >= 24) {
                this.f269a = MediaSessionCompatApi24.a(new StubApi24());
            } else if (Build.VERSION.SDK_INT >= 23) {
                this.f269a = MediaSessionCompatApi23.a(new StubApi23());
            } else if (Build.VERSION.SDK_INT >= 21) {
                this.f269a = MediaSessionCompatApi21.a(new StubApi21());
            } else {
                this.f269a = null;
            }
        }

        private class StubApi21 implements MediaSessionCompatApi21.Callback {
            private StubApi21() {
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void a(String str, Bundle bundle, ResultReceiver resultReceiver) {
                Callback.this.a(str, bundle, resultReceiver);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public boolean a(Intent intent) {
                return Callback.this.a(intent);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void a() {
                Callback.this.b();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void a(String str, Bundle bundle) {
                Callback.this.c(str, bundle);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void b(String str, Bundle bundle) {
                Callback.this.d(str, bundle);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void a(long j) {
                Callback.this.a(j);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void b() {
                Callback.this.c();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void c() {
                Callback.this.d();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void d() {
                Callback.this.e();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void e() {
                Callback.this.f();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void f() {
                Callback.this.g();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void g() {
                Callback.this.h();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi18.Callback
            public void b(long j) {
                Callback.this.b(j);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi19.Callback
            public void a(Object obj) {
                Callback.this.a(RatingCompat.a(obj));
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi21.Callback
            public void c(String str, Bundle bundle) {
                if (str.equals("android.support.v4.media.session.action.PLAY_FROM_URI")) {
                    Callback.this.b((Uri) bundle.getParcelable("android.support.v4.media.session.action.ARGUMENT_URI"), (Bundle) bundle.getParcelable("android.support.v4.media.session.action.ARGUMENT_EXTRAS"));
                } else if (str.equals("android.support.v4.media.session.action.PREPARE")) {
                    Callback.this.a();
                } else if (str.equals("android.support.v4.media.session.action.PREPARE_FROM_MEDIA_ID")) {
                    Callback.this.a(bundle.getString("android.support.v4.media.session.action.ARGUMENT_MEDIA_ID"), bundle.getBundle("android.support.v4.media.session.action.ARGUMENT_EXTRAS"));
                } else if (str.equals("android.support.v4.media.session.action.PREPARE_FROM_SEARCH")) {
                    Callback.this.b(bundle.getString("android.support.v4.media.session.action.ARGUMENT_QUERY"), bundle.getBundle("android.support.v4.media.session.action.ARGUMENT_EXTRAS"));
                } else if (str.equals("android.support.v4.media.session.action.PREPARE_FROM_URI")) {
                    Bundle bundle2 = bundle.getBundle("android.support.v4.media.session.action.ARGUMENT_EXTRAS");
                    Callback.this.a((Uri) bundle.getParcelable("android.support.v4.media.session.action.ARGUMENT_URI"), bundle2);
                } else {
                    Callback.this.e(str, bundle);
                }
            }
        }

        private class StubApi23 extends StubApi21 implements MediaSessionCompatApi23.Callback {
            private StubApi23() {
                super();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi23.Callback
            public void a(Uri uri, Bundle bundle) {
                Callback.this.b(uri, bundle);
            }
        }

        private class StubApi24 extends StubApi23 implements MediaSessionCompatApi24.Callback {
            private StubApi24() {
                super();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi24.Callback
            public void h() {
                Callback.this.a();
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi24.Callback
            public void d(String str, Bundle bundle) {
                Callback.this.a(str, bundle);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi24.Callback
            public void e(String str, Bundle bundle) {
                Callback.this.b(str, bundle);
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi24.Callback
            public void b(Uri uri, Bundle bundle) {
                Callback.this.a(uri, bundle);
            }
        }
    }

    public static final class Token implements Parcelable {
        public static final Parcelable.Creator<Token> CREATOR = new Parcelable.Creator<Token>() {
            /* class android.support.v4.media.session.MediaSessionCompat.Token.AnonymousClass1 */

            /* renamed from: a */
            public Token createFromParcel(Parcel parcel) {
                Object obj;
                if (Build.VERSION.SDK_INT >= 21) {
                    obj = parcel.readParcelable(null);
                } else {
                    obj = parcel.readStrongBinder();
                }
                return new Token(obj);
            }

            /* renamed from: a */
            public Token[] newArray(int i) {
                return new Token[i];
            }
        };

        /* renamed from: a  reason: collision with root package name */
        private final Object f278a;

        public int describeContents() {
            return 0;
        }

        Token(Object obj) {
            this.f278a = obj;
        }

        public void writeToParcel(Parcel parcel, int i) {
            if (Build.VERSION.SDK_INT >= 21) {
                parcel.writeParcelable((Parcelable) this.f278a, i);
            } else {
                parcel.writeStrongBinder((IBinder) this.f278a);
            }
        }

        public Object a() {
            return this.f278a;
        }
    }

    public static final class QueueItem implements Parcelable {
        public static final Parcelable.Creator<QueueItem> CREATOR = new Parcelable.Creator<QueueItem>() {
            /* class android.support.v4.media.session.MediaSessionCompat.QueueItem.AnonymousClass1 */

            /* renamed from: a */
            public QueueItem createFromParcel(Parcel parcel) {
                return new QueueItem(parcel);
            }

            /* renamed from: a */
            public QueueItem[] newArray(int i) {
                return new QueueItem[i];
            }
        };

        /* renamed from: a  reason: collision with root package name */
        private final MediaDescriptionCompat f276a;
        private final long b;

        public int describeContents() {
            return 0;
        }

        private QueueItem(Parcel parcel) {
            this.f276a = MediaDescriptionCompat.CREATOR.createFromParcel(parcel);
            this.b = parcel.readLong();
        }

        public void writeToParcel(Parcel parcel, int i) {
            this.f276a.writeToParcel(parcel, i);
            parcel.writeLong(this.b);
        }

        public String toString() {
            return "MediaSession.QueueItem {Description=" + this.f276a + ", Id=" + this.b + " }";
        }
    }

    /* access modifiers changed from: package-private */
    public static final class ResultReceiverWrapper implements Parcelable {
        public static final Parcelable.Creator<ResultReceiverWrapper> CREATOR = new Parcelable.Creator<ResultReceiverWrapper>() {
            /* class android.support.v4.media.session.MediaSessionCompat.ResultReceiverWrapper.AnonymousClass1 */

            /* renamed from: a */
            public ResultReceiverWrapper createFromParcel(Parcel parcel) {
                return new ResultReceiverWrapper(parcel);
            }

            /* renamed from: a */
            public ResultReceiverWrapper[] newArray(int i) {
                return new ResultReceiverWrapper[i];
            }
        };

        /* renamed from: a  reason: collision with root package name */
        private ResultReceiver f277a;

        public int describeContents() {
            return 0;
        }

        ResultReceiverWrapper(Parcel parcel) {
            this.f277a = (ResultReceiver) ResultReceiver.CREATOR.createFromParcel(parcel);
        }

        public void writeToParcel(Parcel parcel, int i) {
            this.f277a.writeToParcel(parcel, i);
        }
    }

    /* access modifiers changed from: package-private */
    public static class MediaSessionImplBase implements MediaSessionImpl {

        /* renamed from: a  reason: collision with root package name */
        private final String f271a;
        private final String b;
        private final AudioManager c;
        private final Object d;
        private final RemoteCallbackList<IMediaControllerCallback> e;
        private MessageHandler f;
        private boolean g;
        private volatile Callback h;
        private int i;
        private MediaMetadataCompat j;
        private PlaybackStateCompat k;
        private PendingIntent l;
        private List<QueueItem> m;
        private CharSequence n;
        private int o;
        private Bundle p;
        private int q;
        private int r;
        private VolumeProviderCompat s;

        /* renamed from: android.support.v4.media.session.MediaSessionCompat$MediaSessionImplBase$1  reason: invalid class name */
        class AnonymousClass1 extends VolumeProviderCompat.Callback {
        }

        /* renamed from: android.support.v4.media.session.MediaSessionCompat$MediaSessionImplBase$2  reason: invalid class name */
        class AnonymousClass2 implements MediaSessionCompatApi19.Callback {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionImplBase f272a;

            @Override // android.support.v4.media.session.MediaSessionCompatApi19.Callback
            public void a(Object obj) {
                this.f272a.a((MediaSessionImplBase) 19, (int) RatingCompat.a(obj));
            }

            @Override // android.support.v4.media.session.MediaSessionCompatApi18.Callback
            public void b(long j) {
                this.f272a.a((MediaSessionImplBase) 18, (int) Long.valueOf(j));
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a(int i2) {
            a(i2, (Object) null);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a(int i2, Object obj) {
            a(i2, obj, (Bundle) null);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a(int i2, Object obj, Bundle bundle) {
            synchronized (this.d) {
                if (this.f != null) {
                    this.f.a(i2, obj, bundle);
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a(int i2, int i3) {
            if (this.q != 2) {
                this.c.adjustStreamVolume(this.r, i2, i3);
            } else if (this.s != null) {
                this.s.b(i2);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void b(int i2, int i3) {
            if (this.q != 2) {
                this.c.setStreamVolume(this.r, i2, i3);
            } else if (this.s != null) {
                this.s.a(i2);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private PlaybackStateCompat a() {
            PlaybackStateCompat playbackStateCompat;
            long b2;
            synchronized (this.d) {
                playbackStateCompat = this.k;
                b2 = (this.j == null || !this.j.a("android.media.metadata.DURATION")) ? -1 : this.j.b("android.media.metadata.DURATION");
            }
            PlaybackStateCompat playbackStateCompat2 = null;
            if (playbackStateCompat != null && (playbackStateCompat.a() == 3 || playbackStateCompat.a() == 4 || playbackStateCompat.a() == 5)) {
                long e2 = playbackStateCompat.e();
                long elapsedRealtime = SystemClock.elapsedRealtime();
                if (e2 > 0) {
                    long c2 = ((long) (playbackStateCompat.c() * ((float) (elapsedRealtime - e2)))) + playbackStateCompat.b();
                    long j2 = (b2 < 0 || c2 <= b2) ? c2 < 0 ? 0 : c2 : b2;
                    PlaybackStateCompat.Builder builder = new PlaybackStateCompat.Builder(playbackStateCompat);
                    builder.a(playbackStateCompat.a(), j2, playbackStateCompat.c(), elapsedRealtime);
                    playbackStateCompat2 = builder.a();
                }
            }
            return playbackStateCompat2 == null ? playbackStateCompat : playbackStateCompat2;
        }

        class MediaSessionStub extends IMediaSession.Stub {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionImplBase f274a;

            @Override // android.support.v4.media.session.IMediaSession
            public void a(String str, Bundle bundle, ResultReceiverWrapper resultReceiverWrapper) {
                this.f274a.a((MediaSessionImplBase) 1, (int) new Command(str, bundle, resultReceiverWrapper.f277a));
            }

            @Override // android.support.v4.media.session.IMediaSession
            public boolean a(KeyEvent keyEvent) {
                boolean z = true;
                if ((this.f274a.i & 1) == 0) {
                    z = false;
                }
                if (z) {
                    this.f274a.a((MediaSessionImplBase) 21, (int) keyEvent);
                }
                return z;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(IMediaControllerCallback iMediaControllerCallback) {
                if (this.f274a.g) {
                    try {
                        iMediaControllerCallback.a();
                    } catch (Exception unused) {
                    }
                } else {
                    this.f274a.e.register(iMediaControllerCallback);
                }
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void b(IMediaControllerCallback iMediaControllerCallback) {
                this.f274a.e.unregister(iMediaControllerCallback);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public String b() {
                return this.f274a.f271a;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public String c() {
                return this.f274a.b;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public PendingIntent d() {
                PendingIntent pendingIntent;
                synchronized (this.f274a.d) {
                    pendingIntent = this.f274a.l;
                }
                return pendingIntent;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public long e() {
                long j;
                synchronized (this.f274a.d) {
                    j = (long) this.f274a.i;
                }
                return j;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public ParcelableVolumeInfo f() {
                int i;
                int i2;
                int i3;
                int i4;
                int i5;
                synchronized (this.f274a.d) {
                    i = this.f274a.q;
                    i2 = this.f274a.r;
                    VolumeProviderCompat volumeProviderCompat = this.f274a.s;
                    if (i == 2) {
                        int b = volumeProviderCompat.b();
                        int c = volumeProviderCompat.c();
                        i3 = volumeProviderCompat.a();
                        i4 = c;
                        i5 = b;
                    } else {
                        i4 = this.f274a.c.getStreamMaxVolume(i2);
                        i3 = this.f274a.c.getStreamVolume(i2);
                        i5 = 2;
                    }
                }
                return new ParcelableVolumeInfo(i, i2, i5, i4, i3);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(int i, int i2, String str) {
                this.f274a.a((MediaSessionImplBase) i, i2);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void b(int i, int i2, String str) {
                this.f274a.b(i, i2);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void t() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 3);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void d(String str, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 4, (int) str, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void e(String str, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 5, (int) str, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void b(Uri uri, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 6, (int) uri, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void g() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 7);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(String str, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 8, (int) str, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void b(String str, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 9, (int) str, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(Uri uri, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 10, (int) uri, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(long j) {
                this.f274a.a((MediaSessionImplBase) 11, (int) Long.valueOf(j));
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void h() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 12);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void i() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 13);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void j() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 14);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void k() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 15);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void l() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 16);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void m() throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 17);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void b(long j) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 18, (int) Long.valueOf(j));
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void a(RatingCompat ratingCompat) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 19, (int) ratingCompat);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public void c(String str, Bundle bundle) throws RemoteException {
                this.f274a.a((MediaSessionImplBase) 20, (int) str, (Object) bundle);
            }

            @Override // android.support.v4.media.session.IMediaSession
            public MediaMetadataCompat n() {
                return this.f274a.j;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public PlaybackStateCompat o() {
                return this.f274a.a();
            }

            @Override // android.support.v4.media.session.IMediaSession
            public List<QueueItem> p() {
                List<QueueItem> list;
                synchronized (this.f274a.d) {
                    list = this.f274a.m;
                }
                return list;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public CharSequence q() {
                return this.f274a.n;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public Bundle r() {
                Bundle bundle;
                synchronized (this.f274a.d) {
                    bundle = this.f274a.p;
                }
                return bundle;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public int s() {
                return this.f274a.o;
            }

            @Override // android.support.v4.media.session.IMediaSession
            public boolean a() {
                return (this.f274a.i & 2) != 0;
            }
        }

        private static final class Command {

            /* renamed from: a  reason: collision with root package name */
            public final String f273a;
            public final Bundle b;
            public final ResultReceiver c;

            public Command(String str, Bundle bundle, ResultReceiver resultReceiver) {
                this.f273a = str;
                this.b = bundle;
                this.c = resultReceiver;
            }
        }

        /* access modifiers changed from: private */
        public class MessageHandler extends Handler {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ MediaSessionImplBase f275a;

            public void a(int i, Object obj, Bundle bundle) {
                Message obtainMessage = obtainMessage(i, obj);
                obtainMessage.setData(bundle);
                obtainMessage.sendToTarget();
            }

            public void handleMessage(Message message) {
                Callback callback = this.f275a.h;
                if (callback != null) {
                    switch (message.what) {
                        case 1:
                            Command command = (Command) message.obj;
                            callback.a(command.f273a, command.b, command.c);
                            return;
                        case 2:
                            this.f275a.a((MediaSessionImplBase) ((Integer) message.obj).intValue(), 0);
                            return;
                        case 3:
                            callback.a();
                            return;
                        case 4:
                            callback.a((String) message.obj, message.getData());
                            return;
                        case 5:
                            callback.b((String) message.obj, message.getData());
                            return;
                        case 6:
                            callback.a((Uri) message.obj, message.getData());
                            return;
                        case 7:
                            callback.b();
                            return;
                        case 8:
                            callback.c((String) message.obj, message.getData());
                            return;
                        case 9:
                            callback.d((String) message.obj, message.getData());
                            return;
                        case 10:
                            callback.b((Uri) message.obj, message.getData());
                            return;
                        case 11:
                            callback.a(((Long) message.obj).longValue());
                            return;
                        case 12:
                            callback.c();
                            return;
                        case 13:
                            callback.h();
                            return;
                        case 14:
                            callback.d();
                            return;
                        case 15:
                            callback.e();
                            return;
                        case 16:
                            callback.f();
                            return;
                        case 17:
                            callback.g();
                            return;
                        case 18:
                            callback.b(((Long) message.obj).longValue());
                            return;
                        case 19:
                            callback.a((RatingCompat) message.obj);
                            return;
                        case 20:
                            callback.e((String) message.obj, message.getData());
                            return;
                        case 21:
                            KeyEvent keyEvent = (KeyEvent) message.obj;
                            Intent intent = new Intent("android.intent.action.MEDIA_BUTTON");
                            intent.putExtra("android.intent.extra.KEY_EVENT", keyEvent);
                            if (!callback.a(intent)) {
                                a(keyEvent, callback);
                                return;
                            }
                            return;
                        case 22:
                            this.f275a.b(((Integer) message.obj).intValue(), 0);
                            return;
                        default:
                            return;
                    }
                }
            }

            private void a(KeyEvent keyEvent, Callback callback) {
                if (keyEvent != null && keyEvent.getAction() == 0) {
                    long d = this.f275a.k == null ? 0 : this.f275a.k.d();
                    int keyCode = keyEvent.getKeyCode();
                    if (keyCode != 79) {
                        switch (keyCode) {
                            case 85:
                                break;
                            case 86:
                                if ((d & 1) != 0) {
                                    callback.h();
                                    return;
                                }
                                return;
                            case 87:
                                if ((d & 32) != 0) {
                                    callback.d();
                                    return;
                                }
                                return;
                            case 88:
                                if ((d & 16) != 0) {
                                    callback.e();
                                    return;
                                }
                                return;
                            case 89:
                                if ((d & 8) != 0) {
                                    callback.g();
                                    return;
                                }
                                return;
                            case 90:
                                if ((d & 64) != 0) {
                                    callback.f();
                                    return;
                                }
                                return;
                            default:
                                switch (keyCode) {
                                    case TbsListener.ErrorCode.PV_UPLOAD_ERROR /*{ENCODED_INT: 126}*/:
                                        if ((d & 4) != 0) {
                                            callback.b();
                                            return;
                                        }
                                        return;
                                    case 127:
                                        if ((d & 2) != 0) {
                                            callback.c();
                                            return;
                                        }
                                        return;
                                    default:
                                        return;
                                }
                        }
                    }
                    boolean z = true;
                    boolean z2 = this.f275a.k != null && this.f275a.k.a() == 3;
                    boolean z3 = (516 & d) != 0;
                    if ((d & 514) == 0) {
                        z = false;
                    }
                    if (z2 && z) {
                        callback.c();
                    } else if (!z2 && z3) {
                        callback.b();
                    }
                }
            }
        }
    }
}
