package android.support.v4.net;

import android.os.Build;

public final class TrafficStatsCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final TrafficStatsCompatImpl f288a;

    interface TrafficStatsCompatImpl {
    }

    static class BaseTrafficStatsCompatImpl implements TrafficStatsCompatImpl {

        /* renamed from: a  reason: collision with root package name */
        private ThreadLocal<SocketTags> f289a = new ThreadLocal<SocketTags>() {
            /* class android.support.v4.net.TrafficStatsCompat.BaseTrafficStatsCompatImpl.AnonymousClass1 */

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public SocketTags initialValue() {
                return new SocketTags();
            }
        };

        /* access modifiers changed from: private */
        public static class SocketTags {

            /* renamed from: a  reason: collision with root package name */
            public int f291a;

            private SocketTags() {
                this.f291a = -1;
            }
        }

        BaseTrafficStatsCompatImpl() {
        }
    }

    static class IcsTrafficStatsCompatImpl implements TrafficStatsCompatImpl {
        IcsTrafficStatsCompatImpl() {
        }
    }

    static class Api24TrafficStatsCompatImpl extends IcsTrafficStatsCompatImpl {
        Api24TrafficStatsCompatImpl() {
        }
    }

    static {
        if ("N".equals(Build.VERSION.CODENAME)) {
            f288a = new Api24TrafficStatsCompatImpl();
        } else if (Build.VERSION.SDK_INT >= 14) {
            f288a = new IcsTrafficStatsCompatImpl();
        } else {
            f288a = new BaseTrafficStatsCompatImpl();
        }
    }

    private TrafficStatsCompat() {
    }
}
