package android.support.v4.print;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.pdf.PdfDocument;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.print.PageRange;
import android.print.PrintAttributes;
import android.print.PrintDocumentAdapter;
import android.print.PrintDocumentInfo;
import android.print.pdf.PrintedPdfDocument;
import android.util.Log;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

/* access modifiers changed from: package-private */
public class PrintHelperKitkat {

    /* renamed from: a  reason: collision with root package name */
    final Context f302a;
    BitmapFactory.Options b;
    protected boolean c;
    protected boolean d;
    int e;
    private final Object f;

    public interface OnPrintFinishCallback {
        void a();
    }

    /* access modifiers changed from: private */
    public static boolean b(Bitmap bitmap) {
        return bitmap.getWidth() <= bitmap.getHeight();
    }

    /* access modifiers changed from: protected */
    public PrintAttributes.Builder a(PrintAttributes printAttributes) {
        PrintAttributes.Builder minMargins = new PrintAttributes.Builder().setMediaSize(printAttributes.getMediaSize()).setResolution(printAttributes.getResolution()).setMinMargins(printAttributes.getMinMargins());
        if (printAttributes.getColorMode() != 0) {
            minMargins.setColorMode(printAttributes.getColorMode());
        }
        return minMargins;
    }

    /* renamed from: android.support.v4.print.PrintHelperKitkat$1  reason: invalid class name */
    class AnonymousClass1 extends PrintDocumentAdapter {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ String f303a;
        final /* synthetic */ int b;
        final /* synthetic */ Bitmap c;
        final /* synthetic */ OnPrintFinishCallback d;
        final /* synthetic */ PrintHelperKitkat e;
        private PrintAttributes f;

        public void onLayout(PrintAttributes printAttributes, PrintAttributes printAttributes2, CancellationSignal cancellationSignal, PrintDocumentAdapter.LayoutResultCallback layoutResultCallback, Bundle bundle) {
            this.f = printAttributes2;
            layoutResultCallback.onLayoutFinished(new PrintDocumentInfo.Builder(this.f303a).setContentType(1).setPageCount(1).build(), !printAttributes2.equals(printAttributes));
        }

        public void onWrite(PageRange[] pageRangeArr, ParcelFileDescriptor parcelFileDescriptor, CancellationSignal cancellationSignal, PrintDocumentAdapter.WriteResultCallback writeResultCallback) {
            this.e.a(this.f, this.b, this.c, parcelFileDescriptor, writeResultCallback);
        }

        public void onFinish() {
            if (this.d != null) {
                this.d.a();
            }
        }
    }

    private Matrix a(int i, int i2, RectF rectF, int i3) {
        float f2;
        Matrix matrix = new Matrix();
        float f3 = (float) i;
        float width = rectF.width() / f3;
        if (i3 == 2) {
            f2 = Math.max(width, rectF.height() / ((float) i2));
        } else {
            f2 = Math.min(width, rectF.height() / ((float) i2));
        }
        matrix.postScale(f2, f2);
        matrix.postTranslate((rectF.width() - (f3 * f2)) / 2.0f, (rectF.height() - (((float) i2) * f2)) / 2.0f);
        return matrix;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(PrintAttributes printAttributes, int i, Bitmap bitmap, ParcelFileDescriptor parcelFileDescriptor, PrintDocumentAdapter.WriteResultCallback writeResultCallback) {
        PrintAttributes printAttributes2;
        RectF rectF;
        if (this.d) {
            printAttributes2 = printAttributes;
        } else {
            printAttributes2 = a(printAttributes).setMinMargins(new PrintAttributes.Margins(0, 0, 0, 0)).build();
        }
        PrintedPdfDocument printedPdfDocument = new PrintedPdfDocument(this.f302a, printAttributes2);
        Bitmap a2 = a(bitmap, printAttributes2.getColorMode());
        try {
            PdfDocument.Page startPage = printedPdfDocument.startPage(1);
            if (this.d) {
                rectF = new RectF(startPage.getInfo().getContentRect());
            } else {
                PrintedPdfDocument printedPdfDocument2 = new PrintedPdfDocument(this.f302a, printAttributes);
                PdfDocument.Page startPage2 = printedPdfDocument2.startPage(1);
                RectF rectF2 = new RectF(startPage2.getInfo().getContentRect());
                printedPdfDocument2.finishPage(startPage2);
                printedPdfDocument2.close();
                rectF = rectF2;
            }
            Matrix a3 = a(a2.getWidth(), a2.getHeight(), rectF, i);
            if (!this.d) {
                a3.postTranslate(rectF.left, rectF.top);
                startPage.getCanvas().clipRect(rectF);
            }
            startPage.getCanvas().drawBitmap(a2, a3, null);
            printedPdfDocument.finishPage(startPage);
            try {
                printedPdfDocument.writeTo(new FileOutputStream(parcelFileDescriptor.getFileDescriptor()));
                writeResultCallback.onWriteFinished(new PageRange[]{PageRange.ALL_PAGES});
            } catch (IOException e2) {
                Log.e("PrintHelperKitkat", "Error writing printed content", e2);
                writeResultCallback.onWriteFailed(null);
            }
        } finally {
            printedPdfDocument.close();
            if (parcelFileDescriptor != null) {
                try {
                    parcelFileDescriptor.close();
                } catch (IOException unused) {
                }
            }
            if (a2 != bitmap) {
                a2.recycle();
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: android.support.v4.print.PrintHelperKitkat$2  reason: invalid class name */
    public class AnonymousClass2 extends PrintDocumentAdapter {

        /* renamed from: a  reason: collision with root package name */
        AsyncTask<Uri, Boolean, Bitmap> f304a;
        Bitmap b;
        final /* synthetic */ String c;
        final /* synthetic */ Uri d;
        final /* synthetic */ OnPrintFinishCallback e;
        final /* synthetic */ int f;
        final /* synthetic */ PrintHelperKitkat g;
        private PrintAttributes h;

        public void onLayout(final PrintAttributes printAttributes, final PrintAttributes printAttributes2, final CancellationSignal cancellationSignal, final PrintDocumentAdapter.LayoutResultCallback layoutResultCallback, Bundle bundle) {
            synchronized (this) {
                this.h = printAttributes2;
            }
            if (cancellationSignal.isCanceled()) {
                layoutResultCallback.onLayoutCancelled();
            } else if (this.b != null) {
                layoutResultCallback.onLayoutFinished(new PrintDocumentInfo.Builder(this.c).setContentType(1).setPageCount(1).build(), !printAttributes2.equals(printAttributes));
            } else {
                this.f304a = new AsyncTask<Uri, Boolean, Bitmap>() {
                    /* class android.support.v4.print.PrintHelperKitkat.AnonymousClass2.AnonymousClass1 */

                    /* access modifiers changed from: protected */
                    public void onPreExecute() {
                        cancellationSignal.setOnCancelListener(new CancellationSignal.OnCancelListener() {
                            /* class android.support.v4.print.PrintHelperKitkat.AnonymousClass2.AnonymousClass1.AnonymousClass1 */

                            public void onCancel() {
                                AnonymousClass2.this.a();
                                AnonymousClass1.this.cancel(false);
                            }
                        });
                    }

                    /* access modifiers changed from: protected */
                    /* renamed from: a */
                    public Bitmap doInBackground(Uri... uriArr) {
                        try {
                            return AnonymousClass2.this.g.a((PrintHelperKitkat) AnonymousClass2.this.d, (Uri) 3500);
                        } catch (FileNotFoundException unused) {
                            return null;
                        }
                    }

                    /* access modifiers changed from: protected */
                    /* renamed from: a */
                    public void onPostExecute(Bitmap bitmap) {
                        PrintAttributes.MediaSize mediaSize;
                        super.onPostExecute(bitmap);
                        if (bitmap != null && (!AnonymousClass2.this.g.c || AnonymousClass2.this.g.e == 0)) {
                            synchronized (this) {
                                mediaSize = AnonymousClass2.this.h.getMediaSize();
                            }
                            if (!(mediaSize == null || mediaSize.isPortrait() == PrintHelperKitkat.b(bitmap))) {
                                Matrix matrix = new Matrix();
                                matrix.postRotate(90.0f);
                                bitmap = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
                            }
                        }
                        AnonymousClass2.this.b = bitmap;
                        if (bitmap != null) {
                            layoutResultCallback.onLayoutFinished(new PrintDocumentInfo.Builder(AnonymousClass2.this.c).setContentType(1).setPageCount(1).build(), true ^ printAttributes2.equals(printAttributes));
                        } else {
                            layoutResultCallback.onLayoutFailed(null);
                        }
                        AnonymousClass2.this.f304a = null;
                    }

                    /* access modifiers changed from: protected */
                    /* renamed from: b */
                    public void onCancelled(Bitmap bitmap) {
                        layoutResultCallback.onLayoutCancelled();
                        AnonymousClass2.this.f304a = null;
                    }
                }.execute(new Uri[0]);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void a() {
            synchronized (this.g.f) {
                if (this.g.b != null) {
                    this.g.b.requestCancelDecode();
                    this.g.b = null;
                }
            }
        }

        public void onFinish() {
            super.onFinish();
            a();
            if (this.f304a != null) {
                this.f304a.cancel(true);
            }
            if (this.e != null) {
                this.e.a();
            }
            if (this.b != null) {
                this.b.recycle();
                this.b = null;
            }
        }

        public void onWrite(PageRange[] pageRangeArr, ParcelFileDescriptor parcelFileDescriptor, CancellationSignal cancellationSignal, PrintDocumentAdapter.WriteResultCallback writeResultCallback) {
            this.g.a(this.h, this.f, this.b, parcelFileDescriptor, writeResultCallback);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Bitmap a(Uri uri, int i) throws FileNotFoundException {
        BitmapFactory.Options options;
        if (i <= 0 || uri == null || this.f302a == null) {
            throw new IllegalArgumentException("bad argument to getScaledBitmap");
        }
        BitmapFactory.Options options2 = new BitmapFactory.Options();
        options2.inJustDecodeBounds = true;
        a(uri, options2);
        int i2 = options2.outWidth;
        int i3 = options2.outHeight;
        if (i2 <= 0 || i3 <= 0) {
            return null;
        }
        int max = Math.max(i2, i3);
        int i4 = 1;
        while (max > i) {
            max >>>= 1;
            i4 <<= 1;
        }
        if (i4 <= 0 || Math.min(i2, i3) / i4 <= 0) {
            return null;
        }
        synchronized (this.f) {
            this.b = new BitmapFactory.Options();
            this.b.inMutable = true;
            this.b.inSampleSize = i4;
            options = this.b;
        }
        try {
            Bitmap a2 = a(uri, options);
            synchronized (this.f) {
                this.b = null;
            }
            return a2;
        } catch (Throwable th) {
            synchronized (this.f) {
                this.b = null;
                throw th;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x002a A[SYNTHETIC, Splitter:B:18:0x002a] */
    private Bitmap a(Uri uri, BitmapFactory.Options options) throws FileNotFoundException {
        Throwable th;
        if (uri == null || this.f302a == null) {
            throw new IllegalArgumentException("bad argument to loadBitmap");
        }
        InputStream inputStream = null;
        try {
            InputStream openInputStream = this.f302a.getContentResolver().openInputStream(uri);
            try {
                Bitmap decodeStream = BitmapFactory.decodeStream(openInputStream, null, options);
                if (openInputStream != null) {
                    try {
                        openInputStream.close();
                    } catch (IOException e2) {
                        Log.w("PrintHelperKitkat", "close fail ", e2);
                    }
                }
                return decodeStream;
            } catch (Throwable th2) {
                th = th2;
                inputStream = openInputStream;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException e3) {
                        Log.w("PrintHelperKitkat", "close fail ", e3);
                    }
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            if (inputStream != null) {
            }
            throw th;
        }
    }

    private Bitmap a(Bitmap bitmap, int i) {
        if (i != 1) {
            return bitmap;
        }
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        ColorMatrix colorMatrix = new ColorMatrix();
        colorMatrix.setSaturation(0.0f);
        paint.setColorFilter(new ColorMatrixColorFilter(colorMatrix));
        canvas.drawBitmap(bitmap, 0.0f, 0.0f, paint);
        canvas.setBitmap(null);
        return createBitmap;
    }
}
