package android.support.v4.text;

import android.os.Build;
import java.util.Locale;

public final class ICUCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final ICUCompatImpl f312a;

    /* access modifiers changed from: package-private */
    public interface ICUCompatImpl {
        String a(Locale locale);
    }

    static class ICUCompatImplBase implements ICUCompatImpl {
        @Override // android.support.v4.text.ICUCompat.ICUCompatImpl
        public String a(Locale locale) {
            return null;
        }

        ICUCompatImplBase() {
        }
    }

    static class ICUCompatImplIcs implements ICUCompatImpl {
        ICUCompatImplIcs() {
        }

        @Override // android.support.v4.text.ICUCompat.ICUCompatImpl
        public String a(Locale locale) {
            return ICUCompatIcs.a(locale);
        }
    }

    static class ICUCompatImplLollipop implements ICUCompatImpl {
        ICUCompatImplLollipop() {
        }

        @Override // android.support.v4.text.ICUCompat.ICUCompatImpl
        public String a(Locale locale) {
            return ICUCompatApi23.a(locale);
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 21) {
            f312a = new ICUCompatImplLollipop();
        } else if (i >= 14) {
            f312a = new ICUCompatImplIcs();
        } else {
            f312a = new ICUCompatImplBase();
        }
    }

    public static String a(Locale locale) {
        return f312a.a(locale);
    }

    private ICUCompat() {
    }
}
