package android.support.v4.util;

public final class Pools {

    public interface Pool<T> {
    }

    private Pools() {
    }

    public static class SimplePool<T> implements Pool<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Object[] f336a;
        private int b;

        public SimplePool(int i) {
            if (i > 0) {
                this.f336a = new Object[i];
                return;
            }
            throw new IllegalArgumentException("The max pool size must be > 0");
        }

        public T a() {
            if (this.b <= 0) {
                return null;
            }
            int i = this.b - 1;
            T t = (T) this.f336a[i];
            this.f336a[i] = null;
            this.b--;
            return t;
        }

        public boolean a(T t) {
            if (b(t)) {
                throw new IllegalStateException("Already in the pool!");
            } else if (this.b >= this.f336a.length) {
                return false;
            } else {
                this.f336a[this.b] = t;
                this.b++;
                return true;
            }
        }

        private boolean b(T t) {
            for (int i = 0; i < this.b; i++) {
                if (this.f336a[i] == t) {
                    return true;
                }
            }
            return false;
        }
    }

    public static class SynchronizedPool<T> extends SimplePool<T> {

        /* renamed from: a  reason: collision with root package name */
        private final Object f337a = new Object();

        public SynchronizedPool(int i) {
            super(i);
        }

        @Override // android.support.v4.util.Pools.SimplePool
        public T a() {
            T t;
            synchronized (this.f337a) {
                t = (T) super.a();
            }
            return t;
        }

        @Override // android.support.v4.util.Pools.SimplePool
        public boolean a(T t) {
            boolean a2;
            synchronized (this.f337a) {
                a2 = super.a(t);
            }
            return a2;
        }
    }
}
