package android.support.v4.view;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.support.v4.util.Pools;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import java.util.concurrent.ArrayBlockingQueue;

public final class AsyncLayoutInflater {

    /* renamed from: a  reason: collision with root package name */
    private LayoutInflater f347a;
    private Handler b;
    private InflateThread c;

    public interface OnInflateFinishedListener {
        void a(View view, int i, ViewGroup viewGroup);
    }

    /* renamed from: android.support.v4.view.AsyncLayoutInflater$1  reason: invalid class name */
    class AnonymousClass1 implements Handler.Callback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AsyncLayoutInflater f348a;

        public boolean handleMessage(Message message) {
            InflateRequest inflateRequest = (InflateRequest) message.obj;
            if (inflateRequest.d == null) {
                inflateRequest.d = this.f348a.f347a.inflate(inflateRequest.c, inflateRequest.b, false);
            }
            inflateRequest.e.a(inflateRequest.d, inflateRequest.c, inflateRequest.b);
            this.f348a.c.a(inflateRequest);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public static class InflateRequest {

        /* renamed from: a  reason: collision with root package name */
        AsyncLayoutInflater f350a;
        ViewGroup b;
        int c;
        View d;
        OnInflateFinishedListener e;

        private InflateRequest() {
        }
    }

    private static class BasicInflater extends LayoutInflater {

        /* renamed from: a  reason: collision with root package name */
        private static final String[] f349a = {"android.widget.", "android.webkit.", "android.app."};

        public BasicInflater(Context context) {
            super(context);
        }

        public LayoutInflater cloneInContext(Context context) {
            return new BasicInflater(context);
        }

        /* access modifiers changed from: protected */
        @Override // android.view.LayoutInflater
        public View onCreateView(String str, AttributeSet attributeSet) throws ClassNotFoundException {
            for (String str2 : f349a) {
                try {
                    View createView = createView(str, str2, attributeSet);
                    if (createView != null) {
                        return createView;
                    }
                } catch (ClassNotFoundException unused) {
                }
            }
            return super.onCreateView(str, attributeSet);
        }
    }

    /* access modifiers changed from: private */
    public static class InflateThread extends Thread {

        /* renamed from: a  reason: collision with root package name */
        private static final InflateThread f351a = new InflateThread();
        private ArrayBlockingQueue<InflateRequest> b = new ArrayBlockingQueue<>(10);
        private Pools.SynchronizedPool<InflateRequest> c = new Pools.SynchronizedPool<>(10);

        private InflateThread() {
        }

        static {
            f351a.start();
        }

        public void run() {
            while (true) {
                try {
                    InflateRequest take = this.b.take();
                    try {
                        take.d = take.f350a.f347a.inflate(take.c, take.b, false);
                    } catch (RuntimeException e) {
                        Log.w("AsyncLayoutInflater", "Failed to inflate resource in the background! Retrying on the UI thread", e);
                    }
                    Message.obtain(take.f350a.b, 0, take).sendToTarget();
                } catch (InterruptedException e2) {
                    Log.w("AsyncLayoutInflater", e2);
                }
            }
        }

        public void a(InflateRequest inflateRequest) {
            inflateRequest.e = null;
            inflateRequest.f350a = null;
            inflateRequest.b = null;
            inflateRequest.c = 0;
            inflateRequest.d = null;
            this.c.a(inflateRequest);
        }
    }
}
