package android.support.v4.view;

import android.os.Build;
import android.view.KeyEvent;
import com.tencent.smtt.sdk.TbsListener;

public final class KeyEventCompat {

    /* renamed from: a  reason: collision with root package name */
    static final KeyEventVersionImpl f355a;

    /* access modifiers changed from: package-private */
    public interface KeyEventVersionImpl {
        void a(KeyEvent keyEvent);

        boolean a(int i, int i2);

        boolean b(int i);

        boolean b(KeyEvent keyEvent);
    }

    static class BaseKeyEventVersionImpl implements KeyEventVersionImpl {
        public int a(int i) {
            if ((i & 192) != 0) {
                i |= 1;
            }
            if ((i & 48) != 0) {
                i |= 2;
            }
            return i & 247;
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl
        public void a(KeyEvent keyEvent) {
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl
        public boolean b(KeyEvent keyEvent) {
            return false;
        }

        BaseKeyEventVersionImpl() {
        }

        private static int a(int i, int i2, int i3, int i4, int i5) {
            boolean z = false;
            boolean z2 = (i2 & i3) != 0;
            int i6 = i4 | i5;
            if ((i2 & i6) != 0) {
                z = true;
            }
            if (!z2) {
                return z ? i & (~i3) : i;
            }
            if (!z) {
                return i & (~i6);
            }
            throw new IllegalArgumentException("bad arguments");
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl
        public boolean a(int i, int i2) {
            if (a(a(a(i) & 247, i2, 1, 64, TbsListener.ErrorCode.DOWNLOAD_INTERRUPT), i2, 2, 16, 32) == i2) {
                return true;
            }
            return false;
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl
        public boolean b(int i) {
            return (a(i) & 247) == 0;
        }
    }

    static class EclairKeyEventVersionImpl extends BaseKeyEventVersionImpl {
        EclairKeyEventVersionImpl() {
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl, android.support.v4.view.KeyEventCompat.BaseKeyEventVersionImpl
        public void a(KeyEvent keyEvent) {
            KeyEventCompatEclair.a(keyEvent);
        }
    }

    static class HoneycombKeyEventVersionImpl extends EclairKeyEventVersionImpl {
        HoneycombKeyEventVersionImpl() {
        }

        @Override // android.support.v4.view.KeyEventCompat.BaseKeyEventVersionImpl
        public int a(int i) {
            return KeyEventCompatHoneycomb.a(i);
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl, android.support.v4.view.KeyEventCompat.BaseKeyEventVersionImpl
        public boolean a(int i, int i2) {
            return KeyEventCompatHoneycomb.a(i, i2);
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl, android.support.v4.view.KeyEventCompat.BaseKeyEventVersionImpl
        public boolean b(int i) {
            return KeyEventCompatHoneycomb.b(i);
        }

        @Override // android.support.v4.view.KeyEventCompat.KeyEventVersionImpl, android.support.v4.view.KeyEventCompat.BaseKeyEventVersionImpl
        public boolean b(KeyEvent keyEvent) {
            return KeyEventCompatHoneycomb.a(keyEvent);
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 11) {
            f355a = new HoneycombKeyEventVersionImpl();
        } else {
            f355a = new BaseKeyEventVersionImpl();
        }
    }

    public static boolean a(KeyEvent keyEvent, int i) {
        return f355a.a(keyEvent.getMetaState(), i);
    }

    public static boolean a(KeyEvent keyEvent) {
        return f355a.b(keyEvent.getMetaState());
    }

    public static void b(KeyEvent keyEvent) {
        f355a.a(keyEvent);
    }

    public static boolean c(KeyEvent keyEvent) {
        return f355a.b(keyEvent);
    }

    private KeyEventCompat() {
    }
}
