package android.support.v4.view;

import android.os.Build;
import android.support.v4.internal.view.SupportMenuItem;
import android.support.v4.view.MenuItemCompatIcs;
import android.util.Log;
import android.view.MenuItem;
import android.view.View;

public final class MenuItemCompat {

    /* renamed from: a  reason: collision with root package name */
    static final MenuVersionImpl f360a;

    interface MenuVersionImpl {
        MenuItem a(MenuItem menuItem, View view);

        View a(MenuItem menuItem);

        void a(MenuItem menuItem, int i);

        MenuItem b(MenuItem menuItem, int i);

        boolean b(MenuItem menuItem);

        boolean c(MenuItem menuItem);
    }

    public interface OnActionExpandListener {
        boolean a(MenuItem menuItem);

        boolean b(MenuItem menuItem);
    }

    static class BaseMenuVersionImpl implements MenuVersionImpl {
        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public MenuItem a(MenuItem menuItem, View view) {
            return menuItem;
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public View a(MenuItem menuItem) {
            return null;
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public void a(MenuItem menuItem, int i) {
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public MenuItem b(MenuItem menuItem, int i) {
            return menuItem;
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean b(MenuItem menuItem) {
            return false;
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean c(MenuItem menuItem) {
            return false;
        }

        BaseMenuVersionImpl() {
        }
    }

    static class HoneycombMenuVersionImpl implements MenuVersionImpl {
        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean b(MenuItem menuItem) {
            return false;
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean c(MenuItem menuItem) {
            return false;
        }

        HoneycombMenuVersionImpl() {
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public void a(MenuItem menuItem, int i) {
            MenuItemCompatHoneycomb.a(menuItem, i);
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public MenuItem a(MenuItem menuItem, View view) {
            return MenuItemCompatHoneycomb.a(menuItem, view);
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public MenuItem b(MenuItem menuItem, int i) {
            return MenuItemCompatHoneycomb.b(menuItem, i);
        }

        @Override // android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public View a(MenuItem menuItem) {
            return MenuItemCompatHoneycomb.a(menuItem);
        }
    }

    static class IcsMenuVersionImpl extends HoneycombMenuVersionImpl {
        IcsMenuVersionImpl() {
        }

        @Override // android.support.v4.view.MenuItemCompat.HoneycombMenuVersionImpl, android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean b(MenuItem menuItem) {
            return MenuItemCompatIcs.a(menuItem);
        }

        @Override // android.support.v4.view.MenuItemCompat.HoneycombMenuVersionImpl, android.support.v4.view.MenuItemCompat.MenuVersionImpl
        public boolean c(MenuItem menuItem) {
            return MenuItemCompatIcs.b(menuItem);
        }

        /* renamed from: android.support.v4.view.MenuItemCompat$IcsMenuVersionImpl$1  reason: invalid class name */
        class AnonymousClass1 implements MenuItemCompatIcs.SupportActionExpandProxy {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ OnActionExpandListener f361a;

            @Override // android.support.v4.view.MenuItemCompatIcs.SupportActionExpandProxy
            public boolean a(MenuItem menuItem) {
                return this.f361a.a(menuItem);
            }

            @Override // android.support.v4.view.MenuItemCompatIcs.SupportActionExpandProxy
            public boolean b(MenuItem menuItem) {
                return this.f361a.b(menuItem);
            }
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 14) {
            f360a = new IcsMenuVersionImpl();
        } else if (i >= 11) {
            f360a = new HoneycombMenuVersionImpl();
        } else {
            f360a = new BaseMenuVersionImpl();
        }
    }

    public static void a(MenuItem menuItem, int i) {
        if (menuItem instanceof SupportMenuItem) {
            ((SupportMenuItem) menuItem).setShowAsAction(i);
        } else {
            f360a.a(menuItem, i);
        }
    }

    public static MenuItem a(MenuItem menuItem, View view) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).setActionView(view);
        }
        return f360a.a(menuItem, view);
    }

    public static MenuItem b(MenuItem menuItem, int i) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).setActionView(i);
        }
        return f360a.b(menuItem, i);
    }

    public static View a(MenuItem menuItem) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).getActionView();
        }
        return f360a.a(menuItem);
    }

    public static MenuItem a(MenuItem menuItem, ActionProvider actionProvider) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).a(actionProvider);
        }
        Log.w("MenuItemCompat", "setActionProvider: item does not implement SupportMenuItem; ignoring");
        return menuItem;
    }

    public static boolean b(MenuItem menuItem) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).expandActionView();
        }
        return f360a.b(menuItem);
    }

    public static boolean c(MenuItem menuItem) {
        if (menuItem instanceof SupportMenuItem) {
            return ((SupportMenuItem) menuItem).isActionViewExpanded();
        }
        return f360a.c(menuItem);
    }

    private MenuItemCompat() {
    }
}
