package android.support.v4.view;

import android.os.Build;
import android.view.MotionEvent;
import com.tencent.smtt.sdk.WebView;

public final class MotionEventCompat {

    /* renamed from: a  reason: collision with root package name */
    static final MotionEventVersionImpl f363a;

    interface MotionEventVersionImpl {
        int a(MotionEvent motionEvent);

        int a(MotionEvent motionEvent, int i);

        int b(MotionEvent motionEvent);

        int b(MotionEvent motionEvent, int i);

        float c(MotionEvent motionEvent, int i);

        float d(MotionEvent motionEvent, int i);

        float e(MotionEvent motionEvent, int i);
    }

    static class BaseMotionEventVersionImpl implements MotionEventVersionImpl {
        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int a(MotionEvent motionEvent) {
            return 1;
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int a(MotionEvent motionEvent, int i) {
            return i == 0 ? 0 : -1;
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int b(MotionEvent motionEvent) {
            return 0;
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float e(MotionEvent motionEvent, int i) {
            return 0.0f;
        }

        BaseMotionEventVersionImpl() {
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int b(MotionEvent motionEvent, int i) {
            if (i == 0) {
                return 0;
            }
            throw new IndexOutOfBoundsException("Pre-Eclair does not support multiple pointers");
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float c(MotionEvent motionEvent, int i) {
            if (i == 0) {
                return motionEvent.getX();
            }
            throw new IndexOutOfBoundsException("Pre-Eclair does not support multiple pointers");
        }

        @Override // android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float d(MotionEvent motionEvent, int i) {
            if (i == 0) {
                return motionEvent.getY();
            }
            throw new IndexOutOfBoundsException("Pre-Eclair does not support multiple pointers");
        }
    }

    static class EclairMotionEventVersionImpl extends BaseMotionEventVersionImpl {
        EclairMotionEventVersionImpl() {
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int a(MotionEvent motionEvent, int i) {
            return MotionEventCompatEclair.a(motionEvent, i);
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int b(MotionEvent motionEvent, int i) {
            return MotionEventCompatEclair.b(motionEvent, i);
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float c(MotionEvent motionEvent, int i) {
            return MotionEventCompatEclair.c(motionEvent, i);
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float d(MotionEvent motionEvent, int i) {
            return MotionEventCompatEclair.d(motionEvent, i);
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int a(MotionEvent motionEvent) {
            return MotionEventCompatEclair.a(motionEvent);
        }
    }

    static class GingerbreadMotionEventVersionImpl extends EclairMotionEventVersionImpl {
        GingerbreadMotionEventVersionImpl() {
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public int b(MotionEvent motionEvent) {
            return MotionEventCompatGingerbread.a(motionEvent);
        }
    }

    static class HoneycombMr1MotionEventVersionImpl extends GingerbreadMotionEventVersionImpl {
        HoneycombMr1MotionEventVersionImpl() {
        }

        @Override // android.support.v4.view.MotionEventCompat.BaseMotionEventVersionImpl, android.support.v4.view.MotionEventCompat.MotionEventVersionImpl
        public float e(MotionEvent motionEvent, int i) {
            return MotionEventCompatHoneycombMr1.a(motionEvent, i);
        }
    }

    private static class ICSMotionEventVersionImpl extends HoneycombMr1MotionEventVersionImpl {
        private ICSMotionEventVersionImpl() {
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 14) {
            f363a = new ICSMotionEventVersionImpl();
        } else if (Build.VERSION.SDK_INT >= 12) {
            f363a = new HoneycombMr1MotionEventVersionImpl();
        } else if (Build.VERSION.SDK_INT >= 9) {
            f363a = new GingerbreadMotionEventVersionImpl();
        } else if (Build.VERSION.SDK_INT >= 5) {
            f363a = new EclairMotionEventVersionImpl();
        } else {
            f363a = new BaseMotionEventVersionImpl();
        }
    }

    public static int a(MotionEvent motionEvent) {
        return motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA;
    }

    public static int b(MotionEvent motionEvent) {
        return (motionEvent.getAction() & 65280) >> 8;
    }

    public static int a(MotionEvent motionEvent, int i) {
        return f363a.a(motionEvent, i);
    }

    public static int b(MotionEvent motionEvent, int i) {
        return f363a.b(motionEvent, i);
    }

    public static float c(MotionEvent motionEvent, int i) {
        return f363a.c(motionEvent, i);
    }

    public static float d(MotionEvent motionEvent, int i) {
        return f363a.d(motionEvent, i);
    }

    public static int c(MotionEvent motionEvent) {
        return f363a.a(motionEvent);
    }

    public static int d(MotionEvent motionEvent) {
        return f363a.b(motionEvent);
    }

    public static float e(MotionEvent motionEvent, int i) {
        return f363a.e(motionEvent, i);
    }

    private MotionEventCompat() {
    }
}
