package android.support.v4.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.ColorInt;
import android.support.annotation.FloatRange;
import android.support.v4.view.ViewPager;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.TextView;
import com.tencent.smtt.sdk.WebView;
import java.lang.ref.WeakReference;

@ViewPager.DecorView
public class PagerTitleStrip extends ViewGroup {
    private static final int[] n = {16842804, 16842901, 16842904, 16842927};
    private static final int[] o = {16843660};
    private static final PagerTitleStripImpl q;

    /* renamed from: a  reason: collision with root package name */
    ViewPager f369a;
    TextView b;
    TextView c;
    TextView d;
    int e;
    private int f = -1;
    private float g = -1.0f;
    private int h;
    private int i;
    private boolean j;
    private boolean k;
    private final PageListener l = new PageListener();
    private WeakReference<PagerAdapter> m;
    private int p;

    /* access modifiers changed from: package-private */
    public interface PagerTitleStripImpl {
        void a(TextView textView);
    }

    static {
        if (Build.VERSION.SDK_INT >= 14) {
            q = new PagerTitleStripImplIcs();
        } else {
            q = new PagerTitleStripImplBase();
        }
    }

    static class PagerTitleStripImplBase implements PagerTitleStripImpl {
        PagerTitleStripImplBase() {
        }

        @Override // android.support.v4.view.PagerTitleStrip.PagerTitleStripImpl
        public void a(TextView textView) {
            textView.setSingleLine();
        }
    }

    static class PagerTitleStripImplIcs implements PagerTitleStripImpl {
        PagerTitleStripImplIcs() {
        }

        @Override // android.support.v4.view.PagerTitleStrip.PagerTitleStripImpl
        public void a(TextView textView) {
            PagerTitleStripIcs.a(textView);
        }
    }

    private static void setSingleLineAllCaps(TextView textView) {
        q.a(textView);
    }

    public PagerTitleStrip(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TextView textView = new TextView(context);
        this.b = textView;
        addView(textView);
        TextView textView2 = new TextView(context);
        this.c = textView2;
        addView(textView2);
        TextView textView3 = new TextView(context);
        this.d = textView3;
        addView(textView3);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, n);
        boolean z = false;
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            this.b.setTextAppearance(context, resourceId);
            this.c.setTextAppearance(context, resourceId);
            this.d.setTextAppearance(context, resourceId);
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        if (dimensionPixelSize != 0) {
            a(0, (float) dimensionPixelSize);
        }
        if (obtainStyledAttributes.hasValue(2)) {
            int color = obtainStyledAttributes.getColor(2, 0);
            this.b.setTextColor(color);
            this.c.setTextColor(color);
            this.d.setTextColor(color);
        }
        this.i = obtainStyledAttributes.getInteger(3, 80);
        obtainStyledAttributes.recycle();
        this.e = this.c.getTextColors().getDefaultColor();
        setNonPrimaryAlpha(0.6f);
        this.b.setEllipsize(TextUtils.TruncateAt.END);
        this.c.setEllipsize(TextUtils.TruncateAt.END);
        this.d.setEllipsize(TextUtils.TruncateAt.END);
        if (resourceId != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(resourceId, o);
            z = obtainStyledAttributes2.getBoolean(0, false);
            obtainStyledAttributes2.recycle();
        }
        if (z) {
            setSingleLineAllCaps(this.b);
            setSingleLineAllCaps(this.c);
            setSingleLineAllCaps(this.d);
        } else {
            this.b.setSingleLine();
            this.c.setSingleLine();
            this.d.setSingleLine();
        }
        this.h = (int) (context.getResources().getDisplayMetrics().density * 16.0f);
    }

    public void setTextSpacing(int i2) {
        this.h = i2;
        requestLayout();
    }

    public int getTextSpacing() {
        return this.h;
    }

    public void setNonPrimaryAlpha(@FloatRange float f2) {
        this.p = ((int) (f2 * 255.0f)) & WebView.NORMAL_MODE_ALPHA;
        int i2 = (this.p << 24) | (this.e & 16777215);
        this.b.setTextColor(i2);
        this.d.setTextColor(i2);
    }

    public void setTextColor(@ColorInt int i2) {
        this.e = i2;
        this.c.setTextColor(i2);
        int i3 = (this.p << 24) | (this.e & 16777215);
        this.b.setTextColor(i3);
        this.d.setTextColor(i3);
    }

    public void a(int i2, float f2) {
        this.b.setTextSize(i2, f2);
        this.c.setTextSize(i2, f2);
        this.d.setTextSize(i2, f2);
    }

    public void setGravity(int i2) {
        this.i = i2;
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof ViewPager) {
            ViewPager viewPager = (ViewPager) parent;
            PagerAdapter adapter = viewPager.getAdapter();
            viewPager.a((ViewPager.OnPageChangeListener) this.l);
            viewPager.a((ViewPager.OnAdapterChangeListener) this.l);
            this.f369a = viewPager;
            a(this.m != null ? this.m.get() : null, adapter);
            return;
        }
        throw new IllegalStateException("PagerTitleStrip must be a direct child of a ViewPager.");
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.f369a != null) {
            a(this.f369a.getAdapter(), (PagerAdapter) null);
            this.f369a.a((ViewPager.OnPageChangeListener) null);
            this.f369a.b(this.l);
            this.f369a = null;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, PagerAdapter pagerAdapter) {
        int a2 = pagerAdapter != null ? pagerAdapter.a() : 0;
        this.j = true;
        CharSequence charSequence = null;
        this.b.setText((i2 < 1 || pagerAdapter == null) ? null : pagerAdapter.a(i2 - 1));
        this.c.setText((pagerAdapter == null || i2 >= a2) ? null : pagerAdapter.a(i2));
        int i3 = i2 + 1;
        if (i3 < a2 && pagerAdapter != null) {
            charSequence = pagerAdapter.a(i3);
        }
        this.d.setText(charSequence);
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(0, (int) (((float) ((getWidth() - getPaddingLeft()) - getPaddingRight())) * 0.8f)), Integer.MIN_VALUE);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(Math.max(0, (getHeight() - getPaddingTop()) - getPaddingBottom()), Integer.MIN_VALUE);
        this.b.measure(makeMeasureSpec, makeMeasureSpec2);
        this.c.measure(makeMeasureSpec, makeMeasureSpec2);
        this.d.measure(makeMeasureSpec, makeMeasureSpec2);
        this.f = i2;
        if (!this.k) {
            a(i2, this.g, false);
        }
        this.j = false;
    }

    public void requestLayout() {
        if (!this.j) {
            super.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(PagerAdapter pagerAdapter, PagerAdapter pagerAdapter2) {
        if (pagerAdapter != null) {
            pagerAdapter.b(this.l);
            this.m = null;
        }
        if (pagerAdapter2 != null) {
            pagerAdapter2.a((DataSetObserver) this.l);
            this.m = new WeakReference<>(pagerAdapter2);
        }
        if (this.f369a != null) {
            this.f = -1;
            this.g = -1.0f;
            a(this.f369a.getCurrentItem(), pagerAdapter2);
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, float f2, boolean z) {
        int i3;
        int i4;
        int i5;
        if (i2 != this.f) {
            a(i2, this.f369a.getAdapter());
        } else if (!z && f2 == this.g) {
            return;
        }
        this.k = true;
        int measuredWidth = this.b.getMeasuredWidth();
        int measuredWidth2 = this.c.getMeasuredWidth();
        int measuredWidth3 = this.d.getMeasuredWidth();
        int i6 = measuredWidth2 / 2;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i7 = paddingRight + i6;
        int i8 = (width - (paddingLeft + i6)) - i7;
        float f3 = 0.5f + f2;
        if (f3 > 1.0f) {
            f3 -= 1.0f;
        }
        int i9 = ((width - i7) - ((int) (((float) i8) * f3))) - i6;
        int i10 = measuredWidth2 + i9;
        int baseline = this.b.getBaseline();
        int baseline2 = this.c.getBaseline();
        int baseline3 = this.d.getBaseline();
        int max = Math.max(Math.max(baseline, baseline2), baseline3);
        int i11 = max - baseline;
        int i12 = max - baseline2;
        int i13 = max - baseline3;
        int max2 = Math.max(Math.max(this.b.getMeasuredHeight() + i11, this.c.getMeasuredHeight() + i12), this.d.getMeasuredHeight() + i13);
        int i14 = this.i & 112;
        if (i14 == 16) {
            int i15 = (((height - paddingTop) - paddingBottom) - max2) / 2;
            i5 = i11 + i15;
            i3 = i12 + i15;
            i4 = i15 + i13;
        } else if (i14 != 80) {
            i5 = i11 + paddingTop;
            i3 = i12 + paddingTop;
            i4 = paddingTop + i13;
        } else {
            int i16 = (height - paddingBottom) - max2;
            i5 = i11 + i16;
            i3 = i12 + i16;
            i4 = i16 + i13;
        }
        this.c.layout(i9, i3, i10, this.c.getMeasuredHeight() + i3);
        int min = Math.min(paddingLeft, (i9 - this.h) - measuredWidth);
        this.b.layout(min, i5, measuredWidth + min, this.b.getMeasuredHeight() + i5);
        int max3 = Math.max((width - paddingRight) - measuredWidth3, i10 + this.h);
        this.d.layout(max3, i4, max3 + measuredWidth3, this.d.getMeasuredHeight() + i4);
        this.g = f2;
        this.k = false;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int i4;
        if (View.MeasureSpec.getMode(i2) == 1073741824) {
            int paddingTop = getPaddingTop() + getPaddingBottom();
            int childMeasureSpec = getChildMeasureSpec(i3, paddingTop, -2);
            int size = View.MeasureSpec.getSize(i2);
            int childMeasureSpec2 = getChildMeasureSpec(i2, (int) (((float) size) * 0.2f), -2);
            this.b.measure(childMeasureSpec2, childMeasureSpec);
            this.c.measure(childMeasureSpec2, childMeasureSpec);
            this.d.measure(childMeasureSpec2, childMeasureSpec);
            if (View.MeasureSpec.getMode(i3) == 1073741824) {
                i4 = View.MeasureSpec.getSize(i3);
            } else {
                i4 = Math.max(getMinHeight(), this.c.getMeasuredHeight() + paddingTop);
            }
            setMeasuredDimension(size, ViewCompat.a(i4, i3, ViewCompat.j(this.c) << 16));
            return;
        }
        throw new IllegalStateException("Must measure with an exact width");
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (this.f369a != null) {
            float f2 = 0.0f;
            if (this.g >= 0.0f) {
                f2 = this.g;
            }
            a(this.f, f2, true);
        }
    }

    /* access modifiers changed from: package-private */
    public int getMinHeight() {
        Drawable background = getBackground();
        if (background != null) {
            return background.getIntrinsicHeight();
        }
        return 0;
    }

    /* access modifiers changed from: private */
    public class PageListener extends DataSetObserver implements ViewPager.OnAdapterChangeListener, ViewPager.OnPageChangeListener {
        private int b;

        private PageListener() {
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void a(int i, float f, int i2) {
            if (f > 0.5f) {
                i++;
            }
            PagerTitleStrip.this.a(i, f, false);
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void a(int i) {
            if (this.b == 0) {
                PagerTitleStrip.this.a(PagerTitleStrip.this.f369a.getCurrentItem(), PagerTitleStrip.this.f369a.getAdapter());
                float f = 0.0f;
                if (PagerTitleStrip.this.g >= 0.0f) {
                    f = PagerTitleStrip.this.g;
                }
                PagerTitleStrip.this.a(PagerTitleStrip.this.f369a.getCurrentItem(), f, true);
            }
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void b(int i) {
            this.b = i;
        }

        @Override // android.support.v4.view.ViewPager.OnAdapterChangeListener
        public void a(ViewPager viewPager, PagerAdapter pagerAdapter, PagerAdapter pagerAdapter2) {
            PagerTitleStrip.this.a(pagerAdapter, pagerAdapter2);
        }

        public void onChanged() {
            PagerTitleStrip.this.a(PagerTitleStrip.this.f369a.getCurrentItem(), PagerTitleStrip.this.f369a.getAdapter());
            float f = 0.0f;
            if (PagerTitleStrip.this.g >= 0.0f) {
                f = PagerTitleStrip.this.g;
            }
            PagerTitleStrip.this.a(PagerTitleStrip.this.f369a.getCurrentItem(), f, true);
        }
    }
}
