package android.support.v4.view;

import android.os.Build;
import android.view.VelocityTracker;

public final class VelocityTrackerCompat {

    /* renamed from: a  reason: collision with root package name */
    static final VelocityTrackerVersionImpl f374a;

    interface VelocityTrackerVersionImpl {
        float a(VelocityTracker velocityTracker, int i);

        float b(VelocityTracker velocityTracker, int i);
    }

    static class BaseVelocityTrackerVersionImpl implements VelocityTrackerVersionImpl {
        BaseVelocityTrackerVersionImpl() {
        }

        @Override // android.support.v4.view.VelocityTrackerCompat.VelocityTrackerVersionImpl
        public float a(VelocityTracker velocityTracker, int i) {
            return velocityTracker.getXVelocity();
        }

        @Override // android.support.v4.view.VelocityTrackerCompat.VelocityTrackerVersionImpl
        public float b(VelocityTracker velocityTracker, int i) {
            return velocityTracker.getYVelocity();
        }
    }

    static class HoneycombVelocityTrackerVersionImpl implements VelocityTrackerVersionImpl {
        HoneycombVelocityTrackerVersionImpl() {
        }

        @Override // android.support.v4.view.VelocityTrackerCompat.VelocityTrackerVersionImpl
        public float a(VelocityTracker velocityTracker, int i) {
            return VelocityTrackerCompatHoneycomb.a(velocityTracker, i);
        }

        @Override // android.support.v4.view.VelocityTrackerCompat.VelocityTrackerVersionImpl
        public float b(VelocityTracker velocityTracker, int i) {
            return VelocityTrackerCompatHoneycomb.b(velocityTracker, i);
        }
    }

    static {
        if (Build.VERSION.SDK_INT >= 11) {
            f374a = new HoneycombVelocityTrackerVersionImpl();
        } else {
            f374a = new BaseVelocityTrackerVersionImpl();
        }
    }

    public static float a(VelocityTracker velocityTracker, int i) {
        return f374a.a(velocityTracker, i);
    }

    public static float b(VelocityTracker velocityTracker, int i) {
        return f374a.b(velocityTracker, i);
    }

    private VelocityTrackerCompat() {
    }
}
