package android.support.v4.view;

import android.content.res.ColorStateList;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.support.annotation.FloatRange;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.os.BuildCompat;
import android.support.v4.view.accessibility.AccessibilityNodeInfoCompat;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.WeakHashMap;

public class ViewCompat {

    /* renamed from: a  reason: collision with root package name */
    static final ViewCompatImpl f375a;

    @Retention(RetentionPolicy.SOURCE)
    public @interface FocusDirection {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface FocusRealDirection {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface FocusRelativeDirection {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface ScrollIndicators {
    }

    interface ViewCompatImpl {
        boolean A(View view);

        int a(int i, int i2, int i3);

        int a(View view);

        WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat);

        void a(View view, float f);

        void a(View view, int i, int i2);

        void a(View view, int i, int i2, int i3, int i4);

        void a(View view, int i, Paint paint);

        void a(View view, ColorStateList colorStateList);

        void a(View view, Paint paint);

        void a(View view, PorterDuff.Mode mode);

        void a(View view, @Nullable AccessibilityDelegateCompat accessibilityDelegateCompat);

        void a(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener);

        void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat);

        void a(View view, AccessibilityEvent accessibilityEvent);

        void a(View view, Runnable runnable);

        void a(View view, Runnable runnable, long j);

        void a(View view, boolean z);

        void a(ViewGroup viewGroup, boolean z);

        boolean a(View view, int i);

        boolean a(View view, int i, Bundle bundle);

        WindowInsetsCompat b(View view, WindowInsetsCompat windowInsetsCompat);

        void b(View view);

        void b(View view, float f);

        void b(View view, boolean z);

        boolean b(View view, int i);

        int c(View view);

        void c(View view, float f);

        void c(View view, int i);

        float d(View view);

        void d(View view, float f);

        void d(View view, int i);

        int e(View view);

        void e(View view, float f);

        void e(View view, int i);

        int f(View view);

        ViewParent g(View view);

        boolean h(View view);

        int i(View view);

        int j(View view);

        boolean k(View view);

        float l(View view);

        float m(View view);

        int n(View view);

        ViewPropertyAnimatorCompat o(View view);

        int p(View view);

        void q(View view);

        float r(View view);

        boolean s(View view);

        void t(View view);

        boolean u(View view);

        ColorStateList v(View view);

        PorterDuff.Mode w(View view);

        void x(View view);

        boolean y(View view);

        boolean z(View view);
    }

    static class BaseViewCompatImpl implements ViewCompatImpl {

        /* renamed from: a  reason: collision with root package name */
        WeakHashMap<View, ViewPropertyAnimatorCompat> f376a = null;

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean A(View view) {
            return false;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int a(View view) {
            return 2;
        }

        /* access modifiers changed from: package-private */
        public long a() {
            return 10;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat) {
            return windowInsetsCompat;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, float f) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, int i, int i2) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, int i, Paint paint) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, Paint paint) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, AccessibilityDelegateCompat accessibilityDelegateCompat) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, AccessibilityEvent accessibilityEvent) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, boolean z) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(ViewGroup viewGroup, boolean z) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean a(View view, int i, Bundle bundle) {
            return false;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public WindowInsetsCompat b(View view, WindowInsetsCompat windowInsetsCompat) {
            return windowInsetsCompat;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void b(View view, float f) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void b(View view, boolean z) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int c(View view) {
            return 0;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void c(View view, float f) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void c(View view, int i) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public float d(View view) {
            return 1.0f;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void d(View view, float f) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int e(View view) {
            return 0;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void e(View view, float f) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int f(View view) {
            return 0;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int j(View view) {
            return 0;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean k(View view) {
            return true;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public float l(View view) {
            return 0.0f;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public float m(View view) {
            return 0.0f;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int p(View view) {
            return 0;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void q(View view) {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public float r(View view) {
            return 0.0f;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean s(View view) {
            return false;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void t(View view) {
        }

        BaseViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean a(View view, int i) {
            return (view instanceof ScrollingView) && a((ScrollingView) view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean b(View view, int i) {
            return (view instanceof ScrollingView) && b((ScrollingView) view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void b(View view) {
            view.invalidate();
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, int i, int i2, int i3, int i4) {
            view.invalidate(i, i2, i3, i4);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, Runnable runnable) {
            view.postDelayed(runnable, a());
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, Runnable runnable, long j) {
            view.postDelayed(runnable, a() + j);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public ViewParent g(View view) {
            return view.getParent();
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean h(View view) {
            Drawable background = view.getBackground();
            if (background == null || background.getOpacity() != -1) {
                return false;
            }
            return true;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int a(int i, int i2, int i3) {
            return View.resolveSize(i, i2);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int i(View view) {
            return view.getMeasuredWidth();
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public int n(View view) {
            return ViewCompatBase.d(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public ViewPropertyAnimatorCompat o(View view) {
            return new ViewPropertyAnimatorCompat(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean u(View view) {
            if (view instanceof NestedScrollingChild) {
                return ((NestedScrollingChild) view).isNestedScrollingEnabled();
            }
            return false;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public ColorStateList v(View view) {
            return ViewCompatBase.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, ColorStateList colorStateList) {
            ViewCompatBase.a(view, colorStateList);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void a(View view, PorterDuff.Mode mode) {
            ViewCompatBase.a(view, mode);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public PorterDuff.Mode w(View view) {
            return ViewCompatBase.b(view);
        }

        private boolean a(ScrollingView scrollingView, int i) {
            int computeHorizontalScrollOffset = scrollingView.computeHorizontalScrollOffset();
            int computeHorizontalScrollRange = scrollingView.computeHorizontalScrollRange() - scrollingView.computeHorizontalScrollExtent();
            if (computeHorizontalScrollRange == 0) {
                return false;
            }
            return i < 0 ? computeHorizontalScrollOffset > 0 : computeHorizontalScrollOffset < computeHorizontalScrollRange - 1;
        }

        private boolean b(ScrollingView scrollingView, int i) {
            int computeVerticalScrollOffset = scrollingView.computeVerticalScrollOffset();
            int computeVerticalScrollRange = scrollingView.computeVerticalScrollRange() - scrollingView.computeVerticalScrollExtent();
            if (computeVerticalScrollRange == 0) {
                return false;
            }
            return i < 0 ? computeVerticalScrollOffset > 0 : computeVerticalScrollOffset < computeVerticalScrollRange - 1;
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void x(View view) {
            if (view instanceof NestedScrollingChild) {
                ((NestedScrollingChild) view).stopNestedScroll();
            }
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean y(View view) {
            return ViewCompatBase.c(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public boolean z(View view) {
            return ViewCompatBase.e(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void d(View view, int i) {
            ViewCompatBase.b(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl
        public void e(View view, int i) {
            ViewCompatBase.a(view, i);
        }
    }

    static class EclairMr1ViewCompatImpl extends BaseViewCompatImpl {
        EclairMr1ViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean h(View view) {
            return ViewCompatEclairMr1.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(ViewGroup viewGroup, boolean z) {
            ViewCompatEclairMr1.a(viewGroup, z);
        }
    }

    static class GBViewCompatImpl extends EclairMr1ViewCompatImpl {
        GBViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int a(View view) {
            return ViewCompatGingerbread.a(view);
        }
    }

    static class HCViewCompatImpl extends GBViewCompatImpl {
        HCViewCompatImpl() {
        }

        /* access modifiers changed from: package-private */
        @Override // android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public long a() {
            return ViewCompatHC.a();
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public float d(View view) {
            return ViewCompatHC.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, int i, Paint paint) {
            ViewCompatHC.a(view, i, paint);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int e(View view) {
            return ViewCompatHC.b(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, Paint paint) {
            a(view, e(view), paint);
            view.invalidate();
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int a(int i, int i2, int i3) {
            return ViewCompatHC.a(i, i2, i3);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int i(View view) {
            return ViewCompatHC.c(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int j(View view) {
            return ViewCompatHC.d(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public float l(View view) {
            return ViewCompatHC.e(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, float f) {
            ViewCompatHC.a(view, f);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void b(View view, float f) {
            ViewCompatHC.b(view, f);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void c(View view, float f) {
            ViewCompatHC.c(view, f);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void d(View view, float f) {
            ViewCompatHC.d(view, f);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public float m(View view) {
            return ViewCompatHC.f(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void t(View view) {
            ViewCompatHC.g(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, boolean z) {
            ViewCompatHC.a(view, z);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void b(View view, boolean z) {
            ViewCompatHC.b(view, z);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void d(View view, int i) {
            ViewCompatHC.b(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void e(View view, int i) {
            ViewCompatHC.a(view, i);
        }
    }

    static class ICSViewCompatImpl extends HCViewCompatImpl {
        static boolean b = false;

        ICSViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean a(View view, int i) {
            return ViewCompatICS.a(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean b(View view, int i) {
            return ViewCompatICS.b(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, AccessibilityEvent accessibilityEvent) {
            ViewCompatICS.a(view, accessibilityEvent);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            ViewCompatICS.b(view, accessibilityNodeInfoCompat.a());
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, @Nullable AccessibilityDelegateCompat accessibilityDelegateCompat) {
            ViewCompatICS.a(view, accessibilityDelegateCompat == null ? null : accessibilityDelegateCompat.a());
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public ViewPropertyAnimatorCompat o(View view) {
            if (this.f376a == null) {
                this.f376a = new WeakHashMap();
            }
            ViewPropertyAnimatorCompat viewPropertyAnimatorCompat = (ViewPropertyAnimatorCompat) this.f376a.get(view);
            if (viewPropertyAnimatorCompat != null) {
                return viewPropertyAnimatorCompat;
            }
            ViewPropertyAnimatorCompat viewPropertyAnimatorCompat2 = new ViewPropertyAnimatorCompat(view);
            this.f376a.put(view, viewPropertyAnimatorCompat2);
            return viewPropertyAnimatorCompat2;
        }
    }

    static class ICSMr1ViewCompatImpl extends ICSViewCompatImpl {
        ICSMr1ViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean A(View view) {
            return ViewCompatICSMr1.a(view);
        }
    }

    static class JBViewCompatImpl extends ICSMr1ViewCompatImpl {
        JBViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void b(View view) {
            ViewCompatJB.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, int i, int i2, int i3, int i4) {
            ViewCompatJB.a(view, i, i2, i3, i4);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, Runnable runnable) {
            ViewCompatJB.a(view, runnable);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, Runnable runnable, long j) {
            ViewCompatJB.a(view, runnable, j);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int c(View view) {
            return ViewCompatJB.b(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void c(View view, int i) {
            if (i == 4) {
                i = 2;
            }
            ViewCompatJB.a(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean a(View view, int i, Bundle bundle) {
            return ViewCompatJB.a(view, i, bundle);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public ViewParent g(View view) {
            return ViewCompatJB.c(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int n(View view) {
            return ViewCompatJB.d(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void q(View view) {
            ViewCompatJB.e(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean s(View view) {
            return ViewCompatJB.f(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean k(View view) {
            return ViewCompatJB.g(view);
        }
    }

    static class JbMr1ViewCompatImpl extends JBViewCompatImpl {
        JbMr1ViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.HCViewCompatImpl
        public void a(View view, Paint paint) {
            ViewCompatJellybeanMr1.a(view, paint);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int f(View view) {
            return ViewCompatJellybeanMr1.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public int p(View view) {
            return ViewCompatJellybeanMr1.b(view);
        }
    }

    static class JbMr2ViewCompatImpl extends JbMr1ViewCompatImpl {
        JbMr2ViewCompatImpl() {
        }
    }

    static class KitKatViewCompatImpl extends JbMr2ViewCompatImpl {
        KitKatViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.JBViewCompatImpl
        public void c(View view, int i) {
            ViewCompatJB.a(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean y(View view) {
            return ViewCompatKitKat.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean z(View view) {
            return ViewCompatKitKat.b(view);
        }
    }

    static class LollipopViewCompatImpl extends KitKatViewCompatImpl {
        LollipopViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.JBViewCompatImpl
        public void q(View view) {
            ViewCompatLollipop.a(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void e(View view, float f) {
            ViewCompatLollipop.a(view, f);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public float r(View view) {
            return ViewCompatLollipop.b(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
            ViewCompatLollipop.a(view, onApplyWindowInsetsListener);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public boolean u(View view) {
            return ViewCompatLollipop.e(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void x(View view) {
            ViewCompatLollipop.f(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public ColorStateList v(View view) {
            return ViewCompatLollipop.c(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, ColorStateList colorStateList) {
            ViewCompatLollipop.a(view, colorStateList);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, PorterDuff.Mode mode) {
            ViewCompatLollipop.a(view, mode);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public PorterDuff.Mode w(View view) {
            return ViewCompatLollipop.d(view);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat) {
            return ViewCompatLollipop.a(view, windowInsetsCompat);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public WindowInsetsCompat b(View view, WindowInsetsCompat windowInsetsCompat) {
            return ViewCompatLollipop.b(view, windowInsetsCompat);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.HCViewCompatImpl
        public void d(View view, int i) {
            ViewCompatLollipop.b(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.HCViewCompatImpl
        public void e(View view, int i) {
            ViewCompatLollipop.a(view, i);
        }
    }

    static class MarshmallowViewCompatImpl extends LollipopViewCompatImpl {
        MarshmallowViewCompatImpl() {
        }

        @Override // android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl
        public void a(View view, int i, int i2) {
            ViewCompatMarshmallow.a(view, i, i2);
        }

        @Override // android.support.v4.view.ViewCompat.LollipopViewCompatImpl, android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.HCViewCompatImpl
        public void d(View view, int i) {
            ViewCompatMarshmallow.b(view, i);
        }

        @Override // android.support.v4.view.ViewCompat.LollipopViewCompatImpl, android.support.v4.view.ViewCompat.ViewCompatImpl, android.support.v4.view.ViewCompat.BaseViewCompatImpl, android.support.v4.view.ViewCompat.HCViewCompatImpl
        public void e(View view, int i) {
            ViewCompatMarshmallow.a(view, i);
        }
    }

    static class Api24ViewCompatImpl extends MarshmallowViewCompatImpl {
        Api24ViewCompatImpl() {
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (BuildCompat.a()) {
            f375a = new Api24ViewCompatImpl();
        } else if (i >= 23) {
            f375a = new MarshmallowViewCompatImpl();
        } else if (i >= 21) {
            f375a = new LollipopViewCompatImpl();
        } else if (i >= 19) {
            f375a = new KitKatViewCompatImpl();
        } else if (i >= 18) {
            f375a = new JbMr2ViewCompatImpl();
        } else if (i >= 17) {
            f375a = new JbMr1ViewCompatImpl();
        } else if (i >= 16) {
            f375a = new JBViewCompatImpl();
        } else if (i >= 15) {
            f375a = new ICSMr1ViewCompatImpl();
        } else if (i >= 14) {
            f375a = new ICSViewCompatImpl();
        } else if (i >= 11) {
            f375a = new HCViewCompatImpl();
        } else if (i >= 9) {
            f375a = new GBViewCompatImpl();
        } else if (i >= 7) {
            f375a = new EclairMr1ViewCompatImpl();
        } else {
            f375a = new BaseViewCompatImpl();
        }
    }

    public static boolean a(View view, int i) {
        return f375a.a(view, i);
    }

    public static boolean b(View view, int i) {
        return f375a.b(view, i);
    }

    public static int a(View view) {
        return f375a.a(view);
    }

    public static void a(View view, AccessibilityEvent accessibilityEvent) {
        f375a.a(view, accessibilityEvent);
    }

    public static void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
        f375a.a(view, accessibilityNodeInfoCompat);
    }

    public static void a(View view, AccessibilityDelegateCompat accessibilityDelegateCompat) {
        f375a.a(view, accessibilityDelegateCompat);
    }

    public static void b(View view) {
        f375a.b(view);
    }

    public static void a(View view, int i, int i2, int i3, int i4) {
        f375a.a(view, i, i2, i3, i4);
    }

    public static void a(View view, Runnable runnable) {
        f375a.a(view, runnable);
    }

    public static void a(View view, Runnable runnable, long j) {
        f375a.a(view, runnable, j);
    }

    public static int c(View view) {
        return f375a.c(view);
    }

    public static void c(View view, int i) {
        f375a.c(view, i);
    }

    public static boolean a(View view, int i, Bundle bundle) {
        return f375a.a(view, i, bundle);
    }

    public static float d(View view) {
        return f375a.d(view);
    }

    public static void a(View view, int i, Paint paint) {
        f375a.a(view, i, paint);
    }

    public static int e(View view) {
        return f375a.e(view);
    }

    public static void a(View view, Paint paint) {
        f375a.a(view, paint);
    }

    public static int f(View view) {
        return f375a.f(view);
    }

    public static ViewParent g(View view) {
        return f375a.g(view);
    }

    public static boolean h(View view) {
        return f375a.h(view);
    }

    public static int a(int i, int i2, int i3) {
        return f375a.a(i, i2, i3);
    }

    public static int i(View view) {
        return f375a.i(view);
    }

    public static int j(View view) {
        return f375a.j(view);
    }

    public static float k(View view) {
        return f375a.l(view);
    }

    public static int l(View view) {
        return f375a.n(view);
    }

    public static ViewPropertyAnimatorCompat m(View view) {
        return f375a.o(view);
    }

    public static void a(View view, float f) {
        f375a.a(view, f);
    }

    public static void b(View view, @FloatRange float f) {
        f375a.b(view, f);
    }

    public static void c(View view, float f) {
        f375a.c(view, f);
    }

    public static void d(View view, float f) {
        f375a.d(view, f);
    }

    public static float n(View view) {
        return f375a.m(view);
    }

    public static void e(View view, float f) {
        f375a.e(view, f);
    }

    public static float o(View view) {
        return f375a.r(view);
    }

    public static int p(View view) {
        return f375a.p(view);
    }

    public static void q(View view) {
        f375a.q(view);
    }

    public static void a(ViewGroup viewGroup, boolean z) {
        f375a.a(viewGroup, z);
    }

    public static boolean r(View view) {
        return f375a.s(view);
    }

    public static void s(View view) {
        f375a.t(view);
    }

    public static void a(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        f375a.a(view, onApplyWindowInsetsListener);
    }

    public static WindowInsetsCompat a(View view, WindowInsetsCompat windowInsetsCompat) {
        return f375a.a(view, windowInsetsCompat);
    }

    public static WindowInsetsCompat b(View view, WindowInsetsCompat windowInsetsCompat) {
        return f375a.b(view, windowInsetsCompat);
    }

    public static void a(View view, boolean z) {
        f375a.a(view, z);
    }

    public static void b(View view, boolean z) {
        f375a.b(view, z);
    }

    public static boolean t(View view) {
        return f375a.k(view);
    }

    public static ColorStateList u(View view) {
        return f375a.v(view);
    }

    public static void a(View view, ColorStateList colorStateList) {
        f375a.a(view, colorStateList);
    }

    public static PorterDuff.Mode v(View view) {
        return f375a.w(view);
    }

    public static void a(View view, PorterDuff.Mode mode) {
        f375a.a(view, mode);
    }

    public static boolean w(View view) {
        return f375a.u(view);
    }

    public static void x(View view) {
        f375a.x(view);
    }

    public static boolean y(View view) {
        return f375a.y(view);
    }

    public static void d(View view, int i) {
        f375a.e(view, i);
    }

    public static void e(View view, int i) {
        f375a.d(view, i);
    }

    public static boolean z(View view) {
        return f375a.z(view);
    }

    public static boolean A(View view) {
        return f375a.A(view);
    }

    public static void a(@NonNull View view, int i, int i2) {
        f375a.a(view, i, i2);
    }

    protected ViewCompat() {
    }
}
