package android.support.v4.widget;

import android.content.res.Resources;
import android.os.SystemClock;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.ViewCompat;
import android.util.DisplayMetrics;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;

public abstract class AutoScrollHelper implements View.OnTouchListener {
    private static final int r = ViewConfiguration.getTapTimeout();

    /* renamed from: a  reason: collision with root package name */
    private final ClampedScroller f417a = new ClampedScroller();
    private final Interpolator b = new AccelerateInterpolator();
    private final View c;
    private Runnable d;
    private float[] e = {0.0f, 0.0f};
    private float[] f = {Float.MAX_VALUE, Float.MAX_VALUE};
    private int g;
    private int h;
    private float[] i = {0.0f, 0.0f};
    private float[] j = {0.0f, 0.0f};
    private float[] k = {Float.MAX_VALUE, Float.MAX_VALUE};
    private boolean l;
    private boolean m;
    private boolean n;
    private boolean o;
    private boolean p;
    private boolean q;

    /* access modifiers changed from: private */
    public static float b(float f2, float f3, float f4) {
        return f2 > f4 ? f4 : f2 < f3 ? f3 : f2;
    }

    /* access modifiers changed from: private */
    public static int b(int i2, int i3, int i4) {
        return i2 > i4 ? i4 : i2 < i3 ? i3 : i2;
    }

    public abstract void a(int i2, int i3);

    public abstract boolean e(int i2);

    public abstract boolean f(int i2);

    public AutoScrollHelper(View view) {
        this.c = view;
        DisplayMetrics displayMetrics = Resources.getSystem().getDisplayMetrics();
        float f2 = (float) ((int) ((displayMetrics.density * 1575.0f) + 0.5f));
        a(f2, f2);
        float f3 = (float) ((int) ((displayMetrics.density * 315.0f) + 0.5f));
        b(f3, f3);
        a(1);
        e(Float.MAX_VALUE, Float.MAX_VALUE);
        d(0.2f, 0.2f);
        c(1.0f, 1.0f);
        b(r);
        c(500);
        d(500);
    }

    public AutoScrollHelper a(boolean z) {
        if (this.p && !z) {
            c();
        }
        this.p = z;
        return this;
    }

    public AutoScrollHelper a(float f2, float f3) {
        this.k[0] = f2 / 1000.0f;
        this.k[1] = f3 / 1000.0f;
        return this;
    }

    public AutoScrollHelper b(float f2, float f3) {
        this.j[0] = f2 / 1000.0f;
        this.j[1] = f3 / 1000.0f;
        return this;
    }

    public AutoScrollHelper c(float f2, float f3) {
        this.i[0] = f2 / 1000.0f;
        this.i[1] = f3 / 1000.0f;
        return this;
    }

    public AutoScrollHelper a(int i2) {
        this.g = i2;
        return this;
    }

    public AutoScrollHelper d(float f2, float f3) {
        this.e[0] = f2;
        this.e[1] = f3;
        return this;
    }

    public AutoScrollHelper e(float f2, float f3) {
        this.f[0] = f2;
        this.f[1] = f3;
        return this;
    }

    public AutoScrollHelper b(int i2) {
        this.h = i2;
        return this;
    }

    public AutoScrollHelper c(int i2) {
        this.f417a.a(i2);
        return this;
    }

    public AutoScrollHelper d(int i2) {
        this.f417a.b(i2);
        return this;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    public boolean onTouch(View view, MotionEvent motionEvent) {
        if (!this.p) {
            return false;
        }
        switch (MotionEventCompat.a(motionEvent)) {
            case 0:
                this.n = true;
                this.l = false;
                this.f417a.a(a(0, motionEvent.getX(), (float) view.getWidth(), (float) this.c.getWidth()), a(1, motionEvent.getY(), (float) view.getHeight(), (float) this.c.getHeight()));
                if (!this.o && a()) {
                    b();
                    break;
                }
            case 1:
            case 3:
                c();
                break;
            case 2:
                this.f417a.a(a(0, motionEvent.getX(), (float) view.getWidth(), (float) this.c.getWidth()), a(1, motionEvent.getY(), (float) view.getHeight(), (float) this.c.getHeight()));
                b();
                break;
        }
        if (!this.q || !this.o) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a() {
        ClampedScroller clampedScroller = this.f417a;
        int f2 = clampedScroller.f();
        int e2 = clampedScroller.e();
        return (f2 != 0 && f(f2)) || (e2 != 0 && e(e2));
    }

    private void b() {
        if (this.d == null) {
            this.d = new ScrollAnimationRunnable();
        }
        this.o = true;
        this.m = true;
        if (this.l || this.h <= 0) {
            this.d.run();
        } else {
            ViewCompat.a(this.c, this.d, (long) this.h);
        }
        this.l = true;
    }

    private void c() {
        if (this.m) {
            this.o = false;
        } else {
            this.f417a.b();
        }
    }

    private float a(int i2, float f2, float f3, float f4) {
        float a2 = a(this.e[i2], f3, this.f[i2], f2);
        int i3 = (a2 > 0.0f ? 1 : (a2 == 0.0f ? 0 : -1));
        if (i3 == 0) {
            return 0.0f;
        }
        float f5 = this.i[i2];
        float f6 = this.j[i2];
        float f7 = this.k[i2];
        float f8 = f5 * f4;
        if (i3 > 0) {
            return b(a2 * f8, f6, f7);
        }
        return -b((-a2) * f8, f6, f7);
    }

    private float a(float f2, float f3, float f4, float f5) {
        float f6;
        float b2 = b(f2 * f3, 0.0f, f4);
        float f7 = f(f3 - f5, b2) - f(f5, b2);
        if (f7 < 0.0f) {
            f6 = -this.b.getInterpolation(-f7);
        } else if (f7 <= 0.0f) {
            return 0.0f;
        } else {
            f6 = this.b.getInterpolation(f7);
        }
        return b(f6, -1.0f, 1.0f);
    }

    private float f(float f2, float f3) {
        if (f3 == 0.0f) {
            return 0.0f;
        }
        switch (this.g) {
            case 0:
            case 1:
                if (f2 < f3) {
                    if (f2 >= 0.0f) {
                        return 1.0f - (f2 / f3);
                    }
                    return (!this.o || this.g != 1) ? 0.0f : 1.0f;
                }
                break;
            case 2:
                if (f2 < 0.0f) {
                    return f2 / (-f3);
                }
                break;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
        this.c.onTouchEvent(obtain);
        obtain.recycle();
    }

    /* access modifiers changed from: private */
    public class ScrollAnimationRunnable implements Runnable {
        private ScrollAnimationRunnable() {
        }

        public void run() {
            if (AutoScrollHelper.this.o) {
                if (AutoScrollHelper.this.m) {
                    AutoScrollHelper.this.m = false;
                    AutoScrollHelper.this.f417a.a();
                }
                ClampedScroller clampedScroller = AutoScrollHelper.this.f417a;
                if (clampedScroller.c() || !AutoScrollHelper.this.a()) {
                    AutoScrollHelper.this.o = false;
                    return;
                }
                if (AutoScrollHelper.this.n) {
                    AutoScrollHelper.this.n = false;
                    AutoScrollHelper.this.d();
                }
                clampedScroller.d();
                AutoScrollHelper.this.a(clampedScroller.g(), clampedScroller.h());
                ViewCompat.a(AutoScrollHelper.this.c, this);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class ClampedScroller {

        /* renamed from: a  reason: collision with root package name */
        private int f418a;
        private int b;
        private float c;
        private float d;
        private long e = Long.MIN_VALUE;
        private long f = 0;
        private int g = 0;
        private int h = 0;
        private long i = -1;
        private float j;
        private int k;

        private float a(float f2) {
            return (-4.0f * f2 * f2) + (f2 * 4.0f);
        }

        public void a(int i2) {
            this.f418a = i2;
        }

        public void b(int i2) {
            this.b = i2;
        }

        public void a() {
            this.e = AnimationUtils.currentAnimationTimeMillis();
            this.i = -1;
            this.f = this.e;
            this.j = 0.5f;
            this.g = 0;
            this.h = 0;
        }

        public void b() {
            long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
            this.k = AutoScrollHelper.b((int) (currentAnimationTimeMillis - this.e), 0, this.b);
            this.j = a(currentAnimationTimeMillis);
            this.i = currentAnimationTimeMillis;
        }

        public boolean c() {
            return this.i > 0 && AnimationUtils.currentAnimationTimeMillis() > this.i + ((long) this.k);
        }

        private float a(long j2) {
            if (j2 < this.e) {
                return 0.0f;
            }
            if (this.i < 0 || j2 < this.i) {
                return AutoScrollHelper.b(((float) (j2 - this.e)) / ((float) this.f418a), 0.0f, 1.0f) * 0.5f;
            }
            return (1.0f - this.j) + (this.j * AutoScrollHelper.b(((float) (j2 - this.i)) / ((float) this.k), 0.0f, 1.0f));
        }

        public void d() {
            if (this.f != 0) {
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float a2 = a(a(currentAnimationTimeMillis));
                this.f = currentAnimationTimeMillis;
                float f2 = ((float) (currentAnimationTimeMillis - this.f)) * a2;
                this.g = (int) (this.c * f2);
                this.h = (int) (f2 * this.d);
                return;
            }
            throw new RuntimeException("Cannot compute scroll delta before calling start()");
        }

        public void a(float f2, float f3) {
            this.c = f2;
            this.d = f3;
        }

        public int e() {
            return (int) (this.c / Math.abs(this.c));
        }

        public int f() {
            return (int) (this.d / Math.abs(this.d));
        }

        public int g() {
            return this.g;
        }

        public int h() {
            return this.h;
        }
    }
}
