package android.support.v4.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.widget.CompoundButton;

public final class CompoundButtonCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final CompoundButtonCompatImpl f422a;

    interface CompoundButtonCompatImpl {
        Drawable a(CompoundButton compoundButton);

        void a(CompoundButton compoundButton, ColorStateList colorStateList);

        void a(CompoundButton compoundButton, PorterDuff.Mode mode);
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 23) {
            f422a = new Api23CompoundButtonImpl();
        } else if (i >= 21) {
            f422a = new LollipopCompoundButtonImpl();
        } else {
            f422a = new BaseCompoundButtonCompat();
        }
    }

    static class BaseCompoundButtonCompat implements CompoundButtonCompatImpl {
        BaseCompoundButtonCompat() {
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public void a(CompoundButton compoundButton, ColorStateList colorStateList) {
            CompoundButtonCompatDonut.a(compoundButton, colorStateList);
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public void a(CompoundButton compoundButton, PorterDuff.Mode mode) {
            CompoundButtonCompatDonut.a(compoundButton, mode);
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public Drawable a(CompoundButton compoundButton) {
            return CompoundButtonCompatDonut.a(compoundButton);
        }
    }

    static class LollipopCompoundButtonImpl extends BaseCompoundButtonCompat {
        LollipopCompoundButtonImpl() {
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.BaseCompoundButtonCompat, android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public void a(CompoundButton compoundButton, ColorStateList colorStateList) {
            CompoundButtonCompatLollipop.a(compoundButton, colorStateList);
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.BaseCompoundButtonCompat, android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public void a(CompoundButton compoundButton, PorterDuff.Mode mode) {
            CompoundButtonCompatLollipop.a(compoundButton, mode);
        }
    }

    static class Api23CompoundButtonImpl extends LollipopCompoundButtonImpl {
        Api23CompoundButtonImpl() {
        }

        @Override // android.support.v4.widget.CompoundButtonCompat.BaseCompoundButtonCompat, android.support.v4.widget.CompoundButtonCompat.CompoundButtonCompatImpl
        public Drawable a(CompoundButton compoundButton) {
            return CompoundButtonCompatApi23.a(compoundButton);
        }
    }

    private CompoundButtonCompat() {
    }

    public static void a(@NonNull CompoundButton compoundButton, @Nullable ColorStateList colorStateList) {
        f422a.a(compoundButton, colorStateList);
    }

    public static void a(@NonNull CompoundButton compoundButton, @Nullable PorterDuff.Mode mode) {
        f422a.a(compoundButton, mode);
    }

    @Nullable
    public static Drawable a(@NonNull CompoundButton compoundButton) {
        return f422a.a(compoundButton);
    }
}
