package android.support.v4.widget;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.support.annotation.NonNull;
import android.support.v4.view.animation.FastOutSlowInInterpolator;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import android.view.animation.Transformation;
import com.tencent.smtt.sdk.WebView;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
public class MaterialProgressDrawable extends Drawable implements Animatable {
    private static final Interpolator b = new LinearInterpolator();
    private static final Interpolator c = new FastOutSlowInInterpolator();

    /* renamed from: a  reason: collision with root package name */
    boolean f441a;
    private final int[] d = {-16777216};
    private final ArrayList<Animation> e = new ArrayList<>();
    private final Ring f;
    private float g;
    private Resources h;
    private View i;
    private Animation j;
    private float k;
    private double l;
    private double m;
    private final Drawable.Callback n = new Drawable.Callback() {
        /* class android.support.v4.widget.MaterialProgressDrawable.AnonymousClass3 */

        public void invalidateDrawable(Drawable drawable) {
            MaterialProgressDrawable.this.invalidateSelf();
        }

        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
            MaterialProgressDrawable.this.scheduleSelf(runnable, j);
        }

        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            MaterialProgressDrawable.this.unscheduleSelf(runnable);
        }
    };

    @Retention(RetentionPolicy.CLASS)
    public @interface ProgressDrawableSize {
    }

    public int getOpacity() {
        return -3;
    }

    public MaterialProgressDrawable(Context context, View view) {
        this.i = view;
        this.h = context.getResources();
        this.f = new Ring(this.n);
        this.f.a(this.d);
        a(1);
        b();
    }

    private void a(double d2, double d3, double d4, double d5, float f2, float f3) {
        Ring ring = this.f;
        float f4 = this.h.getDisplayMetrics().density;
        double d6 = (double) f4;
        this.l = d2 * d6;
        this.m = d3 * d6;
        ring.a(((float) d5) * f4);
        ring.a(d4 * d6);
        ring.c(0);
        ring.a(f2 * f4, f3 * f4);
        ring.a((int) this.l, (int) this.m);
    }

    public void a(@ProgressDrawableSize int i2) {
        if (i2 == 0) {
            a(56.0d, 56.0d, 12.5d, 3.0d, 12.0f, 6.0f);
        } else {
            a(40.0d, 40.0d, 8.75d, 2.5d, 10.0f, 5.0f);
        }
    }

    public void a(boolean z) {
        this.f.a(z);
    }

    public void a(float f2) {
        this.f.e(f2);
    }

    public void a(float f2, float f3) {
        this.f.b(f2);
        this.f.c(f3);
    }

    public void b(float f2) {
        this.f.d(f2);
    }

    public void b(int i2) {
        this.f.a(i2);
    }

    public void a(int... iArr) {
        this.f.a(iArr);
        this.f.c(0);
    }

    public int getIntrinsicHeight() {
        return (int) this.m;
    }

    public int getIntrinsicWidth() {
        return (int) this.l;
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        int save = canvas.save();
        canvas.rotate(this.g, bounds.exactCenterX(), bounds.exactCenterY());
        this.f.a(canvas, bounds);
        canvas.restoreToCount(save);
    }

    public void setAlpha(int i2) {
        this.f.d(i2);
    }

    public int getAlpha() {
        return this.f.c();
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f.a(colorFilter);
    }

    /* access modifiers changed from: package-private */
    public void c(float f2) {
        this.g = f2;
        invalidateSelf();
    }

    public boolean isRunning() {
        ArrayList<Animation> arrayList = this.e;
        int size = arrayList.size();
        for (int i2 = 0; i2 < size; i2++) {
            Animation animation = arrayList.get(i2);
            if (animation.hasStarted() && !animation.hasEnded()) {
                return true;
            }
        }
        return false;
    }

    public void start() {
        this.j.reset();
        this.f.l();
        if (this.f.i() != this.f.e()) {
            this.f441a = true;
            this.j.setDuration(666);
            this.i.startAnimation(this.j);
            return;
        }
        this.f.c(0);
        this.f.m();
        this.j.setDuration(1332);
        this.i.startAnimation(this.j);
    }

    public void stop() {
        this.i.clearAnimation();
        c(0.0f);
        this.f.a(false);
        this.f.c(0);
        this.f.m();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private float a(Ring ring) {
        return (float) Math.toRadians(((double) ring.d()) / (ring.j() * 6.283185307179586d));
    }

    private int a(float f2, int i2, int i3) {
        int intValue = Integer.valueOf(i2).intValue();
        int i4 = (intValue >> 24) & WebView.NORMAL_MODE_ALPHA;
        int i5 = (intValue >> 16) & WebView.NORMAL_MODE_ALPHA;
        int i6 = (intValue >> 8) & WebView.NORMAL_MODE_ALPHA;
        int i7 = intValue & WebView.NORMAL_MODE_ALPHA;
        int intValue2 = Integer.valueOf(i3).intValue();
        return ((i4 + ((int) (((float) (((intValue2 >> 24) & WebView.NORMAL_MODE_ALPHA) - i4)) * f2))) << 24) | ((i5 + ((int) (((float) (((intValue2 >> 16) & WebView.NORMAL_MODE_ALPHA) - i5)) * f2))) << 16) | ((i6 + ((int) (((float) (((intValue2 >> 8) & WebView.NORMAL_MODE_ALPHA) - i6)) * f2))) << 8) | (i7 + ((int) (f2 * ((float) ((intValue2 & WebView.NORMAL_MODE_ALPHA) - i7)))));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(float f2, Ring ring) {
        if (f2 > 0.75f) {
            ring.b(a((f2 - 0.75f) / 0.25f, ring.h(), ring.a()));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(float f2, Ring ring) {
        a(f2, ring);
        ring.b(ring.f() + (((ring.g() - a(ring)) - ring.f()) * f2));
        ring.c(ring.g());
        ring.d(ring.k() + ((((float) (Math.floor((double) (ring.k() / 0.8f)) + 1.0d)) - ring.k()) * f2));
    }

    private void b() {
        final Ring ring = this.f;
        AnonymousClass1 r1 = new Animation() {
            /* class android.support.v4.widget.MaterialProgressDrawable.AnonymousClass1 */

            public void applyTransformation(float f, Transformation transformation) {
                if (MaterialProgressDrawable.this.f441a) {
                    MaterialProgressDrawable.this.b(f, ring);
                    return;
                }
                float a2 = MaterialProgressDrawable.this.a((MaterialProgressDrawable) ring);
                float g = ring.g();
                float f2 = ring.f();
                float k = ring.k();
                MaterialProgressDrawable.this.a((MaterialProgressDrawable) f, (float) ring);
                if (f <= 0.5f) {
                    Interpolator interpolator = MaterialProgressDrawable.c;
                    ring.b(f2 + ((0.8f - a2) * interpolator.getInterpolation(f / 0.5f)));
                }
                if (f > 0.5f) {
                    Interpolator interpolator2 = MaterialProgressDrawable.c;
                    ring.c(g + ((0.8f - a2) * interpolator2.getInterpolation((f - 0.5f) / 0.5f)));
                }
                ring.d(k + (0.25f * f));
                MaterialProgressDrawable.this.c((f * 216.0f) + ((MaterialProgressDrawable.this.k / 5.0f) * 1080.0f));
            }
        };
        r1.setRepeatCount(-1);
        r1.setRepeatMode(1);
        r1.setInterpolator(b);
        r1.setAnimationListener(new Animation.AnimationListener() {
            /* class android.support.v4.widget.MaterialProgressDrawable.AnonymousClass2 */

            public void onAnimationEnd(Animation animation) {
            }

            public void onAnimationStart(Animation animation) {
                MaterialProgressDrawable.this.k = 0.0f;
            }

            public void onAnimationRepeat(Animation animation) {
                ring.l();
                ring.b();
                ring.b(ring.i());
                if (MaterialProgressDrawable.this.f441a) {
                    MaterialProgressDrawable.this.f441a = false;
                    animation.setDuration(1332);
                    ring.a(false);
                    return;
                }
                MaterialProgressDrawable.this.k = (MaterialProgressDrawable.this.k + 1.0f) % 5.0f;
            }
        });
        this.j = r1;
    }

    /* access modifiers changed from: private */
    public static class Ring {

        /* renamed from: a  reason: collision with root package name */
        private final RectF f445a = new RectF();
        private final Paint b = new Paint();
        private final Paint c = new Paint();
        private final Drawable.Callback d;
        private float e = 0.0f;
        private float f = 0.0f;
        private float g = 0.0f;
        private float h = 5.0f;
        private float i = 2.5f;
        private int[] j;
        private int k;
        private float l;
        private float m;
        private float n;
        private boolean o;
        private Path p;
        private float q;
        private double r;
        private int s;
        private int t;
        private int u;
        private final Paint v = new Paint(1);
        private int w;
        private int x;

        public Ring(Drawable.Callback callback) {
            this.d = callback;
            this.b.setStrokeCap(Paint.Cap.SQUARE);
            this.b.setAntiAlias(true);
            this.b.setStyle(Paint.Style.STROKE);
            this.c.setStyle(Paint.Style.FILL);
            this.c.setAntiAlias(true);
        }

        public void a(int i2) {
            this.w = i2;
        }

        public void a(float f2, float f3) {
            this.s = (int) f2;
            this.t = (int) f3;
        }

        public void a(Canvas canvas, Rect rect) {
            RectF rectF = this.f445a;
            rectF.set(rect);
            rectF.inset(this.i, this.i);
            float f2 = (this.e + this.g) * 360.0f;
            float f3 = ((this.f + this.g) * 360.0f) - f2;
            this.b.setColor(this.x);
            canvas.drawArc(rectF, f2, f3, false, this.b);
            a(canvas, f2, f3, rect);
            if (this.u < 255) {
                this.v.setColor(this.w);
                this.v.setAlpha(WebView.NORMAL_MODE_ALPHA - this.u);
                canvas.drawCircle(rect.exactCenterX(), rect.exactCenterY(), (float) (rect.width() / 2), this.v);
            }
        }

        private void a(Canvas canvas, float f2, float f3, Rect rect) {
            if (this.o) {
                if (this.p == null) {
                    this.p = new Path();
                    this.p.setFillType(Path.FillType.EVEN_ODD);
                } else {
                    this.p.reset();
                }
                float f4 = ((float) (((int) this.i) / 2)) * this.q;
                float sin = (float) ((this.r * Math.sin(0.0d)) + ((double) rect.exactCenterY()));
                this.p.moveTo(0.0f, 0.0f);
                this.p.lineTo(((float) this.s) * this.q, 0.0f);
                this.p.lineTo((((float) this.s) * this.q) / 2.0f, ((float) this.t) * this.q);
                this.p.offset(((float) ((this.r * Math.cos(0.0d)) + ((double) rect.exactCenterX()))) - f4, sin);
                this.p.close();
                this.c.setColor(this.x);
                canvas.rotate((f2 + f3) - 5.0f, rect.exactCenterX(), rect.exactCenterY());
                canvas.drawPath(this.p, this.c);
            }
        }

        public void a(@NonNull int[] iArr) {
            this.j = iArr;
            c(0);
        }

        public void b(int i2) {
            this.x = i2;
        }

        public void c(int i2) {
            this.k = i2;
            this.x = this.j[this.k];
        }

        public int a() {
            return this.j[n()];
        }

        private int n() {
            return (this.k + 1) % this.j.length;
        }

        public void b() {
            c(n());
        }

        public void a(ColorFilter colorFilter) {
            this.b.setColorFilter(colorFilter);
            o();
        }

        public void d(int i2) {
            this.u = i2;
        }

        public int c() {
            return this.u;
        }

        public void a(float f2) {
            this.h = f2;
            this.b.setStrokeWidth(f2);
            o();
        }

        public float d() {
            return this.h;
        }

        public void b(float f2) {
            this.e = f2;
            o();
        }

        public float e() {
            return this.e;
        }

        public float f() {
            return this.l;
        }

        public float g() {
            return this.m;
        }

        public int h() {
            return this.j[this.k];
        }

        public void c(float f2) {
            this.f = f2;
            o();
        }

        public float i() {
            return this.f;
        }

        public void d(float f2) {
            this.g = f2;
            o();
        }

        public void a(int i2, int i3) {
            float f2;
            float min = (float) Math.min(i2, i3);
            if (this.r <= 0.0d || min < 0.0f) {
                f2 = (float) Math.ceil((double) (this.h / 2.0f));
            } else {
                f2 = (float) (((double) (min / 2.0f)) - this.r);
            }
            this.i = f2;
        }

        public void a(double d2) {
            this.r = d2;
        }

        public double j() {
            return this.r;
        }

        public void a(boolean z) {
            if (this.o != z) {
                this.o = z;
                o();
            }
        }

        public void e(float f2) {
            if (f2 != this.q) {
                this.q = f2;
                o();
            }
        }

        public float k() {
            return this.n;
        }

        public void l() {
            this.l = this.e;
            this.m = this.f;
            this.n = this.g;
        }

        public void m() {
            this.l = 0.0f;
            this.m = 0.0f;
            this.n = 0.0f;
            b(0.0f);
            c(0.0f);
            d(0.0f);
        }

        private void o() {
            this.d.invalidateDrawable(null);
        }
    }
}
