package android.support.v4.widget;

import android.os.Build;
import android.support.v4.view.GravityCompat;
import android.support.v4.view.ViewCompat;
import android.view.View;
import android.widget.PopupWindow;

public final class PopupWindowCompat {

    /* renamed from: a  reason: collision with root package name */
    static final PopupWindowImpl f449a;

    interface PopupWindowImpl {
        void a(PopupWindow popupWindow, int i);

        void a(PopupWindow popupWindow, View view, int i, int i2, int i3);

        void a(PopupWindow popupWindow, boolean z);
    }

    static class BasePopupWindowImpl implements PopupWindowImpl {
        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl
        public void a(PopupWindow popupWindow, int i) {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl
        public void a(PopupWindow popupWindow, boolean z) {
        }

        BasePopupWindowImpl() {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl
        public void a(PopupWindow popupWindow, View view, int i, int i2, int i3) {
            if ((GravityCompat.a(i3, ViewCompat.f(view)) & 7) == 5) {
                i -= popupWindow.getWidth() - view.getWidth();
            }
            popupWindow.showAsDropDown(view, i, i2);
        }
    }

    static class GingerbreadPopupWindowImpl extends BasePopupWindowImpl {
        GingerbreadPopupWindowImpl() {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.BasePopupWindowImpl
        public void a(PopupWindow popupWindow, int i) {
            PopupWindowCompatGingerbread.a(popupWindow, i);
        }
    }

    static class KitKatPopupWindowImpl extends GingerbreadPopupWindowImpl {
        KitKatPopupWindowImpl() {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.BasePopupWindowImpl
        public void a(PopupWindow popupWindow, View view, int i, int i2, int i3) {
            PopupWindowCompatKitKat.a(popupWindow, view, i, i2, i3);
        }
    }

    static class Api21PopupWindowImpl extends KitKatPopupWindowImpl {
        Api21PopupWindowImpl() {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.BasePopupWindowImpl
        public void a(PopupWindow popupWindow, boolean z) {
            PopupWindowCompatApi21.a(popupWindow, z);
        }
    }

    static class Api23PopupWindowImpl extends Api21PopupWindowImpl {
        Api23PopupWindowImpl() {
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.Api21PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.BasePopupWindowImpl
        public void a(PopupWindow popupWindow, boolean z) {
            PopupWindowCompatApi23.a(popupWindow, z);
        }

        @Override // android.support.v4.widget.PopupWindowCompat.PopupWindowImpl, android.support.v4.widget.PopupWindowCompat.BasePopupWindowImpl, android.support.v4.widget.PopupWindowCompat.GingerbreadPopupWindowImpl
        public void a(PopupWindow popupWindow, int i) {
            PopupWindowCompatApi23.a(popupWindow, i);
        }
    }

    static {
        int i = Build.VERSION.SDK_INT;
        if (i >= 23) {
            f449a = new Api23PopupWindowImpl();
        } else if (i >= 21) {
            f449a = new Api21PopupWindowImpl();
        } else if (i >= 19) {
            f449a = new KitKatPopupWindowImpl();
        } else if (i >= 9) {
            f449a = new GingerbreadPopupWindowImpl();
        } else {
            f449a = new BasePopupWindowImpl();
        }
    }

    private PopupWindowCompat() {
    }

    public static void a(PopupWindow popupWindow, View view, int i, int i2, int i3) {
        f449a.a(popupWindow, view, i, i2, i3);
    }

    public static void a(PopupWindow popupWindow, boolean z) {
        f449a.a(popupWindow, z);
    }

    public static void a(PopupWindow popupWindow, int i) {
        f449a.a(popupWindow, i);
    }
}
