package android.support.v4.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.ColorInt;
import android.support.annotation.DrawableRes;
import android.support.v4.os.ParcelableCompat;
import android.support.v4.os.ParcelableCompatCreatorCallbacks;
import android.support.v4.view.AbsSavedState;
import android.support.v4.view.AccessibilityDelegateCompat;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.accessibility.AccessibilityNodeInfoCompat;
import android.support.v4.widget.ViewDragHelper;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.sdk.WebView;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;

public class SlidingPaneLayout extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    static final SlidingPanelLayoutImpl f460a;
    private int b;
    private int c;
    private Drawable d;
    private Drawable e;
    private final int f;
    private boolean g;
    private View h;
    private float i;
    private float j;
    private int k;
    private boolean l;
    private int m;
    private float n;
    private float o;
    private PanelSlideListener p;
    private final ViewDragHelper q;
    private boolean r;
    private boolean s;
    private final Rect t;
    private final ArrayList<DisableLayerRunnable> u;

    public interface PanelSlideListener {
        void a(View view);

        void a(View view, float f);

        void b(View view);
    }

    public static class SimplePanelSlideListener implements PanelSlideListener {
        @Override // android.support.v4.widget.SlidingPaneLayout.PanelSlideListener
        public void a(View view) {
        }

        @Override // android.support.v4.widget.SlidingPaneLayout.PanelSlideListener
        public void a(View view, float f) {
        }

        @Override // android.support.v4.widget.SlidingPaneLayout.PanelSlideListener
        public void b(View view) {
        }
    }

    /* access modifiers changed from: package-private */
    public interface SlidingPanelLayoutImpl {
        void a(SlidingPaneLayout slidingPaneLayout, View view);
    }

    static {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 17) {
            f460a = new SlidingPanelLayoutImplJBMR1();
        } else if (i2 >= 16) {
            f460a = new SlidingPanelLayoutImplJB();
        } else {
            f460a = new SlidingPanelLayoutImplBase();
        }
    }

    public SlidingPaneLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public SlidingPaneLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.b = -858993460;
        this.s = true;
        this.t = new Rect();
        this.u = new ArrayList<>();
        float f2 = context.getResources().getDisplayMetrics().density;
        this.f = (int) ((32.0f * f2) + 0.5f);
        ViewConfiguration.get(context);
        setWillNotDraw(false);
        ViewCompat.a(this, new AccessibilityDelegate());
        ViewCompat.c((View) this, 1);
        this.q = ViewDragHelper.a(this, 0.5f, new DragHelperCallback());
        this.q.a(f2 * 400.0f);
    }

    public void setParallaxDistance(int i2) {
        this.m = i2;
        requestLayout();
    }

    public int getParallaxDistance() {
        return this.m;
    }

    public void setSliderFadeColor(@ColorInt int i2) {
        this.b = i2;
    }

    @ColorInt
    public int getSliderFadeColor() {
        return this.b;
    }

    public void setCoveredFadeColor(@ColorInt int i2) {
        this.c = i2;
    }

    @ColorInt
    public int getCoveredFadeColor() {
        return this.c;
    }

    public void setPanelSlideListener(PanelSlideListener panelSlideListener) {
        this.p = panelSlideListener;
    }

    /* access modifiers changed from: package-private */
    public void a(View view) {
        if (this.p != null) {
            this.p.a(view, this.i);
        }
    }

    /* access modifiers changed from: package-private */
    public void b(View view) {
        if (this.p != null) {
            this.p.a(view);
        }
        sendAccessibilityEvent(32);
    }

    /* access modifiers changed from: package-private */
    public void c(View view) {
        if (this.p != null) {
            this.p.b(view);
        }
        sendAccessibilityEvent(32);
    }

    /* access modifiers changed from: package-private */
    public void d(View view) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        boolean z;
        int i8;
        View view2 = view;
        boolean f2 = f();
        if (f2) {
            i2 = getWidth() - getPaddingRight();
        } else {
            i2 = getPaddingLeft();
        }
        if (f2) {
            i3 = getPaddingLeft();
        } else {
            i3 = getWidth() - getPaddingRight();
        }
        int paddingTop = getPaddingTop();
        int height = getHeight() - getPaddingBottom();
        if (view2 == null || !f(view)) {
            i7 = 0;
            i6 = 0;
            i5 = 0;
            i4 = 0;
        } else {
            i7 = view.getLeft();
            i6 = view.getRight();
            i5 = view.getTop();
            i4 = view.getBottom();
        }
        int childCount = getChildCount();
        int i9 = 0;
        while (i9 < childCount) {
            View childAt = getChildAt(i9);
            if (childAt != view2) {
                int max = Math.max(f2 ? i3 : i2, childAt.getLeft());
                int max2 = Math.max(paddingTop, childAt.getTop());
                if (f2) {
                    z = f2;
                    i8 = i2;
                } else {
                    z = f2;
                    i8 = i3;
                }
                childAt.setVisibility((max < i7 || max2 < i5 || Math.min(i8, childAt.getRight()) > i6 || Math.min(height, childAt.getBottom()) > i4) ? 0 : 4);
                i9++;
                f2 = z;
                view2 = view;
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 4) {
                childAt.setVisibility(0);
            }
        }
    }

    private static boolean f(View view) {
        Drawable background;
        if (ViewCompat.h(view)) {
            return true;
        }
        if (Build.VERSION.SDK_INT < 18 && (background = view.getBackground()) != null && background.getOpacity() == -1) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.s = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.s = true;
        int size = this.u.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.u.get(i2).run();
        }
        this.u.clear();
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x01f5  */
    /* JADX WARNING: Removed duplicated region for block: B:117:0x020b  */
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode != 1073741824) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Width must have an exact value or MATCH_PARENT");
            } else if (mode != Integer.MIN_VALUE && mode == 0) {
                size = TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE;
            }
        } else if (mode2 == 0) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Height must not be UNSPECIFIED");
            } else if (mode2 == 0) {
                mode2 = Integer.MIN_VALUE;
                size2 = TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE;
            }
        }
        boolean z = false;
        if (mode2 == Integer.MIN_VALUE) {
            i4 = (size2 - getPaddingTop()) - getPaddingBottom();
            i5 = 0;
        } else if (mode2 != 1073741824) {
            i5 = 0;
            i4 = -1;
        } else {
            i5 = (size2 - getPaddingTop()) - getPaddingBottom();
            i4 = i5;
        }
        int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
        int childCount = getChildCount();
        if (childCount > 2) {
            Log.e("SlidingPaneLayout", "onMeasure: More than two child views are not supported.");
        }
        this.h = null;
        int i15 = i5;
        int i16 = paddingLeft;
        int i17 = 0;
        boolean z2 = false;
        float f2 = 0.0f;
        while (true) {
            i6 = 8;
            if (i17 >= childCount) {
                break;
            }
            View childAt = getChildAt(i17);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            if (childAt.getVisibility() == 8) {
                layoutParams.c = z;
            } else {
                if (layoutParams.f463a > 0.0f) {
                    f2 += layoutParams.f463a;
                    if (layoutParams.width == 0) {
                    }
                }
                int i18 = layoutParams.leftMargin + layoutParams.rightMargin;
                if (layoutParams.width == -2) {
                    i13 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i18, Integer.MIN_VALUE);
                } else if (layoutParams.width == -1) {
                    i13 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i18, 1073741824);
                } else {
                    i13 = View.MeasureSpec.makeMeasureSpec(layoutParams.width, 1073741824);
                }
                if (layoutParams.height == -2) {
                    i14 = View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE);
                } else if (layoutParams.height == -1) {
                    i14 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                } else {
                    i14 = View.MeasureSpec.makeMeasureSpec(layoutParams.height, 1073741824);
                }
                childAt.measure(i13, i14);
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                if (mode2 == Integer.MIN_VALUE && measuredHeight > i15) {
                    i15 = Math.min(measuredHeight, i4);
                }
                i16 -= measuredWidth;
                boolean z3 = i16 < 0;
                layoutParams.b = z3;
                boolean z4 = z3 | z2;
                if (layoutParams.b) {
                    this.h = childAt;
                }
                z2 = z4;
            }
            i17++;
            z = false;
        }
        if (z2 || f2 > 0.0f) {
            int i19 = paddingLeft - this.f;
            int i20 = 0;
            while (i20 < childCount) {
                View childAt2 = getChildAt(i20);
                if (childAt2.getVisibility() != i6) {
                    LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
                    if (childAt2.getVisibility() != i6) {
                        boolean z5 = layoutParams2.width == 0 && layoutParams2.f463a > 0.0f;
                        if (z5) {
                            i8 = 0;
                        } else {
                            i8 = childAt2.getMeasuredWidth();
                        }
                        if (!z2 || childAt2 == this.h) {
                            if (layoutParams2.f463a > 0.0f) {
                                if (layoutParams2.width != 0) {
                                    i10 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                                } else if (layoutParams2.height == -2) {
                                    i9 = View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE);
                                    if (!z2) {
                                        int i21 = paddingLeft - (layoutParams2.leftMargin + layoutParams2.rightMargin);
                                        i7 = i19;
                                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i21, 1073741824);
                                        if (i8 != i21) {
                                            childAt2.measure(makeMeasureSpec, i9);
                                        }
                                        i20++;
                                        i19 = i7;
                                        i6 = 8;
                                    } else {
                                        i7 = i19;
                                        childAt2.measure(View.MeasureSpec.makeMeasureSpec(i8 + ((int) ((layoutParams2.f463a * ((float) Math.max(0, i16))) / f2)), 1073741824), i9);
                                        i20++;
                                        i19 = i7;
                                        i6 = 8;
                                    }
                                } else if (layoutParams2.height == -1) {
                                    i10 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                                } else {
                                    i10 = View.MeasureSpec.makeMeasureSpec(layoutParams2.height, 1073741824);
                                }
                                i9 = i10;
                                if (!z2) {
                                }
                            }
                        } else if (layoutParams2.width < 0 && (i8 > i19 || layoutParams2.f463a > 0.0f)) {
                            if (!z5) {
                                i11 = 1073741824;
                                i12 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                            } else if (layoutParams2.height == -2) {
                                i12 = View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE);
                                i11 = 1073741824;
                            } else if (layoutParams2.height == -1) {
                                i11 = 1073741824;
                                i12 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                            } else {
                                i11 = 1073741824;
                                i12 = View.MeasureSpec.makeMeasureSpec(layoutParams2.height, 1073741824);
                            }
                            childAt2.measure(View.MeasureSpec.makeMeasureSpec(i19, i11), i12);
                        }
                    }
                }
                i7 = i19;
                i20++;
                i19 = i7;
                i6 = 8;
            }
        }
        setMeasuredDimension(size, i15 + getPaddingTop() + getPaddingBottom());
        this.g = z2;
        if (this.q.a() != 0 && !z2) {
            this.q.f();
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00c2  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00c8  */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        boolean f2 = f();
        if (f2) {
            this.q.a(2);
        } else {
            this.q.a(1);
        }
        int i10 = i4 - i2;
        int paddingRight = f2 ? getPaddingRight() : getPaddingLeft();
        int paddingLeft = f2 ? getPaddingLeft() : getPaddingRight();
        int paddingTop = getPaddingTop();
        int childCount = getChildCount();
        if (this.s) {
            this.i = (!this.g || !this.r) ? 0.0f : 1.0f;
        }
        int i11 = paddingRight;
        int i12 = i11;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                if (layoutParams.b) {
                    int i14 = i10 - paddingLeft;
                    int min = (Math.min(i11, i14 - this.f) - i12) - (layoutParams.leftMargin + layoutParams.rightMargin);
                    this.k = min;
                    int i15 = f2 ? layoutParams.rightMargin : layoutParams.leftMargin;
                    layoutParams.c = ((i12 + i15) + min) + (measuredWidth / 2) > i14;
                    int i16 = (int) (((float) min) * this.i);
                    i7 = i15 + i16 + i12;
                    this.i = ((float) i16) / ((float) this.k);
                } else if (!this.g || this.m == 0) {
                    i7 = i11;
                } else {
                    i6 = (int) ((1.0f - this.i) * ((float) this.m));
                    i7 = i11;
                    if (!f2) {
                        i8 = (i10 - i7) + i6;
                        i9 = i8 - measuredWidth;
                    } else {
                        i9 = i7 - i6;
                        i8 = i9 + measuredWidth;
                    }
                    childAt.layout(i9, paddingTop, i8, childAt.getMeasuredHeight() + paddingTop);
                    i11 += childAt.getWidth();
                    i12 = i7;
                }
                i6 = 0;
                if (!f2) {
                }
                childAt.layout(i9, paddingTop, i8, childAt.getMeasuredHeight() + paddingTop);
                i11 += childAt.getWidth();
                i12 = i7;
            }
        }
        if (this.s) {
            if (this.g) {
                if (this.m != 0) {
                    a(this.i);
                }
                if (((LayoutParams) this.h.getLayoutParams()).c) {
                    a(this.h, this.i, this.b);
                }
            } else {
                for (int i17 = 0; i17 < childCount; i17++) {
                    a(getChildAt(i17), 0.0f, this.b);
                }
            }
            d(this.h);
        }
        this.s = false;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 != i4) {
            this.s = true;
        }
    }

    public void requestChildFocus(View view, View view2) {
        super.requestChildFocus(view, view2);
        if (!isInTouchMode() && !this.g) {
            this.r = view == this.h;
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z;
        View childAt;
        int a2 = MotionEventCompat.a(motionEvent);
        if (!this.g && a2 == 0 && getChildCount() > 1 && (childAt = getChildAt(1)) != null) {
            this.r = !this.q.b(childAt, (int) motionEvent.getX(), (int) motionEvent.getY());
        }
        if (!this.g || (this.l && a2 != 0)) {
            this.q.e();
            return super.onInterceptTouchEvent(motionEvent);
        } else if (a2 == 3 || a2 == 1) {
            this.q.e();
            return false;
        } else {
            if (a2 == 0) {
                this.l = false;
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                this.n = x;
                this.o = y;
                if (this.q.b(this.h, (int) x, (int) y) && e(this.h)) {
                    z = true;
                    if (this.q.a(motionEvent) && !z) {
                        return false;
                    }
                }
            } else if (a2 == 2) {
                float x2 = motionEvent.getX();
                float y2 = motionEvent.getY();
                float abs = Math.abs(x2 - this.n);
                float abs2 = Math.abs(y2 - this.o);
                if (abs > ((float) this.q.d()) && abs2 > abs) {
                    this.q.e();
                    this.l = true;
                    return false;
                }
            }
            z = false;
            return this.q.a(motionEvent) ? true : true;
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.g) {
            return super.onTouchEvent(motionEvent);
        }
        this.q.b(motionEvent);
        switch (motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA) {
            case 0:
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                this.n = x;
                this.o = y;
                break;
            case 1:
                if (e(this.h)) {
                    float x2 = motionEvent.getX();
                    float y2 = motionEvent.getY();
                    float f2 = x2 - this.n;
                    float f3 = y2 - this.o;
                    int d2 = this.q.d();
                    if ((f2 * f2) + (f3 * f3) < ((float) (d2 * d2)) && this.q.b(this.h, (int) x2, (int) y2)) {
                        a(this.h, 0);
                        break;
                    }
                }
                break;
        }
        return true;
    }

    private boolean a(View view, int i2) {
        if (!this.s && !a(0.0f, i2)) {
            return false;
        }
        this.r = false;
        return true;
    }

    private boolean b(View view, int i2) {
        if (!this.s && !a(1.0f, i2)) {
            return false;
        }
        this.r = true;
        return true;
    }

    public boolean b() {
        return b(this.h, 0);
    }

    public boolean c() {
        return a(this.h, 0);
    }

    public boolean d() {
        return !this.g || this.i == 1.0f;
    }

    public boolean e() {
        return this.g;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2) {
        if (this.h == null) {
            this.i = 0.0f;
            return;
        }
        boolean f2 = f();
        LayoutParams layoutParams = (LayoutParams) this.h.getLayoutParams();
        int width = this.h.getWidth();
        if (f2) {
            i2 = (getWidth() - i2) - width;
        }
        this.i = ((float) (i2 - ((f2 ? getPaddingRight() : getPaddingLeft()) + (f2 ? layoutParams.rightMargin : layoutParams.leftMargin)))) / ((float) this.k);
        if (this.m != 0) {
            a(this.i);
        }
        if (layoutParams.c) {
            a(this.h, this.i, this.b);
        }
        a(this.h);
    }

    private void a(View view, float f2, int i2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if (f2 > 0.0f && i2 != 0) {
            int i3 = (((int) (((float) ((-16777216 & i2) >>> 24)) * f2)) << 24) | (i2 & 16777215);
            if (layoutParams.d == null) {
                layoutParams.d = new Paint();
            }
            layoutParams.d.setColorFilter(new PorterDuffColorFilter(i3, PorterDuff.Mode.SRC_OVER));
            if (ViewCompat.e(view) != 2) {
                ViewCompat.a(view, 2, layoutParams.d);
            }
            g(view);
        } else if (ViewCompat.e(view) != 0) {
            if (layoutParams.d != null) {
                layoutParams.d.setColorFilter(null);
            }
            DisableLayerRunnable disableLayerRunnable = new DisableLayerRunnable(view);
            this.u.add(disableLayerRunnable);
            ViewCompat.a(this, disableLayerRunnable);
        }
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j2) {
        boolean z;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int save = canvas.save(2);
        if (this.g && !layoutParams.b && this.h != null) {
            canvas.getClipBounds(this.t);
            if (f()) {
                this.t.left = Math.max(this.t.left, this.h.getRight());
            } else {
                this.t.right = Math.min(this.t.right, this.h.getLeft());
            }
            canvas.clipRect(this.t);
        }
        if (Build.VERSION.SDK_INT >= 11) {
            z = super.drawChild(canvas, view, j2);
        } else if (!layoutParams.c || this.i <= 0.0f) {
            if (view.isDrawingCacheEnabled()) {
                view.setDrawingCacheEnabled(false);
            }
            z = super.drawChild(canvas, view, j2);
        } else {
            if (!view.isDrawingCacheEnabled()) {
                view.setDrawingCacheEnabled(true);
            }
            Bitmap drawingCache = view.getDrawingCache();
            if (drawingCache != null) {
                canvas.drawBitmap(drawingCache, (float) view.getLeft(), (float) view.getTop(), layoutParams.d);
                z = false;
            } else {
                Log.e("SlidingPaneLayout", "drawChild: child view " + view + " returned null drawing cache");
                z = super.drawChild(canvas, view, j2);
            }
        }
        canvas.restoreToCount(save);
        return z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void g(View view) {
        f460a.a(this, view);
    }

    /* access modifiers changed from: package-private */
    public boolean a(float f2, int i2) {
        int i3;
        if (!this.g) {
            return false;
        }
        boolean f3 = f();
        LayoutParams layoutParams = (LayoutParams) this.h.getLayoutParams();
        if (f3) {
            i3 = (int) (((float) getWidth()) - ((((float) (getPaddingRight() + layoutParams.rightMargin)) + (f2 * ((float) this.k))) + ((float) this.h.getWidth())));
        } else {
            i3 = (int) (((float) (getPaddingLeft() + layoutParams.leftMargin)) + (f2 * ((float) this.k)));
        }
        if (!this.q.a(this.h, i3, this.h.getTop())) {
            return false;
        }
        a();
        ViewCompat.b(this);
        return true;
    }

    public void computeScroll() {
        if (!this.q.a(true)) {
            return;
        }
        if (!this.g) {
            this.q.f();
        } else {
            ViewCompat.b(this);
        }
    }

    @Deprecated
    public void setShadowDrawable(Drawable drawable) {
        setShadowDrawableLeft(drawable);
    }

    public void setShadowDrawableLeft(Drawable drawable) {
        this.d = drawable;
    }

    public void setShadowDrawableRight(Drawable drawable) {
        this.e = drawable;
    }

    @Deprecated
    public void setShadowResource(@DrawableRes int i2) {
        setShadowDrawable(getResources().getDrawable(i2));
    }

    public void setShadowResourceLeft(int i2) {
        setShadowDrawableLeft(getResources().getDrawable(i2));
    }

    public void setShadowResourceRight(int i2) {
        setShadowDrawableRight(getResources().getDrawable(i2));
    }

    public void draw(Canvas canvas) {
        Drawable drawable;
        int i2;
        int i3;
        super.draw(canvas);
        if (f()) {
            drawable = this.e;
        } else {
            drawable = this.d;
        }
        View childAt = getChildCount() > 1 ? getChildAt(1) : null;
        if (childAt != null && drawable != null) {
            int top = childAt.getTop();
            int bottom = childAt.getBottom();
            int intrinsicWidth = drawable.getIntrinsicWidth();
            if (f()) {
                i3 = childAt.getRight();
                i2 = intrinsicWidth + i3;
            } else {
                int left = childAt.getLeft();
                int i4 = left - intrinsicWidth;
                i2 = left;
                i3 = i4;
            }
            drawable.setBounds(i3, top, i2, bottom);
            drawable.draw(canvas);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0023  */
    private void a(float f2) {
        boolean z;
        int childCount;
        boolean f3 = f();
        LayoutParams layoutParams = (LayoutParams) this.h.getLayoutParams();
        if (layoutParams.c) {
            if ((f3 ? layoutParams.rightMargin : layoutParams.leftMargin) <= 0) {
                z = true;
                childCount = getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = getChildAt(i2);
                    if (childAt != this.h) {
                        this.j = f2;
                        int i3 = ((int) ((1.0f - this.j) * ((float) this.m))) - ((int) ((1.0f - f2) * ((float) this.m)));
                        if (f3) {
                            i3 = -i3;
                        }
                        childAt.offsetLeftAndRight(i3);
                        if (z) {
                            a(childAt, f3 ? this.j - 1.0f : 1.0f - this.j, this.c);
                        }
                    }
                }
            }
        }
        z = false;
        childCount = getChildCount();
        while (i2 < childCount) {
        }
    }

    /* access modifiers changed from: package-private */
    public boolean e(View view) {
        if (view == null) {
            return false;
        }
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if (!this.g || !layoutParams.c || this.i <= 0.0f) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams();
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams) : new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof LayoutParams) && super.checkLayoutParams(layoutParams);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.b = e() ? d() : this.r;
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        if (savedState.b) {
            b();
        } else {
            c();
        }
        this.r = savedState.b;
    }

    private class DragHelperCallback extends ViewDragHelper.Callback {
        private DragHelperCallback() {
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public boolean a(View view, int i) {
            if (SlidingPaneLayout.this.l) {
                return false;
            }
            return ((LayoutParams) view.getLayoutParams()).b;
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public void a(int i) {
            if (SlidingPaneLayout.this.q.a() != 0) {
                return;
            }
            if (SlidingPaneLayout.this.i == 0.0f) {
                SlidingPaneLayout.this.d(SlidingPaneLayout.this.h);
                SlidingPaneLayout.this.c(SlidingPaneLayout.this.h);
                SlidingPaneLayout.this.r = false;
                return;
            }
            SlidingPaneLayout.this.b(SlidingPaneLayout.this.h);
            SlidingPaneLayout.this.r = true;
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public void b(View view, int i) {
            SlidingPaneLayout.this.a();
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public void a(View view, int i, int i2, int i3, int i4) {
            SlidingPaneLayout.this.a((SlidingPaneLayout) i);
            SlidingPaneLayout.this.invalidate();
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public void a(View view, float f, float f2) {
            int i;
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            if (SlidingPaneLayout.this.f()) {
                int paddingRight = SlidingPaneLayout.this.getPaddingRight() + layoutParams.rightMargin;
                if (f < 0.0f || (f == 0.0f && SlidingPaneLayout.this.i > 0.5f)) {
                    paddingRight += SlidingPaneLayout.this.k;
                }
                i = (SlidingPaneLayout.this.getWidth() - paddingRight) - SlidingPaneLayout.this.h.getWidth();
            } else {
                i = layoutParams.leftMargin + SlidingPaneLayout.this.getPaddingLeft();
                int i2 = (f > 0.0f ? 1 : (f == 0.0f ? 0 : -1));
                if (i2 > 0 || (i2 == 0 && SlidingPaneLayout.this.i > 0.5f)) {
                    i += SlidingPaneLayout.this.k;
                }
            }
            SlidingPaneLayout.this.q.a(i, view.getTop());
            SlidingPaneLayout.this.invalidate();
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public int a(View view) {
            return SlidingPaneLayout.this.k;
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public int a(View view, int i, int i2) {
            LayoutParams layoutParams = (LayoutParams) SlidingPaneLayout.this.h.getLayoutParams();
            if (SlidingPaneLayout.this.f()) {
                int width = SlidingPaneLayout.this.getWidth() - ((SlidingPaneLayout.this.getPaddingRight() + layoutParams.rightMargin) + SlidingPaneLayout.this.h.getWidth());
                return Math.max(Math.min(i, width), width - SlidingPaneLayout.this.k);
            }
            int paddingLeft = SlidingPaneLayout.this.getPaddingLeft() + layoutParams.leftMargin;
            return Math.min(Math.max(i, paddingLeft), SlidingPaneLayout.this.k + paddingLeft);
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public int b(View view, int i, int i2) {
            return view.getTop();
        }

        @Override // android.support.v4.widget.ViewDragHelper.Callback
        public void b(int i, int i2) {
            SlidingPaneLayout.this.q.a(SlidingPaneLayout.this.h, i2);
        }
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        private static final int[] e = {16843137};

        /* renamed from: a  reason: collision with root package name */
        public float f463a = 0.0f;
        boolean b;
        boolean c;
        Paint d;

        public LayoutParams() {
            super(-1, -1);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, e);
            this.f463a = obtainStyledAttributes.getFloat(0, 0.0f);
            obtainStyledAttributes.recycle();
        }
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.a(new ParcelableCompatCreatorCallbacks<SavedState>() {
            /* class android.support.v4.widget.SlidingPaneLayout.SavedState.AnonymousClass1 */

            /* renamed from: b */
            public SavedState a(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: b */
            public SavedState[] a(int i) {
                return new SavedState[i];
            }
        });
        boolean b;

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.b = parcel.readInt() != 0;
        }

        @Override // android.support.v4.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.b ? 1 : 0);
        }
    }

    static class SlidingPanelLayoutImplBase implements SlidingPanelLayoutImpl {
        SlidingPanelLayoutImplBase() {
        }

        @Override // android.support.v4.widget.SlidingPaneLayout.SlidingPanelLayoutImpl
        public void a(SlidingPaneLayout slidingPaneLayout, View view) {
            ViewCompat.a(slidingPaneLayout, view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
    }

    static class SlidingPanelLayoutImplJB extends SlidingPanelLayoutImplBase {

        /* renamed from: a  reason: collision with root package name */
        private Method f464a;
        private Field b;

        SlidingPanelLayoutImplJB() {
            try {
                this.f464a = View.class.getDeclaredMethod("getDisplayList", null);
            } catch (NoSuchMethodException e) {
                Log.e("SlidingPaneLayout", "Couldn't fetch getDisplayList method; dimming won't work right.", e);
            }
            try {
                this.b = View.class.getDeclaredField("mRecreateDisplayList");
                this.b.setAccessible(true);
            } catch (NoSuchFieldException e2) {
                Log.e("SlidingPaneLayout", "Couldn't fetch mRecreateDisplayList field; dimming will be slow.", e2);
            }
        }

        @Override // android.support.v4.widget.SlidingPaneLayout.SlidingPanelLayoutImplBase, android.support.v4.widget.SlidingPaneLayout.SlidingPanelLayoutImpl
        public void a(SlidingPaneLayout slidingPaneLayout, View view) {
            if (this.f464a == null || this.b == null) {
                view.invalidate();
                return;
            }
            try {
                this.b.setBoolean(view, true);
                this.f464a.invoke(view, null);
            } catch (Exception e) {
                Log.e("SlidingPaneLayout", "Error refreshing display list state", e);
            }
            super.a(slidingPaneLayout, view);
        }
    }

    static class SlidingPanelLayoutImplJBMR1 extends SlidingPanelLayoutImplBase {
        SlidingPanelLayoutImplJBMR1() {
        }

        @Override // android.support.v4.widget.SlidingPaneLayout.SlidingPanelLayoutImplBase, android.support.v4.widget.SlidingPaneLayout.SlidingPanelLayoutImpl
        public void a(SlidingPaneLayout slidingPaneLayout, View view) {
            ViewCompat.a(view, ((LayoutParams) view.getLayoutParams()).d);
        }
    }

    class AccessibilityDelegate extends AccessibilityDelegateCompat {
        private final Rect c = new Rect();

        AccessibilityDelegate() {
        }

        @Override // android.support.v4.view.AccessibilityDelegateCompat
        public void a(View view, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat) {
            AccessibilityNodeInfoCompat a2 = AccessibilityNodeInfoCompat.a(accessibilityNodeInfoCompat);
            super.a(view, a2);
            a(accessibilityNodeInfoCompat, a2);
            a2.v();
            accessibilityNodeInfoCompat.b(SlidingPaneLayout.class.getName());
            accessibilityNodeInfoCompat.b(view);
            ViewParent g = ViewCompat.g(view);
            if (g instanceof View) {
                accessibilityNodeInfoCompat.d((View) g);
            }
            int childCount = SlidingPaneLayout.this.getChildCount();
            for (int i = 0; i < childCount; i++) {
                View childAt = SlidingPaneLayout.this.getChildAt(i);
                if (!b(childAt) && childAt.getVisibility() == 0) {
                    ViewCompat.c(childAt, 1);
                    accessibilityNodeInfoCompat.c(childAt);
                }
            }
        }

        @Override // android.support.v4.view.AccessibilityDelegateCompat
        public void d(View view, AccessibilityEvent accessibilityEvent) {
            super.d(view, accessibilityEvent);
            accessibilityEvent.setClassName(SlidingPaneLayout.class.getName());
        }

        @Override // android.support.v4.view.AccessibilityDelegateCompat
        public boolean a(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            if (!b(view)) {
                return super.a(viewGroup, view, accessibilityEvent);
            }
            return false;
        }

        public boolean b(View view) {
            return SlidingPaneLayout.this.e(view);
        }

        private void a(AccessibilityNodeInfoCompat accessibilityNodeInfoCompat, AccessibilityNodeInfoCompat accessibilityNodeInfoCompat2) {
            Rect rect = this.c;
            accessibilityNodeInfoCompat2.a(rect);
            accessibilityNodeInfoCompat.b(rect);
            accessibilityNodeInfoCompat2.c(rect);
            accessibilityNodeInfoCompat.d(rect);
            accessibilityNodeInfoCompat.c(accessibilityNodeInfoCompat2.j());
            accessibilityNodeInfoCompat.a(accessibilityNodeInfoCompat2.r());
            accessibilityNodeInfoCompat.b(accessibilityNodeInfoCompat2.s());
            accessibilityNodeInfoCompat.c(accessibilityNodeInfoCompat2.u());
            accessibilityNodeInfoCompat.h(accessibilityNodeInfoCompat2.o());
            accessibilityNodeInfoCompat.f(accessibilityNodeInfoCompat2.m());
            accessibilityNodeInfoCompat.a(accessibilityNodeInfoCompat2.h());
            accessibilityNodeInfoCompat.b(accessibilityNodeInfoCompat2.i());
            accessibilityNodeInfoCompat.d(accessibilityNodeInfoCompat2.k());
            accessibilityNodeInfoCompat.e(accessibilityNodeInfoCompat2.l());
            accessibilityNodeInfoCompat.g(accessibilityNodeInfoCompat2.n());
            accessibilityNodeInfoCompat.a(accessibilityNodeInfoCompat2.d());
            accessibilityNodeInfoCompat.b(accessibilityNodeInfoCompat2.e());
        }
    }

    /* access modifiers changed from: private */
    public class DisableLayerRunnable implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final View f461a;

        DisableLayerRunnable(View view) {
            this.f461a = view;
        }

        public void run() {
            if (this.f461a.getParent() == SlidingPaneLayout.this) {
                ViewCompat.a(this.f461a, 0, (Paint) null);
                SlidingPaneLayout.this.g((SlidingPaneLayout) this.f461a);
            }
            SlidingPaneLayout.this.u.remove(this);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean f() {
        return ViewCompat.f(this) == 1;
    }
}
