package android.support.v4.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Build;
import android.support.annotation.ColorInt;
import android.support.annotation.ColorRes;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.NestedScrollingChild;
import android.support.v4.view.NestedScrollingChildHelper;
import android.support.v4.view.NestedScrollingParent;
import android.support.v4.view.NestedScrollingParentHelper;
import android.support.v4.view.ViewCompat;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Transformation;
import android.widget.AbsListView;
import com.tencent.smtt.sdk.WebView;

public class SwipeRefreshLayout extends ViewGroup implements NestedScrollingChild, NestedScrollingParent {
    private static final String c = "SwipeRefreshLayout";
    private static final int[] y = {16842766};
    private int A;
    private float B;
    private MaterialProgressDrawable C;
    private Animation D;
    private Animation E;
    private Animation F;
    private Animation G;
    private Animation H;
    private float I;
    private boolean J;
    private int K;
    private int L;
    private boolean M;
    private Animation.AnimationListener N;
    private final Animation O;
    private final Animation P;

    /* renamed from: a  reason: collision with root package name */
    protected int f466a;
    protected int b;
    private View d;
    private OnRefreshListener e;
    private boolean f;
    private int g;
    private float h;
    private float i;
    private final NestedScrollingParentHelper j;
    private final NestedScrollingChildHelper k;
    private final int[] l;
    private final int[] m;
    private boolean n;
    private int o;
    private int p;
    private boolean q;
    private float r;
    private float s;
    private boolean t;
    private int u;
    private boolean v;
    private boolean w;
    private final DecelerateInterpolator x;
    private CircleImageView z;

    public interface OnRefreshListener {
        void a();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b() {
        this.z.clearAnimation();
        this.C.stop();
        this.z.setVisibility(8);
        setColorViewAlpha(WebView.NORMAL_MODE_ALPHA);
        if (this.v) {
            setAnimationProgress(0.0f);
        } else {
            a(this.b - this.p, true);
        }
        this.p = this.z.getTop();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        b();
    }

    private void setColorViewAlpha(int i2) {
        this.z.getBackground().setAlpha(i2);
        this.C.setAlpha(i2);
    }

    public void a(boolean z2, int i2, int i3) {
        this.v = z2;
        this.z.setVisibility(8);
        this.p = i2;
        this.b = i2;
        this.I = (float) i3;
        this.M = true;
        this.z.invalidate();
    }

    public void setSize(int i2) {
        if (i2 == 0 || i2 == 1) {
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            if (i2 == 0) {
                int i3 = (int) (displayMetrics.density * 56.0f);
                this.K = i3;
                this.L = i3;
            } else {
                int i4 = (int) (displayMetrics.density * 40.0f);
                this.K = i4;
                this.L = i4;
            }
            this.z.setImageDrawable(null);
            this.C.a(i2);
            this.z.setImageDrawable(this.C);
        }
    }

    public SwipeRefreshLayout(Context context) {
        this(context, null);
    }

    public SwipeRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f = false;
        this.h = -1.0f;
        this.l = new int[2];
        this.m = new int[2];
        this.q = false;
        this.u = -1;
        this.A = -1;
        this.N = new Animation.AnimationListener() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass1 */

            public void onAnimationRepeat(Animation animation) {
            }

            public void onAnimationStart(Animation animation) {
            }

            public void onAnimationEnd(Animation animation) {
                if (SwipeRefreshLayout.this.f) {
                    SwipeRefreshLayout.this.C.setAlpha(WebView.NORMAL_MODE_ALPHA);
                    SwipeRefreshLayout.this.C.start();
                    if (SwipeRefreshLayout.this.J && SwipeRefreshLayout.this.e != null) {
                        SwipeRefreshLayout.this.e.a();
                    }
                    SwipeRefreshLayout.this.p = SwipeRefreshLayout.this.z.getTop();
                    return;
                }
                SwipeRefreshLayout.this.b();
            }
        };
        this.O = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass6 */

            public void applyTransformation(float f, Transformation transformation) {
                int i;
                if (!SwipeRefreshLayout.this.M) {
                    i = (int) (SwipeRefreshLayout.this.I - ((float) Math.abs(SwipeRefreshLayout.this.b)));
                } else {
                    i = (int) SwipeRefreshLayout.this.I;
                }
                SwipeRefreshLayout.this.a((SwipeRefreshLayout) ((SwipeRefreshLayout.this.f466a + ((int) (((float) (i - SwipeRefreshLayout.this.f466a)) * f))) - SwipeRefreshLayout.this.z.getTop()), false);
                SwipeRefreshLayout.this.C.a(1.0f - f);
            }
        };
        this.P = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass7 */

            public void applyTransformation(float f, Transformation transformation) {
                SwipeRefreshLayout.this.c((SwipeRefreshLayout) f);
            }
        };
        this.g = ViewConfiguration.get(context).getScaledTouchSlop();
        this.o = getResources().getInteger(17694721);
        setWillNotDraw(false);
        this.x = new DecelerateInterpolator(2.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, y);
        setEnabled(obtainStyledAttributes.getBoolean(0, true));
        obtainStyledAttributes.recycle();
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        this.K = (int) (displayMetrics.density * 40.0f);
        this.L = (int) (displayMetrics.density * 40.0f);
        c();
        ViewCompat.a((ViewGroup) this, true);
        this.I = displayMetrics.density * 64.0f;
        this.h = this.I;
        this.j = new NestedScrollingParentHelper(this);
        this.k = new NestedScrollingChildHelper(this);
        setNestedScrollingEnabled(true);
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        if (this.A < 0) {
            return i3;
        }
        if (i3 == i2 - 1) {
            return this.A;
        }
        return i3 >= this.A ? i3 + 1 : i3;
    }

    private void c() {
        this.z = new CircleImageView(getContext(), -328966, 20.0f);
        this.C = new MaterialProgressDrawable(getContext(), this);
        this.C.b(-328966);
        this.z.setImageDrawable(this.C);
        this.z.setVisibility(8);
        addView(this.z);
    }

    public void setOnRefreshListener(OnRefreshListener onRefreshListener) {
        this.e = onRefreshListener;
    }

    private boolean d() {
        return Build.VERSION.SDK_INT < 11;
    }

    public void setRefreshing(boolean z2) {
        int i2;
        if (!z2 || this.f == z2) {
            a(z2, false);
            return;
        }
        this.f = z2;
        if (!this.M) {
            i2 = (int) (this.I + ((float) this.b));
        } else {
            i2 = (int) this.I;
        }
        a(i2 - this.p, true);
        this.J = false;
        a(this.N);
    }

    private void a(Animation.AnimationListener animationListener) {
        this.z.setVisibility(0);
        if (Build.VERSION.SDK_INT >= 11) {
            this.C.setAlpha(WebView.NORMAL_MODE_ALPHA);
        }
        this.D = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass2 */

            public void applyTransformation(float f, Transformation transformation) {
                SwipeRefreshLayout.this.setAnimationProgress(f);
            }
        };
        this.D.setDuration((long) this.o);
        if (animationListener != null) {
            this.z.a(animationListener);
        }
        this.z.clearAnimation();
        this.z.startAnimation(this.D);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setAnimationProgress(float f2) {
        if (d()) {
            setColorViewAlpha((int) (f2 * 255.0f));
            return;
        }
        ViewCompat.c(this.z, f2);
        ViewCompat.d(this.z, f2);
    }

    private void a(boolean z2, boolean z3) {
        if (this.f != z2) {
            this.J = z3;
            g();
            this.f = z2;
            if (this.f) {
                a(this.p, this.N);
            } else {
                b(this.N);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(Animation.AnimationListener animationListener) {
        this.E = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass3 */

            public void applyTransformation(float f, Transformation transformation) {
                SwipeRefreshLayout.this.setAnimationProgress(1.0f - f);
            }
        };
        this.E.setDuration(150);
        this.z.a(animationListener);
        this.z.clearAnimation();
        this.z.startAnimation(this.E);
    }

    private void e() {
        this.F = a(this.C.getAlpha(), 76);
    }

    private void f() {
        this.G = a(this.C.getAlpha(), WebView.NORMAL_MODE_ALPHA);
    }

    private Animation a(final int i2, final int i3) {
        if (this.v && d()) {
            return null;
        }
        AnonymousClass4 r0 = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass4 */

            public void applyTransformation(float f, Transformation transformation) {
                SwipeRefreshLayout.this.C.setAlpha((int) (((float) i2) + (((float) (i3 - i2)) * f)));
            }
        };
        r0.setDuration(300);
        this.z.a((Animation.AnimationListener) null);
        this.z.clearAnimation();
        this.z.startAnimation(r0);
        return r0;
    }

    @Deprecated
    public void setProgressBackgroundColor(int i2) {
        setProgressBackgroundColorSchemeResource(i2);
    }

    public void setProgressBackgroundColorSchemeResource(@ColorRes int i2) {
        setProgressBackgroundColorSchemeColor(getResources().getColor(i2));
    }

    public void setProgressBackgroundColorSchemeColor(@ColorInt int i2) {
        this.z.setBackgroundColor(i2);
        this.C.b(i2);
    }

    @Deprecated
    public void setColorScheme(@ColorInt int... iArr) {
        setColorSchemeResources(iArr);
    }

    public void setColorSchemeResources(@ColorRes int... iArr) {
        Resources resources = getResources();
        int[] iArr2 = new int[iArr.length];
        for (int i2 = 0; i2 < iArr.length; i2++) {
            iArr2[i2] = resources.getColor(iArr[i2]);
        }
        setColorSchemeColors(iArr2);
    }

    public void setColorSchemeColors(@ColorInt int... iArr) {
        g();
        this.C.a(iArr);
    }

    private void g() {
        if (this.d == null) {
            for (int i2 = 0; i2 < getChildCount(); i2++) {
                View childAt = getChildAt(i2);
                if (!childAt.equals(this.z)) {
                    this.d = childAt;
                    return;
                }
            }
        }
    }

    public void setDistanceToTriggerSync(int i2) {
        this.h = (float) i2;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (getChildCount() != 0) {
            if (this.d == null) {
                g();
            }
            if (this.d != null) {
                View view = this.d;
                int paddingLeft = getPaddingLeft();
                int paddingTop = getPaddingTop();
                view.layout(paddingLeft, paddingTop, ((measuredWidth - getPaddingLeft()) - getPaddingRight()) + paddingLeft, ((measuredHeight - getPaddingTop()) - getPaddingBottom()) + paddingTop);
                int measuredWidth2 = this.z.getMeasuredWidth();
                int i6 = measuredWidth / 2;
                int i7 = measuredWidth2 / 2;
                this.z.layout(i6 - i7, this.p, i6 + i7, this.p + this.z.getMeasuredHeight());
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.d == null) {
            g();
        }
        if (this.d != null) {
            this.d.measure(View.MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824), View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824));
            this.z.measure(View.MeasureSpec.makeMeasureSpec(this.K, 1073741824), View.MeasureSpec.makeMeasureSpec(this.L, 1073741824));
            if (!this.M && !this.q) {
                this.q = true;
                int i4 = -this.z.getMeasuredHeight();
                this.b = i4;
                this.p = i4;
            }
            this.A = -1;
            for (int i5 = 0; i5 < getChildCount(); i5++) {
                if (getChildAt(i5) == this.z) {
                    this.A = i5;
                    return;
                }
            }
        }
    }

    public int getProgressCircleDiameter() {
        if (this.z != null) {
            return this.z.getMeasuredHeight();
        }
        return 0;
    }

    public boolean a() {
        if (Build.VERSION.SDK_INT >= 14) {
            return ViewCompat.b(this.d, -1);
        }
        if (this.d instanceof AbsListView) {
            AbsListView absListView = (AbsListView) this.d;
            if (absListView.getChildCount() <= 0 || (absListView.getFirstVisiblePosition() <= 0 && absListView.getChildAt(0).getTop() >= absListView.getPaddingTop())) {
                return false;
            }
            return true;
        } else if (ViewCompat.b(this.d, -1) || this.d.getScrollY() > 0) {
            return true;
        } else {
            return false;
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        g();
        int a2 = MotionEventCompat.a(motionEvent);
        if (this.w && a2 == 0) {
            this.w = false;
        }
        if (!isEnabled() || this.w || a() || this.f || this.n) {
            return false;
        }
        if (a2 != 6) {
            switch (a2) {
                case 0:
                    a(this.b - this.z.getTop(), true);
                    this.u = MotionEventCompat.b(motionEvent, 0);
                    this.t = false;
                    float a3 = a(motionEvent, this.u);
                    if (a3 != -1.0f) {
                        this.s = a3;
                        break;
                    } else {
                        return false;
                    }
                case 1:
                case 3:
                    this.t = false;
                    this.u = -1;
                    break;
                case 2:
                    if (this.u != -1) {
                        float a4 = a(motionEvent, this.u);
                        if (a4 != -1.0f) {
                            if (a4 - this.s > ((float) this.g) && !this.t) {
                                this.r = this.s + ((float) this.g);
                                this.t = true;
                                this.C.setAlpha(76);
                                break;
                            }
                        } else {
                            return false;
                        }
                    } else {
                        Log.e(c, "Got ACTION_MOVE event but don't have an active pointer id.");
                        return false;
                    }
            }
        } else {
            a(motionEvent);
        }
        return this.t;
    }

    private float a(MotionEvent motionEvent, int i2) {
        int a2 = MotionEventCompat.a(motionEvent, i2);
        if (a2 < 0) {
            return -1.0f;
        }
        return MotionEventCompat.d(motionEvent, a2);
    }

    public void requestDisallowInterceptTouchEvent(boolean z2) {
        if (Build.VERSION.SDK_INT < 21 && (this.d instanceof AbsListView)) {
            return;
        }
        if (this.d == null || ViewCompat.w(this.d)) {
            super.requestDisallowInterceptTouchEvent(z2);
        }
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        return isEnabled() && !this.w && !this.f && (i2 & 2) != 0;
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.j.a(view, view2, i2);
        startNestedScroll(i2 & 2);
        this.i = 0.0f;
        this.n = true;
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        if (i3 > 0 && this.i > 0.0f) {
            float f2 = (float) i3;
            if (f2 > this.i) {
                iArr[1] = i3 - ((int) this.i);
                this.i = 0.0f;
            } else {
                this.i -= f2;
                iArr[1] = i3;
            }
            a(this.i);
        }
        if (this.M && i3 > 0 && this.i == 0.0f && Math.abs(i3 - iArr[1]) > 0) {
            this.z.setVisibility(8);
        }
        int[] iArr2 = this.l;
        if (dispatchNestedPreScroll(i2 - iArr[0], i3 - iArr[1], iArr2, null)) {
            iArr[0] = iArr[0] + iArr2[0];
            iArr[1] = iArr[1] + iArr2[1];
        }
    }

    public int getNestedScrollAxes() {
        return this.j.a();
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        this.j.a(view);
        this.n = false;
        if (this.i > 0.0f) {
            b(this.i);
            this.i = 0.0f;
        }
        stopNestedScroll();
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        dispatchNestedScroll(i2, i3, i4, i5, this.m);
        int i6 = i5 + this.m[1];
        if (i6 < 0 && !a()) {
            this.i += (float) Math.abs(i6);
            a(this.i);
        }
    }

    public void setNestedScrollingEnabled(boolean z2) {
        this.k.a(z2);
    }

    @Override // android.support.v4.view.NestedScrollingChild
    public boolean isNestedScrollingEnabled() {
        return this.k.a();
    }

    public boolean startNestedScroll(int i2) {
        return this.k.a(i2);
    }

    @Override // android.support.v4.view.NestedScrollingChild
    public void stopNestedScroll() {
        this.k.c();
    }

    public boolean hasNestedScrollingParent() {
        return this.k.b();
    }

    public boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.k.a(i2, i3, i4, i5, iArr);
    }

    public boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return this.k.a(i2, i3, iArr, iArr2);
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return dispatchNestedPreFling(f2, f3);
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        return dispatchNestedFling(f2, f3, z2);
    }

    public boolean dispatchNestedFling(float f2, float f3, boolean z2) {
        return this.k.a(f2, f3, z2);
    }

    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.k.a(f2, f3);
    }

    private boolean a(Animation animation) {
        return animation != null && animation.hasStarted() && !animation.hasEnded();
    }

    private void a(float f2) {
        this.C.a(true);
        float min = Math.min(1.0f, Math.abs(f2 / this.h));
        float max = (((float) Math.max(((double) min) - 0.4d, 0.0d)) * 5.0f) / 3.0f;
        float abs = Math.abs(f2) - this.h;
        float f3 = this.M ? this.I - ((float) this.b) : this.I;
        double max2 = (double) (Math.max(0.0f, Math.min(abs, f3 * 2.0f) / f3) / 4.0f);
        float pow = ((float) (max2 - Math.pow(max2, 2.0d))) * 2.0f;
        int i2 = this.b + ((int) ((f3 * min) + (f3 * pow * 2.0f)));
        if (this.z.getVisibility() != 0) {
            this.z.setVisibility(0);
        }
        if (!this.v) {
            ViewCompat.c((View) this.z, 1.0f);
            ViewCompat.d((View) this.z, 1.0f);
        }
        if (this.v) {
            setAnimationProgress(Math.min(1.0f, f2 / this.h));
        }
        if (f2 < this.h) {
            if (this.C.getAlpha() > 76 && !a(this.F)) {
                e();
            }
        } else if (this.C.getAlpha() < 255 && !a(this.G)) {
            f();
        }
        this.C.a(0.0f, Math.min(0.8f, max * 0.8f));
        this.C.a(Math.min(1.0f, max));
        this.C.b((((max * 0.4f) - 16.0f) + (pow * 2.0f)) * 0.5f);
        a(i2 - this.p, true);
    }

    private void b(float f2) {
        if (f2 > this.h) {
            a(true, true);
            return;
        }
        this.f = false;
        this.C.a(0.0f, 0.0f);
        AnonymousClass5 r0 = null;
        if (!this.v) {
            r0 = new Animation.AnimationListener() {
                /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass5 */

                public void onAnimationRepeat(Animation animation) {
                }

                public void onAnimationStart(Animation animation) {
                }

                public void onAnimationEnd(Animation animation) {
                    if (!SwipeRefreshLayout.this.v) {
                        SwipeRefreshLayout.this.b((SwipeRefreshLayout) null);
                    }
                }
            };
        }
        b(this.p, r0);
        this.C.a(false);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int a2 = MotionEventCompat.a(motionEvent);
        if (this.w && a2 == 0) {
            this.w = false;
        }
        if (!isEnabled() || this.w || a() || this.n) {
            return false;
        }
        switch (a2) {
            case 0:
                this.u = MotionEventCompat.b(motionEvent, 0);
                this.t = false;
                return true;
            case 1:
                int a3 = MotionEventCompat.a(motionEvent, this.u);
                if (a3 < 0) {
                    Log.e(c, "Got ACTION_UP event but don't have an active pointer id.");
                    return false;
                }
                this.t = false;
                b((MotionEventCompat.d(motionEvent, a3) - this.r) * 0.5f);
                this.u = -1;
                return false;
            case 2:
                int a4 = MotionEventCompat.a(motionEvent, this.u);
                if (a4 < 0) {
                    Log.e(c, "Got ACTION_MOVE event but have an invalid active pointer id.");
                    return false;
                }
                float d2 = (MotionEventCompat.d(motionEvent, a4) - this.r) * 0.5f;
                if (!this.t) {
                    return true;
                }
                if (d2 <= 0.0f) {
                    return false;
                }
                a(d2);
                return true;
            case 3:
                return false;
            case 4:
            default:
                return true;
            case 5:
                int b2 = MotionEventCompat.b(motionEvent);
                if (b2 < 0) {
                    Log.e(c, "Got ACTION_POINTER_DOWN event but have an invalid action index.");
                    return false;
                }
                this.u = MotionEventCompat.b(motionEvent, b2);
                return true;
            case 6:
                a(motionEvent);
                return true;
        }
    }

    private void a(int i2, Animation.AnimationListener animationListener) {
        this.f466a = i2;
        this.O.reset();
        this.O.setDuration(200);
        this.O.setInterpolator(this.x);
        if (animationListener != null) {
            this.z.a(animationListener);
        }
        this.z.clearAnimation();
        this.z.startAnimation(this.O);
    }

    private void b(int i2, Animation.AnimationListener animationListener) {
        if (this.v) {
            c(i2, animationListener);
            return;
        }
        this.f466a = i2;
        this.P.reset();
        this.P.setDuration(200);
        this.P.setInterpolator(this.x);
        if (animationListener != null) {
            this.z.a(animationListener);
        }
        this.z.clearAnimation();
        this.z.startAnimation(this.P);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(float f2) {
        a((this.f466a + ((int) (((float) (this.b - this.f466a)) * f2))) - this.z.getTop(), false);
    }

    private void c(int i2, Animation.AnimationListener animationListener) {
        this.f466a = i2;
        if (d()) {
            this.B = (float) this.C.getAlpha();
        } else {
            this.B = ViewCompat.n(this.z);
        }
        this.H = new Animation() {
            /* class android.support.v4.widget.SwipeRefreshLayout.AnonymousClass8 */

            public void applyTransformation(float f, Transformation transformation) {
                SwipeRefreshLayout.this.setAnimationProgress(SwipeRefreshLayout.this.B + ((-SwipeRefreshLayout.this.B) * f));
                SwipeRefreshLayout.this.c((SwipeRefreshLayout) f);
            }
        };
        this.H.setDuration(150);
        if (animationListener != null) {
            this.z.a(animationListener);
        }
        this.z.clearAnimation();
        this.z.startAnimation(this.H);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, boolean z2) {
        this.z.bringToFront();
        this.z.offsetTopAndBottom(i2);
        this.p = this.z.getTop();
        if (z2 && Build.VERSION.SDK_INT < 11) {
            invalidate();
        }
    }

    private void a(MotionEvent motionEvent) {
        int b2 = MotionEventCompat.b(motionEvent);
        if (MotionEventCompat.b(motionEvent, b2) == this.u) {
            this.u = MotionEventCompat.b(motionEvent, b2 == 0 ? 1 : 0);
        }
    }
}
