package android.support.v4.widget;

import android.content.Context;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.VelocityTrackerCompat;
import android.support.v4.view.ViewCompat;
import android.util.Log;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import java.util.Arrays;

public class ViewDragHelper {
    private static final Interpolator v = new Interpolator() {
        /* class android.support.v4.widget.ViewDragHelper.AnonymousClass1 */

        public float getInterpolation(float f) {
            float f2 = f - 1.0f;
            return (f2 * f2 * f2 * f2 * f2) + 1.0f;
        }
    };

    /* renamed from: a  reason: collision with root package name */
    private int f476a;
    private int b;
    private int c = -1;
    private float[] d;
    private float[] e;
    private float[] f;
    private float[] g;
    private int[] h;
    private int[] i;
    private int[] j;
    private int k;
    private VelocityTracker l;
    private float m;
    private float n;
    private int o;
    private int p;
    private ScrollerCompat q;
    private final Callback r;
    private View s;
    private boolean t;
    private final ViewGroup u;
    private final Runnable w = new Runnable() {
        /* class android.support.v4.widget.ViewDragHelper.AnonymousClass2 */

        public void run() {
            ViewDragHelper.this.c(0);
        }
    };

    public static abstract class Callback {
        public int a(View view) {
            return 0;
        }

        public int a(View view, int i, int i2) {
            return 0;
        }

        public void a(int i) {
        }

        public void a(int i, int i2) {
        }

        public void a(View view, float f, float f2) {
        }

        public void a(View view, int i, int i2, int i3, int i4) {
        }

        public abstract boolean a(View view, int i);

        public int b(View view) {
            return 0;
        }

        public int b(View view, int i, int i2) {
            return 0;
        }

        public void b(int i, int i2) {
        }

        public void b(View view, int i) {
        }

        public boolean b(int i) {
            return false;
        }

        public int c(int i) {
            return i;
        }
    }

    public static ViewDragHelper a(ViewGroup viewGroup, Callback callback) {
        return new ViewDragHelper(viewGroup.getContext(), viewGroup, callback);
    }

    public static ViewDragHelper a(ViewGroup viewGroup, float f2, Callback callback) {
        ViewDragHelper a2 = a(viewGroup, callback);
        a2.b = (int) (((float) a2.b) * (1.0f / f2));
        return a2;
    }

    private ViewDragHelper(Context context, ViewGroup viewGroup, Callback callback) {
        if (viewGroup == null) {
            throw new IllegalArgumentException("Parent view may not be null");
        } else if (callback != null) {
            this.u = viewGroup;
            this.r = callback;
            ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
            this.o = (int) ((context.getResources().getDisplayMetrics().density * 20.0f) + 0.5f);
            this.b = viewConfiguration.getScaledTouchSlop();
            this.m = (float) viewConfiguration.getScaledMaximumFlingVelocity();
            this.n = (float) viewConfiguration.getScaledMinimumFlingVelocity();
            this.q = ScrollerCompat.a(context, v);
        } else {
            throw new IllegalArgumentException("Callback may not be null");
        }
    }

    public void a(float f2) {
        this.n = f2;
    }

    public int a() {
        return this.f476a;
    }

    public void a(int i2) {
        this.p = i2;
    }

    public int b() {
        return this.o;
    }

    public void a(View view, int i2) {
        if (view.getParent() == this.u) {
            this.s = view;
            this.c = i2;
            this.r.b(view, i2);
            c(1);
            return;
        }
        throw new IllegalArgumentException("captureChildView: parameter must be a descendant of the ViewDragHelper's tracked parent view (" + this.u + ")");
    }

    public View c() {
        return this.s;
    }

    public int d() {
        return this.b;
    }

    public void e() {
        this.c = -1;
        g();
        if (this.l != null) {
            this.l.recycle();
            this.l = null;
        }
    }

    public void f() {
        e();
        if (this.f476a == 2) {
            int b2 = this.q.b();
            int c2 = this.q.c();
            this.q.h();
            int b3 = this.q.b();
            int c3 = this.q.c();
            this.r.a(this.s, b3, c3, b3 - b2, c3 - c2);
        }
        c(0);
    }

    public boolean a(View view, int i2, int i3) {
        this.s = view;
        this.c = -1;
        boolean a2 = a(i2, i3, 0, 0);
        if (!a2 && this.f476a == 0 && this.s != null) {
            this.s = null;
        }
        return a2;
    }

    public boolean a(int i2, int i3) {
        if (this.t) {
            return a(i2, i3, (int) VelocityTrackerCompat.a(this.l, this.c), (int) VelocityTrackerCompat.b(this.l, this.c));
        }
        throw new IllegalStateException("Cannot settleCapturedViewAt outside of a call to Callback#onViewReleased");
    }

    private boolean a(int i2, int i3, int i4, int i5) {
        int left = this.s.getLeft();
        int top = this.s.getTop();
        int i6 = i2 - left;
        int i7 = i3 - top;
        if (i6 == 0 && i7 == 0) {
            this.q.h();
            c(0);
            return false;
        }
        this.q.a(left, top, i6, i7, a(this.s, i6, i7, i4, i5));
        c(2);
        return true;
    }

    private int a(View view, int i2, int i3, int i4, int i5) {
        float f2;
        float f3;
        float f4;
        float f5;
        int b2 = b(i4, (int) this.n, (int) this.m);
        int b3 = b(i5, (int) this.n, (int) this.m);
        int abs = Math.abs(i2);
        int abs2 = Math.abs(i3);
        int abs3 = Math.abs(b2);
        int abs4 = Math.abs(b3);
        int i6 = abs3 + abs4;
        int i7 = abs + abs2;
        if (b2 != 0) {
            f2 = (float) abs3;
            f3 = (float) i6;
        } else {
            f2 = (float) abs;
            f3 = (float) i7;
        }
        float f6 = f2 / f3;
        if (b3 != 0) {
            f4 = (float) abs4;
            f5 = (float) i6;
        } else {
            f4 = (float) abs2;
            f5 = (float) i7;
        }
        float f7 = f4 / f5;
        return (int) ((((float) a(i2, b2, this.r.a(view))) * f6) + (((float) a(i3, b3, this.r.b(view))) * f7));
    }

    private int a(int i2, int i3, int i4) {
        int i5;
        if (i2 == 0) {
            return 0;
        }
        int width = this.u.getWidth();
        float f2 = (float) (width / 2);
        float b2 = f2 + (b(Math.min(1.0f, ((float) Math.abs(i2)) / ((float) width))) * f2);
        int abs = Math.abs(i3);
        if (abs > 0) {
            i5 = Math.round(Math.abs(b2 / ((float) abs)) * 1000.0f) * 4;
        } else {
            i5 = (int) (((((float) Math.abs(i2)) / ((float) i4)) + 1.0f) * 256.0f);
        }
        return Math.min(i5, 600);
    }

    private int b(int i2, int i3, int i4) {
        int abs = Math.abs(i2);
        if (abs < i3) {
            return 0;
        }
        if (abs > i4) {
            return i2 > 0 ? i4 : -i4;
        }
        return i2;
    }

    private float a(float f2, float f3, float f4) {
        float abs = Math.abs(f2);
        if (abs < f3) {
            return 0.0f;
        }
        if (abs > f4) {
            return f2 > 0.0f ? f4 : -f4;
        }
        return f2;
    }

    private float b(float f2) {
        return (float) Math.sin((double) ((float) (((double) (f2 - 0.5f)) * 0.4712389167638204d)));
    }

    public boolean a(boolean z) {
        if (this.f476a == 2) {
            boolean g2 = this.q.g();
            int b2 = this.q.b();
            int c2 = this.q.c();
            int left = b2 - this.s.getLeft();
            int top = c2 - this.s.getTop();
            if (left != 0) {
                ViewCompat.e(this.s, left);
            }
            if (top != 0) {
                ViewCompat.d(this.s, top);
            }
            if (!(left == 0 && top == 0)) {
                this.r.a(this.s, b2, c2, left, top);
            }
            if (g2 && b2 == this.q.d() && c2 == this.q.e()) {
                this.q.h();
                g2 = false;
            }
            if (!g2) {
                if (z) {
                    this.u.post(this.w);
                } else {
                    c(0);
                }
            }
        }
        if (this.f476a == 2) {
            return true;
        }
        return false;
    }

    private void a(float f2, float f3) {
        this.t = true;
        this.r.a(this.s, f2, f3);
        this.t = false;
        if (this.f476a == 1) {
            c(0);
        }
    }

    private void g() {
        if (this.d != null) {
            Arrays.fill(this.d, 0.0f);
            Arrays.fill(this.e, 0.0f);
            Arrays.fill(this.f, 0.0f);
            Arrays.fill(this.g, 0.0f);
            Arrays.fill(this.h, 0);
            Arrays.fill(this.i, 0);
            Arrays.fill(this.j, 0);
            this.k = 0;
        }
    }

    private void e(int i2) {
        if (this.d != null && b(i2)) {
            this.d[i2] = 0.0f;
            this.e[i2] = 0.0f;
            this.f[i2] = 0.0f;
            this.g[i2] = 0.0f;
            this.h[i2] = 0;
            this.i[i2] = 0;
            this.j[i2] = 0;
            this.k = (~(1 << i2)) & this.k;
        }
    }

    private void f(int i2) {
        if (this.d == null || this.d.length <= i2) {
            int i3 = i2 + 1;
            float[] fArr = new float[i3];
            float[] fArr2 = new float[i3];
            float[] fArr3 = new float[i3];
            float[] fArr4 = new float[i3];
            int[] iArr = new int[i3];
            int[] iArr2 = new int[i3];
            int[] iArr3 = new int[i3];
            if (this.d != null) {
                System.arraycopy(this.d, 0, fArr, 0, this.d.length);
                System.arraycopy(this.e, 0, fArr2, 0, this.e.length);
                System.arraycopy(this.f, 0, fArr3, 0, this.f.length);
                System.arraycopy(this.g, 0, fArr4, 0, this.g.length);
                System.arraycopy(this.h, 0, iArr, 0, this.h.length);
                System.arraycopy(this.i, 0, iArr2, 0, this.i.length);
                System.arraycopy(this.j, 0, iArr3, 0, this.j.length);
            }
            this.d = fArr;
            this.e = fArr2;
            this.f = fArr3;
            this.g = fArr4;
            this.h = iArr;
            this.i = iArr2;
            this.j = iArr3;
        }
    }

    private void a(float f2, float f3, int i2) {
        f(i2);
        float[] fArr = this.d;
        this.f[i2] = f2;
        fArr[i2] = f2;
        float[] fArr2 = this.e;
        this.g[i2] = f3;
        fArr2[i2] = f3;
        this.h[i2] = e((int) f2, (int) f3);
        this.k |= 1 << i2;
    }

    private void c(MotionEvent motionEvent) {
        int c2 = MotionEventCompat.c(motionEvent);
        for (int i2 = 0; i2 < c2; i2++) {
            int b2 = MotionEventCompat.b(motionEvent, i2);
            if (g(b2)) {
                float c3 = MotionEventCompat.c(motionEvent, i2);
                float d2 = MotionEventCompat.d(motionEvent, i2);
                this.f[b2] = c3;
                this.g[b2] = d2;
            }
        }
    }

    public boolean b(int i2) {
        return ((1 << i2) & this.k) != 0;
    }

    /* access modifiers changed from: package-private */
    public void c(int i2) {
        this.u.removeCallbacks(this.w);
        if (this.f476a != i2) {
            this.f476a = i2;
            this.r.a(i2);
            if (this.f476a == 0) {
                this.s = null;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(View view, int i2) {
        if (view == this.s && this.c == i2) {
            return true;
        }
        if (view == null || !this.r.a(view, i2)) {
            return false;
        }
        this.c = i2;
        a(view, i2);
        return true;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x00d4, code lost:
        if (r12 != r11) goto L_0x00dd;
     */
    public boolean a(MotionEvent motionEvent) {
        boolean z;
        View d2;
        int a2 = MotionEventCompat.a(motionEvent);
        int b2 = MotionEventCompat.b(motionEvent);
        if (a2 == 0) {
            e();
        }
        if (this.l == null) {
            this.l = VelocityTracker.obtain();
        }
        this.l.addMovement(motionEvent);
        switch (a2) {
            case 0:
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                z = false;
                int b3 = MotionEventCompat.b(motionEvent, 0);
                a(x, y, b3);
                View d3 = d((int) x, (int) y);
                if (d3 == this.s && this.f476a == 2) {
                    b(d3, b3);
                }
                int i2 = this.h[b3];
                if ((this.p & i2) != 0) {
                    this.r.a(i2 & this.p, b3);
                    break;
                }
                break;
            case 1:
            case 3:
                e();
                z = false;
                break;
            case 2:
                if (!(this.d == null || this.e == null)) {
                    int c2 = MotionEventCompat.c(motionEvent);
                    for (int i3 = 0; i3 < c2; i3++) {
                        int b4 = MotionEventCompat.b(motionEvent, i3);
                        if (g(b4)) {
                            float c3 = MotionEventCompat.c(motionEvent, i3);
                            float d4 = MotionEventCompat.d(motionEvent, i3);
                            float f2 = c3 - this.d[b4];
                            float f3 = d4 - this.e[b4];
                            View d5 = d((int) c3, (int) d4);
                            boolean z2 = d5 != null && a(d5, f2, f3);
                            if (z2) {
                                int left = d5.getLeft();
                                int i4 = (int) f2;
                                int a3 = this.r.a(d5, left + i4, i4);
                                int top = d5.getTop();
                                int i5 = (int) f3;
                                int b5 = this.r.b(d5, top + i5, i5);
                                int a4 = this.r.a(d5);
                                int b6 = this.r.b(d5);
                                if (a4 != 0) {
                                    if (a4 > 0) {
                                    }
                                }
                                if (b6 != 0) {
                                    if (b6 > 0 && b5 == top) {
                                    }
                                }
                                c(motionEvent);
                            }
                            b(f2, f3, b4);
                            if (this.f476a != 1) {
                                if (z2 && b(d5, b4)) {
                                }
                            }
                            c(motionEvent);
                        }
                    }
                    c(motionEvent);
                }
                z = false;
                break;
            case 4:
            default:
                z = false;
                break;
            case 5:
                int b7 = MotionEventCompat.b(motionEvent, b2);
                float c4 = MotionEventCompat.c(motionEvent, b2);
                float d6 = MotionEventCompat.d(motionEvent, b2);
                a(c4, d6, b7);
                if (this.f476a == 0) {
                    int i6 = this.h[b7];
                    if ((this.p & i6) != 0) {
                        this.r.a(i6 & this.p, b7);
                    }
                } else if (this.f476a == 2 && (d2 = d((int) c4, (int) d6)) == this.s) {
                    b(d2, b7);
                }
                z = false;
                break;
            case 6:
                e(MotionEventCompat.b(motionEvent, b2));
                z = false;
                break;
        }
        if (this.f476a == 1) {
            return true;
        }
        return z;
    }

    public void b(MotionEvent motionEvent) {
        int i2;
        int a2 = MotionEventCompat.a(motionEvent);
        int b2 = MotionEventCompat.b(motionEvent);
        if (a2 == 0) {
            e();
        }
        if (this.l == null) {
            this.l = VelocityTracker.obtain();
        }
        this.l.addMovement(motionEvent);
        int i3 = 0;
        switch (a2) {
            case 0:
                float x = motionEvent.getX();
                float y = motionEvent.getY();
                int b3 = MotionEventCompat.b(motionEvent, 0);
                View d2 = d((int) x, (int) y);
                a(x, y, b3);
                b(d2, b3);
                int i4 = this.h[b3];
                if ((this.p & i4) != 0) {
                    this.r.a(i4 & this.p, b3);
                    return;
                }
                return;
            case 1:
                if (this.f476a == 1) {
                    h();
                }
                e();
                return;
            case 2:
                if (this.f476a != 1) {
                    int c2 = MotionEventCompat.c(motionEvent);
                    while (i3 < c2) {
                        int b4 = MotionEventCompat.b(motionEvent, i3);
                        if (g(b4)) {
                            float c3 = MotionEventCompat.c(motionEvent, i3);
                            float d3 = MotionEventCompat.d(motionEvent, i3);
                            float f2 = c3 - this.d[b4];
                            float f3 = d3 - this.e[b4];
                            b(f2, f3, b4);
                            if (this.f476a != 1) {
                                View d4 = d((int) c3, (int) d3);
                                if (a(d4, f2, f3) && b(d4, b4)) {
                                }
                            }
                            c(motionEvent);
                            return;
                        }
                        i3++;
                    }
                    c(motionEvent);
                    return;
                } else if (g(this.c)) {
                    int a3 = MotionEventCompat.a(motionEvent, this.c);
                    float c4 = MotionEventCompat.c(motionEvent, a3);
                    float d5 = MotionEventCompat.d(motionEvent, a3);
                    int i5 = (int) (c4 - this.f[this.c]);
                    int i6 = (int) (d5 - this.g[this.c]);
                    b(this.s.getLeft() + i5, this.s.getTop() + i6, i5, i6);
                    c(motionEvent);
                    return;
                } else {
                    return;
                }
            case 3:
                if (this.f476a == 1) {
                    a(0.0f, 0.0f);
                }
                e();
                return;
            case 4:
            default:
                return;
            case 5:
                int b5 = MotionEventCompat.b(motionEvent, b2);
                float c5 = MotionEventCompat.c(motionEvent, b2);
                float d6 = MotionEventCompat.d(motionEvent, b2);
                a(c5, d6, b5);
                if (this.f476a == 0) {
                    b(d((int) c5, (int) d6), b5);
                    int i7 = this.h[b5];
                    if ((this.p & i7) != 0) {
                        this.r.a(i7 & this.p, b5);
                        return;
                    }
                    return;
                } else if (c((int) c5, (int) d6)) {
                    b(this.s, b5);
                    return;
                } else {
                    return;
                }
            case 6:
                int b6 = MotionEventCompat.b(motionEvent, b2);
                if (this.f476a == 1 && b6 == this.c) {
                    int c6 = MotionEventCompat.c(motionEvent);
                    while (true) {
                        if (i3 < c6) {
                            int b7 = MotionEventCompat.b(motionEvent, i3);
                            if (b7 != this.c) {
                                if (d((int) MotionEventCompat.c(motionEvent, i3), (int) MotionEventCompat.d(motionEvent, i3)) == this.s && b(this.s, b7)) {
                                    i2 = this.c;
                                }
                            }
                            i3++;
                        } else {
                            i2 = -1;
                        }
                    }
                    if (i2 == -1) {
                        h();
                    }
                }
                e(b6);
                return;
        }
    }

    private void b(float f2, float f3, int i2) {
        int i3 = 1;
        if (!a(f2, f3, i2, 1)) {
            i3 = 0;
        }
        if (a(f3, f2, i2, 4)) {
            i3 |= 4;
        }
        if (a(f2, f3, i2, 2)) {
            i3 |= 2;
        }
        if (a(f3, f2, i2, 8)) {
            i3 |= 8;
        }
        if (i3 != 0) {
            int[] iArr = this.i;
            iArr[i2] = iArr[i2] | i3;
            this.r.b(i3, i2);
        }
    }

    private boolean a(float f2, float f3, int i2, int i3) {
        float abs = Math.abs(f2);
        float abs2 = Math.abs(f3);
        if ((this.h[i2] & i3) != i3 || (this.p & i3) == 0 || (this.j[i2] & i3) == i3 || (this.i[i2] & i3) == i3 || (abs <= ((float) this.b) && abs2 <= ((float) this.b))) {
            return false;
        }
        if (abs < abs2 * 0.5f && this.r.b(i3)) {
            int[] iArr = this.j;
            iArr[i2] = iArr[i2] | i3;
            return false;
        } else if ((this.i[i2] & i3) != 0 || abs <= ((float) this.b)) {
            return false;
        } else {
            return true;
        }
    }

    private boolean a(View view, float f2, float f3) {
        if (view == null) {
            return false;
        }
        boolean z = this.r.a(view) > 0;
        boolean z2 = this.r.b(view) > 0;
        if (!z || !z2) {
            if (z) {
                if (Math.abs(f2) > ((float) this.b)) {
                    return true;
                }
                return false;
            } else if (!z2 || Math.abs(f3) <= ((float) this.b)) {
                return false;
            } else {
                return true;
            }
        } else if ((f2 * f2) + (f3 * f3) > ((float) (this.b * this.b))) {
            return true;
        } else {
            return false;
        }
    }

    public boolean d(int i2) {
        int length = this.d.length;
        for (int i3 = 0; i3 < length; i3++) {
            if (b(i2, i3)) {
                return true;
            }
        }
        return false;
    }

    public boolean b(int i2, int i3) {
        if (!b(i3)) {
            return false;
        }
        boolean z = (i2 & 1) == 1;
        boolean z2 = (i2 & 2) == 2;
        float f2 = this.f[i3] - this.d[i3];
        float f3 = this.g[i3] - this.e[i3];
        if (!z || !z2) {
            if (z) {
                if (Math.abs(f2) > ((float) this.b)) {
                    return true;
                }
                return false;
            } else if (!z2 || Math.abs(f3) <= ((float) this.b)) {
                return false;
            } else {
                return true;
            }
        } else if ((f2 * f2) + (f3 * f3) > ((float) (this.b * this.b))) {
            return true;
        } else {
            return false;
        }
    }

    private void h() {
        this.l.computeCurrentVelocity(1000, this.m);
        a(a(VelocityTrackerCompat.a(this.l, this.c), this.n, this.m), a(VelocityTrackerCompat.b(this.l, this.c), this.n, this.m));
    }

    private void b(int i2, int i3, int i4, int i5) {
        int left = this.s.getLeft();
        int top = this.s.getTop();
        if (i4 != 0) {
            i2 = this.r.a(this.s, i2, i4);
            ViewCompat.e(this.s, i2 - left);
        }
        if (i5 != 0) {
            i3 = this.r.b(this.s, i3, i5);
            ViewCompat.d(this.s, i3 - top);
        }
        if (i4 != 0 || i5 != 0) {
            this.r.a(this.s, i2, i3, i2 - left, i3 - top);
        }
    }

    public boolean c(int i2, int i3) {
        return b(this.s, i2, i3);
    }

    public boolean b(View view, int i2, int i3) {
        if (view != null && i2 >= view.getLeft() && i2 < view.getRight() && i3 >= view.getTop() && i3 < view.getBottom()) {
            return true;
        }
        return false;
    }

    public View d(int i2, int i3) {
        for (int childCount = this.u.getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = this.u.getChildAt(this.r.c(childCount));
            if (i2 >= childAt.getLeft() && i2 < childAt.getRight() && i3 >= childAt.getTop() && i3 < childAt.getBottom()) {
                return childAt;
            }
        }
        return null;
    }

    private int e(int i2, int i3) {
        int i4 = i2 < this.u.getLeft() + this.o ? 1 : 0;
        if (i3 < this.u.getTop() + this.o) {
            i4 |= 4;
        }
        if (i2 > this.u.getRight() - this.o) {
            i4 |= 2;
        }
        return i3 > this.u.getBottom() - this.o ? i4 | 8 : i4;
    }

    private boolean g(int i2) {
        if (b(i2)) {
            return true;
        }
        Log.e("ViewDragHelper", "Ignoring pointerId=" + i2 + " because ACTION_DOWN was not received " + "for this pointer before ACTION_MOVE. It likely happened because " + " ViewDragHelper did not receive all the events in the event stream.");
        return false;
    }
}
