package android.support.v7.app;

import android.content.Context;
import android.content.DialogInterface;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.os.Message;
import android.support.annotation.Nullable;
import android.support.v4.view.ViewCompat;
import android.support.v4.widget.NestedScrollView;
import android.support.v7.appcompat.R;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewStub;
import android.view.Window;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckedTextView;
import android.widget.CursorAdapter;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.TextView;
import java.lang.ref.WeakReference;

/* access modifiers changed from: package-private */
public class AlertController {
    private TextView A;
    private TextView B;
    private View C;
    private ListAdapter D;
    private int E = -1;
    private int F;
    private int G;
    private int H;
    private int I;
    private int J;
    private int K;
    private int L = 0;
    private Handler M;
    private final View.OnClickListener N = new View.OnClickListener() {
        /* class android.support.v7.app.AlertController.AnonymousClass1 */

        public void onClick(View view) {
            Message message;
            if (view == AlertController.this.n && AlertController.this.p != null) {
                message = Message.obtain(AlertController.this.p);
            } else if (view != AlertController.this.q || AlertController.this.s == null) {
                message = (view != AlertController.this.t || AlertController.this.v == null) ? null : Message.obtain(AlertController.this.v);
            } else {
                message = Message.obtain(AlertController.this.s);
            }
            if (message != null) {
                message.sendToTarget();
            }
            AlertController.this.M.obtainMessage(1, AlertController.this.b).sendToTarget();
        }
    };

    /* renamed from: a  reason: collision with root package name */
    private final Context f486a;
    private final AppCompatDialog b;
    private final Window c;
    private CharSequence d;
    private CharSequence e;
    private ListView f;
    private View g;
    private int h;
    private int i;
    private int j;
    private int k;
    private int l;
    private boolean m = false;
    private Button n;
    private CharSequence o;
    private Message p;
    private Button q;
    private CharSequence r;
    private Message s;
    private Button t;
    private CharSequence u;
    private Message v;
    private NestedScrollView w;
    private int x = 0;
    private Drawable y;
    private ImageView z;

    private static final class ButtonHandler extends Handler {

        /* renamed from: a  reason: collision with root package name */
        private WeakReference<DialogInterface> f497a;

        public ButtonHandler(DialogInterface dialogInterface) {
            this.f497a = new WeakReference<>(dialogInterface);
        }

        public void handleMessage(Message message) {
            int i = message.what;
            if (i != 1) {
                switch (i) {
                    case -3:
                    case -2:
                    case -1:
                        ((DialogInterface.OnClickListener) message.obj).onClick(this.f497a.get(), message.what);
                        return;
                    default:
                        return;
                }
            } else {
                ((DialogInterface) message.obj).dismiss();
            }
        }
    }

    public AlertController(Context context, AppCompatDialog appCompatDialog, Window window) {
        this.f486a = context;
        this.b = appCompatDialog;
        this.c = window;
        this.M = new ButtonHandler(appCompatDialog);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, R.styleable.AlertDialog, R.attr.alertDialogStyle, 0);
        this.F = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_android_layout, 0);
        this.G = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_buttonPanelSideLayout, 0);
        this.H = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_listLayout, 0);
        this.I = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_multiChoiceItemLayout, 0);
        this.J = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_singleChoiceItemLayout, 0);
        this.K = obtainStyledAttributes.getResourceId(R.styleable.AlertDialog_listItemLayout, 0);
        obtainStyledAttributes.recycle();
        appCompatDialog.a(1);
    }

    static boolean a(View view) {
        if (view.onCheckIsTextEditor()) {
            return true;
        }
        if (!(view instanceof ViewGroup)) {
            return false;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        while (childCount > 0) {
            childCount--;
            if (a(viewGroup.getChildAt(childCount))) {
                return true;
            }
        }
        return false;
    }

    public void a() {
        this.b.setContentView(b());
        c();
    }

    private int b() {
        if (this.G == 0) {
            return this.F;
        }
        if (this.L == 1) {
            return this.G;
        }
        return this.F;
    }

    public void a(CharSequence charSequence) {
        this.d = charSequence;
        if (this.A != null) {
            this.A.setText(charSequence);
        }
    }

    public void b(View view) {
        this.C = view;
    }

    public void b(CharSequence charSequence) {
        this.e = charSequence;
        if (this.B != null) {
            this.B.setText(charSequence);
        }
    }

    public void a(int i2) {
        this.g = null;
        this.h = i2;
        this.m = false;
    }

    public void c(View view) {
        this.g = view;
        this.h = 0;
        this.m = false;
    }

    public void a(View view, int i2, int i3, int i4, int i5) {
        this.g = view;
        this.h = 0;
        this.m = true;
        this.i = i2;
        this.j = i3;
        this.k = i4;
        this.l = i5;
    }

    public void a(int i2, CharSequence charSequence, DialogInterface.OnClickListener onClickListener, Message message) {
        if (message == null && onClickListener != null) {
            message = this.M.obtainMessage(i2, onClickListener);
        }
        switch (i2) {
            case -3:
                this.u = charSequence;
                this.v = message;
                return;
            case -2:
                this.r = charSequence;
                this.s = message;
                return;
            case -1:
                this.o = charSequence;
                this.p = message;
                return;
            default:
                throw new IllegalArgumentException("Button does not exist");
        }
    }

    public void b(int i2) {
        this.y = null;
        this.x = i2;
        if (this.z == null) {
            return;
        }
        if (i2 != 0) {
            this.z.setVisibility(0);
            this.z.setImageResource(this.x);
            return;
        }
        this.z.setVisibility(8);
    }

    public void a(Drawable drawable) {
        this.y = drawable;
        this.x = 0;
        if (this.z == null) {
            return;
        }
        if (drawable != null) {
            this.z.setVisibility(0);
            this.z.setImageDrawable(drawable);
            return;
        }
        this.z.setVisibility(8);
    }

    public int c(int i2) {
        TypedValue typedValue = new TypedValue();
        this.f486a.getTheme().resolveAttribute(i2, typedValue, true);
        return typedValue.resourceId;
    }

    public boolean a(int i2, KeyEvent keyEvent) {
        return this.w != null && this.w.a(keyEvent);
    }

    public boolean b(int i2, KeyEvent keyEvent) {
        return this.w != null && this.w.a(keyEvent);
    }

    @Nullable
    private ViewGroup a(@Nullable View view, @Nullable View view2) {
        if (view == null) {
            if (view2 instanceof ViewStub) {
                view2 = ((ViewStub) view2).inflate();
            }
            return (ViewGroup) view2;
        }
        if (view2 != null) {
            ViewParent parent = view2.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(view2);
            }
        }
        if (view instanceof ViewStub) {
            view = ((ViewStub) view).inflate();
        }
        return (ViewGroup) view;
    }

    private void c() {
        View findViewById;
        View findViewById2 = this.c.findViewById(R.id.parentPanel);
        View findViewById3 = findViewById2.findViewById(R.id.topPanel);
        View findViewById4 = findViewById2.findViewById(R.id.contentPanel);
        View findViewById5 = findViewById2.findViewById(R.id.buttonPanel);
        ViewGroup viewGroup = (ViewGroup) findViewById2.findViewById(R.id.customPanel);
        a(viewGroup);
        View findViewById6 = viewGroup.findViewById(R.id.topPanel);
        View findViewById7 = viewGroup.findViewById(R.id.contentPanel);
        View findViewById8 = viewGroup.findViewById(R.id.buttonPanel);
        ViewGroup a2 = a(findViewById6, findViewById3);
        ViewGroup a3 = a(findViewById7, findViewById4);
        ViewGroup a4 = a(findViewById8, findViewById5);
        c(a3);
        d(a4);
        b(a2);
        int i2 = 0;
        boolean z2 = (viewGroup == null || viewGroup.getVisibility() == 8) ? false : true;
        int i3 = (a2 == null || a2.getVisibility() == 8) ? 0 : 1;
        boolean z3 = (a4 == null || a4.getVisibility() == 8) ? false : true;
        if (!(z3 || a3 == null || (findViewById = a3.findViewById(R.id.textSpacerNoButtons)) == null)) {
            findViewById.setVisibility(0);
        }
        if (!(i3 == 0 || this.w == null)) {
            this.w.setClipToPadding(true);
        }
        if (!z2) {
            View view = this.f != null ? this.f : this.w;
            if (view != null) {
                if (z3) {
                    i2 = 2;
                }
                a(a3, view, i3 | i2, 3);
            }
        }
        ListView listView = this.f;
        if (listView != null && this.D != null) {
            listView.setAdapter(this.D);
            int i4 = this.E;
            if (i4 > -1) {
                listView.setItemChecked(i4, true);
                listView.setSelection(i4);
            }
        }
    }

    private void a(ViewGroup viewGroup, View view, int i2, int i3) {
        final View findViewById = this.c.findViewById(R.id.scrollIndicatorUp);
        View findViewById2 = this.c.findViewById(R.id.scrollIndicatorDown);
        if (Build.VERSION.SDK_INT >= 23) {
            ViewCompat.a(view, i2, i3);
            if (findViewById != null) {
                viewGroup.removeView(findViewById);
            }
            if (findViewById2 != null) {
                viewGroup.removeView(findViewById2);
                return;
            }
            return;
        }
        final View view2 = null;
        if (findViewById != null && (i2 & 1) == 0) {
            viewGroup.removeView(findViewById);
            findViewById = null;
        }
        if (findViewById2 == null || (i2 & 2) != 0) {
            view2 = findViewById2;
        } else {
            viewGroup.removeView(findViewById2);
        }
        if (findViewById != null || view2 != null) {
            if (this.e != null) {
                this.w.setOnScrollChangeListener(new NestedScrollView.OnScrollChangeListener() {
                    /* class android.support.v7.app.AlertController.AnonymousClass2 */

                    @Override // android.support.v4.widget.NestedScrollView.OnScrollChangeListener
                    public void a(NestedScrollView nestedScrollView, int i, int i2, int i3, int i4) {
                        AlertController.b(nestedScrollView, findViewById, view2);
                    }
                });
                this.w.post(new Runnable() {
                    /* class android.support.v7.app.AlertController.AnonymousClass3 */

                    public void run() {
                        AlertController.b(AlertController.this.w, findViewById, view2);
                    }
                });
            } else if (this.f != null) {
                this.f.setOnScrollListener(new AbsListView.OnScrollListener() {
                    /* class android.support.v7.app.AlertController.AnonymousClass4 */

                    public void onScrollStateChanged(AbsListView absListView, int i) {
                    }

                    public void onScroll(AbsListView absListView, int i, int i2, int i3) {
                        AlertController.b(absListView, findViewById, view2);
                    }
                });
                this.f.post(new Runnable() {
                    /* class android.support.v7.app.AlertController.AnonymousClass5 */

                    public void run() {
                        AlertController.b(AlertController.this.f, findViewById, view2);
                    }
                });
            } else {
                if (findViewById != null) {
                    viewGroup.removeView(findViewById);
                }
                if (view2 != null) {
                    viewGroup.removeView(view2);
                }
            }
        }
    }

    private void a(ViewGroup viewGroup) {
        View view;
        boolean z2 = false;
        if (this.g != null) {
            view = this.g;
        } else {
            view = this.h != 0 ? LayoutInflater.from(this.f486a).inflate(this.h, viewGroup, false) : null;
        }
        if (view != null) {
            z2 = true;
        }
        if (!z2 || !a(view)) {
            this.c.setFlags(131072, 131072);
        }
        if (z2) {
            FrameLayout frameLayout = (FrameLayout) this.c.findViewById(R.id.custom);
            frameLayout.addView(view, new ViewGroup.LayoutParams(-1, -1));
            if (this.m) {
                frameLayout.setPadding(this.i, this.j, this.k, this.l);
            }
            if (this.f != null) {
                ((LinearLayout.LayoutParams) viewGroup.getLayoutParams()).weight = 0.0f;
                return;
            }
            return;
        }
        viewGroup.setVisibility(8);
    }

    private void b(ViewGroup viewGroup) {
        if (this.C != null) {
            viewGroup.addView(this.C, 0, new ViewGroup.LayoutParams(-1, -2));
            this.c.findViewById(R.id.title_template).setVisibility(8);
            return;
        }
        this.z = (ImageView) this.c.findViewById(16908294);
        if (!TextUtils.isEmpty(this.d)) {
            this.A = (TextView) this.c.findViewById(R.id.alertTitle);
            this.A.setText(this.d);
            if (this.x != 0) {
                this.z.setImageResource(this.x);
            } else if (this.y != null) {
                this.z.setImageDrawable(this.y);
            } else {
                this.A.setPadding(this.z.getPaddingLeft(), this.z.getPaddingTop(), this.z.getPaddingRight(), this.z.getPaddingBottom());
                this.z.setVisibility(8);
            }
        } else {
            this.c.findViewById(R.id.title_template).setVisibility(8);
            this.z.setVisibility(8);
            viewGroup.setVisibility(8);
        }
    }

    private void c(ViewGroup viewGroup) {
        this.w = (NestedScrollView) this.c.findViewById(R.id.scrollView);
        this.w.setFocusable(false);
        this.w.setNestedScrollingEnabled(false);
        this.B = (TextView) viewGroup.findViewById(16908299);
        if (this.B != null) {
            if (this.e != null) {
                this.B.setText(this.e);
                return;
            }
            this.B.setVisibility(8);
            this.w.removeView(this.B);
            if (this.f != null) {
                ViewGroup viewGroup2 = (ViewGroup) this.w.getParent();
                int indexOfChild = viewGroup2.indexOfChild(this.w);
                viewGroup2.removeViewAt(indexOfChild);
                viewGroup2.addView(this.f, indexOfChild, new ViewGroup.LayoutParams(-1, -1));
                return;
            }
            viewGroup.setVisibility(8);
        }
    }

    /* access modifiers changed from: private */
    public static void b(View view, View view2, View view3) {
        int i2 = 4;
        if (view2 != null) {
            view2.setVisibility(ViewCompat.b(view, -1) ? 0 : 4);
        }
        if (view3 != null) {
            if (ViewCompat.b(view, 1)) {
                i2 = 0;
            }
            view3.setVisibility(i2);
        }
    }

    private void d(ViewGroup viewGroup) {
        boolean z2;
        this.n = (Button) viewGroup.findViewById(16908313);
        this.n.setOnClickListener(this.N);
        boolean z3 = true;
        if (TextUtils.isEmpty(this.o)) {
            this.n.setVisibility(8);
            z2 = false;
        } else {
            this.n.setText(this.o);
            this.n.setVisibility(0);
            z2 = true;
        }
        this.q = (Button) viewGroup.findViewById(16908314);
        this.q.setOnClickListener(this.N);
        if (TextUtils.isEmpty(this.r)) {
            this.q.setVisibility(8);
        } else {
            this.q.setText(this.r);
            this.q.setVisibility(0);
            z2 |= true;
        }
        this.t = (Button) viewGroup.findViewById(16908315);
        this.t.setOnClickListener(this.N);
        if (TextUtils.isEmpty(this.u)) {
            this.t.setVisibility(8);
        } else {
            this.t.setText(this.u);
            this.t.setVisibility(0);
            z2 |= true;
        }
        if (!z2) {
            z3 = false;
        }
        if (!z3) {
            viewGroup.setVisibility(8);
        }
    }

    public static class AlertParams {
        public int A;
        public boolean B = false;
        public boolean[] C;
        public boolean D;
        public boolean E;
        public int F = -1;
        public DialogInterface.OnMultiChoiceClickListener G;
        public Cursor H;
        public String I;
        public String J;
        public AdapterView.OnItemSelectedListener K;
        public OnPrepareListViewListener L;
        public boolean M = true;

        /* renamed from: a  reason: collision with root package name */
        public final Context f492a;
        public final LayoutInflater b;
        public int c = 0;
        public Drawable d;
        public int e = 0;
        public CharSequence f;
        public View g;
        public CharSequence h;
        public CharSequence i;
        public DialogInterface.OnClickListener j;
        public CharSequence k;
        public DialogInterface.OnClickListener l;
        public CharSequence m;
        public DialogInterface.OnClickListener n;
        public boolean o;
        public DialogInterface.OnCancelListener p;
        public DialogInterface.OnDismissListener q;
        public DialogInterface.OnKeyListener r;
        public CharSequence[] s;
        public ListAdapter t;
        public DialogInterface.OnClickListener u;
        public int v;
        public View w;
        public int x;
        public int y;
        public int z;

        public interface OnPrepareListViewListener {
            void a(ListView listView);
        }

        public AlertParams(Context context) {
            this.f492a = context;
            this.o = true;
            this.b = (LayoutInflater) context.getSystemService("layout_inflater");
        }

        public void a(AlertController alertController) {
            if (this.g != null) {
                alertController.b(this.g);
            } else {
                if (this.f != null) {
                    alertController.a(this.f);
                }
                if (this.d != null) {
                    alertController.a(this.d);
                }
                if (this.c != 0) {
                    alertController.b(this.c);
                }
                if (this.e != 0) {
                    alertController.b(alertController.c(this.e));
                }
            }
            if (this.h != null) {
                alertController.b(this.h);
            }
            if (this.i != null) {
                alertController.a(-1, this.i, this.j, (Message) null);
            }
            if (this.k != null) {
                alertController.a(-2, this.k, this.l, (Message) null);
            }
            if (this.m != null) {
                alertController.a(-3, this.m, this.n, (Message) null);
            }
            if (!(this.s == null && this.H == null && this.t == null)) {
                b(alertController);
            }
            if (this.w != null) {
                if (this.B) {
                    alertController.a(this.w, this.x, this.y, this.z, this.A);
                } else {
                    alertController.c(this.w);
                }
            } else if (this.v != 0) {
                alertController.a(this.v);
            }
        }

        private void b(final AlertController alertController) {
            ListAdapter listAdapter;
            int i2;
            final ListView listView = (ListView) this.b.inflate(alertController.H, (ViewGroup) null);
            if (!this.D) {
                if (this.E) {
                    i2 = alertController.J;
                } else {
                    i2 = alertController.K;
                }
                if (this.H != null) {
                    listAdapter = new SimpleCursorAdapter(this.f492a, i2, this.H, new String[]{this.I}, new int[]{16908308});
                } else if (this.t != null) {
                    listAdapter = this.t;
                } else {
                    listAdapter = new CheckedItemAdapter(this.f492a, i2, 16908308, this.s);
                }
            } else if (this.H == null) {
                listAdapter = new ArrayAdapter<CharSequence>(this.f492a, alertController.I, 16908308, this.s) {
                    /* class android.support.v7.app.AlertController.AlertParams.AnonymousClass1 */

                    public View getView(int i, View view, ViewGroup viewGroup) {
                        View view2 = super.getView(i, view, viewGroup);
                        if (AlertParams.this.C != null && AlertParams.this.C[i]) {
                            listView.setItemChecked(i, true);
                        }
                        return view2;
                    }
                };
            } else {
                listAdapter = new CursorAdapter(this.f492a, this.H, false) {
                    /* class android.support.v7.app.AlertController.AlertParams.AnonymousClass2 */
                    private final int d;
                    private final int e;

                    {
                        Cursor cursor = getCursor();
                        this.d = cursor.getColumnIndexOrThrow(AlertParams.this.I);
                        this.e = cursor.getColumnIndexOrThrow(AlertParams.this.J);
                    }

                    public void bindView(View view, Context context, Cursor cursor) {
                        ((CheckedTextView) view.findViewById(16908308)).setText(cursor.getString(this.d));
                        ListView listView = listView;
                        int position = cursor.getPosition();
                        boolean z = true;
                        if (cursor.getInt(this.e) != 1) {
                            z = false;
                        }
                        listView.setItemChecked(position, z);
                    }

                    public View newView(Context context, Cursor cursor, ViewGroup viewGroup) {
                        return AlertParams.this.b.inflate(alertController.I, viewGroup, false);
                    }
                };
            }
            if (this.L != null) {
                this.L.a(listView);
            }
            alertController.D = listAdapter;
            alertController.E = this.F;
            if (this.u != null) {
                listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                    /* class android.support.v7.app.AlertController.AlertParams.AnonymousClass3 */

                    @Override // android.widget.AdapterView.OnItemClickListener
                    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                        AlertParams.this.u.onClick(alertController.b, i);
                        if (!AlertParams.this.E) {
                            alertController.b.dismiss();
                        }
                    }
                });
            } else if (this.G != null) {
                listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                    /* class android.support.v7.app.AlertController.AlertParams.AnonymousClass4 */

                    @Override // android.widget.AdapterView.OnItemClickListener
                    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                        if (AlertParams.this.C != null) {
                            AlertParams.this.C[i] = listView.isItemChecked(i);
                        }
                        AlertParams.this.G.onClick(alertController.b, i, listView.isItemChecked(i));
                    }
                });
            }
            if (this.K != null) {
                listView.setOnItemSelectedListener(this.K);
            }
            if (this.E) {
                listView.setChoiceMode(1);
            } else if (this.D) {
                listView.setChoiceMode(2);
            }
            alertController.f = listView;
        }
    }

    /* access modifiers changed from: private */
    public static class CheckedItemAdapter extends ArrayAdapter<CharSequence> {
        public long getItemId(int i) {
            return (long) i;
        }

        public boolean hasStableIds() {
            return true;
        }

        public CheckedItemAdapter(Context context, int i, int i2, CharSequence[] charSequenceArr) {
            super(context, i, i2, charSequenceArr);
        }
    }
}
