package android.support.v7.app;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.StyleRes;
import android.support.v7.app.AlertController;
import android.support.v7.appcompat.R;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ListAdapter;

public class AlertDialog extends AppCompatDialog implements DialogInterface {

    /* renamed from: a  reason: collision with root package name */
    private final AlertController f498a = new AlertController(getContext(), this, getWindow());

    protected AlertDialog(@NonNull Context context, @StyleRes int i) {
        super(context, b(context, i));
    }

    /* access modifiers changed from: private */
    public static int b(@NonNull Context context, @StyleRes int i) {
        if (i >= 16777216) {
            return i;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(R.attr.alertDialogTheme, typedValue, true);
        return typedValue.resourceId;
    }

    @Override // android.support.v7.app.AppCompatDialog, android.app.Dialog
    public void setTitle(CharSequence charSequence) {
        super.setTitle(charSequence);
        this.f498a.a(charSequence);
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.app.AppCompatDialog
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.f498a.a();
    }

    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (this.f498a.a(i, keyEvent)) {
            return true;
        }
        return super.onKeyDown(i, keyEvent);
    }

    public boolean onKeyUp(int i, KeyEvent keyEvent) {
        if (this.f498a.b(i, keyEvent)) {
            return true;
        }
        return super.onKeyUp(i, keyEvent);
    }

    public static class Builder {

        /* renamed from: a  reason: collision with root package name */
        private final AlertController.AlertParams f499a;
        private final int b;

        public Builder(@NonNull Context context) {
            this(context, AlertDialog.b(context, 0));
        }

        public Builder(@NonNull Context context, @StyleRes int i) {
            this.f499a = new AlertController.AlertParams(new ContextThemeWrapper(context, AlertDialog.b(context, i)));
            this.b = i;
        }

        @NonNull
        public Context a() {
            return this.f499a.f492a;
        }

        public Builder a(CharSequence charSequence) {
            this.f499a.f = charSequence;
            return this;
        }

        public Builder a(View view) {
            this.f499a.g = view;
            return this;
        }

        public Builder b(CharSequence charSequence) {
            this.f499a.h = charSequence;
            return this;
        }

        public Builder a(Drawable drawable) {
            this.f499a.d = drawable;
            return this;
        }

        public Builder a(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            this.f499a.i = charSequence;
            this.f499a.j = onClickListener;
            return this;
        }

        public Builder b(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            this.f499a.k = charSequence;
            this.f499a.l = onClickListener;
            return this;
        }

        public Builder a(boolean z) {
            this.f499a.o = z;
            return this;
        }

        public Builder a(DialogInterface.OnKeyListener onKeyListener) {
            this.f499a.r = onKeyListener;
            return this;
        }

        public Builder a(ListAdapter listAdapter, DialogInterface.OnClickListener onClickListener) {
            this.f499a.t = listAdapter;
            this.f499a.u = onClickListener;
            return this;
        }

        public AlertDialog b() {
            AlertDialog alertDialog = new AlertDialog(this.f499a.f492a, this.b);
            this.f499a.a(alertDialog.f498a);
            alertDialog.setCancelable(this.f499a.o);
            if (this.f499a.o) {
                alertDialog.setCanceledOnTouchOutside(true);
            }
            alertDialog.setOnCancelListener(this.f499a.p);
            alertDialog.setOnDismissListener(this.f499a.q);
            if (this.f499a.r != null) {
                alertDialog.setOnKeyListener(this.f499a.r);
            }
            return alertDialog;
        }
    }
}
