package android.support.v7.app;

import android.app.Activity;
import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.support.v7.app.ActionBarDrawerToggle;
import android.support.v7.view.ActionMode;
import android.support.v7.view.SupportMenuInflater;
import android.support.v7.view.WindowCallbackWrapper;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.widget.TintTypedArray;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.View;
import android.view.Window;

/* access modifiers changed from: package-private */
public abstract class AppCompatDelegateImplBase extends AppCompatDelegate {
    private static final int[] m = {16842836};

    /* renamed from: a  reason: collision with root package name */
    final Context f501a;
    final Window b;
    final Window.Callback c = this.b.getCallback();
    final Window.Callback d;
    final AppCompatCallback e;
    ActionBar f;
    MenuInflater g;
    boolean h;
    boolean i;
    boolean j;
    boolean k;
    boolean l;
    private CharSequence n;
    private boolean o;

    /* access modifiers changed from: package-private */
    public abstract void a(int i2, Menu menu);

    /* access modifiers changed from: package-private */
    public abstract boolean a(int i2, KeyEvent keyEvent);

    /* access modifiers changed from: package-private */
    public abstract boolean a(KeyEvent keyEvent);

    /* access modifiers changed from: package-private */
    public abstract ActionMode b(ActionMode.Callback callback);

    /* access modifiers changed from: package-private */
    public abstract void b(CharSequence charSequence);

    /* access modifiers changed from: package-private */
    public abstract boolean b(int i2, Menu menu);

    @Override // android.support.v7.app.AppCompatDelegate
    public void c(Bundle bundle) {
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public boolean i() {
        return false;
    }

    /* access modifiers changed from: package-private */
    public abstract void l();

    public boolean o() {
        return false;
    }

    AppCompatDelegateImplBase(Context context, Window window, AppCompatCallback appCompatCallback) {
        this.f501a = context;
        this.b = window;
        this.e = appCompatCallback;
        if (!(this.c instanceof AppCompatWindowCallbackBase)) {
            this.d = a(this.c);
            this.b.setCallback(this.d);
            TintTypedArray a2 = TintTypedArray.a(context, (AttributeSet) null, m);
            Drawable b2 = a2.b(0);
            if (b2 != null) {
                this.b.setBackgroundDrawable(b2);
            }
            a2.a();
            return;
        }
        throw new IllegalStateException("AppCompat has already installed itself into the Window");
    }

    /* access modifiers changed from: package-private */
    public Window.Callback a(Window.Callback callback) {
        return new AppCompatWindowCallbackBase(callback);
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public ActionBar a() {
        l();
        return this.f;
    }

    /* access modifiers changed from: package-private */
    public final ActionBar m() {
        return this.f;
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public MenuInflater b() {
        if (this.g == null) {
            l();
            this.g = new SupportMenuInflater(this.f != null ? this.f.c() : this.f501a);
        }
        return this.g;
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public final ActionBarDrawerToggle.Delegate g() {
        return new ActionBarDrawableToggleImpl();
    }

    /* access modifiers changed from: package-private */
    public final Context n() {
        ActionBar a2 = a();
        Context c2 = a2 != null ? a2.c() : null;
        return c2 == null ? this.f501a : c2;
    }

    private class ActionBarDrawableToggleImpl implements ActionBarDrawerToggle.Delegate {
        private ActionBarDrawableToggleImpl() {
        }

        @Override // android.support.v7.app.ActionBarDrawerToggle.Delegate
        public void a(int i) {
            ActionBar a2 = AppCompatDelegateImplBase.this.a();
            if (a2 != null) {
                a2.a(i);
            }
        }
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public void f() {
        this.o = true;
    }

    /* access modifiers changed from: package-private */
    public final boolean p() {
        return this.o;
    }

    /* access modifiers changed from: package-private */
    public final Window.Callback q() {
        return this.b.getCallback();
    }

    @Override // android.support.v7.app.AppCompatDelegate
    public final void a(CharSequence charSequence) {
        this.n = charSequence;
        b(charSequence);
    }

    /* access modifiers changed from: package-private */
    public final CharSequence r() {
        if (this.c instanceof Activity) {
            return ((Activity) this.c).getTitle();
        }
        return this.n;
    }

    /* access modifiers changed from: package-private */
    public class AppCompatWindowCallbackBase extends WindowCallbackWrapper {
        @Override // android.support.v7.view.WindowCallbackWrapper
        public void onContentChanged() {
        }

        AppCompatWindowCallbackBase(Window.Callback callback) {
            super(callback);
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImplBase.this.a(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean dispatchKeyShortcutEvent(KeyEvent keyEvent) {
            return super.dispatchKeyShortcutEvent(keyEvent) || AppCompatDelegateImplBase.this.a(keyEvent.getKeyCode(), keyEvent);
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean onCreatePanelMenu(int i, Menu menu) {
            if (i != 0 || (menu instanceof MenuBuilder)) {
                return super.onCreatePanelMenu(i, menu);
            }
            return false;
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean onPreparePanel(int i, View view, Menu menu) {
            MenuBuilder menuBuilder = menu instanceof MenuBuilder ? (MenuBuilder) menu : null;
            if (i == 0 && menuBuilder == null) {
                return false;
            }
            if (menuBuilder != null) {
                menuBuilder.c(true);
            }
            boolean onPreparePanel = super.onPreparePanel(i, view, menu);
            if (menuBuilder != null) {
                menuBuilder.c(false);
            }
            return onPreparePanel;
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean onMenuOpened(int i, Menu menu) {
            super.onMenuOpened(i, menu);
            AppCompatDelegateImplBase.this.b(i, menu);
            return true;
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public void onPanelClosed(int i, Menu menu) {
            super.onPanelClosed(i, menu);
            AppCompatDelegateImplBase.this.a(i, menu);
        }
    }
}
