package android.support.v7.app;

import android.app.Notification;
import android.app.PendingIntent;
import android.os.Build;
import android.support.v4.app.NotificationBuilderWithBuilderAccessor;
import android.support.v4.app.NotificationCompat;
import android.support.v4.media.session.MediaSessionCompat;

public class NotificationCompat extends android.support.v4.app.NotificationCompat {

    public static class MediaStyle extends NotificationCompat.Style {

        /* renamed from: a  reason: collision with root package name */
        int[] f522a = null;
        MediaSessionCompat.Token b;
        boolean c;
        PendingIntent g;
    }

    /* access modifiers changed from: private */
    public static void d(NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor, NotificationCompat.Style style) {
        if (style instanceof MediaStyle) {
            MediaStyle mediaStyle = (MediaStyle) style;
            NotificationCompatImpl21.a(notificationBuilderWithBuilderAccessor, mediaStyle.f522a, mediaStyle.b != null ? mediaStyle.b.a() : null);
        }
    }

    /* access modifiers changed from: private */
    public static void b(NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor, NotificationCompat.Builder builder) {
        if (builder.m instanceof MediaStyle) {
            MediaStyle mediaStyle = (MediaStyle) builder.m;
            NotificationCompatImplBase.a(notificationBuilderWithBuilderAccessor, builder.f124a, builder.b, builder.c, builder.h, builder.i, builder.g, builder.n, builder.l, builder.F.when, builder.v, mediaStyle.f522a, mediaStyle.c, mediaStyle.g);
        }
    }

    /* access modifiers changed from: private */
    public static void b(Notification notification, NotificationCompat.Builder builder) {
        if (builder.m instanceof MediaStyle) {
            MediaStyle mediaStyle = (MediaStyle) builder.m;
            NotificationCompatImplBase.a(notification, builder.f124a, builder.b, builder.c, builder.h, builder.i, builder.g, builder.n, builder.l, builder.F.when, builder.v, mediaStyle.c, mediaStyle.g);
        }
    }

    public static class Builder extends NotificationCompat.Builder {
        /* access modifiers changed from: protected */
        @Override // android.support.v4.app.NotificationCompat.Builder
        public NotificationCompat.BuilderExtender b() {
            if (Build.VERSION.SDK_INT >= 21) {
                return new LollipopExtender();
            }
            if (Build.VERSION.SDK_INT >= 16) {
                return new JellybeanExtender();
            }
            if (Build.VERSION.SDK_INT >= 14) {
                return new IceCreamSandwichExtender();
            }
            return super.b();
        }
    }

    private static class IceCreamSandwichExtender extends NotificationCompat.BuilderExtender {
        private IceCreamSandwichExtender() {
        }

        @Override // android.support.v4.app.NotificationCompat.BuilderExtender
        public Notification a(NotificationCompat.Builder builder, NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor) {
            NotificationCompat.b(notificationBuilderWithBuilderAccessor, builder);
            return notificationBuilderWithBuilderAccessor.b();
        }
    }

    private static class JellybeanExtender extends NotificationCompat.BuilderExtender {
        private JellybeanExtender() {
        }

        @Override // android.support.v4.app.NotificationCompat.BuilderExtender
        public Notification a(NotificationCompat.Builder builder, NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor) {
            NotificationCompat.b(notificationBuilderWithBuilderAccessor, builder);
            Notification b = notificationBuilderWithBuilderAccessor.b();
            NotificationCompat.b(b, builder);
            return b;
        }
    }

    private static class LollipopExtender extends NotificationCompat.BuilderExtender {
        private LollipopExtender() {
        }

        @Override // android.support.v4.app.NotificationCompat.BuilderExtender
        public Notification a(NotificationCompat.Builder builder, NotificationBuilderWithBuilderAccessor notificationBuilderWithBuilderAccessor) {
            NotificationCompat.d(notificationBuilderWithBuilderAccessor, builder.m);
            return notificationBuilderWithBuilderAccessor.b();
        }
    }
}
