package android.support.v7.app;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.support.v4.view.ViewCompat;
import android.support.v7.app.ActionBar;
import android.support.v7.appcompat.R;
import android.support.v7.view.WindowCallbackWrapper;
import android.support.v7.view.menu.ListMenuPresenter;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.widget.DecorToolbar;
import android.support.v7.widget.Toolbar;
import android.support.v7.widget.ToolbarWidgetWrapper;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import java.util.ArrayList;

/* access modifiers changed from: package-private */
public class ToolbarActionBar extends ActionBar {

    /* renamed from: a  reason: collision with root package name */
    private DecorToolbar f523a;
    private boolean b;
    private Window.Callback c;
    private boolean d;
    private boolean e;
    private ArrayList<ActionBar.OnMenuVisibilityListener> f = new ArrayList<>();
    private ListMenuPresenter g;
    private final Runnable h = new Runnable() {
        /* class android.support.v7.app.ToolbarActionBar.AnonymousClass1 */

        public void run() {
            ToolbarActionBar.this.j();
        }
    };
    private final Toolbar.OnMenuItemClickListener i = new Toolbar.OnMenuItemClickListener() {
        /* class android.support.v7.app.ToolbarActionBar.AnonymousClass2 */

        @Override // android.support.v7.widget.Toolbar.OnMenuItemClickListener
        public boolean a(MenuItem menuItem) {
            return ToolbarActionBar.this.c.onMenuItemSelected(0, menuItem);
        }
    };

    @Override // android.support.v7.app.ActionBar
    public void a(boolean z) {
    }

    @Override // android.support.v7.app.ActionBar
    public void c(boolean z) {
    }

    @Override // android.support.v7.app.ActionBar
    public void d(boolean z) {
    }

    public ToolbarActionBar(Toolbar toolbar, CharSequence charSequence, Window.Callback callback) {
        this.f523a = new ToolbarWidgetWrapper(toolbar, false);
        this.c = new ToolbarCallbackWrapper(callback);
        this.f523a.a(this.c);
        toolbar.setOnMenuItemClickListener(this.i);
        this.f523a.a(charSequence);
    }

    public Window.Callback i() {
        return this.c;
    }

    @Override // android.support.v7.app.ActionBar
    public void a(float f2) {
        ViewCompat.e(this.f523a.a(), f2);
    }

    @Override // android.support.v7.app.ActionBar
    public Context c() {
        return this.f523a.b();
    }

    @Override // android.support.v7.app.ActionBar
    public void a(int i2) {
        this.f523a.d(i2);
    }

    @Override // android.support.v7.app.ActionBar
    public void a(Configuration configuration) {
        super.a(configuration);
    }

    @Override // android.support.v7.app.ActionBar
    public void a(CharSequence charSequence) {
        this.f523a.a(charSequence);
    }

    @Override // android.support.v7.app.ActionBar
    public boolean g() {
        ViewGroup a2 = this.f523a.a();
        if (a2 == null || a2.hasFocus()) {
            return false;
        }
        a2.requestFocus();
        return true;
    }

    @Override // android.support.v7.app.ActionBar
    public int a() {
        return this.f523a.o();
    }

    @Override // android.support.v7.app.ActionBar
    public boolean b() {
        return this.f523a.q() == 0;
    }

    @Override // android.support.v7.app.ActionBar
    public boolean e() {
        this.f523a.a().removeCallbacks(this.h);
        ViewCompat.a(this.f523a.a(), this.h);
        return true;
    }

    @Override // android.support.v7.app.ActionBar
    public boolean f() {
        if (!this.f523a.c()) {
            return false;
        }
        this.f523a.d();
        return true;
    }

    /* access modifiers changed from: package-private */
    public void j() {
        Menu k = k();
        MenuBuilder menuBuilder = k instanceof MenuBuilder ? (MenuBuilder) k : null;
        if (menuBuilder != null) {
            menuBuilder.g();
        }
        try {
            k.clear();
            if (!this.c.onCreatePanelMenu(0, k) || !this.c.onPreparePanel(0, null, k)) {
                k.clear();
            }
        } finally {
            if (menuBuilder != null) {
                menuBuilder.h();
            }
        }
    }

    @Override // android.support.v7.app.ActionBar
    public boolean a(int i2, KeyEvent keyEvent) {
        Menu k = k();
        if (k != null) {
            k.setQwertyMode(KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1);
            k.performShortcut(i2, keyEvent, 0);
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    @Override // android.support.v7.app.ActionBar
    public void h() {
        this.f523a.a().removeCallbacks(this.h);
    }

    @Override // android.support.v7.app.ActionBar
    public void e(boolean z) {
        if (z != this.e) {
            this.e = z;
            int size = this.f.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.f.get(i2).a(z);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private View a(Menu menu) {
        b(menu);
        if (menu == null || this.g == null || this.g.a().getCount() <= 0) {
            return null;
        }
        return (View) this.g.a(this.f523a.a());
    }

    private void b(Menu menu) {
        if (this.g == null && (menu instanceof MenuBuilder)) {
            MenuBuilder menuBuilder = (MenuBuilder) menu;
            Context b2 = this.f523a.b();
            TypedValue typedValue = new TypedValue();
            Resources.Theme newTheme = b2.getResources().newTheme();
            newTheme.setTo(b2.getTheme());
            newTheme.resolveAttribute(R.attr.actionBarPopupTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            }
            newTheme.resolveAttribute(R.attr.panelMenuListTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            } else {
                newTheme.applyStyle(R.style.Theme_AppCompat_CompactMenu, true);
            }
            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(b2, 0);
            contextThemeWrapper.getTheme().setTo(newTheme);
            this.g = new ListMenuPresenter(contextThemeWrapper, R.layout.abc_list_menu_item_layout);
            this.g.a(new PanelMenuPresenterCallback());
            menuBuilder.a(this.g);
        }
    }

    private class ToolbarCallbackWrapper extends WindowCallbackWrapper {
        public ToolbarCallbackWrapper(Window.Callback callback) {
            super(callback);
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public boolean onPreparePanel(int i, View view, Menu menu) {
            boolean onPreparePanel = super.onPreparePanel(i, view, menu);
            if (onPreparePanel && !ToolbarActionBar.this.b) {
                ToolbarActionBar.this.f523a.m();
                ToolbarActionBar.this.b = true;
            }
            return onPreparePanel;
        }

        @Override // android.support.v7.view.WindowCallbackWrapper
        public View onCreatePanelView(int i) {
            if (i == 0) {
                Menu r = ToolbarActionBar.this.f523a.r();
                if (onPreparePanel(i, null, r) && onMenuOpened(i, r)) {
                    return ToolbarActionBar.this.a((ToolbarActionBar) r);
                }
            }
            return super.onCreatePanelView(i);
        }
    }

    private Menu k() {
        if (!this.d) {
            this.f523a.a(new ActionMenuPresenterCallback(), new MenuBuilderCallback());
            this.d = true;
        }
        return this.f523a.r();
    }

    /* access modifiers changed from: private */
    public final class ActionMenuPresenterCallback implements MenuPresenter.Callback {
        private boolean b;

        private ActionMenuPresenterCallback() {
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public boolean a(MenuBuilder menuBuilder) {
            if (ToolbarActionBar.this.c == null) {
                return false;
            }
            ToolbarActionBar.this.c.onMenuOpened(108, menuBuilder);
            return true;
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public void a(MenuBuilder menuBuilder, boolean z) {
            if (!this.b) {
                this.b = true;
                ToolbarActionBar.this.f523a.n();
                if (ToolbarActionBar.this.c != null) {
                    ToolbarActionBar.this.c.onPanelClosed(108, menuBuilder);
                }
                this.b = false;
            }
        }
    }

    /* access modifiers changed from: private */
    public final class PanelMenuPresenterCallback implements MenuPresenter.Callback {
        private PanelMenuPresenterCallback() {
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public void a(MenuBuilder menuBuilder, boolean z) {
            if (ToolbarActionBar.this.c != null) {
                ToolbarActionBar.this.c.onPanelClosed(0, menuBuilder);
            }
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public boolean a(MenuBuilder menuBuilder) {
            if (menuBuilder != null || ToolbarActionBar.this.c == null) {
                return true;
            }
            ToolbarActionBar.this.c.onMenuOpened(0, menuBuilder);
            return true;
        }
    }

    /* access modifiers changed from: private */
    public final class MenuBuilderCallback implements MenuBuilder.Callback {
        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public boolean a(MenuBuilder menuBuilder, MenuItem menuItem) {
            return false;
        }

        private MenuBuilderCallback() {
        }

        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public void a(MenuBuilder menuBuilder) {
            if (ToolbarActionBar.this.c == null) {
                return;
            }
            if (ToolbarActionBar.this.f523a.i()) {
                ToolbarActionBar.this.c.onPanelClosed(108, menuBuilder);
            } else if (ToolbarActionBar.this.c.onPreparePanel(0, null, menuBuilder)) {
                ToolbarActionBar.this.c.onMenuOpened(108, menuBuilder);
            }
        }
    }
}
