package android.support.v7.app;

import android.content.Context;
import android.location.Location;
import android.location.LocationManager;
import android.support.annotation.NonNull;
import android.support.v4.content.PermissionChecker;
import android.util.Log;
import java.util.Calendar;

/* access modifiers changed from: package-private */
public class TwilightManager {

    /* renamed from: a  reason: collision with root package name */
    private static final TwilightState f531a = new TwilightState();
    private final Context b;
    private final LocationManager c;

    TwilightManager(Context context) {
        this.b = context;
        this.c = (LocationManager) context.getSystemService("location");
    }

    /* access modifiers changed from: package-private */
    public boolean a() {
        TwilightState twilightState = f531a;
        if (a(twilightState)) {
            return twilightState.f532a;
        }
        Location b2 = b();
        if (b2 != null) {
            a(b2);
            return twilightState.f532a;
        }
        Log.i("TwilightManager", "Could not get last known location. This is probably because the app does not have any location permissions. Falling back to hardcoded sunrise/sunset values.");
        int i = Calendar.getInstance().get(11);
        return i < 6 || i >= 22;
    }

    private Location b() {
        Location location = null;
        Location a2 = PermissionChecker.a(this.b, "android.permission.ACCESS_COARSE_LOCATION") == 0 ? a("network") : null;
        if (PermissionChecker.a(this.b, "android.permission.ACCESS_FINE_LOCATION") == 0) {
            location = a("gps");
        }
        return (location == null || a2 == null) ? location != null ? location : a2 : location.getTime() > a2.getTime() ? location : a2;
    }

    private Location a(String str) {
        if (this.c == null) {
            return null;
        }
        try {
            if (this.c.isProviderEnabled(str)) {
                return this.c.getLastKnownLocation(str);
            }
            return null;
        } catch (Exception e) {
            Log.d("TwilightManager", "Failed to get last known location", e);
            return null;
        }
    }

    private boolean a(TwilightState twilightState) {
        return twilightState != null && twilightState.f > System.currentTimeMillis();
    }

    private void a(@NonNull Location location) {
        long j;
        TwilightState twilightState = f531a;
        long currentTimeMillis = System.currentTimeMillis();
        TwilightCalculator a2 = TwilightCalculator.a();
        a2.a(currentTimeMillis - 86400000, location.getLatitude(), location.getLongitude());
        long j2 = a2.f530a;
        a2.a(currentTimeMillis, location.getLatitude(), location.getLongitude());
        boolean z = a2.c == 1;
        long j3 = a2.b;
        long j4 = a2.f530a;
        a2.a(currentTimeMillis + 86400000, location.getLatitude(), location.getLongitude());
        long j5 = a2.b;
        if (j3 == -1 || j4 == -1) {
            j = 43200000 + currentTimeMillis;
        } else {
            j = (currentTimeMillis > j4 ? 0 + j5 : currentTimeMillis > j3 ? 0 + j4 : 0 + j3) + 60000;
        }
        twilightState.f532a = z;
        twilightState.b = j2;
        twilightState.c = j3;
        twilightState.d = j4;
        twilightState.e = j5;
        twilightState.f = j;
    }

    /* access modifiers changed from: private */
    public static class TwilightState {

        /* renamed from: a  reason: collision with root package name */
        boolean f532a;
        long b;
        long c;
        long d;
        long e;
        long f;

        private TwilightState() {
        }
    }
}
