package android.support.v7.app;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.ViewPropertyAnimatorCompat;
import android.support.v4.view.ViewPropertyAnimatorListener;
import android.support.v4.view.ViewPropertyAnimatorListenerAdapter;
import android.support.v4.view.ViewPropertyAnimatorUpdateListener;
import android.support.v7.app.ActionBar;
import android.support.v7.appcompat.R;
import android.support.v7.view.ActionBarPolicy;
import android.support.v7.view.ActionMode;
import android.support.v7.view.SupportMenuInflater;
import android.support.v7.view.ViewPropertyAnimatorCompatSet;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.widget.ActionBarContainer;
import android.support.v7.widget.ActionBarContextView;
import android.support.v7.widget.ActionBarOverlayLayout;
import android.support.v7.widget.DecorToolbar;
import android.support.v7.widget.ScrollingTabContainerView;
import android.support.v7.widget.Toolbar;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import java.lang.ref.WeakReference;
import java.util.ArrayList;

public class WindowDecorActionBar extends ActionBar implements ActionBarOverlayLayout.ActionBarVisibilityCallback {
    static final /* synthetic */ boolean h = (!WindowDecorActionBar.class.desiredAssertionStatus());
    private static final Interpolator i = new AccelerateInterpolator();
    private static final Interpolator j = new DecelerateInterpolator();
    private static final boolean k;
    private ArrayList<ActionBar.OnMenuVisibilityListener> A = new ArrayList<>();
    private boolean B;
    private int C = 0;
    private boolean D = true;
    private boolean E;
    private boolean F;
    private boolean G;
    private boolean H = true;
    private ViewPropertyAnimatorCompatSet I;
    private boolean J;

    /* renamed from: a  reason: collision with root package name */
    ActionModeImpl f533a;
    ActionMode b;
    ActionMode.Callback c;
    boolean d;
    final ViewPropertyAnimatorListener e = new ViewPropertyAnimatorListenerAdapter() {
        /* class android.support.v7.app.WindowDecorActionBar.AnonymousClass1 */

        @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
        public void b(View view) {
            if (WindowDecorActionBar.this.D && WindowDecorActionBar.this.t != null) {
                ViewCompat.a(WindowDecorActionBar.this.t, 0.0f);
                ViewCompat.a((View) WindowDecorActionBar.this.q, 0.0f);
            }
            WindowDecorActionBar.this.q.setVisibility(8);
            WindowDecorActionBar.this.q.setTransitioning(false);
            WindowDecorActionBar.this.I = null;
            WindowDecorActionBar.this.i();
            if (WindowDecorActionBar.this.p != null) {
                ViewCompat.q(WindowDecorActionBar.this.p);
            }
        }
    };
    final ViewPropertyAnimatorListener f = new ViewPropertyAnimatorListenerAdapter() {
        /* class android.support.v7.app.WindowDecorActionBar.AnonymousClass2 */

        @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
        public void b(View view) {
            WindowDecorActionBar.this.I = null;
            WindowDecorActionBar.this.q.requestLayout();
        }
    };
    final ViewPropertyAnimatorUpdateListener g = new ViewPropertyAnimatorUpdateListener() {
        /* class android.support.v7.app.WindowDecorActionBar.AnonymousClass3 */

        @Override // android.support.v4.view.ViewPropertyAnimatorUpdateListener
        public void a(View view) {
            ((View) WindowDecorActionBar.this.q.getParent()).invalidate();
        }
    };
    private Context l;
    private Context m;
    private Activity n;
    private Dialog o;
    private ActionBarOverlayLayout p;
    private ActionBarContainer q;
    private DecorToolbar r;
    private ActionBarContextView s;
    private View t;
    private ScrollingTabContainerView u;
    private ArrayList<TabImpl> v = new ArrayList<>();
    private TabImpl w;
    private int x = -1;
    private boolean y;
    private boolean z;

    /* access modifiers changed from: private */
    public static boolean b(boolean z2, boolean z3, boolean z4) {
        if (z4) {
            return true;
        }
        return !z2 && !z3;
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void o() {
    }

    static {
        boolean z2 = true;
        if (Build.VERSION.SDK_INT < 14) {
            z2 = false;
        }
        k = z2;
    }

    public WindowDecorActionBar(Activity activity, boolean z2) {
        this.n = activity;
        View decorView = activity.getWindow().getDecorView();
        a(decorView);
        if (!z2) {
            this.t = decorView.findViewById(16908290);
        }
    }

    public WindowDecorActionBar(Dialog dialog) {
        this.o = dialog;
        a(dialog.getWindow().getDecorView());
    }

    private void a(View view) {
        this.p = (ActionBarOverlayLayout) view.findViewById(R.id.decor_content_parent);
        if (this.p != null) {
            this.p.setActionBarVisibilityCallback(this);
        }
        this.r = b(view.findViewById(R.id.action_bar));
        this.s = (ActionBarContextView) view.findViewById(R.id.action_context_bar);
        this.q = (ActionBarContainer) view.findViewById(R.id.action_bar_container);
        if (this.r == null || this.s == null || this.q == null) {
            throw new IllegalStateException(getClass().getSimpleName() + " can only be used " + "with a compatible window decor layout");
        }
        this.l = this.r.b();
        boolean z2 = (this.r.o() & 4) != 0;
        if (z2) {
            this.y = true;
        }
        ActionBarPolicy a2 = ActionBarPolicy.a(this.l);
        a(a2.f() || z2);
        k(a2.d());
        TypedArray obtainStyledAttributes = this.l.obtainStyledAttributes(null, R.styleable.ActionBar, R.attr.actionBarStyle, 0);
        if (obtainStyledAttributes.getBoolean(R.styleable.ActionBar_hideOnContentScroll, false)) {
            b(true);
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ActionBar_elevation, 0);
        if (dimensionPixelSize != 0) {
            a((float) dimensionPixelSize);
        }
        obtainStyledAttributes.recycle();
    }

    private DecorToolbar b(View view) {
        if (view instanceof DecorToolbar) {
            return (DecorToolbar) view;
        }
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getWrapper();
        }
        StringBuilder sb = new StringBuilder();
        sb.append("Can't make a decor toolbar out of ");
        sb.append(view);
        throw new IllegalStateException(sb.toString() != null ? view.getClass().getSimpleName() : "null");
    }

    @Override // android.support.v7.app.ActionBar
    public void a(float f2) {
        ViewCompat.e(this.q, f2);
    }

    @Override // android.support.v7.app.ActionBar
    public void a(Configuration configuration) {
        k(ActionBarPolicy.a(this.l).d());
    }

    private void k(boolean z2) {
        this.B = z2;
        if (!this.B) {
            this.r.a((ScrollingTabContainerView) null);
            this.q.setTabContainer(this.u);
        } else {
            this.q.setTabContainer(null);
            this.r.a(this.u);
        }
        boolean z3 = true;
        boolean z4 = j() == 2;
        if (this.u != null) {
            if (z4) {
                this.u.setVisibility(0);
                if (this.p != null) {
                    ViewCompat.q(this.p);
                }
            } else {
                this.u.setVisibility(8);
            }
        }
        this.r.a(!this.B && z4);
        ActionBarOverlayLayout actionBarOverlayLayout = this.p;
        if (this.B || !z4) {
            z3 = false;
        }
        actionBarOverlayLayout.setHasNonEmbeddedTabs(z3);
    }

    /* access modifiers changed from: package-private */
    public void i() {
        if (this.c != null) {
            this.c.a(this.b);
            this.b = null;
            this.c = null;
        }
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void b(int i2) {
        this.C = i2;
    }

    @Override // android.support.v7.app.ActionBar
    public void d(boolean z2) {
        this.J = z2;
        if (!z2 && this.I != null) {
            this.I.b();
        }
    }

    @Override // android.support.v7.app.ActionBar
    public void e(boolean z2) {
        if (z2 != this.z) {
            this.z = z2;
            int size = this.A.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.A.get(i2).a(z2);
            }
        }
    }

    public void f(boolean z2) {
        a(z2 ? 4 : 0, 4);
    }

    @Override // android.support.v7.app.ActionBar
    public void a(boolean z2) {
        this.r.b(z2);
    }

    @Override // android.support.v7.app.ActionBar
    public void a(CharSequence charSequence) {
        this.r.a(charSequence);
    }

    @Override // android.support.v7.app.ActionBar
    public boolean g() {
        ViewGroup a2 = this.r.a();
        if (a2 == null || a2.hasFocus()) {
            return false;
        }
        a2.requestFocus();
        return true;
    }

    public void a(int i2, int i3) {
        int o2 = this.r.o();
        if ((i3 & 4) != 0) {
            this.y = true;
        }
        this.r.c((i2 & i3) | ((~i3) & o2));
    }

    public int j() {
        return this.r.p();
    }

    @Override // android.support.v7.app.ActionBar
    public int a() {
        return this.r.o();
    }

    @Override // android.support.v7.app.ActionBar
    public ActionMode a(ActionMode.Callback callback) {
        if (this.f533a != null) {
            this.f533a.c();
        }
        this.p.setHideOnContentScrollEnabled(false);
        this.s.c();
        ActionModeImpl actionModeImpl = new ActionModeImpl(this.s.getContext(), callback);
        if (!actionModeImpl.e()) {
            return null;
        }
        this.f533a = actionModeImpl;
        actionModeImpl.d();
        this.s.a(actionModeImpl);
        j(true);
        this.s.sendAccessibilityEvent(32);
        return actionModeImpl;
    }

    public void a(ActionBar.Tab tab) {
        int i2 = -1;
        if (j() != 2) {
            if (tab != null) {
                i2 = tab.a();
            }
            this.x = i2;
            return;
        }
        FragmentTransaction a2 = (!(this.n instanceof FragmentActivity) || this.r.a().isInEditMode()) ? null : ((FragmentActivity) this.n).getSupportFragmentManager().a().a();
        if (this.w != tab) {
            ScrollingTabContainerView scrollingTabContainerView = this.u;
            if (tab != null) {
                i2 = tab.a();
            }
            scrollingTabContainerView.setTabSelected(i2);
            if (this.w != null) {
                this.w.g().b(this.w, a2);
            }
            this.w = (TabImpl) tab;
            if (this.w != null) {
                this.w.g().a(this.w, a2);
            }
        } else if (this.w != null) {
            this.w.g().c(this.w, a2);
            this.u.a(tab.a());
        }
        if (a2 != null && !a2.e()) {
            a2.b();
        }
    }

    public int k() {
        return this.q.getHeight();
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void g(boolean z2) {
        this.D = z2;
    }

    private void p() {
        if (!this.G) {
            this.G = true;
            if (this.p != null) {
                this.p.setShowingForActionMode(true);
            }
            l(false);
        }
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void l() {
        if (this.F) {
            this.F = false;
            l(true);
        }
    }

    private void q() {
        if (this.G) {
            this.G = false;
            if (this.p != null) {
                this.p.setShowingForActionMode(false);
            }
            l(false);
        }
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void m() {
        if (!this.F) {
            this.F = true;
            l(true);
        }
    }

    @Override // android.support.v7.app.ActionBar
    public void b(boolean z2) {
        if (!z2 || this.p.a()) {
            this.d = z2;
            this.p.setHideOnContentScrollEnabled(z2);
            return;
        }
        throw new IllegalStateException("Action bar must be in overlay mode (Window.FEATURE_OVERLAY_ACTION_BAR) to enable hide on content scroll");
    }

    @Override // android.support.v7.app.ActionBar
    public int d() {
        return this.p.getActionBarHideOffset();
    }

    private void l(boolean z2) {
        if (b(this.E, this.F, this.G)) {
            if (!this.H) {
                this.H = true;
                h(z2);
            }
        } else if (this.H) {
            this.H = false;
            i(z2);
        }
    }

    public void h(boolean z2) {
        if (this.I != null) {
            this.I.b();
        }
        this.q.setVisibility(0);
        if (this.C != 0 || !k || (!this.J && !z2)) {
            ViewCompat.b((View) this.q, 1.0f);
            ViewCompat.a((View) this.q, 0.0f);
            if (this.D && this.t != null) {
                ViewCompat.a(this.t, 0.0f);
            }
            this.f.b(null);
        } else {
            ViewCompat.a((View) this.q, 0.0f);
            float f2 = (float) (-this.q.getHeight());
            if (z2) {
                int[] iArr = {0, 0};
                this.q.getLocationInWindow(iArr);
                f2 -= (float) iArr[1];
            }
            ViewCompat.a(this.q, f2);
            ViewPropertyAnimatorCompatSet viewPropertyAnimatorCompatSet = new ViewPropertyAnimatorCompatSet();
            ViewPropertyAnimatorCompat b2 = ViewCompat.m(this.q).b(0.0f);
            b2.a(this.g);
            viewPropertyAnimatorCompatSet.a(b2);
            if (this.D && this.t != null) {
                ViewCompat.a(this.t, f2);
                viewPropertyAnimatorCompatSet.a(ViewCompat.m(this.t).b(0.0f));
            }
            viewPropertyAnimatorCompatSet.a(j);
            viewPropertyAnimatorCompatSet.a(250);
            viewPropertyAnimatorCompatSet.a(this.f);
            this.I = viewPropertyAnimatorCompatSet;
            viewPropertyAnimatorCompatSet.a();
        }
        if (this.p != null) {
            ViewCompat.q(this.p);
        }
    }

    public void i(boolean z2) {
        if (this.I != null) {
            this.I.b();
        }
        if (this.C != 0 || !k || (!this.J && !z2)) {
            this.e.b(null);
            return;
        }
        ViewCompat.b((View) this.q, 1.0f);
        this.q.setTransitioning(true);
        ViewPropertyAnimatorCompatSet viewPropertyAnimatorCompatSet = new ViewPropertyAnimatorCompatSet();
        float f2 = (float) (-this.q.getHeight());
        if (z2) {
            int[] iArr = {0, 0};
            this.q.getLocationInWindow(iArr);
            f2 -= (float) iArr[1];
        }
        ViewPropertyAnimatorCompat b2 = ViewCompat.m(this.q).b(f2);
        b2.a(this.g);
        viewPropertyAnimatorCompatSet.a(b2);
        if (this.D && this.t != null) {
            viewPropertyAnimatorCompatSet.a(ViewCompat.m(this.t).b(f2));
        }
        viewPropertyAnimatorCompatSet.a(i);
        viewPropertyAnimatorCompatSet.a(250);
        viewPropertyAnimatorCompatSet.a(this.e);
        this.I = viewPropertyAnimatorCompatSet;
        viewPropertyAnimatorCompatSet.a();
    }

    @Override // android.support.v7.app.ActionBar
    public boolean b() {
        int k2 = k();
        return this.H && (k2 == 0 || d() < k2);
    }

    public void j(boolean z2) {
        ViewPropertyAnimatorCompat viewPropertyAnimatorCompat;
        ViewPropertyAnimatorCompat viewPropertyAnimatorCompat2;
        if (z2) {
            p();
        } else {
            q();
        }
        if (r()) {
            if (z2) {
                viewPropertyAnimatorCompat = this.r.a(4, 100);
                viewPropertyAnimatorCompat2 = this.s.a(0, 200);
            } else {
                viewPropertyAnimatorCompat2 = this.r.a(0, 200);
                viewPropertyAnimatorCompat = this.s.a(8, 100);
            }
            ViewPropertyAnimatorCompatSet viewPropertyAnimatorCompatSet = new ViewPropertyAnimatorCompatSet();
            viewPropertyAnimatorCompatSet.a(viewPropertyAnimatorCompat, viewPropertyAnimatorCompat2);
            viewPropertyAnimatorCompatSet.a();
        } else if (z2) {
            this.r.e(4);
            this.s.setVisibility(0);
        } else {
            this.r.e(0);
            this.s.setVisibility(8);
        }
    }

    private boolean r() {
        return ViewCompat.y(this.q);
    }

    @Override // android.support.v7.app.ActionBar
    public Context c() {
        if (this.m == null) {
            TypedValue typedValue = new TypedValue();
            this.l.getTheme().resolveAttribute(R.attr.actionBarWidgetTheme, typedValue, true);
            int i2 = typedValue.resourceId;
            if (i2 != 0) {
                this.m = new ContextThemeWrapper(this.l, i2);
            } else {
                this.m = this.l;
            }
        }
        return this.m;
    }

    @Override // android.support.v7.app.ActionBar
    public void a(int i2) {
        this.r.d(i2);
    }

    @Override // android.support.v7.widget.ActionBarOverlayLayout.ActionBarVisibilityCallback
    public void n() {
        if (this.I != null) {
            this.I.b();
            this.I = null;
        }
    }

    @Override // android.support.v7.app.ActionBar
    public boolean f() {
        if (this.r == null || !this.r.c()) {
            return false;
        }
        this.r.d();
        return true;
    }

    public class ActionModeImpl extends ActionMode implements MenuBuilder.Callback {
        private final Context b;
        private final MenuBuilder c;
        private ActionMode.Callback d;
        private WeakReference<View> e;

        public ActionModeImpl(Context context, ActionMode.Callback callback) {
            this.b = context;
            this.d = callback;
            this.c = new MenuBuilder(context).a(1);
            this.c.a(this);
        }

        @Override // android.support.v7.view.ActionMode
        public MenuInflater a() {
            return new SupportMenuInflater(this.b);
        }

        @Override // android.support.v7.view.ActionMode
        public Menu b() {
            return this.c;
        }

        @Override // android.support.v7.view.ActionMode
        public void c() {
            if (WindowDecorActionBar.this.f533a == this) {
                if (!WindowDecorActionBar.b(WindowDecorActionBar.this.E, WindowDecorActionBar.this.F, false)) {
                    WindowDecorActionBar.this.b = this;
                    WindowDecorActionBar.this.c = this.d;
                } else {
                    this.d.a(this);
                }
                this.d = null;
                WindowDecorActionBar.this.j(false);
                WindowDecorActionBar.this.s.b();
                WindowDecorActionBar.this.r.a().sendAccessibilityEvent(32);
                WindowDecorActionBar.this.p.setHideOnContentScrollEnabled(WindowDecorActionBar.this.d);
                WindowDecorActionBar.this.f533a = null;
            }
        }

        @Override // android.support.v7.view.ActionMode
        public void d() {
            if (WindowDecorActionBar.this.f533a == this) {
                this.c.g();
                try {
                    this.d.b(this, this.c);
                } finally {
                    this.c.h();
                }
            }
        }

        public boolean e() {
            this.c.g();
            try {
                return this.d.a(this, this.c);
            } finally {
                this.c.h();
            }
        }

        @Override // android.support.v7.view.ActionMode
        public void a(View view) {
            WindowDecorActionBar.this.s.setCustomView(view);
            this.e = new WeakReference<>(view);
        }

        @Override // android.support.v7.view.ActionMode
        public void a(CharSequence charSequence) {
            WindowDecorActionBar.this.s.setSubtitle(charSequence);
        }

        @Override // android.support.v7.view.ActionMode
        public void b(CharSequence charSequence) {
            WindowDecorActionBar.this.s.setTitle(charSequence);
        }

        @Override // android.support.v7.view.ActionMode
        public void a(int i) {
            b(WindowDecorActionBar.this.l.getResources().getString(i));
        }

        @Override // android.support.v7.view.ActionMode
        public void b(int i) {
            a((CharSequence) WindowDecorActionBar.this.l.getResources().getString(i));
        }

        @Override // android.support.v7.view.ActionMode
        public CharSequence f() {
            return WindowDecorActionBar.this.s.getTitle();
        }

        @Override // android.support.v7.view.ActionMode
        public CharSequence g() {
            return WindowDecorActionBar.this.s.getSubtitle();
        }

        @Override // android.support.v7.view.ActionMode
        public void a(boolean z) {
            super.a(z);
            WindowDecorActionBar.this.s.setTitleOptional(z);
        }

        @Override // android.support.v7.view.ActionMode
        public boolean h() {
            return WindowDecorActionBar.this.s.d();
        }

        @Override // android.support.v7.view.ActionMode
        public View i() {
            if (this.e != null) {
                return this.e.get();
            }
            return null;
        }

        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public boolean a(MenuBuilder menuBuilder, MenuItem menuItem) {
            if (this.d != null) {
                return this.d.a(this, menuItem);
            }
            return false;
        }

        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public void a(MenuBuilder menuBuilder) {
            if (this.d != null) {
                d();
                WindowDecorActionBar.this.s.a();
            }
        }
    }

    public class TabImpl extends ActionBar.Tab {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ WindowDecorActionBar f538a;
        private ActionBar.TabListener b;
        private Drawable c;
        private CharSequence d;
        private CharSequence e;
        private int f;
        private View g;

        public ActionBar.TabListener g() {
            return this.b;
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public View d() {
            return this.g;
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public Drawable b() {
            return this.c;
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public int a() {
            return this.f;
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public CharSequence c() {
            return this.d;
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public void e() {
            this.f538a.a(this);
        }

        @Override // android.support.v7.app.ActionBar.Tab
        public CharSequence f() {
            return this.e;
        }
    }

    @Override // android.support.v7.app.ActionBar
    public void c(boolean z2) {
        if (!this.y) {
            f(z2);
        }
    }
}
