package android.support.v7.view;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.os.Build;
import android.support.v4.content.res.ConfigurationHelper;
import android.support.v4.view.ViewConfigurationCompat;
import android.support.v7.appcompat.R;
import android.view.ViewConfiguration;

public class ActionBarPolicy {

    /* renamed from: a  reason: collision with root package name */
    private Context f545a;

    public static ActionBarPolicy a(Context context) {
        return new ActionBarPolicy(context);
    }

    private ActionBarPolicy(Context context) {
        this.f545a = context;
    }

    public int a() {
        Resources resources = this.f545a.getResources();
        int b = ConfigurationHelper.b(resources);
        int a2 = ConfigurationHelper.a(resources);
        if (ConfigurationHelper.c(resources) > 600 || b > 600) {
            return 5;
        }
        if (b > 960 && a2 > 720) {
            return 5;
        }
        if (b > 720 && a2 > 960) {
            return 5;
        }
        if (b >= 500) {
            return 4;
        }
        if (b > 640 && a2 > 480) {
            return 4;
        }
        if (b <= 480 || a2 <= 640) {
            return b >= 360 ? 3 : 2;
        }
        return 4;
    }

    public boolean b() {
        if (Build.VERSION.SDK_INT >= 19) {
            return true;
        }
        return !ViewConfigurationCompat.b(ViewConfiguration.get(this.f545a));
    }

    public int c() {
        return this.f545a.getResources().getDisplayMetrics().widthPixels / 2;
    }

    public boolean d() {
        return this.f545a.getResources().getBoolean(R.bool.abc_action_bar_embed_tabs);
    }

    public int e() {
        TypedArray obtainStyledAttributes = this.f545a.obtainStyledAttributes(null, R.styleable.ActionBar, R.attr.actionBarStyle, 0);
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(R.styleable.ActionBar_height, 0);
        Resources resources = this.f545a.getResources();
        if (!d()) {
            layoutDimension = Math.min(layoutDimension, resources.getDimensionPixelSize(R.dimen.abc_action_bar_stacked_max_height));
        }
        obtainStyledAttributes.recycle();
        return layoutDimension;
    }

    public boolean f() {
        return this.f545a.getApplicationInfo().targetSdkVersion < 14;
    }

    public int g() {
        return this.f545a.getResources().getDimensionPixelSize(R.dimen.abc_action_bar_stacked_tab_max_width);
    }
}
