package android.support.v7.view;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.support.v4.internal.view.SupportMenu;
import android.support.v4.view.ActionProvider;
import android.support.v4.view.MenuItemCompat;
import android.support.v7.appcompat.R;
import android.support.v7.view.menu.MenuItemImpl;
import android.support.v7.view.menu.MenuItemWrapperICS;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import android.view.InflateException;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import com.facebook.soloader.MinElf;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class SupportMenuInflater extends MenuInflater {

    /* renamed from: a  reason: collision with root package name */
    private static final Class<?>[] f551a = {Context.class};
    private static final Class<?>[] b = f551a;
    private final Object[] c;
    private final Object[] d = this.c;
    private Context e;
    private Object f;

    public SupportMenuInflater(Context context) {
        super(context);
        this.e = context;
        this.c = new Object[]{context};
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x003f  */
    public void inflate(int i, Menu menu) {
        Throwable th;
        XmlPullParserException e2;
        IOException e3;
        if (!(menu instanceof SupportMenu)) {
            super.inflate(i, menu);
            return;
        }
        XmlResourceParser xmlResourceParser = null;
        try {
            XmlResourceParser layout = this.e.getResources().getLayout(i);
            try {
                a(layout, Xml.asAttributeSet(layout), menu);
                if (layout != null) {
                    layout.close();
                }
            } catch (XmlPullParserException e4) {
                e2 = e4;
                throw new InflateException("Error inflating menu XML", e2);
            } catch (IOException e5) {
                e3 = e5;
                xmlResourceParser = layout;
                throw new InflateException("Error inflating menu XML", e3);
            } catch (Throwable th2) {
                th = th2;
                xmlResourceParser = layout;
                if (xmlResourceParser != null) {
                }
                throw th;
            }
        } catch (XmlPullParserException e6) {
            e2 = e6;
            throw new InflateException("Error inflating menu XML", e2);
        } catch (IOException e7) {
            e3 = e7;
            throw new InflateException("Error inflating menu XML", e3);
        } catch (Throwable th3) {
            th = th3;
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            throw th;
        }
    }

    private void a(XmlPullParser xmlPullParser, AttributeSet attributeSet, Menu menu) throws XmlPullParserException, IOException {
        MenuState menuState = new MenuState(menu);
        int eventType = xmlPullParser.getEventType();
        while (true) {
            if (eventType != 2) {
                eventType = xmlPullParser.next();
                if (eventType == 1) {
                    break;
                }
            } else {
                String name = xmlPullParser.getName();
                if (name.equals("menu")) {
                    eventType = xmlPullParser.next();
                } else {
                    throw new RuntimeException("Expecting menu, got " + name);
                }
            }
        }
        int i = eventType;
        String str = null;
        boolean z = false;
        boolean z2 = false;
        while (!z) {
            switch (i) {
                case 1:
                    throw new RuntimeException("Unexpected end of document");
                case 2:
                    if (!z2) {
                        String name2 = xmlPullParser.getName();
                        if (!name2.equals("group")) {
                            if (!name2.equals("item")) {
                                if (!name2.equals("menu")) {
                                    str = name2;
                                    z2 = true;
                                    break;
                                } else {
                                    a(xmlPullParser, attributeSet, menuState.c());
                                    break;
                                }
                            } else {
                                menuState.b(attributeSet);
                                break;
                            }
                        } else {
                            menuState.a(attributeSet);
                            break;
                        }
                    } else {
                        break;
                    }
                case 3:
                    String name3 = xmlPullParser.getName();
                    if (!z2 || !name3.equals(str)) {
                        if (!name3.equals("group")) {
                            if (!name3.equals("item")) {
                                if (!name3.equals("menu")) {
                                    break;
                                } else {
                                    z = true;
                                    break;
                                }
                            } else if (!menuState.d()) {
                                if (menuState.z != null && menuState.z.e()) {
                                    menuState.c();
                                    break;
                                } else {
                                    menuState.b();
                                    break;
                                }
                            } else {
                                break;
                            }
                        } else {
                            menuState.a();
                            break;
                        }
                    } else {
                        str = null;
                        z2 = false;
                        break;
                    }
                    break;
            }
            i = xmlPullParser.next();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Object c() {
        if (this.f == null) {
            this.f = a(this.e);
        }
        return this.f;
    }

    private Object a(Object obj) {
        return (!(obj instanceof Activity) && (obj instanceof ContextWrapper)) ? a(((ContextWrapper) obj).getBaseContext()) : obj;
    }

    /* access modifiers changed from: private */
    public static class InflatedOnMenuItemClickListener implements MenuItem.OnMenuItemClickListener {

        /* renamed from: a  reason: collision with root package name */
        private static final Class<?>[] f552a = {MenuItem.class};
        private Object b;
        private Method c;

        public InflatedOnMenuItemClickListener(Object obj, String str) {
            this.b = obj;
            Class<?> cls = obj.getClass();
            try {
                this.c = cls.getMethod(str, f552a);
            } catch (Exception e) {
                InflateException inflateException = new InflateException("Couldn't resolve menu item onClick handler " + str + " in class " + cls.getName());
                inflateException.initCause(e);
                throw inflateException;
            }
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            try {
                if (this.c.getReturnType() == Boolean.TYPE) {
                    return ((Boolean) this.c.invoke(this.b, menuItem)).booleanValue();
                }
                this.c.invoke(this.b, menuItem);
                return true;
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        }
    }

    /* access modifiers changed from: private */
    public class MenuState {
        private Menu b;
        private int c;
        private int d;
        private int e;
        private int f;
        private boolean g;
        private boolean h;
        private boolean i;
        private int j;
        private int k;
        private CharSequence l;
        private CharSequence m;
        private int n;
        private char o;
        private char p;
        private int q;
        private boolean r;
        private boolean s;
        private boolean t;
        private int u;
        private int v;
        private String w;
        private String x;
        private String y;
        private ActionProvider z;

        public MenuState(Menu menu) {
            this.b = menu;
            a();
        }

        public void a() {
            this.c = 0;
            this.d = 0;
            this.e = 0;
            this.f = 0;
            this.g = true;
            this.h = true;
        }

        public void a(AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = SupportMenuInflater.this.e.obtainStyledAttributes(attributeSet, R.styleable.MenuGroup);
            this.c = obtainStyledAttributes.getResourceId(R.styleable.MenuGroup_android_id, 0);
            this.d = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_menuCategory, 0);
            this.e = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_orderInCategory, 0);
            this.f = obtainStyledAttributes.getInt(R.styleable.MenuGroup_android_checkableBehavior, 0);
            this.g = obtainStyledAttributes.getBoolean(R.styleable.MenuGroup_android_visible, true);
            this.h = obtainStyledAttributes.getBoolean(R.styleable.MenuGroup_android_enabled, true);
            obtainStyledAttributes.recycle();
        }

        public void b(AttributeSet attributeSet) {
            TypedArray obtainStyledAttributes = SupportMenuInflater.this.e.obtainStyledAttributes(attributeSet, R.styleable.MenuItem);
            this.j = obtainStyledAttributes.getResourceId(R.styleable.MenuItem_android_id, 0);
            this.k = (obtainStyledAttributes.getInt(R.styleable.MenuItem_android_menuCategory, this.d) & -65536) | (obtainStyledAttributes.getInt(R.styleable.MenuItem_android_orderInCategory, this.e) & MinElf.PN_XNUM);
            this.l = obtainStyledAttributes.getText(R.styleable.MenuItem_android_title);
            this.m = obtainStyledAttributes.getText(R.styleable.MenuItem_android_titleCondensed);
            this.n = obtainStyledAttributes.getResourceId(R.styleable.MenuItem_android_icon, 0);
            this.o = a(obtainStyledAttributes.getString(R.styleable.MenuItem_android_alphabeticShortcut));
            this.p = a(obtainStyledAttributes.getString(R.styleable.MenuItem_android_numericShortcut));
            if (obtainStyledAttributes.hasValue(R.styleable.MenuItem_android_checkable)) {
                this.q = obtainStyledAttributes.getBoolean(R.styleable.MenuItem_android_checkable, false) ? 1 : 0;
            } else {
                this.q = this.f;
            }
            this.r = obtainStyledAttributes.getBoolean(R.styleable.MenuItem_android_checked, false);
            this.s = obtainStyledAttributes.getBoolean(R.styleable.MenuItem_android_visible, this.g);
            this.t = obtainStyledAttributes.getBoolean(R.styleable.MenuItem_android_enabled, this.h);
            this.u = obtainStyledAttributes.getInt(R.styleable.MenuItem_showAsAction, -1);
            this.y = obtainStyledAttributes.getString(R.styleable.MenuItem_android_onClick);
            this.v = obtainStyledAttributes.getResourceId(R.styleable.MenuItem_actionLayout, 0);
            this.w = obtainStyledAttributes.getString(R.styleable.MenuItem_actionViewClass);
            this.x = obtainStyledAttributes.getString(R.styleable.MenuItem_actionProviderClass);
            boolean z2 = this.x != null;
            if (z2 && this.v == 0 && this.w == null) {
                this.z = (ActionProvider) a(this.x, SupportMenuInflater.b, SupportMenuInflater.this.d);
            } else {
                if (z2) {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'actionProviderClass'. Action view already specified.");
                }
                this.z = null;
            }
            obtainStyledAttributes.recycle();
            this.i = false;
        }

        private char a(String str) {
            if (str == null) {
                return 0;
            }
            return str.charAt(0);
        }

        private void a(MenuItem menuItem) {
            boolean z2 = false;
            menuItem.setChecked(this.r).setVisible(this.s).setEnabled(this.t).setCheckable(this.q >= 1).setTitleCondensed(this.m).setIcon(this.n).setAlphabeticShortcut(this.o).setNumericShortcut(this.p);
            if (this.u >= 0) {
                MenuItemCompat.a(menuItem, this.u);
            }
            if (this.y != null) {
                if (!SupportMenuInflater.this.e.isRestricted()) {
                    menuItem.setOnMenuItemClickListener(new InflatedOnMenuItemClickListener(SupportMenuInflater.this.c(), this.y));
                } else {
                    throw new IllegalStateException("The android:onClick attribute cannot be used within a restricted context");
                }
            }
            boolean z3 = menuItem instanceof MenuItemImpl;
            if (z3) {
                MenuItemImpl menuItemImpl = (MenuItemImpl) menuItem;
            }
            if (this.q >= 2) {
                if (z3) {
                    ((MenuItemImpl) menuItem).a(true);
                } else if (menuItem instanceof MenuItemWrapperICS) {
                    ((MenuItemWrapperICS) menuItem).a(true);
                }
            }
            if (this.w != null) {
                MenuItemCompat.a(menuItem, (View) a(this.w, SupportMenuInflater.f551a, SupportMenuInflater.this.c));
                z2 = true;
            }
            if (this.v > 0) {
                if (!z2) {
                    MenuItemCompat.b(menuItem, this.v);
                } else {
                    Log.w("SupportMenuInflater", "Ignoring attribute 'itemActionViewLayout'. Action view already specified.");
                }
            }
            if (this.z != null) {
                MenuItemCompat.a(menuItem, this.z);
            }
        }

        public void b() {
            this.i = true;
            a(this.b.add(this.c, this.j, this.k, this.l));
        }

        public SubMenu c() {
            this.i = true;
            SubMenu addSubMenu = this.b.addSubMenu(this.c, this.j, this.k, this.l);
            a(addSubMenu.getItem());
            return addSubMenu;
        }

        public boolean d() {
            return this.i;
        }

        private <T> T a(String str, Class<?>[] clsArr, Object[] objArr) {
            try {
                Constructor<?> constructor = SupportMenuInflater.this.e.getClassLoader().loadClass(str).getConstructor(clsArr);
                constructor.setAccessible(true);
                return (T) constructor.newInstance(objArr);
            } catch (Exception e2) {
                Log.w("SupportMenuInflater", "Cannot instantiate class: " + str, e2);
                return null;
            }
        }
    }
}
