package android.support.v7.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.Handler;
import android.os.SystemClock;
import android.support.annotation.AttrRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.annotation.StyleRes;
import android.support.v4.view.GravityCompat;
import android.support.v4.view.ViewCompat;
import android.support.v7.appcompat.R;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.widget.MenuItemHoverListener;
import android.support.v7.widget.MenuPopupWindow;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.HeaderViewListAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/* access modifiers changed from: package-private */
public final class CascadingMenuPopup extends MenuPopup implements MenuPresenter, View.OnKeyListener, PopupWindow.OnDismissListener {

    /* renamed from: a  reason: collision with root package name */
    private final Context f561a;
    private final int b;
    private final int c;
    private final int d;
    private final boolean e;
    private final Handler f;
    private final List<MenuBuilder> g = new LinkedList();
    private final List<CascadingMenuInfo> h = new ArrayList();
    private final ViewTreeObserver.OnGlobalLayoutListener i = new ViewTreeObserver.OnGlobalLayoutListener() {
        /* class android.support.v7.view.menu.CascadingMenuPopup.AnonymousClass1 */

        public void onGlobalLayout() {
            if (CascadingMenuPopup.this.d() && CascadingMenuPopup.this.h.size() > 0 && !((CascadingMenuInfo) CascadingMenuPopup.this.h.get(0)).f565a.g()) {
                View view = CascadingMenuPopup.this.n;
                if (view == null || !view.isShown()) {
                    CascadingMenuPopup.this.c();
                    return;
                }
                for (CascadingMenuInfo cascadingMenuInfo : CascadingMenuPopup.this.h) {
                    cascadingMenuInfo.f565a.a();
                }
            }
        }
    };
    private final MenuItemHoverListener j = new MenuItemHoverListener() {
        /* class android.support.v7.view.menu.CascadingMenuPopup.AnonymousClass2 */

        @Override // android.support.v7.widget.MenuItemHoverListener
        public void a(@NonNull MenuBuilder menuBuilder, @NonNull MenuItem menuItem) {
            CascadingMenuPopup.this.f.removeCallbacksAndMessages(menuBuilder);
        }

        @Override // android.support.v7.widget.MenuItemHoverListener
        public void b(@NonNull final MenuBuilder menuBuilder, @NonNull final MenuItem menuItem) {
            final CascadingMenuInfo cascadingMenuInfo = null;
            CascadingMenuPopup.this.f.removeCallbacksAndMessages(null);
            int size = CascadingMenuPopup.this.h.size();
            int i = 0;
            while (true) {
                if (i >= size) {
                    i = -1;
                    break;
                } else if (menuBuilder == ((CascadingMenuInfo) CascadingMenuPopup.this.h.get(i)).b) {
                    break;
                } else {
                    i++;
                }
            }
            if (i != -1) {
                int i2 = i + 1;
                if (i2 < CascadingMenuPopup.this.h.size()) {
                    cascadingMenuInfo = (CascadingMenuInfo) CascadingMenuPopup.this.h.get(i2);
                }
                CascadingMenuPopup.this.f.postAtTime(new Runnable() {
                    /* class android.support.v7.view.menu.CascadingMenuPopup.AnonymousClass2.AnonymousClass1 */

                    public void run() {
                        if (cascadingMenuInfo != null) {
                            CascadingMenuPopup.this.y = true;
                            cascadingMenuInfo.b.a(false);
                            CascadingMenuPopup.this.y = false;
                        }
                        if (menuItem.isEnabled() && menuItem.hasSubMenu()) {
                            menuBuilder.a(menuItem, 0);
                        }
                    }
                }, menuBuilder, SystemClock.uptimeMillis() + 200);
            }
        }
    };
    private int k = 0;
    private int l = 0;
    private View m;
    private View n;
    private int o;
    private boolean p;
    private boolean q;
    private int r;
    private int s;
    private boolean t;
    private boolean u;
    private MenuPresenter.Callback v;
    private ViewTreeObserver w;
    private PopupWindow.OnDismissListener x;
    private boolean y;

    @Retention(RetentionPolicy.SOURCE)
    public @interface HorizPosition {
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public boolean b() {
        return false;
    }

    public CascadingMenuPopup(@NonNull Context context, @NonNull View view, @AttrRes int i2, @StyleRes int i3, boolean z) {
        this.f561a = context;
        this.m = view;
        this.c = i2;
        this.d = i3;
        this.e = z;
        this.t = false;
        this.o = h();
        Resources resources = context.getResources();
        this.b = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R.dimen.abc_config_prefDialogWidth));
        this.f = new Handler();
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(boolean z) {
        this.t = z;
    }

    private MenuPopupWindow g() {
        MenuPopupWindow menuPopupWindow = new MenuPopupWindow(this.f561a, null, this.c, this.d);
        menuPopupWindow.a(this.j);
        menuPopupWindow.a((AdapterView.OnItemClickListener) this);
        menuPopupWindow.a((PopupWindow.OnDismissListener) this);
        menuPopupWindow.a(this.m);
        menuPopupWindow.e(this.l);
        menuPopupWindow.a(true);
        return menuPopupWindow;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void a() {
        if (!d()) {
            for (MenuBuilder menuBuilder : this.g) {
                c(menuBuilder);
            }
            this.g.clear();
            this.n = this.m;
            if (this.n != null) {
                boolean z = this.w == null;
                this.w = this.n.getViewTreeObserver();
                if (z) {
                    this.w.addOnGlobalLayoutListener(this.i);
                }
            }
        }
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void c() {
        int size = this.h.size();
        if (size > 0) {
            CascadingMenuInfo[] cascadingMenuInfoArr = (CascadingMenuInfo[]) this.h.toArray(new CascadingMenuInfo[size]);
            for (int i2 = size - 1; i2 >= 0; i2--) {
                CascadingMenuInfo cascadingMenuInfo = cascadingMenuInfoArr[i2];
                if (cascadingMenuInfo.f565a.d()) {
                    cascadingMenuInfo.f565a.c();
                }
            }
        }
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        c();
        return true;
    }

    private int h() {
        return ViewCompat.f(this.m) == 1 ? 0 : 1;
    }

    private int d(int i2) {
        ListView a2 = this.h.get(this.h.size() - 1).a();
        int[] iArr = new int[2];
        a2.getLocationOnScreen(iArr);
        Rect rect = new Rect();
        this.n.getWindowVisibleDisplayFrame(rect);
        if (this.o == 1) {
            if (iArr[0] + a2.getWidth() + i2 > rect.right) {
                return 0;
            }
            return 1;
        } else if (iArr[0] - i2 < 0) {
            return 1;
        } else {
            return 0;
        }
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(MenuBuilder menuBuilder) {
        menuBuilder.a(this, this.f561a);
        if (d()) {
            c(menuBuilder);
        } else {
            this.g.add(menuBuilder);
        }
    }

    private void c(@NonNull MenuBuilder menuBuilder) {
        View view;
        CascadingMenuInfo cascadingMenuInfo;
        int i2;
        LayoutInflater from = LayoutInflater.from(this.f561a);
        MenuAdapter menuAdapter = new MenuAdapter(menuBuilder, from, this.e);
        if (!d() && this.t) {
            menuAdapter.a(true);
        } else if (d()) {
            menuAdapter.a(MenuPopup.b(menuBuilder));
        }
        int a2 = a(menuAdapter, null, this.f561a, this.b);
        MenuPopupWindow g2 = g();
        g2.a((ListAdapter) menuAdapter);
        g2.f(a2);
        g2.e(this.l);
        if (this.h.size() > 0) {
            cascadingMenuInfo = this.h.get(this.h.size() - 1);
            view = a(cascadingMenuInfo, menuBuilder);
        } else {
            cascadingMenuInfo = null;
            view = null;
        }
        if (view != null) {
            g2.b(false);
            g2.a((Object) null);
            int d2 = d(a2);
            boolean z = d2 == 1;
            this.o = d2;
            int[] iArr = new int[2];
            view.getLocationInWindow(iArr);
            int j2 = cascadingMenuInfo.f565a.j() + iArr[0];
            int k2 = cascadingMenuInfo.f565a.k() + iArr[1];
            if ((this.l & 5) == 5) {
                i2 = z ? j2 + a2 : j2 - view.getWidth();
            } else {
                i2 = z ? j2 + view.getWidth() : j2 - a2;
            }
            g2.c(i2);
            g2.d(k2);
        } else {
            if (this.p) {
                g2.c(this.r);
            }
            if (this.q) {
                g2.d(this.s);
            }
            g2.a(f());
        }
        this.h.add(new CascadingMenuInfo(g2, menuBuilder, this.o));
        g2.a();
        if (cascadingMenuInfo == null && this.u && menuBuilder.m() != null) {
            ListView e2 = g2.e();
            FrameLayout frameLayout = (FrameLayout) from.inflate(R.layout.abc_popup_menu_header_item_layout, (ViewGroup) e2, false);
            frameLayout.setEnabled(false);
            ((TextView) frameLayout.findViewById(16908310)).setText(menuBuilder.m());
            e2.addHeaderView(frameLayout, null, false);
            g2.a();
        }
    }

    private MenuItem a(@NonNull MenuBuilder menuBuilder, @NonNull MenuBuilder menuBuilder2) {
        int size = menuBuilder.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = menuBuilder.getItem(i2);
            if (item.hasSubMenu() && menuBuilder2 == item.getSubMenu()) {
                return item;
            }
        }
        return null;
    }

    @Nullable
    private View a(@NonNull CascadingMenuInfo cascadingMenuInfo, @NonNull MenuBuilder menuBuilder) {
        int i2;
        MenuAdapter menuAdapter;
        int firstVisiblePosition;
        MenuItem a2 = a(cascadingMenuInfo.b, menuBuilder);
        if (a2 == null) {
            return null;
        }
        ListView a3 = cascadingMenuInfo.a();
        ListAdapter adapter = a3.getAdapter();
        int i3 = 0;
        if (adapter instanceof HeaderViewListAdapter) {
            HeaderViewListAdapter headerViewListAdapter = (HeaderViewListAdapter) adapter;
            i2 = headerViewListAdapter.getHeadersCount();
            menuAdapter = (MenuAdapter) headerViewListAdapter.getWrappedAdapter();
        } else {
            menuAdapter = (MenuAdapter) adapter;
            i2 = 0;
        }
        int count = menuAdapter.getCount();
        while (true) {
            if (i3 >= count) {
                i3 = -1;
                break;
            } else if (a2 == menuAdapter.getItem(i3)) {
                break;
            } else {
                i3++;
            }
        }
        if (i3 != -1 && (firstVisiblePosition = (i3 + i2) - a3.getFirstVisiblePosition()) >= 0 && firstVisiblePosition < a3.getChildCount()) {
            return a3.getChildAt(firstVisiblePosition);
        }
        return null;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public boolean d() {
        return this.h.size() > 0 && this.h.get(0).f565a.d();
    }

    public void onDismiss() {
        CascadingMenuInfo cascadingMenuInfo;
        int size = this.h.size();
        int i2 = 0;
        while (true) {
            if (i2 >= size) {
                cascadingMenuInfo = null;
                break;
            }
            cascadingMenuInfo = this.h.get(i2);
            if (!cascadingMenuInfo.f565a.d()) {
                break;
            }
            i2++;
        }
        if (cascadingMenuInfo != null) {
            cascadingMenuInfo.b.a(false);
        }
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void b(boolean z) {
        for (CascadingMenuInfo cascadingMenuInfo : this.h) {
            a(cascadingMenuInfo.a().getAdapter()).notifyDataSetChanged();
        }
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void a(MenuPresenter.Callback callback) {
        this.v = callback;
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public boolean a(SubMenuBuilder subMenuBuilder) {
        for (CascadingMenuInfo cascadingMenuInfo : this.h) {
            if (subMenuBuilder == cascadingMenuInfo.b) {
                cascadingMenuInfo.a().requestFocus();
                return true;
            }
        }
        if (!subMenuBuilder.hasVisibleItems()) {
            return false;
        }
        a((MenuBuilder) subMenuBuilder);
        if (this.v != null) {
            this.v.a(subMenuBuilder);
        }
        return true;
    }

    private int d(@NonNull MenuBuilder menuBuilder) {
        int size = this.h.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (menuBuilder == this.h.get(i2).b) {
                return i2;
            }
        }
        return -1;
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void a(MenuBuilder menuBuilder, boolean z) {
        int d2 = d(menuBuilder);
        if (d2 >= 0) {
            int i2 = d2 + 1;
            if (i2 < this.h.size()) {
                this.h.get(i2).b.a(false);
            }
            CascadingMenuInfo remove = this.h.remove(d2);
            remove.b.b(this);
            if (this.y) {
                remove.f565a.b((Object) null);
                remove.f565a.b(0);
            }
            remove.f565a.c();
            int size = this.h.size();
            if (size > 0) {
                this.o = this.h.get(size - 1).c;
            } else {
                this.o = h();
            }
            if (size == 0) {
                c();
                if (this.v != null) {
                    this.v.a(menuBuilder, true);
                }
                if (this.w != null) {
                    if (this.w.isAlive()) {
                        this.w.removeGlobalOnLayoutListener(this.i);
                    }
                    this.w = null;
                }
                this.x.onDismiss();
            } else if (z) {
                this.h.get(0).b.a(false);
            }
        }
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(int i2) {
        if (this.k != i2) {
            this.k = i2;
            this.l = GravityCompat.a(i2, ViewCompat.f(this.m));
        }
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(@NonNull View view) {
        if (this.m != view) {
            this.m = view;
            this.l = GravityCompat.a(this.k, ViewCompat.f(this.m));
        }
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(PopupWindow.OnDismissListener onDismissListener) {
        this.x = onDismissListener;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public ListView e() {
        if (this.h.isEmpty()) {
            return null;
        }
        return this.h.get(this.h.size() - 1).a();
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void b(int i2) {
        this.p = true;
        this.r = i2;
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void c(int i2) {
        this.q = true;
        this.s = i2;
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void c(boolean z) {
        this.u = z;
    }

    /* access modifiers changed from: private */
    public static class CascadingMenuInfo {

        /* renamed from: a  reason: collision with root package name */
        public final MenuPopupWindow f565a;
        public final MenuBuilder b;
        public final int c;

        public CascadingMenuInfo(@NonNull MenuPopupWindow menuPopupWindow, @NonNull MenuBuilder menuBuilder, int i) {
            this.f565a = menuPopupWindow;
            this.b = menuBuilder;
            this.c = i;
        }

        public ListView a() {
            return this.f565a.e();
        }
    }
}
