package android.support.v7.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.support.v7.appcompat.R;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.widget.MenuPopupWindow;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.AdapterView;
import android.widget.FrameLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;

/* access modifiers changed from: package-private */
public final class StandardMenuPopup extends MenuPopup implements MenuPresenter, View.OnKeyListener, AdapterView.OnItemClickListener, PopupWindow.OnDismissListener {

    /* renamed from: a  reason: collision with root package name */
    private final Context f582a;
    private final MenuBuilder b;
    private final MenuAdapter c;
    private final boolean d;
    private final int e;
    private final int f;
    private final int g;
    private final MenuPopupWindow h;
    private final ViewTreeObserver.OnGlobalLayoutListener i = new ViewTreeObserver.OnGlobalLayoutListener() {
        /* class android.support.v7.view.menu.StandardMenuPopup.AnonymousClass1 */

        public void onGlobalLayout() {
            if (StandardMenuPopup.this.d() && !StandardMenuPopup.this.h.g()) {
                View view = StandardMenuPopup.this.l;
                if (view == null || !view.isShown()) {
                    StandardMenuPopup.this.c();
                } else {
                    StandardMenuPopup.this.h.a();
                }
            }
        }
    };
    private PopupWindow.OnDismissListener j;
    private View k;
    private View l;
    private MenuPresenter.Callback m;
    private ViewTreeObserver n;
    private boolean o;
    private boolean p;
    private int q;
    private int r = 0;
    private boolean s;

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(MenuBuilder menuBuilder) {
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public boolean b() {
        return false;
    }

    public StandardMenuPopup(Context context, MenuBuilder menuBuilder, View view, int i2, int i3, boolean z) {
        this.f582a = context;
        this.b = menuBuilder;
        this.d = z;
        this.c = new MenuAdapter(menuBuilder, LayoutInflater.from(context), this.d);
        this.f = i2;
        this.g = i3;
        Resources resources = context.getResources();
        this.e = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R.dimen.abc_config_prefDialogWidth));
        this.k = view;
        this.h = new MenuPopupWindow(this.f582a, null, this.f, this.g);
        menuBuilder.a(this, context);
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(boolean z) {
        this.c.a(z);
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(int i2) {
        this.r = i2;
    }

    private boolean g() {
        if (d()) {
            return true;
        }
        if (this.o || this.k == null) {
            return false;
        }
        this.l = this.k;
        this.h.a((PopupWindow.OnDismissListener) this);
        this.h.a((AdapterView.OnItemClickListener) this);
        this.h.a(true);
        View view = this.l;
        boolean z = this.n == null;
        this.n = view.getViewTreeObserver();
        if (z) {
            this.n.addOnGlobalLayoutListener(this.i);
        }
        this.h.a(view);
        this.h.e(this.r);
        if (!this.p) {
            this.q = a(this.c, null, this.f582a, this.e);
            this.p = true;
        }
        this.h.g(this.q);
        this.h.h(2);
        this.h.a(f());
        this.h.a();
        ListView e2 = this.h.e();
        e2.setOnKeyListener(this);
        if (this.s && this.b.m() != null) {
            FrameLayout frameLayout = (FrameLayout) LayoutInflater.from(this.f582a).inflate(R.layout.abc_popup_menu_header_item_layout, (ViewGroup) e2, false);
            TextView textView = (TextView) frameLayout.findViewById(16908310);
            if (textView != null) {
                textView.setText(this.b.m());
            }
            frameLayout.setEnabled(false);
            e2.addHeaderView(frameLayout, null, false);
        }
        this.h.a((ListAdapter) this.c);
        this.h.a();
        return true;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void a() {
        if (!g()) {
            throw new IllegalStateException("StandardMenuPopup cannot be used without an anchor");
        }
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void c() {
        if (d()) {
            this.h.c();
        }
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public boolean d() {
        return !this.o && this.h.d();
    }

    public void onDismiss() {
        this.o = true;
        this.b.close();
        if (this.n != null) {
            if (!this.n.isAlive()) {
                this.n = this.l.getViewTreeObserver();
            }
            this.n.removeGlobalOnLayoutListener(this.i);
            this.n = null;
        }
        if (this.j != null) {
            this.j.onDismiss();
        }
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void b(boolean z) {
        this.p = false;
        if (this.c != null) {
            this.c.notifyDataSetChanged();
        }
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void a(MenuPresenter.Callback callback) {
        this.m = callback;
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public boolean a(SubMenuBuilder subMenuBuilder) {
        if (subMenuBuilder.hasVisibleItems()) {
            MenuPopupHelper menuPopupHelper = new MenuPopupHelper(this.f582a, subMenuBuilder, this.l, this.d, this.f, this.g);
            menuPopupHelper.a(this.m);
            menuPopupHelper.a(MenuPopup.b(subMenuBuilder));
            menuPopupHelper.a(this.j);
            this.j = null;
            this.b.a(false);
            if (menuPopupHelper.a(this.h.j(), this.h.k())) {
                if (this.m == null) {
                    return true;
                }
                this.m.a(subMenuBuilder);
                return true;
            }
        }
        return false;
    }

    @Override // android.support.v7.view.menu.MenuPresenter
    public void a(MenuBuilder menuBuilder, boolean z) {
        if (menuBuilder == this.b) {
            c();
            if (this.m != null) {
                this.m.a(menuBuilder, z);
            }
        }
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(View view) {
        this.k = view;
    }

    public boolean onKey(View view, int i2, KeyEvent keyEvent) {
        if (keyEvent.getAction() != 1 || i2 != 82) {
            return false;
        }
        c();
        return true;
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void a(PopupWindow.OnDismissListener onDismissListener) {
        this.j = onDismissListener;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public ListView e() {
        return this.h.e();
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void b(int i2) {
        this.h.c(i2);
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void c(int i2) {
        this.h.d(i2);
    }

    @Override // android.support.v7.view.menu.MenuPopup
    public void c(boolean z) {
        this.s = z;
    }
}
