package android.support.v7.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.v4.view.NestedScrollingParent;
import android.support.v4.view.NestedScrollingParentHelper;
import android.support.v4.view.ViewCompat;
import android.support.v4.view.ViewPropertyAnimatorCompat;
import android.support.v4.view.ViewPropertyAnimatorListener;
import android.support.v4.view.ViewPropertyAnimatorListenerAdapter;
import android.support.v4.widget.ScrollerCompat;
import android.support.v7.appcompat.R;
import android.support.v7.view.menu.MenuPresenter;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;

public class ActionBarOverlayLayout extends ViewGroup implements NestedScrollingParent, DecorContentParent {

    /* renamed from: a  reason: collision with root package name */
    static final int[] f590a = {R.attr.actionBarSize, 16842841};
    private final Runnable A;
    private final NestedScrollingParentHelper B;
    private int b;
    private int c;
    private ContentFrameLayout d;
    private ActionBarContainer e;
    private DecorToolbar f;
    private Drawable g;
    private boolean h;
    private boolean i;
    private boolean j;
    private boolean k;
    private boolean l;
    private int m;
    private int n;
    private final Rect o;
    private final Rect p;
    private final Rect q;
    private final Rect r;
    private final Rect s;
    private final Rect t;
    private ActionBarVisibilityCallback u;
    private final int v;
    private ScrollerCompat w;
    private ViewPropertyAnimatorCompat x;
    private final ViewPropertyAnimatorListener y;
    private final Runnable z;

    public interface ActionBarVisibilityCallback {
        void b(int i);

        void g(boolean z);

        void l();

        void m();

        void n();

        void o();
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return false;
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
    }

    public void setShowingForActionMode(boolean z2) {
    }

    public void setUiOptions(int i2) {
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public ActionBarOverlayLayout(Context context) {
        this(context, null);
    }

    public ActionBarOverlayLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.c = 0;
        this.o = new Rect();
        this.p = new Rect();
        this.q = new Rect();
        this.r = new Rect();
        this.s = new Rect();
        this.t = new Rect();
        this.v = 600;
        this.y = new ViewPropertyAnimatorListenerAdapter() {
            /* class android.support.v7.widget.ActionBarOverlayLayout.AnonymousClass1 */

            @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
            public void b(View view) {
                ActionBarOverlayLayout.this.x = null;
                ActionBarOverlayLayout.this.l = false;
            }

            @Override // android.support.v4.view.ViewPropertyAnimatorListenerAdapter, android.support.v4.view.ViewPropertyAnimatorListener
            public void c(View view) {
                ActionBarOverlayLayout.this.x = null;
                ActionBarOverlayLayout.this.l = false;
            }
        };
        this.z = new Runnable() {
            /* class android.support.v7.widget.ActionBarOverlayLayout.AnonymousClass2 */

            public void run() {
                ActionBarOverlayLayout.this.k();
                ActionBarOverlayLayout.this.x = ViewCompat.m(ActionBarOverlayLayout.this.e).b(0.0f).a(ActionBarOverlayLayout.this.y);
            }
        };
        this.A = new Runnable() {
            /* class android.support.v7.widget.ActionBarOverlayLayout.AnonymousClass3 */

            public void run() {
                ActionBarOverlayLayout.this.k();
                ActionBarOverlayLayout.this.x = ViewCompat.m(ActionBarOverlayLayout.this.e).b((float) (-ActionBarOverlayLayout.this.e.getHeight())).a(ActionBarOverlayLayout.this.y);
            }
        };
        a(context);
        this.B = new NestedScrollingParentHelper(this);
    }

    private void a(Context context) {
        TypedArray obtainStyledAttributes = getContext().getTheme().obtainStyledAttributes(f590a);
        boolean z2 = false;
        this.b = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        this.g = obtainStyledAttributes.getDrawable(1);
        setWillNotDraw(this.g == null);
        obtainStyledAttributes.recycle();
        if (context.getApplicationInfo().targetSdkVersion < 19) {
            z2 = true;
        }
        this.h = z2;
        this.w = ScrollerCompat.a(context);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        k();
    }

    public void setActionBarVisibilityCallback(ActionBarVisibilityCallback actionBarVisibilityCallback) {
        this.u = actionBarVisibilityCallback;
        if (getWindowToken() != null) {
            this.u.b(this.c);
            if (this.n != 0) {
                onWindowSystemUiVisibilityChanged(this.n);
                ViewCompat.q(this);
            }
        }
    }

    public void setOverlayMode(boolean z2) {
        this.i = z2;
        this.h = z2 && getContext().getApplicationInfo().targetSdkVersion < 19;
    }

    public boolean a() {
        return this.i;
    }

    public void setHasNonEmbeddedTabs(boolean z2) {
        this.j = z2;
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        if (Build.VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        a(getContext());
        ViewCompat.q(this);
    }

    public void onWindowSystemUiVisibilityChanged(int i2) {
        if (Build.VERSION.SDK_INT >= 16) {
            super.onWindowSystemUiVisibilityChanged(i2);
        }
        c();
        int i3 = this.n ^ i2;
        this.n = i2;
        boolean z2 = false;
        boolean z3 = (i2 & 4) == 0;
        if ((i2 & 256) != 0) {
            z2 = true;
        }
        if (this.u != null) {
            this.u.g(!z2);
            if (z3 || !z2) {
                this.u.l();
            } else {
                this.u.m();
            }
        }
        if ((i3 & 256) != 0 && this.u != null) {
            ViewCompat.q(this);
        }
    }

    /* access modifiers changed from: protected */
    public void onWindowVisibilityChanged(int i2) {
        super.onWindowVisibilityChanged(i2);
        this.c = i2;
        if (this.u != null) {
            this.u.b(i2);
        }
    }

    private boolean a(View view, Rect rect, boolean z2, boolean z3, boolean z4, boolean z5) {
        boolean z6;
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        if (!z2 || layoutParams.leftMargin == rect.left) {
            z6 = false;
        } else {
            layoutParams.leftMargin = rect.left;
            z6 = true;
        }
        if (z3 && layoutParams.topMargin != rect.top) {
            layoutParams.topMargin = rect.top;
            z6 = true;
        }
        if (z5 && layoutParams.rightMargin != rect.right) {
            layoutParams.rightMargin = rect.right;
            z6 = true;
        }
        if (!z4 || layoutParams.bottomMargin == rect.bottom) {
            return z6;
        }
        layoutParams.bottomMargin = rect.bottom;
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean fitSystemWindows(Rect rect) {
        c();
        int p2 = ViewCompat.p(this) & 256;
        boolean a2 = a(this.e, rect, true, true, false, true);
        this.r.set(rect);
        ViewUtils.a(this, this.r, this.o);
        if (!this.p.equals(this.o)) {
            this.p.set(this.o);
            a2 = true;
        }
        if (a2) {
            requestLayout();
        }
        return true;
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-1, -1);
    }

    /* renamed from: a */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        int i4;
        c();
        measureChildWithMargins(this.e, i2, 0, i3, 0);
        LayoutParams layoutParams = (LayoutParams) this.e.getLayoutParams();
        int max = Math.max(0, this.e.getMeasuredWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
        int max2 = Math.max(0, this.e.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
        int a2 = ViewUtils.a(0, ViewCompat.j(this.e));
        boolean z2 = (ViewCompat.p(this) & 256) != 0;
        if (z2) {
            i4 = this.b;
            if (this.j && this.e.getTabContainer() != null) {
                i4 += this.b;
            }
        } else {
            i4 = this.e.getVisibility() != 8 ? this.e.getMeasuredHeight() : 0;
        }
        this.q.set(this.o);
        this.s.set(this.r);
        if (this.i || z2) {
            this.s.top += i4;
            this.s.bottom += 0;
        } else {
            this.q.top += i4;
            this.q.bottom += 0;
        }
        a(this.d, this.q, true, true, true, true);
        if (!this.t.equals(this.s)) {
            this.t.set(this.s);
            this.d.a(this.s);
        }
        measureChildWithMargins(this.d, i2, 0, i3, 0);
        LayoutParams layoutParams2 = (LayoutParams) this.d.getLayoutParams();
        int max3 = Math.max(max, this.d.getMeasuredWidth() + layoutParams2.leftMargin + layoutParams2.rightMargin);
        int max4 = Math.max(max2, this.d.getMeasuredHeight() + layoutParams2.topMargin + layoutParams2.bottomMargin);
        int a3 = ViewUtils.a(a2, ViewCompat.j(this.d));
        setMeasuredDimension(ViewCompat.a(Math.max(max3 + getPaddingLeft() + getPaddingRight(), getSuggestedMinimumWidth()), i2, a3), ViewCompat.a(Math.max(max4 + getPaddingTop() + getPaddingBottom(), getSuggestedMinimumHeight()), i3, a3 << 16));
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int childCount = getChildCount();
        int paddingLeft = getPaddingLeft();
        getPaddingRight();
        int paddingTop = getPaddingTop();
        getPaddingBottom();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                int i7 = layoutParams.leftMargin + paddingLeft;
                int i8 = layoutParams.topMargin + paddingTop;
                childAt.layout(i7, i8, measuredWidth + i7, measuredHeight + i8);
            }
        }
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.g != null && !this.h) {
            int bottom = this.e.getVisibility() == 0 ? (int) (((float) this.e.getBottom()) + ViewCompat.k(this.e) + 0.5f) : 0;
            this.g.setBounds(0, bottom, getWidth(), this.g.getIntrinsicHeight() + bottom);
            this.g.draw(canvas);
        }
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        if ((i2 & 2) == 0 || this.e.getVisibility() != 0) {
            return false;
        }
        return this.k;
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.B.a(view, view2, i2);
        this.m = getActionBarHideOffset();
        k();
        if (this.u != null) {
            this.u.n();
        }
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        this.m += i3;
        setActionBarHideOffset(this.m);
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        if (this.k && !this.l) {
            if (this.m <= this.e.getHeight()) {
                l();
            } else {
                m();
            }
        }
        if (this.u != null) {
            this.u.o();
        }
    }

    @Override // android.support.v4.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        if (!this.k || !z2) {
            return false;
        }
        if (a(f2, f3)) {
            o();
        } else {
            n();
        }
        this.l = true;
        return true;
    }

    public int getNestedScrollAxes() {
        return this.B.a();
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (this.d == null) {
            this.d = (ContentFrameLayout) findViewById(R.id.action_bar_activity_content);
            this.e = (ActionBarContainer) findViewById(R.id.action_bar_container);
            this.f = a(findViewById(R.id.action_bar));
        }
    }

    private DecorToolbar a(View view) {
        if (view instanceof DecorToolbar) {
            return (DecorToolbar) view;
        }
        if (view instanceof Toolbar) {
            return ((Toolbar) view).getWrapper();
        }
        throw new IllegalStateException("Can't make a decor toolbar out of " + view.getClass().getSimpleName());
    }

    public void setHideOnContentScrollEnabled(boolean z2) {
        if (z2 != this.k) {
            this.k = z2;
            if (!z2) {
                k();
                setActionBarHideOffset(0);
            }
        }
    }

    public int getActionBarHideOffset() {
        if (this.e != null) {
            return -((int) ViewCompat.k(this.e));
        }
        return 0;
    }

    public void setActionBarHideOffset(int i2) {
        k();
        ViewCompat.a(this.e, (float) (-Math.max(0, Math.min(i2, this.e.getHeight()))));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        removeCallbacks(this.z);
        removeCallbacks(this.A);
        if (this.x != null) {
            this.x.b();
        }
    }

    private void l() {
        k();
        postDelayed(this.z, 600);
    }

    private void m() {
        k();
        postDelayed(this.A, 600);
    }

    private void n() {
        k();
        this.z.run();
    }

    private void o() {
        k();
        this.A.run();
    }

    private boolean a(float f2, float f3) {
        this.w.a(0, 0, 0, (int) f3, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE);
        return this.w.e() > this.e.getHeight();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void setWindowCallback(Window.Callback callback) {
        c();
        this.f.a(callback);
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void setWindowTitle(CharSequence charSequence) {
        c();
        this.f.a(charSequence);
    }

    public CharSequence getTitle() {
        c();
        return this.f.e();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void a(int i2) {
        c();
        if (i2 == 2) {
            this.f.f();
        } else if (i2 == 5) {
            this.f.g();
        } else if (i2 == 109) {
            setOverlayMode(true);
        }
    }

    public void setIcon(int i2) {
        c();
        this.f.a(i2);
    }

    public void setIcon(Drawable drawable) {
        c();
        this.f.a(drawable);
    }

    public void setLogo(int i2) {
        c();
        this.f.b(i2);
    }

    @Override // android.support.v7.widget.DecorContentParent
    public boolean d() {
        c();
        return this.f.h();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public boolean e() {
        c();
        return this.f.i();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public boolean f() {
        c();
        return this.f.j();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public boolean g() {
        c();
        return this.f.k();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public boolean h() {
        c();
        return this.f.l();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void i() {
        c();
        this.f.m();
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void a(Menu menu, MenuPresenter.Callback callback) {
        c();
        this.f.a(menu, callback);
    }

    @Override // android.support.v7.widget.DecorContentParent
    public void j() {
        c();
        this.f.n();
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
