package android.support.v7.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.Nullable;
import android.support.annotation.StyleRes;
import android.support.v7.view.menu.ActionMenuItemView;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.view.menu.MenuItemImpl;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.view.menu.MenuView;
import android.support.v7.widget.LinearLayoutCompat;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewDebug;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;

public class ActionMenuView extends LinearLayoutCompat implements MenuBuilder.ItemInvoker, MenuView {

    /* renamed from: a  reason: collision with root package name */
    private MenuBuilder f602a;
    private Context b;
    private int c;
    private boolean d;
    private ActionMenuPresenter e;
    private MenuPresenter.Callback f;
    private MenuBuilder.Callback g;
    private boolean h;
    private int i;
    private int j;
    private int k;
    private OnMenuItemClickListener l;

    public interface ActionMenuChildView {
        boolean c();

        boolean d();
    }

    public interface OnMenuItemClickListener {
        boolean a(MenuItem menuItem);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        return false;
    }

    public int getWindowAnimations() {
        return 0;
    }

    public ActionMenuView(Context context) {
        this(context, null);
    }

    public ActionMenuView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setBaselineAligned(false);
        float f2 = context.getResources().getDisplayMetrics().density;
        this.j = (int) (56.0f * f2);
        this.k = (int) (f2 * 4.0f);
        this.b = context;
        this.c = 0;
    }

    public void setPopupTheme(@StyleRes int i2) {
        if (this.c != i2) {
            this.c = i2;
            if (i2 == 0) {
                this.b = getContext();
            } else {
                this.b = new ContextThemeWrapper(getContext(), i2);
            }
        }
    }

    public int getPopupTheme() {
        return this.c;
    }

    public void setPresenter(ActionMenuPresenter actionMenuPresenter) {
        this.e = actionMenuPresenter;
        this.e.a(this);
    }

    public void onConfigurationChanged(Configuration configuration) {
        if (Build.VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        if (this.e != null) {
            this.e.b(false);
            if (this.e.h()) {
                this.e.e();
                this.e.d();
            }
        }
    }

    public void setOnMenuItemClickListener(OnMenuItemClickListener onMenuItemClickListener) {
        this.l = onMenuItemClickListener;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.widget.LinearLayoutCompat
    public void onMeasure(int i2, int i3) {
        boolean z = this.h;
        this.h = View.MeasureSpec.getMode(i2) == 1073741824;
        if (z != this.h) {
            this.i = 0;
        }
        int size = View.MeasureSpec.getSize(i2);
        if (!(!this.h || this.f602a == null || size == this.i)) {
            this.i = size;
            this.f602a.b(true);
        }
        int childCount = getChildCount();
        if (!this.h || childCount <= 0) {
            for (int i4 = 0; i4 < childCount; i4++) {
                LayoutParams layoutParams = (LayoutParams) getChildAt(i4).getLayoutParams();
                layoutParams.rightMargin = 0;
                layoutParams.leftMargin = 0;
            }
            super.onMeasure(i2, i3);
            return;
        }
        c(i2, i3);
    }

    /* JADX WARN: Type inference failed for: r2v31, types: [int, boolean] */
    /* JADX WARN: Type inference failed for: r2v46 */
    /* JADX WARN: Type inference failed for: r2v47 */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x025d A[LOOP:5: B:136:0x025d->B:141:0x0280, LOOP_START, PHI: r3 r29 
      PHI: (r3v5 int) = (r3v4 int), (r3v6 int) binds: [B:135:0x025b, B:141:0x0280] A[DONT_GENERATE, DONT_INLINE]
      PHI: (r29v1 int) = (r29v0 int), (r29v2 int) binds: [B:135:0x025b, B:141:0x0280] A[DONT_GENERATE, DONT_INLINE]] */
    /* JADX WARNING: Removed duplicated region for block: B:143:0x0287  */
    /* JADX WARNING: Removed duplicated region for block: B:144:0x028c  */
    /* JADX WARNING: Unknown variable types count: 1 */
    private void c(int i2, int i3) {
        boolean z;
        boolean z2;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        boolean z3;
        int i10;
        int i11;
        int i12;
        ?? r2;
        int i13;
        int mode = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        int childMeasureSpec = getChildMeasureSpec(i3, paddingTop, -2);
        int i14 = size - paddingLeft;
        int i15 = i14 / this.j;
        int i16 = i14 % this.j;
        if (i15 == 0) {
            setMeasuredDimension(i14, 0);
            return;
        }
        int i17 = this.j + (i16 / i15);
        int childCount = getChildCount();
        int i18 = i15;
        int i19 = 0;
        int i20 = 0;
        boolean z4 = false;
        int i21 = 0;
        int i22 = 0;
        int i23 = 0;
        long j2 = 0;
        while (i19 < childCount) {
            View childAt = getChildAt(i19);
            if (childAt.getVisibility() == 8) {
                i11 = i14;
            } else {
                boolean z5 = childAt instanceof ActionMenuItemView;
                int i24 = i21 + 1;
                if (z5) {
                    i12 = i24;
                    i11 = i14;
                    r2 = 0;
                    childAt.setPadding(this.k, 0, this.k, 0);
                } else {
                    i11 = i14;
                    i12 = i24;
                    r2 = 0;
                }
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                layoutParams.f = r2;
                int i25 = r2 == true ? 1 : 0;
                int i26 = r2 == true ? 1 : 0;
                int i27 = r2 == true ? 1 : 0;
                layoutParams.c = i25;
                layoutParams.b = r2;
                layoutParams.d = r2;
                layoutParams.leftMargin = r2;
                layoutParams.rightMargin = r2;
                layoutParams.e = z5 && ((ActionMenuItemView) childAt).b();
                int a2 = a(childAt, i17, layoutParams.f604a ? 1 : i18, childMeasureSpec, paddingTop);
                int max = Math.max(i22, a2);
                if (layoutParams.d) {
                    i23++;
                }
                if (layoutParams.f604a) {
                    z4 = true;
                }
                i18 -= a2;
                i20 = Math.max(i20, childAt.getMeasuredHeight());
                if (a2 == 1) {
                    i13 = max;
                    j2 |= (long) (1 << i19);
                } else {
                    i13 = max;
                }
                i21 = i12;
                i22 = i13;
            }
            i19++;
            size2 = size2;
            i14 = i11;
        }
        boolean z6 = z4 && i21 == 2;
        boolean z7 = false;
        while (true) {
            if (i23 <= 0 || i18 <= 0) {
                z = z7;
            } else {
                int i28 = 0;
                int i29 = 0;
                int i30 = Integer.MAX_VALUE;
                long j3 = 0;
                while (i28 < childCount) {
                    LayoutParams layoutParams2 = (LayoutParams) getChildAt(i28).getLayoutParams();
                    if (!layoutParams2.d) {
                        i10 = i28;
                    } else if (layoutParams2.b < i30) {
                        i10 = i28;
                        i30 = layoutParams2.b;
                        j3 = (long) (1 << i28);
                        i29 = 1;
                    } else {
                        i10 = i28;
                        if (layoutParams2.b == i30) {
                            i29++;
                            j3 |= (long) (1 << i10);
                        }
                    }
                    i28 = i10 + 1;
                    z7 = z7;
                }
                z = z7;
                j2 |= j3;
                if (i29 > i18) {
                    break;
                }
                int i31 = i30 + 1;
                int i32 = 0;
                while (i32 < childCount) {
                    View childAt2 = getChildAt(i32);
                    LayoutParams layoutParams3 = (LayoutParams) childAt2.getLayoutParams();
                    long j4 = (long) (1 << i32);
                    if ((j3 & j4) != 0) {
                        if (!z6 || !layoutParams3.e) {
                            z3 = true;
                        } else {
                            z3 = true;
                            z3 = true;
                            if (i18 == 1) {
                                childAt2.setPadding(this.k + i17, 0, this.k, 0);
                            }
                        }
                        int i33 = layoutParams3.b;
                        int i34 = z3 ? 1 : 0;
                        int i35 = z3 ? 1 : 0;
                        int i36 = z3 ? 1 : 0;
                        int i37 = z3 ? 1 : 0;
                        layoutParams3.b = i33 + i34;
                        layoutParams3.f = z3;
                        i18--;
                    } else if (layoutParams3.b == i31) {
                        j2 |= j4;
                    }
                    i32++;
                    i20 = i20;
                    childMeasureSpec = childMeasureSpec;
                    childCount = childCount;
                }
                z7 = true;
            }
        }
        int i38 = childMeasureSpec;
        if (!z4) {
            i4 = 1;
            if (i21 == 1) {
                z2 = true;
                if (i18 > 0 || j2 == 0 || (i18 >= i21 - i4 && !z2 && i22 <= i4)) {
                    i6 = childCount;
                    i5 = 0;
                } else {
                    float bitCount = (float) Long.bitCount(j2);
                    if (!z2) {
                        if ((j2 & 1) != 0) {
                            i5 = 0;
                            if (!((LayoutParams) getChildAt(0).getLayoutParams()).e) {
                                bitCount -= 0.5f;
                            }
                        } else {
                            i5 = 0;
                        }
                        int i39 = childCount - 1;
                        if ((j2 & ((long) (1 << i39))) != 0 && !((LayoutParams) getChildAt(i39).getLayoutParams()).e) {
                            bitCount -= 0.5f;
                        }
                    } else {
                        i5 = 0;
                    }
                    int i40 = bitCount > 0.0f ? (int) (((float) (i18 * i17)) / bitCount) : 0;
                    boolean z8 = z;
                    i6 = childCount;
                    for (int i41 = 0; i41 < i6; i41++) {
                        if ((j2 & ((long) (1 << i41))) != 0) {
                            View childAt3 = getChildAt(i41);
                            LayoutParams layoutParams4 = (LayoutParams) childAt3.getLayoutParams();
                            if (childAt3 instanceof ActionMenuItemView) {
                                layoutParams4.c = i40;
                                layoutParams4.f = true;
                                if (i41 == 0 && !layoutParams4.e) {
                                    layoutParams4.leftMargin = (-i40) / 2;
                                }
                            } else if (layoutParams4.f604a) {
                                layoutParams4.c = i40;
                                layoutParams4.f = true;
                                layoutParams4.rightMargin = (-i40) / 2;
                            } else {
                                if (i41 != 0) {
                                    layoutParams4.leftMargin = i40 / 2;
                                }
                                if (i41 != i6 - 1) {
                                    layoutParams4.rightMargin = i40 / 2;
                                }
                            }
                            z8 = true;
                        }
                    }
                    z = z8;
                }
                if (z) {
                    while (i5 < i6) {
                        View childAt4 = getChildAt(i5);
                        LayoutParams layoutParams5 = (LayoutParams) childAt4.getLayoutParams();
                        if (!layoutParams5.f) {
                            i9 = i38;
                        } else {
                            i9 = i38;
                            childAt4.measure(View.MeasureSpec.makeMeasureSpec((layoutParams5.b * i17) + layoutParams5.c, 1073741824), i9);
                        }
                        i5++;
                        i38 = i9;
                    }
                }
                if (mode == 1073741824) {
                    i7 = i14;
                    i8 = i20;
                } else {
                    i8 = size2;
                    i7 = i14;
                }
                setMeasuredDimension(i7, i8);
            }
        } else {
            i4 = 1;
        }
        z2 = false;
        if (i18 > 0) {
        }
        i6 = childCount;
        i5 = 0;
        if (z) {
        }
        if (mode == 1073741824) {
        }
        setMeasuredDimension(i7, i8);
    }

    static int a(View view, int i2, int i3, int i4, int i5) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i4) - i5, View.MeasureSpec.getMode(i4));
        ActionMenuItemView actionMenuItemView = view instanceof ActionMenuItemView ? (ActionMenuItemView) view : null;
        boolean z = true;
        boolean z2 = actionMenuItemView != null && actionMenuItemView.b();
        int i6 = 2;
        if (i3 <= 0 || (z2 && i3 < 2)) {
            i6 = 0;
        } else {
            view.measure(View.MeasureSpec.makeMeasureSpec(i3 * i2, Integer.MIN_VALUE), makeMeasureSpec);
            int measuredWidth = view.getMeasuredWidth();
            int i7 = measuredWidth / i2;
            if (measuredWidth % i2 != 0) {
                i7++;
            }
            if (!z2 || i7 >= 2) {
                i6 = i7;
            }
        }
        if (layoutParams.f604a || !z2) {
            z = false;
        }
        layoutParams.d = z;
        layoutParams.b = i6;
        view.measure(View.MeasureSpec.makeMeasureSpec(i2 * i6, 1073741824), makeMeasureSpec);
        return i6;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.widget.LinearLayoutCompat
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        if (!this.h) {
            super.onLayout(z, i2, i3, i4, i5);
            return;
        }
        int childCount = getChildCount();
        int i10 = (i5 - i3) / 2;
        int dividerWidth = getDividerWidth();
        int i11 = i4 - i2;
        int paddingRight = (i11 - getPaddingRight()) - getPaddingLeft();
        boolean a2 = ViewUtils.a(this);
        int i12 = paddingRight;
        int i13 = 0;
        int i14 = 0;
        for (int i15 = 0; i15 < childCount; i15++) {
            View childAt = getChildAt(i15);
            if (childAt.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f604a) {
                    int measuredWidth = childAt.getMeasuredWidth();
                    if (a(i15)) {
                        measuredWidth += dividerWidth;
                    }
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (a2) {
                        i8 = getPaddingLeft() + layoutParams.leftMargin;
                        i9 = i8 + measuredWidth;
                    } else {
                        i9 = (getWidth() - getPaddingRight()) - layoutParams.rightMargin;
                        i8 = i9 - measuredWidth;
                    }
                    int i16 = i10 - (measuredHeight / 2);
                    childAt.layout(i8, i16, i9, measuredHeight + i16);
                    i12 -= measuredWidth;
                    i13 = 1;
                } else {
                    i12 -= (childAt.getMeasuredWidth() + layoutParams.leftMargin) + layoutParams.rightMargin;
                    a(i15);
                    i14++;
                }
            }
        }
        if (childCount == 1 && i13 == 0) {
            View childAt2 = getChildAt(0);
            int measuredWidth2 = childAt2.getMeasuredWidth();
            int measuredHeight2 = childAt2.getMeasuredHeight();
            int i17 = (i11 / 2) - (measuredWidth2 / 2);
            int i18 = i10 - (measuredHeight2 / 2);
            childAt2.layout(i17, i18, measuredWidth2 + i17, measuredHeight2 + i18);
            return;
        }
        int i19 = i14 - (i13 ^ 1);
        if (i19 > 0) {
            i6 = i12 / i19;
            i7 = 0;
        } else {
            i7 = 0;
            i6 = 0;
        }
        int max = Math.max(i7, i6);
        if (a2) {
            int width = getWidth() - getPaddingRight();
            while (i7 < childCount) {
                View childAt3 = getChildAt(i7);
                LayoutParams layoutParams2 = (LayoutParams) childAt3.getLayoutParams();
                if (childAt3.getVisibility() != 8 && !layoutParams2.f604a) {
                    int i20 = width - layoutParams2.rightMargin;
                    int measuredWidth3 = childAt3.getMeasuredWidth();
                    int measuredHeight3 = childAt3.getMeasuredHeight();
                    int i21 = i10 - (measuredHeight3 / 2);
                    childAt3.layout(i20 - measuredWidth3, i21, i20, measuredHeight3 + i21);
                    width = i20 - ((measuredWidth3 + layoutParams2.leftMargin) + max);
                }
                i7++;
            }
            return;
        }
        int paddingLeft = getPaddingLeft();
        while (i7 < childCount) {
            View childAt4 = getChildAt(i7);
            LayoutParams layoutParams3 = (LayoutParams) childAt4.getLayoutParams();
            if (childAt4.getVisibility() != 8 && !layoutParams3.f604a) {
                int i22 = paddingLeft + layoutParams3.leftMargin;
                int measuredWidth4 = childAt4.getMeasuredWidth();
                int measuredHeight4 = childAt4.getMeasuredHeight();
                int i23 = i10 - (measuredHeight4 / 2);
                childAt4.layout(i22, i23, i22 + measuredWidth4, measuredHeight4 + i23);
                paddingLeft = i22 + measuredWidth4 + layoutParams3.rightMargin + max;
            }
            i7++;
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        i();
    }

    public void setOverflowIcon(@Nullable Drawable drawable) {
        getMenu();
        this.e.a(drawable);
    }

    @Nullable
    public Drawable getOverflowIcon() {
        getMenu();
        return this.e.c();
    }

    public boolean a() {
        return this.d;
    }

    public void setOverflowReserved(boolean z) {
        this.d = z;
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public LayoutParams j() {
        LayoutParams layoutParams = new LayoutParams(-2, -2);
        layoutParams.h = 16;
        return layoutParams;
    }

    /* renamed from: a */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams == null) {
            return j();
        }
        LayoutParams layoutParams2 = layoutParams instanceof LayoutParams ? new LayoutParams((LayoutParams) layoutParams) : new LayoutParams(layoutParams);
        if (layoutParams2.h <= 0) {
            layoutParams2.h = 16;
        }
        return layoutParams2;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.widget.LinearLayoutCompat
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams != null && (layoutParams instanceof LayoutParams);
    }

    public LayoutParams c() {
        LayoutParams b2 = j();
        b2.f604a = true;
        return b2;
    }

    @Override // android.support.v7.view.menu.MenuBuilder.ItemInvoker
    public boolean a(MenuItemImpl menuItemImpl) {
        return this.f602a.a(menuItemImpl, 0);
    }

    @Override // android.support.v7.view.menu.MenuView
    public void a(MenuBuilder menuBuilder) {
        this.f602a = menuBuilder;
    }

    public Menu getMenu() {
        if (this.f602a == null) {
            Context context = getContext();
            this.f602a = new MenuBuilder(context);
            this.f602a.a(new MenuBuilderCallback());
            this.e = new ActionMenuPresenter(context);
            this.e.c(true);
            this.e.a(this.f != null ? this.f : new ActionMenuPresenterCallback());
            this.f602a.a(this.e, this.b);
            this.e.a(this);
        }
        return this.f602a;
    }

    public void a(MenuPresenter.Callback callback, MenuBuilder.Callback callback2) {
        this.f = callback;
        this.g = callback2;
    }

    public MenuBuilder d() {
        return this.f602a;
    }

    public boolean e() {
        return this.e != null && this.e.d();
    }

    public boolean f() {
        return this.e != null && this.e.e();
    }

    public boolean g() {
        return this.e != null && this.e.h();
    }

    public boolean h() {
        return this.e != null && this.e.i();
    }

    public void i() {
        if (this.e != null) {
            this.e.f();
        }
    }

    /* access modifiers changed from: protected */
    public boolean a(int i2) {
        boolean z = false;
        if (i2 == 0) {
            return false;
        }
        View childAt = getChildAt(i2 - 1);
        View childAt2 = getChildAt(i2);
        if (i2 < getChildCount() && (childAt instanceof ActionMenuChildView)) {
            z = false | ((ActionMenuChildView) childAt).d();
        }
        return (i2 <= 0 || !(childAt2 instanceof ActionMenuChildView)) ? z : z | ((ActionMenuChildView) childAt2).c();
    }

    public void setExpandedActionViewsExclusive(boolean z) {
        this.e.d(z);
    }

    /* access modifiers changed from: private */
    public class MenuBuilderCallback implements MenuBuilder.Callback {
        private MenuBuilderCallback() {
        }

        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public boolean a(MenuBuilder menuBuilder, MenuItem menuItem) {
            return ActionMenuView.this.l != null && ActionMenuView.this.l.a(menuItem);
        }

        @Override // android.support.v7.view.menu.MenuBuilder.Callback
        public void a(MenuBuilder menuBuilder) {
            if (ActionMenuView.this.g != null) {
                ActionMenuView.this.g.a(menuBuilder);
            }
        }
    }

    /* access modifiers changed from: private */
    public class ActionMenuPresenterCallback implements MenuPresenter.Callback {
        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public void a(MenuBuilder menuBuilder, boolean z) {
        }

        @Override // android.support.v7.view.menu.MenuPresenter.Callback
        public boolean a(MenuBuilder menuBuilder) {
            return false;
        }

        private ActionMenuPresenterCallback() {
        }
    }

    public static class LayoutParams extends LinearLayoutCompat.LayoutParams {
        @ViewDebug.ExportedProperty

        /* renamed from: a  reason: collision with root package name */
        public boolean f604a;
        @ViewDebug.ExportedProperty
        public int b;
        @ViewDebug.ExportedProperty
        public int c;
        @ViewDebug.ExportedProperty
        public boolean d;
        @ViewDebug.ExportedProperty
        public boolean e;
        boolean f;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(LayoutParams layoutParams) {
            super(layoutParams);
            this.f604a = layoutParams.f604a;
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.f604a = false;
        }
    }
}
