package android.support.v7.widget;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.database.DataSetObservable;
import android.os.AsyncTask;
import android.support.v4.os.AsyncTaskCompat;
import android.text.TextUtils;
import android.util.Log;
import android.util.Xml;
import com.facebook.stetho.common.Utf8Charset;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlSerializer;

/* access modifiers changed from: package-private */
public class ActivityChooserModel extends DataSetObservable {

    /* renamed from: a  reason: collision with root package name */
    private static final String f606a = "ActivityChooserModel";
    private static final Object b = new Object();
    private static final Map<String, ActivityChooserModel> c = new HashMap();
    private final Object d = new Object();
    private final List<ActivityResolveInfo> e = new ArrayList();
    private final List<HistoricalRecord> f = new ArrayList();
    private final Context g;
    private final String h;
    private Intent i;
    private ActivitySorter j = new DefaultSorter();
    private int k = 50;
    private boolean l = true;
    private boolean m = false;
    private boolean n = true;
    private boolean o = false;
    private OnChooseActivityListener p;

    public interface ActivityChooserModelClient {
    }

    public interface ActivitySorter {
        void a(Intent intent, List<ActivityResolveInfo> list, List<HistoricalRecord> list2);
    }

    public interface OnChooseActivityListener {
        boolean a(ActivityChooserModel activityChooserModel, Intent intent);
    }

    public static ActivityChooserModel a(Context context, String str) {
        ActivityChooserModel activityChooserModel;
        synchronized (b) {
            activityChooserModel = c.get(str);
            if (activityChooserModel == null) {
                activityChooserModel = new ActivityChooserModel(context, str);
                c.put(str, activityChooserModel);
            }
        }
        return activityChooserModel;
    }

    private ActivityChooserModel(Context context, String str) {
        this.g = context.getApplicationContext();
        if (TextUtils.isEmpty(str) || str.endsWith(".xml")) {
            this.h = str;
            return;
        }
        this.h = str + ".xml";
    }

    public int a() {
        int size;
        synchronized (this.d) {
            f();
            size = this.e.size();
        }
        return size;
    }

    public ResolveInfo a(int i2) {
        ResolveInfo resolveInfo;
        synchronized (this.d) {
            f();
            resolveInfo = this.e.get(i2).f607a;
        }
        return resolveInfo;
    }

    public int a(ResolveInfo resolveInfo) {
        synchronized (this.d) {
            f();
            List<ActivityResolveInfo> list = this.e;
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                if (list.get(i2).f607a == resolveInfo) {
                    return i2;
                }
            }
            return -1;
        }
    }

    public Intent b(int i2) {
        synchronized (this.d) {
            if (this.i == null) {
                return null;
            }
            f();
            ActivityResolveInfo activityResolveInfo = this.e.get(i2);
            ComponentName componentName = new ComponentName(activityResolveInfo.f607a.activityInfo.packageName, activityResolveInfo.f607a.activityInfo.name);
            Intent intent = new Intent(this.i);
            intent.setComponent(componentName);
            if (this.p != null) {
                if (this.p.a(this, new Intent(intent))) {
                    return null;
                }
            }
            a(new HistoricalRecord(componentName, System.currentTimeMillis(), 1.0f));
            return intent;
        }
    }

    public ResolveInfo b() {
        synchronized (this.d) {
            f();
            if (this.e.isEmpty()) {
                return null;
            }
            return this.e.get(0).f607a;
        }
    }

    public void c(int i2) {
        synchronized (this.d) {
            f();
            ActivityResolveInfo activityResolveInfo = this.e.get(i2);
            ActivityResolveInfo activityResolveInfo2 = this.e.get(0);
            a(new HistoricalRecord(new ComponentName(activityResolveInfo.f607a.activityInfo.packageName, activityResolveInfo.f607a.activityInfo.name), System.currentTimeMillis(), activityResolveInfo2 != null ? (activityResolveInfo2.b - activityResolveInfo.b) + 5.0f : 1.0f));
        }
    }

    private void e() {
        if (!this.m) {
            throw new IllegalStateException("No preceding call to #readHistoricalData");
        } else if (this.n) {
            this.n = false;
            if (!TextUtils.isEmpty(this.h)) {
                AsyncTaskCompat.a(new PersistHistoryAsyncTask(), new ArrayList(this.f), this.h);
            }
        }
    }

    public int c() {
        int size;
        synchronized (this.d) {
            f();
            size = this.f.size();
        }
        return size;
    }

    private void f() {
        boolean h2 = h() | i();
        j();
        if (h2) {
            g();
            notifyChanged();
        }
    }

    private boolean g() {
        if (this.j == null || this.i == null || this.e.isEmpty() || this.f.isEmpty()) {
            return false;
        }
        this.j.a(this.i, this.e, Collections.unmodifiableList(this.f));
        return true;
    }

    private boolean h() {
        if (!this.o || this.i == null) {
            return false;
        }
        this.o = false;
        this.e.clear();
        List<ResolveInfo> queryIntentActivities = this.g.getPackageManager().queryIntentActivities(this.i, 0);
        int size = queryIntentActivities.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.e.add(new ActivityResolveInfo(queryIntentActivities.get(i2)));
        }
        return true;
    }

    private boolean i() {
        if (!this.l || !this.n || TextUtils.isEmpty(this.h)) {
            return false;
        }
        this.l = false;
        this.m = true;
        k();
        return true;
    }

    private boolean a(HistoricalRecord historicalRecord) {
        boolean add = this.f.add(historicalRecord);
        if (add) {
            this.n = true;
            j();
            e();
            g();
            notifyChanged();
        }
        return add;
    }

    private void j() {
        int size = this.f.size() - this.k;
        if (size > 0) {
            this.n = true;
            for (int i2 = 0; i2 < size; i2++) {
                this.f.remove(0);
            }
        }
    }

    public static final class HistoricalRecord {

        /* renamed from: a  reason: collision with root package name */
        public final ComponentName f609a;
        public final long b;
        public final float c;

        public HistoricalRecord(String str, long j, float f) {
            this(ComponentName.unflattenFromString(str), j, f);
        }

        public HistoricalRecord(ComponentName componentName, long j, float f) {
            this.f609a = componentName;
            this.b = j;
            this.c = f;
        }

        public int hashCode() {
            return (((((this.f609a == null ? 0 : this.f609a.hashCode()) + 31) * 31) + ((int) (this.b ^ (this.b >>> 32)))) * 31) + Float.floatToIntBits(this.c);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            HistoricalRecord historicalRecord = (HistoricalRecord) obj;
            if (this.f609a == null) {
                if (historicalRecord.f609a != null) {
                    return false;
                }
            } else if (!this.f609a.equals(historicalRecord.f609a)) {
                return false;
            }
            return this.b == historicalRecord.b && Float.floatToIntBits(this.c) == Float.floatToIntBits(historicalRecord.c);
        }

        public String toString() {
            return "[" + "; activity:" + this.f609a + "; time:" + this.b + "; weight:" + new BigDecimal((double) this.c) + "]";
        }
    }

    public final class ActivityResolveInfo implements Comparable<ActivityResolveInfo> {

        /* renamed from: a  reason: collision with root package name */
        public final ResolveInfo f607a;
        public float b;

        public ActivityResolveInfo(ResolveInfo resolveInfo) {
            this.f607a = resolveInfo;
        }

        public int hashCode() {
            return Float.floatToIntBits(this.b) + 31;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            return obj != null && getClass() == obj.getClass() && Float.floatToIntBits(this.b) == Float.floatToIntBits(((ActivityResolveInfo) obj).b);
        }

        /* renamed from: a */
        public int compareTo(ActivityResolveInfo activityResolveInfo) {
            return Float.floatToIntBits(activityResolveInfo.b) - Float.floatToIntBits(this.b);
        }

        public String toString() {
            return "[" + "resolveInfo:" + this.f607a.toString() + "; weight:" + new BigDecimal((double) this.b) + "]";
        }
    }

    private final class DefaultSorter implements ActivitySorter {
        private final Map<ComponentName, ActivityResolveInfo> b;

        private DefaultSorter() {
            this.b = new HashMap();
        }

        @Override // android.support.v7.widget.ActivityChooserModel.ActivitySorter
        public void a(Intent intent, List<ActivityResolveInfo> list, List<HistoricalRecord> list2) {
            Map<ComponentName, ActivityResolveInfo> map = this.b;
            map.clear();
            int size = list.size();
            for (int i = 0; i < size; i++) {
                ActivityResolveInfo activityResolveInfo = list.get(i);
                activityResolveInfo.b = 0.0f;
                map.put(new ComponentName(activityResolveInfo.f607a.activityInfo.packageName, activityResolveInfo.f607a.activityInfo.name), activityResolveInfo);
            }
            float f = 1.0f;
            for (int size2 = list2.size() - 1; size2 >= 0; size2--) {
                HistoricalRecord historicalRecord = list2.get(size2);
                ActivityResolveInfo activityResolveInfo2 = map.get(historicalRecord.f609a);
                if (activityResolveInfo2 != null) {
                    activityResolveInfo2.b += historicalRecord.c * f;
                    f *= 0.95f;
                }
            }
            Collections.sort(list);
        }
    }

    private void k() {
        try {
            FileInputStream openFileInput = this.g.openFileInput(this.h);
            try {
                XmlPullParser newPullParser = Xml.newPullParser();
                newPullParser.setInput(openFileInput, Utf8Charset.NAME);
                int i2 = 0;
                while (i2 != 1 && i2 != 2) {
                    i2 = newPullParser.next();
                }
                if ("historical-records".equals(newPullParser.getName())) {
                    List<HistoricalRecord> list = this.f;
                    list.clear();
                    while (true) {
                        int next = newPullParser.next();
                        if (next == 1) {
                            if (openFileInput == null) {
                                return;
                            }
                        } else if (!(next == 3 || next == 4)) {
                            if ("historical-record".equals(newPullParser.getName())) {
                                list.add(new HistoricalRecord(newPullParser.getAttributeValue(null, "activity"), Long.parseLong(newPullParser.getAttributeValue(null, "time")), Float.parseFloat(newPullParser.getAttributeValue(null, "weight"))));
                            } else {
                                throw new XmlPullParserException("Share records file not well-formed.");
                            }
                        }
                    }
                    try {
                        openFileInput.close();
                    } catch (IOException unused) {
                    }
                } else {
                    throw new XmlPullParserException("Share records file does not start with historical-records tag.");
                }
            } catch (XmlPullParserException e2) {
                String str = f606a;
                Log.e(str, "Error reading historical recrod file: " + this.h, e2);
                if (openFileInput == null) {
                }
            } catch (IOException e3) {
                String str2 = f606a;
                Log.e(str2, "Error reading historical recrod file: " + this.h, e3);
                if (openFileInput == null) {
                }
            } catch (Throwable th) {
                if (openFileInput != null) {
                    try {
                        openFileInput.close();
                    } catch (IOException unused2) {
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException unused3) {
        }
    }

    /* access modifiers changed from: private */
    public final class PersistHistoryAsyncTask extends AsyncTask<Object, Void, Void> {
        private PersistHistoryAsyncTask() {
        }

        /* JADX WARNING: Code restructure failed: missing block: B:10:0x0072, code lost:
            if (r4 != null) goto L_0x0074;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:?, code lost:
            r4.close();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:18:0x00a0, code lost:
            if (r4 == null) goto L_0x00f1;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:21:0x00c7, code lost:
            if (r4 == null) goto L_0x00f1;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:24:0x00ee, code lost:
            if (r4 == null) goto L_0x00f1;
         */
        /* renamed from: a */
        public Void doInBackground(Object... objArr) {
            List list = (List) objArr[0];
            String str = (String) objArr[1];
            try {
                FileOutputStream openFileOutput = ActivityChooserModel.this.g.openFileOutput(str, 0);
                XmlSerializer newSerializer = Xml.newSerializer();
                try {
                    newSerializer.setOutput(openFileOutput, null);
                    newSerializer.startDocument(Utf8Charset.NAME, true);
                    newSerializer.startTag(null, "historical-records");
                    int size = list.size();
                    for (int i = 0; i < size; i++) {
                        HistoricalRecord historicalRecord = (HistoricalRecord) list.remove(0);
                        newSerializer.startTag(null, "historical-record");
                        newSerializer.attribute(null, "activity", historicalRecord.f609a.flattenToString());
                        newSerializer.attribute(null, "time", String.valueOf(historicalRecord.b));
                        newSerializer.attribute(null, "weight", String.valueOf(historicalRecord.c));
                        newSerializer.endTag(null, "historical-record");
                    }
                    newSerializer.endTag(null, "historical-records");
                    newSerializer.endDocument();
                    ActivityChooserModel.this.l = true;
                } catch (IllegalArgumentException e) {
                    String str2 = ActivityChooserModel.f606a;
                    Log.e(str2, "Error writing historical recrod file: " + ActivityChooserModel.this.h, e);
                    ActivityChooserModel.this.l = true;
                } catch (IllegalStateException e2) {
                    String str3 = ActivityChooserModel.f606a;
                    Log.e(str3, "Error writing historical recrod file: " + ActivityChooserModel.this.h, e2);
                    ActivityChooserModel.this.l = true;
                } catch (IOException e3) {
                    String str4 = ActivityChooserModel.f606a;
                    Log.e(str4, "Error writing historical recrod file: " + ActivityChooserModel.this.h, e3);
                    ActivityChooserModel.this.l = true;
                } catch (Throwable th) {
                    ActivityChooserModel.this.l = true;
                    if (openFileOutput != null) {
                        try {
                            openFileOutput.close();
                        } catch (IOException unused) {
                        }
                    }
                    throw th;
                }
                return null;
            } catch (FileNotFoundException e4) {
                String str5 = ActivityChooserModel.f606a;
                Log.e(str5, "Error writing historical recrod file: " + str, e4);
                return null;
            }
        }
    }
}
