package android.support.v7.widget;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.NonNull;
import android.support.v4.view.ViewCompat;
import android.support.v7.appcompat.R;
import android.util.AttributeSet;
import android.view.View;

/* access modifiers changed from: package-private */
public class AppCompatBackgroundHelper {

    /* renamed from: a  reason: collision with root package name */
    private final View f620a;
    private final AppCompatDrawableManager b;
    private TintInfo c;
    private TintInfo d;
    private TintInfo e;

    AppCompatBackgroundHelper(View view, AppCompatDrawableManager appCompatDrawableManager) {
        this.f620a = view;
        this.b = appCompatDrawableManager;
    }

    /* access modifiers changed from: package-private */
    public void a(AttributeSet attributeSet, int i) {
        ColorStateList b2;
        TintTypedArray a2 = TintTypedArray.a(this.f620a.getContext(), attributeSet, R.styleable.ViewBackgroundHelper, i, 0);
        try {
            if (a2.g(R.styleable.ViewBackgroundHelper_android_background) && (b2 = this.b.b(this.f620a.getContext(), a2.g(R.styleable.ViewBackgroundHelper_android_background, -1))) != null) {
                b(b2);
            }
            if (a2.g(R.styleable.ViewBackgroundHelper_backgroundTint)) {
                ViewCompat.a(this.f620a, a2.e(R.styleable.ViewBackgroundHelper_backgroundTint));
            }
            if (a2.g(R.styleable.ViewBackgroundHelper_backgroundTintMode)) {
                ViewCompat.a(this.f620a, DrawableUtils.a(a2.a(R.styleable.ViewBackgroundHelper_backgroundTintMode, -1), null));
            }
        } finally {
            a2.a();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i) {
        b(this.b != null ? this.b.b(this.f620a.getContext(), i) : null);
    }

    /* access modifiers changed from: package-private */
    public void a(Drawable drawable) {
        b((ColorStateList) null);
    }

    /* access modifiers changed from: package-private */
    public void a(ColorStateList colorStateList) {
        if (this.d == null) {
            this.d = new TintInfo();
        }
        this.d.f704a = colorStateList;
        this.d.d = true;
        c();
    }

    /* access modifiers changed from: package-private */
    public ColorStateList a() {
        if (this.d != null) {
            return this.d.f704a;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void a(PorterDuff.Mode mode) {
        if (this.d == null) {
            this.d = new TintInfo();
        }
        this.d.b = mode;
        this.d.c = true;
        c();
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode b() {
        if (this.d != null) {
            return this.d.b;
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void c() {
        Drawable background = this.f620a.getBackground();
        if (background == null) {
            return;
        }
        if (Build.VERSION.SDK_INT == 21 && b(background)) {
            return;
        }
        if (this.d != null) {
            AppCompatDrawableManager.a(background, this.d, this.f620a.getDrawableState());
        } else if (this.c != null) {
            AppCompatDrawableManager.a(background, this.c, this.f620a.getDrawableState());
        }
    }

    /* access modifiers changed from: package-private */
    public void b(ColorStateList colorStateList) {
        if (colorStateList != null) {
            if (this.c == null) {
                this.c = new TintInfo();
            }
            this.c.f704a = colorStateList;
            this.c.d = true;
        } else {
            this.c = null;
        }
        c();
    }

    private boolean b(@NonNull Drawable drawable) {
        if (this.e == null) {
            this.e = new TintInfo();
        }
        TintInfo tintInfo = this.e;
        tintInfo.a();
        ColorStateList u = ViewCompat.u(this.f620a);
        if (u != null) {
            tintInfo.d = true;
            tintInfo.f704a = u;
        }
        PorterDuff.Mode v = ViewCompat.v(this.f620a);
        if (v != null) {
            tintInfo.c = true;
            tintInfo.b = v;
        }
        if (!tintInfo.d && !tintInfo.c) {
            return false;
        }
        AppCompatDrawableManager.a(drawable, tintInfo, this.f620a.getDrawableState());
        return true;
    }
}
