package android.support.v7.widget;

import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.Nullable;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.widget.CompoundButtonCompat;
import android.support.v7.appcompat.R;
import android.util.AttributeSet;
import android.widget.CompoundButton;

/* access modifiers changed from: package-private */
public class AppCompatCompoundButtonHelper {

    /* renamed from: a  reason: collision with root package name */
    private final CompoundButton f624a;
    private final AppCompatDrawableManager b;
    private ColorStateList c = null;
    private PorterDuff.Mode d = null;
    private boolean e = false;
    private boolean f = false;
    private boolean g;

    interface DirectSetButtonDrawableInterface {
    }

    AppCompatCompoundButtonHelper(CompoundButton compoundButton, AppCompatDrawableManager appCompatDrawableManager) {
        this.f624a = compoundButton;
        this.b = appCompatDrawableManager;
    }

    /* access modifiers changed from: package-private */
    public void a(AttributeSet attributeSet, int i) {
        int resourceId;
        TypedArray obtainStyledAttributes = this.f624a.getContext().obtainStyledAttributes(attributeSet, R.styleable.CompoundButton, i, 0);
        try {
            if (obtainStyledAttributes.hasValue(R.styleable.CompoundButton_android_button) && (resourceId = obtainStyledAttributes.getResourceId(R.styleable.CompoundButton_android_button, 0)) != 0) {
                this.f624a.setButtonDrawable(this.b.a(this.f624a.getContext(), resourceId));
            }
            if (obtainStyledAttributes.hasValue(R.styleable.CompoundButton_buttonTint)) {
                CompoundButtonCompat.a(this.f624a, obtainStyledAttributes.getColorStateList(R.styleable.CompoundButton_buttonTint));
            }
            if (obtainStyledAttributes.hasValue(R.styleable.CompoundButton_buttonTintMode)) {
                CompoundButtonCompat.a(this.f624a, DrawableUtils.a(obtainStyledAttributes.getInt(R.styleable.CompoundButton_buttonTintMode, -1), null));
            }
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(ColorStateList colorStateList) {
        this.c = colorStateList;
        this.e = true;
        d();
    }

    /* access modifiers changed from: package-private */
    public ColorStateList a() {
        return this.c;
    }

    /* access modifiers changed from: package-private */
    public void a(@Nullable PorterDuff.Mode mode) {
        this.d = mode;
        this.f = true;
        d();
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode b() {
        return this.d;
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (this.g) {
            this.g = false;
            return;
        }
        this.g = true;
        d();
    }

    /* access modifiers changed from: package-private */
    public void d() {
        Drawable a2 = CompoundButtonCompat.a(this.f624a);
        if (a2 == null) {
            return;
        }
        if (this.e || this.f) {
            Drawable mutate = DrawableCompat.f(a2).mutate();
            if (this.e) {
                DrawableCompat.a(mutate, this.c);
            }
            if (this.f) {
                DrawableCompat.a(mutate, this.d);
            }
            if (mutate.isStateful()) {
                mutate.setState(this.f624a.getDrawableState());
            }
            this.f624a.setButtonDrawable(mutate);
        }
    }

    /* access modifiers changed from: package-private */
    public int a(int i) {
        Drawable a2;
        return (Build.VERSION.SDK_INT >= 17 || (a2 = CompoundButtonCompat.a(this.f624a)) == null) ? i : i + a2.getIntrinsicWidth();
    }
}
