package android.support.v7.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.support.annotation.ColorInt;
import android.support.annotation.DrawableRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.graphics.drawable.AnimatedVectorDrawableCompat;
import android.support.graphics.drawable.VectorDrawableCompat;
import android.support.v4.content.ContextCompat;
import android.support.v4.graphics.ColorUtils;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.util.ArrayMap;
import android.support.v4.util.LongSparseArray;
import android.support.v4.util.LruCache;
import android.support.v7.appcompat.R;
import android.support.v7.content.res.AppCompatResources;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import android.util.Xml;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public final class AppCompatDrawableManager {

    /* renamed from: a  reason: collision with root package name */
    private static final PorterDuff.Mode f625a = PorterDuff.Mode.SRC_IN;
    private static AppCompatDrawableManager b;
    private static final ColorFilterLruCache c = new ColorFilterLruCache(6);
    private static final int[] d = {R.drawable.abc_textfield_search_default_mtrl_alpha, R.drawable.abc_textfield_default_mtrl_alpha, R.drawable.abc_ab_share_pack_mtrl_alpha};
    private static final int[] e = {R.drawable.abc_ic_commit_search_api_mtrl_alpha, R.drawable.abc_seekbar_tick_mark_material, R.drawable.abc_ic_menu_share_mtrl_alpha, R.drawable.abc_ic_menu_copy_mtrl_am_alpha, R.drawable.abc_ic_menu_cut_mtrl_alpha, R.drawable.abc_ic_menu_selectall_mtrl_alpha, R.drawable.abc_ic_menu_paste_mtrl_am_alpha};
    private static final int[] f = {R.drawable.abc_textfield_activated_mtrl_alpha, R.drawable.abc_textfield_search_activated_mtrl_alpha, R.drawable.abc_cab_background_top_mtrl_alpha, R.drawable.abc_text_cursor_material};
    private static final int[] g = {R.drawable.abc_popup_background_mtrl_mult, R.drawable.abc_cab_background_internal_bg, R.drawable.abc_menu_hardkey_panel_mtrl_mult};
    private static final int[] h = {R.drawable.abc_tab_indicator_material, R.drawable.abc_textfield_search_material};
    private static final int[] i = {R.drawable.abc_btn_check_material, R.drawable.abc_btn_radio_material};
    private WeakHashMap<Context, SparseArray<ColorStateList>> j;
    private ArrayMap<String, InflateDelegate> k;
    private SparseArray<String> l;
    private final Object m = new Object();
    private final WeakHashMap<Context, LongSparseArray<WeakReference<Drawable.ConstantState>>> n = new WeakHashMap<>(0);
    private TypedValue o;
    private boolean p;

    /* access modifiers changed from: private */
    public interface InflateDelegate {
        Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme);
    }

    public static AppCompatDrawableManager a() {
        if (b == null) {
            b = new AppCompatDrawableManager();
            a(b);
        }
        return b;
    }

    private static void a(@NonNull AppCompatDrawableManager appCompatDrawableManager) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 23) {
            appCompatDrawableManager.a("vector", new VdcInflateDelegate());
            if (i2 >= 11) {
                appCompatDrawableManager.a("animated-vector", new AvdcInflateDelegate());
            }
        }
    }

    public Drawable a(@NonNull Context context, @DrawableRes int i2) {
        return a(context, i2, false);
    }

    public Drawable a(@NonNull Context context, @DrawableRes int i2, boolean z) {
        d(context);
        Drawable d2 = d(context, i2);
        if (d2 == null) {
            d2 = c(context, i2);
        }
        if (d2 == null) {
            d2 = ContextCompat.a(context, i2);
        }
        if (d2 != null) {
            d2 = a(context, i2, z, d2);
        }
        if (d2 != null) {
            DrawableUtils.b(d2);
        }
        return d2;
    }

    private static long a(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    private Drawable c(@NonNull Context context, @DrawableRes int i2) {
        if (this.o == null) {
            this.o = new TypedValue();
        }
        TypedValue typedValue = this.o;
        context.getResources().getValue(i2, typedValue, true);
        long a2 = a(typedValue);
        Drawable a3 = a(context, a2);
        if (a3 != null) {
            return a3;
        }
        if (i2 == R.drawable.abc_cab_background_top_material) {
            a3 = new LayerDrawable(new Drawable[]{a(context, R.drawable.abc_cab_background_internal_bg), a(context, R.drawable.abc_cab_background_top_mtrl_alpha)});
        }
        if (a3 != null) {
            a3.setChangingConfigurations(typedValue.changingConfigurations);
            a(context, a2, a3);
        }
        return a3;
    }

    private Drawable a(@NonNull Context context, @DrawableRes int i2, boolean z, @NonNull Drawable drawable) {
        ColorStateList b2 = b(context, i2);
        if (b2 != null) {
            if (DrawableUtils.c(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable f2 = DrawableCompat.f(drawable);
            DrawableCompat.a(f2, b2);
            PorterDuff.Mode a2 = a(i2);
            if (a2 == null) {
                return f2;
            }
            DrawableCompat.a(f2, a2);
            return f2;
        } else if (i2 == R.drawable.abc_seekbar_track_material) {
            LayerDrawable layerDrawable = (LayerDrawable) drawable;
            a(layerDrawable.findDrawableByLayerId(16908288), ThemeUtils.a(context, R.attr.colorControlNormal), f625a);
            a(layerDrawable.findDrawableByLayerId(16908303), ThemeUtils.a(context, R.attr.colorControlNormal), f625a);
            a(layerDrawable.findDrawableByLayerId(16908301), ThemeUtils.a(context, R.attr.colorControlActivated), f625a);
            return drawable;
        } else if (i2 == R.drawable.abc_ratingbar_material || i2 == R.drawable.abc_ratingbar_indicator_material || i2 == R.drawable.abc_ratingbar_small_material) {
            LayerDrawable layerDrawable2 = (LayerDrawable) drawable;
            a(layerDrawable2.findDrawableByLayerId(16908288), ThemeUtils.c(context, R.attr.colorControlNormal), f625a);
            a(layerDrawable2.findDrawableByLayerId(16908303), ThemeUtils.a(context, R.attr.colorControlActivated), f625a);
            a(layerDrawable2.findDrawableByLayerId(16908301), ThemeUtils.a(context, R.attr.colorControlActivated), f625a);
            return drawable;
        } else if (a(context, i2, drawable) || !z) {
            return drawable;
        } else {
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0079 A[Catch:{ Exception -> 0x00a8 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00a0 A[Catch:{ Exception -> 0x00a8 }] */
    private Drawable d(@NonNull Context context, @DrawableRes int i2) {
        int next;
        if (this.k == null || this.k.isEmpty()) {
            return null;
        }
        if (this.l != null) {
            String str = this.l.get(i2);
            if ("appcompat_skip_skip".equals(str) || (str != null && this.k.get(str) == null)) {
                return null;
            }
        } else {
            this.l = new SparseArray<>();
        }
        if (this.o == null) {
            this.o = new TypedValue();
        }
        TypedValue typedValue = this.o;
        Resources resources = context.getResources();
        resources.getValue(i2, typedValue, true);
        long a2 = a(typedValue);
        Drawable a3 = a(context, a2);
        if (a3 != null) {
            return a3;
        }
        if (typedValue.string != null && typedValue.string.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i2);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.l.append(i2, name);
                            InflateDelegate inflateDelegate = this.k.get(name);
                            if (inflateDelegate != null) {
                                a3 = inflateDelegate.a(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (a3 != null) {
                                a3.setChangingConfigurations(typedValue.changingConfigurations);
                                a(context, a2, a3);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e2) {
                Log.e("AppCompatDrawableManager", "Exception while inflating drawable", e2);
            }
        }
        if (a3 == null) {
            this.l.append(i2, "appcompat_skip_skip");
        }
        return a3;
    }

    private Drawable a(@NonNull Context context, long j2) {
        synchronized (this.m) {
            LongSparseArray<WeakReference<Drawable.ConstantState>> longSparseArray = this.n.get(context);
            if (longSparseArray == null) {
                return null;
            }
            WeakReference<Drawable.ConstantState> a2 = longSparseArray.a(j2);
            if (a2 != null) {
                Drawable.ConstantState constantState = a2.get();
                if (constantState != null) {
                    return constantState.newDrawable(context.getResources());
                }
                longSparseArray.b(j2);
            }
            return null;
        }
    }

    private boolean a(@NonNull Context context, long j2, @NonNull Drawable drawable) {
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState == null) {
            return false;
        }
        synchronized (this.m) {
            LongSparseArray<WeakReference<Drawable.ConstantState>> longSparseArray = this.n.get(context);
            if (longSparseArray == null) {
                longSparseArray = new LongSparseArray<>();
                this.n.put(context, longSparseArray);
            }
            longSparseArray.b(j2, new WeakReference<>(constantState));
        }
        return true;
    }

    public final Drawable a(@NonNull Context context, @NonNull VectorEnabledTintResources vectorEnabledTintResources, @DrawableRes int i2) {
        Drawable d2 = d(context, i2);
        if (d2 == null) {
            d2 = vectorEnabledTintResources.a(i2);
        }
        if (d2 != null) {
            return a(context, i2, false, d2);
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0046  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0061 A[RETURN] */
    static boolean a(@NonNull Context context, @DrawableRes int i2, @NonNull Drawable drawable) {
        boolean z;
        int i3;
        PorterDuff.Mode mode = f625a;
        int i4 = 16842801;
        if (a(d, i2)) {
            i4 = R.attr.colorControlNormal;
        } else if (a(f, i2)) {
            i4 = R.attr.colorControlActivated;
        } else if (a(g, i2)) {
            mode = PorterDuff.Mode.MULTIPLY;
        } else {
            if (i2 == R.drawable.abc_list_divider_mtrl_alpha) {
                i4 = 16842800;
                i3 = Math.round(40.8f);
                z = true;
            } else if (i2 != R.drawable.abc_dialog_material_background) {
                z = false;
                i3 = -1;
                i4 = 0;
            }
            if (z) {
                return false;
            }
            if (DrawableUtils.c(drawable)) {
                drawable = drawable.mutate();
            }
            drawable.setColorFilter(a(ThemeUtils.a(context, i4), mode));
            if (i3 != -1) {
                drawable.setAlpha(i3);
            }
            return true;
        }
        z = true;
        i3 = -1;
        if (z) {
        }
    }

    private void a(@NonNull String str, @NonNull InflateDelegate inflateDelegate) {
        if (this.k == null) {
            this.k = new ArrayMap<>();
        }
        this.k.put(str, inflateDelegate);
    }

    private static boolean a(int[] iArr, int i2) {
        for (int i3 : iArr) {
            if (i3 == i2) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public final PorterDuff.Mode a(int i2) {
        if (i2 == R.drawable.abc_switch_thumb_material) {
            return PorterDuff.Mode.MULTIPLY;
        }
        return null;
    }

    public final ColorStateList b(@NonNull Context context, @DrawableRes int i2) {
        ColorStateList e2 = e(context, i2);
        if (e2 == null) {
            if (i2 == R.drawable.abc_edit_text_material) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_edittext);
            } else if (i2 == R.drawable.abc_switch_track_mtrl_alpha) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_switch_track);
            } else if (i2 == R.drawable.abc_switch_thumb_material) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_switch_thumb);
            } else if (i2 == R.drawable.abc_btn_default_mtrl_shape) {
                e2 = a(context);
            } else if (i2 == R.drawable.abc_btn_borderless_material) {
                e2 = b(context);
            } else if (i2 == R.drawable.abc_btn_colored_material) {
                e2 = c(context);
            } else if (i2 == R.drawable.abc_spinner_mtrl_am_alpha || i2 == R.drawable.abc_spinner_textfield_background_material) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_spinner);
            } else if (a(e, i2)) {
                e2 = ThemeUtils.b(context, R.attr.colorControlNormal);
            } else if (a(h, i2)) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_default);
            } else if (a(i, i2)) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_btn_checkable);
            } else if (i2 == R.drawable.abc_seekbar_thumb_material) {
                e2 = AppCompatResources.a(context, R.color.abc_tint_seek_thumb);
            }
            if (e2 != null) {
                a(context, i2, e2);
            }
        }
        return e2;
    }

    private ColorStateList e(@NonNull Context context, @DrawableRes int i2) {
        SparseArray<ColorStateList> sparseArray;
        if (this.j == null || (sparseArray = this.j.get(context)) == null) {
            return null;
        }
        return sparseArray.get(i2);
    }

    private void a(@NonNull Context context, @DrawableRes int i2, @NonNull ColorStateList colorStateList) {
        if (this.j == null) {
            this.j = new WeakHashMap<>();
        }
        SparseArray<ColorStateList> sparseArray = this.j.get(context);
        if (sparseArray == null) {
            sparseArray = new SparseArray<>();
            this.j.put(context, sparseArray);
        }
        sparseArray.append(i2, colorStateList);
    }

    private ColorStateList a(Context context) {
        return f(context, ThemeUtils.a(context, R.attr.colorButtonNormal));
    }

    private ColorStateList b(Context context) {
        return f(context, 0);
    }

    private ColorStateList c(Context context) {
        return f(context, ThemeUtils.a(context, R.attr.colorAccent));
    }

    private ColorStateList f(Context context, @ColorInt int i2) {
        int a2 = ThemeUtils.a(context, R.attr.colorControlHighlight);
        return new ColorStateList(new int[][]{ThemeUtils.f702a, ThemeUtils.d, ThemeUtils.b, ThemeUtils.h}, new int[]{ThemeUtils.c(context, R.attr.colorButtonNormal), ColorUtils.a(a2, i2), ColorUtils.a(a2, i2), i2});
    }

    /* access modifiers changed from: private */
    public static class ColorFilterLruCache extends LruCache<Integer, PorterDuffColorFilter> {
        public ColorFilterLruCache(int i) {
            super(i);
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter a(int i, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) a(Integer.valueOf(b(i, mode)));
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter a(int i, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) a(Integer.valueOf(b(i, mode)), porterDuffColorFilter);
        }

        private static int b(int i, PorterDuff.Mode mode) {
            return ((i + 31) * 31) + mode.hashCode();
        }
    }

    public static void a(Drawable drawable, TintInfo tintInfo, int[] iArr) {
        if (!DrawableUtils.c(drawable) || drawable.mutate() == drawable) {
            if (tintInfo.d || tintInfo.c) {
                drawable.setColorFilter(a(tintInfo.d ? tintInfo.f704a : null, tintInfo.c ? tintInfo.b : f625a, iArr));
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d("AppCompatDrawableManager", "Mutated drawable is not the same instance as the input.");
    }

    private static PorterDuffColorFilter a(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return a(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static PorterDuffColorFilter a(int i2, PorterDuff.Mode mode) {
        PorterDuffColorFilter a2 = c.a(i2, mode);
        if (a2 != null) {
            return a2;
        }
        PorterDuffColorFilter porterDuffColorFilter = new PorterDuffColorFilter(i2, mode);
        c.a(i2, mode, porterDuffColorFilter);
        return porterDuffColorFilter;
    }

    private static void a(Drawable drawable, int i2, PorterDuff.Mode mode) {
        if (DrawableUtils.c(drawable)) {
            drawable = drawable.mutate();
        }
        if (mode == null) {
            mode = f625a;
        }
        drawable.setColorFilter(a(i2, mode));
    }

    private void d(@NonNull Context context) {
        if (!this.p) {
            this.p = true;
            Drawable a2 = a(context, R.drawable.abc_ic_ab_back_material);
            if (a2 == null || !a(a2)) {
                this.p = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    private static boolean a(@NonNull Drawable drawable) {
        return (drawable instanceof VectorDrawableCompat) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }

    /* access modifiers changed from: private */
    public static class VdcInflateDelegate implements InflateDelegate {
        private VdcInflateDelegate() {
        }

        @Override // android.support.v7.widget.AppCompatDrawableManager.InflateDelegate
        public Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) {
            try {
                return VectorDrawableCompat.a(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    public static class AvdcInflateDelegate implements InflateDelegate {
        private AvdcInflateDelegate() {
        }

        @Override // android.support.v7.widget.AppCompatDrawableManager.InflateDelegate
        public Drawable a(@NonNull Context context, @NonNull XmlPullParser xmlPullParser, @NonNull AttributeSet attributeSet, @Nullable Resources.Theme theme) {
            try {
                return AnimatedVectorDrawableCompat.a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e);
                return null;
            }
        }
    }
}
