package android.support.v7.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.v7.appcompat.R;
import android.support.v7.text.AllCapsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.util.AttributeSet;
import android.widget.TextView;

/* access modifiers changed from: package-private */
public class AppCompatTextHelper {

    /* renamed from: a  reason: collision with root package name */
    final TextView f644a;
    private TintInfo b;
    private TintInfo c;
    private TintInfo d;
    private TintInfo e;

    static AppCompatTextHelper a(TextView textView) {
        if (Build.VERSION.SDK_INT >= 17) {
            return new AppCompatTextHelperV17(textView);
        }
        return new AppCompatTextHelper(textView);
    }

    AppCompatTextHelper(TextView textView) {
        this.f644a = textView;
    }

    /* access modifiers changed from: package-private */
    public void a(AttributeSet attributeSet, int i) {
        boolean z;
        boolean z2;
        Context context = this.f644a.getContext();
        AppCompatDrawableManager a2 = AppCompatDrawableManager.a();
        TintTypedArray a3 = TintTypedArray.a(context, attributeSet, R.styleable.AppCompatTextHelper, i, 0);
        int g = a3.g(R.styleable.AppCompatTextHelper_android_textAppearance, -1);
        if (a3.g(1)) {
            this.b = a(context, a2, a3.g(R.styleable.AppCompatTextHelper_android_drawableLeft, 0));
        }
        if (a3.g(2)) {
            this.c = a(context, a2, a3.g(R.styleable.AppCompatTextHelper_android_drawableTop, 0));
        }
        if (a3.g(3)) {
            this.d = a(context, a2, a3.g(R.styleable.AppCompatTextHelper_android_drawableRight, 0));
        }
        if (a3.g(4)) {
            this.e = a(context, a2, a3.g(R.styleable.AppCompatTextHelper_android_drawableBottom, 0));
        }
        a3.a();
        boolean z3 = this.f644a.getTransformationMethod() instanceof PasswordTransformationMethod;
        ColorStateList colorStateList = null;
        if (g != -1) {
            TintTypedArray a4 = TintTypedArray.a(context, g, R.styleable.TextAppearance);
            if (z3 || !a4.g(R.styleable.TextAppearance_textAllCaps)) {
                z2 = false;
                z = false;
            } else {
                z = a4.a(R.styleable.TextAppearance_textAllCaps, false);
                z2 = true;
            }
            if (Build.VERSION.SDK_INT < 23 && a4.g(R.styleable.TextAppearance_android_textColor)) {
                colorStateList = a4.e(R.styleable.TextAppearance_android_textColor);
            }
            a4.a();
        } else {
            z2 = false;
            z = false;
        }
        TintTypedArray a5 = TintTypedArray.a(context, attributeSet, R.styleable.TextAppearance, i, 0);
        if (!z3 && a5.g(R.styleable.TextAppearance_textAllCaps)) {
            z = a5.a(R.styleable.TextAppearance_textAllCaps, false);
            z2 = true;
        }
        if (Build.VERSION.SDK_INT < 23 && a5.g(R.styleable.TextAppearance_android_textColor)) {
            colorStateList = a5.e(R.styleable.TextAppearance_android_textColor);
        }
        a5.a();
        if (colorStateList != null) {
            this.f644a.setTextColor(colorStateList);
        }
        if (!z3 && z2) {
            a(z);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Context context, int i) {
        ColorStateList e2;
        TintTypedArray a2 = TintTypedArray.a(context, i, R.styleable.TextAppearance);
        if (a2.g(R.styleable.TextAppearance_textAllCaps)) {
            a(a2.a(R.styleable.TextAppearance_textAllCaps, false));
        }
        if (Build.VERSION.SDK_INT < 23 && a2.g(R.styleable.TextAppearance_android_textColor) && (e2 = a2.e(R.styleable.TextAppearance_android_textColor)) != null) {
            this.f644a.setTextColor(e2);
        }
        a2.a();
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z) {
        this.f644a.setTransformationMethod(z ? new AllCapsTransformationMethod(this.f644a.getContext()) : null);
    }

    /* access modifiers changed from: package-private */
    public void a() {
        if (this.b != null || this.c != null || this.d != null || this.e != null) {
            Drawable[] compoundDrawables = this.f644a.getCompoundDrawables();
            a(compoundDrawables[0], this.b);
            a(compoundDrawables[1], this.c);
            a(compoundDrawables[2], this.d);
            a(compoundDrawables[3], this.e);
        }
    }

    /* access modifiers changed from: package-private */
    public final void a(Drawable drawable, TintInfo tintInfo) {
        if (drawable != null && tintInfo != null) {
            AppCompatDrawableManager.a(drawable, tintInfo, this.f644a.getDrawableState());
        }
    }

    protected static TintInfo a(Context context, AppCompatDrawableManager appCompatDrawableManager, int i) {
        ColorStateList b2 = appCompatDrawableManager.b(context, i);
        if (b2 == null) {
            return null;
        }
        TintInfo tintInfo = new TintInfo();
        tintInfo.d = true;
        tintInfo.f704a = b2;
        return tintInfo;
    }
}
