package android.support.v7.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.v4.view.GravityCompat;
import android.support.v4.view.ViewCompat;
import android.support.v7.appcompat.R;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import com.tencent.smtt.sdk.WebView;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class LinearLayoutCompat extends ViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private boolean f654a;
    private int b;
    private int c;
    private int d;
    private int e;
    private int f;
    private float g;
    private boolean h;
    private int[] i;
    private int[] j;
    private Drawable k;
    private int l;
    private int m;
    private int n;
    private int o;

    @Retention(RetentionPolicy.SOURCE)
    public @interface DividerMode {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface OrientationMode {
    }

    /* access modifiers changed from: package-private */
    public int a(View view) {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int a(View view, int i2) {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int b(View view) {
        return 0;
    }

    /* access modifiers changed from: package-private */
    public int d(int i2) {
        return 0;
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public LinearLayoutCompat(Context context) {
        this(context, null);
    }

    public LinearLayoutCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LinearLayoutCompat(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f654a = true;
        this.b = -1;
        this.c = 0;
        this.e = 8388659;
        TintTypedArray a2 = TintTypedArray.a(context, attributeSet, R.styleable.LinearLayoutCompat, i2, 0);
        int a3 = a2.a(R.styleable.LinearLayoutCompat_android_orientation, -1);
        if (a3 >= 0) {
            setOrientation(a3);
        }
        int a4 = a2.a(R.styleable.LinearLayoutCompat_android_gravity, -1);
        if (a4 >= 0) {
            setGravity(a4);
        }
        boolean a5 = a2.a(R.styleable.LinearLayoutCompat_android_baselineAligned, true);
        if (!a5) {
            setBaselineAligned(a5);
        }
        this.g = a2.a(R.styleable.LinearLayoutCompat_android_weightSum, -1.0f);
        this.b = a2.a(R.styleable.LinearLayoutCompat_android_baselineAlignedChildIndex, -1);
        this.h = a2.a(R.styleable.LinearLayoutCompat_measureWithLargestChild, false);
        setDividerDrawable(a2.a(R.styleable.LinearLayoutCompat_divider));
        this.n = a2.a(R.styleable.LinearLayoutCompat_showDividers, 0);
        this.o = a2.e(R.styleable.LinearLayoutCompat_dividerPadding, 0);
        a2.a();
    }

    public void setShowDividers(int i2) {
        if (i2 != this.n) {
            requestLayout();
        }
        this.n = i2;
    }

    public int getShowDividers() {
        return this.n;
    }

    public Drawable getDividerDrawable() {
        return this.k;
    }

    public void setDividerDrawable(Drawable drawable) {
        if (drawable != this.k) {
            this.k = drawable;
            boolean z = false;
            if (drawable != null) {
                this.l = drawable.getIntrinsicWidth();
                this.m = drawable.getIntrinsicHeight();
            } else {
                this.l = 0;
                this.m = 0;
            }
            if (drawable == null) {
                z = true;
            }
            setWillNotDraw(z);
            requestLayout();
        }
    }

    public void setDividerPadding(int i2) {
        this.o = i2;
    }

    public int getDividerPadding() {
        return this.o;
    }

    public int getDividerWidth() {
        return this.l;
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        if (this.k != null) {
            if (this.d == 1) {
                a(canvas);
            } else {
                b(canvas);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas) {
        int i2;
        int virtualChildCount = getVirtualChildCount();
        for (int i3 = 0; i3 < virtualChildCount; i3++) {
            View b2 = b(i3);
            if (!(b2 == null || b2.getVisibility() == 8 || !c(i3))) {
                a(canvas, (b2.getTop() - ((LayoutParams) b2.getLayoutParams()).topMargin) - this.m);
            }
        }
        if (c(virtualChildCount)) {
            View b3 = b(virtualChildCount - 1);
            if (b3 == null) {
                i2 = (getHeight() - getPaddingBottom()) - this.m;
            } else {
                i2 = b3.getBottom() + ((LayoutParams) b3.getLayoutParams()).bottomMargin;
            }
            a(canvas, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void b(Canvas canvas) {
        int i2;
        int i3;
        int virtualChildCount = getVirtualChildCount();
        boolean a2 = ViewUtils.a(this);
        for (int i4 = 0; i4 < virtualChildCount; i4++) {
            View b2 = b(i4);
            if (!(b2 == null || b2.getVisibility() == 8 || !c(i4))) {
                LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
                if (a2) {
                    i3 = b2.getRight() + layoutParams.rightMargin;
                } else {
                    i3 = (b2.getLeft() - layoutParams.leftMargin) - this.l;
                }
                b(canvas, i3);
            }
        }
        if (c(virtualChildCount)) {
            View b3 = b(virtualChildCount - 1);
            if (b3 != null) {
                LayoutParams layoutParams2 = (LayoutParams) b3.getLayoutParams();
                if (a2) {
                    i2 = (b3.getLeft() - layoutParams2.leftMargin) - this.l;
                } else {
                    i2 = b3.getRight() + layoutParams2.rightMargin;
                }
            } else if (a2) {
                i2 = getPaddingLeft();
            } else {
                i2 = (getWidth() - getPaddingRight()) - this.l;
            }
            b(canvas, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas, int i2) {
        this.k.setBounds(getPaddingLeft() + this.o, i2, (getWidth() - getPaddingRight()) - this.o, this.m + i2);
        this.k.draw(canvas);
    }

    /* access modifiers changed from: package-private */
    public void b(Canvas canvas, int i2) {
        this.k.setBounds(i2, getPaddingTop() + this.o, this.l + i2, (getHeight() - getPaddingBottom()) - this.o);
        this.k.draw(canvas);
    }

    public void setBaselineAligned(boolean z) {
        this.f654a = z;
    }

    public void setMeasureWithLargestChildEnabled(boolean z) {
        this.h = z;
    }

    public int getBaseline() {
        int i2;
        if (this.b < 0) {
            return super.getBaseline();
        }
        if (getChildCount() > this.b) {
            View childAt = getChildAt(this.b);
            int baseline = childAt.getBaseline();
            if (baseline != -1) {
                int i3 = this.c;
                if (this.d == 1 && (i2 = this.e & 112) != 48) {
                    if (i2 == 16) {
                        i3 += ((((getBottom() - getTop()) - getPaddingTop()) - getPaddingBottom()) - this.f) / 2;
                    } else if (i2 == 80) {
                        i3 = ((getBottom() - getTop()) - getPaddingBottom()) - this.f;
                    }
                }
                return i3 + ((LayoutParams) childAt.getLayoutParams()).topMargin + baseline;
            } else if (this.b == 0) {
                return -1;
            } else {
                throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout points to a View that doesn't know how to get its baseline.");
            }
        } else {
            throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout set to an index that is out of bounds.");
        }
    }

    public int getBaselineAlignedChildIndex() {
        return this.b;
    }

    public void setBaselineAlignedChildIndex(int i2) {
        if (i2 < 0 || i2 >= getChildCount()) {
            throw new IllegalArgumentException("base aligned child index out of range (0, " + getChildCount() + ")");
        }
        this.b = i2;
    }

    /* access modifiers changed from: package-private */
    public View b(int i2) {
        return getChildAt(i2);
    }

    /* access modifiers changed from: package-private */
    public int getVirtualChildCount() {
        return getChildCount();
    }

    public float getWeightSum() {
        return this.g;
    }

    public void setWeightSum(float f2) {
        this.g = Math.max(0.0f, f2);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        if (this.d == 1) {
            a(i2, i3);
        } else {
            b(i2, i3);
        }
    }

    /* access modifiers changed from: protected */
    public boolean c(int i2) {
        if (i2 == 0) {
            return (this.n & 1) != 0;
        }
        if (i2 == getChildCount()) {
            if ((this.n & 4) != 0) {
                return true;
            }
            return false;
        } else if ((this.n & 2) == 0) {
            return false;
        } else {
            for (int i3 = i2 - 1; i3 >= 0; i3--) {
                if (getChildAt(i3).getVisibility() != 8) {
                    return true;
                }
            }
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:143:0x0337  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x016d  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x017a  */
    public void a(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        boolean z;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        LayoutParams layoutParams;
        int i18;
        int i19;
        View view;
        int i20;
        boolean z2;
        int i21;
        int i22;
        int i23 = 0;
        this.f = 0;
        int virtualChildCount = getVirtualChildCount();
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int i24 = this.b;
        boolean z3 = this.h;
        float f2 = 0.0f;
        int i25 = 0;
        int i26 = Integer.MIN_VALUE;
        int i27 = 0;
        int i28 = 0;
        boolean z4 = false;
        boolean z5 = true;
        boolean z6 = false;
        int i29 = 0;
        while (i28 < virtualChildCount) {
            View b2 = b(i28);
            if (b2 == null) {
                this.f += d(i28);
                i13 = virtualChildCount;
                i14 = mode2;
            } else if (b2.getVisibility() == 8) {
                i28 += a(b2, i28);
                i13 = virtualChildCount;
                i14 = mode2;
                i25 = i25;
            } else {
                if (c(i28)) {
                    this.f += this.m;
                }
                LayoutParams layoutParams2 = (LayoutParams) b2.getLayoutParams();
                float f3 = f2 + layoutParams2.g;
                if (mode2 == 1073741824 && layoutParams2.height == 0 && layoutParams2.g > 0.0f) {
                    int i30 = this.f;
                    i17 = i26;
                    this.f = Math.max(i30, layoutParams2.topMargin + i30 + layoutParams2.bottomMargin);
                    i15 = i27;
                    view = b2;
                    i13 = virtualChildCount;
                    i14 = mode2;
                    i16 = i29;
                    i19 = i25;
                    z4 = true;
                    i18 = i28;
                    layoutParams = layoutParams2;
                } else {
                    if (layoutParams2.height != 0 || layoutParams2.g <= 0.0f) {
                        i22 = Integer.MIN_VALUE;
                    } else {
                        layoutParams2.height = -2;
                        i22 = 0;
                    }
                    i19 = i25;
                    i13 = virtualChildCount;
                    i14 = mode2;
                    i18 = i28;
                    i15 = i27;
                    i16 = i29;
                    layoutParams = layoutParams2;
                    a(b2, i28, i2, 0, i3, f3 == 0.0f ? this.f : 0);
                    if (i22 != Integer.MIN_VALUE) {
                        layoutParams.height = i22;
                    }
                    int measuredHeight = b2.getMeasuredHeight();
                    int i31 = this.f;
                    view = b2;
                    this.f = Math.max(i31, i31 + measuredHeight + layoutParams.topMargin + layoutParams.bottomMargin + b(view));
                    i17 = z3 ? Math.max(measuredHeight, i26) : i26;
                }
                if (i24 >= 0 && i24 == i18 + 1) {
                    this.c = this.f;
                }
                if (i18 >= i24 || layoutParams.g <= 0.0f) {
                    if (mode != 1073741824) {
                        i20 = -1;
                        if (layoutParams.width == -1) {
                            z2 = true;
                            z6 = true;
                            int i32 = layoutParams.leftMargin + layoutParams.rightMargin;
                            int measuredWidth = view.getMeasuredWidth() + i32;
                            int max = Math.max(i19, measuredWidth);
                            int a2 = ViewUtils.a(i23, ViewCompat.j(view));
                            boolean z7 = !z5 && layoutParams.width == i20;
                            if (layoutParams.g <= 0.0f) {
                                if (!z2) {
                                    i32 = measuredWidth;
                                }
                                i21 = Math.max(i15, i32);
                            } else {
                                i21 = i15;
                                if (z2) {
                                    measuredWidth = i32;
                                }
                                i16 = Math.max(i16, measuredWidth);
                            }
                            z5 = z7;
                            i25 = max;
                            i23 = a2;
                            i27 = i21;
                            i26 = i17;
                            i29 = i16;
                            i28 = a(view, i18) + i18;
                            f2 = f3;
                            i28++;
                            mode2 = i14;
                            virtualChildCount = i13;
                        }
                    } else {
                        i20 = -1;
                    }
                    z2 = false;
                    int i322 = layoutParams.leftMargin + layoutParams.rightMargin;
                    int measuredWidth2 = view.getMeasuredWidth() + i322;
                    int max2 = Math.max(i19, measuredWidth2);
                    int a22 = ViewUtils.a(i23, ViewCompat.j(view));
                    if (!z5) {
                    }
                    if (layoutParams.g <= 0.0f) {
                    }
                    z5 = z7;
                    i25 = max2;
                    i23 = a22;
                    i27 = i21;
                    i26 = i17;
                    i29 = i16;
                    i28 = a(view, i18) + i18;
                    f2 = f3;
                    i28++;
                    mode2 = i14;
                    virtualChildCount = i13;
                } else {
                    throw new RuntimeException("A child of LinearLayout with index less than mBaselineAlignedChildIndex has weight > 0, which won't work.  Either remove the weight, or don't set mBaselineAlignedChildIndex.");
                }
            }
            i28++;
            mode2 = i14;
            virtualChildCount = i13;
        }
        int i33 = i25;
        int i34 = i29;
        if (this.f > 0) {
            i4 = virtualChildCount;
            if (c(i4)) {
                this.f += this.m;
            }
        } else {
            i4 = virtualChildCount;
        }
        if (z3) {
            i5 = mode2;
            if (i5 == Integer.MIN_VALUE || i5 == 0) {
                this.f = 0;
                int i35 = 0;
                while (i35 < i4) {
                    View b3 = b(i35);
                    if (b3 == null) {
                        this.f += d(i35);
                    } else if (b3.getVisibility() == 8) {
                        i35 += a(b3, i35);
                    } else {
                        LayoutParams layoutParams3 = (LayoutParams) b3.getLayoutParams();
                        int i36 = this.f;
                        this.f = Math.max(i36, i36 + i26 + layoutParams3.topMargin + layoutParams3.bottomMargin + b(b3));
                    }
                    i35++;
                }
            }
        } else {
            i5 = mode2;
        }
        this.f += getPaddingTop() + getPaddingBottom();
        int a3 = ViewCompat.a(Math.max(this.f, getSuggestedMinimumHeight()), i3, 0);
        int i37 = (16777215 & a3) - this.f;
        if (z4 || (i37 != 0 && f2 > 0.0f)) {
            if (this.g > 0.0f) {
                f2 = this.g;
            }
            this.f = 0;
            float f4 = f2;
            int i38 = 0;
            while (i38 < i4) {
                View b4 = b(i38);
                if (b4.getVisibility() == 8) {
                    i9 = i5;
                    i8 = i37;
                } else {
                    LayoutParams layoutParams4 = (LayoutParams) b4.getLayoutParams();
                    float f5 = layoutParams4.g;
                    if (f5 > 0.0f) {
                        int i39 = (int) ((((float) i37) * f5) / f4);
                        float f6 = f4 - f5;
                        int i40 = i37 - i39;
                        int childMeasureSpec = getChildMeasureSpec(i2, getPaddingLeft() + getPaddingRight() + layoutParams4.leftMargin + layoutParams4.rightMargin, layoutParams4.width);
                        if (layoutParams4.height == 0) {
                            i12 = 1073741824;
                            if (i5 == 1073741824) {
                                if (i39 <= 0) {
                                    i39 = 0;
                                }
                                b4.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(i39, 1073741824));
                                i23 = ViewUtils.a(i23, ViewCompat.j(b4) & -256);
                                f4 = f6;
                                i10 = i40;
                            }
                        } else {
                            i12 = 1073741824;
                        }
                        int measuredHeight2 = b4.getMeasuredHeight() + i39;
                        if (measuredHeight2 < 0) {
                            measuredHeight2 = 0;
                        }
                        b4.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(measuredHeight2, i12));
                        i23 = ViewUtils.a(i23, ViewCompat.j(b4) & -256);
                        f4 = f6;
                        i10 = i40;
                    } else {
                        i10 = i37;
                    }
                    i9 = i5;
                    int i41 = layoutParams4.leftMargin + layoutParams4.rightMargin;
                    int measuredWidth3 = b4.getMeasuredWidth() + i41;
                    i33 = Math.max(i33, measuredWidth3);
                    if (mode != 1073741824) {
                        i8 = i10;
                        i11 = -1;
                        if (layoutParams4.width == -1) {
                            z = true;
                            if (!z) {
                                i41 = measuredWidth3;
                            }
                            i34 = Math.max(i34, i41);
                            boolean z8 = !z5 && layoutParams4.width == i11;
                            int i42 = this.f;
                            this.f = Math.max(i42, i42 + b4.getMeasuredHeight() + layoutParams4.topMargin + layoutParams4.bottomMargin + b(b4));
                            z5 = z8;
                        }
                    } else {
                        i8 = i10;
                        i11 = -1;
                    }
                    z = false;
                    if (!z) {
                    }
                    i34 = Math.max(i34, i41);
                    if (!z5) {
                    }
                    int i422 = this.f;
                    this.f = Math.max(i422, i422 + b4.getMeasuredHeight() + layoutParams4.topMargin + layoutParams4.bottomMargin + b(b4));
                    z5 = z8;
                }
                i38++;
                i5 = i9;
                i37 = i8;
            }
            i6 = i2;
            this.f += getPaddingTop() + getPaddingBottom();
            i7 = i34;
        } else {
            i7 = Math.max(i34, i27);
            if (z3 && i5 != 1073741824) {
                for (int i43 = 0; i43 < i4; i43++) {
                    View b5 = b(i43);
                    if (!(b5 == null || b5.getVisibility() == 8 || ((LayoutParams) b5.getLayoutParams()).g <= 0.0f)) {
                        b5.measure(View.MeasureSpec.makeMeasureSpec(b5.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(i26, 1073741824));
                    }
                }
            }
            i6 = i2;
        }
        if (z5 || mode == 1073741824) {
            i7 = i33;
        }
        setMeasuredDimension(ViewCompat.a(Math.max(i7 + getPaddingLeft() + getPaddingRight(), getSuggestedMinimumWidth()), i6, i23), a3);
        if (z6) {
            c(i4, i3);
        }
    }

    private void c(int i2, int i3) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824);
        for (int i4 = 0; i4 < i2; i4++) {
            View b2 = b(i4);
            if (b2.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
                if (layoutParams.width == -1) {
                    int i5 = layoutParams.height;
                    layoutParams.height = b2.getMeasuredHeight();
                    measureChildWithMargins(b2, makeMeasureSpec, 0, i3, 0);
                    layoutParams.height = i5;
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x019a  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x019d  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01d0  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x01de  */
    public void b(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        float f2;
        int i8;
        boolean z;
        int baseline;
        int i9;
        boolean z2;
        boolean z3;
        int i10;
        LayoutParams layoutParams;
        int i11;
        View view;
        int i12;
        boolean z4;
        int measuredHeight;
        int baseline2;
        int i13;
        this.f = 0;
        int virtualChildCount = getVirtualChildCount();
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        if (this.i == null || this.j == null) {
            this.i = new int[4];
            this.j = new int[4];
        }
        int[] iArr = this.i;
        int[] iArr2 = this.j;
        iArr[3] = -1;
        iArr[2] = -1;
        iArr[1] = -1;
        iArr[0] = -1;
        iArr2[3] = -1;
        iArr2[2] = -1;
        iArr2[1] = -1;
        iArr2[0] = -1;
        boolean z5 = this.f654a;
        boolean z6 = this.h;
        int i14 = 1073741824;
        boolean z7 = mode == 1073741824;
        int i15 = 0;
        int i16 = Integer.MIN_VALUE;
        float f3 = 0.0f;
        int i17 = 0;
        boolean z8 = false;
        int i18 = 0;
        int i19 = 0;
        int i20 = 0;
        boolean z9 = true;
        boolean z10 = false;
        while (true) {
            i4 = 8;
            if (i15 >= virtualChildCount) {
                break;
            }
            View b2 = b(i15);
            if (b2 == null) {
                this.f += d(i15);
            } else if (b2.getVisibility() == 8) {
                i15 += a(b2, i15);
            } else {
                if (c(i15)) {
                    this.f += this.l;
                }
                LayoutParams layoutParams2 = (LayoutParams) b2.getLayoutParams();
                f3 += layoutParams2.g;
                if (mode == i14 && layoutParams2.width == 0 && layoutParams2.g > 0.0f) {
                    if (z7) {
                        this.f += layoutParams2.leftMargin + layoutParams2.rightMargin;
                    } else {
                        int i21 = this.f;
                        this.f = Math.max(i21, layoutParams2.leftMargin + i21 + layoutParams2.rightMargin);
                    }
                    if (z5) {
                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
                        b2.measure(makeMeasureSpec, makeMeasureSpec);
                        i10 = i15;
                        z3 = z6;
                        z2 = z5;
                        layoutParams = layoutParams2;
                        view = b2;
                        i11 = -1;
                    } else {
                        i10 = i15;
                        z3 = z6;
                        z2 = z5;
                        layoutParams = layoutParams2;
                        view = b2;
                        i12 = 1073741824;
                        i11 = -1;
                        z8 = true;
                        if (mode2 == i12 && layoutParams.height == i11) {
                            z4 = true;
                            z10 = true;
                        } else {
                            z4 = false;
                        }
                        int i22 = layoutParams.topMargin + layoutParams.bottomMargin;
                        measuredHeight = view.getMeasuredHeight() + i22;
                        int a2 = ViewUtils.a(i20, ViewCompat.j(view));
                        if (z2 && (baseline2 = view.getBaseline()) != i11) {
                            int i23 = ((((layoutParams.h >= 0 ? this.e : layoutParams.h) & 112) >> 4) & -2) >> 1;
                            iArr[i23] = Math.max(iArr[i23], baseline2);
                            iArr2[i23] = Math.max(iArr2[i23], measuredHeight - baseline2);
                        }
                        int max = Math.max(i17, measuredHeight);
                        boolean z11 = !z9 && layoutParams.height == i11;
                        if (layoutParams.g <= 0.0f) {
                            if (!z4) {
                                i22 = measuredHeight;
                            }
                            i19 = Math.max(i19, i22);
                        } else {
                            if (z4) {
                                measuredHeight = i22;
                            }
                            i18 = Math.max(i18, measuredHeight);
                            i19 = i19;
                        }
                        i17 = max;
                        i15 = a(view, i10) + i10;
                        i20 = a2;
                        z9 = z11;
                        i15++;
                        iArr2 = iArr2;
                        z6 = z3;
                        z5 = z2;
                        i14 = 1073741824;
                    }
                } else {
                    if (layoutParams2.width != 0 || layoutParams2.g <= 0.0f) {
                        i13 = Integer.MIN_VALUE;
                    } else {
                        layoutParams2.width = -2;
                        i13 = 0;
                    }
                    i10 = i15;
                    z3 = z6;
                    z2 = z5;
                    layoutParams = layoutParams2;
                    i11 = -1;
                    a(b2, i10, i2, f3 == 0.0f ? this.f : 0, i3, 0);
                    if (i13 != Integer.MIN_VALUE) {
                        layoutParams.width = i13;
                    }
                    int measuredWidth = b2.getMeasuredWidth();
                    if (z7) {
                        view = b2;
                        this.f += layoutParams.leftMargin + measuredWidth + layoutParams.rightMargin + b(view);
                    } else {
                        view = b2;
                        int i24 = this.f;
                        this.f = Math.max(i24, i24 + measuredWidth + layoutParams.leftMargin + layoutParams.rightMargin + b(view));
                    }
                    if (z3) {
                        i16 = Math.max(measuredWidth, i16);
                    }
                }
                i12 = 1073741824;
                if (mode2 == i12) {
                }
                z4 = false;
                int i222 = layoutParams.topMargin + layoutParams.bottomMargin;
                measuredHeight = view.getMeasuredHeight() + i222;
                int a22 = ViewUtils.a(i20, ViewCompat.j(view));
                int i232 = ((((layoutParams.h >= 0 ? this.e : layoutParams.h) & 112) >> 4) & -2) >> 1;
                iArr[i232] = Math.max(iArr[i232], baseline2);
                iArr2[i232] = Math.max(iArr2[i232], measuredHeight - baseline2);
                int max2 = Math.max(i17, measuredHeight);
                if (!z9) {
                }
                if (layoutParams.g <= 0.0f) {
                }
                i17 = max2;
                i15 = a(view, i10) + i10;
                i20 = a22;
                z9 = z11;
                i15++;
                iArr2 = iArr2;
                z6 = z3;
                z5 = z2;
                i14 = 1073741824;
            }
            z3 = z6;
            z2 = z5;
            i15++;
            iArr2 = iArr2;
            z6 = z3;
            z5 = z2;
            i14 = 1073741824;
        }
        int i25 = i17;
        int i26 = i20;
        if (this.f > 0 && c(virtualChildCount)) {
            this.f += this.l;
        }
        if (!(iArr[1] == -1 && iArr[0] == -1 && iArr[2] == -1 && iArr[3] == -1)) {
            i25 = Math.max(i25, Math.max(iArr[3], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))) + Math.max(iArr2[3], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))));
        }
        if (z6 && (mode == Integer.MIN_VALUE || mode == 0)) {
            this.f = 0;
            int i27 = 0;
            while (i27 < virtualChildCount) {
                View b3 = b(i27);
                if (b3 == null) {
                    this.f += d(i27);
                } else if (b3.getVisibility() == i4) {
                    i27 += a(b3, i27);
                } else {
                    LayoutParams layoutParams3 = (LayoutParams) b3.getLayoutParams();
                    if (z7) {
                        this.f += layoutParams3.leftMargin + i16 + layoutParams3.rightMargin + b(b3);
                    } else {
                        int i28 = this.f;
                        this.f = Math.max(i28, i28 + i16 + layoutParams3.leftMargin + layoutParams3.rightMargin + b(b3));
                    }
                }
                i27++;
                i4 = 8;
            }
        }
        this.f += getPaddingLeft() + getPaddingRight();
        int a3 = ViewCompat.a(Math.max(this.f, getSuggestedMinimumWidth()), i2, 0);
        int i29 = (16777215 & a3) - this.f;
        if (z8 || (i29 != 0 && f3 > 0.0f)) {
            float f4 = this.g > 0.0f ? this.g : f3;
            iArr[3] = -1;
            iArr[2] = -1;
            iArr[1] = -1;
            iArr[0] = -1;
            iArr2[3] = -1;
            iArr2[2] = -1;
            iArr2[1] = -1;
            iArr2[0] = -1;
            this.f = 0;
            int i30 = i18;
            int i31 = -1;
            float f5 = f4;
            int i32 = 0;
            while (i32 < virtualChildCount) {
                View b4 = b(i32);
                if (b4 == null || b4.getVisibility() == 8) {
                    i7 = i29;
                } else {
                    LayoutParams layoutParams4 = (LayoutParams) b4.getLayoutParams();
                    float f6 = layoutParams4.g;
                    if (f6 > 0.0f) {
                        int i33 = (int) ((((float) i29) * f6) / f5);
                        f2 = f5 - f6;
                        i7 = i29 - i33;
                        int childMeasureSpec = getChildMeasureSpec(i3, getPaddingTop() + getPaddingBottom() + layoutParams4.topMargin + layoutParams4.bottomMargin, layoutParams4.height);
                        if (layoutParams4.width == 0) {
                            i9 = 1073741824;
                            if (mode == 1073741824) {
                                if (i33 <= 0) {
                                    i33 = 0;
                                }
                                b4.measure(View.MeasureSpec.makeMeasureSpec(i33, 1073741824), childMeasureSpec);
                                i26 = ViewUtils.a(i26, ViewCompat.j(b4) & WebView.NIGHT_MODE_COLOR);
                            }
                        } else {
                            i9 = 1073741824;
                        }
                        int measuredWidth2 = b4.getMeasuredWidth() + i33;
                        if (measuredWidth2 < 0) {
                            measuredWidth2 = 0;
                        }
                        b4.measure(View.MeasureSpec.makeMeasureSpec(measuredWidth2, i9), childMeasureSpec);
                        i26 = ViewUtils.a(i26, ViewCompat.j(b4) & WebView.NIGHT_MODE_COLOR);
                    } else {
                        f2 = f5;
                        i7 = i29;
                    }
                    if (z7) {
                        this.f += b4.getMeasuredWidth() + layoutParams4.leftMargin + layoutParams4.rightMargin + b(b4);
                    } else {
                        int i34 = this.f;
                        this.f = Math.max(i34, b4.getMeasuredWidth() + i34 + layoutParams4.leftMargin + layoutParams4.rightMargin + b(b4));
                    }
                    boolean z12 = mode2 != 1073741824 && layoutParams4.height == -1;
                    int i35 = layoutParams4.topMargin + layoutParams4.bottomMargin;
                    int measuredHeight2 = b4.getMeasuredHeight() + i35;
                    i31 = Math.max(i31, measuredHeight2);
                    if (!z12) {
                        i35 = measuredHeight2;
                    }
                    int max3 = Math.max(i30, i35);
                    if (z9) {
                        i8 = -1;
                        if (layoutParams4.height == -1) {
                            z = true;
                            if (!z5 && (baseline = b4.getBaseline()) != i8) {
                                int i36 = ((((layoutParams4.h < 0 ? this.e : layoutParams4.h) & 112) >> 4) & -2) >> 1;
                                iArr[i36] = Math.max(iArr[i36], baseline);
                                iArr2[i36] = Math.max(iArr2[i36], measuredHeight2 - baseline);
                            }
                            i30 = max3;
                            z9 = z;
                            f5 = f2;
                        }
                    } else {
                        i8 = -1;
                    }
                    z = false;
                    if (!z5) {
                    }
                    i30 = max3;
                    z9 = z;
                    f5 = f2;
                }
                i32++;
                i29 = i7;
            }
            i5 = i3;
            this.f += getPaddingLeft() + getPaddingRight();
            if (iArr[1] == -1 && iArr[0] == -1 && iArr[2] == -1 && iArr[3] == -1) {
                i25 = i31;
            } else {
                i25 = Math.max(i31, Math.max(iArr[3], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))) + Math.max(iArr2[3], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))));
            }
            i6 = i30;
        } else {
            i6 = Math.max(i18, i19);
            if (z6 && mode != 1073741824) {
                for (int i37 = 0; i37 < virtualChildCount; i37++) {
                    View b5 = b(i37);
                    if (!(b5 == null || b5.getVisibility() == 8 || ((LayoutParams) b5.getLayoutParams()).g <= 0.0f)) {
                        b5.measure(View.MeasureSpec.makeMeasureSpec(i16, 1073741824), View.MeasureSpec.makeMeasureSpec(b5.getMeasuredHeight(), 1073741824));
                    }
                }
            }
            i5 = i3;
        }
        if (!z9 && mode2 != 1073741824) {
            i25 = i6;
        }
        setMeasuredDimension(a3 | (-16777216 & i26), ViewCompat.a(Math.max(i25 + getPaddingTop() + getPaddingBottom(), getSuggestedMinimumHeight()), i5, i26 << 16));
        if (z10) {
            d(virtualChildCount, i2);
        }
    }

    private void d(int i2, int i3) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 1073741824);
        for (int i4 = 0; i4 < i2; i4++) {
            View b2 = b(i4);
            if (b2.getVisibility() != 8) {
                LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
                if (layoutParams.height == -1) {
                    int i5 = layoutParams.width;
                    layoutParams.width = b2.getMeasuredWidth();
                    measureChildWithMargins(b2, i3, 0, makeMeasureSpec, 0);
                    layoutParams.width = i5;
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(View view, int i2, int i3, int i4, int i5, int i6) {
        measureChildWithMargins(view, i3, i4, i5, i6);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (this.d == 1) {
            a(i2, i3, i4, i5);
        } else {
            b(i2, i3, i4, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int paddingLeft = getPaddingLeft();
        int i8 = i4 - i2;
        int paddingRight = i8 - getPaddingRight();
        int paddingRight2 = (i8 - paddingLeft) - getPaddingRight();
        int virtualChildCount = getVirtualChildCount();
        int i9 = this.e & 112;
        int i10 = this.e & 8388615;
        if (i9 == 16) {
            i6 = (((i5 - i3) - this.f) / 2) + getPaddingTop();
        } else if (i9 != 80) {
            i6 = getPaddingTop();
        } else {
            i6 = ((getPaddingTop() + i5) - i3) - this.f;
        }
        int i11 = 0;
        while (i11 < virtualChildCount) {
            View b2 = b(i11);
            if (b2 == null) {
                i6 += d(i11);
            } else if (b2.getVisibility() != 8) {
                int measuredWidth = b2.getMeasuredWidth();
                int measuredHeight = b2.getMeasuredHeight();
                LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
                int i12 = layoutParams.h;
                if (i12 < 0) {
                    i12 = i10;
                }
                int a2 = GravityCompat.a(i12, ViewCompat.f(this)) & 7;
                if (a2 == 1) {
                    i7 = ((((paddingRight2 - measuredWidth) / 2) + paddingLeft) + layoutParams.leftMargin) - layoutParams.rightMargin;
                } else if (a2 != 5) {
                    i7 = layoutParams.leftMargin + paddingLeft;
                } else {
                    i7 = (paddingRight - measuredWidth) - layoutParams.rightMargin;
                }
                if (c(i11)) {
                    i6 += this.m;
                }
                int i13 = i6 + layoutParams.topMargin;
                a(b2, i7, i13 + a(b2), measuredWidth, measuredHeight);
                i11 += a(b2, i11);
                i6 = i13 + measuredHeight + layoutParams.bottomMargin + b(b2);
            }
            i11++;
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00b6  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x00bf  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00f6  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x010a  */
    public void b(int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        boolean a2 = ViewUtils.a(this);
        int paddingTop = getPaddingTop();
        int i17 = i5 - i3;
        int paddingBottom = i17 - getPaddingBottom();
        int paddingBottom2 = (i17 - paddingTop) - getPaddingBottom();
        int virtualChildCount = getVirtualChildCount();
        int i18 = this.e & 112;
        boolean z = this.f654a;
        int[] iArr = this.i;
        int[] iArr2 = this.j;
        int a3 = GravityCompat.a(this.e & 8388615, ViewCompat.f(this));
        if (a3 == 1) {
            i6 = (((i4 - i2) - this.f) / 2) + getPaddingLeft();
        } else if (a3 != 5) {
            i6 = getPaddingLeft();
        } else {
            i6 = ((getPaddingLeft() + i4) - i2) - this.f;
        }
        if (a2) {
            i8 = virtualChildCount - 1;
            i7 = -1;
        } else {
            i8 = 0;
            i7 = 1;
        }
        int i19 = 0;
        while (i19 < virtualChildCount) {
            int i20 = i8 + (i7 * i19);
            View b2 = b(i20);
            if (b2 == null) {
                i6 += d(i20);
            } else if (b2.getVisibility() != 8) {
                int measuredWidth = b2.getMeasuredWidth();
                int measuredHeight = b2.getMeasuredHeight();
                LayoutParams layoutParams = (LayoutParams) b2.getLayoutParams();
                if (z) {
                    i12 = i19;
                    i11 = virtualChildCount;
                    if (layoutParams.height != -1) {
                        i13 = b2.getBaseline();
                        i14 = layoutParams.h;
                        if (i14 < 0) {
                            i14 = i18;
                        }
                        i15 = i14 & 112;
                        i10 = i18;
                        if (i15 != 16) {
                            i16 = ((((paddingBottom2 - measuredHeight) / 2) + paddingTop) + layoutParams.topMargin) - layoutParams.bottomMargin;
                        } else if (i15 == 48) {
                            int i21 = layoutParams.topMargin + paddingTop;
                            if (i13 != -1) {
                                i21 += iArr[1] - i13;
                            }
                            i16 = i21;
                        } else if (i15 != 80) {
                            i16 = paddingTop;
                        } else {
                            int i22 = (paddingBottom - measuredHeight) - layoutParams.bottomMargin;
                            if (i13 != -1) {
                                i22 -= iArr2[2] - (b2.getMeasuredHeight() - i13);
                            }
                            i16 = i22;
                        }
                        if (c(i20)) {
                            i6 += this.l;
                        }
                        int i23 = layoutParams.leftMargin + i6;
                        i9 = paddingTop;
                        a(b2, i23 + a(b2), i16, measuredWidth, measuredHeight);
                        i19 = i12 + a(b2, i20);
                        i6 = i23 + measuredWidth + layoutParams.rightMargin + b(b2);
                        i19++;
                        virtualChildCount = i11;
                        i18 = i10;
                        paddingTop = i9;
                    }
                } else {
                    i12 = i19;
                    i11 = virtualChildCount;
                }
                i13 = -1;
                i14 = layoutParams.h;
                if (i14 < 0) {
                }
                i15 = i14 & 112;
                i10 = i18;
                if (i15 != 16) {
                }
                if (c(i20)) {
                }
                int i232 = layoutParams.leftMargin + i6;
                i9 = paddingTop;
                a(b2, i232 + a(b2), i16, measuredWidth, measuredHeight);
                i19 = i12 + a(b2, i20);
                i6 = i232 + measuredWidth + layoutParams.rightMargin + b(b2);
                i19++;
                virtualChildCount = i11;
                i18 = i10;
                paddingTop = i9;
            }
            i9 = paddingTop;
            i11 = virtualChildCount;
            i10 = i18;
            i19++;
            virtualChildCount = i11;
            i18 = i10;
            paddingTop = i9;
        }
    }

    private void a(View view, int i2, int i3, int i4, int i5) {
        view.layout(i2, i3, i4 + i2, i5 + i3);
    }

    public void setOrientation(int i2) {
        if (this.d != i2) {
            this.d = i2;
            requestLayout();
        }
    }

    public int getOrientation() {
        return this.d;
    }

    public void setGravity(int i2) {
        if (this.e != i2) {
            if ((8388615 & i2) == 0) {
                i2 |= 8388611;
            }
            if ((i2 & 112) == 0) {
                i2 |= 48;
            }
            this.e = i2;
            requestLayout();
        }
    }

    public void setHorizontalGravity(int i2) {
        int i3 = i2 & 8388615;
        if ((8388615 & this.e) != i3) {
            this.e = i3 | (this.e & -8388616);
            requestLayout();
        }
    }

    public void setVerticalGravity(int i2) {
        int i3 = i2 & 112;
        if ((this.e & 112) != i3) {
            this.e = i3 | (this.e & -113);
            requestLayout();
        }
    }

    /* renamed from: b */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: j */
    public LayoutParams generateDefaultLayoutParams() {
        if (this.d == 0) {
            return new LayoutParams(-2, -2);
        }
        if (this.d == 1) {
            return new LayoutParams(-1, -2);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof LayoutParams;
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName(LinearLayoutCompat.class.getName());
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName(LinearLayoutCompat.class.getName());
        }
    }

    public static class LayoutParams extends ViewGroup.MarginLayoutParams {
        public float g;
        public int h;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.h = -1;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.LinearLayoutCompat_Layout);
            this.g = obtainStyledAttributes.getFloat(R.styleable.LinearLayoutCompat_Layout_android_layout_weight, 0.0f);
            this.h = obtainStyledAttributes.getInt(R.styleable.LinearLayoutCompat_Layout_android_layout_gravity, -1);
            obtainStyledAttributes.recycle();
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.h = -1;
            this.g = 0.0f;
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
            this.h = -1;
        }
    }
}
