package android.support.v7.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.support.annotation.AttrRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.annotation.StyleRes;
import android.support.v4.view.ViewCompat;
import android.support.v4.widget.PopupWindowCompat;
import android.support.v7.appcompat.R;
import android.support.v7.view.menu.ShowableListMenu;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import java.lang.reflect.Method;

public class ListPopupWindow implements ShowableListMenu {

    /* renamed from: a  reason: collision with root package name */
    private static Method f655a;
    private static Method d;
    private static Method e;
    private final PopupTouchInterceptor A;
    private final PopupScrollListener B;
    private final ListSelectorHider C;
    private Runnable D;
    private final Handler E;
    private final Rect F;
    private Rect G;
    private boolean H;
    int b;
    PopupWindow c;
    private Context f;
    private ListAdapter g;
    private DropDownListView h;
    private int i;
    private int j;
    private int k;
    private int l;
    private int m;
    private boolean n;
    private boolean o;
    private int p;
    private boolean q;
    private boolean r;
    private View s;
    private int t;
    private DataSetObserver u;
    private View v;
    private Drawable w;
    private AdapterView.OnItemClickListener x;
    private AdapterView.OnItemSelectedListener y;
    private final ResizePopupRunnable z;

    static {
        try {
            f655a = PopupWindow.class.getDeclaredMethod("setClipToScreenEnabled", Boolean.TYPE);
        } catch (NoSuchMethodException unused) {
            Log.i("ListPopupWindow", "Could not find method setClipToScreenEnabled() on PopupWindow. Oh well.");
        }
        try {
            d = PopupWindow.class.getDeclaredMethod("getMaxAvailableHeight", View.class, Integer.TYPE, Boolean.TYPE);
        } catch (NoSuchMethodException unused2) {
            Log.i("ListPopupWindow", "Could not find method getMaxAvailableHeight(View, int, boolean) on PopupWindow. Oh well.");
        }
        try {
            e = PopupWindow.class.getDeclaredMethod("setEpicenterBounds", Rect.class);
        } catch (NoSuchMethodException unused3) {
            Log.i("ListPopupWindow", "Could not find method setEpicenterBounds(Rect) on PopupWindow. Oh well.");
        }
    }

    public ListPopupWindow(@NonNull Context context) {
        this(context, null, R.attr.listPopupWindowStyle);
    }

    public ListPopupWindow(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.listPopupWindowStyle);
    }

    public ListPopupWindow(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i2) {
        this(context, attributeSet, i2, 0);
    }

    public ListPopupWindow(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i2, @StyleRes int i3) {
        this.i = -2;
        this.j = -2;
        this.m = 1002;
        this.o = true;
        this.p = 0;
        this.q = false;
        this.r = false;
        this.b = Integer.MAX_VALUE;
        this.t = 0;
        this.z = new ResizePopupRunnable(this, null);
        this.A = new PopupTouchInterceptor(this, null);
        this.B = new PopupScrollListener(this, null);
        this.C = new ListSelectorHider(this, null);
        this.F = new Rect();
        this.f = context;
        this.E = new Handler(context.getMainLooper());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ListPopupWindow, i2, i3);
        this.k = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.ListPopupWindow_android_dropDownHorizontalOffset, 0);
        this.l = obtainStyledAttributes.getDimensionPixelOffset(R.styleable.ListPopupWindow_android_dropDownVerticalOffset, 0);
        if (this.l != 0) {
            this.n = true;
        }
        obtainStyledAttributes.recycle();
        if (Build.VERSION.SDK_INT >= 11) {
            this.c = new AppCompatPopupWindow(context, attributeSet, i2, i3);
        } else {
            this.c = new AppCompatPopupWindow(context, attributeSet, i2);
        }
        this.c.setInputMethodMode(1);
    }

    public void a(@Nullable ListAdapter listAdapter) {
        if (this.u == null) {
            this.u = new PopupDataSetObserver(this, null);
        } else if (this.g != null) {
            this.g.unregisterDataSetObserver(this.u);
        }
        this.g = listAdapter;
        if (this.g != null) {
            listAdapter.registerDataSetObserver(this.u);
        }
        if (this.h != null) {
            this.h.setAdapter(this.g);
        }
    }

    public void a(int i2) {
        this.t = i2;
    }

    public void a(boolean z2) {
        this.H = z2;
        this.c.setFocusable(z2);
    }

    public boolean g() {
        return this.H;
    }

    @Nullable
    public Drawable h() {
        return this.c.getBackground();
    }

    public void a(@Nullable Drawable drawable) {
        this.c.setBackgroundDrawable(drawable);
    }

    public void b(@StyleRes int i2) {
        this.c.setAnimationStyle(i2);
    }

    @Nullable
    public View i() {
        return this.v;
    }

    public void a(@Nullable View view) {
        this.v = view;
    }

    public int j() {
        return this.k;
    }

    public void c(int i2) {
        this.k = i2;
    }

    public int k() {
        if (!this.n) {
            return 0;
        }
        return this.l;
    }

    public void d(int i2) {
        this.l = i2;
        this.n = true;
    }

    public void a(Rect rect) {
        this.G = rect;
    }

    public void e(int i2) {
        this.p = i2;
    }

    public int l() {
        return this.j;
    }

    public void f(int i2) {
        this.j = i2;
    }

    public void g(int i2) {
        Drawable background = this.c.getBackground();
        if (background != null) {
            background.getPadding(this.F);
            this.j = this.F.left + this.F.right + i2;
            return;
        }
        f(i2);
    }

    public void a(@Nullable AdapterView.OnItemClickListener onItemClickListener) {
        this.x = onItemClickListener;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void a() {
        int i2;
        int i3;
        int f2 = f();
        boolean n2 = n();
        PopupWindowCompat.a(this.c, this.m);
        boolean z2 = true;
        if (this.c.isShowing()) {
            if (this.j == -1) {
                i3 = -1;
            } else if (this.j == -2) {
                i3 = i().getWidth();
            } else {
                i3 = this.j;
            }
            if (this.i == -1) {
                if (!n2) {
                    f2 = -1;
                }
                if (n2) {
                    this.c.setWidth(this.j == -1 ? -1 : 0);
                    this.c.setHeight(0);
                } else {
                    this.c.setWidth(this.j == -1 ? -1 : 0);
                    this.c.setHeight(-1);
                }
            } else if (this.i != -2) {
                f2 = this.i;
            }
            PopupWindow popupWindow = this.c;
            if (this.r || this.q) {
                z2 = false;
            }
            popupWindow.setOutsideTouchable(z2);
            this.c.update(i(), this.k, this.l, i3 < 0 ? -1 : i3, f2 < 0 ? -1 : f2);
            return;
        }
        if (this.j == -1) {
            i2 = -1;
        } else if (this.j == -2) {
            i2 = i().getWidth();
        } else {
            i2 = this.j;
        }
        if (this.i == -1) {
            f2 = -1;
        } else if (this.i != -2) {
            f2 = this.i;
        }
        this.c.setWidth(i2);
        this.c.setHeight(f2);
        b(true);
        this.c.setOutsideTouchable(!this.r && !this.q);
        this.c.setTouchInterceptor(this.A);
        if (e != null) {
            try {
                e.invoke(this.c, this.G);
            } catch (Exception e2) {
                Log.e("ListPopupWindow", "Could not invoke setEpicenterBounds on PopupWindow", e2);
            }
        }
        PopupWindowCompat.a(this.c, i(), this.k, this.l, this.p);
        this.h.setSelection(-1);
        if (!this.H || this.h.isInTouchMode()) {
            m();
        }
        if (!this.H) {
            this.E.post(this.C);
        }
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public void c() {
        this.c.dismiss();
        b();
        this.c.setContentView(null);
        this.h = null;
        this.E.removeCallbacks(this.z);
    }

    public void a(@Nullable PopupWindow.OnDismissListener onDismissListener) {
        this.c.setOnDismissListener(onDismissListener);
    }

    private void b() {
        if (this.s != null) {
            ViewParent parent = this.s.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.s);
            }
        }
    }

    public void h(int i2) {
        this.c.setInputMethodMode(i2);
    }

    public void i(int i2) {
        DropDownListView dropDownListView = this.h;
        if (d() && dropDownListView != null) {
            dropDownListView.setListSelectionHidden(false);
            dropDownListView.setSelection(i2);
            if (Build.VERSION.SDK_INT >= 11 && dropDownListView.getChoiceMode() != 0) {
                dropDownListView.setItemChecked(i2, true);
            }
        }
    }

    public void m() {
        DropDownListView dropDownListView = this.h;
        if (dropDownListView != null) {
            dropDownListView.setListSelectionHidden(true);
            dropDownListView.requestLayout();
        }
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    public boolean d() {
        return this.c.isShowing();
    }

    public boolean n() {
        return this.c.getInputMethodMode() == 2;
    }

    @Override // android.support.v7.view.menu.ShowableListMenu
    @Nullable
    public ListView e() {
        return this.h;
    }

    /* access modifiers changed from: package-private */
    @NonNull
    public DropDownListView a(Context context, boolean z2) {
        return new DropDownListView(context, z2);
    }

    /* access modifiers changed from: package-private */
    /* renamed from: android.support.v7.widget.ListPopupWindow$1  reason: invalid class name */
    public class AnonymousClass1 extends ForwardingListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ListPopupWindow f656a;

        /* renamed from: d */
        public ListPopupWindow a() {
            return this.f656a;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v2, resolved type: android.widget.LinearLayout */
    /* JADX WARN: Multi-variable type inference failed */
    private int f() {
        int i2;
        int i3;
        int makeMeasureSpec;
        int i4;
        int i5;
        boolean z2 = true;
        if (this.h == null) {
            Context context = this.f;
            this.D = new Runnable() {
                /* class android.support.v7.widget.ListPopupWindow.AnonymousClass2 */

                public void run() {
                    View i = ListPopupWindow.this.i();
                    if (i != null && i.getWindowToken() != null) {
                        ListPopupWindow.this.a();
                    }
                }
            };
            this.h = a(context, !this.H);
            if (this.w != null) {
                this.h.setSelector(this.w);
            }
            this.h.setAdapter(this.g);
            this.h.setOnItemClickListener(this.x);
            this.h.setFocusable(true);
            this.h.setFocusableInTouchMode(true);
            this.h.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
                /* class android.support.v7.widget.ListPopupWindow.AnonymousClass3 */

                @Override // android.widget.AdapterView.OnItemSelectedListener
                public void onNothingSelected(AdapterView<?> adapterView) {
                }

                @Override // android.widget.AdapterView.OnItemSelectedListener
                public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
                    DropDownListView dropDownListView;
                    if (i != -1 && (dropDownListView = ListPopupWindow.this.h) != null) {
                        dropDownListView.setListSelectionHidden(false);
                    }
                }
            });
            this.h.setOnScrollListener(this.B);
            if (this.y != null) {
                this.h.setOnItemSelectedListener(this.y);
            }
            DropDownListView dropDownListView = this.h;
            View view = this.s;
            if (view != null) {
                LinearLayout linearLayout = new LinearLayout(context);
                linearLayout.setOrientation(1);
                LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-1, 0, 1.0f);
                switch (this.t) {
                    case 0:
                        linearLayout.addView(view);
                        linearLayout.addView(dropDownListView, layoutParams);
                        break;
                    case 1:
                        linearLayout.addView(dropDownListView, layoutParams);
                        linearLayout.addView(view);
                        break;
                    default:
                        Log.e("ListPopupWindow", "Invalid hint position " + this.t);
                        break;
                }
                if (this.j >= 0) {
                    i5 = this.j;
                    i4 = Integer.MIN_VALUE;
                } else {
                    i5 = 0;
                    i4 = 0;
                }
                view.measure(View.MeasureSpec.makeMeasureSpec(i5, i4), 0);
                LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) view.getLayoutParams();
                i2 = view.getMeasuredHeight() + layoutParams2.topMargin + layoutParams2.bottomMargin;
                dropDownListView = linearLayout;
            } else {
                i2 = 0;
            }
            this.c.setContentView(dropDownListView);
        } else {
            ViewGroup viewGroup = (ViewGroup) this.c.getContentView();
            View view2 = this.s;
            if (view2 != null) {
                LinearLayout.LayoutParams layoutParams3 = (LinearLayout.LayoutParams) view2.getLayoutParams();
                i2 = view2.getMeasuredHeight() + layoutParams3.topMargin + layoutParams3.bottomMargin;
            } else {
                i2 = 0;
            }
        }
        Drawable background = this.c.getBackground();
        if (background != null) {
            background.getPadding(this.F);
            i3 = this.F.top + this.F.bottom;
            if (!this.n) {
                this.l = -this.F.top;
            }
        } else {
            this.F.setEmpty();
            i3 = 0;
        }
        if (this.c.getInputMethodMode() != 2) {
            z2 = false;
        }
        int a2 = a(i(), this.l, z2);
        if (this.q || this.i == -1) {
            return a2 + i3;
        }
        switch (this.j) {
            case -2:
                makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.f.getResources().getDisplayMetrics().widthPixels - (this.F.left + this.F.right), Integer.MIN_VALUE);
                break;
            case -1:
                makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.f.getResources().getDisplayMetrics().widthPixels - (this.F.left + this.F.right), 1073741824);
                break;
            default:
                makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.j, 1073741824);
                break;
        }
        int a3 = this.h.a(makeMeasureSpec, 0, -1, a2 - i2, -1);
        if (a3 > 0) {
            i2 += i3 + this.h.getPaddingTop() + this.h.getPaddingBottom();
        }
        return a3 + i2;
    }

    /* access modifiers changed from: private */
    public class PopupDataSetObserver extends DataSetObserver {
        private PopupDataSetObserver() {
        }

        /* synthetic */ PopupDataSetObserver(ListPopupWindow listPopupWindow, AnonymousClass1 r2) {
            this();
        }

        public void onChanged() {
            if (ListPopupWindow.this.d()) {
                ListPopupWindow.this.a();
            }
        }

        public void onInvalidated() {
            ListPopupWindow.this.c();
        }
    }

    /* access modifiers changed from: private */
    public class ListSelectorHider implements Runnable {
        private ListSelectorHider() {
        }

        /* synthetic */ ListSelectorHider(ListPopupWindow listPopupWindow, AnonymousClass1 r2) {
            this();
        }

        public void run() {
            ListPopupWindow.this.m();
        }
    }

    /* access modifiers changed from: private */
    public class ResizePopupRunnable implements Runnable {
        private ResizePopupRunnable() {
        }

        /* synthetic */ ResizePopupRunnable(ListPopupWindow listPopupWindow, AnonymousClass1 r2) {
            this();
        }

        public void run() {
            if (ListPopupWindow.this.h != null && ViewCompat.z(ListPopupWindow.this.h) && ListPopupWindow.this.h.getCount() > ListPopupWindow.this.h.getChildCount() && ListPopupWindow.this.h.getChildCount() <= ListPopupWindow.this.b) {
                ListPopupWindow.this.c.setInputMethodMode(2);
                ListPopupWindow.this.a();
            }
        }
    }

    /* access modifiers changed from: private */
    public class PopupTouchInterceptor implements View.OnTouchListener {
        private PopupTouchInterceptor() {
        }

        /* synthetic */ PopupTouchInterceptor(ListPopupWindow listPopupWindow, AnonymousClass1 r2) {
            this();
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            int action = motionEvent.getAction();
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            if (action == 0 && ListPopupWindow.this.c != null && ListPopupWindow.this.c.isShowing() && x >= 0 && x < ListPopupWindow.this.c.getWidth() && y >= 0 && y < ListPopupWindow.this.c.getHeight()) {
                ListPopupWindow.this.E.postDelayed(ListPopupWindow.this.z, 250);
                return false;
            } else if (action != 1) {
                return false;
            } else {
                ListPopupWindow.this.E.removeCallbacks(ListPopupWindow.this.z);
                return false;
            }
        }
    }

    /* access modifiers changed from: private */
    public class PopupScrollListener implements AbsListView.OnScrollListener {
        public void onScroll(AbsListView absListView, int i, int i2, int i3) {
        }

        private PopupScrollListener() {
        }

        /* synthetic */ PopupScrollListener(ListPopupWindow listPopupWindow, AnonymousClass1 r2) {
            this();
        }

        public void onScrollStateChanged(AbsListView absListView, int i) {
            if (i == 1 && !ListPopupWindow.this.n() && ListPopupWindow.this.c.getContentView() != null) {
                ListPopupWindow.this.E.removeCallbacks(ListPopupWindow.this.z);
                ListPopupWindow.this.z.run();
            }
        }
    }

    private void b(boolean z2) {
        if (f655a != null) {
            try {
                f655a.invoke(this.c, Boolean.valueOf(z2));
            } catch (Exception unused) {
                Log.i("ListPopupWindow", "Could not call setClipToScreenEnabled() on PopupWindow. Oh well.");
            }
        }
    }

    private int a(View view, int i2, boolean z2) {
        if (d != null) {
            try {
                return ((Integer) d.invoke(this.c, view, Integer.valueOf(i2), Boolean.valueOf(z2))).intValue();
            } catch (Exception unused) {
                Log.i("ListPopupWindow", "Could not call getMaxAvailableHeightMethod(View, int, boolean) on PopupWindow. Using the public version.");
            }
        }
        return this.c.getMaxAvailableHeight(view, i2);
    }
}
