package android.support.v7.widget;

import android.annotation.TargetApi;
import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.ResultReceiver;
import android.support.annotation.Nullable;
import android.support.v4.content.res.ConfigurationHelper;
import android.support.v4.os.ParcelableCompat;
import android.support.v4.os.ParcelableCompatCreatorCallbacks;
import android.support.v4.view.AbsSavedState;
import android.support.v4.view.KeyEventCompat;
import android.support.v4.widget.CursorAdapter;
import android.support.v7.appcompat.R;
import android.support.v7.view.CollapsibleActionView;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import com.tencent.smtt.sdk.TbsListener;
import java.lang.reflect.Method;
import java.util.WeakHashMap;

public class SearchView extends LinearLayoutCompat implements CollapsibleActionView {

    /* renamed from: a  reason: collision with root package name */
    static final AutoCompleteTextViewReflector f679a = new AutoCompleteTextViewReflector();
    private static final boolean c = (Build.VERSION.SDK_INT >= 8);
    private View.OnFocusChangeListener A;
    private OnSuggestionListener B;
    private View.OnClickListener C;
    private boolean D;
    private boolean E;
    private CursorAdapter F;
    private boolean G;
    private CharSequence H;
    private boolean I;
    private boolean J;
    private int K;
    private boolean L;
    private CharSequence M;
    private CharSequence N;
    private boolean O;
    private int P;
    private SearchableInfo Q;
    private Bundle R;
    private final AppCompatDrawableManager S;
    private Runnable T;
    private final Runnable U;
    private Runnable V;
    private final WeakHashMap<String, Drawable.ConstantState> W;
    private final View.OnClickListener aa;
    private final TextView.OnEditorActionListener ab;
    private final AdapterView.OnItemClickListener ac;
    private final AdapterView.OnItemSelectedListener ad;
    private TextWatcher ae;
    View.OnKeyListener b;
    private final SearchAutoComplete d;
    private final View e;
    private final View f;
    private final View g;
    private final ImageView h;
    private final ImageView i;
    private final ImageView j;
    private final ImageView k;
    private final View l;
    private UpdatableTouchDelegate m;
    private Rect n;
    private Rect o;
    private int[] p;
    private int[] q;
    private final ImageView r;
    private final Drawable s;
    private final int t;
    private final int u;
    private final Intent v;
    private final Intent w;
    private final CharSequence x;
    private OnQueryTextListener y;
    private OnCloseListener z;

    public interface OnCloseListener {
        boolean a();
    }

    public interface OnQueryTextListener {
        boolean a(String str);

        boolean b(String str);
    }

    public interface OnSuggestionListener {
        boolean a(int i);

        boolean b(int i);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.n = new Rect();
        this.o = new Rect();
        this.p = new int[2];
        this.q = new int[2];
        this.T = new Runnable() {
            /* class android.support.v7.widget.SearchView.AnonymousClass1 */

            public void run() {
                InputMethodManager inputMethodManager = (InputMethodManager) SearchView.this.getContext().getSystemService("input_method");
                if (inputMethodManager != null) {
                    SearchView.f679a.a(inputMethodManager, SearchView.this, 0);
                }
            }
        };
        this.U = new Runnable() {
            /* class android.support.v7.widget.SearchView.AnonymousClass2 */

            public void run() {
                SearchView.this.m();
            }
        };
        this.V = new Runnable() {
            /* class android.support.v7.widget.SearchView.AnonymousClass3 */

            public void run() {
                if (SearchView.this.F != null && (SearchView.this.F instanceof SuggestionsAdapter)) {
                    SearchView.this.F.a((Cursor) null);
                }
            }
        };
        this.W = new WeakHashMap<>();
        this.aa = new View.OnClickListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass7 */

            public void onClick(View view) {
                if (view == SearchView.this.h) {
                    SearchView.this.s();
                } else if (view == SearchView.this.j) {
                    SearchView.this.r();
                } else if (view == SearchView.this.i) {
                    SearchView.this.p();
                } else if (view == SearchView.this.k) {
                    SearchView.this.t();
                } else if (view == SearchView.this.d) {
                    SearchView.this.v();
                }
            }
        };
        this.b = new View.OnKeyListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass8 */

            public boolean onKey(View view, int i, KeyEvent keyEvent) {
                if (SearchView.this.Q == null) {
                    return false;
                }
                if (SearchView.this.d.isPopupShowing() && SearchView.this.d.getListSelection() != -1) {
                    return SearchView.this.a((SearchView) view, (View) i, (int) keyEvent);
                }
                if (SearchView.this.d.a() || !KeyEventCompat.a(keyEvent) || keyEvent.getAction() != 1 || i != 66) {
                    return false;
                }
                view.cancelLongPress();
                SearchView.this.a((SearchView) 0, (int) null, SearchView.this.d.getText().toString());
                return true;
            }
        };
        this.ab = new TextView.OnEditorActionListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass9 */

            public boolean onEditorAction(TextView textView, int i, KeyEvent keyEvent) {
                SearchView.this.p();
                return true;
            }
        };
        this.ac = new AdapterView.OnItemClickListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass10 */

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                SearchView.this.a((SearchView) i, 0, (int) null);
            }
        };
        this.ad = new AdapterView.OnItemSelectedListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass11 */

            @Override // android.widget.AdapterView.OnItemSelectedListener
            public void onNothingSelected(AdapterView<?> adapterView) {
            }

            @Override // android.widget.AdapterView.OnItemSelectedListener
            public void onItemSelected(AdapterView<?> adapterView, View view, int i, long j) {
                SearchView.this.a((SearchView) i);
            }
        };
        this.ae = new TextWatcher() {
            /* class android.support.v7.widget.SearchView.AnonymousClass12 */

            public void afterTextChanged(Editable editable) {
            }

            public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
            }

            public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
                SearchView.this.c((SearchView) charSequence);
            }
        };
        this.S = AppCompatDrawableManager.a();
        TintTypedArray a2 = TintTypedArray.a(context, attributeSet, R.styleable.SearchView, i2, 0);
        LayoutInflater.from(context).inflate(a2.g(R.styleable.SearchView_layout, R.layout.abc_search_view), (ViewGroup) this, true);
        this.d = (SearchAutoComplete) findViewById(R.id.search_src_text);
        this.d.setSearchView(this);
        this.e = findViewById(R.id.search_edit_frame);
        this.f = findViewById(R.id.search_plate);
        this.g = findViewById(R.id.submit_area);
        this.h = (ImageView) findViewById(R.id.search_button);
        this.i = (ImageView) findViewById(R.id.search_go_btn);
        this.j = (ImageView) findViewById(R.id.search_close_btn);
        this.k = (ImageView) findViewById(R.id.search_voice_btn);
        this.r = (ImageView) findViewById(R.id.search_mag_icon);
        this.f.setBackgroundDrawable(a2.a(R.styleable.SearchView_queryBackground));
        this.g.setBackgroundDrawable(a2.a(R.styleable.SearchView_submitBackground));
        this.h.setImageDrawable(a2.a(R.styleable.SearchView_searchIcon));
        this.i.setImageDrawable(a2.a(R.styleable.SearchView_goIcon));
        this.j.setImageDrawable(a2.a(R.styleable.SearchView_closeIcon));
        this.k.setImageDrawable(a2.a(R.styleable.SearchView_voiceIcon));
        this.r.setImageDrawable(a2.a(R.styleable.SearchView_searchIcon));
        this.s = a2.a(R.styleable.SearchView_searchHintIcon);
        this.t = a2.g(R.styleable.SearchView_suggestionRowLayout, R.layout.abc_search_dropdown_item_icons_2line);
        this.u = a2.g(R.styleable.SearchView_commitIcon, 0);
        this.h.setOnClickListener(this.aa);
        this.j.setOnClickListener(this.aa);
        this.i.setOnClickListener(this.aa);
        this.k.setOnClickListener(this.aa);
        this.d.setOnClickListener(this.aa);
        this.d.addTextChangedListener(this.ae);
        this.d.setOnEditorActionListener(this.ab);
        this.d.setOnItemClickListener(this.ac);
        this.d.setOnItemSelectedListener(this.ad);
        this.d.setOnKeyListener(this.b);
        this.d.setOnFocusChangeListener(new View.OnFocusChangeListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass4 */

            public void onFocusChange(View view, boolean z) {
                if (SearchView.this.A != null) {
                    SearchView.this.A.onFocusChange(SearchView.this, z);
                }
            }
        });
        setIconifiedByDefault(a2.a(R.styleable.SearchView_iconifiedByDefault, true));
        int e2 = a2.e(R.styleable.SearchView_android_maxWidth, -1);
        if (e2 != -1) {
            setMaxWidth(e2);
        }
        this.x = a2.c(R.styleable.SearchView_defaultQueryHint);
        this.H = a2.c(R.styleable.SearchView_queryHint);
        int a3 = a2.a(R.styleable.SearchView_android_imeOptions, -1);
        if (a3 != -1) {
            setImeOptions(a3);
        }
        int a4 = a2.a(R.styleable.SearchView_android_inputType, -1);
        if (a4 != -1) {
            setInputType(a4);
        }
        setFocusable(a2.a(R.styleable.SearchView_android_focusable, true));
        a2.a();
        this.v = new Intent("android.speech.action.WEB_SEARCH");
        this.v.addFlags(268435456);
        this.v.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        this.w = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.w.addFlags(268435456);
        this.l = findViewById(this.d.getDropDownAnchor());
        if (this.l != null) {
            if (Build.VERSION.SDK_INT >= 11) {
                e();
            } else {
                f();
            }
        }
        a(this.D);
        n();
    }

    @TargetApi(11)
    private void e() {
        this.l.addOnLayoutChangeListener(new View.OnLayoutChangeListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass5 */

            public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
                SearchView.this.u();
            }
        });
    }

    private void f() {
        this.l.getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
            /* class android.support.v7.widget.SearchView.AnonymousClass6 */

            public void onGlobalLayout() {
                SearchView.this.u();
            }
        });
    }

    /* access modifiers changed from: package-private */
    public int getSuggestionRowLayout() {
        return this.t;
    }

    /* access modifiers changed from: package-private */
    public int getSuggestionCommitIconResId() {
        return this.u;
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.Q = searchableInfo;
        if (this.Q != null) {
            if (c) {
                o();
            }
            n();
        }
        this.L = c && g();
        if (this.L) {
            this.d.setPrivateImeOptions("nm");
        }
        a(c());
    }

    public void setAppSearchData(Bundle bundle) {
        this.R = bundle;
    }

    public void setImeOptions(int i2) {
        this.d.setImeOptions(i2);
    }

    public int getImeOptions() {
        return this.d.getImeOptions();
    }

    public void setInputType(int i2) {
        this.d.setInputType(i2);
    }

    public int getInputType() {
        return this.d.getInputType();
    }

    public boolean requestFocus(int i2, Rect rect) {
        if (this.J || !isFocusable()) {
            return false;
        }
        if (c()) {
            return super.requestFocus(i2, rect);
        }
        boolean requestFocus = this.d.requestFocus(i2, rect);
        if (requestFocus) {
            a(false);
        }
        return requestFocus;
    }

    public void clearFocus() {
        this.J = true;
        setImeVisibility(false);
        super.clearFocus();
        this.d.clearFocus();
        this.J = false;
    }

    public void setOnQueryTextListener(OnQueryTextListener onQueryTextListener) {
        this.y = onQueryTextListener;
    }

    public void setOnCloseListener(OnCloseListener onCloseListener) {
        this.z = onCloseListener;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.A = onFocusChangeListener;
    }

    public void setOnSuggestionListener(OnSuggestionListener onSuggestionListener) {
        this.B = onSuggestionListener;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.C = onClickListener;
    }

    public CharSequence getQuery() {
        return this.d.getText();
    }

    public void a(CharSequence charSequence, boolean z2) {
        this.d.setText(charSequence);
        if (charSequence != null) {
            this.d.setSelection(this.d.length());
            this.N = charSequence;
        }
        if (z2 && !TextUtils.isEmpty(charSequence)) {
            p();
        }
    }

    public void setQueryHint(@Nullable CharSequence charSequence) {
        this.H = charSequence;
        n();
    }

    @Nullable
    public CharSequence getQueryHint() {
        if (this.H != null) {
            return this.H;
        }
        if (!c || this.Q == null || this.Q.getHintId() == 0) {
            return this.x;
        }
        return getContext().getText(this.Q.getHintId());
    }

    public void setIconifiedByDefault(boolean z2) {
        if (this.D != z2) {
            this.D = z2;
            a(z2);
            n();
        }
    }

    public void setIconified(boolean z2) {
        if (z2) {
            r();
        } else {
            s();
        }
    }

    public boolean c() {
        return this.E;
    }

    public void setSubmitButtonEnabled(boolean z2) {
        this.G = z2;
        a(c());
    }

    public void setQueryRefinementEnabled(boolean z2) {
        this.I = z2;
        if (this.F instanceof SuggestionsAdapter) {
            ((SuggestionsAdapter) this.F).a(z2 ? 2 : 1);
        }
    }

    public void setSuggestionsAdapter(CursorAdapter cursorAdapter) {
        this.F = cursorAdapter;
        this.d.setAdapter(this.F);
    }

    public CursorAdapter getSuggestionsAdapter() {
        return this.F;
    }

    public void setMaxWidth(int i2) {
        this.K = i2;
        requestLayout();
    }

    public int getMaxWidth() {
        return this.K;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.widget.LinearLayoutCompat
    public void onMeasure(int i2, int i3) {
        if (c()) {
            super.onMeasure(i2, i3);
            return;
        }
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            size = this.K > 0 ? Math.min(this.K, size) : Math.min(getPreferredWidth(), size);
        } else if (mode == 0) {
            size = this.K > 0 ? this.K : getPreferredWidth();
        } else if (mode == 1073741824 && this.K > 0) {
            size = Math.min(this.K, size);
        }
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode2 == Integer.MIN_VALUE || mode2 == 0) {
            size2 = Math.min(getPreferredHeight(), size2);
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v7.widget.LinearLayoutCompat
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        if (z2) {
            a(this.d, this.n);
            this.o.set(this.n.left, 0, this.n.right, i5 - i3);
            if (this.m == null) {
                this.m = new UpdatableTouchDelegate(this.o, this.n, this.d);
                setTouchDelegate(this.m);
                return;
            }
            this.m.a(this.o, this.n);
        }
    }

    private void a(View view, Rect rect) {
        view.getLocationInWindow(this.p);
        getLocationInWindow(this.q);
        int i2 = this.p[1] - this.q[1];
        int i3 = this.p[0] - this.q[0];
        rect.set(i3, i2, view.getWidth() + i3, view.getHeight() + i2);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_width);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_height);
    }

    private void a(boolean z2) {
        this.E = z2;
        int i2 = 8;
        boolean z3 = false;
        int i3 = z2 ? 0 : 8;
        boolean z4 = !TextUtils.isEmpty(this.d.getText());
        this.h.setVisibility(i3);
        b(z4);
        this.e.setVisibility(z2 ? 8 : 0);
        if (this.r.getDrawable() != null && !this.D) {
            i2 = 0;
        }
        this.r.setVisibility(i2);
        k();
        if (!z4) {
            z3 = true;
        }
        c(z3);
        i();
    }

    @TargetApi(8)
    private boolean g() {
        if (this.Q != null && this.Q.getVoiceSearchEnabled()) {
            Intent intent = null;
            if (this.Q.getVoiceSearchLaunchWebSearch()) {
                intent = this.v;
            } else if (this.Q.getVoiceSearchLaunchRecognizer()) {
                intent = this.w;
            }
            if (intent == null || getContext().getPackageManager().resolveActivity(intent, 65536) == null) {
                return false;
            }
            return true;
        }
        return false;
    }

    private boolean h() {
        return (this.G || this.L) && !c();
    }

    private void b(boolean z2) {
        this.i.setVisibility((!this.G || !h() || !hasFocus() || (!z2 && this.L)) ? 8 : 0);
    }

    private void i() {
        this.g.setVisibility((!h() || !(this.i.getVisibility() == 0 || this.k.getVisibility() == 0)) ? 8 : 0);
    }

    private void k() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.d.getText());
        int i2 = 0;
        if (!z3 && (!this.D || this.O)) {
            z2 = false;
        }
        ImageView imageView = this.j;
        if (!z2) {
            i2 = 8;
        }
        imageView.setVisibility(i2);
        Drawable drawable = this.j.getDrawable();
        if (drawable != null) {
            drawable.setState(z3 ? ENABLED_STATE_SET : EMPTY_STATE_SET);
        }
    }

    private void l() {
        post(this.U);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void m() {
        int[] iArr = this.d.hasFocus() ? FOCUSED_STATE_SET : EMPTY_STATE_SET;
        Drawable background = this.f.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.g.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.U);
        post(this.V);
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setImeVisibility(boolean z2) {
        if (z2) {
            post(this.T);
            return;
        }
        removeCallbacks(this.T);
        InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
        if (inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(CharSequence charSequence) {
        setQuery(charSequence);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(View view, int i2, KeyEvent keyEvent) {
        int i3;
        if (this.Q != null && this.F != null && keyEvent.getAction() == 0 && KeyEventCompat.a(keyEvent)) {
            if (i2 == 66 || i2 == 84 || i2 == 61) {
                return a(this.d.getListSelection(), 0, (String) null);
            }
            if (i2 == 21 || i2 == 22) {
                if (i2 == 21) {
                    i3 = 0;
                } else {
                    i3 = this.d.length();
                }
                this.d.setSelection(i3);
                this.d.setListSelection(0);
                this.d.clearListSelection();
                f679a.a(this.d, true);
                return true;
            } else if (i2 != 19 || this.d.getListSelection() == 0) {
                return false;
            }
        }
        return false;
    }

    private CharSequence b(CharSequence charSequence) {
        if (!this.D || this.s == null) {
            return charSequence;
        }
        int textSize = (int) (((double) this.d.getTextSize()) * 1.25d);
        this.s.setBounds(0, 0, textSize, textSize);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
        spannableStringBuilder.setSpan(new ImageSpan(this.s), 1, 2, 33);
        spannableStringBuilder.append(charSequence);
        return spannableStringBuilder;
    }

    private void n() {
        CharSequence queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.d;
        if (queryHint == null) {
            queryHint = "";
        }
        searchAutoComplete.setHint(b(queryHint));
    }

    @TargetApi(8)
    private void o() {
        this.d.setThreshold(this.Q.getSuggestThreshold());
        this.d.setImeOptions(this.Q.getImeOptions());
        int inputType = this.Q.getInputType();
        int i2 = 1;
        if ((inputType & 15) == 1) {
            inputType &= -65537;
            if (this.Q.getSuggestAuthority() != null) {
                inputType = inputType | 65536 | 524288;
            }
        }
        this.d.setInputType(inputType);
        if (this.F != null) {
            this.F.a((Cursor) null);
        }
        if (this.Q.getSuggestAuthority() != null) {
            this.F = new SuggestionsAdapter(getContext(), this, this.Q, this.W);
            this.d.setAdapter(this.F);
            SuggestionsAdapter suggestionsAdapter = (SuggestionsAdapter) this.F;
            if (this.I) {
                i2 = 2;
            }
            suggestionsAdapter.a(i2);
        }
    }

    private void c(boolean z2) {
        int i2;
        if (!this.L || c() || !z2) {
            i2 = 8;
        } else {
            i2 = 0;
            this.i.setVisibility(8);
        }
        this.k.setVisibility(i2);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(CharSequence charSequence) {
        Editable text = this.d.getText();
        this.N = text;
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(text);
        b(z3);
        if (z3) {
            z2 = false;
        }
        c(z2);
        k();
        i();
        if (this.y != null && !TextUtils.equals(charSequence, this.M)) {
            this.y.b(charSequence.toString());
        }
        this.M = charSequence.toString();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p() {
        Editable text = this.d.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            if (this.y == null || !this.y.a(text.toString())) {
                if (this.Q != null) {
                    a(0, (String) null, text.toString());
                }
                setImeVisibility(false);
                q();
            }
        }
    }

    private void q() {
        this.d.dismissDropDown();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void r() {
        if (!TextUtils.isEmpty(this.d.getText())) {
            this.d.setText("");
            this.d.requestFocus();
            setImeVisibility(true);
        } else if (!this.D) {
        } else {
            if (this.z == null || !this.z.a()) {
                clearFocus();
                a(true);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void s() {
        a(false);
        this.d.requestFocus();
        setImeVisibility(true);
        if (this.C != null) {
            this.C.onClick(this);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @TargetApi(8)
    private void t() {
        if (this.Q != null) {
            SearchableInfo searchableInfo = this.Q;
            try {
                if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                    getContext().startActivity(a(this.v, searchableInfo));
                } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                    getContext().startActivity(b(this.w, searchableInfo));
                }
            } catch (ActivityNotFoundException unused) {
                Log.w("SearchView", "Could not find voice search activity");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void d() {
        a(c());
        l();
        if (this.d.hasFocus()) {
            v();
        }
    }

    public void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        l();
    }

    @Override // android.support.v7.view.CollapsibleActionView
    public void b() {
        a("", false);
        clearFocus();
        a(true);
        this.d.setImeOptions(this.P);
        this.O = false;
    }

    @Override // android.support.v7.view.CollapsibleActionView
    public void a() {
        if (!this.O) {
            this.O = true;
            this.P = this.d.getImeOptions();
            this.d.setImeOptions(this.P | 33554432);
            this.d.setText("");
            setIconified(false);
        }
    }

    /* access modifiers changed from: package-private */
    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.a(new ParcelableCompatCreatorCallbacks<SavedState>() {
            /* class android.support.v7.widget.SearchView.SavedState.AnonymousClass1 */

            /* renamed from: b */
            public SavedState a(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: b */
            public SavedState[] a(int i) {
                return new SavedState[i];
            }
        });
        boolean b;

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.b = ((Boolean) parcel.readValue(null)).booleanValue();
        }

        @Override // android.support.v4.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeValue(Boolean.valueOf(this.b));
        }

        public String toString() {
            return "SearchView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " isIconified=" + this.b + "}";
        }
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.b = c();
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        a(savedState.b);
        requestLayout();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void u() {
        int i2;
        if (this.l.getWidth() > 1) {
            Resources resources = getContext().getResources();
            int paddingLeft = this.f.getPaddingLeft();
            Rect rect = new Rect();
            boolean a2 = ViewUtils.a(this);
            int dimensionPixelSize = this.D ? resources.getDimensionPixelSize(R.dimen.abc_dropdownitem_icon_width) + resources.getDimensionPixelSize(R.dimen.abc_dropdownitem_text_padding_left) : 0;
            this.d.getDropDownBackground().getPadding(rect);
            if (a2) {
                i2 = -rect.left;
            } else {
                i2 = paddingLeft - (rect.left + dimensionPixelSize);
            }
            this.d.setDropDownHorizontalOffset(i2);
            this.d.setDropDownWidth((((this.l.getWidth() + rect.left) + rect.right) + dimensionPixelSize) - paddingLeft);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(int i2, int i3, String str) {
        if (this.B != null && this.B.b(i2)) {
            return false;
        }
        b(i2, 0, null);
        setImeVisibility(false);
        q();
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(int i2) {
        if (this.B != null && this.B.a(i2)) {
            return false;
        }
        e(i2);
        return true;
    }

    private void e(int i2) {
        Editable text = this.d.getText();
        Cursor a2 = this.F.a();
        if (a2 != null) {
            if (a2.moveToPosition(i2)) {
                CharSequence c2 = this.F.c(a2);
                if (c2 != null) {
                    setQuery(c2);
                } else {
                    setQuery(text);
                }
            } else {
                setQuery(text);
            }
        }
    }

    private boolean b(int i2, int i3, String str) {
        Cursor a2 = this.F.a();
        if (a2 == null || !a2.moveToPosition(i2)) {
            return false;
        }
        a(a(a2, i3, str));
        return true;
    }

    private void a(Intent intent) {
        if (intent != null) {
            try {
                getContext().startActivity(intent);
            } catch (RuntimeException e2) {
                Log.e("SearchView", "Failed launch activity: " + intent, e2);
            }
        }
    }

    private void setQuery(CharSequence charSequence) {
        this.d.setText(charSequence);
        this.d.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, String str, String str2) {
        getContext().startActivity(a("android.intent.action.SEARCH", (Uri) null, (String) null, str2, i2, str));
    }

    private Intent a(String str, Uri uri, String str2, String str3, int i2, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.N);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        if (this.R != null) {
            intent.putExtra("app_data", this.R);
        }
        if (i2 != 0) {
            intent.putExtra("action_key", i2);
            intent.putExtra("action_msg", str4);
        }
        if (c) {
            intent.setComponent(this.Q.getSearchActivity());
        }
        return intent;
    }

    @TargetApi(8)
    private Intent a(Intent intent, SearchableInfo searchableInfo) {
        String str;
        Intent intent2 = new Intent(intent);
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        if (searchActivity == null) {
            str = null;
        } else {
            str = searchActivity.flattenToShortString();
        }
        intent2.putExtra("calling_package", str);
        return intent2;
    }

    @TargetApi(8)
    private Intent b(Intent intent, SearchableInfo searchableInfo) {
        String str;
        String str2;
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1073741824);
        Bundle bundle = new Bundle();
        if (this.R != null) {
            bundle.putParcelable("app_data", this.R);
        }
        Intent intent3 = new Intent(intent);
        String str3 = "free_form";
        int i2 = 1;
        String str4 = null;
        if (Build.VERSION.SDK_INT >= 8) {
            Resources resources = getResources();
            if (searchableInfo.getVoiceLanguageModeId() != 0) {
                str3 = resources.getString(searchableInfo.getVoiceLanguageModeId());
            }
            str = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
            str2 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
            if (searchableInfo.getVoiceMaxResults() != 0) {
                i2 = searchableInfo.getVoiceMaxResults();
            }
        } else {
            str2 = null;
            str = null;
        }
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", str3);
        intent3.putExtra("android.speech.extra.PROMPT", str);
        intent3.putExtra("android.speech.extra.LANGUAGE", str2);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", i2);
        if (searchActivity != null) {
            str4 = searchActivity.flattenToShortString();
        }
        intent3.putExtra("calling_package", str4);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    private Intent a(Cursor cursor, int i2, String str) {
        int i3;
        Uri uri;
        String a2;
        try {
            String a3 = SuggestionsAdapter.a(cursor, "suggest_intent_action");
            if (a3 == null && Build.VERSION.SDK_INT >= 8) {
                a3 = this.Q.getSuggestIntentAction();
            }
            if (a3 == null) {
                a3 = "android.intent.action.SEARCH";
            }
            String a4 = SuggestionsAdapter.a(cursor, "suggest_intent_data");
            if (c && a4 == null) {
                a4 = this.Q.getSuggestIntentData();
            }
            if (!(a4 == null || (a2 = SuggestionsAdapter.a(cursor, "suggest_intent_data_id")) == null)) {
                a4 = a4 + "/" + Uri.encode(a2);
            }
            if (a4 == null) {
                uri = null;
            } else {
                uri = Uri.parse(a4);
            }
            return a(a3, uri, SuggestionsAdapter.a(cursor, "suggest_intent_extra_data"), SuggestionsAdapter.a(cursor, "suggest_intent_query"), i2, str);
        } catch (RuntimeException e2) {
            try {
                i3 = cursor.getPosition();
            } catch (RuntimeException unused) {
                i3 = -1;
            }
            Log.w("SearchView", "Search suggestions cursor at row " + i3 + " returned exception.", e2);
            return null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void v() {
        f679a.a(this.d);
        f679a.b(this.d);
    }

    static boolean a(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }

    private static class UpdatableTouchDelegate extends TouchDelegate {

        /* renamed from: a  reason: collision with root package name */
        private final View f694a;
        private final Rect b = new Rect();
        private final Rect c = new Rect();
        private final Rect d = new Rect();
        private final int e;
        private boolean f;

        public UpdatableTouchDelegate(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            a(rect, rect2);
            this.f694a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.b.set(rect);
            this.d.set(rect);
            this.d.inset(-this.e, -this.e);
            this.c.set(rect2);
        }

        /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z;
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            boolean z2 = true;
            switch (motionEvent.getAction()) {
                case 0:
                    if (this.b.contains(x, y)) {
                        this.f = true;
                        z = true;
                        break;
                    }
                    z = false;
                    break;
                case 1:
                case 2:
                    z = this.f;
                    if (z && !this.d.contains(x, y)) {
                        z2 = false;
                        break;
                    }
                case 3:
                    z = this.f;
                    this.f = false;
                    break;
                default:
                    z = false;
                    break;
            }
            if (!z) {
                return false;
            }
            if (!z2 || this.c.contains(x, y)) {
                motionEvent.setLocation((float) (x - this.c.left), (float) (y - this.c.top));
            } else {
                motionEvent.setLocation((float) (this.f694a.getWidth() / 2), (float) (this.f694a.getHeight() / 2));
            }
            return this.f694a.dispatchTouchEvent(motionEvent);
        }
    }

    public static class SearchAutoComplete extends AppCompatAutoCompleteTextView {

        /* renamed from: a  reason: collision with root package name */
        private int f693a;
        private SearchView b;

        public void performCompletion() {
        }

        /* access modifiers changed from: protected */
        public void replaceText(CharSequence charSequence) {
        }

        public SearchAutoComplete(Context context) {
            this(context, null);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, R.attr.autoCompleteTextViewStyle);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i) {
            super(context, attributeSet, i);
            this.f693a = getThreshold();
        }

        /* access modifiers changed from: protected */
        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, (float) getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        /* access modifiers changed from: package-private */
        public void setSearchView(SearchView searchView) {
            this.b = searchView;
        }

        public void setThreshold(int i) {
            super.setThreshold(i);
            this.f693a = i;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean a() {
            return TextUtils.getTrimmedLength(getText()) == 0;
        }

        public void onWindowFocusChanged(boolean z) {
            super.onWindowFocusChanged(z);
            if (z && this.b.hasFocus() && getVisibility() == 0) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                if (SearchView.a(getContext())) {
                    SearchView.f679a.a(this, true);
                }
            }
        }

        /* access modifiers changed from: protected */
        public void onFocusChanged(boolean z, int i, Rect rect) {
            super.onFocusChanged(z, i, rect);
            this.b.d();
        }

        public boolean enoughToFilter() {
            return this.f693a <= 0 || super.enoughToFilter();
        }

        public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
            if (i == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.b.clearFocus();
                        this.b.setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i, keyEvent);
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int b2 = ConfigurationHelper.b(getResources());
            int a2 = ConfigurationHelper.a(getResources());
            if (b2 >= 960 && a2 >= 720 && configuration.orientation == 2) {
                return 256;
            }
            if (b2 >= 600) {
                return 192;
            }
            if (b2 < 640 || a2 < 480) {
                return TbsListener.ErrorCode.STARTDOWNLOAD_1;
            }
            return 192;
        }
    }

    /* access modifiers changed from: private */
    public static class AutoCompleteTextViewReflector {

        /* renamed from: a  reason: collision with root package name */
        private Method f692a;
        private Method b;
        private Method c;
        private Method d;

        AutoCompleteTextViewReflector() {
            try {
                this.f692a = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.f692a.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                this.b = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.b.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                this.c = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.c.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
            try {
                this.d = InputMethodManager.class.getMethod("showSoftInputUnchecked", Integer.TYPE, ResultReceiver.class);
                this.d.setAccessible(true);
            } catch (NoSuchMethodException unused4) {
            }
        }

        /* access modifiers changed from: package-private */
        public void a(AutoCompleteTextView autoCompleteTextView) {
            if (this.f692a != null) {
                try {
                    this.f692a.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b(AutoCompleteTextView autoCompleteTextView) {
            if (this.b != null) {
                try {
                    this.b.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(AutoCompleteTextView autoCompleteTextView, boolean z) {
            if (this.c != null) {
                try {
                    this.c.invoke(autoCompleteTextView, Boolean.valueOf(z));
                } catch (Exception unused) {
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(InputMethodManager inputMethodManager, View view, int i) {
            if (this.d != null) {
                try {
                    this.d.invoke(inputMethodManager, Integer.valueOf(i), null);
                    return;
                } catch (Exception unused) {
                }
            }
            inputMethodManager.showSoftInput(view, i);
        }
    }
}
