package android.support.v7.widget;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.Nullable;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.ViewCompat;
import android.support.v7.appcompat.R;
import android.support.v7.text.AllCapsTransformationMethod;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.Animation;
import android.view.animation.Transformation;
import android.widget.CompoundButton;

public class SwitchCompat extends CompoundButton {
    private static final int[] N = {16842912};
    private int A;
    private int B;
    private int C;
    private int D;
    private int E;
    private TextPaint F;
    private ColorStateList G;
    private Layout H;
    private Layout I;
    private TransformationMethod J;
    private ThumbAnimation K;
    private final Rect L;
    private final AppCompatDrawableManager M;

    /* renamed from: a  reason: collision with root package name */
    private Drawable f699a;
    private ColorStateList b;
    private PorterDuff.Mode c;
    private boolean d;
    private boolean e;
    private Drawable f;
    private ColorStateList g;
    private PorterDuff.Mode h;
    private boolean i;
    private boolean j;
    private int k;
    private int l;
    private int m;
    private boolean n;
    private CharSequence o;
    private CharSequence p;
    private boolean q;
    private int r;
    private int s;
    private float t;
    private float u;
    private VelocityTracker v;
    private int w;
    private float x;
    private int y;
    private int z;

    private static float a(float f2, float f3, float f4) {
        return f2 < f3 ? f3 : f2 > f4 ? f4 : f2;
    }

    public SwitchCompat(Context context) {
        this(context, null);
    }

    public SwitchCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.switchStyle);
    }

    public SwitchCompat(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.b = null;
        this.c = null;
        this.d = false;
        this.e = false;
        this.g = null;
        this.h = null;
        this.i = false;
        this.j = false;
        this.v = VelocityTracker.obtain();
        this.L = new Rect();
        this.F = new TextPaint(1);
        Resources resources = getResources();
        this.F.density = resources.getDisplayMetrics().density;
        TintTypedArray a2 = TintTypedArray.a(context, attributeSet, R.styleable.SwitchCompat, i2, 0);
        this.f699a = a2.a(R.styleable.SwitchCompat_android_thumb);
        if (this.f699a != null) {
            this.f699a.setCallback(this);
        }
        this.f = a2.a(R.styleable.SwitchCompat_track);
        if (this.f != null) {
            this.f.setCallback(this);
        }
        this.o = a2.c(R.styleable.SwitchCompat_android_textOn);
        this.p = a2.c(R.styleable.SwitchCompat_android_textOff);
        this.q = a2.a(R.styleable.SwitchCompat_showText, true);
        this.k = a2.e(R.styleable.SwitchCompat_thumbTextPadding, 0);
        this.l = a2.e(R.styleable.SwitchCompat_switchMinWidth, 0);
        this.m = a2.e(R.styleable.SwitchCompat_switchPadding, 0);
        this.n = a2.a(R.styleable.SwitchCompat_splitTrack, false);
        ColorStateList e2 = a2.e(R.styleable.SwitchCompat_thumbTint);
        if (e2 != null) {
            this.b = e2;
            this.d = true;
        }
        PorterDuff.Mode a3 = DrawableUtils.a(a2.a(R.styleable.SwitchCompat_thumbTintMode, -1), null);
        if (this.c != a3) {
            this.c = a3;
            this.e = true;
        }
        if (this.d || this.e) {
            b();
        }
        ColorStateList e3 = a2.e(R.styleable.SwitchCompat_trackTint);
        if (e3 != null) {
            this.g = e3;
            this.i = true;
        }
        PorterDuff.Mode a4 = DrawableUtils.a(a2.a(R.styleable.SwitchCompat_trackTintMode, -1), null);
        if (this.h != a4) {
            this.h = a4;
            this.j = true;
        }
        if (this.i || this.j) {
            a();
        }
        int g2 = a2.g(R.styleable.SwitchCompat_switchTextAppearance, 0);
        if (g2 != 0) {
            a(context, g2);
        }
        this.M = AppCompatDrawableManager.a();
        a2.a();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.s = viewConfiguration.getScaledTouchSlop();
        this.w = viewConfiguration.getScaledMinimumFlingVelocity();
        refreshDrawableState();
        setChecked(isChecked());
    }

    public void a(Context context, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i2, R.styleable.TextAppearance);
        ColorStateList colorStateList = obtainStyledAttributes.getColorStateList(R.styleable.TextAppearance_android_textColor);
        if (colorStateList != null) {
            this.G = colorStateList;
        } else {
            this.G = getTextColors();
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.TextAppearance_android_textSize, 0);
        if (dimensionPixelSize != 0) {
            float f2 = (float) dimensionPixelSize;
            if (f2 != this.F.getTextSize()) {
                this.F.setTextSize(f2);
                requestLayout();
            }
        }
        a(obtainStyledAttributes.getInt(R.styleable.TextAppearance_android_typeface, -1), obtainStyledAttributes.getInt(R.styleable.TextAppearance_android_textStyle, -1));
        if (obtainStyledAttributes.getBoolean(R.styleable.TextAppearance_textAllCaps, false)) {
            this.J = new AllCapsTransformationMethod(getContext());
        } else {
            this.J = null;
        }
        obtainStyledAttributes.recycle();
    }

    private void a(int i2, int i3) {
        Typeface typeface;
        switch (i2) {
            case 1:
                typeface = Typeface.SANS_SERIF;
                break;
            case 2:
                typeface = Typeface.SERIF;
                break;
            case 3:
                typeface = Typeface.MONOSPACE;
                break;
            default:
                typeface = null;
                break;
        }
        a(typeface, i3);
    }

    public void a(Typeface typeface, int i2) {
        Typeface typeface2;
        float f2 = 0.0f;
        boolean z2 = false;
        if (i2 > 0) {
            if (typeface == null) {
                typeface2 = Typeface.defaultFromStyle(i2);
            } else {
                typeface2 = Typeface.create(typeface, i2);
            }
            setSwitchTypeface(typeface2);
            int i3 = (~(typeface2 != null ? typeface2.getStyle() : 0)) & i2;
            TextPaint textPaint = this.F;
            if ((i3 & 1) != 0) {
                z2 = true;
            }
            textPaint.setFakeBoldText(z2);
            TextPaint textPaint2 = this.F;
            if ((i3 & 2) != 0) {
                f2 = -0.25f;
            }
            textPaint2.setTextSkewX(f2);
            return;
        }
        this.F.setFakeBoldText(false);
        this.F.setTextSkewX(0.0f);
        setSwitchTypeface(typeface);
    }

    public void setSwitchTypeface(Typeface typeface) {
        if (this.F.getTypeface() != typeface) {
            this.F.setTypeface(typeface);
            requestLayout();
            invalidate();
        }
    }

    public void setSwitchPadding(int i2) {
        this.m = i2;
        requestLayout();
    }

    public int getSwitchPadding() {
        return this.m;
    }

    public void setSwitchMinWidth(int i2) {
        this.l = i2;
        requestLayout();
    }

    public int getSwitchMinWidth() {
        return this.l;
    }

    public void setThumbTextPadding(int i2) {
        this.k = i2;
        requestLayout();
    }

    public int getThumbTextPadding() {
        return this.k;
    }

    public void setTrackDrawable(Drawable drawable) {
        if (this.f != null) {
            this.f.setCallback(null);
        }
        this.f = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setTrackResource(int i2) {
        setTrackDrawable(this.M.a(getContext(), i2));
    }

    public Drawable getTrackDrawable() {
        return this.f;
    }

    public void setTrackTintList(@Nullable ColorStateList colorStateList) {
        this.g = colorStateList;
        this.i = true;
        a();
    }

    @Nullable
    public ColorStateList getTrackTintList() {
        return this.g;
    }

    public void setTrackTintMode(@Nullable PorterDuff.Mode mode) {
        this.h = mode;
        this.j = true;
        a();
    }

    @Nullable
    public PorterDuff.Mode getTrackTintMode() {
        return this.h;
    }

    private void a() {
        if (this.f == null) {
            return;
        }
        if (this.i || this.j) {
            this.f = this.f.mutate();
            if (this.i) {
                DrawableCompat.a(this.f, this.g);
            }
            if (this.j) {
                DrawableCompat.a(this.f, this.h);
            }
            if (this.f.isStateful()) {
                this.f.setState(getDrawableState());
            }
        }
    }

    public void setThumbDrawable(Drawable drawable) {
        if (this.f699a != null) {
            this.f699a.setCallback(null);
        }
        this.f699a = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setThumbResource(int i2) {
        setThumbDrawable(this.M.a(getContext(), i2));
    }

    public Drawable getThumbDrawable() {
        return this.f699a;
    }

    public void setThumbTintList(@Nullable ColorStateList colorStateList) {
        this.b = colorStateList;
        this.d = true;
        b();
    }

    @Nullable
    public ColorStateList getThumbTintList() {
        return this.b;
    }

    public void setThumbTintMode(@Nullable PorterDuff.Mode mode) {
        this.c = mode;
        this.e = true;
        b();
    }

    @Nullable
    public PorterDuff.Mode getThumbTintMode() {
        return this.c;
    }

    private void b() {
        if (this.f699a == null) {
            return;
        }
        if (this.d || this.e) {
            this.f699a = this.f699a.mutate();
            if (this.d) {
                DrawableCompat.a(this.f699a, this.b);
            }
            if (this.e) {
                DrawableCompat.a(this.f699a, this.c);
            }
            if (this.f699a.isStateful()) {
                this.f699a.setState(getDrawableState());
            }
        }
    }

    public void setSplitTrack(boolean z2) {
        this.n = z2;
        invalidate();
    }

    public boolean getSplitTrack() {
        return this.n;
    }

    public CharSequence getTextOn() {
        return this.o;
    }

    public void setTextOn(CharSequence charSequence) {
        this.o = charSequence;
        requestLayout();
    }

    public CharSequence getTextOff() {
        return this.p;
    }

    public void setTextOff(CharSequence charSequence) {
        this.p = charSequence;
        requestLayout();
    }

    public void setShowText(boolean z2) {
        if (this.q != z2) {
            this.q = z2;
            requestLayout();
        }
    }

    public boolean getShowText() {
        return this.q;
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        if (this.q) {
            if (this.H == null) {
                this.H = a(this.o);
            }
            if (this.I == null) {
                this.I = a(this.p);
            }
        }
        Rect rect = this.L;
        int i6 = 0;
        if (this.f699a != null) {
            this.f699a.getPadding(rect);
            i5 = (this.f699a.getIntrinsicWidth() - rect.left) - rect.right;
            i4 = this.f699a.getIntrinsicHeight();
        } else {
            i5 = 0;
            i4 = 0;
        }
        this.A = Math.max(this.q ? Math.max(this.H.getWidth(), this.I.getWidth()) + (this.k * 2) : 0, i5);
        if (this.f != null) {
            this.f.getPadding(rect);
            i6 = this.f.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i7 = rect.left;
        int i8 = rect.right;
        if (this.f699a != null) {
            Rect a2 = DrawableUtils.a(this.f699a);
            i7 = Math.max(i7, a2.left);
            i8 = Math.max(i8, a2.right);
        }
        int max = Math.max(this.l, (this.A * 2) + i7 + i8);
        int max2 = Math.max(i6, i4);
        this.y = max;
        this.z = max2;
        super.onMeasure(i2, i3);
        if (getMeasuredHeight() < max2) {
            setMeasuredDimension(ViewCompat.i(this), max2);
        }
    }

    @TargetApi(14)
    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        CharSequence charSequence = isChecked() ? this.o : this.p;
        if (charSequence != null) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    private Layout a(CharSequence charSequence) {
        if (this.J != null) {
            charSequence = this.J.getTransformation(charSequence, this);
        }
        return new StaticLayout(charSequence, this.F, charSequence != null ? (int) Math.ceil((double) Layout.getDesiredWidth(charSequence, this.F)) : 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    private boolean a(float f2, float f3) {
        if (this.f699a == null) {
            return false;
        }
        int thumbOffset = getThumbOffset();
        this.f699a.getPadding(this.L);
        int i2 = this.C - this.s;
        int i3 = (this.B + thumbOffset) - this.s;
        int i4 = this.A + i3 + this.L.left + this.L.right + this.s;
        int i5 = this.E + this.s;
        if (f2 <= ((float) i3) || f2 >= ((float) i4) || f3 <= ((float) i2) || f3 >= ((float) i5)) {
            return false;
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.v.addMovement(motionEvent);
        switch (MotionEventCompat.a(motionEvent)) {
            case 0:
                float x2 = motionEvent.getX();
                float y2 = motionEvent.getY();
                if (isEnabled() && a(x2, y2)) {
                    this.r = 1;
                    this.t = x2;
                    this.u = y2;
                    break;
                }
            case 1:
            case 3:
                if (this.r != 2) {
                    this.r = 0;
                    this.v.clear();
                    break;
                } else {
                    b(motionEvent);
                    super.onTouchEvent(motionEvent);
                    return true;
                }
            case 2:
                switch (this.r) {
                    case 2:
                        float x3 = motionEvent.getX();
                        int thumbScrollRange = getThumbScrollRange();
                        float f2 = x3 - this.t;
                        float f3 = thumbScrollRange != 0 ? f2 / ((float) thumbScrollRange) : f2 > 0.0f ? 1.0f : -1.0f;
                        if (ViewUtils.a(this)) {
                            f3 = -f3;
                        }
                        float a2 = a(this.x + f3, 0.0f, 1.0f);
                        if (a2 != this.x) {
                            this.t = x3;
                            setThumbPosition(a2);
                        }
                        return true;
                    case 1:
                        float x4 = motionEvent.getX();
                        float y3 = motionEvent.getY();
                        if (Math.abs(x4 - this.t) > ((float) this.s) || Math.abs(y3 - this.u) > ((float) this.s)) {
                            this.r = 2;
                            getParent().requestDisallowInterceptTouchEvent(true);
                            this.t = x4;
                            this.u = y3;
                            return true;
                        }
                }
                break;
        }
        return super.onTouchEvent(motionEvent);
    }

    private void a(MotionEvent motionEvent) {
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.setAction(3);
        super.onTouchEvent(obtain);
        obtain.recycle();
    }

    private void b(MotionEvent motionEvent) {
        boolean z2;
        this.r = 0;
        boolean z3 = true;
        boolean z4 = motionEvent.getAction() == 1 && isEnabled();
        boolean isChecked = isChecked();
        if (z4) {
            this.v.computeCurrentVelocity(1000);
            float xVelocity = this.v.getXVelocity();
            if (Math.abs(xVelocity) > ((float) this.w)) {
                if (!ViewUtils.a(this) ? xVelocity <= 0.0f : xVelocity >= 0.0f) {
                    z3 = false;
                }
                z2 = z3;
            } else {
                z2 = getTargetCheckedState();
            }
        } else {
            z2 = isChecked;
        }
        if (z2 != isChecked) {
            playSoundEffect(0);
        }
        setChecked(z2);
        a(motionEvent);
    }

    private void a(final boolean z2) {
        if (this.K != null) {
            c();
        }
        this.K = new ThumbAnimation(this.x, z2 ? 1.0f : 0.0f);
        this.K.setDuration(250);
        this.K.setAnimationListener(new Animation.AnimationListener() {
            /* class android.support.v7.widget.SwitchCompat.AnonymousClass1 */

            public void onAnimationRepeat(Animation animation) {
            }

            public void onAnimationStart(Animation animation) {
            }

            public void onAnimationEnd(Animation animation) {
                if (SwitchCompat.this.K == animation) {
                    SwitchCompat.this.setThumbPosition(z2 ? 1.0f : 0.0f);
                    SwitchCompat.this.K = null;
                }
            }
        });
        startAnimation(this.K);
    }

    private void c() {
        if (this.K != null) {
            clearAnimation();
            this.K = null;
        }
    }

    private boolean getTargetCheckedState() {
        return this.x > 0.5f;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setThumbPosition(float f2) {
        this.x = f2;
        invalidate();
    }

    public void toggle() {
        setChecked(!isChecked());
    }

    public void setChecked(boolean z2) {
        super.setChecked(z2);
        boolean isChecked = isChecked();
        if (getWindowToken() == null || !ViewCompat.y(this) || !isShown()) {
            c();
            setThumbPosition(isChecked ? 1.0f : 0.0f);
            return;
        }
        a(isChecked);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        super.onLayout(z2, i2, i3, i4, i5);
        int i11 = 0;
        if (this.f699a != null) {
            Rect rect = this.L;
            if (this.f != null) {
                this.f.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect a2 = DrawableUtils.a(this.f699a);
            int max = Math.max(0, a2.left - rect.left);
            i6 = Math.max(0, a2.right - rect.right);
            i11 = max;
        } else {
            i6 = 0;
        }
        if (ViewUtils.a(this)) {
            i8 = getPaddingLeft() + i11;
            i7 = ((this.y + i8) - i11) - i6;
        } else {
            i7 = (getWidth() - getPaddingRight()) - i6;
            i8 = (i7 - this.y) + i11 + i6;
        }
        int gravity = getGravity() & 112;
        if (gravity == 16) {
            i10 = (((getPaddingTop() + getHeight()) - getPaddingBottom()) / 2) - (this.z / 2);
            i9 = this.z + i10;
        } else if (gravity != 80) {
            i10 = getPaddingTop();
            i9 = this.z + i10;
        } else {
            i9 = getHeight() - getPaddingBottom();
            i10 = i9 - this.z;
        }
        this.B = i8;
        this.C = i10;
        this.E = i9;
        this.D = i7;
    }

    public void draw(Canvas canvas) {
        Rect rect;
        int i2;
        int i3;
        Rect rect2 = this.L;
        int i4 = this.B;
        int i5 = this.C;
        int i6 = this.D;
        int i7 = this.E;
        int thumbOffset = getThumbOffset() + i4;
        if (this.f699a != null) {
            rect = DrawableUtils.a(this.f699a);
        } else {
            rect = DrawableUtils.f648a;
        }
        if (this.f != null) {
            this.f.getPadding(rect2);
            thumbOffset += rect2.left;
            if (rect != null) {
                if (rect.left > rect2.left) {
                    i4 += rect.left - rect2.left;
                }
                i2 = rect.top > rect2.top ? (rect.top - rect2.top) + i5 : i5;
                if (rect.right > rect2.right) {
                    i6 -= rect.right - rect2.right;
                }
                if (rect.bottom > rect2.bottom) {
                    i3 = i7 - (rect.bottom - rect2.bottom);
                    this.f.setBounds(i4, i2, i6, i3);
                }
            } else {
                i2 = i5;
            }
            i3 = i7;
            this.f.setBounds(i4, i2, i6, i3);
        }
        if (this.f699a != null) {
            this.f699a.getPadding(rect2);
            int i8 = thumbOffset - rect2.left;
            int i9 = thumbOffset + this.A + rect2.right;
            this.f699a.setBounds(i8, i5, i9, i7);
            Drawable background = getBackground();
            if (background != null) {
                DrawableCompat.a(background, i8, i5, i9, i7);
            }
        }
        super.draw(canvas);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        int i2;
        super.onDraw(canvas);
        Rect rect = this.L;
        Drawable drawable = this.f;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i3 = this.C;
        int i4 = this.E;
        int i5 = i3 + rect.top;
        int i6 = i4 - rect.bottom;
        Drawable drawable2 = this.f699a;
        if (drawable != null) {
            if (!this.n || drawable2 == null) {
                drawable.draw(canvas);
            } else {
                Rect a2 = DrawableUtils.a(drawable2);
                drawable2.copyBounds(rect);
                rect.left += a2.left;
                rect.right -= a2.right;
                int save = canvas.save();
                canvas.clipRect(rect, Region.Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
        int save2 = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = getTargetCheckedState() ? this.H : this.I;
        if (layout != null) {
            int[] drawableState = getDrawableState();
            if (this.G != null) {
                this.F.setColor(this.G.getColorForState(drawableState, 0));
            }
            this.F.drawableState = drawableState;
            if (drawable2 != null) {
                Rect bounds = drawable2.getBounds();
                i2 = bounds.left + bounds.right;
            } else {
                i2 = getWidth();
            }
            canvas.translate((float) ((i2 / 2) - (layout.getWidth() / 2)), (float) (((i5 + i6) / 2) - (layout.getHeight() / 2)));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save2);
    }

    public int getCompoundPaddingLeft() {
        if (!ViewUtils.a(this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.y;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.m : compoundPaddingLeft;
    }

    public int getCompoundPaddingRight() {
        if (ViewUtils.a(this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.y;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.m : compoundPaddingRight;
    }

    private int getThumbOffset() {
        float f2;
        if (ViewUtils.a(this)) {
            f2 = 1.0f - this.x;
        } else {
            f2 = this.x;
        }
        return (int) ((f2 * ((float) getThumbScrollRange())) + 0.5f);
    }

    private int getThumbScrollRange() {
        Rect rect;
        if (this.f == null) {
            return 0;
        }
        Rect rect2 = this.L;
        this.f.getPadding(rect2);
        if (this.f699a != null) {
            rect = DrawableUtils.a(this.f699a);
        } else {
            rect = DrawableUtils.f648a;
        }
        return ((((this.y - this.A) - rect2.left) - rect2.right) - rect.left) - rect.right;
    }

    /* access modifiers changed from: protected */
    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 1);
        if (isChecked()) {
            mergeDrawableStates(onCreateDrawableState, N);
        }
        return onCreateDrawableState;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f699a;
        boolean z2 = false;
        if (drawable != null && drawable.isStateful()) {
            z2 = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.f;
        if (drawable2 != null && drawable2.isStateful()) {
            z2 |= drawable2.setState(drawableState);
        }
        if (z2) {
            invalidate();
        }
    }

    public void drawableHotspotChanged(float f2, float f3) {
        if (Build.VERSION.SDK_INT >= 21) {
            super.drawableHotspotChanged(f2, f3);
        }
        if (this.f699a != null) {
            DrawableCompat.a(this.f699a, f2, f3);
        }
        if (this.f != null) {
            DrawableCompat.a(this.f, f2, f3);
        }
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f699a || drawable == this.f;
    }

    public void jumpDrawablesToCurrentState() {
        if (Build.VERSION.SDK_INT >= 11) {
            super.jumpDrawablesToCurrentState();
            if (this.f699a != null) {
                this.f699a.jumpToCurrentState();
            }
            if (this.f != null) {
                this.f.jumpToCurrentState();
            }
            c();
            setThumbPosition(isChecked() ? 1.0f : 0.0f);
        }
    }

    @TargetApi(14)
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("android.widget.Switch");
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        if (Build.VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName("android.widget.Switch");
            CharSequence charSequence = isChecked() ? this.o : this.p;
            if (!TextUtils.isEmpty(charSequence)) {
                CharSequence text = accessibilityNodeInfo.getText();
                if (TextUtils.isEmpty(text)) {
                    accessibilityNodeInfo.setText(charSequence);
                    return;
                }
                StringBuilder sb = new StringBuilder();
                sb.append(text);
                sb.append(' ');
                sb.append(charSequence);
                accessibilityNodeInfo.setText(sb);
            }
        }
    }

    /* access modifiers changed from: private */
    public class ThumbAnimation extends Animation {

        /* renamed from: a  reason: collision with root package name */
        final float f701a;
        final float b;
        final float c;

        private ThumbAnimation(float f, float f2) {
            this.f701a = f;
            this.b = f2;
            this.c = f2 - f;
        }

        /* access modifiers changed from: protected */
        public void applyTransformation(float f, Transformation transformation) {
            SwitchCompat.this.setThumbPosition(this.f701a + (this.c * f));
        }
    }
}
