package android.support.v7.widget;

import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.Resources;
import android.os.Build;
import android.support.annotation.NonNull;
import android.support.v7.app.AppCompatDelegate;
import java.lang.ref.WeakReference;
import java.util.ArrayList;

public class TintContextWrapper extends ContextWrapper {

    /* renamed from: a  reason: collision with root package name */
    private static final ArrayList<WeakReference<TintContextWrapper>> f703a = new ArrayList<>();
    private final Resources b;
    private final Resources.Theme c;

    public static Context a(@NonNull Context context) {
        if (!b(context)) {
            return context;
        }
        int size = f703a.size();
        for (int i = 0; i < size; i++) {
            WeakReference<TintContextWrapper> weakReference = f703a.get(i);
            TintContextWrapper tintContextWrapper = weakReference != null ? weakReference.get() : null;
            if (tintContextWrapper != null && tintContextWrapper.getBaseContext() == context) {
                return tintContextWrapper;
            }
        }
        TintContextWrapper tintContextWrapper2 = new TintContextWrapper(context);
        f703a.add(new WeakReference<>(tintContextWrapper2));
        return tintContextWrapper2;
    }

    private static boolean b(@NonNull Context context) {
        if ((context instanceof TintContextWrapper) || (context.getResources() instanceof TintResources) || (context.getResources() instanceof VectorEnabledTintResources)) {
            return false;
        }
        if (!AppCompatDelegate.k() || Build.VERSION.SDK_INT <= 20) {
            return true;
        }
        return false;
    }

    private TintContextWrapper(@NonNull Context context) {
        super(context);
        if (VectorEnabledTintResources.a()) {
            this.b = new VectorEnabledTintResources(this, context.getResources());
            this.c = this.b.newTheme();
            this.c.setTo(context.getTheme());
            return;
        }
        this.b = new TintResources(this, context.getResources());
        this.c = null;
    }

    public Resources.Theme getTheme() {
        return this.c == null ? super.getTheme() : this.c;
    }

    public void setTheme(int i) {
        if (this.c == null) {
            super.setTheme(i);
        } else {
            this.c.applyStyle(i, true);
        }
    }

    public Resources getResources() {
        return this.b;
    }
}
