package android.support.v7.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.ColorInt;
import android.support.annotation.DrawableRes;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.annotation.StringRes;
import android.support.annotation.StyleRes;
import android.support.v4.os.ParcelableCompat;
import android.support.v4.os.ParcelableCompatCreatorCallbacks;
import android.support.v4.view.AbsSavedState;
import android.support.v4.view.GravityCompat;
import android.support.v4.view.MarginLayoutParamsCompat;
import android.support.v4.view.MenuItemCompat;
import android.support.v4.view.MotionEventCompat;
import android.support.v4.view.ViewCompat;
import android.support.v7.app.ActionBar;
import android.support.v7.appcompat.R;
import android.support.v7.view.CollapsibleActionView;
import android.support.v7.view.SupportMenuInflater;
import android.support.v7.view.menu.MenuBuilder;
import android.support.v7.view.menu.MenuItemImpl;
import android.support.v7.view.menu.MenuPresenter;
import android.support.v7.view.menu.SubMenuBuilder;
import android.support.v7.widget.ActionMenuView;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import java.util.ArrayList;
import java.util.List;

public class Toolbar extends ViewGroup {
    private int A;
    private boolean B;
    private boolean C;
    private final ArrayList<View> D;
    private final ArrayList<View> E;
    private final int[] F;
    private OnMenuItemClickListener G;
    private final ActionMenuView.OnMenuItemClickListener H;
    private ToolbarWidgetWrapper I;
    private ActionMenuPresenter J;
    private ExpandedActionViewMenuPresenter K;
    private MenuPresenter.Callback L;
    private MenuBuilder.Callback M;
    private boolean N;
    private final Runnable O;
    private final AppCompatDrawableManager P;

    /* renamed from: a  reason: collision with root package name */
    View f707a;
    private ActionMenuView b;
    private TextView c;
    private TextView d;
    private ImageButton e;
    private ImageView f;
    private Drawable g;
    private CharSequence h;
    private ImageButton i;
    private Context j;
    private int k;
    private int l;
    private int m;
    private int n;
    private int o;
    private int p;
    private int q;
    private int r;
    private int s;
    private final RtlSpacingHelper t;
    private int u;
    private int v;
    private int w;
    private CharSequence x;
    private CharSequence y;
    private int z;

    public interface OnMenuItemClickListener {
        boolean a(MenuItem menuItem);
    }

    public Toolbar(Context context) {
        this(context, null);
    }

    public Toolbar(Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.toolbarStyle);
    }

    public Toolbar(Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.t = new RtlSpacingHelper();
        this.w = 8388627;
        this.D = new ArrayList<>();
        this.E = new ArrayList<>();
        this.F = new int[2];
        this.H = new ActionMenuView.OnMenuItemClickListener() {
            /* class android.support.v7.widget.Toolbar.AnonymousClass1 */

            @Override // android.support.v7.widget.ActionMenuView.OnMenuItemClickListener
            public boolean a(MenuItem menuItem) {
                if (Toolbar.this.G != null) {
                    return Toolbar.this.G.a(menuItem);
                }
                return false;
            }
        };
        this.O = new Runnable() {
            /* class android.support.v7.widget.Toolbar.AnonymousClass2 */

            public void run() {
                Toolbar.this.d();
            }
        };
        TintTypedArray a2 = TintTypedArray.a(getContext(), attributeSet, R.styleable.Toolbar, i2, 0);
        this.l = a2.g(R.styleable.Toolbar_titleTextAppearance, 0);
        this.m = a2.g(R.styleable.Toolbar_subtitleTextAppearance, 0);
        this.w = a2.c(R.styleable.Toolbar_android_gravity, this.w);
        this.n = a2.c(R.styleable.Toolbar_buttonGravity, 48);
        int d2 = a2.d(R.styleable.Toolbar_titleMargin, 0);
        d2 = a2.g(R.styleable.Toolbar_titleMargins) ? a2.d(R.styleable.Toolbar_titleMargins, d2) : d2;
        this.s = d2;
        this.r = d2;
        this.q = d2;
        this.p = d2;
        int d3 = a2.d(R.styleable.Toolbar_titleMarginStart, -1);
        if (d3 >= 0) {
            this.p = d3;
        }
        int d4 = a2.d(R.styleable.Toolbar_titleMarginEnd, -1);
        if (d4 >= 0) {
            this.q = d4;
        }
        int d5 = a2.d(R.styleable.Toolbar_titleMarginTop, -1);
        if (d5 >= 0) {
            this.r = d5;
        }
        int d6 = a2.d(R.styleable.Toolbar_titleMarginBottom, -1);
        if (d6 >= 0) {
            this.s = d6;
        }
        this.o = a2.e(R.styleable.Toolbar_maxButtonHeight, -1);
        int d7 = a2.d(R.styleable.Toolbar_contentInsetStart, Integer.MIN_VALUE);
        int d8 = a2.d(R.styleable.Toolbar_contentInsetEnd, Integer.MIN_VALUE);
        this.t.b(a2.e(R.styleable.Toolbar_contentInsetLeft, 0), a2.e(R.styleable.Toolbar_contentInsetRight, 0));
        if (!(d7 == Integer.MIN_VALUE && d8 == Integer.MIN_VALUE)) {
            this.t.a(d7, d8);
        }
        this.u = a2.d(R.styleable.Toolbar_contentInsetStartWithNavigation, Integer.MIN_VALUE);
        this.v = a2.d(R.styleable.Toolbar_contentInsetEndWithActions, Integer.MIN_VALUE);
        this.g = a2.a(R.styleable.Toolbar_collapseIcon);
        this.h = a2.c(R.styleable.Toolbar_collapseContentDescription);
        CharSequence c2 = a2.c(R.styleable.Toolbar_title);
        if (!TextUtils.isEmpty(c2)) {
            setTitle(c2);
        }
        CharSequence c3 = a2.c(R.styleable.Toolbar_subtitle);
        if (!TextUtils.isEmpty(c3)) {
            setSubtitle(c3);
        }
        this.j = getContext();
        setPopupTheme(a2.g(R.styleable.Toolbar_popupTheme, 0));
        Drawable a3 = a2.a(R.styleable.Toolbar_navigationIcon);
        if (a3 != null) {
            setNavigationIcon(a3);
        }
        CharSequence c4 = a2.c(R.styleable.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(c4)) {
            setNavigationContentDescription(c4);
        }
        Drawable a4 = a2.a(R.styleable.Toolbar_logo);
        if (a4 != null) {
            setLogo(a4);
        }
        CharSequence c5 = a2.c(R.styleable.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(c5)) {
            setLogoDescription(c5);
        }
        if (a2.g(R.styleable.Toolbar_titleTextColor)) {
            setTitleTextColor(a2.b(R.styleable.Toolbar_titleTextColor, -1));
        }
        if (a2.g(R.styleable.Toolbar_subtitleTextColor)) {
            setSubtitleTextColor(a2.b(R.styleable.Toolbar_subtitleTextColor, -1));
        }
        a2.a();
        this.P = AppCompatDrawableManager.a();
    }

    public void setPopupTheme(@StyleRes int i2) {
        if (this.k != i2) {
            this.k = i2;
            if (i2 == 0) {
                this.j = getContext();
            } else {
                this.j = new ContextThemeWrapper(getContext(), i2);
            }
        }
    }

    public int getPopupTheme() {
        return this.k;
    }

    public int getTitleMarginStart() {
        return this.p;
    }

    public void setTitleMarginStart(int i2) {
        this.p = i2;
        requestLayout();
    }

    public int getTitleMarginTop() {
        return this.r;
    }

    public void setTitleMarginTop(int i2) {
        this.r = i2;
        requestLayout();
    }

    public int getTitleMarginEnd() {
        return this.q;
    }

    public void setTitleMarginEnd(int i2) {
        this.q = i2;
        requestLayout();
    }

    public int getTitleMarginBottom() {
        return this.s;
    }

    public void setTitleMarginBottom(int i2) {
        this.s = i2;
        requestLayout();
    }

    public void onRtlPropertiesChanged(int i2) {
        if (Build.VERSION.SDK_INT >= 17) {
            super.onRtlPropertiesChanged(i2);
        }
        RtlSpacingHelper rtlSpacingHelper = this.t;
        boolean z2 = true;
        if (i2 != 1) {
            z2 = false;
        }
        rtlSpacingHelper.a(z2);
    }

    public void setLogo(@DrawableRes int i2) {
        setLogo(this.P.a(getContext(), i2));
    }

    public boolean a() {
        return getVisibility() == 0 && this.b != null && this.b.a();
    }

    public boolean b() {
        return this.b != null && this.b.g();
    }

    public boolean c() {
        return this.b != null && this.b.h();
    }

    public boolean d() {
        return this.b != null && this.b.e();
    }

    public boolean e() {
        return this.b != null && this.b.f();
    }

    public void a(MenuBuilder menuBuilder, ActionMenuPresenter actionMenuPresenter) {
        if (menuBuilder != null || this.b != null) {
            n();
            MenuBuilder d2 = this.b.d();
            if (d2 != menuBuilder) {
                if (d2 != null) {
                    d2.b(this.J);
                    d2.b(this.K);
                }
                if (this.K == null) {
                    this.K = new ExpandedActionViewMenuPresenter();
                }
                actionMenuPresenter.d(true);
                if (menuBuilder != null) {
                    menuBuilder.a(actionMenuPresenter, this.j);
                    menuBuilder.a(this.K, this.j);
                } else {
                    actionMenuPresenter.a(this.j, (MenuBuilder) null);
                    this.K.a(this.j, (MenuBuilder) null);
                    actionMenuPresenter.b(true);
                    this.K.b(true);
                }
                this.b.setPopupTheme(this.k);
                this.b.setPresenter(actionMenuPresenter);
                this.J = actionMenuPresenter;
            }
        }
    }

    public void f() {
        if (this.b != null) {
            this.b.i();
        }
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            l();
            if (!d(this.f)) {
                a((View) this.f, true);
            }
        } else if (this.f != null && d(this.f)) {
            removeView(this.f);
            this.E.remove(this.f);
        }
        if (this.f != null) {
            this.f.setImageDrawable(drawable);
        }
    }

    public Drawable getLogo() {
        if (this.f != null) {
            return this.f.getDrawable();
        }
        return null;
    }

    public void setLogoDescription(@StringRes int i2) {
        setLogoDescription(getContext().getText(i2));
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            l();
        }
        if (this.f != null) {
            this.f.setContentDescription(charSequence);
        }
    }

    public CharSequence getLogoDescription() {
        if (this.f != null) {
            return this.f.getContentDescription();
        }
        return null;
    }

    private void l() {
        if (this.f == null) {
            this.f = new ImageView(getContext());
        }
    }

    public boolean g() {
        return (this.K == null || this.K.b == null) ? false : true;
    }

    public void h() {
        MenuItemImpl menuItemImpl = this.K == null ? null : this.K.b;
        if (menuItemImpl != null) {
            menuItemImpl.collapseActionView();
        }
    }

    public CharSequence getTitle() {
        return this.x;
    }

    public void setTitle(@StringRes int i2) {
        setTitle(getContext().getText(i2));
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.c == null) {
                Context context = getContext();
                this.c = new TextView(context);
                this.c.setSingleLine();
                this.c.setEllipsize(TextUtils.TruncateAt.END);
                if (this.l != 0) {
                    this.c.setTextAppearance(context, this.l);
                }
                if (this.z != 0) {
                    this.c.setTextColor(this.z);
                }
            }
            if (!d(this.c)) {
                a((View) this.c, true);
            }
        } else if (this.c != null && d(this.c)) {
            removeView(this.c);
            this.E.remove(this.c);
        }
        if (this.c != null) {
            this.c.setText(charSequence);
        }
        this.x = charSequence;
    }

    public CharSequence getSubtitle() {
        return this.y;
    }

    public void setSubtitle(@StringRes int i2) {
        setSubtitle(getContext().getText(i2));
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.d == null) {
                Context context = getContext();
                this.d = new TextView(context);
                this.d.setSingleLine();
                this.d.setEllipsize(TextUtils.TruncateAt.END);
                if (this.m != 0) {
                    this.d.setTextAppearance(context, this.m);
                }
                if (this.A != 0) {
                    this.d.setTextColor(this.A);
                }
            }
            if (!d(this.d)) {
                a((View) this.d, true);
            }
        } else if (this.d != null && d(this.d)) {
            removeView(this.d);
            this.E.remove(this.d);
        }
        if (this.d != null) {
            this.d.setText(charSequence);
        }
        this.y = charSequence;
    }

    public void a(Context context, @StyleRes int i2) {
        this.l = i2;
        if (this.c != null) {
            this.c.setTextAppearance(context, i2);
        }
    }

    public void b(Context context, @StyleRes int i2) {
        this.m = i2;
        if (this.d != null) {
            this.d.setTextAppearance(context, i2);
        }
    }

    public void setTitleTextColor(@ColorInt int i2) {
        this.z = i2;
        if (this.c != null) {
            this.c.setTextColor(i2);
        }
    }

    public void setSubtitleTextColor(@ColorInt int i2) {
        this.A = i2;
        if (this.d != null) {
            this.d.setTextColor(i2);
        }
    }

    @Nullable
    public CharSequence getNavigationContentDescription() {
        if (this.e != null) {
            return this.e.getContentDescription();
        }
        return null;
    }

    public void setNavigationContentDescription(@StringRes int i2) {
        setNavigationContentDescription(i2 != 0 ? getContext().getText(i2) : null);
    }

    public void setNavigationContentDescription(@Nullable CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            o();
        }
        if (this.e != null) {
            this.e.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(@DrawableRes int i2) {
        setNavigationIcon(this.P.a(getContext(), i2));
    }

    public void setNavigationIcon(@Nullable Drawable drawable) {
        if (drawable != null) {
            o();
            if (!d(this.e)) {
                a((View) this.e, true);
            }
        } else if (this.e != null && d(this.e)) {
            removeView(this.e);
            this.E.remove(this.e);
        }
        if (this.e != null) {
            this.e.setImageDrawable(drawable);
        }
    }

    @Nullable
    public Drawable getNavigationIcon() {
        if (this.e != null) {
            return this.e.getDrawable();
        }
        return null;
    }

    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        o();
        this.e.setOnClickListener(onClickListener);
    }

    public Menu getMenu() {
        m();
        return this.b.getMenu();
    }

    public void setOverflowIcon(@Nullable Drawable drawable) {
        m();
        this.b.setOverflowIcon(drawable);
    }

    @Nullable
    public Drawable getOverflowIcon() {
        m();
        return this.b.getOverflowIcon();
    }

    private void m() {
        n();
        if (this.b.d() == null) {
            MenuBuilder menuBuilder = (MenuBuilder) this.b.getMenu();
            if (this.K == null) {
                this.K = new ExpandedActionViewMenuPresenter();
            }
            this.b.setExpandedActionViewsExclusive(true);
            menuBuilder.a(this.K, this.j);
        }
    }

    private void n() {
        if (this.b == null) {
            this.b = new ActionMenuView(getContext());
            this.b.setPopupTheme(this.k);
            this.b.setOnMenuItemClickListener(this.H);
            this.b.a(this.L, this.M);
            LayoutParams i2 = generateDefaultLayoutParams();
            i2.f478a = 8388613 | (this.n & 112);
            this.b.setLayoutParams(i2);
            a((View) this.b, false);
        }
    }

    private MenuInflater getMenuInflater() {
        return new SupportMenuInflater(getContext());
    }

    public void setOnMenuItemClickListener(OnMenuItemClickListener onMenuItemClickListener) {
        this.G = onMenuItemClickListener;
    }

    public void a(int i2, int i3) {
        this.t.a(i2, i3);
    }

    public int getContentInsetStart() {
        return this.t.c();
    }

    public int getContentInsetEnd() {
        return this.t.d();
    }

    public int getContentInsetLeft() {
        return this.t.a();
    }

    public int getContentInsetRight() {
        return this.t.b();
    }

    public int getContentInsetStartWithNavigation() {
        if (this.u != Integer.MIN_VALUE) {
            return this.u;
        }
        return getContentInsetStart();
    }

    public void setContentInsetStartWithNavigation(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.u) {
            this.u = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public int getContentInsetEndWithActions() {
        if (this.v != Integer.MIN_VALUE) {
            return this.v;
        }
        return getContentInsetEnd();
    }

    public void setContentInsetEndWithActions(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.v) {
            this.v = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public int getCurrentContentInsetStart() {
        if (getNavigationIcon() != null) {
            return Math.max(getContentInsetStart(), Math.max(this.u, 0));
        }
        return getContentInsetStart();
    }

    public int getCurrentContentInsetEnd() {
        MenuBuilder d2;
        if ((this.b == null || (d2 = this.b.d()) == null || !d2.hasVisibleItems()) ? false : true) {
            return Math.max(getContentInsetEnd(), Math.max(this.v, 0));
        }
        return getContentInsetEnd();
    }

    public int getCurrentContentInsetLeft() {
        if (ViewCompat.f(this) == 1) {
            return getCurrentContentInsetEnd();
        }
        return getCurrentContentInsetStart();
    }

    public int getCurrentContentInsetRight() {
        if (ViewCompat.f(this) == 1) {
            return getCurrentContentInsetStart();
        }
        return getCurrentContentInsetEnd();
    }

    private void o() {
        if (this.e == null) {
            this.e = new ImageButton(getContext(), null, R.attr.toolbarNavigationButtonStyle);
            LayoutParams i2 = generateDefaultLayoutParams();
            i2.f478a = 8388611 | (this.n & 112);
            this.e.setLayoutParams(i2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void p() {
        if (this.i == null) {
            this.i = new ImageButton(getContext(), null, R.attr.toolbarNavigationButtonStyle);
            this.i.setImageDrawable(this.g);
            this.i.setContentDescription(this.h);
            LayoutParams i2 = generateDefaultLayoutParams();
            i2.f478a = 8388611 | (this.n & 112);
            i2.b = 2;
            this.i.setLayoutParams(i2);
            this.i.setOnClickListener(new View.OnClickListener() {
                /* class android.support.v7.widget.Toolbar.AnonymousClass3 */

                public void onClick(View view) {
                    Toolbar.this.h();
                }
            });
        }
    }

    private void a(View view, boolean z2) {
        LayoutParams layoutParams;
        ViewGroup.LayoutParams layoutParams2 = view.getLayoutParams();
        if (layoutParams2 == null) {
            layoutParams = generateDefaultLayoutParams();
        } else if (!checkLayoutParams(layoutParams2)) {
            layoutParams = generateLayoutParams(layoutParams2);
        } else {
            layoutParams = (LayoutParams) layoutParams2;
        }
        layoutParams.b = 1;
        if (!z2 || this.f707a == null) {
            addView(view, layoutParams);
            return;
        }
        view.setLayoutParams(layoutParams);
        this.E.add(view);
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (!(this.K == null || this.K.b == null)) {
            savedState.b = this.K.b.getItemId();
        }
        savedState.c = b();
        return savedState;
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        MenuItem findItem;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.a());
        MenuBuilder d2 = this.b != null ? this.b.d() : null;
        if (!(savedState.b == 0 || this.K == null || d2 == null || (findItem = d2.findItem(savedState.b)) == null)) {
            MenuItemCompat.b(findItem);
        }
        if (savedState.c) {
            q();
        }
    }

    private void q() {
        removeCallbacks(this.O);
        post(this.O);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.O);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int a2 = MotionEventCompat.a(motionEvent);
        if (a2 == 0) {
            this.B = false;
        }
        if (!this.B) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (a2 == 0 && !onTouchEvent) {
                this.B = true;
            }
        }
        if (a2 == 1 || a2 == 3) {
            this.B = false;
        }
        return true;
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int a2 = MotionEventCompat.a(motionEvent);
        if (a2 == 9) {
            this.C = false;
        }
        if (!this.C) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (a2 == 9 && !onHoverEvent) {
                this.C = true;
            }
        }
        if (a2 == 10 || a2 == 3) {
            this.C = false;
        }
        return true;
    }

    private void a(View view, int i2, int i3, int i4, int i5, int i6) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = getChildMeasureSpec(i2, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i3, marginLayoutParams.width);
        int childMeasureSpec2 = getChildMeasureSpec(i4, getPaddingTop() + getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height);
        int mode = View.MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i6 >= 0) {
            if (mode != 0) {
                i6 = Math.min(View.MeasureSpec.getSize(childMeasureSpec2), i6);
            }
            childMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i6, 1073741824);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    private int a(View view, int i2, int i3, int i4, int i5, int[] iArr) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int i6 = marginLayoutParams.leftMargin - iArr[0];
        int i7 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i6) + Math.max(0, i7);
        iArr[0] = Math.max(0, -i6);
        iArr[1] = Math.max(0, -i7);
        view.measure(getChildMeasureSpec(i2, getPaddingLeft() + getPaddingRight() + max + i3, marginLayoutParams.width), getChildMeasureSpec(i4, getPaddingTop() + getPaddingBottom() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    private boolean r() {
        if (!this.N) {
            return false;
        }
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (a(childAt) && childAt.getMeasuredWidth() > 0 && childAt.getMeasuredHeight() > 0) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        char c2;
        char c3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int[] iArr = this.F;
        if (ViewUtils.a(this)) {
            c3 = 1;
            c2 = 0;
        } else {
            c3 = 0;
            c2 = 1;
        }
        if (a(this.e)) {
            a(this.e, i2, 0, i3, 0, this.o);
            i6 = this.e.getMeasuredWidth() + b(this.e);
            i5 = Math.max(0, this.e.getMeasuredHeight() + c(this.e));
            i4 = ViewUtils.a(0, ViewCompat.j(this.e));
        } else {
            i6 = 0;
            i5 = 0;
            i4 = 0;
        }
        if (a(this.i)) {
            a(this.i, i2, 0, i3, 0, this.o);
            i6 = this.i.getMeasuredWidth() + b(this.i);
            i5 = Math.max(i5, this.i.getMeasuredHeight() + c(this.i));
            i4 = ViewUtils.a(i4, ViewCompat.j(this.i));
        }
        int currentContentInsetStart = getCurrentContentInsetStart();
        int max = Math.max(currentContentInsetStart, i6) + 0;
        iArr[c3] = Math.max(0, currentContentInsetStart - i6);
        if (a(this.b)) {
            a(this.b, i2, max, i3, 0, this.o);
            i7 = this.b.getMeasuredWidth() + b(this.b);
            i5 = Math.max(i5, this.b.getMeasuredHeight() + c(this.b));
            i4 = ViewUtils.a(i4, ViewCompat.j(this.b));
        } else {
            i7 = 0;
        }
        int currentContentInsetEnd = getCurrentContentInsetEnd();
        int max2 = max + Math.max(currentContentInsetEnd, i7);
        iArr[c2] = Math.max(0, currentContentInsetEnd - i7);
        if (a(this.f707a)) {
            max2 += a(this.f707a, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, this.f707a.getMeasuredHeight() + c(this.f707a));
            i4 = ViewUtils.a(i4, ViewCompat.j(this.f707a));
        }
        if (a(this.f)) {
            max2 += a(this.f, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, this.f.getMeasuredHeight() + c(this.f));
            i4 = ViewUtils.a(i4, ViewCompat.j(this.f));
        }
        int childCount = getChildCount();
        int i11 = i5;
        int i12 = max2;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (((LayoutParams) childAt.getLayoutParams()).b == 0 && a(childAt)) {
                i12 += a(childAt, i2, i12, i3, 0, iArr);
                i11 = Math.max(i11, childAt.getMeasuredHeight() + c(childAt));
                i4 = ViewUtils.a(i4, ViewCompat.j(childAt));
            }
        }
        int i14 = this.r + this.s;
        int i15 = this.p + this.q;
        if (a(this.c)) {
            a(this.c, i2, i12 + i15, i3, i14, iArr);
            int measuredWidth = this.c.getMeasuredWidth() + b(this.c);
            i8 = this.c.getMeasuredHeight() + c(this.c);
            i10 = ViewUtils.a(i4, ViewCompat.j(this.c));
            i9 = measuredWidth;
        } else {
            i10 = i4;
            i9 = 0;
            i8 = 0;
        }
        if (a(this.d)) {
            i9 = Math.max(i9, a(this.d, i2, i12 + i15, i3, i8 + i14, iArr));
            i8 += this.d.getMeasuredHeight() + c(this.d);
            i10 = ViewUtils.a(i10, ViewCompat.j(this.d));
        }
        int max3 = Math.max(i11, i8);
        int paddingLeft = i12 + i9 + getPaddingLeft() + getPaddingRight();
        int paddingTop = max3 + getPaddingTop() + getPaddingBottom();
        int a2 = ViewCompat.a(Math.max(paddingLeft, getSuggestedMinimumWidth()), i2, -16777216 & i10);
        int a3 = ViewCompat.a(Math.max(paddingTop, getSuggestedMinimumHeight()), i3, i10 << 16);
        if (r()) {
            a3 = 0;
        }
        setMeasuredDimension(a2, a3);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x02c2 A[LOOP:1: B:100:0x02c0->B:101:0x02c2, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x02ed  */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x02fc A[LOOP:2: B:108:0x02fa->B:109:0x02fc, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0055  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x006c  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x00a9  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00c0  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00dd  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00f6  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00fb  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0113  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x0123  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0126  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012a  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x012d  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0160  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x019f  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x01ae  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0221  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x02a0 A[LOOP:0: B:97:0x029e->B:98:0x02a0, LOOP_END] */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        boolean a2;
        boolean a3;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int size;
        int i14;
        int i15;
        int size2;
        int i16;
        int i17;
        int size3;
        boolean z3;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        int i24;
        char c2;
        int i25;
        int i26;
        boolean z4 = ViewCompat.f(this) == 1;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i27 = width - paddingRight;
        int[] iArr = this.F;
        iArr[1] = 0;
        iArr[0] = 0;
        int l2 = ViewCompat.l(this);
        if (!a(this.e)) {
            i6 = paddingLeft;
        } else if (z4) {
            i7 = b(this.e, i27, iArr, l2);
            i6 = paddingLeft;
            if (a(this.i)) {
                if (z4) {
                    i7 = b(this.i, i7, iArr, l2);
                } else {
                    i6 = a(this.i, i6, iArr, l2);
                }
            }
            if (a(this.b)) {
                if (z4) {
                    i6 = a(this.b, i6, iArr, l2);
                } else {
                    i7 = b(this.b, i7, iArr, l2);
                }
            }
            int currentContentInsetLeft = getCurrentContentInsetLeft();
            int currentContentInsetRight = getCurrentContentInsetRight();
            iArr[0] = Math.max(0, currentContentInsetLeft - i6);
            iArr[1] = Math.max(0, currentContentInsetRight - (i27 - i7));
            int max = Math.max(i6, currentContentInsetLeft);
            int min = Math.min(i7, i27 - currentContentInsetRight);
            if (a(this.f707a)) {
                if (z4) {
                    min = b(this.f707a, min, iArr, l2);
                } else {
                    max = a(this.f707a, max, iArr, l2);
                }
            }
            if (a(this.f)) {
                if (z4) {
                    min = b(this.f, min, iArr, l2);
                } else {
                    max = a(this.f, max, iArr, l2);
                }
            }
            a2 = a(this.c);
            a3 = a(this.d);
            if (!a2) {
                LayoutParams layoutParams = (LayoutParams) this.c.getLayoutParams();
                i8 = paddingRight;
                i9 = layoutParams.topMargin + this.c.getMeasuredHeight() + layoutParams.bottomMargin + 0;
            } else {
                i8 = paddingRight;
                i9 = 0;
            }
            if (!a3) {
                LayoutParams layoutParams2 = (LayoutParams) this.d.getLayoutParams();
                i10 = width;
                i9 += layoutParams2.topMargin + this.d.getMeasuredHeight() + layoutParams2.bottomMargin;
            } else {
                i10 = width;
            }
            if (!a2 || a3) {
                TextView textView = !a2 ? this.c : this.d;
                TextView textView2 = !a3 ? this.d : this.c;
                LayoutParams layoutParams3 = (LayoutParams) textView.getLayoutParams();
                LayoutParams layoutParams4 = (LayoutParams) textView2.getLayoutParams();
                if ((a2 || this.c.getMeasuredWidth() <= 0) && (!a3 || this.d.getMeasuredWidth() <= 0)) {
                    i12 = paddingLeft;
                    z3 = false;
                } else {
                    i12 = paddingLeft;
                    z3 = true;
                }
                i18 = this.w & 112;
                i11 = l2;
                if (i18 != 48) {
                    i19 = max;
                    i20 = getPaddingTop() + layoutParams3.topMargin + this.r;
                } else if (i18 != 80) {
                    int i28 = (((height - paddingTop) - paddingBottom) - i9) / 2;
                    i19 = max;
                    if (i28 < layoutParams3.topMargin + this.r) {
                        i28 = layoutParams3.topMargin + this.r;
                    } else {
                        int i29 = (((height - paddingBottom) - i9) - i28) - paddingTop;
                        if (i29 < layoutParams3.bottomMargin + this.s) {
                            i28 = Math.max(0, i28 - ((layoutParams4.bottomMargin + this.s) - i29));
                        }
                    }
                    i20 = paddingTop + i28;
                } else {
                    i19 = max;
                    i20 = (((height - paddingBottom) - layoutParams4.bottomMargin) - this.s) - i9;
                }
                if (!z4) {
                    if (z3) {
                        i24 = this.p;
                        c2 = 1;
                    } else {
                        c2 = 1;
                        i24 = 0;
                    }
                    int i30 = i24 - iArr[c2];
                    min -= Math.max(0, i30);
                    iArr[c2] = Math.max(0, -i30);
                    if (a2) {
                        int measuredWidth = min - this.c.getMeasuredWidth();
                        int measuredHeight = this.c.getMeasuredHeight() + i20;
                        this.c.layout(measuredWidth, i20, min, measuredHeight);
                        i25 = measuredWidth - this.q;
                        i20 = measuredHeight + ((LayoutParams) this.c.getLayoutParams()).bottomMargin;
                    } else {
                        i25 = min;
                    }
                    if (a3) {
                        LayoutParams layoutParams5 = (LayoutParams) this.d.getLayoutParams();
                        int i31 = i20 + layoutParams5.topMargin;
                        this.d.layout(min - this.d.getMeasuredWidth(), i31, min, this.d.getMeasuredHeight() + i31);
                        i26 = min - this.q;
                        int i32 = layoutParams5.bottomMargin;
                    } else {
                        i26 = min;
                    }
                    if (z3) {
                        min = Math.min(i25, i26);
                    }
                    max = i19;
                } else {
                    if (z3) {
                        i21 = this.p;
                        i13 = 0;
                    } else {
                        i13 = 0;
                        i21 = 0;
                    }
                    int i33 = i21 - iArr[i13];
                    max = i19 + Math.max(i13, i33);
                    iArr[i13] = Math.max(i13, -i33);
                    if (a2) {
                        int measuredWidth2 = this.c.getMeasuredWidth() + max;
                        int measuredHeight2 = this.c.getMeasuredHeight() + i20;
                        this.c.layout(max, i20, measuredWidth2, measuredHeight2);
                        i22 = measuredWidth2 + this.q;
                        i20 = measuredHeight2 + ((LayoutParams) this.c.getLayoutParams()).bottomMargin;
                    } else {
                        i22 = max;
                    }
                    if (a3) {
                        LayoutParams layoutParams6 = (LayoutParams) this.d.getLayoutParams();
                        int i34 = i20 + layoutParams6.topMargin;
                        int measuredWidth3 = this.d.getMeasuredWidth() + max;
                        this.d.layout(max, i34, measuredWidth3, this.d.getMeasuredHeight() + i34);
                        i23 = measuredWidth3 + this.q;
                        int i35 = layoutParams6.bottomMargin;
                    } else {
                        i23 = max;
                    }
                    if (z3) {
                        max = Math.max(i22, i23);
                    }
                    a(this.D, 3);
                    size = this.D.size();
                    i14 = max;
                    for (i15 = 0; i15 < size; i15++) {
                        i14 = a(this.D.get(i15), i14, iArr, i11);
                    }
                    a(this.D, 5);
                    size2 = this.D.size();
                    for (i16 = 0; i16 < size2; i16++) {
                        min = b(this.D.get(i16), min, iArr, i11);
                    }
                    a(this.D, 1);
                    int a4 = a(this.D, iArr);
                    i17 = (i12 + (((i10 - i12) - i8) / 2)) - (a4 / 2);
                    int i36 = a4 + i17;
                    if (i17 >= i14) {
                        i14 = i36 > min ? i17 - (i36 - min) : i17;
                    }
                    size3 = this.D.size();
                    while (i13 < size3) {
                        i14 = a(this.D.get(i13), i14, iArr, i11);
                        i13++;
                    }
                    this.D.clear();
                    return;
                }
            } else {
                i12 = paddingLeft;
                i11 = l2;
            }
            i13 = 0;
            a(this.D, 3);
            size = this.D.size();
            i14 = max;
            while (i15 < size) {
            }
            a(this.D, 5);
            size2 = this.D.size();
            while (i16 < size2) {
            }
            a(this.D, 1);
            int a42 = a(this.D, iArr);
            i17 = (i12 + (((i10 - i12) - i8) / 2)) - (a42 / 2);
            int i362 = a42 + i17;
            if (i17 >= i14) {
            }
            size3 = this.D.size();
            while (i13 < size3) {
            }
            this.D.clear();
            return;
        } else {
            i6 = a(this.e, paddingLeft, iArr, l2);
        }
        i7 = i27;
        if (a(this.i)) {
        }
        if (a(this.b)) {
        }
        int currentContentInsetLeft2 = getCurrentContentInsetLeft();
        int currentContentInsetRight2 = getCurrentContentInsetRight();
        iArr[0] = Math.max(0, currentContentInsetLeft2 - i6);
        iArr[1] = Math.max(0, currentContentInsetRight2 - (i27 - i7));
        int max2 = Math.max(i6, currentContentInsetLeft2);
        int min2 = Math.min(i7, i27 - currentContentInsetRight2);
        if (a(this.f707a)) {
        }
        if (a(this.f)) {
        }
        a2 = a(this.c);
        a3 = a(this.d);
        if (!a2) {
        }
        if (!a3) {
        }
        if (!a2) {
        }
        if (!a2) {
        }
        if (!a3) {
        }
        LayoutParams layoutParams32 = (LayoutParams) textView.getLayoutParams();
        LayoutParams layoutParams42 = (LayoutParams) textView2.getLayoutParams();
        if (a2) {
        }
        i12 = paddingLeft;
        z3 = false;
        i18 = this.w & 112;
        i11 = l2;
        if (i18 != 48) {
        }
        if (!z4) {
        }
    }

    private int a(List<View> list, int[] iArr) {
        int i2 = iArr[0];
        int i3 = iArr[1];
        int size = list.size();
        int i4 = i3;
        int i5 = 0;
        int i6 = 0;
        while (i5 < size) {
            View view = list.get(i5);
            LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
            int i7 = layoutParams.leftMargin - i2;
            int i8 = layoutParams.rightMargin - i4;
            int max = Math.max(0, i7);
            int max2 = Math.max(0, i8);
            int max3 = Math.max(0, -i7);
            int max4 = Math.max(0, -i8);
            i6 += max + view.getMeasuredWidth() + max2;
            i5++;
            i4 = max4;
            i2 = max3;
        }
        return i6;
    }

    private int a(View view, int i2, int[] iArr, int i3) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = layoutParams.leftMargin - iArr[0];
        int max = i2 + Math.max(0, i4);
        iArr[0] = Math.max(0, -i4);
        int a2 = a(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, a2, max + measuredWidth, view.getMeasuredHeight() + a2);
        return max + measuredWidth + layoutParams.rightMargin;
    }

    private int b(View view, int i2, int[] iArr, int i3) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = layoutParams.rightMargin - iArr[1];
        int max = i2 - Math.max(0, i4);
        iArr[1] = Math.max(0, -i4);
        int a2 = a(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, a2, max, view.getMeasuredHeight() + a2);
        return max - (measuredWidth + layoutParams.leftMargin);
    }

    private int a(View view, int i2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i3 = i2 > 0 ? (measuredHeight - i2) / 2 : 0;
        int a2 = a(layoutParams.f478a);
        if (a2 == 48) {
            return getPaddingTop() - i3;
        }
        if (a2 == 80) {
            return (((getHeight() - getPaddingBottom()) - measuredHeight) - layoutParams.bottomMargin) - i3;
        }
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int height = getHeight();
        int i4 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
        if (i4 < layoutParams.topMargin) {
            i4 = layoutParams.topMargin;
        } else {
            int i5 = (((height - paddingBottom) - measuredHeight) - i4) - paddingTop;
            if (i5 < layoutParams.bottomMargin) {
                i4 = Math.max(0, i4 - (layoutParams.bottomMargin - i5));
            }
        }
        return paddingTop + i4;
    }

    private int a(int i2) {
        int i3 = i2 & 112;
        return (i3 == 16 || i3 == 48 || i3 == 80) ? i3 : this.w & 112;
    }

    private void a(List<View> list, int i2) {
        boolean z2 = ViewCompat.f(this) == 1;
        int childCount = getChildCount();
        int a2 = GravityCompat.a(i2, ViewCompat.f(this));
        list.clear();
        if (z2) {
            for (int i3 = childCount - 1; i3 >= 0; i3--) {
                View childAt = getChildAt(i3);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.b == 0 && a(childAt) && b(layoutParams.f478a) == a2) {
                    list.add(childAt);
                }
            }
            return;
        }
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt2 = getChildAt(i4);
            LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
            if (layoutParams2.b == 0 && a(childAt2) && b(layoutParams2.f478a) == a2) {
                list.add(childAt2);
            }
        }
    }

    private int b(int i2) {
        int f2 = ViewCompat.f(this);
        int a2 = GravityCompat.a(i2, f2) & 7;
        if (a2 == 1 || a2 == 3 || a2 == 5) {
            return a2;
        }
        return f2 == 1 ? 5 : 3;
    }

    private boolean a(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    private int b(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return MarginLayoutParamsCompat.a(marginLayoutParams) + MarginLayoutParamsCompat.b(marginLayoutParams);
    }

    private int c(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    /* renamed from: a */
    public LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof LayoutParams) {
            return new LayoutParams((LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ActionBar.LayoutParams) {
            return new LayoutParams((ActionBar.LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    /* access modifiers changed from: protected */
    /* renamed from: i */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof LayoutParams);
    }

    public DecorToolbar getWrapper() {
        if (this.I == null) {
            this.I = new ToolbarWidgetWrapper(this, true);
        }
        return this.I;
    }

    /* access modifiers changed from: package-private */
    public void j() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (!(((LayoutParams) childAt.getLayoutParams()).b == 2 || childAt == this.b)) {
                removeViewAt(childCount);
                this.E.add(childAt);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void k() {
        for (int size = this.E.size() - 1; size >= 0; size--) {
            addView(this.E.get(size));
        }
        this.E.clear();
    }

    private boolean d(View view) {
        return view.getParent() == this || this.E.contains(view);
    }

    public void setCollapsible(boolean z2) {
        this.N = z2;
        requestLayout();
    }

    public void a(MenuPresenter.Callback callback, MenuBuilder.Callback callback2) {
        this.L = callback;
        this.M = callback2;
        if (this.b != null) {
            this.b.a(callback, callback2);
        }
    }

    public static class LayoutParams extends ActionBar.LayoutParams {
        int b = 0;

        public LayoutParams(@NonNull Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public LayoutParams(int i, int i2) {
            super(i, i2);
            this.f478a = 8388627;
        }

        public LayoutParams(LayoutParams layoutParams) {
            super((ActionBar.LayoutParams) layoutParams);
            this.b = layoutParams.b;
        }

        public LayoutParams(ActionBar.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            a(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        /* access modifiers changed from: package-private */
        public void a(ViewGroup.MarginLayoutParams marginLayoutParams) {
            this.leftMargin = marginLayoutParams.leftMargin;
            this.topMargin = marginLayoutParams.topMargin;
            this.rightMargin = marginLayoutParams.rightMargin;
            this.bottomMargin = marginLayoutParams.bottomMargin;
        }
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = ParcelableCompat.a(new ParcelableCompatCreatorCallbacks<SavedState>() {
            /* class android.support.v7.widget.Toolbar.SavedState.AnonymousClass1 */

            /* renamed from: b */
            public SavedState a(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            /* renamed from: b */
            public SavedState[] a(int i) {
                return new SavedState[i];
            }
        });
        int b;
        boolean c;

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.b = parcel.readInt();
            this.c = parcel.readInt() != 0;
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // android.support.v4.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.b);
            parcel.writeInt(this.c ? 1 : 0);
        }
    }

    /* access modifiers changed from: private */
    public class ExpandedActionViewMenuPresenter implements MenuPresenter {

        /* renamed from: a  reason: collision with root package name */
        MenuBuilder f711a;
        MenuItemImpl b;

        @Override // android.support.v7.view.menu.MenuPresenter
        public void a(MenuBuilder menuBuilder, boolean z) {
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public void a(MenuPresenter.Callback callback) {
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public boolean a(SubMenuBuilder subMenuBuilder) {
            return false;
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public boolean b() {
            return false;
        }

        private ExpandedActionViewMenuPresenter() {
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public void a(Context context, MenuBuilder menuBuilder) {
            if (!(this.f711a == null || this.b == null)) {
                this.f711a.d(this.b);
            }
            this.f711a = menuBuilder;
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public void b(boolean z) {
            if (this.b != null) {
                boolean z2 = false;
                if (this.f711a != null) {
                    int size = this.f711a.size();
                    int i = 0;
                    while (true) {
                        if (i >= size) {
                            break;
                        } else if (this.f711a.getItem(i) == this.b) {
                            z2 = true;
                            break;
                        } else {
                            i++;
                        }
                    }
                }
                if (!z2) {
                    b(this.f711a, this.b);
                }
            }
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public boolean a(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
            Toolbar.this.p();
            if (Toolbar.this.i.getParent() != Toolbar.this) {
                Toolbar.this.addView(Toolbar.this.i);
            }
            Toolbar.this.f707a = menuItemImpl.getActionView();
            this.b = menuItemImpl;
            if (Toolbar.this.f707a.getParent() != Toolbar.this) {
                LayoutParams i = Toolbar.this.generateDefaultLayoutParams();
                i.f478a = 8388611 | (Toolbar.this.n & 112);
                i.b = 2;
                Toolbar.this.f707a.setLayoutParams(i);
                Toolbar.this.addView(Toolbar.this.f707a);
            }
            Toolbar.this.j();
            Toolbar.this.requestLayout();
            menuItemImpl.e(true);
            if (Toolbar.this.f707a instanceof CollapsibleActionView) {
                ((CollapsibleActionView) Toolbar.this.f707a).a();
            }
            return true;
        }

        @Override // android.support.v7.view.menu.MenuPresenter
        public boolean b(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
            if (Toolbar.this.f707a instanceof CollapsibleActionView) {
                ((CollapsibleActionView) Toolbar.this.f707a).b();
            }
            Toolbar.this.removeView(Toolbar.this.f707a);
            Toolbar.this.removeView(Toolbar.this.i);
            Toolbar.this.f707a = null;
            Toolbar.this.k();
            this.b = null;
            Toolbar.this.requestLayout();
            menuItemImpl.e(false);
            return true;
        }
    }
}
