package bolts;

import java.util.Locale;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

final class BoltsExecutors {

    /* renamed from: a  reason: collision with root package name */
    private static final BoltsExecutors f720a = new BoltsExecutors();
    private final ExecutorService b;
    private final ScheduledExecutorService c;
    private final Executor d;

    private static boolean d() {
        String property = System.getProperty("java.runtime.name");
        if (property == null) {
            return false;
        }
        return property.toLowerCase(Locale.US).contains("android");
    }

    private BoltsExecutors() {
        this.b = !d() ? Executors.newCachedThreadPool() : AndroidExecutors.a();
        this.c = Executors.newSingleThreadScheduledExecutor();
        this.d = new ImmediateExecutor();
    }

    public static ExecutorService a() {
        return f720a.b;
    }

    static ScheduledExecutorService b() {
        return f720a.c;
    }

    static Executor c() {
        return f720a.d;
    }

    private static class ImmediateExecutor implements Executor {

        /* renamed from: a  reason: collision with root package name */
        private ThreadLocal<Integer> f721a;

        private ImmediateExecutor() {
            this.f721a = new ThreadLocal<>();
        }

        private int a() {
            Integer num = this.f721a.get();
            if (num == null) {
                num = 0;
            }
            int intValue = num.intValue() + 1;
            this.f721a.set(Integer.valueOf(intValue));
            return intValue;
        }

        private int b() {
            Integer num = this.f721a.get();
            if (num == null) {
                num = 0;
            }
            int intValue = num.intValue() - 1;
            if (intValue == 0) {
                this.f721a.remove();
            } else {
                this.f721a.set(Integer.valueOf(intValue));
            }
            return intValue;
        }

        public void execute(Runnable runnable) {
            if (a() <= 15) {
                try {
                    runnable.run();
                } finally {
                    b();
                }
            } else {
                BoltsExecutors.a().execute(runnable);
            }
        }
    }
}
