package bolts;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.Executor;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public class Task<TResult> {

    /* renamed from: a  reason: collision with root package name */
    public static final ExecutorService f727a = BoltsExecutors.a();
    public static final Executor b = AndroidExecutors.b();
    private static final Executor c = BoltsExecutors.c();
    private static volatile UnobservedExceptionHandler d;
    private static Task<?> m = new Task<>((Object) null);
    private static Task<Boolean> n = new Task<>((Boolean) true);
    private static Task<Boolean> o = new Task<>((Boolean) false);
    private static Task<?> p = new Task<>(true);
    private final Object e = new Object();
    private boolean f;
    private boolean g;
    private TResult h;
    private Exception i;
    private boolean j;
    private UnobservedErrorNotifier k;
    private List<Continuation<TResult, Void>> l = new ArrayList();

    public class TaskCompletionSource extends TaskCompletionSource<TResult> {
    }

    public interface UnobservedExceptionHandler {
        void a(Task<?> task, UnobservedTaskException unobservedTaskException);
    }

    public static UnobservedExceptionHandler a() {
        return d;
    }

    Task() {
    }

    private Task(TResult tresult) {
        b((Object) tresult);
    }

    private Task(boolean z) {
        if (z) {
            h();
        } else {
            b((Object) null);
        }
    }

    public boolean b() {
        boolean z;
        synchronized (this.e) {
            z = this.f;
        }
        return z;
    }

    public boolean c() {
        boolean z;
        synchronized (this.e) {
            z = this.g;
        }
        return z;
    }

    public boolean d() {
        boolean z;
        synchronized (this.e) {
            z = f() != null;
        }
        return z;
    }

    public TResult e() {
        TResult tresult;
        synchronized (this.e) {
            tresult = this.h;
        }
        return tresult;
    }

    public Exception f() {
        Exception exc;
        synchronized (this.e) {
            if (this.i != null) {
                this.j = true;
                if (this.k != null) {
                    this.k.a();
                    this.k = null;
                }
            }
            exc = this.i;
        }
        return exc;
    }

    public static <TResult> Task<TResult> a(TResult tresult) {
        if (tresult == null) {
            return (Task<TResult>) m;
        }
        if (tresult instanceof Boolean) {
            return tresult.booleanValue() ? (Task<TResult>) n : (Task<TResult>) o;
        }
        TaskCompletionSource taskCompletionSource = new TaskCompletionSource();
        taskCompletionSource.b((Object) tresult);
        return taskCompletionSource.a();
    }

    public static <TResult> Task<TResult> a(Exception exc) {
        TaskCompletionSource taskCompletionSource = new TaskCompletionSource();
        taskCompletionSource.b(exc);
        return taskCompletionSource.a();
    }

    public static <TResult> Task<TResult> g() {
        return (Task<TResult>) p;
    }

    /* renamed from: bolts.Task$1  reason: invalid class name */
    static class AnonymousClass1 implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ TaskCompletionSource f728a;

        public void run() {
            this.f728a.a((Object) null);
        }
    }

    /* renamed from: bolts.Task$2  reason: invalid class name */
    static class AnonymousClass2 implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ ScheduledFuture f736a;
        final /* synthetic */ TaskCompletionSource b;

        public void run() {
            this.f736a.cancel(true);
            this.b.b();
        }
    }

    /* renamed from: bolts.Task$3  reason: invalid class name */
    class AnonymousClass3 implements Continuation<TResult, Task<Void>> {
        /* renamed from: b */
        public Task<Void> a(Task<TResult> task) throws Exception {
            if (task.c()) {
                return Task.g();
            }
            if (task.d()) {
                return Task.a(task.f());
            }
            return Task.a((Object) null);
        }
    }

    public static <TResult> Task<TResult> a(Callable<TResult> callable, Executor executor) {
        return a(callable, executor, (CancellationToken) null);
    }

    public static <TResult> Task<TResult> a(final Callable<TResult> callable, Executor executor, final CancellationToken cancellationToken) {
        final TaskCompletionSource taskCompletionSource = new TaskCompletionSource();
        try {
            executor.execute(new Runnable() {
                /* class bolts.Task.AnonymousClass4 */

                /* JADX DEBUG: Multi-variable search result rejected for r0v3, resolved type: bolts.TaskCompletionSource */
                /* JADX WARN: Multi-variable type inference failed */
                public void run() {
                    if (cancellationToken == null || !cancellationToken.a()) {
                        try {
                            taskCompletionSource.b(callable.call());
                        } catch (CancellationException unused) {
                            taskCompletionSource.c();
                        } catch (Exception e) {
                            taskCompletionSource.b(e);
                        }
                    } else {
                        taskCompletionSource.c();
                    }
                }
            });
        } catch (Exception e2) {
            taskCompletionSource.b((Exception) new ExecutorException(e2));
        }
        return taskCompletionSource.a();
    }

    /* renamed from: bolts.Task$5  reason: invalid class name */
    static class AnonymousClass5 implements Continuation<TResult, Void> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AtomicBoolean f738a;
        final /* synthetic */ TaskCompletionSource b;

        /* renamed from: b */
        public Void a(Task<TResult> task) {
            if (this.f738a.compareAndSet(false, true)) {
                this.b.b(task);
                return null;
            }
            task.f();
            return null;
        }
    }

    /* renamed from: bolts.Task$6  reason: invalid class name */
    static class AnonymousClass6 implements Continuation<Object, Void> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AtomicBoolean f739a;
        final /* synthetic */ TaskCompletionSource b;

        /* renamed from: b */
        public Void a(Task<Object> task) {
            if (this.f739a.compareAndSet(false, true)) {
                this.b.b(task);
                return null;
            }
            task.f();
            return null;
        }
    }

    /* renamed from: bolts.Task$7  reason: invalid class name */
    static class AnonymousClass7 implements Continuation<Void, List<TResult>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Collection f740a;

        /* renamed from: b */
        public List<TResult> a(Task<Void> task) throws Exception {
            if (this.f740a.size() == 0) {
                return Collections.emptyList();
            }
            ArrayList arrayList = new ArrayList();
            for (Task task2 : this.f740a) {
                arrayList.add(task2.e());
            }
            return arrayList;
        }
    }

    /* renamed from: bolts.Task$8  reason: invalid class name */
    static class AnonymousClass8 implements Continuation<Object, Void> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Object f741a;
        final /* synthetic */ ArrayList b;
        final /* synthetic */ AtomicBoolean c;
        final /* synthetic */ AtomicInteger d;
        final /* synthetic */ TaskCompletionSource e;

        /* renamed from: b */
        public Void a(Task<Object> task) {
            if (task.d()) {
                synchronized (this.f741a) {
                    this.b.add(task.f());
                }
            }
            if (task.c()) {
                this.c.set(true);
            }
            if (this.d.decrementAndGet() == 0) {
                if (this.b.size() != 0) {
                    if (this.b.size() == 1) {
                        this.e.b((Exception) this.b.get(0));
                    } else {
                        this.e.b((Exception) new AggregateException(String.format("There were %d exceptions.", Integer.valueOf(this.b.size())), this.b));
                    }
                } else if (this.c.get()) {
                    this.e.c();
                } else {
                    this.e.b((Object) null);
                }
            }
            return null;
        }
    }

    /* renamed from: bolts.Task$9  reason: invalid class name */
    class AnonymousClass9 implements Continuation<Void, Task<Void>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ CancellationToken f742a;
        final /* synthetic */ Callable b;
        final /* synthetic */ Continuation c;
        final /* synthetic */ Executor d;
        final /* synthetic */ Capture e;

        /* renamed from: b */
        public Task<Void> a(Task<Void> task) throws Exception {
            if (this.f742a != null && this.f742a.a()) {
                return Task.g();
            }
            if (((Boolean) this.b.call()).booleanValue()) {
                return Task.a((Object) null).b(this.c, this.d).b((Continuation) this.e.a(), this.d);
            }
            return Task.a((Object) null);
        }
    }

    public <TContinuationResult> Task<TContinuationResult> a(final Continuation<TResult, TContinuationResult> continuation, final Executor executor, final CancellationToken cancellationToken) {
        boolean b2;
        final TaskCompletionSource taskCompletionSource = new TaskCompletionSource();
        synchronized (this.e) {
            b2 = b();
            if (!b2) {
                this.l.add(new Continuation<TResult, Void>() {
                    /* class bolts.Task.AnonymousClass10 */

                    /* renamed from: b */
                    public Void a(Task<TResult> task) {
                        Task.c(taskCompletionSource, continuation, task, executor, cancellationToken);
                        return null;
                    }
                });
            }
        }
        if (b2) {
            c(taskCompletionSource, continuation, this, executor, cancellationToken);
        }
        return taskCompletionSource.a();
    }

    public <TContinuationResult> Task<TContinuationResult> a(Continuation<TResult, TContinuationResult> continuation) {
        return a(continuation, c, (CancellationToken) null);
    }

    public <TContinuationResult> Task<TContinuationResult> a(Continuation<TResult, Task<TContinuationResult>> continuation, Executor executor) {
        return b(continuation, executor, null);
    }

    public <TContinuationResult> Task<TContinuationResult> b(final Continuation<TResult, Task<TContinuationResult>> continuation, final Executor executor, final CancellationToken cancellationToken) {
        boolean b2;
        final TaskCompletionSource taskCompletionSource = new TaskCompletionSource();
        synchronized (this.e) {
            b2 = b();
            if (!b2) {
                this.l.add(new Continuation<TResult, Void>() {
                    /* class bolts.Task.AnonymousClass11 */

                    /* renamed from: b */
                    public Void a(Task<TResult> task) {
                        Task.d(taskCompletionSource, continuation, task, executor, cancellationToken);
                        return null;
                    }
                });
            }
        }
        if (b2) {
            d(taskCompletionSource, continuation, this, executor, cancellationToken);
        }
        return taskCompletionSource.a();
    }

    public <TContinuationResult> Task<TContinuationResult> b(Continuation<TResult, Task<TContinuationResult>> continuation) {
        return b(continuation, c, null);
    }

    /* renamed from: bolts.Task$12  reason: invalid class name */
    class AnonymousClass12 implements Continuation<TResult, Task<TContinuationResult>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ CancellationToken f731a;
        final /* synthetic */ Continuation b;

        /* renamed from: b */
        public Task<TContinuationResult> a(Task<TResult> task) {
            if (this.f731a != null && this.f731a.a()) {
                return Task.g();
            }
            if (task.d()) {
                return Task.a(task.f());
            }
            if (task.c()) {
                return Task.g();
            }
            return task.a((Continuation) this.b);
        }
    }

    public <TContinuationResult> Task<TContinuationResult> b(Continuation<TResult, Task<TContinuationResult>> continuation, Executor executor) {
        return c(continuation, executor, null);
    }

    public <TContinuationResult> Task<TContinuationResult> c(final Continuation<TResult, Task<TContinuationResult>> continuation, Executor executor, final CancellationToken cancellationToken) {
        return a(new Continuation<TResult, Task<TContinuationResult>>() {
            /* class bolts.Task.AnonymousClass13 */

            /* renamed from: b */
            public Task<TContinuationResult> a(Task<TResult> task) {
                if (cancellationToken != null && cancellationToken.a()) {
                    return Task.g();
                }
                if (task.d()) {
                    return Task.a(task.f());
                }
                if (task.c()) {
                    return Task.g();
                }
                return task.b((Continuation) continuation);
            }
        }, executor);
    }

    /* access modifiers changed from: private */
    public static <TContinuationResult, TResult> void c(final TaskCompletionSource<TContinuationResult> taskCompletionSource, final Continuation<TResult, TContinuationResult> continuation, final Task<TResult> task, Executor executor, final CancellationToken cancellationToken) {
        try {
            executor.execute(new Runnable() {
                /* class bolts.Task.AnonymousClass14 */

                /* JADX DEBUG: Multi-variable search result rejected for r1v2, resolved type: bolts.TaskCompletionSource */
                /* JADX WARN: Multi-variable type inference failed */
                public void run() {
                    if (cancellationToken == null || !cancellationToken.a()) {
                        try {
                            taskCompletionSource.b(continuation.a(task));
                        } catch (CancellationException unused) {
                            taskCompletionSource.c();
                        } catch (Exception e) {
                            taskCompletionSource.b(e);
                        }
                    } else {
                        taskCompletionSource.c();
                    }
                }
            });
        } catch (Exception e2) {
            taskCompletionSource.b(new ExecutorException(e2));
        }
    }

    /* access modifiers changed from: private */
    public static <TContinuationResult, TResult> void d(final TaskCompletionSource<TContinuationResult> taskCompletionSource, final Continuation<TResult, Task<TContinuationResult>> continuation, final Task<TResult> task, Executor executor, final CancellationToken cancellationToken) {
        try {
            executor.execute(new Runnable() {
                /* class bolts.Task.AnonymousClass15 */

                public void run() {
                    if (cancellationToken == null || !cancellationToken.a()) {
                        try {
                            Task task = (Task) continuation.a(task);
                            if (task == null) {
                                taskCompletionSource.b((Object) null);
                            } else {
                                task.a((Continuation) new Continuation<TContinuationResult, Void>() {
                                    /* class bolts.Task.AnonymousClass15.AnonymousClass1 */

                                    /* renamed from: b */
                                    public Void a(Task<TContinuationResult> task) {
                                        if (cancellationToken == null || !cancellationToken.a()) {
                                            if (task.c()) {
                                                taskCompletionSource.c();
                                            } else if (task.d()) {
                                                taskCompletionSource.b(task.f());
                                            } else {
                                                taskCompletionSource.b((Object) task.e());
                                            }
                                            return null;
                                        }
                                        taskCompletionSource.c();
                                        return null;
                                    }
                                });
                            }
                        } catch (CancellationException unused) {
                            taskCompletionSource.c();
                        } catch (Exception e) {
                            taskCompletionSource.b(e);
                        }
                    } else {
                        taskCompletionSource.c();
                    }
                }
            });
        } catch (Exception e2) {
            taskCompletionSource.b(new ExecutorException(e2));
        }
    }

    private void i() {
        synchronized (this.e) {
            for (Continuation<TResult, Void> continuation : this.l) {
                try {
                    continuation.a(this);
                } catch (RuntimeException e2) {
                    throw e2;
                } catch (Exception e3) {
                    throw new RuntimeException(e3);
                }
            }
            this.l = null;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean h() {
        synchronized (this.e) {
            if (this.f) {
                return false;
            }
            this.f = true;
            this.g = true;
            this.e.notifyAll();
            i();
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(TResult tresult) {
        synchronized (this.e) {
            if (this.f) {
                return false;
            }
            this.f = true;
            this.h = tresult;
            this.e.notifyAll();
            i();
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(Exception exc) {
        synchronized (this.e) {
            if (this.f) {
                return false;
            }
            this.f = true;
            this.i = exc;
            this.j = false;
            this.e.notifyAll();
            i();
            if (!this.j && a() != null) {
                this.k = new UnobservedErrorNotifier(this);
            }
            return true;
        }
    }
}
