package cl.json.social;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.net.Uri;
import android.text.TextUtils;
import cl.json.RNShareModule;
import cl.json.ShareFile;
import cl.json.ShareFiles;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.stetho.common.Utf8Charset;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.List;

public abstract class ShareIntent {

    /* renamed from: a  reason: collision with root package name */
    protected final ReactApplicationContext f750a;
    protected Intent b;
    protected String c = "Share";
    protected ShareFile d;
    protected ReadableMap e;

    /* access modifiers changed from: protected */
    public abstract String a();

    /* access modifiers changed from: protected */
    public abstract String b();

    /* access modifiers changed from: protected */
    public abstract String c();

    public ShareIntent(ReactApplicationContext reactApplicationContext) {
        this.f750a = reactApplicationContext;
        a(new Intent("android.intent.action.SEND"));
        e().setType("text/plain");
    }

    public void a(ReadableMap readableMap) throws ActivityNotFoundException {
        this.e = readableMap;
        if (a("subject", readableMap)) {
            e().putExtra("android.intent.extra.SUBJECT", readableMap.f("subject"));
        }
        if (a("title", readableMap)) {
            this.c = readableMap.f("title");
        }
        String str = "";
        if (a("message", readableMap)) {
            str = readableMap.f("message");
        }
        if (a("urls", readableMap)) {
            ShareFiles c2 = c(readableMap);
            if (c2.a()) {
                ArrayList<Uri> c3 = c2.c();
                e().setAction("android.intent.action.SEND_MULTIPLE");
                e().setType(c2.b());
                e().putParcelableArrayListExtra("android.intent.extra.STREAM", c3);
                e().addFlags(1);
                if (!TextUtils.isEmpty(str)) {
                    e().putExtra("android.intent.extra.TEXT", str);
                }
            } else if (!TextUtils.isEmpty(str)) {
                Intent e2 = e();
                e2.putExtra("android.intent.extra.TEXT", str + " " + readableMap.k("urls").toString());
            } else {
                e().putExtra("android.intent.extra.TEXT", readableMap.k("urls").toString());
            }
        } else if (a(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL, readableMap)) {
            this.d = b(readableMap);
            if (this.d.a()) {
                Uri c4 = this.d.c();
                e().setType(this.d.b());
                e().putExtra("android.intent.extra.STREAM", c4);
                e().addFlags(1);
                if (!TextUtils.isEmpty(str)) {
                    e().putExtra("android.intent.extra.TEXT", str);
                }
            } else if (!TextUtils.isEmpty(str)) {
                Intent e3 = e();
                e3.putExtra("android.intent.extra.TEXT", str + " " + readableMap.f(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL));
            } else {
                e().putExtra("android.intent.extra.TEXT", readableMap.f(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL));
            }
        } else if (!TextUtils.isEmpty(str)) {
            e().putExtra("android.intent.extra.TEXT", str);
        }
    }

    /* access modifiers changed from: protected */
    public ShareFile b(ReadableMap readableMap) {
        if (a("type", readableMap)) {
            return new ShareFile(readableMap.f(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL), readableMap.f("type"), this.f750a);
        }
        return new ShareFile(readableMap.f(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL), this.f750a);
    }

    /* access modifiers changed from: protected */
    public ShareFiles c(ReadableMap readableMap) {
        if (a("type", readableMap)) {
            return new ShareFiles(readableMap.k("urls"), readableMap.f("type"), this.f750a);
        }
        return new ShareFiles(readableMap.k("urls"), this.f750a);
    }

    protected static String a(String str) {
        try {
            return URLEncoder.encode(str, Utf8Charset.NAME);
        } catch (UnsupportedEncodingException unused) {
            throw new RuntimeException("URLEncoder.encode() failed for " + str);
        }
    }

    /* access modifiers changed from: protected */
    public Intent[] a(Intent intent, Uri uri) {
        List<ResolveInfo> queryIntentActivities = this.f750a.getPackageManager().queryIntentActivities(intent, 0);
        Intent[] intentArr = new Intent[queryIntentActivities.size()];
        for (int i = 0; i < queryIntentActivities.size(); i++) {
            ResolveInfo resolveInfo = queryIntentActivities.get(i);
            String str = resolveInfo.activityInfo.packageName;
            Intent intent2 = new Intent();
            intent2.setComponent(new ComponentName(str, resolveInfo.activityInfo.name));
            intent2.setAction("android.intent.action.VIEW");
            intent2.setDataAndType(uri, intent.getType());
            intent2.addFlags(1);
            intentArr[i] = new Intent(intent2);
        }
        return intentArr;
    }

    /* access modifiers changed from: protected */
    public void d() throws ActivityNotFoundException {
        Intent intent;
        Activity k = this.f750a.k();
        if (k == null) {
            TargetChosenReceiver.a(false, "Something went wrong");
            return;
        }
        IntentSender intentSender = null;
        if (TargetChosenReceiver.a()) {
            intentSender = TargetChosenReceiver.a(this.f750a);
            intent = Intent.createChooser(e(), this.c, intentSender);
        } else {
            intent = Intent.createChooser(e(), this.c);
        }
        intent.setFlags(1073741824);
        if (a("showAppsToView", this.e) && a(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL, this.e)) {
            Intent intent2 = new Intent("android.intent.action.VIEW");
            intent2.setType(this.d.b());
            intent.putExtra("android.intent.extra.INITIAL_INTENTS", a(intent2, this.d.c()));
        }
        k.startActivityForResult(intent, RNShareModule.SHARE_REQUEST_CODE);
        if (intentSender == null) {
            TargetChosenReceiver.a(true, true, "OK");
        }
    }

    public static boolean a(String str, Context context) {
        try {
            context.getPackageManager().getPackageInfo(str, 1);
            return true;
        } catch (PackageManager.NameNotFoundException unused) {
            return false;
        }
    }

    /* access modifiers changed from: protected */
    public Intent e() {
        return this.b;
    }

    /* access modifiers changed from: protected */
    public void a(Intent intent) {
        this.b = intent;
    }

    public static boolean a(String str, ReadableMap readableMap) {
        return readableMap != null && readableMap.a(str) && !readableMap.b(str);
    }
}
