package cn.jiguang.net;

import cn.jiguang.an.d;
import java.io.ByteArrayInputStream;
import java.security.KeyStore;
import java.security.cert.CertificateException;
import java.security.cert.CertificateExpiredException;
import java.security.cert.CertificateFactory;
import java.security.cert.CertificateNotYetValidException;
import java.security.cert.X509Certificate;
import javax.net.ssl.TrustManager;
import javax.net.ssl.TrustManagerFactory;
import javax.net.ssl.X509TrustManager;

public class SSLTrustManager implements X509TrustManager {

    /* renamed from: a  reason: collision with root package name */
    private X509TrustManager f950a;

    public SSLTrustManager(String str) {
        try {
            CertificateFactory instance = CertificateFactory.getInstance("X.509");
            ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(str.getBytes());
            byteArrayInputStream.close();
            KeyStore.TrustedCertificateEntry trustedCertificateEntry = new KeyStore.TrustedCertificateEntry((X509Certificate) instance.generateCertificate(byteArrayInputStream));
            KeyStore instance2 = KeyStore.getInstance(KeyStore.getDefaultType());
            instance2.load(null, null);
            instance2.setEntry("ca_root", trustedCertificateEntry, null);
            TrustManagerFactory instance3 = TrustManagerFactory.getInstance(TrustManagerFactory.getDefaultAlgorithm());
            instance3.init(instance2);
            TrustManager[] trustManagers = instance3.getTrustManagers();
            for (TrustManager trustManager : trustManagers) {
                if (trustManager instanceof X509TrustManager) {
                    this.f950a = (X509TrustManager) trustManager;
                    return;
                }
            }
        } catch (Throwable th) {
            d.f("SSLTrustManager", "init trustManager failed, error:" + th);
        }
    }

    @Override // javax.net.ssl.X509TrustManager
    public void checkClientTrusted(X509Certificate[] x509CertificateArr, String str) {
        d.b("SSLTrustManager", "checkClientTrusted");
    }

    @Override // javax.net.ssl.X509TrustManager
    public void checkServerTrusted(X509Certificate[] x509CertificateArr, String str) {
        String str2;
        StringBuilder sb;
        String localizedMessage;
        d.b("SSLTrustManager", "checkServerTrusted");
        if (x509CertificateArr == null || x509CertificateArr.length == 0 || x509CertificateArr[0] == null) {
            throw new CertificateException("Check Server x509Certificates is empty");
        }
        try {
            x509CertificateArr[0].checkValidity();
        } catch (CertificateExpiredException e) {
            str2 = "SSLTrustManager";
            sb = new StringBuilder("checkServerTrusted: CertificateExpiredException:");
            localizedMessage = e.getLocalizedMessage();
            sb.append(localizedMessage);
            d.f(str2, sb.toString());
        } catch (CertificateNotYetValidException e2) {
            str2 = "SSLTrustManager";
            sb = new StringBuilder("checkServerTrusted: CertificateNotYetValidException:");
            localizedMessage = e2.getLocalizedMessage();
            sb.append(localizedMessage);
            d.f(str2, sb.toString());
        } catch (Throwable th) {
            str2 = "SSLTrustManager";
            sb = new StringBuilder("checkServerTrusted failed, error");
            localizedMessage = th.getLocalizedMessage();
            sb.append(localizedMessage);
            d.f(str2, sb.toString());
        }
    }

    public X509Certificate[] getAcceptedIssuers() {
        d.b("SSLTrustManager", "getAcceptedIssuers");
        return this.f950a.getAcceptedIssuers();
    }
}
