package cn.jpush.android.api;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.Icon;
import android.os.Build;
import android.text.TextUtils;
import android.widget.RemoteViews;
import cn.jpush.android.h.a;
import cn.jpush.android.h.b;
import cn.jpush.android.h.f;
import cn.jpush.android.helper.Logger;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;
import org.json.JSONObject;

public class DefaultPushNotificationBuilder implements PushNotificationBuilder {

    /* renamed from: a  reason: collision with root package name */
    private NotificationMessage f995a;
    protected Context l;

    /* access modifiers changed from: package-private */
    public Notification a(Notification.Builder builder) {
        try {
            return Build.VERSION.SDK_INT >= 16 ? builder.build() : builder.getNotification();
        } catch (Throwable th) {
            Logger.a("DefaultPushNotificationBuilder", "Build notification error:", th);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0112  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0132  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0141  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0150  */
    @Override // cn.jpush.android.api.PushNotificationBuilder
    public Notification a(Context context, NotificationMessage notificationMessage) {
        String str;
        String str2;
        this.l = context;
        this.f995a = notificationMessage;
        HashMap hashMap = new HashMap();
        if (notificationMessage != null) {
            Logger.b("DefaultPushNotificationBuilder", "notificationContent:" + notificationMessage.c + "\nnotificationTitle" + notificationMessage.e + "\nnotificationStyle:" + notificationMessage.i + "\nnotificationPriority:" + notificationMessage.n + "\nnotificationBigText:" + notificationMessage.k + "\nnotificationBigPicPath:" + notificationMessage.l + "\nnotificationInbox:" + notificationMessage.m + "\nnotificationCategory:" + notificationMessage.o + "\nnotificationAlertType:" + notificationMessage.d + "\nnotificationSmallIcon:" + notificationMessage.f + "\nnotificationLargeIcon:" + notificationMessage.g + "\nextraJson:" + notificationMessage.h);
            hashMap.put("cn.jpush.android.MSG_ID", notificationMessage.b);
            hashMap.put("cn.jpush.android.ALERT", notificationMessage.c);
            StringBuilder sb = new StringBuilder();
            sb.append(notificationMessage.d);
            sb.append("");
            hashMap.put("cn.jpush.android.ALERT_TYPE", sb.toString());
            if (!TextUtils.isEmpty(notificationMessage.e)) {
                hashMap.put("cn.jpush.android.NOTIFICATION_CONTENT_TITLE", notificationMessage.e);
            }
            if (!TextUtils.isEmpty(notificationMessage.h)) {
                hashMap.put("cn.jpush.android.EXTRA", notificationMessage.h);
            }
            if (notificationMessage.i == 1 && !TextUtils.isEmpty(notificationMessage.k)) {
                str = "cn.jpush.android.BIG_TEXT";
                str2 = notificationMessage.k;
            } else if (notificationMessage.i != 2 || TextUtils.isEmpty(notificationMessage.m)) {
                if (notificationMessage.i == 3 && !TextUtils.isEmpty(notificationMessage.l)) {
                    str = "cn.jpush.android.BIG_PIC_PATH";
                    str2 = notificationMessage.l;
                }
                if (notificationMessage.n != 0) {
                    hashMap.put("cn.jpush.android.NOTI_PRIORITY", notificationMessage.n + "");
                }
                if (!TextUtils.isEmpty(notificationMessage.o)) {
                    hashMap.put("cn.jpush.android.NOTI_CATEGORY", notificationMessage.o);
                }
                if (!TextUtils.isEmpty(notificationMessage.f)) {
                    hashMap.put("cn.jpush.android.NOTIFICATION_SMALL_ICON", notificationMessage.f);
                }
                if (!TextUtils.isEmpty(notificationMessage.g)) {
                    hashMap.put("cn.jpush.android.NOTIFICATION_LARGE_ICON", notificationMessage.f);
                }
            } else {
                str = "cn.jpush.android.INBOX";
                str2 = notificationMessage.m;
            }
            hashMap.put(str, str2);
            if (notificationMessage.n != 0) {
            }
            if (!TextUtils.isEmpty(notificationMessage.o)) {
            }
            if (!TextUtils.isEmpty(notificationMessage.f)) {
            }
            if (!TextUtils.isEmpty(notificationMessage.g)) {
            }
        }
        return a(hashMap);
    }

    public Notification a(Map<String, String> map) {
        String str;
        if (this.l == null) {
            Logger.f("DefaultPushNotificationBuilder", "Can't find valid context when build notification.");
            return null;
        }
        try {
            str = this.l.getApplicationInfo().loadLabel(this.l.getPackageManager()).toString();
        } catch (Throwable unused) {
            str = null;
        }
        String str2 = "";
        String str3 = "";
        String str4 = "";
        String str5 = "";
        String str6 = "";
        String str7 = "";
        if (map.containsKey("cn.jpush.android.MSG_ID")) {
            map.get("cn.jpush.android.MSG_ID");
        }
        if (map.containsKey("cn.jpush.android.ALERT")) {
            str2 = map.get("cn.jpush.android.ALERT");
        }
        if (TextUtils.isEmpty(str2)) {
            Logger.g("DefaultPushNotificationBuilder", "No notification content to show. Give up.");
            return null;
        }
        if (map.containsKey("cn.jpush.android.NOTIFICATION_SMALL_ICON")) {
            map.get("cn.jpush.android.NOTIFICATION_SMALL_ICON");
        }
        if (map.containsKey("cn.jpush.android.NOTIFICATION_LARGE_ICON")) {
            str7 = map.get("cn.jpush.android.NOTIFICATION_LARGE_ICON");
        }
        if (map.containsKey("cn.jpush.android.NOTIFICATION_CONTENT_TITLE")) {
            str = map.get("cn.jpush.android.NOTIFICATION_CONTENT_TITLE");
        }
        if (map.containsKey("cn.jpush.android.BIG_TEXT")) {
            str3 = map.get("cn.jpush.android.BIG_TEXT");
        }
        if (map.containsKey("cn.jpush.android.INBOX")) {
            str4 = map.get("cn.jpush.android.INBOX");
        }
        int parseInt = map.containsKey("cn.jpush.android.NOTI_PRIORITY") ? Integer.parseInt(map.get("cn.jpush.android.NOTI_PRIORITY")) : 0;
        if (map.containsKey("cn.jpush.android.NOTI_CATEGORY")) {
            str5 = map.get("cn.jpush.android.NOTI_CATEGORY");
        }
        if (map.containsKey("cn.jpush.android.BIG_PIC_PATH")) {
            str6 = map.get("cn.jpush.android.BIG_PIC_PATH");
        }
        int parseInt2 = map.containsKey("cn.jpush.android.ALERT_TYPE") ? Integer.parseInt(map.get("cn.jpush.android.ALERT_TYPE")) : -1;
        int i = (parseInt2 < -1 || parseInt2 > 7) ? -1 : parseInt2;
        RemoteViews a2 = a(str2, str);
        if (Build.VERSION.SDK_INT >= 11) {
            Notification.Builder builder = new Notification.Builder(this.l);
            builder.setContentTitle(str).setContentText(str2).setTicker(str2);
            int a3 = f.a(this.l);
            if (a3 != 0) {
                Logger.c("DefaultPushNotificationBuilder", "setSmallIcon with resId:" + a3);
            } else {
                Logger.g("DefaultPushNotificationBuilder", "not found small icon in your app,will setSmallIcon with android.R.color.transparent ");
                a3 = 17170445;
            }
            builder.setSmallIcon(a3);
            Object c = b.c(this.l, str7);
            if (Build.VERSION.SDK_INT >= 23) {
                if (c instanceof Icon) {
                    builder.setLargeIcon((Icon) c);
                }
            } else if (c instanceof Bitmap) {
                builder.setLargeIcon((Bitmap) c);
            }
            if (Build.VERSION.SDK_INT >= 17) {
                builder.setShowWhen(true);
            }
            a.a(this.l, builder, this.f995a != null ? this.f995a.u : "", "", parseInt, i, null);
            if (Build.VERSION.SDK_INT >= 16) {
                if (a2 == null) {
                    if (!TextUtils.isEmpty(str3)) {
                        Notification.BigTextStyle bigTextStyle = new Notification.BigTextStyle();
                        bigTextStyle.bigText(str3);
                        builder.setStyle(bigTextStyle);
                    }
                    if (!TextUtils.isEmpty(str4)) {
                        Notification.InboxStyle inboxStyle = new Notification.InboxStyle();
                        try {
                            TreeMap treeMap = new TreeMap();
                            JSONObject jSONObject = new JSONObject(str4);
                            Iterator<String> keys = jSONObject.keys();
                            while (keys.hasNext()) {
                                String next = keys.next();
                                treeMap.put(next, jSONObject.optString(next));
                            }
                            for (String str8 : treeMap.values()) {
                                inboxStyle.addLine(str8);
                            }
                            inboxStyle.setSummaryText(" + " + jSONObject.length() + " new messages");
                        } catch (Throwable th) {
                            Logger.i("DefaultPushNotificationBuilder", "Set inbox style error: " + th.getMessage());
                        }
                        builder.setStyle(inboxStyle);
                    }
                    if (!TextUtils.isEmpty(str6)) {
                        Logger.d("DefaultPushNotificationBuilder", "Set notification BPS with picture path:" + str6);
                        try {
                            Notification.BigPictureStyle bigPictureStyle = new Notification.BigPictureStyle();
                            bigPictureStyle.bigPicture(BitmapFactory.decodeFile(str6));
                            builder.setStyle(bigPictureStyle);
                        } catch (Throwable unused2) {
                            Logger.g("DefaultPushNotificationBuilder", "Create big picture style failed.");
                        }
                    }
                }
                if (parseInt != 0) {
                    if (parseInt == 1) {
                        builder.setPriority(1);
                    } else {
                        int i2 = 2;
                        if (parseInt != 2) {
                            if (parseInt == -1) {
                                builder.setPriority(-1);
                            } else {
                                i2 = -2;
                                if (parseInt != -2) {
                                    builder.setPriority(0);
                                }
                            }
                        }
                        builder.setPriority(i2);
                    }
                }
                if (!TextUtils.isEmpty(str5) && Build.VERSION.SDK_INT >= 21) {
                    builder.setCategory(str5);
                }
            }
            if (a2 != null) {
                builder.setContent(a2);
            } else {
                Logger.d("DefaultPushNotificationBuilder", " Use default notification view! ");
            }
            builder.setDefaults(i);
            return a(builder);
        }
        Notification notification = new Notification(f.a(this.l), str2, System.currentTimeMillis());
        a(notification);
        notification.defaults = i;
        if (a2 != null) {
            notification.contentView = a2;
        } else {
            b.a(notification, this.l, str, str2, (PendingIntent) null);
        }
        return notification;
    }

    /* access modifiers changed from: package-private */
    public RemoteViews a(String str, String str2) {
        return null;
    }

    @Override // cn.jpush.android.api.PushNotificationBuilder
    public String a() {
        return null;
    }

    /* access modifiers changed from: package-private */
    public void a(Notification notification) {
    }

    public String toString() {
        return "";
    }
}
