package cn.jpush.android.api;

import android.app.NotificationManager;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import cn.jiguang.api.JCoreManager;
import cn.jpush.android.data.JPushLocalNotification;
import cn.jpush.android.f.d;
import cn.jpush.android.helper.JCoreHelper;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.helper.b;
import cn.jpush.android.helper.c;
import cn.jpush.android.k.a;
import cn.jpush.android.local.ActionHelper;
import cn.jpush.android.local.JPushConstants;
import java.util.HashSet;
import java.util.Set;
import org.json.JSONException;
import org.json.JSONObject;

public class JPushInterface {

    /* renamed from: a  reason: collision with root package name */
    public static int f996a = 5;
    private static final Integer b = 0;

    public static class ErrorCode {

        /* renamed from: a  reason: collision with root package name */
        public static int f997a = 0;
        public static int b = 6001;
        public static int c = 6002;
        public static int d = 6003;
        public static int e = 6004;
        public static int f = 6005;
        public static int g = 6006;
        public static int h = 6007;
        public static int i = 6008;
        public static int j = 6009;
        public static int k = 6010;
        public static int l = 6011;
        public static int m = 6012;
        public static int n = 6013;
        public static int o = 6014;
        public static int p = 6015;
        public static int q = 6016;
        public static int r = 6017;
        public static int s = 6018;
        public static int t = 6019;
        public static int u = 6020;
        public static int v = 6021;
        public static int w = 6022;
        public static int x = 6023;
        public static int y = 6024;
        public static int z = 6025;
    }

    static {
        JCoreManager.a("JPUSH", b.class.getName());
    }

    public static Set<String> a(Set<String> set) {
        return a.a(set);
    }

    public static void a(Context context) {
        Logger.c("JPushInterface", "action:init - sdkVersion:" + JPushConstants.b + ", buildId:" + JPushConstants.c);
        n(context);
        if (cn.jpush.android.m.a.g(context)) {
            JPushConstants.b(context);
            JCoreHelper.a(context, "JPUSH", "init", (Bundle) null);
            ActionHelper.a().a(context, "third_init", (Object) null);
        }
    }

    public static void a(Context context, int i) {
        n(context);
        Logger.c("JPushInterface", "action:setLatestNotificationNumber : " + i);
        if (i <= 0) {
            Logger.i("JPushInterface", "maxNum should > 0, Give up action..");
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("num", i);
        JCoreHelper.a(context, "JPUSH", "max_num", bundle);
    }

    public static void a(Context context, int i, int i2, int i3, int i4) {
        n(context);
        if (i < 0 || i2 < 0 || i3 < 0 || i4 < 0 || i2 > 59 || i4 > 59 || i3 > 23 || i > 23) {
            Logger.i("JPushInterface", "Invalid parameter format, startHour and endHour should between 0 ~ 23, startMins and endMins should between 0 ~ 59. ");
        } else if (i == 0 && i2 == 0 && i3 == 0 && i4 == 0) {
            Bundle bundle = new Bundle();
            bundle.putString("time", "");
            JCoreHelper.a(context, "JPUSH", "silenceTime", bundle);
            Logger.c("JPushInterface", "Remove the silence time!");
        } else {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("startHour", i);
                jSONObject.put("startMins", i2);
                jSONObject.put("endHour", i3);
                jSONObject.put("endtMins", i4);
                Bundle bundle2 = new Bundle();
                bundle2.putString("time", jSONObject.toString());
                JCoreHelper.a(context, "JPUSH", "silenceTime", bundle2);
            } catch (JSONException unused) {
            }
        }
    }

    public static void a(Context context, int i, String str) {
        HashSet hashSet;
        n(context);
        if (!TextUtils.isEmpty(str)) {
            hashSet = new HashSet();
            hashSet.add(str);
        } else {
            hashSet = null;
        }
        ActionHelper.a().a(context, i, hashSet, 1, 6);
    }

    public static void a(Context context, int i, Set<String> set) {
        n(context);
        ActionHelper.a().a(context, i, set, 1, 2);
    }

    public static void a(Context context, long j) {
        n(context);
        d.a(context, j);
    }

    public static void a(Context context, JPushLocalNotification jPushLocalNotification) {
        n(context);
        d.a(context, jPushLocalNotification);
    }

    public static void a(Context context, String str) {
        JCoreHelper.a(context, str);
    }

    public static void a(Context context, String str, byte b2) {
        n(context);
        if (TextUtils.isEmpty(str)) {
            Logger.i("JPushInterface", "The msgId is not valid - " + str);
        }
        c.a(str, "", b2, 1000, context);
    }

    public static void a(Context context, Set<Integer> set, int i, int i2) {
        n(context);
        if (!cn.jpush.android.m.a.a(context)) {
            Logger.c("JPushInterface", "检测到当前没有网络。此动作将在有网络时自动继续执行。");
        }
        if (set == null) {
            Bundle bundle = new Bundle();
            bundle.putString("time", "0123456_0^23");
            JCoreHelper.a(context, "JPUSH", "pushtime", bundle);
        } else if (set.size() == 0 || set.isEmpty()) {
            JCoreHelper.a(context, "JPUSH", "disable_push", (Bundle) null);
        } else if (i > i2) {
            Logger.i("JPushInterface", "Invalid time format - startHour should less than endHour");
        } else {
            StringBuilder sb = new StringBuilder();
            for (Integer num : set) {
                if (num.intValue() > 6 || num.intValue() < 0) {
                    Logger.i("JPushInterface", "Invalid day format - " + num);
                    return;
                }
                sb.append(num);
            }
            sb.append("_");
            sb.append(i);
            sb.append("^");
            sb.append(i2);
            Bundle bundle2 = new Bundle();
            bundle2.putString("time", sb.toString());
            JCoreHelper.a(context, "JPUSH", "pushtime", bundle2);
        }
    }

    public static void a(PushNotificationBuilder pushNotificationBuilder) {
        if (pushNotificationBuilder != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("buidler_id", b.intValue());
            bundle.putString("buidler_string", pushNotificationBuilder.toString());
            JCoreHelper.a(JPushConstants.g, "JPUSH", "set_custom_notify", bundle);
            return;
        }
        throw new IllegalArgumentException("NULL notification");
    }

    public static void a(boolean z) {
        JCoreManager.a(z);
    }

    public static void b(Context context) {
        Logger.c("JPushInterface", "action:resumePush");
        n(context);
        JCoreHelper.a(context, "JPUSH", "resume", (Bundle) null);
        ActionHelper.a().a(context, "third_resume", (Object) null);
    }

    public static void b(Context context, int i) {
        n(context);
        if (i <= 0) {
            Logger.i("JPushInterface", "Invalid notificationId, Give up action..");
        } else {
            ((NotificationManager) context.getSystemService("notification")).cancel(i);
        }
    }

    public static void b(Context context, int i, String str) {
        n(context);
        ActionHelper.a().a(context, i, str, 2, 2);
    }

    public static void b(Context context, int i, Set<String> set) {
        n(context);
        ActionHelper.a().a(context, i, set, 1, 1);
    }

    public static void b(Context context, long j) {
        n(context);
        if (j < 180000 || j > 86400000) {
            Logger.i("JPushInterface", "Invalid interval, it should be a ms number between 3 mins and 1 day!");
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putLong("interval", j);
        JCoreHelper.a(context, "JPUSH", "geo_interval", bundle);
    }

    public static void b(Context context, String str) {
        n(context);
        Bundle bundle = new Bundle();
        bundle.putString("id", str);
        JCoreHelper.a(context, "JPUSH", "delete_geo_fence", bundle);
    }

    public static void c(Context context) {
        Logger.c("JPushInterface", "action:stopPush");
        n(context);
        JCoreHelper.a(context, "JPUSH", "stop", (Bundle) null);
        ActionHelper.a().a(context, "third_stop", (Object) null);
    }

    public static void c(Context context, int i) {
        n(context);
        ActionHelper.a().a(context, i, new HashSet(), 1, 4);
    }

    public static void c(Context context, int i, String str) {
        n(context);
        cn.jpush.android.helper.d.a().a(context, i, str);
    }

    public static void c(Context context, int i, Set<String> set) {
        n(context);
        ActionHelper.a().a(context, i, set, 1, 3);
    }

    public static void d(Context context, int i) {
        n(context);
        ActionHelper.a().a(context, i, new HashSet(), 1, 5);
    }

    public static boolean d(Context context) {
        n(context);
        return cn.jpush.android.cache.a.b(context) == 1;
    }

    public static String e(Context context) {
        n(context);
        return JCoreHelper.a(context);
    }

    public static void e(Context context, int i) {
        n(context);
        ActionHelper.a().a(context, i, (String) null, 2, 3);
    }

    public static String f(Context context) {
        n(context);
        return JCoreHelper.b(context);
    }

    public static void f(Context context, int i) {
        n(context);
        ActionHelper.a().a(context, i, (String) null, 2, 5);
    }

    public static void g(Context context) {
        JCoreHelper.a(context, "resume", (Object) null);
    }

    public static void g(Context context, int i) {
        n(context);
        if (i < 1 || i > 100) {
            Logger.i("JPushInterface", "Invalid maxNumber,it should be a number between 1 and 100!");
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("num", i);
        JCoreHelper.a(context, "JPUSH", "geo_fence_max_num", bundle);
    }

    public static void h(Context context) {
        JCoreHelper.a(context, "pause", (Object) null);
    }

    public static void i(Context context) {
        JCoreHelper.a(context, "kill", (Object) null);
    }

    public static void j(Context context) {
        n(context);
        JCoreManager.c(context);
    }

    public static void k(Context context) {
        n(context);
        JCoreManager.d(context);
    }

    public static void l(Context context) {
        n(context);
        d.a(context);
    }

    public static void m(Context context) {
        if (context == null) {
            Logger.g("JPushInterface", "[requestPermission] unexcepted - context was null");
        } else {
            JCoreManager.b(context);
        }
    }

    private static void n(Context context) {
        if (context != null) {
            JPushConstants.g = context.getApplicationContext();
            return;
        }
        throw new IllegalArgumentException("NULL context");
    }
}
