package cn.jpush.android.cache;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.text.TextUtils;
import cn.jpush.android.local.JPushConstants;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class Sp {

    /* renamed from: a  reason: collision with root package name */
    private static final Map<String, SharedPreferences> f1013a = new ConcurrentHashMap();

    public static SharedPreferences a(Context context, String str) {
        Context a2 = JPushConstants.a(context);
        if (a2 == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT >= 11) {
            a2.getSharedPreferences(str, 4);
        }
        return a2.getSharedPreferences(str, 0);
    }

    public static <T> T a(Context context, Key<T> key) {
        T t = (T) b(context, key);
        return t != null ? t : key.c;
    }

    private static <T> T a(SharedPreferences sharedPreferences, String str, T t) {
        if (sharedPreferences != null && sharedPreferences.contains(str)) {
            try {
                if (t instanceof Boolean) {
                    return (T) Boolean.valueOf(sharedPreferences.getBoolean(str, t.booleanValue()));
                }
                if (t instanceof String) {
                    return (T) sharedPreferences.getString(str, t);
                }
                if (t instanceof Integer) {
                    return (T) Integer.valueOf(sharedPreferences.getInt(str, t.intValue()));
                }
                if (t instanceof Long) {
                    return (T) Long.valueOf(sharedPreferences.getLong(str, t.longValue()));
                }
                if (t instanceof Float) {
                    return (T) Float.valueOf(sharedPreferences.getFloat(str, t.floatValue()));
                }
            } catch (Throwable unused) {
            }
        }
        return null;
    }

    public static void a(Context context, Key<?>... keyArr) {
        if (keyArr != null && keyArr.length > 0) {
            SharedPreferences b = b(context, keyArr[0].f1012a);
            if (b != null) {
                SharedPreferences.Editor edit = b.edit();
                for (Key<?> key : keyArr) {
                    a(edit, key.b, key.c);
                }
                edit.commit();
            }
        }
    }

    private static <T> void a(SharedPreferences.Editor editor, String str, T t) {
        if (editor == null) {
            return;
        }
        if (t == null) {
            editor.remove(str);
        } else if (t instanceof Boolean) {
            editor.putBoolean(str, t.booleanValue());
        } else if (t instanceof String) {
            editor.putString(str, t);
        } else if (t instanceof Integer) {
            editor.putInt(str, t.intValue());
        } else if (t instanceof Long) {
            editor.putLong(str, t.longValue());
        } else if (t instanceof Float) {
            editor.putFloat(str, t.floatValue());
        }
    }

    private static SharedPreferences b(Context context, String str) {
        Context a2;
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        SharedPreferences sharedPreferences = f1013a.get(str);
        if (sharedPreferences != null || (a2 = JPushConstants.a(context)) == null) {
            return sharedPreferences;
        }
        SharedPreferences sharedPreferences2 = a2.getSharedPreferences(str, 0);
        f1013a.put(str, sharedPreferences2);
        c(a2, str);
        return sharedPreferences2;
    }

    public static <T> T b(Context context, Key<T> key) {
        T t = (T) a(b(context, key.f1012a), key.b, key.c);
        if (t == null && key.d) {
            t = (T) a(a(context, key.f1012a), key.b, key.c);
        }
        if (t == null) {
            return null;
        }
        key.a(t);
        return t;
    }

    private static void c(Context context, String str) {
    }
}
