package cn.jpush.android.h;

import android.annotation.TargetApi;
import android.app.AppOpsManager;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Icon;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.widget.RemoteViews;
import cn.jiguang.api.JCoreManager;
import cn.jpush.android.api.NotificationMessage;
import cn.jpush.android.api.PushNotificationBuilder;
import cn.jpush.android.cache.Key;
import cn.jpush.android.cache.Sp;
import cn.jpush.android.d.d;
import cn.jpush.android.h.a;
import cn.jpush.android.h.d;
import cn.jpush.android.helper.JCoreHelper;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.helper.c;
import cn.jpush.android.helper.e;
import cn.jpush.android.helper.h;
import cn.jpush.android.local.JPushConstants;
import cn.jpush.android.service.JNotifyActivity;
import cn.jpush.android.service.JPushMessageReceiver;
import cn.jpush.android.ui.PopWinActivity;
import cn.jpush.android.ui.PushActivity;
import com.tencent.smtt.utils.TbsLog;
import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.TreeMap;
import java.util.UUID;
import java.util.zip.Adler32;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class b {

    /* renamed from: a  reason: collision with root package name */
    private static Boolean f1028a;

    /* access modifiers changed from: package-private */
    public static class a implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private Context f1029a;
        private d b;

        public a(Context context, d dVar) {
            this.f1029a = context;
            this.b = dVar;
        }

        public static void a(Context context, d dVar) {
            b.j(context, dVar);
            if (dVar.R == 0 || dVar.R == 4) {
                c.a(dVar.c, TbsLog.TBSLOG_CODE_SDK_THIRD_MODE, context);
                b.h(context, dVar);
                return;
            }
            b.i(context, dVar);
        }

        public void run() {
            try {
                long b2 = cn.jpush.android.m.b.b(this.b.aj);
                long b3 = cn.jpush.android.m.b.b(this.b.ak);
                if (b2 <= 0 || b2 != b3) {
                    long currentTimeMillis = System.currentTimeMillis();
                    int i = (b3 > 0 ? 1 : (b3 == 0 ? 0 : -1));
                    if (i > 0) {
                        if (b3 < b2) {
                            Logger.h("NotificationHelper", "illegal argument, endTime earlier than beginTime");
                            return;
                        } else if (b3 < currentTimeMillis) {
                            Logger.f("NotificationHelper", this.b.c + " already end");
                            c.a(this.b.c, 1034, this.f1029a);
                            return;
                        }
                    }
                    if (b2 < currentTimeMillis) {
                        a(this.f1029a, this.b);
                        if (i > 0) {
                            d.a().a(this.f1029a, new d.a(b3, b.a(this.b)));
                            return;
                        }
                        return;
                    }
                    d.a().a(this.f1029a, new d.a(b2, this.b));
                    c.a(this.b.c, 1035, this.f1029a);
                    return;
                }
                Logger.g("NotificationHelper", "the beginTime == endTime,not deal this notification");
            } catch (Throwable th) {
                Logger.f("NotificationHelper", "run NotifyAction failed:" + th.getMessage());
            }
        }
    }

    private static int a(int i) {
        switch (i) {
            case 0:
            default:
                return 1;
            case 1:
                return 16;
            case 2:
                return 32;
        }
    }

    public static int a(cn.jpush.android.d.d dVar) {
        return a(TextUtils.isEmpty(dVar.f) ? dVar.c : dVar.f);
    }

    public static int a(String str) {
        if (TextUtils.isEmpty(str)) {
            Logger.b("NotificationHelper", "action:getNotificationID - empty messageId");
            return 0;
        }
        try {
            return Integer.valueOf(str).intValue();
        } catch (Exception unused) {
            Logger.f("NotificationHelper", "Ths msgId is not a integer");
            Adler32 adler32 = new Adler32();
            adler32.update(str.getBytes());
            int value = (int) adler32.getValue();
            return value < 0 ? Math.abs(value) : value;
        }
    }

    static Notification a(Notification.Builder builder) {
        try {
            return Build.VERSION.SDK_INT >= 16 ? builder.build() : builder.getNotification();
        } catch (Throwable th) {
            Logger.g("NotificationHelper", "Build notification error:" + th.getMessage());
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:67:0x01a6  */
    private static Notification a(Context context, cn.jpush.android.d.d dVar, RemoteViews remoteViews, boolean z, c cVar, c cVar2) {
        Notification.Builder builder;
        String str;
        StringBuilder sb;
        String str2;
        Object th;
        a.C0002a aVar = new a.C0002a(dVar.D, "", dVar.z, dVar.C, dVar.ai);
        a.a(context, aVar);
        if (Build.VERSION.SDK_INT >= 11) {
            builder = new Notification.Builder(context);
            builder.setContentTitle(dVar.s).setContentText(dVar.u).setTicker(dVar.u);
            if (z && Build.VERSION.SDK_INT >= 20) {
                builder.setGroupSummary(false);
                builder.setGroup("group");
            }
            if (z) {
                builder.setSmallIcon(17170445);
                if (h.b() == -1) {
                    int a2 = cVar2.a();
                    if (a2 == 102) {
                        if (Build.VERSION.SDK_INT >= 23) {
                            builder.setLargeIcon((Icon) cVar2.b());
                        }
                    } else if (a2 == 100) {
                        builder.setLargeIcon(cVar2.c());
                    } else {
                        Logger.b("NotificationHelper", "not set large icon");
                    }
                }
            } else {
                a(JPushConstants.g, builder, cVar, cVar2);
            }
            if (Build.VERSION.SDK_INT >= 17) {
                builder.setShowWhen(true);
            }
            a(builder, aVar);
            if (Build.VERSION.SDK_INT >= 16) {
                if (remoteViews == null) {
                    if (dVar.v == 1 && !TextUtils.isEmpty(dVar.w)) {
                        Notification.BigTextStyle bigTextStyle = new Notification.BigTextStyle();
                        bigTextStyle.bigText(dVar.w);
                        builder.setStyle(bigTextStyle);
                    }
                    if (dVar.v == 2 && !TextUtils.isEmpty(dVar.y)) {
                        Notification.InboxStyle inboxStyle = new Notification.InboxStyle();
                        try {
                            TreeMap treeMap = new TreeMap();
                            JSONObject jSONObject = new JSONObject(dVar.y);
                            Iterator<String> keys = jSONObject.keys();
                            while (keys.hasNext()) {
                                String next = keys.next();
                                treeMap.put(next, jSONObject.optString(next));
                            }
                            for (String str3 : treeMap.values()) {
                                inboxStyle.addLine(str3);
                            }
                            inboxStyle.setSummaryText(" + " + jSONObject.length() + " new messages");
                        } catch (Throwable th2) {
                            Logger.i("NotificationHelper", "Set inbox style error: " + th2.getMessage());
                        }
                        builder.setStyle(inboxStyle);
                    }
                    if (dVar.v == 3 && !TextUtils.isEmpty(dVar.x)) {
                        Logger.d("NotificationHelper", "Set notification BPS with picture path:" + dVar.x);
                        try {
                            Notification.BigPictureStyle bigPictureStyle = new Notification.BigPictureStyle();
                            bigPictureStyle.bigPicture(BitmapFactory.decodeFile(dVar.x));
                            builder.setStyle(bigPictureStyle);
                        } catch (OutOfMemoryError e) {
                            th = e;
                            str2 = "NotificationHelper";
                            sb = new StringBuilder();
                            str = "Create bitmap failed caused by OutOfMemoryError.error:";
                        } catch (Throwable th3) {
                            th = th3;
                            str2 = "NotificationHelper";
                            sb = new StringBuilder();
                            str = "Create big picture style failed. error:";
                        }
                    }
                }
                if (!TextUtils.isEmpty(dVar.A) && Build.VERSION.SDK_INT >= 21) {
                    builder.setCategory(dVar.A);
                }
            }
            if (remoteViews != null) {
                builder.setContent(remoteViews);
            }
            return a(builder);
        }
        Notification notification = new Notification(f.a(context), dVar.u, System.currentTimeMillis());
        a(notification, aVar);
        if (dVar.s == null) {
            dVar.s = context.getApplicationInfo().name;
        }
        if (remoteViews != null) {
            notification.contentView = remoteViews;
        } else {
            a(notification, context, dVar.s, dVar.u, (PendingIntent) null);
        }
        return notification;
        sb.append(str);
        sb.append(th);
        Logger.g(str2, sb.toString());
        builder.setCategory(dVar.A);
        if (remoteViews != null) {
        }
        return a(builder);
    }

    public static Intent a(Context context, String str, cn.jpush.android.d.d dVar) {
        Intent intent = new Intent(str);
        intent.setClass(context, PushActivity.class);
        if (dVar != null) {
            intent.putExtra("msg_data", dVar.c());
        }
        if (!cn.jpush.android.m.a.h(context) && Build.VERSION.SDK_INT >= 11) {
            intent.addFlags(32768);
        }
        return intent;
    }

    public static Uri a(Context context, String str) {
        try {
            if (TextUtils.isEmpty(str)) {
                return null;
            }
            if (context.getResources().getIdentifier(str, "raw", context.getPackageName()) != 0) {
                Uri parse = Uri.parse("android.resource://" + context.getPackageName() + "/raw/" + str);
                StringBuilder sb = new StringBuilder();
                sb.append("found sound uri=");
                sb.append(parse);
                Logger.b("NotificationHelper", sb.toString());
                return parse;
            }
            Logger.b("NotificationHelper", "not found sound=" + str);
            return null;
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "find sound e:" + th);
            return null;
        }
    }

    private static PushNotificationBuilder a(Context context, NotificationMessage notificationMessage) {
        try {
            Class<?> cls = Class.forName("cn.jpush.android.support.JPushSupport");
            return (PushNotificationBuilder) cls.getDeclaredMethod("getNotificationBuilder", Context.class, NotificationMessage.class).invoke(cls, context, notificationMessage);
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    public static cn.jpush.android.d.d a(Context context, Intent intent) {
        String stringExtra = intent.getStringExtra("msg_data");
        if (TextUtils.isEmpty(stringExtra)) {
            return null;
        }
        return cn.jpush.android.d.d.a(stringExtra);
    }

    @TargetApi(11)
    public static c a(Context context, String str, String str2, String str3, String str4) {
        Icon b;
        c cVar = new c();
        String str5 = "";
        int i = 0;
        try {
            if (TextUtils.isEmpty(str)) {
                Logger.b("NotificationHelper", "source is empty,need not diy small icon");
            } else if (!TextUtils.isEmpty(str3)) {
                if (cn.jpush.android.m.a.a(str3)) {
                    str5 = f(JPushConstants.g, str3);
                } else {
                    i = JPushConstants.g.getResources().getIdentifier(str3, "drawable", JPushConstants.g.getPackageName());
                }
            }
        } catch (Throwable th) {
            Logger.b("NotificationHelper", "load small icon failed:" + th.getMessage());
        }
        if (!TextUtils.isEmpty(str5)) {
            Bitmap bitmap = null;
            try {
                if (cn.jpush.android.m.c.a(str5)) {
                    bitmap = BitmapFactory.decodeFile(str5);
                }
                if (bitmap != null) {
                    Logger.b("NotificationHelper", "set small icon with path bitmap:" + bitmap);
                    cVar.a(100);
                    cVar.a(bitmap);
                    return cVar;
                }
                Logger.b("NotificationHelper", "not set small icon by bitmap");
                if (Build.VERSION.SDK_INT >= 23 && (b = b(str5)) != null) {
                    Logger.b("NotificationHelper", "set small icon success by path:" + str5);
                    cVar.a(102);
                    cVar.a(b);
                    return cVar;
                }
            } catch (Throwable unused) {
                Logger.f("NotificationHelper", "resource not found with sdcard path");
            }
        }
        if (i != 0) {
            cVar.a(101);
            cVar.b(i);
            Logger.b("NotificationHelper", "set small icon success by resId:" + i + ",resName:" + str3);
            return cVar;
        } else if (TextUtils.isEmpty(str2) || str2.equals(context.getPackageName())) {
            int a2 = f.a(context);
            if (a2 != 0) {
                cVar.a(101);
                cVar.b(a2);
                Logger.b("NotificationHelper", "set small icon success by mine icon resId:" + a2);
                return cVar;
            }
            cVar.c(972);
            return cVar;
        } else {
            try {
                if (!cn.jpush.android.m.a.c(context, str2)) {
                    Logger.f("NotificationHelper", "targetApp ：" + str2 + " is not install,will give up notify the msg");
                    cVar.c(TbsLog.TBSLOG_CODE_SDK_CONFLICT_X5CORE);
                    return cVar;
                }
                Bitmap e = e(context, str2);
                if (e == null) {
                    Logger.f("NotificationHelper", "not found targetApp small icon bitmap,will give up notify the msg");
                    cVar.c(972);
                    return cVar;
                }
                cVar.a(100);
                cVar.a(e);
                Logger.b("NotificationHelper", "set small icon success by targetAppBitmap");
                return cVar;
            } catch (Throwable th2) {
                Logger.f("NotificationHelper", "set small icon by targetApp icon bitmap failed:" + th2.getMessage());
                cVar.c(972);
                return cVar;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x03d2  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x0437  */
    /* JADX WARNING: Removed duplicated region for block: B:135:0x0446 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0447  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x02d5  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x0330  */
    private static Object a(Context context, cn.jpush.android.d.d dVar, c cVar, c cVar2) {
        int i;
        String str;
        int i2;
        int i3;
        int i4;
        boolean z;
        boolean z2;
        int a2;
        boolean z3;
        String str2;
        String str3;
        if (Build.VERSION.SDK_INT >= 11) {
            e.a(JPushConstants.g);
        }
        Context a3 = JPushConstants.a(context);
        int identifier = a3.getResources().getIdentifier("push_notification", "layout", a3.getPackageName());
        int identifier2 = a3.getResources().getIdentifier("push_root_view", "id", a3.getPackageName());
        int b = h.b();
        int identifier3 = a3.getResources().getIdentifier("push_notification_style_default", "id", a3.getPackageName());
        if (b != 0) {
            i = a3.getResources().getIdentifier("push_notification_style_" + b, "id", a3.getPackageName());
            if (i <= 0) {
                Logger.g("NotificationHelper", "not found push_notification_style_" + b + " in layout");
                return null;
            }
        } else {
            i = 0;
        }
        if (b == 0) {
            str = "";
        } else {
            str = "style_" + b + "_";
        }
        int identifier4 = a3.getResources().getIdentifier("push_notification_" + str + "title", "id", a3.getPackageName());
        int identifier5 = a3.getResources().getIdentifier("push_notification_" + str + "content", "id", a3.getPackageName());
        int identifier6 = a3.getResources().getIdentifier("push_notification_" + str + "big_icon", "id", a3.getPackageName());
        int identifier7 = a3.getResources().getIdentifier("push_notification_" + str + "date", "id", a3.getPackageName());
        int identifier8 = a3.getResources().getIdentifier("push_notification_content_one_line", "id", a3.getPackageName());
        int identifier9 = a3.getResources().getIdentifier("push_notification_sub_title", "id", a3.getPackageName());
        int identifier10 = a3.getResources().getIdentifier("push_notification_dot", "id", a3.getPackageName());
        int identifier11 = a3.getResources().getIdentifier("push_notification_small_icon", "id", a3.getPackageName());
        if (b == 0) {
            Logger.b("NotificationHelper", "buildDiyLayout layoutId:" + identifier + ",defaultStyleId:" + identifier3 + ",largeId:" + identifier6 + ",appNameId:" + identifier4 + ",contentId:" + identifier5 + ",smallId:" + identifier11 + ",dateId:" + identifier7 + ",dotId:" + identifier10 + ",titleId:" + identifier9 + ",oneLinecontentId:" + identifier8);
            if (identifier <= 0 || identifier2 <= 0 || identifier3 <= 0 || identifier4 <= 0 || identifier5 <= 0 || identifier6 <= 0 || identifier11 <= 0 || identifier7 <= 0 || identifier10 <= 0 || identifier9 <= 0 || identifier8 <= 0) {
                Logger.g("NotificationHelper", "not found valid push_notification in layout");
                return null;
            }
            i2 = identifier11;
            i3 = i;
        } else {
            StringBuilder sb = new StringBuilder();
            sb.append("buildDiyLayout layoutId:");
            sb.append(identifier);
            sb.append(",useStyleId:");
            i3 = i;
            sb.append(i3);
            i2 = identifier11;
            sb.append(",appNameId:");
            sb.append(identifier4);
            sb.append(",contentId:");
            sb.append(identifier5);
            sb.append(",largeId:");
            sb.append(identifier6);
            sb.append(",dateId:");
            sb.append(identifier7);
            Logger.b("NotificationHelper", sb.toString());
            if (identifier <= 0 || identifier2 <= 0 || i3 <= 0 || identifier4 <= 0 || identifier5 <= 0 || identifier6 <= 0 || identifier7 <= 0) {
                Logger.g("NotificationHelper", "not found valid push_notification in layout");
                return null;
            }
        }
        RemoteViews remoteViews = new RemoteViews(a3.getPackageName(), identifier);
        try {
            int a4 = e.a();
            int b2 = e.b();
            remoteViews.setTextColor(identifier4, a4);
            if (b == 0) {
                remoteViews.setTextColor(identifier7, b2);
                remoteViews.setTextColor(identifier10, a4);
                remoteViews.setTextColor(identifier9, a4);
            } else {
                remoteViews.setTextColor(identifier7, b2);
            }
            remoteViews.setTextColor(identifier8, b2);
            remoteViews.setTextColor(identifier5, b2);
        } catch (Throwable th) {
            Logger.b("NotificationHelper", "set diy color error:" + th.getMessage());
        }
        float d = e.d();
        if (d != -1.0f && Build.VERSION.SDK_INT >= 16) {
            remoteViews.setTextViewTextSize(identifier5, 0, d);
            remoteViews.setTextViewTextSize(identifier8, 0, d);
        }
        String str4 = dVar.t;
        String str5 = "";
        try {
            JSONObject jSONObject = new JSONObject(dVar.B);
            String optString = jSONObject.optString("ssp_appname");
            try {
                i4 = jSONObject.optInt("ssp_use_title");
                str5 = optString;
            } catch (Throwable unused) {
                str5 = optString;
                i4 = 0;
                str5 = str4;
                if (b == 0) {
                }
                remoteViews.setTextViewText(identifier5, dVar.u);
                remoteViews.setTextViewText(identifier7, new SimpleDateFormat("HH:mm", Locale.getDefault()).format(new Date(System.currentTimeMillis())));
                Logger.b("NotificationHelper", "notificationStyle:" + b + ",noUseLargeIcon:" + z);
                a2 = cVar.a();
                if (a2 == 102) {
                }
                Logger.b(str2, str3);
                z2 = true;
                if (!z2) {
                }
                if (z) {
                }
            }
        } catch (Throwable unused2) {
            i4 = 0;
            str5 = str4;
            if (b == 0) {
            }
            remoteViews.setTextViewText(identifier5, dVar.u);
            remoteViews.setTextViewText(identifier7, new SimpleDateFormat("HH:mm", Locale.getDefault()).format(new Date(System.currentTimeMillis())));
            Logger.b("NotificationHelper", "notificationStyle:" + b + ",noUseLargeIcon:" + z);
            a2 = cVar.a();
            if (a2 == 102) {
            }
            Logger.b(str2, str3);
            z2 = true;
            if (!z2) {
            }
            if (z) {
            }
        }
        if (!TextUtils.isEmpty(str4) || TextUtils.isEmpty(str5)) {
            str5 = str4;
        }
        if (b == 0) {
            remoteViews.setViewVisibility(identifier3, 0);
            if (TextUtils.isEmpty(str5)) {
                remoteViews.setTextViewText(identifier4, dVar.s);
                remoteViews.setViewVisibility(identifier9, 8);
            } else if (a3.getApplicationInfo().targetSdkVersion >= 24) {
                remoteViews.setTextViewText(identifier4, str5);
                remoteViews.setTextViewText(identifier9, dVar.s);
                remoteViews.setViewVisibility(identifier9, 0);
                if (h.c()) {
                    remoteViews.setViewVisibility(identifier5, 8);
                    remoteViews.setTextViewText(identifier8, dVar.u);
                    remoteViews.setViewVisibility(identifier8, 0);
                }
                float c = e.c();
                if (c != -1.0f && Build.VERSION.SDK_INT >= 16) {
                    remoteViews.setTextViewTextSize(identifier9, 0, c);
                }
            } else {
                remoteViews.setTextViewText(identifier4, dVar.s);
                remoteViews.setViewVisibility(identifier9, 8);
            }
            z2 = false;
            z = false;
        } else {
            remoteViews.setViewVisibility(identifier3, 8);
            remoteViews.setViewVisibility(i3, 0);
            if (TextUtils.isEmpty(str5) || i4 == 1) {
                str5 = dVar.s;
                z = false;
            } else {
                z = true;
            }
            remoteViews.setTextViewText(identifier4, str5);
            float c2 = e.c();
            if (c2 == -1.0f || Build.VERSION.SDK_INT < 16) {
                z2 = false;
            } else {
                z2 = false;
                remoteViews.setTextViewTextSize(identifier4, 0, c2);
            }
        }
        remoteViews.setTextViewText(identifier5, dVar.u);
        remoteViews.setTextViewText(identifier7, new SimpleDateFormat("HH:mm", Locale.getDefault()).format(new Date(System.currentTimeMillis())));
        Logger.b("NotificationHelper", "notificationStyle:" + b + ",noUseLargeIcon:" + z);
        if (b == 0 || z) {
            a2 = cVar.a();
            if (a2 == 102) {
                if (Build.VERSION.SDK_INT >= 23) {
                    if (b == 0) {
                        remoteViews.setImageViewIcon(i2, (Icon) cVar.b());
                    }
                    if (z) {
                        remoteViews.setImageViewIcon(identifier6, (Icon) cVar.b());
                    }
                    str2 = "NotificationHelper";
                    str3 = "diy set small icon by icon obj";
                }
                if (!z2) {
                    c.a(dVar.c, 972, a3);
                    return 1;
                }
            } else if (a2 == 100) {
                if (b == 0) {
                    remoteViews.setImageViewBitmap(i2, cVar.c());
                }
                if (z) {
                    remoteViews.setImageViewBitmap(identifier6, cVar.c());
                }
                str2 = "NotificationHelper";
                str3 = "diy set small icon by bitmap";
            } else {
                if (a2 == 101) {
                    try {
                        a3.getResources().getDrawable(cVar.d());
                        z3 = true;
                    } catch (Throwable unused3) {
                        Logger.f("NotificationHelper", "diy resource not found with local app");
                        z3 = false;
                    }
                    if (z3) {
                        Logger.b("NotificationHelper", "diy set small icon by local resId:" + cVar.d());
                        if (b == 0) {
                            remoteViews.setImageViewResource(i2, cVar.d());
                        }
                        if (z) {
                            remoteViews.setImageViewResource(identifier6, cVar.d());
                        }
                        z2 = true;
                    }
                }
                if (!z2) {
                }
            }
            Logger.b(str2, str3);
            z2 = true;
            if (!z2) {
            }
        }
        if (z) {
            return remoteViews;
        }
        int a5 = cVar2.a();
        if (a5 == 102) {
            if (Build.VERSION.SDK_INT >= 23) {
                remoteViews.setImageViewIcon(identifier6, (Icon) cVar2.b());
            }
        } else if (a5 == 100) {
            remoteViews.setImageViewBitmap(identifier6, cVar2.c());
        } else {
            Logger.b("NotificationHelper", "diy not set large icon");
            if (b == 1) {
                c.a(dVar.c, 973, a3);
                return 2;
            }
        }
        return remoteViews;
    }

    private static String a(Context context, String str, String str2) {
        if (str.endsWith(".jpg") || str.endsWith(".png")) {
            Logger.d("NotificationHelper", "The url is a picture resources.");
            String str3 = cn.jpush.android.m.c.c(context, str2) + (str2 + str.substring(str.lastIndexOf(".")));
            Logger.d("NotificationHelper", "Big picture notification resource path: " + str3);
            byte[] a2 = cn.jpush.android.g.a.a(str, 5, 5000, 4);
            return (a2 == null || !cn.jpush.android.m.c.a(str3, a2)) ? "" : str3;
        }
        Logger.d("NotificationHelper", "The url is not a picture resources.");
        return "";
    }

    public static void a(Notification.Builder builder, a.C0002a aVar) {
        if (aVar != null) {
            try {
                if (Build.VERSION.SDK_INT >= 26 && aVar.h) {
                    Logger.b("NotificationHelper", "setChannelId =" + aVar.f1027a);
                    builder.setChannelId(aVar.f1027a);
                }
                if (Build.VERSION.SDK_INT >= 16) {
                    builder.setPriority(aVar.c);
                    builder.setDefaults(aVar.e);
                    builder.setSound(aVar.g);
                }
            } catch (Throwable unused) {
            }
        }
    }

    public static void a(Notification notification, Context context, String str, String str2, PendingIntent pendingIntent) {
        try {
            Class.forName("android.app.Notification").getDeclaredMethod("setLatestEventInfo", Context.class, CharSequence.class, CharSequence.class, PendingIntent.class).invoke(notification, context, str, str2, pendingIntent);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void a(Notification notification, a.C0002a aVar) {
        if (aVar != null) {
            try {
                if (Build.VERSION.SDK_INT < 16) {
                    notification.defaults = aVar.e;
                    notification.sound = aVar.g;
                }
            } catch (Throwable unused) {
            }
        }
    }

    public static void a(Context context) {
        while (true) {
            Integer valueOf = Integer.valueOf(e.a());
            if (valueOf.intValue() != 0) {
                c(context, valueOf.intValue());
            } else {
                return;
            }
        }
    }

    public static void a(Context context, int i) {
        int a2;
        if (!e.b(i)) {
            e.a(i);
        }
        Logger.b("NotificationHelper", "queueSize:" + e.b() + ",max num:" + cn.jpush.android.cache.a.h(context));
        if (e.b() > cn.jpush.android.cache.a.h(context) && (a2 = e.a()) != 0) {
            c(context, a2);
        }
    }

    public static void a(Context context, int i, int i2, String str) {
        a(context, i, i2, str, (Bundle) null);
    }

    public static void a(Context context, int i, int i2, String str, Bundle bundle) {
        try {
            String e = JPushConstants.e(context);
            if (!TextUtils.isEmpty(e)) {
                Intent intent = new Intent();
                intent.setClassName(context, e);
                intent.setAction(cn.jpush.android.m.a.e(context, "cmd_msg"));
                intent.putExtra("cmd", i);
                intent.putExtra("code", i2);
                intent.putExtra("message", str);
                if (bundle != null) {
                    intent.putExtras(bundle);
                }
                if (JPushConstants.d(context) != null) {
                    cn.jpush.android.helper.a.a(JPushConstants.d(context), context, intent);
                } else {
                    context.sendBroadcast(intent);
                }
            }
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "sendCmdMsgToUser failed:" + th.getMessage());
        }
    }

    public static void a(Context context, int i, boolean z) {
        try {
            boolean z2 = true;
            if (e(context) != 1) {
                z2 = false;
            }
            Logger.b("NotificationHelper", "[checkNotificationSettings] new state:" + z2 + ",last state:" + f1028a + ",soucre:" + i + ",isFocre:" + z);
            if (f1028a == null || z2 != f1028a.booleanValue() || z) {
                f1028a = Boolean.valueOf(z2);
                JPushMessageReceiver d = JPushConstants.d(context);
                if (d != null) {
                    d.a(context, f1028a.booleanValue(), i);
                    return;
                }
                try {
                    Intent intent = new Intent(context, Class.forName(JPushConstants.e(context)));
                    intent.setAction("on_noti_settings_check");
                    intent.putExtra("isOn", f1028a);
                    intent.putExtra("source", i);
                    context.sendBroadcast(intent);
                } catch (Throwable th) {
                    Logger.f("NotificationHelper", "checkNotificationSettings send to user e:" + th);
                }
            } else {
                Logger.b("NotificationHelper", "[checkNotificationSettings] no change");
            }
        } catch (Throwable th2) {
            Logger.f("NotificationHelper", "checkNotificationSettings e:" + th2);
        }
    }

    public static void a(Context context, cn.jpush.android.d.d dVar) {
        Logger.b("NotificationHelper", "[processMessage] pushEntity:" + dVar);
        if (dVar.S != 0) {
            Logger.b("NotificationHelper", "Unexpected: unknown show  mode - " + dVar.S);
            return;
        }
        JCoreManager.a(context, "JPUSH", 12, null, null, new a(context, dVar));
    }

    public static void a(Context context, Integer num, Notification notification) {
        if (num != null) {
            Key<Integer> b = Key.b();
            int intValue = ((Integer) Sp.a(context, b)).intValue();
            if (intValue < 0) {
                intValue = 0;
            }
            if (num.intValue() != 0) {
                if (num.intValue() + intValue < 0) {
                    num = Integer.valueOf(-intValue);
                }
                intValue += num.intValue();
                Sp.a(context, b.a(Integer.valueOf(intValue)));
            }
            a(context, notification, num.intValue(), intValue);
        }
    }

    public static void a(Context context, String str, cn.jpush.android.d.d dVar, Intent intent) {
        try {
            Intent intent2 = new Intent(context, Class.forName(JPushConstants.e(context)));
            if (intent != null) {
                String string = intent.getExtras().getString("cn.jpush.android.NOTIFIACATION_ACTION_EXTRA");
                if (!TextUtils.isEmpty(string)) {
                    intent2.putExtra("cn.jpush.android.NOTIFIACATION_ACTION_EXTRA", string);
                }
            }
            intent2.setAction(str);
            if (dVar != null) {
                intent2.putExtra("msg_data", dVar.c());
            }
            if (JPushConstants.d(context) != null) {
                if (str.equals("cn.jpush.android.intent.NOTIFICATION_CLICK_ACTION_PROXY")) {
                    intent2.setAction("cn.jpush.android.intent.NOTIFICATION_CLICK_ACTION");
                    JPushConstants.d(context).a(context, intent2);
                    return;
                }
                NotificationMessage b = dVar.b();
                if (TextUtils.isEmpty(b.f1000a)) {
                    b.f1000a = JCoreHelper.c(context);
                }
                if (str.equals("cn.jpush.android.intent.NOTIFICATION_ARRIVED")) {
                    JPushConstants.d(context).a(context, b);
                    return;
                } else if (str.equals("cn.jpush.android.intent.NOTIFICATION_DISMISS")) {
                    JPushConstants.d(context).c(context, b);
                    return;
                } else if (str.equals("cn.jpush.android.intent.NOTIFICATION_OPENED")) {
                    JPushConstants.d(context).b(context, b);
                    return;
                }
            }
            context.sendBroadcast(intent2);
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "sendToUserReceiver failed:" + th.getMessage());
        }
    }

    public static void a(Context context, List<String> list) {
        try {
            JSONArray b = b(context);
            JSONArray jSONArray = new JSONArray();
            long currentTimeMillis = System.currentTimeMillis();
            for (int i = 0; i < b.length(); i++) {
                JSONObject jSONObject = b.getJSONObject(i);
                String string = jSONObject.getString("id");
                if (list != null && list.remove(string)) {
                    jSONObject.put("time", currentTimeMillis);
                }
                if (currentTimeMillis < jSONObject.getLong("time") + 86400000) {
                    jSONArray.put(jSONObject);
                }
            }
            if (list != null) {
                for (String str : list) {
                    JSONObject jSONObject2 = new JSONObject();
                    jSONObject2.put("time", currentTimeMillis);
                    jSONObject2.put("id", str);
                    jSONArray.put(jSONObject2);
                }
            }
            String jSONArray2 = jSONArray.length() > 0 ? jSONArray.toString() : null;
            Logger.b("NotificationHelper", "saveString=" + jSONArray2);
            Sp.a(context, Key.d().a(jSONArray2));
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "save NotiCancel e:" + th);
        }
    }

    private static boolean a() {
        try {
            Class<?> cls = Class.forName("android.os.SystemProperties");
            String str = (String) cls.getDeclaredMethod("get", String.class).invoke(cls, "ro.build.version.emui");
            if (!TextUtils.isEmpty(str)) {
                Logger.d("NotificationHelper", "get EMUI version is:" + str);
                return cn.jpush.android.m.a.a(str.toLowerCase().replace("emotionui_", ""), "8.0") >= 0;
            }
        } catch (Throwable th) {
            Logger.h("NotificationHelper", " getEmuiVersion wrong error:" + th);
        }
        return false;
    }

    private static boolean a(Notification notification, int i) {
        if (notification != null) {
            try {
                Object obj = notification.getClass().getDeclaredField("extraNotification").get(notification);
                obj.getClass().getDeclaredMethod("setMessageCount", Integer.TYPE).invoke(obj, Integer.valueOf(i));
                return true;
            } catch (Exception unused) {
            }
        }
        return false;
    }

    @TargetApi(11)
    private static boolean a(Context context, Notification.Builder builder, c cVar, c cVar2) {
        boolean z;
        boolean z2;
        int a2 = cVar.a();
        if (a2 != 102 || Build.VERSION.SDK_INT < 23) {
            z = false;
        } else {
            builder.setSmallIcon((Icon) cVar.b());
            z = true;
        }
        if (!z && a2 == 100 && Build.VERSION.SDK_INT >= 23) {
            builder.setSmallIcon(Icon.createWithBitmap(cVar.c()));
            z = true;
        }
        if (!z && a2 == 101) {
            try {
                context.getResources().getDrawable(cVar.d());
                z2 = true;
            } catch (Throwable unused) {
                Logger.f("NotificationHelper", "resource not found with local app");
                z2 = false;
            }
            if (z2) {
                Logger.b("NotificationHelper", "set small icon by local resId:" + cVar.d());
                builder.setSmallIcon(Integer.valueOf(cVar.d()).intValue());
                z = true;
            }
        }
        if (!z) {
            return false;
        }
        int a3 = cVar2.a();
        if (a3 == 102) {
            if (Build.VERSION.SDK_INT >= 23) {
                builder.setLargeIcon((Icon) cVar2.b());
            }
        } else if (a3 == 100) {
            builder.setLargeIcon(cVar2.c());
        } else {
            Logger.b("NotificationHelper", "not set large icon");
        }
        return true;
    }

    public static boolean a(Context context, Notification notification, int i, int i2) {
        if (Build.MANUFACTURER.equalsIgnoreCase("xiaomi")) {
            return a(notification, i);
        }
        if (!a()) {
            Logger.b("NotificationHelper", "not support");
            return false;
        } else if (i2 == 0 || i != 0) {
            return d(context, i2);
        } else {
            return false;
        }
    }

    public static Intent b(Context context, String str, cn.jpush.android.d.d dVar) {
        Intent intent = new Intent(str);
        intent.setClass(context, PopWinActivity.class);
        if (dVar != null) {
            intent.putExtra("msg_data", dVar.c());
        }
        return intent;
    }

    @TargetApi(23)
    private static Icon b(String str) {
        try {
            if (new File(str).exists()) {
                return Icon.createWithFilePath(str);
            }
            Logger.f("NotificationHelper", "icon file doesn't exist, path=" + str);
            return null;
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "createIcon err:" + th);
            return null;
        }
    }

    public static NotificationMessage b(Context context, Intent intent) {
        NotificationMessage b = a(context, intent).b();
        if (TextUtils.isEmpty(b.f1000a)) {
            b.f1000a = JCoreHelper.c(context);
        }
        return b;
    }

    @TargetApi(11)
    public static c b(Context context, String str) {
        c cVar = new c();
        Object c = c(context, str);
        if (c == null) {
            cVar.c(973);
            return cVar;
        }
        if (Build.VERSION.SDK_INT >= 23 && (c instanceof Icon)) {
            cVar.a(102);
            cVar.a(c);
        } else if (c instanceof Bitmap) {
            cVar.a(100);
            cVar.a((Bitmap) c);
        } else {
            cVar.c(973);
            return cVar;
        }
        return cVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x0047  */
    public static JSONArray b(Context context) {
        JSONArray jSONArray;
        String str = (String) Sp.a(context, Key.d());
        if (!TextUtils.isEmpty(str)) {
            try {
                Logger.b("NotificationHelper", "read=" + str);
                jSONArray = new JSONArray(str);
            } catch (Throwable th) {
                Logger.f("NotificationHelper", "read NotiCancel e:" + th);
            }
            return jSONArray == null ? jSONArray : new JSONArray();
        }
        jSONArray = null;
        if (jSONArray == null) {
        }
    }

    public static void b(Context context, int i) {
        if (i > 0) {
            for (int i2 = 0; i2 < i; i2++) {
                Integer valueOf = Integer.valueOf(e.a());
                if (valueOf.intValue() != 0) {
                    c(context, valueOf.intValue());
                }
            }
        }
    }

    public static void b(Context context, cn.jpush.android.d.d dVar) {
        if (dVar != null) {
            c(context, a(dVar));
        }
    }

    private static Intent c(Context context, String str, cn.jpush.android.d.d dVar) {
        Intent intent = new Intent(str);
        intent.setClass(context, JNotifyActivity.class);
        intent.setFlags(1073741824);
        if (dVar != null) {
            intent.putExtra("msg_data", dVar.c());
        }
        return intent;
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x00a5 A[Catch:{ Throwable -> 0x0076 }] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a8 A[Catch:{ Throwable -> 0x0076 }] */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00ee A[Catch:{ Throwable -> 0x0076 }] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00f0 A[Catch:{ Throwable -> 0x0076 }] */
    public static Object c(Context context, String str) {
        Bitmap bitmap;
        String str2;
        String str3;
        Icon icon;
        String str4;
        String str5;
        String str6;
        String str7;
        if (TextUtils.isEmpty(str)) {
            Logger.b("NotificationHelper", "large icon is empty");
            return null;
        }
        String str8 = "";
        int i = 0;
        try {
            if (!TextUtils.isEmpty(str)) {
                if (cn.jpush.android.m.a.a(str)) {
                    str8 = f(JPushConstants.g, str);
                } else {
                    i = JPushConstants.g.getResources().getIdentifier(str, "drawable", JPushConstants.g.getPackageName());
                }
            }
        } catch (Throwable th) {
            Logger.b("NotificationHelper", "load large icon failed:" + th.getMessage());
        }
        if (i != 0) {
            try {
                bitmap = BitmapFactory.decodeResource(context.getResources(), i);
                str6 = "NotificationHelper";
                str7 = "set large icon with res bitmap:" + i;
            } catch (Throwable th2) {
                Logger.f("NotificationHelper", "setLargeIcon failed:" + th2.getMessage());
                return null;
            }
        } else if (TextUtils.isEmpty(str8) || !new File(str8).exists()) {
            bitmap = null;
            if (bitmap == null) {
                return bitmap;
            }
            if (Build.VERSION.SDK_INT >= 23) {
                if (i != 0) {
                    icon = Icon.createWithResource(context, i);
                    str4 = "NotificationHelper";
                    str5 = "set large icon with res:" + i;
                } else {
                    if (!TextUtils.isEmpty(str8)) {
                        icon = b(str8);
                        if (icon != null) {
                            str4 = "NotificationHelper";
                            str5 = "set large icon with path:" + str8;
                        }
                    } else {
                        icon = null;
                    }
                    if (icon == null) {
                        return icon;
                    }
                    str2 = "NotificationHelper";
                    str3 = "not set large icon";
                }
                Logger.b(str4, str5);
                if (icon == null) {
                }
            } else {
                str2 = "NotificationHelper";
                str3 = "not set large icon by bitmap";
            }
            Logger.b(str2, str3);
            return null;
        } else {
            bitmap = BitmapFactory.decodeFile(str8);
            str6 = "NotificationHelper";
            str7 = "set large icon with path bitmap:" + str8;
        }
        Logger.b(str6, str7);
        if (bitmap == null) {
        }
    }

    public static void c(Context context, int i) {
        try {
            Logger.b("NotificationHelper", "action:cleanNotification - notificationId:" + i);
            ((NotificationManager) context.getSystemService("notification")).cancel(i);
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "cancelNotification failed:" + th.getMessage());
        }
    }

    public static boolean c(Context context) {
        try {
            if (!cn.jpush.android.cache.a.e(context)) {
                Logger.e("NotificationHelper", "Notification was disabled by JPushInterface.setPushTime !");
                return false;
            }
            String f = cn.jpush.android.cache.a.f(context);
            if (TextUtils.isEmpty(f)) {
                Logger.d("NotificationHelper", "no time limited");
                return true;
            }
            Logger.d("NotificationHelper", "push time is ：" + f);
            String[] split = f.split("_");
            String str = split[0];
            String str2 = split[1];
            char[] charArray = str.toCharArray();
            String[] split2 = str2.split("\\^");
            Calendar instance = Calendar.getInstance();
            int i = instance.get(7);
            int i2 = instance.get(11);
            for (char c : charArray) {
                if (i == Integer.valueOf(String.valueOf(c)).intValue() + 1) {
                    int intValue = Integer.valueOf(split2[0]).intValue();
                    int intValue2 = Integer.valueOf(split2[1]).intValue();
                    if (i2 >= intValue && i2 <= intValue2) {
                        return true;
                    }
                }
            }
            Logger.e("NotificationHelper", "Current time is out of the push time - " + f);
            return false;
        } catch (Exception unused) {
            return true;
        }
    }

    public static boolean c(Context context, cn.jpush.android.d.d dVar) {
        try {
            JSONArray b = b(context);
            if (b != null) {
                if (b.length() != 0) {
                    JSONArray jSONArray = new JSONArray();
                    long currentTimeMillis = System.currentTimeMillis();
                    boolean z = false;
                    for (int i = 0; i < b.length(); i++) {
                        JSONObject jSONObject = b.getJSONObject(i);
                        if (currentTimeMillis < jSONObject.getLong("time") + 86400000) {
                            jSONArray.put(jSONObject);
                            if (!z) {
                                String string = jSONObject.getString("id");
                                if (!TextUtils.isEmpty(dVar.c) && dVar.c.equals(string)) {
                                    c.a(dVar.c, 1032, context);
                                } else if (!TextUtils.isEmpty(dVar.f) && dVar.f.equals(string)) {
                                    c.a(dVar.c, 1033, context);
                                }
                                z = true;
                            }
                        }
                    }
                    if (jSONArray.length() != b.length()) {
                        String jSONArray2 = jSONArray.length() > 0 ? jSONArray.toString() : null;
                        Logger.b("NotificationHelper", "saveString when check=" + jSONArray2);
                        Sp.a(context, Key.d().a(jSONArray2));
                    }
                    return z;
                }
            }
            return false;
        } catch (Throwable th) {
            Logger.f("NotificationHelper", "isAlreadyCancel e:" + th);
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:48:0x0135 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0137 A[RETURN] */
    public static int d(Context context, cn.jpush.android.d.d dVar) {
        String str;
        String str2;
        if (dVar == null || TextUtils.isEmpty(dVar.H) || (!TextUtils.isEmpty(dVar.E) && !dVar.E.equals("ssp"))) {
            Logger.b("NotificationHelper", "is not deep link notification");
            return 0;
        }
        if (TextUtils.isEmpty(dVar.E) && TextUtils.isEmpty(dVar.K)) {
            Logger.b("NotificationHelper", "source is empty and targetPkgName is empty,will use mine pkgname replace targetPkgName");
            dVar.K = context.getPackageName();
        }
        try {
            Logger.b("NotificationHelper", "open deeplink notification,source:" + dVar.E + ",targetPkg:" + dVar.K);
            if (TextUtils.isEmpty(dVar.K)) {
                if (g(context, dVar.H)) {
                    str2 = dVar.c;
                } else {
                    str = dVar.c;
                    c.a(str, 977, context);
                    return !TextUtils.isEmpty(dVar.E) ? 1 : 2;
                }
            } else if (!cn.jpush.android.m.a.c(context, dVar.K)) {
                c.a(dVar.c, 988, context);
                Logger.b("NotificationHelper", "app not installed,fail_handle_type:" + dVar.I + ",fail_handle_url:" + dVar.J);
                switch (dVar.I) {
                    case 0:
                        Intent f = cn.jpush.android.m.a.f(context);
                        if (f != null) {
                            try {
                                context.startActivity(f);
                                break;
                            } catch (Throwable th) {
                                Logger.b("NotificationHelper", "start main intent error:" + th.getMessage());
                                break;
                            }
                        }
                        break;
                    case 1:
                    case 2:
                        if (!TextUtils.isEmpty(dVar.J)) {
                            if (!g(context, dVar.J)) {
                                c.a(dVar.c, 979, context);
                                break;
                            } else {
                                c.a(dVar.c, 978, context);
                                break;
                            }
                        } else {
                            Logger.b("NotificationHelper", "fail_handle_url is empty");
                            break;
                        }
                }
                if (!TextUtils.isEmpty(dVar.E)) {
                }
            } else if (g(context, dVar.H)) {
                str2 = dVar.c;
            } else {
                str = dVar.c;
                c.a(str, 977, context);
                if (!TextUtils.isEmpty(dVar.E)) {
                }
            }
            c.a(str2, 976, context);
        } catch (Throwable th2) {
            Logger.f("NotificationHelper", "url failed:" + th2.getMessage());
        }
        if (!TextUtils.isEmpty(dVar.E)) {
        }
    }

    public static String d(Context context, String str) {
        if (str.endsWith(".jpg") || str.endsWith(".png") || str.endsWith(".jpeg")) {
            Logger.d("NotificationHelper", "The url is a picture resources.");
            String b = cn.jpush.android.m.a.b(str);
            if (TextUtils.isEmpty(b)) {
                b = UUID.randomUUID().toString();
            }
            String str2 = cn.jpush.android.m.c.c(context, "noti_res") + (b + str.substring(str.lastIndexOf(".")));
            Logger.d("NotificationHelper", "picture notification resource path: " + str2);
            if (new File(str2).exists()) {
                Logger.b("NotificationHelper", "need not download again with same url:" + str);
                return str2;
            }
            byte[] a2 = cn.jpush.android.g.a.a(str, 2);
            return (a2 == null || !cn.jpush.android.m.c.a(str2, a2)) ? "" : str2;
        }
        Logger.d("NotificationHelper", "The url is not a picture resources.");
        return "";
    }

    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00b5, code lost:
        if (r6 <= 23) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00b9, code lost:
        if (r6 < r4) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00bd, code lost:
        if (r5 >= r3) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00c1, code lost:
        if (r5 <= r0) goto L_0x00c3;
     */
    public static boolean d(Context context) {
        String g = cn.jpush.android.cache.a.g(context);
        if (TextUtils.isEmpty(g)) {
            return false;
        }
        try {
            JSONObject jSONObject = new JSONObject(g);
            int optInt = jSONObject.optInt("startHour", -1);
            int optInt2 = jSONObject.optInt("startMins", -1);
            int optInt3 = jSONObject.optInt("endHour", -1);
            int optInt4 = jSONObject.optInt("endtMins", -1);
            if (optInt >= 0 && optInt2 >= 0 && optInt3 >= 0 && optInt4 >= 0 && optInt2 <= 59 && optInt4 <= 59 && optInt3 <= 23) {
                if (optInt <= 23) {
                    Calendar instance = Calendar.getInstance();
                    int i = instance.get(11);
                    int i2 = instance.get(12);
                    Logger.a("NotificationHelper", "nowHour:" + i + ", nowMin:" + i2 + ", startHour:" + optInt + ", startMin:" + optInt2 + ", endHour:" + optInt3 + ", endMin:" + optInt4);
                    if (optInt < optInt3) {
                        if ((i <= optInt || i >= optInt3) && (i != optInt || i2 < optInt2)) {
                            if (i != optInt3 || i2 > optInt4) {
                                return false;
                            }
                        }
                    } else if (optInt == optInt3) {
                        if (optInt2 >= optInt4) {
                            if (i == optInt && i2 > optInt4 && i2 < optInt2) {
                                return false;
                            }
                        } else if (i != optInt || i2 < optInt2 || i2 > optInt4) {
                            return false;
                        }
                    } else if (optInt > optInt3) {
                        if (i > optInt) {
                        }
                        if (i >= 0) {
                        }
                        if (i == optInt) {
                        }
                        if (i == optInt3) {
                        }
                    }
                    Logger.e("NotificationHelper", "Current time is in the range of silence time - " + optInt + ":" + optInt2 + " ~ " + optInt3 + ":" + optInt4);
                    return true;
                }
            }
        } catch (JSONException unused) {
        }
        return false;
    }

    private static boolean d(Context context, int i) {
        try {
            if (Build.VERSION.SDK_INT < 11) {
                return false;
            }
            Bundle bundle = new Bundle();
            bundle.putString("package", context.getPackageName());
            bundle.putString("class", g(context));
            bundle.putInt("badgenumber", i);
            context.getContentResolver().call(Uri.parse("content://com.huawei.android.launcher.settings/badge/"), "change_badge", (String) null, bundle);
            return true;
        } catch (Exception e) {
            Logger.h("NotificationHelper", "e: " + e);
            return false;
        }
    }

    public static int e(Context context) {
        String str;
        StringBuilder sb;
        String str2;
        if (Build.VERSION.SDK_INT >= 24) {
            try {
                NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
                if (notificationManager == null) {
                    return -1;
                }
                boolean areNotificationsEnabled = notificationManager.areNotificationsEnabled();
                Logger.b("NotificationHelper", "from NotificationManager enable=" + areNotificationsEnabled);
                return areNotificationsEnabled ? 1 : 0;
            } catch (Throwable th) {
                th = th;
                str = "NotificationHelper";
                sb = new StringBuilder();
                str2 = "isNotificationEnabled e:";
                sb.append(str2);
                sb.append(th);
                Logger.f(str, sb.toString());
                return -1;
            }
        } else {
            boolean z = true;
            if (Build.VERSION.SDK_INT >= 19) {
                try {
                    ApplicationInfo applicationInfo = context.getApplicationInfo();
                    String packageName = context.getApplicationContext().getPackageName();
                    int i = applicationInfo.uid;
                    Class<?> cls = Class.forName(AppOpsManager.class.getName());
                    if (((Integer) cls.getMethod("checkOpNoThrow", Integer.TYPE, Integer.TYPE, String.class).invoke((AppOpsManager) context.getSystemService("appops"), Integer.valueOf(((Integer) cls.getDeclaredField("OP_POST_NOTIFICATION").get(Integer.class)).intValue()), Integer.valueOf(i), packageName)).intValue() != 0) {
                        z = false;
                    }
                    Logger.b("NotificationHelper", "from AppOpsManager enable=" + z);
                    int i2 = z ? 1 : 0;
                    int i3 = z ? 1 : 0;
                    int i4 = z ? 1 : 0;
                    return i2;
                } catch (Throwable th2) {
                    th = th2;
                    str = "NotificationHelper";
                    sb = new StringBuilder();
                    str2 = "appOps check e:";
                    sb.append(str2);
                    sb.append(th);
                    Logger.f(str, sb.toString());
                    return -1;
                }
            } else {
                Logger.b("NotificationHelper", "below 19 return true");
                return 1;
            }
        }
    }

    public static synchronized Bitmap e(Context context, String str) {
        Bitmap bitmap;
        synchronized (b.class) {
            try {
                PackageManager packageManager = context.getApplicationContext().getPackageManager();
                bitmap = ((BitmapDrawable) packageManager.getApplicationIcon(packageManager.getApplicationInfo(str, 0))).getBitmap();
            } catch (Throwable th) {
                Logger.f("NotificationHelper", "getTargetAppBitmap failed:" + th.getMessage());
                return null;
            }
        }
        return bitmap;
    }

    private static String f(Context context) {
        try {
            PackageManager packageManager = context.getPackageManager();
            Intent intent = new Intent("android.intent.action.MAIN");
            intent.setPackage(context.getPackageName());
            intent.addCategory("android.intent.category.LAUNCHER");
            ResolveInfo resolveActivity = packageManager.resolveActivity(intent, 65536);
            if (resolveActivity == null) {
                resolveActivity = packageManager.resolveActivity(intent, 0);
            }
            if (resolveActivity != null) {
                return resolveActivity.activityInfo.name;
            }
            return null;
        } catch (Throwable unused) {
            return null;
        }
    }

    private static String f(Context context, String str) {
        String str2;
        String str3;
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        if (!str.startsWith("http://") && !str.startsWith("https://")) {
            return null;
        }
        if (!cn.jpush.android.m.a.a()) {
            str2 = "NotificationHelper";
            str3 = "SDCard is not mounted,need not download pic";
        } else {
            String d = d(context, str);
            if (!TextUtils.isEmpty(d)) {
                return d;
            }
            str2 = "NotificationHelper";
            str3 = "Get network picture failed.";
        }
        Logger.g(str2, str3);
        return null;
    }

    private static String g(Context context) {
        try {
            Intent launchIntentForPackage = context.getPackageManager().getLaunchIntentForPackage(context.getPackageName());
            if (!(launchIntentForPackage == null || launchIntentForPackage.getComponent() == null)) {
                return launchIntentForPackage.getComponent().getClassName();
            }
        } catch (Throwable unused) {
        }
        return f(context);
    }

    private static boolean g(Context context, String str) {
        if (TextUtils.isEmpty(str)) {
            Logger.b("NotificationHelper", "link uri is empty");
            return false;
        }
        try {
            if (str.startsWith("http")) {
                return h(context, str);
            }
            Intent parseUri = Intent.parseUri(str, 0);
            parseUri.setFlags(268435456);
            context.startActivity(parseUri);
            return true;
        } catch (Throwable th) {
            Logger.b("NotificationHelper", "[handleSSP] start fail uri error:" + th.getMessage());
            return false;
        }
    }

    /* access modifiers changed from: private */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Removed duplicated region for block: B:155:0x0357  */
    public static void h(Context context, cn.jpush.android.d.d dVar) {
        boolean z;
        Throwable th;
        boolean z2;
        boolean z3;
        Notification notification;
        String str;
        String str2;
        long j;
        int i;
        JCoreHelper.d(context);
        try {
            if (TextUtils.isEmpty(dVar.E)) {
                z2 = false;
                z = false;
            } else if (!dVar.E.equals("ssp")) {
                Logger.b("NotificationHelper", "source:" + dVar.E);
                c.a(dVar.c, 975, context);
                return;
            } else if (h.a()) {
                Logger.b("NotificationHelper", "the device is in black list");
                c.a(dVar.c, 974, context);
                return;
            } else {
                if (TextUtils.isEmpty(dVar.K)) {
                    if (TextUtils.isEmpty(dVar.H) || !dVar.H.startsWith("http")) {
                        Logger.b("NotificationHelper", "deeplink is empty or not a http/https url");
                        c.a(dVar.c, 985, context);
                        return;
                    }
                } else if (!cn.jpush.android.m.a.c(context, dVar.K)) {
                    if (dVar.I != 0) {
                        if (dVar.I != 2) {
                            c.a(dVar.c, 980, context);
                        }
                    }
                    Logger.b("NotificationHelper", "targetPkgname:" + dVar.K + " not installed and failed type:" + dVar.I + ",need not show notification");
                    c.a(dVar.c, 981, context);
                    return;
                }
                try {
                    boolean z4 = dVar.L == 1001;
                    if (!z4) {
                        c.a(dVar.c, 1050, context);
                        return;
                    } else {
                        z2 = z4;
                        z = true;
                    }
                } catch (Throwable th2) {
                    th = th2;
                    z = true;
                    if (!z) {
                    }
                    Logger.h("NotificationHelper", "showNotification failed:" + th.getMessage());
                }
            }
            try {
                if (!TextUtils.isEmpty(dVar.u)) {
                    String e = JPushConstants.e(context);
                    NotificationMessage b = dVar.b();
                    String str3 = "";
                    c a2 = a(JPushConstants.g, dVar.E, dVar.K, dVar.F, dVar.c);
                    if (a2.e() != 0) {
                        c.a(dVar.c, a2.e(), context);
                        Logger.g("NotificationHelper", "build small icon failed,will not notify this notification");
                        return;
                    }
                    c b2 = b(JPushConstants.g, dVar.G);
                    if (z2) {
                        long j2 = 0;
                        try {
                            JSONObject jSONObject = new JSONObject(dVar.B);
                            i = jSONObject.optInt("ssp_msgcount_limit", 0);
                            try {
                                j = jSONObject.optLong("ssp_msg_gap", 0);
                                if (i > 0) {
                                    try {
                                        Logger.b("NotificationHelper", "setSSPLimitCount:" + i);
                                    } catch (Throwable unused) {
                                    }
                                }
                                if (j > 0) {
                                    j2 = 1000 * j;
                                    Logger.b("NotificationHelper", "setSSPLimitInterval:" + j2);
                                    j = j2;
                                }
                            } catch (Throwable unused2) {
                            }
                        } catch (Throwable unused3) {
                            j = 0;
                            i = 0;
                        }
                        switch (h.a(context, i, j)) {
                            case -2:
                                c.a(dVar.c, 1053, context);
                                return;
                            case -1:
                                c.a(dVar.c, 1052, context);
                                return;
                            default:
                                dVar.X = 0;
                                if (h.b() == -1) {
                                    notification = a(context, dVar, null, z2, a2, b2);
                                } else {
                                    Object a3 = a(context, dVar, a2, b2);
                                    if (a3 == null) {
                                        c.a(dVar.c, 983, context);
                                        return;
                                    } else if (a3 instanceof RemoteViews) {
                                        notification = a(context, dVar, (RemoteViews) a3, z2, a2, b2);
                                    } else {
                                        return;
                                    }
                                }
                                Logger.b("NotificationHelper", "source is :" + dVar.E + ",use DefaultPushNotificationBuilder");
                                z3 = true;
                                break;
                        }
                    } else {
                        try {
                            notification = !TextUtils.isEmpty(e) ? ((JPushMessageReceiver) Class.forName(e).newInstance()).d(context, b) : null;
                        } catch (Throwable th3) {
                            Logger.g("NotificationHelper", "get notification from JPushMessageReceiver failed:" + th3.getMessage());
                            notification = null;
                        }
                        if (notification == null) {
                            PushNotificationBuilder a4 = a(context, b);
                            if (a4 != null) {
                                notification = a4.a(context, b);
                                str3 = a4.a();
                            }
                            if (notification == null) {
                                notification = a(context, dVar, null, z2, a2, b2);
                                z3 = false;
                            }
                        }
                        z3 = false;
                    }
                    int a5 = a(dVar);
                    dVar.d = a5;
                    dVar.ah = str3;
                    notification.contentIntent = PendingIntent.getActivity(context, (int) System.currentTimeMillis(), dVar.M ? 2 == dVar.R ? b(context, "cn.jpush.android.intent.NOTIFICATION_OPENED", dVar) : a(context, "cn.jpush.android.intent.NOTIFICATION_OPENED", dVar) : c(context, "cn.jpush.android.intent.NOTIFICATION_OPENED", dVar), 1073741824);
                    if (!z2) {
                        notification.deleteIntent = PendingIntent.getActivity(context, (int) (System.currentTimeMillis() + 1), c(context, "cn.jpush.android.intent.NOTIFICATION_DISMISS", dVar), 1073741824);
                    }
                    if (dVar.k == 1) {
                        dVar.r = 1;
                    }
                    if (z2) {
                        notification.flags = 17;
                    } else {
                        notification.flags = a(dVar.r) | 1;
                    }
                    if (d(context)) {
                        notification.defaults = 0;
                    }
                    NotificationManager notificationManager = (NotificationManager) context.getSystemService("notification");
                    if (notificationManager != null) {
                        Logger.c("NotificationHelper", "notify: id=" + a5 + " messageId=" + dVar.c + " overmessageid=" + dVar.f);
                        a(context, dVar.X, notification);
                        notificationManager.notify(a5, notification);
                        if (z3) {
                            h.a(context);
                        }
                    } else {
                        Logger.f("NotificationHelper", "NotificationManager is null");
                    }
                    if (dVar.k == 1) {
                        str = "NotificationHelper";
                        str2 = "local notification not offer to notification queue";
                    } else if (dVar.W == 0) {
                        if (!z2) {
                            a(context, a5);
                        }
                        if (e(context) == 0) {
                            c.a(dVar.c, 1036, context);
                        }
                        c.a(dVar.c, 1018, context);
                        if (!z2 || dVar.W != 0) {
                            Logger.b("NotificationHelper", "custom deep link need not send receiver to user");
                        } else {
                            a(context, "cn.jpush.android.intent.NOTIFICATION_ARRIVED", dVar, (Intent) null);
                            return;
                        }
                    } else {
                        str = "NotificationHelper";
                        str2 = "Third notification:" + ((int) dVar.W);
                    }
                    Logger.b(str, str2);
                    if (!z2) {
                    }
                    Logger.b("NotificationHelper", "custom deep link need not send receiver to user");
                } else if (z2) {
                    c.a(dVar.c, 1051, context);
                } else {
                    a(context, "cn.jpush.android.intent.NOTIFICATION_ARRIVED", dVar, (Intent) null);
                    Logger.f("NotificationHelper", "notificationContent is empty");
                }
            } catch (Throwable th4) {
                th = th4;
                if (!z) {
                    a(context, 1000, 0, th.getMessage());
                }
                Logger.h("NotificationHelper", "showNotification failed:" + th.getMessage());
            }
        } catch (Throwable th5) {
            th = th5;
            z = false;
            if (!z) {
            }
            Logger.h("NotificationHelper", "showNotification failed:" + th.getMessage());
        }
    }

    private static boolean h(Context context, String str) {
        if (TextUtils.isEmpty(str)) {
            Logger.b("NotificationHelper", "link uri is empty");
            return false;
        }
        try {
            Intent intent = new Intent();
            intent.setAction("android.intent.action.VIEW");
            intent.setData(Uri.parse(str));
            intent.setClassName("com.android.browser", "com.android.browser.BrowserActivity");
            context.startActivity(intent);
            return true;
        } catch (Throwable th) {
            Logger.b("NotificationHelper", "[openWebUri] start fail uri error:" + th.getMessage());
            return false;
        }
    }

    /* access modifiers changed from: private */
    public static void i(Context context, cn.jpush.android.d.d dVar) {
        boolean z;
        String str = "";
        String str2 = dVar.c;
        String str3 = dVar.N;
        if (!TextUtils.isEmpty(str3)) {
            String a2 = cn.jpush.android.g.a.a(str3, 5, 5000);
            boolean isEmpty = TextUtils.isEmpty(a2);
            if (!isEmpty) {
                str = a2;
            }
            z = !isEmpty;
        } else {
            Logger.f("NotificationHelper", "Show url is Empty! Give up to download!");
            z = false;
        }
        String c = cn.jpush.android.m.c.c(context, str2);
        if (z) {
            String str4 = c + str2 + ".html";
            String substring = str3.substring(0, str3.lastIndexOf("/") + 1);
            if (dVar.T.isEmpty()) {
                dVar.P = dVar.N;
            } else if (!g.a(dVar.T, context, substring, str2, true)) {
                Logger.b("NotificationHelper", "Loads rich push resources failed, webView will open url!");
                c.a(str2, 1014, context);
                h(context, dVar);
                return;
            } else {
                Logger.b("NotificationHelper", "Loads rich push resources succeed, webView will open cache!");
                if (cn.jpush.android.m.c.b(str4, str.replaceAll("img src=\"" + substring, "img src=\"" + c))) {
                    dVar.P = "file://" + str4;
                    c.a(str2, TbsLog.TBSLOG_CODE_SDK_THIRD_MODE, context);
                } else {
                    c.a(str2, 1014, context);
                    return;
                }
            }
            h(context, dVar);
            return;
        }
        Logger.f("NotificationHelper", "NOTE: failed to download html page. Give up this.");
        c.a(str2, 1014, context);
        c.a(str2, 1021, null, context);
    }

    /* access modifiers changed from: private */
    public static void j(Context context, cn.jpush.android.d.d dVar) {
        String a2;
        String str;
        String str2;
        String str3 = dVar.x;
        dVar.x = "";
        if (dVar.v == 3 && !TextUtils.isEmpty(str3)) {
            if (str3.startsWith("http://") || str3.startsWith("https://")) {
                a2 = a(context, str3, dVar.c);
                if (TextUtils.isEmpty(a2)) {
                    str = "NotificationHelper";
                    str2 = "Get network picture failed, show basic notification only.";
                    Logger.g(str, str2);
                    return;
                }
            } else {
                a2 = cn.jpush.android.m.c.d(context, str3);
                if (TextUtils.isEmpty(a2)) {
                    str = "NotificationHelper";
                    str2 = "Get developer picture failed, show basic notification only.";
                    Logger.g(str, str2);
                    return;
                }
            }
            dVar.x = a2;
        }
    }
}
