package cn.jpush.android.helper;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.text.TextUtils;
import cn.jpush.android.api.CmdMessage;
import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.api.JPushMessage;
import cn.jpush.android.api.NotificationMessage;
import cn.jpush.android.d.b;
import cn.jpush.android.k.c;
import cn.jpush.android.service.JPushMessageReceiver;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

public class a {

    /* renamed from: a  reason: collision with root package name */
    private static a f1035a;
    private Handler b;

    /* renamed from: cn.jpush.android.helper.a$a  reason: collision with other inner class name */
    private class RunnableC0003a implements Runnable {
        private Context b;
        private JPushMessageReceiver c;
        private Intent d;

        public RunnableC0003a(Context context, JPushMessageReceiver jPushMessageReceiver, Intent intent) {
            this.b = context;
            this.c = jPushMessageReceiver;
            this.d = intent;
        }

        public void run() {
            String str;
            String str2;
            try {
                if (this.d == null) {
                    Logger.f("JMessageReceiverHelper", "intent was null");
                    return;
                }
                String action = this.d.getAction();
                Logger.b("JMessageReceiverHelper", "do receiver action :" + action);
                if (action == null) {
                    Logger.f("JMessageReceiverHelper", "unsupport action type");
                    return;
                }
                if (action.equals("cn.jpush.android.intent.RECEIVE_MESSAGE")) {
                    int intExtra = this.d.getIntExtra("message_type", -1);
                    JPushMessage jPushMessage = null;
                    if (1 == intExtra || 2 == intExtra) {
                        jPushMessage = c.a().a(this.b, this.d);
                    }
                    Logger.b("JMessageReceiverHelper", "messageType:" + intExtra + ",jPushMessage:" + jPushMessage);
                    if (jPushMessage == null) {
                        Logger.f("JMessageReceiverHelper", "parse tagalias message failed");
                        return;
                    } else if (intExtra == 1) {
                        if (jPushMessage.g()) {
                            this.c.b(this.b, jPushMessage);
                            return;
                        } else {
                            this.c.a(this.b, jPushMessage);
                            return;
                        }
                    } else if (intExtra == 2) {
                        this.c.c(this.b, jPushMessage);
                        return;
                    } else {
                        str = "JMessageReceiverHelper";
                        str2 = "unsupport message type";
                    }
                } else if (action.equals("mobile_result")) {
                    this.c.d(this.b, d.a().a(this.b, this.d));
                    return;
                } else if (action.equals(cn.jpush.android.m.a.e(this.b, "custom_msg"))) {
                    this.c.a(this.b, b.a(this.d));
                    return;
                } else if (action.equals(cn.jpush.android.m.a.e(this.b, "cmd_msg"))) {
                    a.a(this.c, this.b, this.d);
                    return;
                } else if (action.equals("cn.jpush.android.intent.NOTIFICATION_ARRIVED")) {
                    this.c.a(this.b, cn.jpush.android.h.b.b(this.b, this.d));
                    return;
                } else if (action.equals("cn.jpush.android.intent.NOTIFICATION_OPENED")) {
                    this.c.b(this.b, cn.jpush.android.h.b.b(this.b, this.d));
                    return;
                } else if (action.equals("cn.jpush.android.intent.NOTIFICATION_DISMISS")) {
                    this.c.c(this.b, cn.jpush.android.h.b.b(this.b, this.d));
                    return;
                } else if ("cn.jpush.android.intent.NOTIFICATION_CLICK_ACTION_PROXY".equals(this.d.getAction())) {
                    Intent intent = new Intent("cn.jpush.android.intent.NOTIFICATION_CLICK_ACTION");
                    if (this.d.getExtras() != null) {
                        intent.putExtras(this.d.getExtras());
                    }
                    this.c.a(this.b, intent);
                    return;
                } else if ("on_noti_settings_check".equals(action)) {
                    this.c.a(this.b, this.d.getBooleanExtra("isOn", false), this.d.getIntExtra("source", 0));
                    return;
                } else {
                    str = "JMessageReceiverHelper";
                    str2 = "unsupport action type";
                }
                Logger.f(str, str2);
            } catch (Throwable th) {
                Logger.g("JMessageReceiverHelper", "MessageReceiver run failed:" + th.getMessage());
            }
        }
    }

    private a() {
        try {
            HandlerThread handlerThread = new HandlerThread("MessageReceiver");
            handlerThread.start();
            this.b = new Handler(handlerThread.getLooper());
        } catch (Throwable th) {
            Logger.f("JMessageReceiverHelper", "create handler failed,error:" + th);
            this.b = new Handler();
        }
    }

    public static a a() {
        if (f1035a == null) {
            synchronized (a.class) {
                if (f1035a == null) {
                    f1035a = new a();
                }
            }
        }
        return f1035a;
    }

    public static void a(Context context, Intent intent) {
        Logger.d("JMessageReceiverHelper", "Click notification action with extra: " + intent.getExtras().getString("cn.jpush.android.NOTIFIACATION_ACTION_EXTRA"));
        try {
            Intent intent2 = new Intent("cn.jpush.android.intent.NOTIFICATION_CLICK_ACTION");
            intent2.putExtras(intent.getExtras());
            intent2.addCategory(context.getPackageName());
            intent2.setPackage(context.getPackageName());
            context.sendBroadcast(intent2, context.getPackageName() + ".permission.JPUSH_MESSAGE");
        } catch (Throwable th) {
            Logger.g("JMessageReceiverHelper", "Click notification sendBroadcast :" + th.getMessage());
        }
    }

    public static void a(Context context, CustomMessage customMessage) {
        if (context == null || customMessage == null) {
            Logger.c("JMessageReceiverHelper", "Send custom message to app failed, param is invalid!");
            return;
        }
        Logger.c("JMessageReceiverHelper", "not found user push message,use old action to user");
        Intent intent = new Intent("cn.jpush.android.intent.MESSAGE_RECEIVED");
        intent.putExtra("cn.jpush.android.APPKEY", customMessage.f);
        intent.putExtra("cn.jpush.android.MESSAGE", customMessage.c);
        intent.putExtra("cn.jpush.android.CONTENT_TYPE", customMessage.d);
        intent.putExtra("cn.jpush.android.TITLE", customMessage.e);
        intent.putExtra("cn.jpush.android.EXTRA", customMessage.b);
        intent.putExtra("cn.jpush.android.MSG_ID", customMessage.f994a);
        intent.addCategory(customMessage.g);
        intent.setPackage(context.getPackageName());
        context.sendBroadcast(intent, String.format(Locale.ENGLISH, "%s.permission.JPUSH_MESSAGE", customMessage.g));
        Logger.d("JMessageReceiverHelper", "Send broadcast to app: " + String.format(Locale.ENGLISH, "%s.permission.JPUSH_MESSAGE", customMessage.g));
    }

    /* JADX WARNING: Removed duplicated region for block: B:41:0x00d7 A[Catch:{ Throwable -> 0x01d7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00f7 A[Catch:{ Throwable -> 0x01d7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0106 A[Catch:{ Throwable -> 0x01d7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0115 A[Catch:{ Throwable -> 0x01d7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0124 A[Catch:{ Throwable -> 0x01d7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x012f A[Catch:{ Throwable -> 0x01d7 }] */
    public static void a(Context context, NotificationMessage notificationMessage, String str) {
        String str2;
        String str3;
        if (context == null || notificationMessage == null || TextUtils.isEmpty(str)) {
            Logger.c("JMessageReceiverHelper", "Send broad cast to app failed,the params are incorrect!");
            return;
        }
        Intent intent = new Intent(str);
        try {
            if (str.equals("cn.jpush.android.intent.NOTIFICATION_OPENED")) {
                List<String> b2 = cn.jpush.android.m.a.b(context, intent, notificationMessage.s + ".permission.JPUSH_MESSAGE");
                if (b2 == null || b2.isEmpty()) {
                    Logger.c("JMessageReceiverHelper", "not found receiver by action:cn.jpush.android.intent.NOTIFICATION_OPENED,will start main activity");
                    cn.jpush.android.m.a.e(context);
                    return;
                }
            }
        } catch (Throwable unused) {
        }
        try {
            Logger.c("JMessageReceiverHelper", "Send push received broadcast to developer defined receiver");
            Bundle bundle = new Bundle();
            bundle.putString("cn.jpush.android.MSG_ID", notificationMessage.b);
            bundle.putInt("cn.jpush.android.NOTIFICATION_ID", notificationMessage.p);
            bundle.putString("cn.jpush.android.ALERT", notificationMessage.c);
            bundle.putString("cn.jpush.android.ALERT_TYPE", notificationMessage.d + "");
            if (!TextUtils.isEmpty(notificationMessage.e)) {
                bundle.putString("cn.jpush.android.NOTIFICATION_CONTENT_TITLE", notificationMessage.e);
            }
            if (!TextUtils.isEmpty(notificationMessage.h)) {
                bundle.putString("cn.jpush.android.EXTRA", notificationMessage.h);
            }
            if (notificationMessage.i == 1 && !TextUtils.isEmpty(notificationMessage.k)) {
                str2 = "cn.jpush.android.BIG_TEXT";
                str3 = notificationMessage.k;
            } else if (notificationMessage.i != 2 || TextUtils.isEmpty(notificationMessage.m)) {
                if (notificationMessage.i == 3 && !TextUtils.isEmpty(notificationMessage.l)) {
                    str2 = "cn.jpush.android.BIG_PIC_PATH";
                    str3 = notificationMessage.l;
                }
                if (notificationMessage.n != 0) {
                    bundle.putString("cn.jpush.android.NOTI_PRIORITY", notificationMessage.n + "");
                }
                if (!TextUtils.isEmpty(notificationMessage.o)) {
                    bundle.putString("cn.jpush.android.NOTI_CATEGORY", notificationMessage.o);
                }
                if (!TextUtils.isEmpty(notificationMessage.f)) {
                    bundle.putString("cn.jpush.android.NOTIFICATION_SMALL_ICON", notificationMessage.f);
                }
                if (!TextUtils.isEmpty(notificationMessage.g)) {
                    bundle.putString("cn.jpush.android.NOTIFICATION_LARGE_ICON", notificationMessage.g);
                }
                if (!TextUtils.isEmpty(notificationMessage.q)) {
                    intent.putExtra("cn.jpush.android.NOTIFICATION_DEVELOPER_ARG0", notificationMessage.q);
                }
                if (notificationMessage.x) {
                    if (!(notificationMessage.y == 0 || notificationMessage.y == 4 || notificationMessage.v == null || !notificationMessage.v.startsWith("file://"))) {
                        notificationMessage.v = notificationMessage.v.replaceFirst("file://", "");
                        intent.putExtra("cn.jpush.android.HTML_PATH", notificationMessage.v);
                    }
                    if (notificationMessage.w != null && notificationMessage.w.size() > 0) {
                        StringBuilder sb = new StringBuilder();
                        String c = cn.jpush.android.m.c.c(context, notificationMessage.b);
                        Iterator<String> it = notificationMessage.w.iterator();
                        while (it.hasNext()) {
                            String next = it.next();
                            if (next.startsWith("http://")) {
                                next = cn.jpush.android.m.c.b(next);
                            }
                            if (TextUtils.isEmpty(sb.toString())) {
                                sb.append(c);
                            } else {
                                sb.append(",");
                                sb.append(c);
                            }
                            sb.append(next);
                        }
                        intent.putExtra("cn.jpush.android.HTML_RES", sb.toString());
                    }
                }
                intent.putExtras(bundle);
                intent.addCategory(notificationMessage.s);
                intent.setPackage(context.getPackageName());
                context.sendBroadcast(intent, notificationMessage.s + ".permission.JPUSH_MESSAGE");
            } else {
                str2 = "cn.jpush.android.INBOX";
                str3 = notificationMessage.m;
            }
            bundle.putString(str2, str3);
            if (notificationMessage.n != 0) {
            }
            if (!TextUtils.isEmpty(notificationMessage.o)) {
            }
            if (!TextUtils.isEmpty(notificationMessage.f)) {
            }
            if (!TextUtils.isEmpty(notificationMessage.g)) {
            }
            if (!TextUtils.isEmpty(notificationMessage.q)) {
            }
            if (notificationMessage.x) {
            }
            intent.putExtras(bundle);
            intent.addCategory(notificationMessage.s);
            intent.setPackage(context.getPackageName());
            context.sendBroadcast(intent, notificationMessage.s + ".permission.JPUSH_MESSAGE");
        } catch (Throwable th) {
            Logger.g("JMessageReceiverHelper", "sendNotificationReceivedBroadcast error:" + th.getMessage());
            cn.jpush.android.m.a.a(context, intent, notificationMessage.s + ".permission.JPUSH_MESSAGE");
        }
    }

    public static void a(JPushMessageReceiver jPushMessageReceiver, Context context, Intent intent) {
        CmdMessage cmdMessage;
        try {
            int intExtra = intent.getIntExtra("code", -2);
            int intExtra2 = intent.getIntExtra("cmd", -2);
            String stringExtra = intent.getStringExtra("message");
            Bundle extras = intent.getExtras();
            if (intExtra2 == -1) {
                jPushMessageReceiver.a(context, false);
                return;
            }
            if (intExtra2 == 0) {
                if (intExtra == 0) {
                    jPushMessageReceiver.a(context, stringExtra);
                    return;
                }
                cmdMessage = new CmdMessage(intExtra2, intExtra, stringExtra, extras);
            } else if (intExtra2 == 1) {
                jPushMessageReceiver.a(context, true);
                return;
            } else if (intExtra2 == 10000) {
                cmdMessage = new CmdMessage(intExtra2, intExtra, stringExtra, extras);
            } else {
                return;
            }
            jPushMessageReceiver.a(context, cmdMessage);
        } catch (Throwable th) {
            Logger.h("JMessageReceiverHelper", "callCmdMessage failed:" + th.getMessage());
        }
    }

    public void a(Context context, JPushMessageReceiver jPushMessageReceiver, Intent intent) {
        this.b.post(new RunnableC0003a(context, jPushMessageReceiver, intent));
    }
}
