package cn.jpush.android.m;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.AppOpsManager;
import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.ContentProvider;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ComponentInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;
import android.os.Environment;
import android.os.Process;
import android.text.TextUtils;
import android.webkit.WebSettings;
import android.webkit.WebView;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.local.JPushConstants;
import cn.jpush.android.service.JNotifyActivity;
import cn.jpush.android.ui.PopWinActivity;
import cn.jpush.android.ui.PushActivity;
import com.facebook.stetho.common.Utf8Charset;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

public class a {

    /* renamed from: a  reason: collision with root package name */
    private static String f1064a = "";
    private static String b;

    public static int a(String str, String str2) {
        if (str.equals(str2)) {
            return 0;
        }
        try {
            String[] split = str.split("[._]");
            String[] split2 = str2.split("[._]");
            if (split.length > split2.length) {
                split2 = (String[]) Arrays.copyOf(split2, split.length);
            } else if (split.length < split2.length) {
                split = (String[]) Arrays.copyOf(split, split2.length);
            }
            for (int i = 0; i < split.length; i++) {
                int i2 = (((TextUtils.isEmpty(split[i]) ? 0 : Long.parseLong(split[i])) - (TextUtils.isEmpty(split2[i]) ? 0 : Long.parseLong(split2[i]))) > 0 ? 1 : (((TextUtils.isEmpty(split[i]) ? 0 : Long.parseLong(split[i])) - (TextUtils.isEmpty(split2[i]) ? 0 : Long.parseLong(split2[i]))) == 0 ? 0 : -1));
                if (i2 > 0) {
                    return 1;
                }
                if (i2 < 0) {
                    return -1;
                }
            }
            return 0;
        } catch (Throwable unused) {
            return str.compareTo(str2);
        }
    }

    public static ComponentInfo a(Context context, String str, Class<?> cls) {
        ComponentInfo[] componentInfoArr;
        if (context == null || TextUtils.isEmpty(str) || cls == null) {
            Logger.f("AndroidUtil", "Action - hasComponent, invalide param, context:" + context + ",packageName:" + str + ",cls:" + cls);
            return null;
        }
        try {
            int i = Service.class.isAssignableFrom(cls) ? 4 : BroadcastReceiver.class.isAssignableFrom(cls) ? 2 : Activity.class.isAssignableFrom(cls) ? 1 : ContentProvider.class.isAssignableFrom(cls) ? 8 : 0;
            PackageInfo packageInfo = context.getPackageManager().getPackageInfo(str, i);
            if (i == 4) {
                componentInfoArr = packageInfo.services;
            } else if (i != 8) {
                switch (i) {
                    case 1:
                        componentInfoArr = packageInfo.activities;
                        break;
                    case 2:
                        componentInfoArr = packageInfo.receivers;
                        break;
                    default:
                        componentInfoArr = null;
                        break;
                }
            } else {
                componentInfoArr = packageInfo.providers;
            }
            if (componentInfoArr == null) {
                return null;
            }
            for (ComponentInfo componentInfo : componentInfoArr) {
                try {
                    if (cls.isAssignableFrom(Class.forName(componentInfo.name))) {
                        return componentInfo;
                    }
                } catch (Throwable unused) {
                }
            }
            return null;
        } catch (Throwable th) {
            Logger.g("AndroidUtil", "hasComponent error:" + th.getMessage());
        }
    }

    public static String a(byte[] bArr) {
        if (bArr == null) {
            return "";
        }
        StringBuffer stringBuffer = new StringBuffer(bArr.length * 2);
        for (byte b2 : bArr) {
            a(stringBuffer, b2);
        }
        return stringBuffer.toString();
    }

    public static void a(Context context, Intent intent, String str) {
        if (intent != null) {
            String action = intent.getAction();
            if ("cn.jpush.android.intent.NOTIFICATION_RECEIVED".equals(action) || "cn.jpush.android.intent.NOTIFICATION_OPENED".equals(action)) {
                List<String> b2 = b(context, intent, str);
                if (b2 == null || b2.isEmpty()) {
                    Logger.g("AndroidUtil", "sendBroadcast failed again: receiver not found, action:" + intent.getAction());
                    return;
                }
                for (String str2 : b2) {
                    try {
                        Intent intent2 = (Intent) intent.clone();
                        intent2.setComponent(new ComponentName(context.getPackageName(), str2));
                        if (TextUtils.isEmpty(str)) {
                            context.sendBroadcast(intent2);
                        } else {
                            context.sendBroadcast(intent2, str);
                        }
                    } catch (Exception e) {
                        Logger.g("AndroidUtil", "sendBroadcast failed again:" + e.getMessage() + ", action:" + intent.getAction());
                    }
                }
            }
        }
    }

    public static void a(WebSettings webSettings) {
        webSettings.setUseWideViewPort(true);
        webSettings.setLoadWithOverviewMode(true);
        webSettings.setDomStorageEnabled(true);
        webSettings.setJavaScriptEnabled(true);
        webSettings.setDefaultTextEncodingName(Utf8Charset.NAME);
        webSettings.setSupportZoom(true);
        webSettings.setBuiltInZoomControls(true);
        if (Build.VERSION.SDK_INT >= 11) {
            webSettings.setDisplayZoomControls(false);
        }
        webSettings.setCacheMode(2);
        webSettings.setSaveFormData(false);
        webSettings.setSavePassword(false);
    }

    public static void a(WebView webView) {
        try {
            if (Build.VERSION.SDK_INT >= 11) {
                webView.removeJavascriptInterface("searchBoxJavaBridge_");
                webView.removeJavascriptInterface("accessibility");
                webView.removeJavascriptInterface("accessibilityTraversal");
            }
            if (Build.VERSION.SDK_INT >= 21) {
                webView.getSettings().setMixedContentMode(0);
            }
        } catch (Throwable th) {
            Logger.h("AndroidUtil", "fixSecure failed, error:" + th);
        }
    }

    private static void a(StringBuffer stringBuffer, byte b2) {
        stringBuffer.append("0123456789ABCDEF".charAt((b2 >> 4) & 15));
        stringBuffer.append("0123456789ABCDEF".charAt(b2 & 15));
    }

    public static boolean a() {
        boolean z;
        try {
            z = Environment.getExternalStorageState().equals("mounted");
        } catch (Throwable th) {
            Logger.f("AndroidUtil", "isSdcardExist exception: " + th);
            z = false;
        }
        if (!z) {
            Logger.b("AndroidUtil", "SDCard is not mounted");
        }
        return z;
    }

    public static boolean a(Context context) {
        try {
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isConnected();
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    public static boolean a(Context context, Class<?> cls) {
        try {
            return !context.getPackageManager().queryIntentActivities(new Intent(context, cls), 0).isEmpty();
        } catch (Throwable th) {
            Logger.c("AndroidUtil", "hasActivityResolves error:" + th.getMessage());
            return false;
        }
    }

    public static boolean a(Context context, String str) {
        try {
            boolean z = true;
            if (Build.VERSION.SDK_INT >= 23) {
                if (context.getApplicationInfo().targetSdkVersion < 23) {
                    String permissionToOp = AppOpsManager.permissionToOp(str);
                    if (permissionToOp != null) {
                        if (((AppOpsManager) context.getSystemService("appops")).noteProxyOpNoThrow(permissionToOp, context.getPackageName()) != 0) {
                            z = false;
                        }
                    }
                    return z;
                } else if (context.checkSelfPermission(str) != 0) {
                    return false;
                }
            }
            return true;
        } catch (Throwable th) {
            Logger.f("AndroidUtil", "checkPermission error:" + th.getMessage());
            return false;
        }
    }

    public static boolean a(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String trim = str.trim();
        boolean matches = trim.matches("^[http|https]+://.*");
        if (!matches) {
            Logger.f("AndroidUtil", "Invalid url - " + trim);
        }
        return matches;
    }

    public static String b(Context context) {
        if (!TextUtils.isEmpty(f1064a)) {
            return f1064a;
        }
        try {
            f1064a = context.getPackageManager().getApplicationLabel(context.getPackageManager().getApplicationInfo(context.getPackageName(), 0)).toString();
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return f1064a;
    }

    public static String b(String str) {
        if (str != null && !"".equals(str)) {
            try {
                MessageDigest instance = MessageDigest.getInstance("MD5");
                instance.update(str.getBytes());
                return a(instance.digest());
            } catch (NoSuchAlgorithmException unused) {
            }
        }
        return null;
    }

    public static List<String> b(Context context, Intent intent, String str) {
        ArrayList arrayList = new ArrayList();
        try {
            List<ResolveInfo> queryBroadcastReceivers = context.getPackageManager().queryBroadcastReceivers(intent, 0);
            PackageManager packageManager = context.getPackageManager();
            for (ResolveInfo resolveInfo : queryBroadcastReceivers) {
                if (resolveInfo.activityInfo != null) {
                    String str2 = resolveInfo.activityInfo.name;
                    if (!TextUtils.isEmpty(str2)) {
                        boolean z = true;
                        if (!TextUtils.isEmpty(str) && packageManager.checkPermission(str, resolveInfo.activityInfo.packageName) != 0) {
                            z = false;
                        }
                        if (z) {
                            arrayList.add(str2);
                        }
                    }
                }
            }
        } catch (Throwable unused) {
        }
        return arrayList;
    }

    public static void b(Context context, String str) {
        try {
            Intent f = f(context);
            if (f != null) {
                if (!TextUtils.isEmpty(str)) {
                    f.putExtra("extra", str);
                }
                context.startActivity(f);
            }
        } catch (Throwable th) {
            Logger.c("AndroidUtil", "startMainActivity error:" + th.getMessage());
        }
    }

    public static String c(Context context) {
        if (!TextUtils.isEmpty(b)) {
            return b;
        }
        try {
            Context a2 = JPushConstants.a(context);
            ActivityManager activityManager = null;
            if (a2 != null) {
                activityManager = (ActivityManager) a2.getSystemService("activity");
            }
            if (activityManager != null) {
                int myPid = Process.myPid();
                Iterator<ActivityManager.RunningAppProcessInfo> it = activityManager.getRunningAppProcesses().iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    ActivityManager.RunningAppProcessInfo next = it.next();
                    if (next.pid == myPid) {
                        b = next.processName;
                        break;
                    }
                }
            }
        } catch (Throwable th) {
            Logger.g("AndroidUtil", "#unexcepted - getCurProcessName failed:" + th.getMessage());
        }
        return b;
    }

    public static boolean c(Context context, String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        try {
            return context.getPackageManager().getPackageInfo(str, 0) != null;
        } catch (Throwable unused) {
        }
    }

    public static void d(Context context) {
        try {
            if (Build.VERSION.SDK_INT >= 28) {
                String c = c(context);
                String packageName = context.getPackageName();
                if (c != null && packageName != null && !packageName.equals(c)) {
                    WebView.setDataDirectorySuffix(c);
                    Logger.b("AndroidUtil", "setDataDirectorySuffix =" + c);
                }
            }
        } catch (Throwable th) {
            Logger.h("AndroidUtil", "fixWebViewProcess e:" + th);
        }
    }

    public static boolean d(Context context, String str) {
        try {
            PackageManager packageManager = context.getPackageManager();
            Intent intent = new Intent(str);
            intent.addCategory(context.getPackageName());
            return !packageManager.queryIntentActivities(intent, 0).isEmpty();
        } catch (Throwable th) {
            Logger.c("AndroidUtil", "hasActivityIntentFilter error:" + th.getMessage());
            return true;
        }
    }

    public static String e(Context context, String str) {
        return context.getPackageName() + "." + str;
    }

    public static void e(Context context) {
        b(context, null);
    }

    public static Intent f(Context context) {
        Throwable th;
        Intent intent = null;
        try {
            PackageManager packageManager = context.getPackageManager();
            String packageName = context.getApplicationContext().getPackageName();
            if (!TextUtils.isEmpty(packageName)) {
                Intent launchIntentForPackage = packageManager.getLaunchIntentForPackage(packageName);
                if (launchIntentForPackage == null) {
                    try {
                        Logger.g("AndroidUtil", "Can't get launch intent for this package!");
                        return null;
                    } catch (Throwable th2) {
                        intent = launchIntentForPackage;
                        th = th2;
                        Logger.f("AndroidUtil", "getLaunchIntent error:" + th.getMessage());
                        return intent;
                    }
                } else {
                    int i = 268435456;
                    if (Build.VERSION.SDK_INT >= 11) {
                        i = 268468224;
                    }
                    launchIntentForPackage.addFlags(i);
                    return launchIntentForPackage;
                }
            } else {
                Logger.g("AndroidUtil", "The package with the given name cannot be found!");
                return null;
            }
        } catch (Throwable th3) {
            th = th3;
            Logger.f("AndroidUtil", "getLaunchIntent error:" + th.getMessage());
            return intent;
        }
    }

    public static boolean g(Context context) {
        String str;
        String str2;
        StringBuilder sb;
        Class cls;
        Logger.c("AndroidUtil", "action:checkValidManifest");
        if (!a(context, PushActivity.class)) {
            str = "AndroidUtil";
            sb = new StringBuilder();
            sb.append("AndroidManifest.xml missing required activity: ");
            cls = PushActivity.class;
        } else {
            if (!a(context, PopWinActivity.class)) {
                Logger.g("AndroidUtil", "AndroidManifest.xml missing activity: " + PopWinActivity.class.getCanonicalName());
                Logger.g("AndroidUtil", "You will unable to use pop-window rich push type.");
            }
            if (!d(context, "cn.jpush.android.ui.PushActivity")) {
                str = "AndroidUtil";
                str2 = "AndroidManifest.xml missing required intent filter for PushActivity: cn.jpush.android.ui.PushActivity";
            } else if (!a(context, JNotifyActivity.class)) {
                str = "AndroidUtil";
                sb = new StringBuilder();
                sb.append("AndroidManifest.xml missing required activity: ");
                cls = JNotifyActivity.class;
            } else if (!TextUtils.isEmpty(JPushConstants.e(context))) {
                return true;
            } else {
                str = "AndroidUtil";
                str2 = "AndroidManifest.xml missing required receiver: please custom receiver extends JPushMessageReceiver";
            }
            Logger.i(str, str2);
            return false;
        }
        sb.append(cls.getCanonicalName());
        str2 = sb.toString();
        Logger.i(str, str2);
        return false;
    }

    public static boolean h(Context context) {
        List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) context.getSystemService("activity")).getRunningAppProcesses();
        if (runningAppProcesses == null) {
            return false;
        }
        for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
            if (runningAppProcessInfo.processName.equals(context.getPackageName()) && runningAppProcessInfo.importance == 100) {
                return true;
            }
        }
        return false;
    }
}
