package cn.jpush.android.ui;

import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.webkit.WebSettings;
import android.webkit.WebView;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.helper.c;
import cn.jpush.android.local.ProxyActivityAction;
import cn.jpush.android.m.a;
import cn.jpush.android.m.f;
import cn.jpush.android.webview.bridge.HostJsScope;
import cn.jpush.android.webview.bridge.d;
import com.facebook.stetho.websocket.CloseCodes;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.File;

public class b extends ProxyActivityAction {

    /* renamed from: a  reason: collision with root package name */
    public static d f1079a;
    private String b;
    private WebView c;
    private cn.jpush.android.d.d d = null;

    private void a() {
        try {
            f.a(this.c, "addJavascriptInterface", new Class[]{Object.class, String.class}, new Object[]{f1079a, "JPushWeb"});
        } catch (Exception e) {
            e.printStackTrace();
            Logger.h("PopWinActivityImpl", "addJavascriptInterface failed:" + e.toString());
        }
    }

    private cn.jpush.android.d.d b(Activity activity, Intent intent) {
        cn.jpush.android.d.d a2 = cn.jpush.android.h.b.a(activity.getApplicationContext(), activity.getIntent());
        if (a2 != null) {
            return a2;
        }
        Logger.c("PopWinActivityImpl", "parse entity form plugin plateform");
        String str = null;
        if (intent.getData() != null) {
            str = intent.getData().toString();
        }
        if (TextUtils.isEmpty(str) && intent.getExtras() != null) {
            str = intent.getExtras().getString("JMessageExtra");
        }
        return cn.jpush.android.l.b.a(activity, str, "");
    }

    private void e(Activity activity) {
        if (activity.getIntent() != null) {
            try {
                this.d = b(activity, activity.getIntent());
                if (this.d != null) {
                    this.b = this.d.c;
                    f(activity);
                    g(activity);
                    return;
                }
                Logger.g("PopWinActivityImpl", "Warning，null message entity! Close PopWinActivity!");
                activity.finish();
            } catch (Exception e) {
                Logger.i("PopWinActivityImpl", "Extra data is not serializable!");
                e.printStackTrace();
            }
        } else {
            Logger.g("PopWinActivityImpl", "PopWinActivity get NULL intent!");
            activity.finish();
        }
    }

    private void f(Activity activity) {
        int identifier = activity.getResources().getIdentifier("jpush_popwin_layout", "layout", activity.getPackageName());
        if (identifier == 0) {
            Logger.i("PopWinActivityImpl", "Please add layout resource jpush_popwin_layout.xml to res/layout !");
            activity.finish();
            return;
        }
        activity.setContentView(identifier);
        int identifier2 = activity.getResources().getIdentifier("wvPopwin", "id", activity.getPackageName());
        if (identifier2 == 0) {
            Logger.i("PopWinActivityImpl", "Please use default code in jpush_popwin_layout.xml!");
            activity.finish();
            return;
        }
        this.c = (WebView) activity.findViewById(identifier2);
        if (this.c == null) {
            Logger.i("PopWinActivityImpl", "Can not get webView in layout file!");
            activity.finish();
            return;
        }
        this.c.setScrollbarFadingEnabled(true);
        this.c.setScrollBarStyle(33554432);
        WebSettings settings = this.c.getSettings();
        settings.setDomStorageEnabled(true);
        a.a(settings);
        a.a(this.c);
        settings.setSavePassword(false);
        this.c.setBackgroundColor(0);
        f1079a = new d(activity, this.d);
        if (Build.VERSION.SDK_INT >= 17) {
            Logger.c("PopWinActivityImpl", "Android sdk version greater than or equal to 17, Java—Js interact by annotation!");
            a();
        }
        this.c.setWebChromeClient(new cn.jpush.android.webview.bridge.a("JPushWeb", HostJsScope.class, null, null));
        this.c.setWebViewClient(new a(this.d, activity));
        HostJsScope.a(f1079a);
    }

    private void g(Activity activity) {
        String str = this.d.P;
        String str2 = this.d.N;
        Logger.b("PopWinActivityImpl", "showUrl = " + str2);
        if (TextUtils.isEmpty(str) || !new File(str.replace("file://", "")).exists()) {
            this.c.loadUrl(str2);
        } else {
            this.c.loadUrl(str);
        }
        c.a(this.b, 1000, activity);
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void a(Activity activity) {
        if (this.c != null) {
            if (Build.VERSION.SDK_INT >= 11) {
                this.c.onResume();
            }
            HostJsScope.a(f1079a);
        }
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void a(Activity activity, Intent intent) {
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void a(Activity activity, Bundle bundle) {
        a.d(activity);
        e(activity);
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void a(Activity activity, String str, Bundle bundle) {
        if (!TextUtils.isEmpty(str) && str.equals("start_push_activity") && this.d != null && this.c != null) {
            String string = bundle.getString(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL);
            if (!TextUtils.isEmpty(string)) {
                this.d.N = string;
                Intent intent = new Intent(activity, PushActivity.class);
                intent.putExtra("msg_data", this.d.c());
                intent.putExtra(PushActivity.FROM_OTHER_WAY, true);
                intent.setFlags(335544320);
                activity.startActivity(intent);
            }
            activity.finish();
        }
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void b(Activity activity) {
        if (this.c != null && Build.VERSION.SDK_INT >= 11) {
            this.c.onPause();
        }
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void c(Activity activity) {
        if (this.c != null) {
            this.c.removeAllViews();
            this.c.destroy();
            this.c = null;
        }
    }

    @Override // cn.jpush.android.local.ProxyActivityAction
    public void d(Activity activity) {
        c.a(this.b, CloseCodes.CLOSED_ABNORMALLY, activity.getApplicationContext());
    }
}
