package cn.jpush.android.webview.bridge;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import android.webkit.JavascriptInterface;
import android.widget.Toast;
import cn.jpush.android.h.b;
import cn.jpush.android.helper.Logger;
import cn.jpush.android.helper.c;
import cn.jpush.android.m.a;
import cn.jpush.android.ui.PopWinActivity;
import cn.jpush.android.ui.PushActivity;
import java.lang.ref.WeakReference;

public class d {

    /* renamed from: a  reason: collision with root package name */
    private final WeakReference<Activity> f1088a;
    private final cn.jpush.android.d.d b;

    public d(Context context, cn.jpush.android.d.d dVar) {
        this.f1088a = new WeakReference<>((Activity) context);
        this.b = dVar;
    }

    @JavascriptInterface
    private void userClick(String str) {
        int i;
        try {
            i = Integer.parseInt(str);
        } catch (Exception unused) {
            Logger.h("WebViewHelper", "Invalid actionId from Web - " + str);
            i = 1100;
        }
        c.a(this.b.c, i, this.f1088a.get());
    }

    @JavascriptInterface
    public void click(String str, String str2, String str3) {
        boolean z;
        if (this.f1088a.get() != null) {
            Logger.b("WebViewHelper", "Web callback:click - actionId:" + str + ", shouldClose:" + str2 + ", shouldCancelNotification:" + str3);
            userClick(str);
            boolean z2 = false;
            try {
                z = Boolean.parseBoolean(str2);
                try {
                    z2 = Boolean.parseBoolean(str3);
                } catch (Exception unused) {
                }
            } catch (Exception unused2) {
                z = false;
            }
            if (z2) {
                b.b(this.f1088a.get(), this.b);
            }
            if (z) {
                this.f1088a.get().finish();
            }
        }
    }

    @JavascriptInterface
    public void close() {
        if (this.f1088a.get() != null) {
            Logger.b("WebViewHelper", "Web callback:close");
            this.f1088a.get().finish();
        }
    }

    @JavascriptInterface
    public void createShortcut(String str, String str2, String str3) {
    }

    @JavascriptInterface
    public void download(String str) {
        if (this.f1088a.get() != null) {
            Logger.b("WebViewHelper", "Web callback:download - " + str);
        }
    }

    @JavascriptInterface
    public void download(String str, String str2) {
        if (this.f1088a.get() != null) {
            userClick(str);
            download(str2);
            b.b(this.f1088a.get(), this.b);
            this.f1088a.get().finish();
        }
    }

    @JavascriptInterface
    public void download(String str, String str2, String str3) {
        Logger.a("WebViewHelper", "msgType from web: " + str3);
        download(str, str2);
    }

    @JavascriptInterface
    public void executeMsgMessage(String str) {
    }

    @JavascriptInterface
    public void showTitleBar() {
        try {
            if (this.f1088a.get() != null && (this.f1088a.get() instanceof PushActivity)) {
                ((PushActivity) this.f1088a.get()).showTitleBar();
            }
        } catch (Throwable unused) {
        }
    }

    @JavascriptInterface
    public void showToast(String str) {
        if (this.f1088a.get() != null) {
            Logger.b("WebViewHelper", "Web callback:showToast - " + str);
            Toast.makeText(this.f1088a.get(), str, 0).show();
        }
    }

    @JavascriptInterface
    public void startActivityByIntent(String str, String str2) {
        Activity activity = this.f1088a.get();
        if (activity != null) {
            try {
                Intent intent = new Intent(str);
                intent.addCategory(activity.getPackageName());
                intent.putExtra("cn.jpush.android.EXTRA", str2);
                intent.setFlags(268435456);
                activity.startActivity(intent);
            } catch (Exception unused) {
                Logger.i("WebViewHelper", "Unhandle intent : " + str);
            }
        }
    }

    @JavascriptInterface
    public void startActivityByName(String str, String str2) {
        Logger.b("WebViewHelper", "activityName = " + str);
        if (TextUtils.isEmpty(str)) {
            Logger.i("WebViewHelper", "The activity name is null or empty, Give up..");
        }
        Activity activity = this.f1088a.get();
        if (activity != null) {
            try {
                Intent intent = new Intent(activity, Class.forName(str));
                intent.putExtra("cn.jpush.android.ACTIVITY_PARAM", str2);
                intent.setFlags(268435456);
                activity.startActivity(intent);
            } catch (Exception unused) {
                Logger.i("WebViewHelper", "The activity name is invalid, Give up..");
            }
        }
    }

    @JavascriptInterface
    public void startMainActivity(String str) {
        Activity activity = this.f1088a.get();
        if (activity != null) {
            try {
                activity.finish();
                a.b(activity, str);
            } catch (Exception unused) {
                Logger.i("WebViewHelper", "startMainActivity failed");
            }
        }
    }

    @JavascriptInterface
    public void startPushActivity(String str) {
        try {
            Logger.b("WebViewHelper", "[startPushActivity]:" + str + ",activity:" + this.f1088a.get());
            if (this.f1088a.get() != null && (this.f1088a.get() instanceof PopWinActivity)) {
                ((PopWinActivity) this.f1088a.get()).startPushActivity(str);
            }
        } catch (Throwable unused) {
        }
    }

    @JavascriptInterface
    public void triggerNativeAction(String str) {
        if (this.f1088a.get() == null) {
        }
    }
}
