package com.alibaba.fastjson;

import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.serializer.AfterFilter;
import com.alibaba.fastjson.serializer.BeforeFilter;
import com.alibaba.fastjson.serializer.JSONSerializer;
import com.alibaba.fastjson.serializer.NameFilter;
import com.alibaba.fastjson.serializer.PropertyFilter;
import com.alibaba.fastjson.serializer.PropertyPreFilter;
import com.alibaba.fastjson.serializer.SerializeConfig;
import com.alibaba.fastjson.serializer.SerializeFilter;
import com.alibaba.fastjson.serializer.SerializeWriter;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.serializer.ValueFilter;
import java.io.IOException;
import java.util.Locale;
import java.util.TimeZone;

public abstract class JSON implements JSONAware, JSONStreamAware {

    /* renamed from: a  reason: collision with root package name */
    public static TimeZone f1091a = TimeZone.getDefault();
    public static Locale b = Locale.getDefault();
    public static int c = ((((((((Feature.AutoCloseSource.r | 0) | Feature.InternFieldNames.r) | Feature.UseBigDecimal.r) | Feature.AllowUnQuotedFieldNames.r) | Feature.AllowSingleQuotes.r) | Feature.AllowArbitraryCommas.r) | Feature.SortFeidFastMatch.r) | Feature.IgnoreNotMatch.r);
    public static String d = "yyyy-MM-dd HH:mm:ss";
    public static int e = ((((SerializerFeature.QuoteFieldNames.x | 0) | SerializerFeature.SkipTransientField.x) | SerializerFeature.WriteEnumUsingToString.x) | SerializerFeature.SortField.x);

    public static final String a(Object obj) {
        return a(obj, SerializeConfig.f1126a, null, null, e, new SerializerFeature[0]);
    }

    public String toString() {
        return a();
    }

    @Override // com.alibaba.fastjson.JSONAware
    public String a() {
        SerializeWriter serializeWriter = new SerializeWriter(null, e, SerializerFeature.y);
        try {
            new JSONSerializer(serializeWriter, SerializeConfig.f1126a).b(this);
            return serializeWriter.toString();
        } finally {
            serializeWriter.close();
        }
    }

    @Override // com.alibaba.fastjson.JSONStreamAware
    public void a(Appendable appendable) {
        SerializeWriter serializeWriter = new SerializeWriter(null, e, SerializerFeature.y);
        try {
            new JSONSerializer(serializeWriter, SerializeConfig.f1126a).b(this);
            appendable.append(serializeWriter.toString());
            serializeWriter.close();
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        } catch (Throwable th) {
            serializeWriter.close();
            throw th;
        }
    }

    public static String a(Object obj, SerializeConfig serializeConfig, SerializeFilter[] serializeFilterArr, String str, int i, SerializerFeature... serializerFeatureArr) {
        SerializeWriter serializeWriter = new SerializeWriter(null, i, serializerFeatureArr);
        try {
            JSONSerializer jSONSerializer = new JSONSerializer(serializeWriter, serializeConfig);
            for (SerializerFeature serializerFeature : serializerFeatureArr) {
                jSONSerializer.a(serializerFeature, true);
            }
            if (!(str == null || str.length() == 0)) {
                jSONSerializer.a(str);
                jSONSerializer.a(SerializerFeature.WriteDateUseDateFormat, true);
            }
            if (serializeFilterArr != null) {
                for (SerializeFilter serializeFilter : serializeFilterArr) {
                    if (serializeFilter != null) {
                        if (serializeFilter instanceof PropertyPreFilter) {
                            jSONSerializer.i().add((PropertyPreFilter) serializeFilter);
                        }
                        if (serializeFilter instanceof NameFilter) {
                            jSONSerializer.h().add((NameFilter) serializeFilter);
                        }
                        if (serializeFilter instanceof ValueFilter) {
                            jSONSerializer.b().add((ValueFilter) serializeFilter);
                        }
                        if (serializeFilter instanceof PropertyFilter) {
                            jSONSerializer.j().add((PropertyFilter) serializeFilter);
                        }
                        if (serializeFilter instanceof BeforeFilter) {
                            jSONSerializer.f().add((BeforeFilter) serializeFilter);
                        }
                        if (serializeFilter instanceof AfterFilter) {
                            jSONSerializer.g().add((AfterFilter) serializeFilter);
                        }
                    }
                }
            }
            jSONSerializer.b(obj);
            return serializeWriter.toString();
        } finally {
            serializeWriter.close();
        }
    }
}
