package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSON;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Locale;
import java.util.TimeZone;

public final class JSONLexer {
    protected static final int[] n = new int[103];
    public static final char[] o = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".toCharArray();
    static final int[] p = new int[256];
    public static final boolean[] q = new boolean[256];
    public static final boolean[] r = new boolean[256];
    private static boolean s;
    private static final ThreadLocal<char[]> t = new ThreadLocal<>();

    /* renamed from: a  reason: collision with root package name */
    protected int f1100a;
    public int b;
    protected char c;
    protected int d;
    protected char[] e;
    public TimeZone f;
    public Locale g;
    protected Calendar h;
    public int i;
    protected final String j;
    protected final int k;
    protected String l;
    public boolean m;

    static boolean a(char c2, char c3, char c4, char c5, char c6, char c7) {
        if (c2 == '0') {
            if (c3 < '0' || c3 > '9') {
                return false;
            }
        } else if (c2 == '1') {
            if (c3 < '0' || c3 > '9') {
                return false;
            }
        } else if (c2 != '2' || c3 < '0' || c3 > '4') {
            return false;
        }
        if (c4 < '0' || c4 > '5') {
            if (!(c4 == '6' && c5 == '0')) {
                return false;
            }
        } else if (c5 < '0' || c5 > '9') {
            return false;
        }
        return (c6 < '0' || c6 > '5') ? c6 == '6' && c7 == '0' : c7 >= '0' && c7 <= '9';
    }

    static boolean a(char c2, char c3, char c4, char c5, char c6, char c7, int i2, int i3) {
        if ((c2 != '1' && c2 != '2') || c3 < '0' || c3 > '9' || c4 < '0' || c4 > '9' || c5 < '0' || c5 > '9') {
            return false;
        }
        if (c6 == '0') {
            if (c7 < '1' || c7 > '9') {
                return false;
            }
        } else if (c6 != '1') {
            return false;
        } else {
            if (!(c7 == '0' || c7 == '1' || c7 == '2')) {
                return false;
            }
        }
        if (i2 == 48) {
            return i3 >= 49 && i3 <= 57;
        }
        if (i2 == 49 || i2 == 50) {
            return i3 >= 48 && i3 <= 57;
        }
        if (i2 == 51) {
            return i3 == 48 || i3 == 49;
        }
        return false;
    }

    static {
        int i2;
        try {
            i2 = Class.forName("android.os.Build$VERSION").getField("SDK_INT").getInt(null);
        } catch (Exception unused) {
            i2 = -1;
        }
        s = i2 >= 23;
        for (int i3 = 48; i3 <= 57; i3++) {
            n[i3] = i3 - 48;
        }
        for (int i4 = 97; i4 <= 102; i4++) {
            n[i4] = (i4 - 97) + 10;
        }
        for (int i5 = 65; i5 <= 70; i5++) {
            n[i5] = (i5 - 65) + 10;
        }
        Arrays.fill(p, -1);
        int length = o.length;
        for (int i6 = 0; i6 < length; i6++) {
            p[o[i6]] = i6;
        }
        p[61] = 0;
        for (char c2 = 0; c2 < q.length; c2 = (char) (c2 + 1)) {
            if (c2 >= 'A' && c2 <= 'Z') {
                q[c2] = true;
            } else if (c2 >= 'a' && c2 <= 'z') {
                q[c2] = true;
            } else if (c2 == '_') {
                q[c2] = true;
            }
        }
        for (char c3 = 0; c3 < r.length; c3 = (char) (c3 + 1)) {
            if (c3 >= 'A' && c3 <= 'Z') {
                r[c3] = true;
            } else if (c3 >= 'a' && c3 <= 'z') {
                r[c3] = true;
            } else if (c3 == '_') {
                r[c3] = true;
            } else if (c3 >= '0' && c3 <= '9') {
                r[c3] = true;
            }
        }
    }

    public JSONLexer(String str) {
        this(str, JSON.c);
    }

    public JSONLexer(String str, int i2) {
        char c2;
        this.b = JSON.c;
        this.f = JSON.f1091a;
        this.g = JSON.b;
        String str2 = null;
        this.h = null;
        boolean z = false;
        this.i = 0;
        this.e = t.get();
        if (this.e == null) {
            this.e = new char[512];
        }
        this.b = i2;
        this.j = str;
        this.k = this.j.length();
        this.d = -1;
        int i3 = this.d + 1;
        this.d = i3;
        if (i3 >= this.k) {
            c2 = 26;
        } else {
            c2 = this.j.charAt(i3);
        }
        this.c = c2;
        if (this.c == 65279) {
            b();
        }
        this.l = (Feature.InitStringFieldAsEmpty.r & i2) != 0 ? "" : str2;
        this.m = (Feature.DisableCircularReferenceDetect.r & i2) != 0 ? true : z;
    }

    public void a() {
        if (this.e.length <= 8196) {
            t.set(this.e);
        }
        this.e = null;
    }

    public char b() {
        char c2;
        int i2 = this.d + 1;
        this.d = i2;
        if (i2 >= this.k) {
            c2 = 26;
        } else {
            c2 = this.j.charAt(i2);
        }
        this.c = c2;
        return c2;
    }

    /* access modifiers changed from: protected */
    public char a(int i2) {
        if (i2 >= this.k) {
            return 26;
        }
        return this.j.charAt(i2);
    }

    public Calendar c() {
        return this.h;
    }

    private final String a(int i2, int i3) {
        if (i3 < this.e.length) {
            this.j.getChars(i2, i2 + i3, this.e, 0);
            return new String(this.e, 0, i3);
        }
        char[] cArr = new char[i3];
        this.j.getChars(i2, i3 + i2, cArr, 0);
        return new String(cArr);
    }

    public boolean a(boolean z) {
        int i2;
        int i3;
        int i4;
        int i5;
        char a2;
        int i6;
        int i7;
        char a3;
        char a4;
        int length = this.j.length() - this.d;
        if (z || length <= 13 || !this.j.startsWith("/Date(", this.d) || a((this.d + length) - 1) != '/' || a((this.d + length) - 2) != ')') {
            int i8 = 3;
            if (length == 8 || length == 14 || length == 17) {
                if (z) {
                    return false;
                }
                char a5 = a(this.d);
                char a6 = a(this.d + 1);
                char a7 = a(this.d + 2);
                char a8 = a(this.d + 3);
                char a9 = a(this.d + 4);
                char a10 = a(this.d + 5);
                char a11 = a(this.d + 6);
                char a12 = a(this.d + 7);
                if (!a(a5, a6, a7, a8, a9, a10, (int) a11, (int) a12)) {
                    return false;
                }
                a(a5, a6, a7, a8, a9, a10, a11, a12);
                if (length != 8) {
                    char a13 = a(this.d + 8);
                    char a14 = a(this.d + 9);
                    char a15 = a(this.d + 10);
                    char a16 = a(this.d + 11);
                    char a17 = a(this.d + 12);
                    char a18 = a(this.d + 13);
                    if (!a(a13, a14, a15, a16, a17, a18)) {
                        return false;
                    }
                    if (length == 17) {
                        char a19 = a(this.d + 14);
                        char a20 = a(this.d + 15);
                        char a21 = a(this.d + 16);
                        if (a19 < '0' || a19 > '9' || a20 < '0' || a20 > '9' || a21 < '0' || a21 > '9') {
                            return false;
                        }
                        i2 = ((a19 - '0') * 100) + ((a20 - '0') * 10) + (a21 - '0');
                    } else {
                        i2 = 0;
                    }
                    i5 = ((a13 - '0') * 10) + (a14 - '0');
                    i4 = ((a15 - '0') * 10) + (a16 - '0');
                    i3 = ((a17 - '0') * 10) + (a18 - '0');
                } else {
                    i4 = 0;
                    i5 = 0;
                    i3 = 0;
                    i2 = 0;
                }
                this.h.set(11, i5);
                this.h.set(12, i4);
                this.h.set(13, i3);
                this.h.set(14, i2);
                this.f1100a = 5;
                return true;
            } else if (length < 10 || a(this.d + 4) != '-' || a(this.d + 7) != '-') {
                return false;
            } else {
                char a22 = a(this.d);
                char a23 = a(this.d + 1);
                char a24 = a(this.d + 2);
                char a25 = a(this.d + 3);
                char a26 = a(this.d + 5);
                char a27 = a(this.d + 6);
                char a28 = a(this.d + 8);
                char a29 = a(this.d + 9);
                if (!a(a22, a23, a24, a25, a26, a27, (int) a28, (int) a29)) {
                    return false;
                }
                a(a22, a23, a24, a25, a26, a27, a28, a29);
                char a30 = a(this.d + 10);
                if (a30 == 'T' || (a30 == ' ' && !z)) {
                    if (!(length >= 19 && a(this.d + 13) == ':' && a(this.d + 16) == ':')) {
                        return false;
                    }
                    char a31 = a(this.d + 11);
                    char a32 = a(this.d + 12);
                    char a33 = a(this.d + 14);
                    char a34 = a(this.d + 15);
                    char a35 = a(this.d + 17);
                    char a36 = a(this.d + 18);
                    if (!a(a31, a32, a33, a34, a35, a36)) {
                        return false;
                    }
                    this.h.set(11, ((a31 - '0') * 10) + (a32 - '0'));
                    this.h.set(12, ((a33 - '0') * 10) + (a34 - '0'));
                    this.h.set(13, ((a35 - '0') * 10) + (a36 - '0'));
                    char a37 = a(this.d + 19);
                    if (a37 != '.') {
                        this.h.set(14, 0);
                        int i9 = this.d + 19;
                        this.d = i9;
                        this.c = a(i9);
                        this.f1100a = 5;
                        if (a37 == 'Z' && this.h.getTimeZone().getRawOffset() != 0) {
                            String[] availableIDs = TimeZone.getAvailableIDs(0);
                            if (availableIDs.length > 0) {
                                this.h.setTimeZone(TimeZone.getTimeZone(availableIDs[0]));
                            }
                        }
                        return true;
                    } else if (length < 23 || (a2 = a(this.d + 20)) < '0' || a2 > '9') {
                        return false;
                    } else {
                        int i10 = n[a2];
                        char a38 = a(this.d + 21);
                        if (a38 < '0' || a38 > '9') {
                            i6 = i10;
                            i7 = 1;
                        } else {
                            i6 = (i10 * 10) + n[a38];
                            i7 = 2;
                        }
                        if (i7 == 2 && (a4 = a(this.d + 22)) >= '0' && a4 <= '9') {
                            i6 = (i6 * 10) + n[a4];
                            i7 = 3;
                        }
                        this.h.set(14, i6);
                        char a39 = a(this.d + 20 + i7);
                        if (a39 == '+' || a39 == '-') {
                            char a40 = a(this.d + 20 + i7 + 1);
                            if (a40 < '0' || a40 > '1' || (a3 = a(this.d + 20 + i7 + 2)) < '0' || a3 > '9') {
                                return false;
                            }
                            char a41 = a(this.d + 20 + i7 + 3);
                            if (a41 == ':') {
                                if (!(a(this.d + 20 + i7 + 4) == '0' && a(this.d + 20 + i7 + 5) == '0')) {
                                    return false;
                                }
                                i8 = 6;
                            } else if (a41 == '0') {
                                if (a(this.d + 20 + i7 + 4) != '0') {
                                    return false;
                                }
                                i8 = 5;
                            }
                            int i11 = ((n[a40] * 10) + n[a3]) * 3600 * 1000;
                            if (a39 == '-') {
                                i11 = -i11;
                            }
                            if (this.h.getTimeZone().getRawOffset() != i11) {
                                String[] availableIDs2 = TimeZone.getAvailableIDs(i11);
                                if (availableIDs2.length > 0) {
                                    this.h.setTimeZone(TimeZone.getTimeZone(availableIDs2[0]));
                                }
                            }
                        } else if (a39 == 'Z') {
                            if (this.h.getTimeZone().getRawOffset() != 0) {
                                String[] availableIDs3 = TimeZone.getAvailableIDs(0);
                                if (availableIDs3.length > 0) {
                                    this.h.setTimeZone(TimeZone.getTimeZone(availableIDs3[0]));
                                }
                            }
                            i8 = 1;
                        } else {
                            i8 = 0;
                        }
                        int i12 = i7 + 20 + i8;
                        char a42 = a(this.d + i12);
                        if (!(a42 == 26 || a42 == '\"')) {
                            return false;
                        }
                        int i13 = this.d + i12;
                        this.d = i13;
                        this.c = a(i13);
                        this.f1100a = 5;
                        return true;
                    }
                } else if (a30 != '\"' && a30 != 26) {
                    return false;
                } else {
                    this.h.set(11, 0);
                    this.h.set(12, 0);
                    this.h.set(13, 0);
                    this.h.set(14, 0);
                    int i14 = this.d + 10;
                    this.d = i14;
                    this.c = a(i14);
                    this.f1100a = 5;
                    return true;
                }
            }
        } else {
            int i15 = -1;
            for (int i16 = 6; i16 < length; i16++) {
                char a43 = a(this.d + i16);
                if (a43 != '+') {
                    if (a43 < '0' || a43 > '9') {
                        break;
                    }
                } else {
                    i15 = i16;
                }
            }
            if (i15 == -1) {
                return false;
            }
            int i17 = this.d + 6;
            long parseLong = Long.parseLong(a(i17, i15 - i17));
            this.h = Calendar.getInstance(this.f, this.g);
            this.h.setTimeInMillis(parseLong);
            this.f1100a = 5;
            return true;
        }
    }

    private void a(char c2, char c3, char c4, char c5, char c6, char c7, char c8, char c9) {
        this.h = Calendar.getInstance(this.f, this.g);
        this.h.set(1, ((c2 - '0') * 1000) + ((c3 - '0') * 100) + ((c4 - '0') * 10) + (c5 - '0'));
        this.h.set(2, (((c6 - '0') * 10) + (c7 - '0')) - 1);
        this.h.set(5, ((c8 - '0') * 10) + (c9 - '0'));
    }

    public static final byte[] a(String str) {
        int i2;
        int length = str.length();
        int i3 = 0;
        if (length == 0) {
            return new byte[0];
        }
        int i4 = length - 1;
        int i5 = 0;
        while (i5 < i4 && p[str.charAt(i5) & 255] < 0) {
            i5++;
        }
        while (i4 > 0 && p[str.charAt(i4) & 255] < 0) {
            i4--;
        }
        int i6 = str.charAt(i4) == '=' ? str.charAt(i4 + -1) == '=' ? 2 : 1 : 0;
        int i7 = (i4 - i5) + 1;
        if (length > 76) {
            i2 = (str.charAt(76) == '\r' ? i7 / 78 : 0) << 1;
        } else {
            i2 = 0;
        }
        int i8 = (((i7 - i2) * 6) >> 3) - i6;
        byte[] bArr = new byte[i8];
        int i9 = (i8 / 3) * 3;
        int i10 = i5;
        int i11 = 0;
        int i12 = 0;
        while (i11 < i9) {
            int i13 = i10 + 1;
            int i14 = i13 + 1;
            int i15 = i14 + 1;
            int i16 = i15 + 1;
            int i17 = (p[str.charAt(i10)] << 18) | (p[str.charAt(i13)] << 12) | (p[str.charAt(i14)] << 6) | p[str.charAt(i15)];
            int i18 = i11 + 1;
            bArr[i11] = (byte) (i17 >> 16);
            int i19 = i18 + 1;
            bArr[i18] = (byte) (i17 >> 8);
            int i20 = i19 + 1;
            bArr[i19] = (byte) i17;
            if (i2 <= 0 || (i12 = i12 + 1) != 19) {
                i10 = i16;
            } else {
                i10 = i16 + 2;
                i12 = 0;
            }
            i11 = i20;
        }
        if (i11 < i8) {
            int i21 = 0;
            while (i10 <= i4 - i6) {
                i3 |= p[str.charAt(i10)] << (18 - (i21 * 6));
                i21++;
                i10++;
            }
            int i22 = 16;
            while (i11 < i8) {
                bArr[i11] = (byte) (i3 >> i22);
                i22 -= 8;
                i11++;
            }
        }
        return bArr;
    }
}
