package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.parser.deserializer.FieldDeserializer;
import com.alibaba.fastjson.parser.deserializer.ObjectDeserializer;
import com.alibaba.fastjson.util.FieldInfo;
import com.alibaba.fastjson.util.TypeUtils;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.lang.reflect.Type;
import java.util.Map;

public class JavaBeanDeserializer implements ObjectDeserializer {

    /* renamed from: a  reason: collision with root package name */
    public final JavaBeanInfo f1101a;
    private final FieldDeserializer[] b;
    private final FieldDeserializer[] c;
    private final Class<?> d;

    public JavaBeanDeserializer(ParserConfig parserConfig, Class<?> cls, Type type) {
        this(parserConfig, cls, type, JavaBeanInfo.a(cls, cls.getModifiers(), type, false, true, true, true, parserConfig.c));
    }

    public JavaBeanDeserializer(ParserConfig parserConfig, Class<?> cls, Type type, JavaBeanInfo javaBeanInfo) {
        this.d = cls;
        this.f1101a = javaBeanInfo;
        this.c = new FieldDeserializer[javaBeanInfo.f.length];
        int length = javaBeanInfo.f.length;
        for (int i = 0; i < length; i++) {
            this.c[i] = parserConfig.a(parserConfig, cls, javaBeanInfo.f[i]);
        }
        this.b = new FieldDeserializer[javaBeanInfo.e.length];
        int length2 = javaBeanInfo.e.length;
        for (int i2 = 0; i2 < length2; i2++) {
            this.b[i2] = a(javaBeanInfo.e[i2].f1131a);
        }
    }

    /* access modifiers changed from: protected */
    public Object a(DefaultJSONParser defaultJSONParser, Type type) {
        Object obj;
        if ((type instanceof Class) && this.d.isInterface()) {
            return Proxy.newProxyInstance(Thread.currentThread().getContextClassLoader(), new Class[]{(Class) type}, new JSONObject((defaultJSONParser.f1097a.b & Feature.OrderedField.r) != 0));
        } else if (this.f1101a.f1102a == null) {
            return null;
        } else {
            try {
                Constructor<?> constructor = this.f1101a.f1102a;
                if (this.f1101a.b == 0) {
                    obj = constructor.newInstance(new Object[0]);
                } else {
                    obj = constructor.newInstance(defaultJSONParser.b.f1105a);
                }
                if (!(defaultJSONParser == null || (defaultJSONParser.f1097a.b & Feature.InitStringFieldAsEmpty.r) == 0)) {
                    FieldInfo[] fieldInfoArr = this.f1101a.e;
                    for (FieldInfo fieldInfo : fieldInfoArr) {
                        if (fieldInfo.f == String.class) {
                            fieldInfo.a(obj, "");
                        }
                    }
                }
                return obj;
            } catch (Exception e) {
                throw new JSONException("create instance error, class " + this.d.getName(), e);
            }
        }
    }

    /* access modifiers changed from: protected */
    public FieldDeserializer a(String str) {
        if (str == null) {
            return null;
        }
        int i = 0;
        if (this.f1101a.h) {
            while (i < this.c.length) {
                if (this.c[i].f1109a.f1131a.equalsIgnoreCase(str)) {
                    return this.c[i];
                }
                i++;
            }
            return null;
        }
        int length = this.c.length - 1;
        while (i <= length) {
            int i2 = (i + length) >>> 1;
            int compareTo = this.c[i2].f1109a.f1131a.compareTo(str);
            if (compareTo < 0) {
                i = i2 + 1;
            } else if (compareTo <= 0) {
                return this.c[i2];
            } else {
                length = i2 - 1;
            }
        }
        return null;
    }

    public Object a(Map<String, Object> map, ParserConfig parserConfig) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException {
        if (this.f1101a.c == null) {
            Object a2 = a((DefaultJSONParser) null, this.d);
            for (Map.Entry<String, Object> entry : map.entrySet()) {
                FieldDeserializer a3 = a(entry.getKey());
                if (a3 != null) {
                    Object value = entry.getValue();
                    Method method = a3.f1109a.b;
                    if (method != null) {
                        method.invoke(a2, TypeUtils.a(value, method.getGenericParameterTypes()[0], parserConfig));
                    } else {
                        a3.f1109a.c.set(a2, TypeUtils.a(value, a3.f1109a.g, parserConfig));
                    }
                }
            }
            return a2;
        }
        FieldInfo[] fieldInfoArr = this.f1101a.e;
        int length = fieldInfoArr.length;
        Object[] objArr = new Object[length];
        for (int i = 0; i < length; i++) {
            objArr[i] = map.get(fieldInfoArr[i].f1131a);
        }
        if (this.f1101a.c == null) {
            return null;
        }
        try {
            return this.f1101a.c.newInstance(objArr);
        } catch (Exception e) {
            throw new JSONException("create instance error, " + this.f1101a.c.toGenericString(), e);
        }
    }
}
