package com.alibaba.fastjson.parser;

import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.annotation.JSONCreator;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.util.FieldInfo;
import com.alibaba.fastjson.util.TypeUtils;
import java.lang.annotation.Annotation;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/* access modifiers changed from: package-private */
public class JavaBeanInfo {

    /* renamed from: a  reason: collision with root package name */
    final Constructor<?> f1102a;
    final int b;
    final Constructor<?> c;
    final Method d;
    final FieldInfo[] e;
    final FieldInfo[] f;
    final JSONType g;
    boolean h = false;
    final boolean i;
    public final String j;
    public final int k;

    JavaBeanInfo(Class<?> cls, Constructor<?> constructor, Constructor<?> constructor2, Method method, FieldInfo[] fieldInfoArr, FieldInfo[] fieldInfoArr2, JSONType jSONType) {
        int i2;
        boolean z;
        int i3 = 0;
        this.f1102a = constructor;
        this.c = constructor2;
        this.d = method;
        this.e = fieldInfoArr;
        this.g = jSONType;
        if (jSONType != null) {
            String f2 = jSONType.f();
            if (f2.length() != 0) {
                this.j = f2;
            } else {
                this.j = cls.getName();
            }
            i2 = 0;
            for (Feature feature : jSONType.d()) {
                i2 |= feature.r;
            }
        } else {
            this.j = cls.getName();
            i2 = 0;
        }
        this.k = i2;
        if (jSONType != null) {
            Feature[] d2 = jSONType.d();
            z = false;
            for (Feature feature2 : d2) {
                if (feature2 == Feature.SupportArrayToBean) {
                    z = true;
                }
            }
        } else {
            z = false;
        }
        this.i = z;
        FieldInfo[] a2 = a(fieldInfoArr, fieldInfoArr2);
        this.f = Arrays.equals(fieldInfoArr, a2) ? fieldInfoArr : a2;
        this.b = constructor != null ? constructor.getParameterTypes().length : i3;
    }

    private FieldInfo[] a(FieldInfo[] fieldInfoArr, FieldInfo[] fieldInfoArr2) {
        String[] a2;
        boolean z;
        boolean z2;
        boolean z3;
        boolean z4;
        if (!(this.g == null || (a2 = this.g.a()) == null || a2.length == 0)) {
            int i2 = 0;
            while (true) {
                if (i2 >= a2.length) {
                    z = true;
                    break;
                }
                int i3 = 0;
                while (true) {
                    if (i3 >= fieldInfoArr2.length) {
                        z4 = false;
                        break;
                    } else if (fieldInfoArr2[i3].f1131a.equals(a2[i2])) {
                        z4 = true;
                        break;
                    } else {
                        i3++;
                    }
                }
                if (!z4) {
                    z = false;
                    break;
                }
                i2++;
            }
            if (!z) {
                return fieldInfoArr2;
            }
            if (a2.length == fieldInfoArr.length) {
                int i4 = 0;
                while (true) {
                    if (i4 >= a2.length) {
                        z3 = true;
                        break;
                    } else if (!fieldInfoArr2[i4].f1131a.equals(a2[i4])) {
                        z3 = false;
                        break;
                    } else {
                        i4++;
                    }
                }
                if (z3) {
                    return fieldInfoArr2;
                }
                FieldInfo[] fieldInfoArr3 = new FieldInfo[fieldInfoArr2.length];
                for (int i5 = 0; i5 < a2.length; i5++) {
                    int i6 = 0;
                    while (true) {
                        if (i6 >= fieldInfoArr2.length) {
                            break;
                        } else if (fieldInfoArr2[i6].f1131a.equals(a2[i5])) {
                            fieldInfoArr3[i5] = fieldInfoArr2[i6];
                            break;
                        } else {
                            i6++;
                        }
                    }
                }
                this.h = true;
                return fieldInfoArr3;
            }
            FieldInfo[] fieldInfoArr4 = new FieldInfo[fieldInfoArr2.length];
            for (int i7 = 0; i7 < a2.length; i7++) {
                int i8 = 0;
                while (true) {
                    if (i8 >= fieldInfoArr2.length) {
                        break;
                    } else if (fieldInfoArr2[i8].f1131a.equals(a2[i7])) {
                        fieldInfoArr4[i7] = fieldInfoArr2[i8];
                        break;
                    } else {
                        i8++;
                    }
                }
            }
            int length = a2.length;
            for (int i9 = 0; i9 < fieldInfoArr2.length; i9++) {
                int i10 = 0;
                while (true) {
                    if (i10 >= fieldInfoArr4.length || i10 >= length) {
                        z2 = false;
                    } else if (fieldInfoArr4[i9].b(fieldInfoArr2[i10])) {
                        z2 = true;
                        break;
                    } else {
                        i10++;
                    }
                }
                if (!z2) {
                    fieldInfoArr4[length] = fieldInfoArr2[i9];
                    length++;
                }
            }
            this.h = true;
        }
        return fieldInfoArr2;
    }

    static boolean a(List<FieldInfo> list, FieldInfo fieldInfo, boolean z) {
        if (!z) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                FieldInfo fieldInfo2 = list.get(i2);
                if (fieldInfo2.f1131a.equals(fieldInfo.f1131a) && (!fieldInfo2.i || fieldInfo.i)) {
                    return false;
                }
            }
        }
        list.add(fieldInfo);
        return true;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v77, types: [java.lang.reflect.Type[]] */
    /* JADX WARNING: Code restructure failed: missing block: B:271:0x05ed, code lost:
        if (r1.length() > 0) goto L_0x060c;
     */
    /* JADX WARNING: Removed duplicated region for block: B:170:0x03bf  */
    /* JADX WARNING: Removed duplicated region for block: B:183:0x0429  */
    /* JADX WARNING: Unknown variable types count: 1 */
    public static JavaBeanInfo a(Class<?> cls, int i2, Type type, boolean z, boolean z2, boolean z3, boolean z4, PropertyNamingStrategy propertyNamingStrategy) {
        Constructor<?> constructor;
        int i3;
        int i4;
        String str;
        int i5;
        int i6;
        Field[] fieldArr;
        int i7;
        int i8;
        Constructor<?> constructor2;
        Method[] methodArr;
        ArrayList arrayList;
        PropertyNamingStrategy propertyNamingStrategy2;
        Class<?> returnType;
        Field[] fieldArr2;
        ArrayList arrayList2;
        int i9;
        int i10;
        Method method;
        Field[] fieldArr3;
        String str2;
        Field a2;
        ArrayList arrayList3;
        JSONField jSONField;
        int i11;
        int i12;
        Constructor<?> constructor3;
        Method method2;
        JSONField jSONField2;
        JSONField jSONField3;
        Constructor<?> constructor4;
        Class<?> cls2 = cls;
        PropertyNamingStrategy propertyNamingStrategy3 = propertyNamingStrategy;
        ArrayList arrayList4 = new ArrayList();
        int i13 = i2 & 1024;
        int i14 = 1;
        if (i13 == 0) {
            try {
                constructor4 = cls2.getDeclaredConstructor(new Class[0]);
            } catch (Exception unused) {
                constructor4 = null;
            }
            if (constructor4 == null && cls.isMemberClass() && (i2 & 8) == 0) {
                Constructor<?>[] declaredConstructors = cls.getDeclaredConstructors();
                int length = declaredConstructors.length;
                int i15 = 0;
                while (true) {
                    if (i15 >= length) {
                        break;
                    }
                    Constructor<?> constructor5 = declaredConstructors[i15];
                    Class<?>[] parameterTypes = constructor5.getParameterTypes();
                    if (parameterTypes.length == 1 && parameterTypes[0].equals(cls.getDeclaringClass())) {
                        constructor = constructor5;
                        break;
                    }
                    i15++;
                    constructor4 = constructor4;
                }
            }
            constructor = constructor4;
        } else {
            constructor = null;
        }
        Method[] methods = z ? null : cls.getMethods();
        Field[] declaredFields = cls.getDeclaredFields();
        if (constructor == null && !cls.isInterface() && i13 == 0) {
            Constructor<?>[] declaredConstructors2 = cls.getDeclaredConstructors();
            int length2 = declaredConstructors2.length;
            int i16 = 0;
            while (true) {
                if (i16 >= length2) {
                    constructor3 = null;
                    break;
                }
                Constructor<?> constructor6 = declaredConstructors2[i16];
                if (((JSONCreator) constructor6.getAnnotation(JSONCreator.class)) != null) {
                    constructor3 = constructor6;
                    break;
                }
                i16++;
            }
            if (constructor3 != null) {
                TypeUtils.a(cls2, constructor3, i2);
                Class<?>[] parameterTypes2 = constructor3.getParameterTypes();
                Class<?>[] genericParameterTypes = z4 ? constructor3.getGenericParameterTypes() : parameterTypes2;
                int i17 = 0;
                while (i17 < parameterTypes2.length) {
                    Annotation[] annotationArr = constructor3.getParameterAnnotations()[i17];
                    int length3 = annotationArr.length;
                    int i18 = 0;
                    while (true) {
                        if (i18 >= length3) {
                            jSONField3 = null;
                            break;
                        }
                        Annotation annotation = annotationArr[i18];
                        if (annotation instanceof JSONField) {
                            jSONField3 = (JSONField) annotation;
                            break;
                        }
                        i18++;
                    }
                    if (jSONField3 != null) {
                        Class<?> cls3 = parameterTypes2[i17];
                        Class<?> cls4 = genericParameterTypes[i17];
                        Field a3 = TypeUtils.a(cls2, jSONField3.b(), declaredFields);
                        if (a3 != null) {
                            TypeUtils.a(cls2, a3, i2);
                        }
                        a(arrayList4, new FieldInfo(jSONField3.b(), cls, cls3, cls4, a3, jSONField3.a(), SerializerFeature.a(jSONField3.f())), z);
                        i17++;
                        parameterTypes2 = parameterTypes2;
                        genericParameterTypes = genericParameterTypes;
                        declaredFields = declaredFields;
                    } else {
                        throw new JSONException("illegal json creator");
                    }
                }
                FieldInfo[] fieldInfoArr = new FieldInfo[arrayList4.size()];
                arrayList4.toArray(fieldInfoArr);
                FieldInfo[] fieldInfoArr2 = new FieldInfo[fieldInfoArr.length];
                System.arraycopy(fieldInfoArr, 0, fieldInfoArr2, 0, fieldInfoArr.length);
                Arrays.sort(fieldInfoArr2);
                return new JavaBeanInfo(cls, null, constructor3, null, fieldInfoArr, fieldInfoArr2, z2 ? (JSONType) cls2.getAnnotation(JSONType.class) : null);
            }
            Field[] fieldArr4 = declaredFields;
            int length4 = methods.length;
            int i19 = 0;
            while (true) {
                if (i19 >= length4) {
                    method2 = null;
                    break;
                }
                Method method3 = methods[i19];
                if (Modifier.isStatic(method3.getModifiers()) && cls2.isAssignableFrom(method3.getReturnType()) && ((JSONCreator) method3.getAnnotation(JSONCreator.class)) != null) {
                    method2 = method3;
                    break;
                }
                i19++;
            }
            if (method2 != null) {
                TypeUtils.a(cls2, method2, i2);
                Class<?>[] parameterTypes3 = method2.getParameterTypes();
                Class<?>[] genericParameterTypes2 = z4 ? method2.getGenericParameterTypes() : parameterTypes3;
                int i20 = 0;
                while (i20 < parameterTypes3.length) {
                    Annotation[] annotationArr2 = method2.getParameterAnnotations()[i20];
                    int length5 = annotationArr2.length;
                    int i21 = 0;
                    while (true) {
                        if (i21 >= length5) {
                            jSONField2 = null;
                            break;
                        }
                        Annotation annotation2 = annotationArr2[i21];
                        if (annotation2 instanceof JSONField) {
                            jSONField2 = (JSONField) annotation2;
                            break;
                        }
                        i21++;
                    }
                    if (jSONField2 != null) {
                        a(arrayList4, new FieldInfo(jSONField2.b(), cls, parameterTypes3[i20], genericParameterTypes2[i20], TypeUtils.a(cls2, jSONField2.b(), fieldArr4), jSONField2.a(), SerializerFeature.a(jSONField2.f())), z);
                        i20++;
                        fieldArr4 = fieldArr4;
                    } else {
                        throw new JSONException("illegal json creator");
                    }
                }
                FieldInfo[] fieldInfoArr3 = new FieldInfo[arrayList4.size()];
                arrayList4.toArray(fieldInfoArr3);
                FieldInfo[] fieldInfoArr4 = new FieldInfo[fieldInfoArr3.length];
                System.arraycopy(fieldInfoArr3, 0, fieldInfoArr4, 0, fieldInfoArr3.length);
                Arrays.sort(fieldInfoArr4);
                return new JavaBeanInfo(cls, null, null, method2, fieldInfoArr3, Arrays.equals(fieldInfoArr3, fieldInfoArr4) ? fieldInfoArr3 : fieldInfoArr4, z2 ? (JSONType) cls2.getAnnotation(JSONType.class) : null);
            }
            throw new JSONException("default constructor not found. " + cls2);
        }
        Field[] fieldArr5 = declaredFields;
        if (constructor != null) {
            TypeUtils.a(cls2, constructor, i2);
        }
        int i22 = 4;
        if (!z) {
            int length6 = methods.length;
            int i23 = 0;
            while (i23 < length6) {
                Method method4 = methods[i23];
                String name = method4.getName();
                if (name.length() < i22 || Modifier.isStatic(method4.getModifiers()) || !(((returnType = method4.getReturnType()) == Void.TYPE || returnType == method4.getDeclaringClass()) && method4.getParameterTypes().length == i14 && method4.getDeclaringClass() != Object.class)) {
                    i8 = i23;
                    i7 = length6;
                    methodArr = methods;
                    constructor2 = constructor;
                    arrayList = arrayList4;
                    propertyNamingStrategy2 = propertyNamingStrategy3;
                    fieldArr = fieldArr5;
                } else {
                    JSONField jSONField4 = z3 ? (JSONField) method4.getAnnotation(JSONField.class) : null;
                    if (jSONField4 == null && z3) {
                        jSONField4 = TypeUtils.a(cls2, method4);
                    }
                    if (jSONField4 == null) {
                        i8 = i23;
                        i7 = length6;
                        methodArr = methods;
                        constructor2 = constructor;
                        fieldArr2 = fieldArr5;
                        propertyNamingStrategy2 = propertyNamingStrategy3;
                        arrayList2 = arrayList4;
                        method = method4;
                        i10 = 0;
                        i9 = 0;
                    } else if (!jSONField4.e()) {
                        i8 = i23;
                        i7 = length6;
                        methodArr = methods;
                        constructor2 = constructor;
                        fieldArr = fieldArr5;
                        arrayList = arrayList4;
                        propertyNamingStrategy2 = propertyNamingStrategy3;
                    } else {
                        i10 = jSONField4.a();
                        i9 = SerializerFeature.a(jSONField4.f());
                        if (jSONField4.b().length() != 0) {
                            i8 = i23;
                            i7 = length6;
                            methodArr = methods;
                            constructor2 = constructor;
                            fieldArr2 = fieldArr5;
                            propertyNamingStrategy2 = propertyNamingStrategy3;
                            arrayList2 = arrayList4;
                            a(arrayList2, new FieldInfo(jSONField4.b(), method4, null, cls, type, i10, i9, jSONField4, null, z4), z);
                            TypeUtils.a(cls2, method4, i2);
                            arrayList = arrayList2;
                            fieldArr = fieldArr2;
                        } else {
                            i8 = i23;
                            i7 = length6;
                            methodArr = methods;
                            constructor2 = constructor;
                            fieldArr2 = fieldArr5;
                            propertyNamingStrategy2 = propertyNamingStrategy3;
                            arrayList2 = arrayList4;
                            method = method4;
                        }
                    }
                    if (name.startsWith("set")) {
                        char charAt = name.charAt(3);
                        if (Character.isUpperCase(charAt)) {
                            if (TypeUtils.f1135a) {
                                str2 = TypeUtils.a(name.substring(3));
                                fieldArr3 = fieldArr2;
                                a2 = TypeUtils.a(cls2, str2, fieldArr3);
                                if (a2 != null && method.getParameterTypes()[0] == Boolean.TYPE) {
                                    a2 = TypeUtils.a(cls2, "is" + Character.toUpperCase(str2.charAt(0)) + str2.substring(1), fieldArr3);
                                }
                                if (a2 != null) {
                                    JSONField jSONField5 = z3 ? (JSONField) a2.getAnnotation(JSONField.class) : null;
                                    if (jSONField5 != null) {
                                        i10 = jSONField5.a();
                                        i9 = SerializerFeature.a(jSONField5.f());
                                        if (jSONField5.b().length() != 0) {
                                            fieldArr = fieldArr3;
                                            a(arrayList2, new FieldInfo(jSONField5.b(), method, a2, cls, type, i10, i9, jSONField4, jSONField5, z4), z);
                                            arrayList = arrayList2;
                                            cls2 = cls;
                                            i23 = i8 + 1;
                                            propertyNamingStrategy3 = propertyNamingStrategy2;
                                            arrayList4 = arrayList;
                                            methods = methodArr;
                                            constructor = constructor2;
                                            length6 = i7;
                                            fieldArr5 = fieldArr;
                                            i22 = 4;
                                            i14 = 1;
                                        } else {
                                            fieldArr = fieldArr3;
                                            arrayList3 = arrayList2;
                                            if (jSONField4 == null) {
                                                i12 = i10;
                                                i11 = i9;
                                                jSONField = jSONField5;
                                                if (propertyNamingStrategy2 != null) {
                                                    str2 = propertyNamingStrategy2.a(str2);
                                                }
                                                a(arrayList3, new FieldInfo(str2, method, null, cls, type, i12, i11, jSONField, null, z4), z);
                                                arrayList = arrayList3;
                                                cls2 = cls;
                                                TypeUtils.a(cls2, method, i2);
                                                i23 = i8 + 1;
                                                propertyNamingStrategy3 = propertyNamingStrategy2;
                                                arrayList4 = arrayList;
                                                methods = methodArr;
                                                constructor = constructor2;
                                                length6 = i7;
                                                fieldArr5 = fieldArr;
                                                i22 = 4;
                                                i14 = 1;
                                            }
                                            jSONField = jSONField4;
                                            i12 = i10;
                                            i11 = i9;
                                            if (propertyNamingStrategy2 != null) {
                                            }
                                            a(arrayList3, new FieldInfo(str2, method, null, cls, type, i12, i11, jSONField, null, z4), z);
                                            arrayList = arrayList3;
                                            cls2 = cls;
                                            TypeUtils.a(cls2, method, i2);
                                            i23 = i8 + 1;
                                            propertyNamingStrategy3 = propertyNamingStrategy2;
                                            arrayList4 = arrayList;
                                            methods = methodArr;
                                            constructor = constructor2;
                                            length6 = i7;
                                            fieldArr5 = fieldArr;
                                            i22 = 4;
                                            i14 = 1;
                                        }
                                    }
                                }
                                fieldArr = fieldArr3;
                                arrayList3 = arrayList2;
                                jSONField = jSONField4;
                                i12 = i10;
                                i11 = i9;
                                if (propertyNamingStrategy2 != null) {
                                }
                                a(arrayList3, new FieldInfo(str2, method, null, cls, type, i12, i11, jSONField, null, z4), z);
                                arrayList = arrayList3;
                                cls2 = cls;
                                TypeUtils.a(cls2, method, i2);
                                i23 = i8 + 1;
                                propertyNamingStrategy3 = propertyNamingStrategy2;
                                arrayList4 = arrayList;
                                methods = methodArr;
                                constructor = constructor2;
                                length6 = i7;
                                fieldArr5 = fieldArr;
                                i22 = 4;
                                i14 = 1;
                            } else {
                                str2 = Character.toLowerCase(name.charAt(3)) + name.substring(4);
                            }
                        } else if (charAt == '_') {
                            str2 = name.substring(4);
                        } else if (charAt == 'f') {
                            str2 = name.substring(3);
                        } else if (name.length() >= 5 && Character.isUpperCase(name.charAt(4))) {
                            str2 = TypeUtils.a(name.substring(3));
                        }
                        fieldArr3 = fieldArr2;
                        a2 = TypeUtils.a(cls2, str2, fieldArr3);
                        if (a2 != null) {
                        }
                        if (a2 != null) {
                        }
                        fieldArr = fieldArr3;
                        arrayList3 = arrayList2;
                        jSONField = jSONField4;
                        i12 = i10;
                        i11 = i9;
                        if (propertyNamingStrategy2 != null) {
                        }
                        a(arrayList3, new FieldInfo(str2, method, null, cls, type, i12, i11, jSONField, null, z4), z);
                        arrayList = arrayList3;
                        cls2 = cls;
                        TypeUtils.a(cls2, method, i2);
                        i23 = i8 + 1;
                        propertyNamingStrategy3 = propertyNamingStrategy2;
                        arrayList4 = arrayList;
                        methods = methodArr;
                        constructor = constructor2;
                        length6 = i7;
                        fieldArr5 = fieldArr;
                        i22 = 4;
                        i14 = 1;
                    }
                    arrayList = arrayList2;
                    fieldArr = fieldArr2;
                }
                i23 = i8 + 1;
                propertyNamingStrategy3 = propertyNamingStrategy2;
                arrayList4 = arrayList;
                methods = methodArr;
                constructor = constructor2;
                length6 = i7;
                fieldArr5 = fieldArr;
                i22 = 4;
                i14 = 1;
            }
        }
        PropertyNamingStrategy propertyNamingStrategy4 = propertyNamingStrategy3;
        ArrayList<Field> arrayList5 = new ArrayList(fieldArr5.length);
        for (Field field : fieldArr5) {
            int modifiers = field.getModifiers();
            if ((modifiers & 8) == 0) {
                if ((modifiers & 16) != 0) {
                    Class<?> type2 = field.getType();
                    if (!(Map.class.isAssignableFrom(type2) || Collection.class.isAssignableFrom(type2))) {
                    }
                }
                if ((field.getModifiers() & 1) != 0) {
                    arrayList5.add(field);
                }
            }
        }
        Class<? super Object> superclass = cls.getSuperclass();
        while (superclass != null && superclass != Object.class) {
            Field[] declaredFields2 = superclass.getDeclaredFields();
            for (Field field2 : declaredFields2) {
                int modifiers2 = field2.getModifiers();
                if ((modifiers2 & 8) == 0) {
                    if ((modifiers2 & 16) != 0) {
                        Class<?> type3 = field2.getType();
                        if (!(Map.class.isAssignableFrom(type3) || Collection.class.isAssignableFrom(type3))) {
                        }
                    }
                    if ((modifiers2 & 1) != 0) {
                        arrayList5.add(field2);
                    }
                }
            }
            superclass = superclass.getSuperclass();
        }
        for (Field field3 : arrayList5) {
            String name2 = field3.getName();
            int size = arrayList4.size();
            boolean z5 = false;
            for (int i24 = 0; i24 < size; i24++) {
                if (((FieldInfo) arrayList4.get(i24)).f1131a.equals(name2)) {
                    z5 = true;
                }
            }
            if (!z5) {
                JSONField jSONField6 = z3 ? (JSONField) field3.getAnnotation(JSONField.class) : null;
                if (jSONField6 != null) {
                    int a4 = jSONField6.a();
                    int a5 = SerializerFeature.a(jSONField6.f());
                    if (jSONField6.b().length() != 0) {
                        name2 = jSONField6.b();
                    }
                    i6 = a4;
                    i5 = a5;
                } else {
                    i6 = 0;
                    i5 = 0;
                }
                if (propertyNamingStrategy4 != null) {
                    name2 = propertyNamingStrategy4.a(name2);
                }
                TypeUtils.a(cls2, field3, i2);
                a(arrayList4, new FieldInfo(name2, null, field3, cls, type, i6, i5, null, jSONField6, z4), z);
                propertyNamingStrategy4 = propertyNamingStrategy;
            }
        }
        if (!z) {
            Method[] methods2 = cls.getMethods();
            int length7 = methods2.length;
            int i25 = 0;
            while (i25 < length7) {
                Method method5 = methods2[i25];
                String name3 = method5.getName();
                if (name3.length() >= 4 && !Modifier.isStatic(method5.getModifiers()) && name3.startsWith("get") && Character.isUpperCase(name3.charAt(3)) && method5.getParameterTypes().length == 0) {
                    Class<?> returnType2 = method5.getReturnType();
                    if (Collection.class.isAssignableFrom(returnType2) || Map.class.isAssignableFrom(returnType2)) {
                        JSONField jSONField7 = z3 ? (JSONField) method5.getAnnotation(JSONField.class) : null;
                        if (jSONField7 != null) {
                            str = jSONField7.b();
                        }
                        str = Character.toLowerCase(name3.charAt(3)) + name3.substring(4);
                        i4 = i25;
                        i3 = length7;
                        a(arrayList4, new FieldInfo(str, method5, null, cls, type, 0, 0, jSONField7, null, z4), z);
                        TypeUtils.a(cls2, method5, i2);
                        i25 = i4 + 1;
                        length7 = i3;
                    }
                }
                i4 = i25;
                i3 = length7;
                i25 = i4 + 1;
                length7 = i3;
            }
        }
        FieldInfo[] fieldInfoArr5 = new FieldInfo[arrayList4.size()];
        arrayList4.toArray(fieldInfoArr5);
        FieldInfo[] fieldInfoArr6 = new FieldInfo[fieldInfoArr5.length];
        System.arraycopy(fieldInfoArr5, 0, fieldInfoArr6, 0, fieldInfoArr5.length);
        Arrays.sort(fieldInfoArr6);
        return new JavaBeanInfo(cls, constructor, null, null, fieldInfoArr5, fieldInfoArr6, z2 ? (JSONType) cls2.getAnnotation(JSONType.class) : null);
    }
}
