package com.alibaba.fastjson.serializer;

import java.io.IOException;
import java.lang.reflect.Type;

/* access modifiers changed from: package-private */
public final class ArraySerializer implements ObjectSerializer {

    /* renamed from: a  reason: collision with root package name */
    private final Class<?> f1112a;
    private final ObjectSerializer b;

    ArraySerializer(Class<?> cls, ObjectSerializer objectSerializer) {
        this.f1112a = cls;
        this.b = objectSerializer;
    }

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public final void a(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type) throws IOException {
        SerializeWriter serializeWriter = jSONSerializer.b;
        if (obj != null) {
            int i = 0;
            if (obj instanceof boolean[]) {
                boolean[] zArr = (boolean[]) obj;
                serializeWriter.write(91);
                while (i < zArr.length) {
                    if (i != 0) {
                        serializeWriter.write(44);
                    }
                    serializeWriter.a(zArr[i]);
                    i++;
                }
                serializeWriter.write(93);
            } else if (obj instanceof byte[]) {
                serializeWriter.a((byte[]) obj);
            } else if (obj instanceof char[]) {
                serializeWriter.a(new String((char[]) obj));
            } else if (obj instanceof double[]) {
                double[] dArr = (double[]) obj;
                int length = dArr.length - 1;
                if (length == -1) {
                    serializeWriter.append((CharSequence) "[]");
                    return;
                }
                serializeWriter.write(91);
                while (i < length) {
                    double d = dArr[i];
                    if (Double.isNaN(d)) {
                        serializeWriter.a();
                    } else {
                        serializeWriter.append((CharSequence) Double.toString(d));
                    }
                    serializeWriter.write(44);
                    i++;
                }
                double d2 = dArr[length];
                if (Double.isNaN(d2)) {
                    serializeWriter.a();
                } else {
                    serializeWriter.append((CharSequence) Double.toString(d2));
                }
                serializeWriter.write(93);
            } else if (obj instanceof float[]) {
                float[] fArr = (float[]) obj;
                int length2 = fArr.length - 1;
                if (length2 == -1) {
                    serializeWriter.append((CharSequence) "[]");
                    return;
                }
                serializeWriter.write(91);
                while (i < length2) {
                    float f = fArr[i];
                    if (Float.isNaN(f)) {
                        serializeWriter.a();
                    } else {
                        serializeWriter.append((CharSequence) Float.toString(f));
                    }
                    serializeWriter.write(44);
                    i++;
                }
                float f2 = fArr[length2];
                if (Float.isNaN(f2)) {
                    serializeWriter.a();
                } else {
                    serializeWriter.append((CharSequence) Float.toString(f2));
                }
                serializeWriter.write(93);
            } else if (obj instanceof int[]) {
                int[] iArr = (int[]) obj;
                serializeWriter.write(91);
                while (i < iArr.length) {
                    if (i != 0) {
                        serializeWriter.write(44);
                    }
                    serializeWriter.b(iArr[i]);
                    i++;
                }
                serializeWriter.write(93);
            } else if (obj instanceof long[]) {
                long[] jArr = (long[]) obj;
                serializeWriter.write(91);
                while (i < jArr.length) {
                    if (i != 0) {
                        serializeWriter.write(44);
                    }
                    serializeWriter.a(jArr[i]);
                    i++;
                }
                serializeWriter.write(93);
            } else if (obj instanceof short[]) {
                short[] sArr = (short[]) obj;
                serializeWriter.write(91);
                while (i < sArr.length) {
                    if (i != 0) {
                        serializeWriter.write(44);
                    }
                    serializeWriter.b(sArr[i]);
                    i++;
                }
                serializeWriter.write(93);
            } else {
                Object[] objArr = (Object[]) obj;
                int length3 = objArr.length;
                SerialContext serialContext = jSONSerializer.j;
                jSONSerializer.a(serialContext, obj, obj2, 0);
                try {
                    serializeWriter.write(91);
                    while (i < length3) {
                        if (i != 0) {
                            serializeWriter.write(44);
                        }
                        Object obj3 = objArr[i];
                        if (obj3 == null) {
                            serializeWriter.append((CharSequence) "null");
                        } else if (obj3.getClass() == this.f1112a) {
                            this.b.a(jSONSerializer, obj3, Integer.valueOf(i), null);
                        } else {
                            jSONSerializer.f1121a.a(obj3.getClass()).a(jSONSerializer, obj3, Integer.valueOf(i), null);
                        }
                        i++;
                    }
                    serializeWriter.write(93);
                } finally {
                    jSONSerializer.j = serialContext;
                }
            }
        } else if ((serializeWriter.c & SerializerFeature.WriteNullListAsEmpty.x) != 0) {
            serializeWriter.write("[]");
        } else {
            serializeWriter.a();
        }
    }
}
