package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.parser.deserializer.ObjectDeserializer;
import com.tencent.smtt.sdk.TbsListener;
import java.io.IOException;
import java.lang.reflect.Type;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public final class DateCodec implements ObjectDeserializer, ObjectSerializer {

    /* renamed from: a  reason: collision with root package name */
    public static final DateCodec f1117a = new DateCodec();

    private DateCodec() {
    }

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void a(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type) throws IOException {
        Date date;
        char[] cArr;
        SerializeWriter serializeWriter = jSONSerializer.b;
        if (obj == null) {
            serializeWriter.a();
        } else if ((serializeWriter.c & SerializerFeature.WriteClassName.x) == 0 || obj.getClass() == type) {
            if (obj instanceof Calendar) {
                date = ((Calendar) obj).getTime();
            } else {
                date = (Date) obj;
            }
            if ((serializeWriter.c & SerializerFeature.WriteDateUseDateFormat.x) != 0) {
                DateFormat a2 = jSONSerializer.a();
                if (a2 == null) {
                    a2 = new SimpleDateFormat(JSON.d, jSONSerializer.l);
                    a2.setTimeZone(jSONSerializer.k);
                }
                serializeWriter.a(a2.format(date));
                return;
            }
            long time = date.getTime();
            if ((serializeWriter.c & SerializerFeature.UseISO8601DateFormat.x) != 0) {
                if ((serializeWriter.c & SerializerFeature.UseSingleQuotes.x) != 0) {
                    serializeWriter.write(39);
                } else {
                    serializeWriter.write(34);
                }
                Calendar instance = Calendar.getInstance(jSONSerializer.k, jSONSerializer.l);
                instance.setTimeInMillis(time);
                int i = instance.get(1);
                int i2 = instance.get(2) + 1;
                int i3 = instance.get(5);
                int i4 = instance.get(11);
                int i5 = instance.get(12);
                int i6 = instance.get(13);
                int i7 = instance.get(14);
                if (i7 != 0) {
                    cArr = "0000-00-00T00:00:00.000".toCharArray();
                    SerializeWriter.a((long) i7, 23, cArr);
                    SerializeWriter.a((long) i6, 19, cArr);
                    SerializeWriter.a((long) i5, 16, cArr);
                    SerializeWriter.a((long) i4, 13, cArr);
                    SerializeWriter.a((long) i3, 10, cArr);
                    SerializeWriter.a((long) i2, 7, cArr);
                    SerializeWriter.a((long) i, 4, cArr);
                } else if (i6 == 0 && i5 == 0 && i4 == 0) {
                    cArr = "0000-00-00".toCharArray();
                    SerializeWriter.a((long) i3, 10, cArr);
                    SerializeWriter.a((long) i2, 7, cArr);
                    SerializeWriter.a((long) i, 4, cArr);
                } else {
                    cArr = "0000-00-00T00:00:00".toCharArray();
                    SerializeWriter.a((long) i6, 19, cArr);
                    SerializeWriter.a((long) i5, 16, cArr);
                    SerializeWriter.a((long) i4, 13, cArr);
                    SerializeWriter.a((long) i3, 10, cArr);
                    SerializeWriter.a((long) i2, 7, cArr);
                    SerializeWriter.a((long) i, 4, cArr);
                }
                serializeWriter.write(cArr);
                if ((serializeWriter.c & SerializerFeature.UseSingleQuotes.x) != 0) {
                    serializeWriter.write(39);
                } else {
                    serializeWriter.write(34);
                }
            } else {
                serializeWriter.a(time);
            }
        } else if (obj.getClass() == Date.class) {
            serializeWriter.write("new Date(");
            serializeWriter.a(((Date) obj).getTime());
            serializeWriter.write(41);
        } else {
            serializeWriter.write(TbsListener.ErrorCode.DOWNLOAD_RETRYTIMES302_EXCEED);
            serializeWriter.a("@type", false);
            jSONSerializer.b(obj.getClass().getName());
            serializeWriter.write(44);
            serializeWriter.a("val", false);
            serializeWriter.a(((Date) obj).getTime());
            serializeWriter.write(TbsListener.ErrorCode.DOWNLOAD_THROWABLE);
        }
    }
}
