package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import java.io.IOException;
import java.lang.reflect.Type;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.IdentityHashMap;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;

public class JSONSerializer {

    /* renamed from: a  reason: collision with root package name */
    public final SerializeConfig f1121a;
    public final SerializeWriter b;
    protected List<BeforeFilter> c;
    protected List<AfterFilter> d;
    protected List<PropertyFilter> e;
    protected List<ValueFilter> f;
    protected List<NameFilter> g;
    protected List<PropertyPreFilter> h;
    protected IdentityHashMap<Object, SerialContext> i;
    protected SerialContext j;
    public TimeZone k;
    public Locale l;
    private int m;
    private String n;
    private DateFormat o;

    public JSONSerializer() {
        this(new SerializeWriter(null, JSON.e, SerializerFeature.y), SerializeConfig.f1126a);
    }

    public JSONSerializer(SerializeWriter serializeWriter, SerializeConfig serializeConfig) {
        this.c = null;
        this.d = null;
        this.e = null;
        this.f = null;
        this.g = null;
        this.h = null;
        this.m = 0;
        this.i = null;
        this.k = JSON.f1091a;
        this.l = JSON.b;
        this.b = serializeWriter;
        this.f1121a = serializeConfig;
        this.k = JSON.f1091a;
    }

    public DateFormat a() {
        if (this.o == null && this.n != null) {
            this.o = new SimpleDateFormat(this.n, this.l);
            this.o.setTimeZone(this.k);
        }
        return this.o;
    }

    public void a(String str) {
        this.n = str;
        if (this.o != null) {
            this.o = null;
        }
    }

    public void a(SerialContext serialContext, Object obj, Object obj2, int i2) {
        if ((this.b.c & SerializerFeature.DisableCircularReferenceDetect.x) == 0) {
            this.j = new SerialContext(serialContext, obj, obj2, i2);
            if (this.i == null) {
                this.i = new IdentityHashMap<>();
            }
            this.i.put(obj, this.j);
        }
    }

    public void a(Object obj) {
        SerialContext serialContext = this.j;
        if (obj == serialContext.b) {
            this.b.write("{\"$ref\":\"@\"}");
            return;
        }
        SerialContext serialContext2 = serialContext.f1125a;
        if (serialContext2 == null || obj != serialContext2.b) {
            while (serialContext.f1125a != null) {
                serialContext = serialContext.f1125a;
            }
            if (obj == serialContext.b) {
                this.b.write("{\"$ref\":\"$\"}");
                return;
            }
            String serialContext3 = this.i.get(obj).toString();
            this.b.write("{\"$ref\":\"");
            this.b.write(serialContext3);
            this.b.write("\"}");
            return;
        }
        this.b.write("{\"$ref\":\"..\"}");
    }

    public List<ValueFilter> b() {
        if (this.f == null) {
            this.f = new ArrayList();
        }
        return this.f;
    }

    public void c() {
        this.m++;
    }

    public void d() {
        this.m--;
    }

    public void e() {
        this.b.write(10);
        for (int i2 = 0; i2 < this.m; i2++) {
            this.b.write(9);
        }
    }

    public List<BeforeFilter> f() {
        if (this.c == null) {
            this.c = new ArrayList();
        }
        return this.c;
    }

    public List<AfterFilter> g() {
        if (this.d == null) {
            this.d = new ArrayList();
        }
        return this.d;
    }

    public List<NameFilter> h() {
        if (this.g == null) {
            this.g = new ArrayList();
        }
        return this.g;
    }

    public List<PropertyPreFilter> i() {
        if (this.h == null) {
            this.h = new ArrayList();
        }
        return this.h;
    }

    public List<PropertyFilter> j() {
        if (this.e == null) {
            this.e = new ArrayList();
        }
        return this.e;
    }

    public String toString() {
        return this.b.toString();
    }

    public void a(SerializerFeature serializerFeature, boolean z) {
        this.b.a(serializerFeature, z);
    }

    public final void b(Object obj) {
        if (obj == null) {
            this.b.a();
            return;
        }
        try {
            this.f1121a.a(obj.getClass()).a(this, obj, null, null);
        } catch (IOException e2) {
            throw new JSONException(e2.getMessage(), e2);
        }
    }

    public final void a(Object obj, Object obj2) {
        a(obj, obj2, (Type) null, 0);
    }

    public final void a(Object obj, Object obj2, Type type, int i2) {
        if (obj == null) {
            try {
                this.b.a();
            } catch (IOException e2) {
                throw new JSONException(e2.getMessage(), e2);
            }
        } else {
            this.f1121a.a(obj.getClass()).a(this, obj, obj2, type);
        }
    }

    public final void a(Object obj, String str) {
        if (obj instanceof Date) {
            DateFormat a2 = a();
            if (a2 == null) {
                a2 = new SimpleDateFormat(str, this.l);
                a2.setTimeZone(this.k);
            }
            this.b.a(a2.format((Date) obj));
            return;
        }
        b(obj);
    }

    public final void b(String str) {
        if (str == null) {
            if ((this.b.c & SerializerFeature.WriteNullStringAsEmpty.x) != 0) {
                this.b.a("");
            } else {
                this.b.a();
            }
        } else if ((this.b.c & SerializerFeature.UseSingleQuotes.x) != 0) {
            this.b.b(str);
        } else {
            this.b.a(str, (char) 0, true);
        }
    }

    public static Object a(JSONSerializer jSONSerializer, Object obj, Object obj2, Object obj3) {
        List<ValueFilter> list = jSONSerializer.f;
        if (list != null) {
            if (obj2 != null && !(obj2 instanceof String)) {
                obj2 = JSON.a(obj2);
            }
            for (ValueFilter valueFilter : list) {
                obj3 = valueFilter.a(obj, (String) obj2, obj3);
            }
        }
        return obj3;
    }

    public Object a(Object obj, Object obj2, Object obj3) {
        List<NameFilter> list = this.g;
        if (list != null) {
            if (obj2 != null && !(obj2 instanceof String)) {
                obj2 = JSON.a(obj2);
            }
            for (NameFilter nameFilter : list) {
                obj2 = nameFilter.a(obj, (String) obj2, obj3);
            }
        }
        return obj2;
    }

    public boolean b(Object obj, Object obj2) {
        List<PropertyPreFilter> list = this.h;
        if (list == null) {
            return true;
        }
        for (PropertyPreFilter propertyPreFilter : list) {
            if (obj2 != null && !(obj2 instanceof String)) {
                obj2 = JSON.a(obj2);
            }
            if (!propertyPreFilter.a(this, obj, (String) obj2)) {
                return false;
            }
        }
        return true;
    }

    public boolean b(Object obj, Object obj2, Object obj3) {
        List<PropertyFilter> list = this.e;
        if (list == null) {
            return true;
        }
        if (obj2 != null && !(obj2 instanceof String)) {
            obj2 = JSON.a(obj2);
        }
        for (PropertyFilter propertyFilter : list) {
            if (!propertyFilter.a(obj, (String) obj2, obj3)) {
                return false;
            }
        }
        return true;
    }
}
