package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONAware;
import com.alibaba.fastjson.JSONStreamAware;
import com.alibaba.fastjson.parser.deserializer.ObjectDeserializer;
import com.alibaba.fastjson.util.TypeUtils;
import com.tencent.smtt.sdk.TbsListener;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.text.SimpleDateFormat;
import java.util.Currency;
import java.util.Enumeration;
import java.util.TimeZone;
import java.util.regex.Pattern;

public final class MiscCodec implements ObjectDeserializer, ObjectSerializer {

    /* renamed from: a  reason: collision with root package name */
    public static final MiscCodec f1123a = new MiscCodec();

    private MiscCodec() {
    }

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void a(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type) throws IOException {
        SerializeWriter serializeWriter = jSONSerializer.b;
        if (obj == null) {
            if (type == Character.TYPE || type == Character.class) {
                jSONSerializer.b("");
            } else if ((serializeWriter.c & SerializerFeature.WriteNullListAsEmpty.x) == 0 || !Enumeration.class.isAssignableFrom(TypeUtils.c(type))) {
                serializeWriter.a();
            } else {
                serializeWriter.write("[]");
            }
        } else if (obj instanceof Pattern) {
            jSONSerializer.b(((Pattern) obj).pattern());
        } else if (obj instanceof TimeZone) {
            jSONSerializer.b(((TimeZone) obj).getID());
        } else if (obj instanceof Currency) {
            jSONSerializer.b(((Currency) obj).getCurrencyCode());
        } else if (obj instanceof Class) {
            jSONSerializer.b(((Class) obj).getName());
        } else if (obj instanceof Character) {
            Character ch = (Character) obj;
            if (ch.charValue() == 0) {
                jSONSerializer.b("\u0000");
            } else {
                jSONSerializer.b(ch.toString());
            }
        } else {
            int i = 0;
            if (obj instanceof SimpleDateFormat) {
                String pattern = ((SimpleDateFormat) obj).toPattern();
                if ((serializeWriter.c & SerializerFeature.WriteClassName.x) == 0 || obj.getClass() == type) {
                    serializeWriter.a(pattern);
                    return;
                }
                serializeWriter.write(TbsListener.ErrorCode.DOWNLOAD_RETRYTIMES302_EXCEED);
                serializeWriter.a("@type", false);
                jSONSerializer.b(obj.getClass().getName());
                serializeWriter.write(44);
                serializeWriter.a("val", false);
                serializeWriter.a(pattern);
                serializeWriter.write(TbsListener.ErrorCode.DOWNLOAD_THROWABLE);
            } else if (obj instanceof JSONStreamAware) {
                ((JSONStreamAware) obj).a(jSONSerializer.b);
            } else if (obj instanceof JSONAware) {
                serializeWriter.write(((JSONAware) obj).a());
            } else if (obj instanceof JSONSerializable) {
                ((JSONSerializable) obj).a(jSONSerializer, obj2, type);
            } else if (obj instanceof Enumeration) {
                Type type2 = null;
                if ((serializeWriter.c & SerializerFeature.WriteClassName.x) != 0 && (type instanceof ParameterizedType)) {
                    type2 = ((ParameterizedType) type).getActualTypeArguments()[0];
                }
                Enumeration enumeration = (Enumeration) obj;
                SerialContext serialContext = jSONSerializer.j;
                jSONSerializer.a(serialContext, obj, obj2, 0);
                try {
                    serializeWriter.write(91);
                    while (enumeration.hasMoreElements()) {
                        Object nextElement = enumeration.nextElement();
                        int i2 = i + 1;
                        if (i != 0) {
                            serializeWriter.write(44);
                        }
                        if (nextElement == null) {
                            serializeWriter.a();
                        } else {
                            jSONSerializer.f1121a.a(nextElement.getClass()).a(jSONSerializer, nextElement, Integer.valueOf(i2 - 1), type2);
                        }
                        i = i2;
                    }
                    serializeWriter.write(93);
                } finally {
                    jSONSerializer.j = serialContext;
                }
            } else {
                jSONSerializer.b(obj.toString());
            }
        }
    }
}
