package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSONAware;
import com.alibaba.fastjson.JSONStreamAware;
import com.alibaba.fastjson.PropertyNamingStrategy;
import com.alibaba.fastjson.util.IdentityHashMap;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.URI;
import java.net.URL;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Collection;
import java.util.Currency;
import java.util.Date;
import java.util.Enumeration;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.UUID;
import java.util.regex.Pattern;

public class SerializeConfig {

    /* renamed from: a  reason: collision with root package name */
    public static final SerializeConfig f1126a = new SerializeConfig();
    protected String b = "@type";
    public PropertyNamingStrategy c;
    private final IdentityHashMap<ObjectSerializer> d = new IdentityHashMap<>(1024);

    public SerializeConfig() {
        this.d.a(Boolean.class, BooleanCodec.f1115a);
        this.d.a(Character.class, MiscCodec.f1123a);
        this.d.a(Byte.class, IntegerCodec.f1120a);
        this.d.a(Short.class, IntegerCodec.f1120a);
        this.d.a(Integer.class, IntegerCodec.f1120a);
        this.d.a(Long.class, IntegerCodec.f1120a);
        this.d.a(Float.class, NumberCodec.f1124a);
        this.d.a(Double.class, NumberCodec.f1124a);
        this.d.a(Number.class, NumberCodec.f1124a);
        this.d.a(BigDecimal.class, BigDecimalCodec.f1114a);
        this.d.a(BigInteger.class, BigDecimalCodec.f1114a);
        this.d.a(String.class, StringCodec.f1130a);
        this.d.a(Object[].class, ArrayCodec.f1111a);
        this.d.a(Class.class, MiscCodec.f1123a);
        this.d.a(SimpleDateFormat.class, MiscCodec.f1123a);
        this.d.a(Locale.class, MiscCodec.f1123a);
        this.d.a(Currency.class, MiscCodec.f1123a);
        this.d.a(TimeZone.class, MiscCodec.f1123a);
        this.d.a(UUID.class, MiscCodec.f1123a);
        this.d.a(URI.class, MiscCodec.f1123a);
        this.d.a(URL.class, MiscCodec.f1123a);
        this.d.a(Pattern.class, MiscCodec.f1123a);
        this.d.a(Charset.class, MiscCodec.f1123a);
    }

    public ObjectSerializer a(Class<?> cls) {
        Class<? super Object> superclass;
        boolean z;
        ObjectSerializer a2 = this.d.a(cls);
        if (a2 != null) {
            return a2;
        }
        if (Map.class.isAssignableFrom(cls)) {
            this.d.a(cls, new MapSerializer());
        } else if (List.class.isAssignableFrom(cls)) {
            this.d.a(cls, new ListSerializer());
        } else if (Collection.class.isAssignableFrom(cls)) {
            this.d.a(cls, CollectionCodec.f1116a);
        } else if (Date.class.isAssignableFrom(cls)) {
            this.d.a(cls, DateCodec.f1117a);
        } else if (JSONAware.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (JSONSerializable.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (JSONStreamAware.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (cls.isEnum() || !((superclass = cls.getSuperclass()) == null || superclass == Object.class || !superclass.isEnum())) {
            this.d.a(cls, new EnumSerializer());
        } else if (cls.isArray()) {
            Class<?> componentType = cls.getComponentType();
            this.d.a(cls, new ArraySerializer(componentType, a(componentType)));
        } else if (Throwable.class.isAssignableFrom(cls)) {
            JavaBeanSerializer javaBeanSerializer = new JavaBeanSerializer(cls, this.c);
            javaBeanSerializer.f1122a |= SerializerFeature.WriteClassName.x;
            this.d.a(cls, javaBeanSerializer);
        } else if (TimeZone.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (Charset.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (Enumeration.class.isAssignableFrom(cls)) {
            this.d.a(cls, MiscCodec.f1123a);
        } else if (Calendar.class.isAssignableFrom(cls)) {
            this.d.a(cls, DateCodec.f1117a);
        } else {
            Class<?>[] interfaces = cls.getInterfaces();
            int length = interfaces.length;
            boolean z2 = false;
            int i = 0;
            while (true) {
                z = true;
                if (i >= length) {
                    break;
                }
                Class<?> cls2 = interfaces[i];
                if (cls2.getName().equals("net.sf.cglib.proxy.Factory") || cls2.getName().equals("org.springframework.cglib.proxy.Factory")) {
                    z2 = true;
                } else if (cls2.getName().equals("javassist.util.proxy.ProxyObject")) {
                    break;
                } else {
                    i++;
                }
            }
            z2 = true;
            z = false;
            if (z2 || z) {
                ObjectSerializer a3 = a(cls.getSuperclass());
                this.d.a(cls, a3);
                return a3;
            }
            this.d.a(cls, new JavaBeanSerializer(cls, this.c));
        }
        return this.d.a(cls);
    }
}
