package com.alibaba.fastjson.util;

import com.alibaba.fastjson.annotation.JSONField;
import com.tencent.smtt.sdk.TbsListener;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.lang.reflect.GenericArrayType;
import java.lang.reflect.GenericDeclaration;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;

public class FieldInfo implements Comparable<FieldInfo> {

    /* renamed from: a  reason: collision with root package name */
    public final String f1131a;
    public final Method b;
    public final Field c;
    public final boolean d;
    public final boolean e;
    public final Class<?> f;
    public final Type g;
    public final Class<?> h;
    public final boolean i;
    public final char[] j;
    public final boolean k;
    public final String l;
    private int m = 0;
    private final JSONField n;
    private final JSONField o;

    public FieldInfo(String str, Class<?> cls, Class<?> cls2, Type type, Field field, int i2, int i3) {
        this.f1131a = str;
        this.h = cls;
        this.f = cls2;
        this.g = type;
        this.b = null;
        this.c = field;
        this.m = i2;
        this.k = cls2.isEnum();
        this.n = null;
        this.o = null;
        if (field != null) {
            int modifiers = field.getModifiers();
            this.d = (modifiers & 1) != 0 || this.b == null;
            this.e = Modifier.isTransient(modifiers);
        } else {
            this.d = false;
            this.e = false;
        }
        this.i = false;
        int length = this.f1131a.length();
        this.j = new char[(length + 3)];
        this.f1131a.getChars(0, this.f1131a.length(), this.j, 1);
        this.j[0] = '\"';
        this.j[length + 1] = '\"';
        this.j[length + 2] = ':';
        this.l = null;
    }

    public FieldInfo(String str, Method method, Field field, Class<?> cls, Type type, int i2, int i3, JSONField jSONField, JSONField jSONField2, boolean z) {
        Type type2;
        Class<?> cls2;
        Type type3;
        Type a2;
        Class<?> cls3;
        this.f1131a = str;
        this.b = method;
        this.c = field;
        this.m = i2;
        this.o = jSONField;
        this.n = jSONField2;
        JSONField a3 = a();
        String str2 = null;
        if (a3 != null) {
            String c2 = a3.c();
            if (c2.trim().length() != 0) {
                str2 = c2;
            }
        }
        this.l = str2;
        boolean z2 = true;
        if (field != null) {
            int modifiers = field.getModifiers();
            this.d = method == null || ((modifiers & 1) != 0 && method.getReturnType() == field.getType());
            this.e = (modifiers & TbsListener.ErrorCode.DOWNLOAD_INTERRUPT) != 0;
        } else {
            this.d = false;
            this.e = false;
        }
        int length = this.f1131a.length();
        this.j = new char[(length + 3)];
        this.f1131a.getChars(0, this.f1131a.length(), this.j, 1);
        this.j[0] = '\"';
        this.j[length + 1] = '\"';
        this.j[length + 2] = ':';
        if (method != null) {
            Class<?>[] parameterTypes = method.getParameterTypes();
            if (parameterTypes.length == 1) {
                cls3 = parameterTypes[0];
                type2 = (cls3 == Class.class || cls3 == String.class || cls3.isPrimitive() || !z) ? cls3 : method.getGenericParameterTypes()[0];
                this.i = false;
            } else {
                cls3 = method.getReturnType();
                if (cls3 != Class.class && z) {
                    type2 = method.getGenericReturnType();
                } else {
                    type2 = cls3;
                }
                this.i = true;
            }
            this.h = method.getDeclaringClass();
            cls2 = cls3;
        } else {
            cls2 = field.getType();
            type2 = (cls2.isPrimitive() || cls2 == String.class || cls2.isEnum() || !z) ? cls2 : field.getGenericType();
            this.h = field.getDeclaringClass();
            this.i = Modifier.isFinal(field.getModifiers());
        }
        if (cls == null || cls2 != Object.class || !(type2 instanceof TypeVariable) || (a2 = a(cls, (TypeVariable<?>) ((TypeVariable) type2))) == null) {
            if (!(type2 instanceof Class)) {
                type3 = a(cls, type == null ? cls : type, type2);
                if (type3 != type2) {
                    if (type3 instanceof ParameterizedType) {
                        cls2 = TypeUtils.c(type3);
                    } else if (type3 instanceof Class) {
                        cls2 = TypeUtils.c(type3);
                    }
                }
            } else {
                type3 = type2;
            }
            this.g = type3;
            this.f = cls2;
            this.k = (cls2.isArray() || !cls2.isEnum()) ? false : z2;
            return;
        }
        this.f = TypeUtils.c(a2);
        this.g = a2;
        this.k = cls2.isEnum();
    }

    public static Type a(Class<?> cls, Type type, Type type2) {
        ParameterizedType parameterizedType;
        TypeVariable<Class<? super Object>>[] typeVariableArr;
        if (cls == null || type == null) {
            return type2;
        }
        if (type2 instanceof GenericArrayType) {
            Type genericComponentType = ((GenericArrayType) type2).getGenericComponentType();
            Type a2 = a(cls, type, genericComponentType);
            return genericComponentType != a2 ? Array.newInstance(TypeUtils.c(a2), 0).getClass() : type2;
        } else if (!TypeUtils.a(type)) {
            return type2;
        } else {
            if (type2 instanceof TypeVariable) {
                ParameterizedType parameterizedType2 = (ParameterizedType) TypeUtils.b(type);
                Class<?> c2 = TypeUtils.c((Type) parameterizedType2);
                TypeVariable typeVariable = (TypeVariable) type2;
                for (int i2 = 0; i2 < c2.getTypeParameters().length; i2++) {
                    if (c2.getTypeParameters()[i2].getName().equals(typeVariable.getName())) {
                        return parameterizedType2.getActualTypeArguments()[i2];
                    }
                }
            }
            if (type2 instanceof ParameterizedType) {
                ParameterizedType parameterizedType3 = (ParameterizedType) type2;
                Type[] actualTypeArguments = parameterizedType3.getActualTypeArguments();
                if (type instanceof ParameterizedType) {
                    parameterizedType = (ParameterizedType) type;
                    typeVariableArr = cls.getTypeParameters();
                } else if (cls.getGenericSuperclass() instanceof ParameterizedType) {
                    parameterizedType = (ParameterizedType) cls.getGenericSuperclass();
                    typeVariableArr = cls.getSuperclass().getTypeParameters();
                } else {
                    typeVariableArr = null;
                    parameterizedType = null;
                }
                Type[] typeArr = null;
                boolean z = false;
                for (int i3 = 0; i3 < actualTypeArguments.length && parameterizedType != null; i3++) {
                    Type type3 = actualTypeArguments[i3];
                    if (type3 instanceof TypeVariable) {
                        TypeVariable typeVariable2 = (TypeVariable) type3;
                        Type[] typeArr2 = typeArr;
                        boolean z2 = z;
                        for (int i4 = 0; i4 < typeVariableArr.length; i4++) {
                            if (typeVariableArr[i4].getName().equals(typeVariable2.getName())) {
                                if (typeArr2 == null) {
                                    typeArr2 = parameterizedType.getActualTypeArguments();
                                }
                                actualTypeArguments[i3] = typeArr2[i4];
                                z2 = true;
                            }
                        }
                        z = z2;
                        typeArr = typeArr2;
                    }
                }
                if (z) {
                    return new ParameterizedTypeImpl(actualTypeArguments, parameterizedType3.getOwnerType(), parameterizedType3.getRawType());
                }
            }
            return type2;
        }
    }

    public static Type a(Class<?> cls, TypeVariable<?> typeVariable) {
        GenericDeclaration genericDeclaration = typeVariable.getGenericDeclaration();
        while (true) {
            Type genericSuperclass = cls.getGenericSuperclass();
            if (genericSuperclass == null) {
                return null;
            }
            if (genericSuperclass instanceof ParameterizedType) {
                ParameterizedType parameterizedType = (ParameterizedType) genericSuperclass;
                if (parameterizedType.getRawType() == genericDeclaration) {
                    TypeVariable<?>[] typeParameters = genericDeclaration.getTypeParameters();
                    Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
                    for (int i2 = 0; i2 < typeParameters.length; i2++) {
                        if (typeParameters[i2] == typeVariable) {
                            return actualTypeArguments[i2];
                        }
                    }
                    return null;
                }
            }
            Class<?> c2 = TypeUtils.c(genericSuperclass);
            if (genericSuperclass == null) {
                return null;
            }
            cls = c2;
        }
    }

    public String toString() {
        return this.f1131a;
    }

    /* renamed from: a */
    public int compareTo(FieldInfo fieldInfo) {
        if (this.m < fieldInfo.m) {
            return -1;
        }
        if (this.m > fieldInfo.m) {
            return 1;
        }
        return this.f1131a.compareTo(fieldInfo.f1131a);
    }

    public boolean b(FieldInfo fieldInfo) {
        return fieldInfo == this || compareTo(fieldInfo) == 0;
    }

    public JSONField a() {
        if (this.n != null) {
            return this.n;
        }
        return this.o;
    }

    public Object a(Object obj) throws IllegalAccessException, InvocationTargetException {
        if (this.d) {
            return this.c.get(obj);
        }
        return this.b.invoke(obj, new Object[0]);
    }

    public void a(Object obj, Object obj2) throws IllegalAccessException, InvocationTargetException {
        if (this.b != null) {
            this.b.invoke(obj, obj2);
            return;
        }
        this.c.set(obj, obj2);
    }
}
