package com.alibaba.sdk.android.oss.common;

import android.content.Context;
import android.os.Build;
import android.os.Environment;
import android.os.StatFs;
import com.alibaba.sdk.android.oss.ClientConfiguration;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Writer;
import java.text.SimpleDateFormat;
import java.util.Date;

public class OSSLogToFileUtils {

    /* renamed from: a  reason: collision with root package name */
    private static LogThreadPoolManager f1148a = LogThreadPoolManager.a();
    private static Context b;
    private static OSSLogToFileUtils c;
    private static File d;
    private static SimpleDateFormat e = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    private static long f = 5242880;
    private boolean g = true;

    private OSSLogToFileUtils() {
    }

    public static void a(Context context, ClientConfiguration clientConfiguration) {
        OSSLog.b("init ...", false);
        if (clientConfiguration != null) {
            f = clientConfiguration.e();
        }
        if (b == null || c == null || d == null || !d.exists()) {
            b = context.getApplicationContext();
            c = a();
            f1148a.a(new Runnable() {
                /* class com.alibaba.sdk.android.oss.common.OSSLogToFileUtils.AnonymousClass1 */

                public void run() {
                    File unused = OSSLogToFileUtils.d = OSSLogToFileUtils.c.i();
                    if (OSSLogToFileUtils.d != null) {
                        OSSLog.a("LogFilePath is: " + OSSLogToFileUtils.d.getPath(), false);
                        if (OSSLogToFileUtils.f < OSSLogToFileUtils.a(OSSLogToFileUtils.d)) {
                            OSSLog.a("init reset log file", false);
                            OSSLogToFileUtils.c.b();
                        }
                    }
                }
            });
            return;
        }
        OSSLog.b("LogToFileUtils has been init ...", false);
    }

    public static OSSLogToFileUtils a() {
        if (c == null) {
            synchronized (OSSLogToFileUtils.class) {
                if (c == null) {
                    c = new OSSLogToFileUtils();
                }
            }
        }
        return c;
    }

    public static long a(File file) {
        if (file == null || !file.exists()) {
            return 0;
        }
        return file.length();
    }

    private long g() {
        long j;
        long j2 = 0;
        if ("mounted".equals(Environment.getExternalStorageState())) {
            try {
                StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
                long blockSize = (long) statFs.getBlockSize();
                if (Build.VERSION.SDK_INT >= 18) {
                    j = statFs.getAvailableBlocksLong();
                } else {
                    j = (long) statFs.getAvailableBlocks();
                }
                j2 = j * blockSize;
            } catch (Exception unused) {
            }
        }
        OSSLog.b("sd卡存储空间:" + String.valueOf(j2) + "kb", false);
        return j2;
    }

    private long h() {
        long j;
        long j2;
        try {
            StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
            long blockSize = (long) statFs.getBlockSize();
            if (Build.VERSION.SDK_INT >= 18) {
                j2 = statFs.getAvailableBlocksLong();
            } else {
                j2 = (long) statFs.getAvailableBlocks();
            }
            j = (j2 * blockSize) / 1024;
        } catch (Exception unused) {
            j = 0;
        }
        OSSLog.b("内部存储空间:" + String.valueOf(j) + "kb", false);
        return j;
    }

    public void b() {
        OSSLog.b("Reset Log File ... ", false);
        if (!d.getParentFile().exists()) {
            OSSLog.b("Reset Log make File dir ... ", false);
            d.getParentFile().mkdir();
        }
        File file = new File(d.getParent() + "/logs.csv");
        if (file.exists()) {
            file.delete();
        }
        b(file);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private File i() {
        File file;
        File file2 = null;
        boolean z = false;
        try {
            boolean z2 = true;
            if (!this.g || !Environment.getExternalStorageState().equals("mounted") || Build.VERSION.SDK_INT >= 29) {
                if (h() <= f / 1024) {
                    z2 = false;
                }
                file = new File(b.getFilesDir().getPath() + File.separator + "OSSLog");
            } else {
                if (g() <= f / 1024) {
                    z2 = false;
                }
                file = new File(Environment.getExternalStorageDirectory().getPath() + File.separator + "OSSLog");
            }
            z = z2;
        } catch (Exception unused) {
            file = null;
        }
        if (z) {
            if (!file.exists()) {
                file.mkdirs();
            }
            file2 = new File(file.getPath() + "/logs.csv");
            if (!file2.exists()) {
                b(file2);
            }
        }
        return file2;
    }

    public void b(File file) {
        try {
            file.createNewFile();
        } catch (Exception e2) {
            OSSLog.c("Create log file failure !!! " + e2.toString(), false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String a(StackTraceElement[] stackTraceElementArr) {
        if (stackTraceElementArr != null) {
            return null;
        }
        return "[" + e.format(new Date()) + "]";
    }

    public synchronized void a(Object obj) {
        if (OSSLog.b()) {
            if (!(b == null || c == null)) {
                if (d != null) {
                    if (!d.exists()) {
                        b();
                    }
                    f1148a.a(new WriteCall(obj));
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static class WriteCall implements Runnable {

        /* renamed from: a  reason: collision with root package name */
        private Object f1149a;

        public WriteCall(Object obj) {
            this.f1149a = obj;
        }

        public void run() {
            if (OSSLogToFileUtils.d != null) {
                OSSLogToFileUtils.a();
                if (OSSLogToFileUtils.a(OSSLogToFileUtils.d) > OSSLogToFileUtils.f) {
                    OSSLogToFileUtils.a().b();
                }
                try {
                    PrintWriter printWriter = new PrintWriter((Writer) new FileWriter(OSSLogToFileUtils.d, true), true);
                    if (this.f1149a instanceof Throwable) {
                        a(printWriter);
                    } else {
                        printWriter.println(OSSLogToFileUtils.a().a((OSSLogToFileUtils) null) + " - " + this.f1149a.toString());
                    }
                    printWriter.println("------>end of log");
                    printWriter.println();
                    printWriter.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }

        private PrintWriter a(PrintWriter printWriter) {
            printWriter.println("crash_time：" + OSSLogToFileUtils.e.format(new Date()));
            ((Throwable) this.f1149a).printStackTrace(printWriter);
            return printWriter;
        }
    }
}
