package com.alibaba.sdk.android.oss.common.utils;

import com.alibaba.sdk.android.oss.common.OSSLog;
import com.facebook.stetho.common.Utf8Charset;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.concurrent.Callable;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import org.json.JSONArray;
import org.json.JSONObject;

public class HttpdnsMini {

    /* renamed from: a  reason: collision with root package name */
    private static HttpdnsMini f1158a;
    private ConcurrentMap<String, HostObject> b = new ConcurrentHashMap();
    private ExecutorService c = Executors.newFixedThreadPool(5);

    private HttpdnsMini() {
    }

    public static HttpdnsMini a() {
        if (f1158a == null) {
            synchronized (HttpdnsMini.class) {
                if (f1158a == null) {
                    f1158a = new HttpdnsMini();
                }
            }
        }
        return f1158a;
    }

    public String a(String str) {
        HostObject hostObject = this.b.get(str);
        if (hostObject == null || hostObject.a()) {
            OSSLog.b("[httpdnsmini] - refresh host: " + str);
            this.c.submit(new QueryHostTask(str));
        }
        if (hostObject == null || !hostObject.b()) {
            return null;
        }
        return hostObject.c();
    }

    /* access modifiers changed from: package-private */
    public class HostObject {
        private String b;
        private String c;
        private long d;
        private long e;

        HostObject() {
        }

        public String toString() {
            return "[hostName=" + d() + ", ip=" + this.c + ", ttl=" + e() + ", queryTime=" + this.e + "]";
        }

        public boolean a() {
            return f() + this.d < System.currentTimeMillis() / 1000;
        }

        public boolean b() {
            return (f() + this.d) + 600 > System.currentTimeMillis() / 1000;
        }

        public String c() {
            return this.c;
        }

        public void a(String str) {
            this.c = str;
        }

        public String d() {
            return this.b;
        }

        public void b(String str) {
            this.b = str;
        }

        public long e() {
            return this.d;
        }

        public void a(long j) {
            this.d = j;
        }

        public long f() {
            return this.e;
        }

        public void b(long j) {
            this.e = j;
        }
    }

    class QueryHostTask implements Callable<String> {
        private String b;
        private boolean c = false;

        public QueryHostTask(String str) {
            this.b = str;
        }

        /* JADX WARNING: Removed duplicated region for block: B:43:0x014b A[Catch:{ all -> 0x0168 }] */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x0153  */
        /* JADX WARNING: Removed duplicated region for block: B:50:0x015f  */
        /* JADX WARNING: Removed duplicated region for block: B:52:0x0167 A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:55:0x016b A[SYNTHETIC, Splitter:B:55:0x016b] */
        /* renamed from: a */
        public String call() {
            Throwable th;
            InputStream inputStream;
            Exception e;
            String str;
            String str2 = "https://" + "203.107.1.1" + "/" + "181345" + "/d?host=" + this.b;
            OSSLog.b("[httpdnsmini] - buildUrl: " + str2);
            try {
                HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(str2).openConnection();
                httpURLConnection.setConnectTimeout(10000);
                httpURLConnection.setReadTimeout(10000);
                if (httpURLConnection.getResponseCode() != 200) {
                    OSSLog.c("[httpdnsmini] - responseCodeNot 200, but: " + httpURLConnection.getResponseCode());
                    inputStream = null;
                } else {
                    inputStream = httpURLConnection.getInputStream();
                    try {
                        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream, Utf8Charset.NAME));
                        StringBuilder sb = new StringBuilder();
                        while (true) {
                            String readLine = bufferedReader.readLine();
                            if (readLine == null) {
                                break;
                            }
                            sb.append(readLine);
                        }
                        JSONObject jSONObject = new JSONObject(sb.toString());
                        String string = jSONObject.getString("host");
                        long j = jSONObject.getLong("ttl");
                        JSONArray jSONArray = jSONObject.getJSONArray("ips");
                        OSSLog.b("[httpdnsmini] - ips:" + jSONArray.toString());
                        if (!(string == null || jSONArray == null || jSONArray.length() <= 0)) {
                            if (j == 0) {
                                j = 30;
                            }
                            HostObject hostObject = new HostObject();
                            if (jSONArray == null) {
                                str = null;
                            } else {
                                str = jSONArray.getString(0);
                            }
                            hostObject.b(string);
                            hostObject.a(j);
                            hostObject.a(str);
                            hostObject.b(System.currentTimeMillis() / 1000);
                            OSSLog.b("[httpdnsmini] - resolve result:" + hostObject.toString());
                            if (HttpdnsMini.this.b.size() < 100) {
                                HttpdnsMini.this.b.put(this.b, hostObject);
                            }
                            if (inputStream != null) {
                                try {
                                    inputStream.close();
                                } catch (IOException e2) {
                                    e2.printStackTrace();
                                }
                            }
                            return str;
                        }
                    } catch (Exception e3) {
                        e = e3;
                        try {
                            if (OSSLog.b()) {
                            }
                            if (inputStream != null) {
                            }
                            if (this.c) {
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            if (inputStream != null) {
                            }
                            throw th;
                        }
                    }
                }
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException e4) {
                        e4.printStackTrace();
                    }
                }
            } catch (Exception e5) {
                e = e5;
                inputStream = null;
                if (OSSLog.b()) {
                    e.printStackTrace();
                    OSSLog.a(e);
                }
                if (inputStream != null) {
                    inputStream.close();
                }
                if (this.c) {
                }
            } catch (Throwable th3) {
                th = th3;
                inputStream = null;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                }
                throw th;
            }
            if (this.c) {
                return null;
            }
            this.c = true;
            return call();
        }
    }
}
