package com.alibaba.sdk.android.oss.common.utils;

import android.content.Context;
import android.net.InetAddresses;
import android.os.Build;
import android.text.TextUtils;
import android.util.Base64;
import android.webkit.MimeTypeMap;
import com.alibaba.sdk.android.oss.common.OSSConstants;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.auth.HmacSHA1Signature;
import com.alibaba.sdk.android.oss.common.auth.OSSCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSCustomSignerCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSFederationCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSFederationToken;
import com.alibaba.sdk.android.oss.common.auth.OSSPlainTextAKSKCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSStsTokenCredentialProvider;
import com.alibaba.sdk.android.oss.exception.InconsistentException;
import com.alibaba.sdk.android.oss.internal.RequestMessage;
import com.alibaba.sdk.android.oss.model.CopyObjectRequest;
import com.alibaba.sdk.android.oss.model.CreateBucketRequest;
import com.alibaba.sdk.android.oss.model.DeleteBucketLifecycleRequest;
import com.alibaba.sdk.android.oss.model.DeleteBucketLoggingRequest;
import com.alibaba.sdk.android.oss.model.DeleteBucketRequest;
import com.alibaba.sdk.android.oss.model.DeleteMultipleObjectRequest;
import com.alibaba.sdk.android.oss.model.GetBucketACLRequest;
import com.alibaba.sdk.android.oss.model.GetBucketInfoRequest;
import com.alibaba.sdk.android.oss.model.GetBucketLifecycleRequest;
import com.alibaba.sdk.android.oss.model.GetBucketLoggingRequest;
import com.alibaba.sdk.android.oss.model.GetBucketRefererRequest;
import com.alibaba.sdk.android.oss.model.ListBucketsRequest;
import com.alibaba.sdk.android.oss.model.ListMultipartUploadsRequest;
import com.alibaba.sdk.android.oss.model.ListObjectsRequest;
import com.alibaba.sdk.android.oss.model.OSSRequest;
import com.alibaba.sdk.android.oss.model.ObjectMetadata;
import com.alibaba.sdk.android.oss.model.PartETag;
import com.alibaba.sdk.android.oss.model.PutBucketLifecycleRequest;
import com.alibaba.sdk.android.oss.model.PutBucketLoggingRequest;
import com.alibaba.sdk.android.oss.model.PutBucketRefererRequest;
import com.facebook.stetho.server.http.HttpHeaders;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import org.json.JSONObject;

public class OSSUtils {

    /* renamed from: a  reason: collision with root package name */
    private static final List<String> f1162a = Arrays.asList("bucketInfo", "acl", "uploads", "location", "cors", "logging", "website", "referer", "lifecycle", "delete", "append", "uploadId", "partNumber", "security-token", "position", "response-cache-control", "response-content-disposition", "response-content-encoding", "response-content-language", "response-content-type", "response-expires", "x-oss-process", "sequential", "symlink", "restore", "tagging", "objectMeta");

    public static boolean a(long j, long j2, boolean z, long j3, boolean z2) {
        return (!z || !z2) ? (!z || z2) ? (z || z2) ? j2 < j && j <= j3 : j2 < j && j < j3 : j2 <= j && j < j3 : j2 <= j && j <= j3;
    }

    public static void a(Map<String, String> map, ObjectMetadata objectMetadata) {
        if (objectMetadata != null) {
            Map<String, Object> n = objectMetadata.n();
            if (n != null) {
                for (Map.Entry<String, Object> entry : n.entrySet()) {
                    map.put(entry.getKey(), entry.getValue().toString());
                }
            }
            Map<String, String> a2 = objectMetadata.a();
            if (a2 != null) {
                for (Map.Entry<String, String> entry2 : a2.entrySet()) {
                    String key = entry2.getKey();
                    String value = entry2.getValue();
                    if (key != null) {
                        key = key.trim();
                    }
                    if (value != null) {
                        value = value.trim();
                    }
                    map.put(key, value);
                }
            }
        }
    }

    public static void a(ListBucketsRequest listBucketsRequest, Map<String, String> map) {
        if (listBucketsRequest.a() != null) {
            map.put("prefix", listBucketsRequest.a());
        }
        if (listBucketsRequest.b() != null) {
            map.put("marker", listBucketsRequest.b());
        }
        if (listBucketsRequest.c() != null) {
            map.put("max-keys", Integer.toString(listBucketsRequest.c().intValue()));
        }
    }

    public static void a(ListObjectsRequest listObjectsRequest, Map<String, String> map) {
        if (listObjectsRequest.b() != null) {
            map.put("prefix", listObjectsRequest.b());
        }
        if (listObjectsRequest.c() != null) {
            map.put("marker", listObjectsRequest.c());
        }
        if (listObjectsRequest.e() != null) {
            map.put("delimiter", listObjectsRequest.e());
        }
        if (listObjectsRequest.d() != null) {
            map.put("max-keys", Integer.toString(listObjectsRequest.d().intValue()));
        }
        if (listObjectsRequest.f() != null) {
            map.put("encoding-type", listObjectsRequest.f());
        }
    }

    public static void a(CopyObjectRequest copyObjectRequest, Map<String, String> map) {
        map.put("x-oss-copy-source", "/" + copyObjectRequest.a() + "/" + HttpUtil.a(copyObjectRequest.b(), "utf-8"));
        a(map, "x-oss-copy-source-if-modified-since", copyObjectRequest.i());
        a(map, "x-oss-copy-source-if-unmodified-since", copyObjectRequest.h());
        a(map, "x-oss-copy-source-if-match", copyObjectRequest.f());
        a(map, "x-oss-copy-source-if-none-match", copyObjectRequest.g());
        a(map, "x-oss-server-side-encryption", copyObjectRequest.j());
        ObjectMetadata e = copyObjectRequest.e();
        if (e != null) {
            map.put("x-oss-metadata-directive", MetadataDirective.REPLACE.toString());
            a(map, e);
        }
        a(map, HttpHeaders.CONTENT_LENGTH);
    }

    public static String a(List<PartETag> list) {
        StringBuilder sb = new StringBuilder();
        sb.append("<CompleteMultipartUpload>\n");
        for (PartETag partETag : list) {
            sb.append("<Part>\n");
            sb.append("<PartNumber>" + partETag.a() + "</PartNumber>\n");
            sb.append("<ETag>" + partETag.b() + "</ETag>\n");
            sb.append("</Part>\n");
        }
        sb.append("</CompleteMultipartUpload>\n");
        return sb.toString();
    }

    public static void a(Map<String, String> map, String str, String str2) {
        if (str2 != null) {
            map.put(str, str2);
        }
    }

    public static void a(Map<String, String> map, String str, Date date) {
        if (date != null) {
            map.put(str, DateUtil.a(date));
        }
    }

    public static void a(Map<String, String> map, String str, List<String> list) {
        if (list != null && !list.isEmpty()) {
            map.put(str, b(list));
        }
    }

    public static void a(Map<String, String> map, String str) {
        if (str != null && map.containsKey(str)) {
            map.remove(str);
        }
    }

    public static String b(List<String> list) {
        StringBuilder sb = new StringBuilder();
        boolean z = true;
        for (String str : list) {
            if (!z) {
                sb.append(", ");
            }
            sb.append(str);
            z = false;
        }
        return sb.toString();
    }

    public static boolean a(String str) {
        return TextUtils.isEmpty(str);
    }

    public static String a(RequestMessage requestMessage) {
        StringBuilder sb = new StringBuilder();
        sb.append(requestMessage.f().toString() + "\n");
        Map a2 = requestMessage.a();
        TreeMap treeMap = new TreeMap();
        if (a2 != null) {
            for (Map.Entry entry : a2.entrySet()) {
                if (entry.getKey() != null) {
                    String lowerCase = ((String) entry.getKey()).toLowerCase();
                    if (lowerCase.equals(HttpHeaders.CONTENT_TYPE.toLowerCase()) || lowerCase.equals("Content-MD5".toLowerCase()) || lowerCase.equals("Date".toLowerCase()) || lowerCase.startsWith("x-oss-")) {
                        treeMap.put(lowerCase, ((String) entry.getValue()).trim());
                    }
                }
            }
        }
        if (!treeMap.containsKey(HttpHeaders.CONTENT_TYPE.toLowerCase())) {
            treeMap.put(HttpHeaders.CONTENT_TYPE.toLowerCase(), "");
        }
        if (!treeMap.containsKey("Content-MD5".toLowerCase())) {
            treeMap.put("Content-MD5".toLowerCase(), "");
        }
        for (Map.Entry entry2 : treeMap.entrySet()) {
            String str = (String) entry2.getKey();
            Object value = entry2.getValue();
            if (str.startsWith("x-oss-")) {
                sb.append(str);
                sb.append(':');
                sb.append(value);
            } else {
                sb.append(value);
            }
            sb.append("\n");
        }
        sb.append(a(requestMessage.i(), requestMessage.j(), requestMessage.k()));
        return sb.toString();
    }

    public static String a(String str, String str2, Map<String, String> map) {
        String str3;
        if (str == null && str2 == null) {
            str3 = "/";
        } else if (str2 == null) {
            str3 = "/" + str + "/";
        } else {
            str3 = "/" + str + "/" + str2;
        }
        return a(str3, map);
    }

    public static String a(String str, Map<String, String> map) {
        StringBuilder sb = new StringBuilder();
        sb.append(str);
        if (map != null) {
            String[] strArr = (String[]) map.keySet().toArray(new String[map.size()]);
            Arrays.sort(strArr);
            char c = '?';
            for (String str2 : strArr) {
                if (f1162a.contains(str2)) {
                    sb.append(c);
                    sb.append(str2);
                    String str3 = map.get(str2);
                    if (!a(str3)) {
                        sb.append("=");
                        sb.append(str3);
                    }
                    c = '&';
                }
            }
        }
        return sb.toString();
    }

    public static String b(Map<String, String> map, String str) {
        if (map == null || map.isEmpty()) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        boolean z = true;
        for (Map.Entry<String, String> entry : map.entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            if (!z) {
                sb.append("&");
            }
            sb.append(HttpUtil.a(key, str));
            if (!a(value)) {
                sb.append("=");
                sb.append(HttpUtil.a(value, str));
            }
            z = false;
        }
        return sb.toString();
    }

    public static String a(Map<String, String> map) {
        return Base64.encodeToString(new JSONObject(map).toString().getBytes(), 2);
    }

    public static String a(String str, String str2, String str3) {
        try {
            String trim = new HmacSHA1Signature().a(str2, str3).trim();
            return "OSS " + str + ":" + trim;
        } catch (Exception e) {
            throw new IllegalStateException("Compute signature failed!", e);
        }
    }

    public static boolean b(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        for (String str2 : OSSConstants.b) {
            if (str.toLowerCase().endsWith(str2)) {
                return true;
            }
        }
        return false;
    }

    public static boolean a(String str, List<String> list) {
        for (String str2 : list) {
            if (str.endsWith(str2.toLowerCase())) {
                return true;
            }
        }
        return false;
    }

    public static void a(boolean z, String str) {
        if (!z) {
            throw new IllegalArgumentException(str);
        }
    }

    public static boolean c(String str) {
        if (str == null) {
            return false;
        }
        return str.matches("^[a-z0-9][a-z0-9\\-]{1,61}[a-z0-9]$");
    }

    public static void d(String str) {
        if (!c(str)) {
            throw new IllegalArgumentException("The bucket name is invalid. \nA bucket name must: \n1) be comprised of lower-case characters, numbers or dash(-); \n2) start with lower case or numbers; \n3) be between 3-63 characters long. ");
        }
    }

    public static boolean e(String str) {
        if (str == null || str.length() <= 0 || str.length() > 1023) {
            return false;
        }
        try {
            str.getBytes("utf-8");
            char[] charArray = str.toCharArray();
            char c = charArray[0];
            if (c == '/' || c == '\\') {
                return false;
            }
            for (char c2 : charArray) {
                if (c2 != '\t' && c2 < ' ') {
                    return false;
                }
            }
            return true;
        } catch (UnsupportedEncodingException unused) {
            return false;
        }
    }

    public static void f(String str) {
        if (!e(str)) {
            throw new IllegalArgumentException("The object key is invalid. \nAn object name should be: \n1) between 1 - 1023 bytes long when encoded as UTF-8 \n2) cannot contain LF or CR or unsupported chars in XML1.0, \n3) cannot begin with \"/\" or \"\\\".");
        }
    }

    public static boolean a(OSSRequest oSSRequest) {
        boolean z;
        boolean z2;
        return !(oSSRequest instanceof ListObjectsRequest) && !(oSSRequest instanceof ListBucketsRequest) && !(oSSRequest instanceof CreateBucketRequest) && !(oSSRequest instanceof DeleteBucketRequest) && !(oSSRequest instanceof GetBucketInfoRequest) && !(oSSRequest instanceof GetBucketACLRequest) && !(oSSRequest instanceof DeleteMultipleObjectRequest) && !(oSSRequest instanceof ListMultipartUploadsRequest) && !(oSSRequest instanceof GetBucketRefererRequest) && !(oSSRequest instanceof PutBucketRefererRequest) && !((z = oSSRequest instanceof PutBucketLoggingRequest)) && !((z2 = oSSRequest instanceof GetBucketLoggingRequest)) && !z && !z2 && !(oSSRequest instanceof DeleteBucketLoggingRequest) && !(oSSRequest instanceof PutBucketLifecycleRequest) && !(oSSRequest instanceof GetBucketLifecycleRequest) && !(oSSRequest instanceof DeleteBucketLifecycleRequest);
    }

    public static boolean b(OSSRequest oSSRequest) {
        return !(oSSRequest instanceof ListBucketsRequest);
    }

    public static void a(OSSRequest oSSRequest, RequestMessage requestMessage) {
        if (b(oSSRequest)) {
            d(requestMessage.i());
        }
        if (a(oSSRequest)) {
            f(requestMessage.j());
        }
        if (oSSRequest instanceof CopyObjectRequest) {
            f(((CopyObjectRequest) oSSRequest).d());
        }
    }

    public static String b(String str, String str2, String str3) {
        String mimeTypeFromExtension;
        String mimeTypeFromExtension2;
        if (str != null) {
            return str;
        }
        MimeTypeMap singleton = MimeTypeMap.getSingleton();
        if (str2 == null || (mimeTypeFromExtension2 = singleton.getMimeTypeFromExtension(str2.substring(str2.lastIndexOf(46) + 1))) == null) {
            return (str3 == null || (mimeTypeFromExtension = singleton.getMimeTypeFromExtension(str3.substring(str3.lastIndexOf(46) + 1))) == null) ? "application/octet-stream" : mimeTypeFromExtension;
        }
        return mimeTypeFromExtension2;
    }

    public static void b(RequestMessage requestMessage) throws Exception {
        OSSLog.b("signRequest start");
        if (requestMessage.o()) {
            if (requestMessage.g() != null) {
                OSSCredentialProvider g = requestMessage.g();
                OSSFederationToken oSSFederationToken = null;
                boolean z = g instanceof OSSFederationCredentialProvider;
                if (z) {
                    oSSFederationToken = ((OSSFederationCredentialProvider) g).b();
                    if (oSSFederationToken != null) {
                        requestMessage.a().put("x-oss-security-token", oSSFederationToken.c());
                    } else {
                        OSSLog.c("Can't get a federation token");
                        throw new IOException("Can't get a federation token");
                    }
                } else if (g instanceof OSSStsTokenCredentialProvider) {
                    oSSFederationToken = g.a();
                    requestMessage.a().put("x-oss-security-token", oSSFederationToken.c());
                }
                String a2 = a(requestMessage);
                String str = "---initValue---";
                OSSLog.b("get contentToSign");
                if (z || (g instanceof OSSStsTokenCredentialProvider)) {
                    str = a(oSSFederationToken.a(), oSSFederationToken.b(), a2);
                } else if (g instanceof OSSPlainTextAKSKCredentialProvider) {
                    OSSPlainTextAKSKCredentialProvider oSSPlainTextAKSKCredentialProvider = (OSSPlainTextAKSKCredentialProvider) g;
                    str = a(oSSPlainTextAKSKCredentialProvider.b(), oSSPlainTextAKSKCredentialProvider.c(), a2);
                } else if (g instanceof OSSCustomSignerCredentialProvider) {
                    str = ((OSSCustomSignerCredentialProvider) g).a(a2);
                }
                OSSLog.b("signed content: " + a2 + "   \n ---------   signature: " + str, false);
                OSSLog.b("get signature");
                requestMessage.a().put("Authorization", str);
                return;
            }
            throw new IllegalStateException("当前CredentialProvider为空！！！\n1. 请检查您是否在初始化OSSService时设置CredentialProvider;\n2. 如果您bucket为公共权限，请确认获取到Bucket后已经调用Bucket中接口声明ACL;");
        }
    }

    public static String a(Context context) {
        StringBuilder sb = new StringBuilder();
        sb.append("=====[device info]=====\n");
        sb.append("[INFO]: android_version：" + Build.VERSION.RELEASE + "\n");
        sb.append("[INFO]: mobile_model：" + Build.MODEL + "\n");
        return sb.toString();
    }

    public static void a(Long l, Long l2, String str) throws InconsistentException {
        if (l != null && l2 != null && !l.equals(l2)) {
            throw new InconsistentException(l, l2, str);
        }
    }

    public static boolean g(String str) throws Exception {
        if (str == null) {
            throw new Exception("host is null");
        } else if (Build.VERSION.SDK_INT >= 29) {
            return InetAddresses.isNumericAddress(str);
        } else {
            try {
                return ((Boolean) Class.forName("java.net.InetAddress").getMethod("isNumeric", String.class).invoke(null, str)).booleanValue();
            } catch (ClassNotFoundException unused) {
                return false;
            } catch (NoSuchMethodException unused2) {
                return false;
            } catch (IllegalAccessException unused3) {
                return false;
            } catch (IllegalArgumentException unused4) {
                return false;
            } catch (InvocationTargetException unused5) {
                return false;
            }
        }
    }

    private enum MetadataDirective {
        COPY("COPY"),
        REPLACE("REPLACE");
        
        private final String c;

        private MetadataDirective(String str) {
            this.c = str;
        }

        public String toString() {
            return this.c;
        }
    }
}
