package com.alibaba.sdk.android.oss.internal;

import android.net.Uri;
import android.os.ParcelFileDescriptor;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.TaskCancelException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.callback.OSSProgressCallback;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.BinaryUtil;
import com.alibaba.sdk.android.oss.model.CompleteMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.CompleteMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.MultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.OSSRequest;
import com.alibaba.sdk.android.oss.model.ObjectMetadata;
import com.alibaba.sdk.android.oss.model.PartETag;
import com.alibaba.sdk.android.oss.model.UploadPartRequest;
import com.alibaba.sdk.android.oss.model.UploadPartResult;
import com.alibaba.sdk.android.oss.network.ExecutionContext;
import com.tencent.smtt.sdk.TbsReaderView;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.RandomAccessFile;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public abstract class BaseMultipartUploadTask<Request extends MultipartUploadRequest, Result extends CompleteMultipartUploadResult> implements Callable<Result> {
    protected Uri A;

    /* renamed from: a  reason: collision with root package name */
    protected final int f1166a = (Runtime.getRuntime().availableProcessors() * 2);
    protected final int b;
    protected final int c;
    protected final int d;
    protected final int e;
    protected final int f;
    protected ThreadPoolExecutor g;
    protected List<PartETag> h;
    protected Object i;
    protected InternalRequestOperation j;
    protected ExecutionContext k;
    protected Exception l;
    protected boolean m;
    protected File n;
    protected String o;
    protected long p;
    protected int q;
    protected int r;
    protected long s;
    protected boolean t;
    protected Request u;
    protected OSSCompletedCallback<Request, Result> v;
    protected OSSProgressCallback<Request> w;
    protected int[] x;
    protected String y;
    protected long z;

    /* access modifiers changed from: protected */
    public abstract void a();

    /* access modifiers changed from: protected */
    public void a(int i2, int i3, int i4) throws Exception {
    }

    /* access modifiers changed from: protected */
    public void a(PartETag partETag) throws Exception {
    }

    /* access modifiers changed from: protected */
    public abstract void a(Exception exc);

    /* access modifiers changed from: protected */
    public abstract void b() throws IOException, ClientException, ServiceException;

    /* access modifiers changed from: protected */
    public abstract Result c() throws IOException, ServiceException, ClientException, InterruptedException;

    public BaseMultipartUploadTask(InternalRequestOperation internalRequestOperation, Request request, OSSCompletedCallback<Request, Result> oSSCompletedCallback, ExecutionContext executionContext) {
        this.b = this.f1166a < 5 ? this.f1166a : 5;
        this.c = this.f1166a;
        this.d = 3000;
        this.e = TbsReaderView.ReaderCallback.GET_BAR_ANIMATING;
        this.f = 4096;
        this.g = new ThreadPoolExecutor(this.b, this.c, 3000, TimeUnit.MILLISECONDS, new ArrayBlockingQueue(TbsReaderView.ReaderCallback.GET_BAR_ANIMATING), new ThreadFactory() {
            /* class com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask.AnonymousClass1 */

            public Thread newThread(Runnable runnable) {
                return new Thread(runnable, "oss-android-multipart-thread");
            }
        });
        this.h = new ArrayList();
        this.i = new Object();
        this.s = 0;
        boolean z2 = false;
        this.t = false;
        this.x = new int[2];
        this.j = internalRequestOperation;
        this.u = request;
        this.w = request.f();
        this.v = oSSCompletedCallback;
        this.k = executionContext;
        this.t = request.l() == OSSRequest.CRC64Config.YES ? true : z2;
    }

    /* access modifiers changed from: protected */
    public void d() throws ClientException {
        if (this.k.d().a()) {
            TaskCancelException taskCancelException = new TaskCancelException("multipart cancel");
            throw new ClientException(taskCancelException.getMessage(), taskCancelException, true);
        }
    }

    /* renamed from: e */
    public Result call() throws Exception {
        ClientException clientException;
        try {
            f();
            b();
            Result c2 = c();
            if (this.v != null) {
                this.v.a(this.u, c2);
            }
            return c2;
        } catch (ServiceException e2) {
            if (this.v != null) {
                this.v.a(this.u, null, e2);
            }
            throw e2;
        } catch (Exception e3) {
            if (e3 instanceof ClientException) {
                clientException = (ClientException) e3;
            } else {
                clientException = new ClientException(e3.toString(), e3);
            }
            if (this.v != null) {
                this.v.a(this.u, clientException, null);
            }
            throw clientException;
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0076 A[SYNTHETIC, Splitter:B:25:0x0076] */
    public void f() throws ClientException {
        Throwable th;
        IOException e2;
        if (this.u.c() != null) {
            this.y = this.u.c();
            this.s = 0;
            this.n = new File(this.y);
            this.p = this.n.length();
        } else if (this.u.e() != null) {
            this.A = this.u.e();
            ParcelFileDescriptor parcelFileDescriptor = null;
            try {
                ParcelFileDescriptor openFileDescriptor = this.k.a().getContentResolver().openFileDescriptor(this.A, "r");
                try {
                    this.p = openFileDescriptor.getStatSize();
                    if (openFileDescriptor != null) {
                        try {
                            openFileDescriptor.close();
                        } catch (IOException e3) {
                            OSSLog.a(e3);
                        }
                    }
                } catch (IOException e4) {
                    e2 = e4;
                    parcelFileDescriptor = openFileDescriptor;
                    try {
                        throw new ClientException(e2.getMessage(), e2, true);
                    } catch (Throwable th2) {
                        th = th2;
                        if (parcelFileDescriptor != null) {
                            try {
                                parcelFileDescriptor.close();
                            } catch (IOException e5) {
                                OSSLog.a(e5);
                            }
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    parcelFileDescriptor = openFileDescriptor;
                    if (parcelFileDescriptor != null) {
                    }
                    throw th;
                }
            } catch (IOException e6) {
                e2 = e6;
                throw new ClientException(e2.getMessage(), e2, true);
            }
        }
        if (this.p != 0) {
            a(this.x);
            long g2 = this.u.g();
            int i2 = this.x[1];
            OSSLog.b("[checkInitData] - partNumber : " + i2);
            OSSLog.b("[checkInitData] - partSize : " + g2);
            if (i2 > 1 && g2 < 102400) {
                throw new ClientException("Part size must be greater than or equal to 100KB!");
            }
            return;
        }
        throw new ClientException("file length must not be 0");
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:101:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0154  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x015c  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0161  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x016d A[SYNTHETIC, Splitter:B:89:0x016d] */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0175 A[Catch:{ IOException -> 0x0171 }] */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x017a A[Catch:{ IOException -> 0x0171 }] */
    public void b(int i2, int i3, int i4) {
        BufferedInputStream bufferedInputStream;
        InputStream inputStream;
        Throwable th;
        Exception e2;
        RandomAccessFile randomAccessFile;
        RandomAccessFile randomAccessFile2 = null;
        try {
            if (this.k.d().a()) {
                this.g.getQueue().clear();
                return;
            }
            synchronized (this.i) {
                this.r++;
            }
            a(i2, i3, i4);
            byte[] bArr = new byte[i3];
            long g2 = ((long) i2) * this.u.g();
            if (this.A != null) {
                InputStream openInputStream = this.k.a().getContentResolver().openInputStream(this.A);
                try {
                    bufferedInputStream = new BufferedInputStream(openInputStream);
                    try {
                        bufferedInputStream.skip(g2);
                        bufferedInputStream.read(bArr, 0, i3);
                        randomAccessFile = null;
                        inputStream = openInputStream;
                    } catch (Exception e3) {
                        e2 = e3;
                        inputStream = openInputStream;
                        try {
                            a(e2);
                            if (randomAccessFile2 != null) {
                            }
                            if (bufferedInputStream != null) {
                            }
                            if (inputStream != null) {
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            if (randomAccessFile2 != null) {
                            }
                            if (bufferedInputStream != null) {
                            }
                            if (inputStream != null) {
                            }
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        inputStream = openInputStream;
                        if (randomAccessFile2 != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                        if (inputStream != null) {
                        }
                        throw th;
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    bufferedInputStream = null;
                    inputStream = openInputStream;
                    a(e2);
                    if (randomAccessFile2 != null) {
                    }
                    if (bufferedInputStream != null) {
                    }
                    if (inputStream != null) {
                    }
                } catch (Throwable th4) {
                    th = th4;
                    bufferedInputStream = null;
                    inputStream = openInputStream;
                    if (randomAccessFile2 != null) {
                    }
                    if (bufferedInputStream != null) {
                    }
                    if (inputStream != null) {
                    }
                    throw th;
                }
            } else {
                RandomAccessFile randomAccessFile3 = new RandomAccessFile(this.n, "r");
                try {
                    randomAccessFile3.seek(g2);
                    randomAccessFile3.readFully(bArr, 0, i3);
                    inputStream = null;
                    bufferedInputStream = null;
                    randomAccessFile = randomAccessFile3;
                } catch (Exception e5) {
                    e2 = e5;
                    inputStream = null;
                    bufferedInputStream = null;
                    randomAccessFile2 = randomAccessFile3;
                    a(e2);
                    if (randomAccessFile2 != null) {
                    }
                    if (bufferedInputStream != null) {
                    }
                    if (inputStream != null) {
                    }
                } catch (Throwable th5) {
                    th = th5;
                    inputStream = null;
                    bufferedInputStream = null;
                    randomAccessFile2 = randomAccessFile3;
                    if (randomAccessFile2 != null) {
                    }
                    if (bufferedInputStream != null) {
                    }
                    if (inputStream != null) {
                    }
                    throw th;
                }
            }
            try {
                UploadPartRequest uploadPartRequest = new UploadPartRequest(this.u.a(), this.u.b(), this.o, i2 + 1);
                uploadPartRequest.a(bArr);
                uploadPartRequest.a(BinaryUtil.d(bArr));
                uploadPartRequest.a(this.u.l());
                UploadPartResult a2 = this.j.a(uploadPartRequest);
                synchronized (this.i) {
                    PartETag partETag = new PartETag(uploadPartRequest.d(), a2.a());
                    long j2 = (long) i3;
                    partETag.a(j2);
                    if (this.t) {
                        partETag.b(a2.d().longValue());
                    }
                    this.h.add(partETag);
                    this.s += j2;
                    a(partETag);
                    if (!this.k.d().a()) {
                        if (this.h.size() == i4 - this.q) {
                            j();
                        }
                        a(this.u, this.s, this.p);
                    } else if (this.h.size() == this.r - this.q) {
                        TaskCancelException taskCancelException = new TaskCancelException("multipart cancel");
                        throw new ClientException(taskCancelException.getMessage(), taskCancelException, true);
                    }
                }
                if (randomAccessFile != null) {
                    try {
                        randomAccessFile.close();
                    } catch (IOException e6) {
                        OSSLog.a(e6);
                        return;
                    }
                }
                if (bufferedInputStream != null) {
                    bufferedInputStream.close();
                }
                if (inputStream != null) {
                    inputStream.close();
                }
            } catch (Exception e7) {
                e2 = e7;
                randomAccessFile2 = randomAccessFile;
                a(e2);
                if (randomAccessFile2 != null) {
                }
                if (bufferedInputStream != null) {
                }
                if (inputStream != null) {
                }
            } catch (Throwable th6) {
                th = th6;
                randomAccessFile2 = randomAccessFile;
                if (randomAccessFile2 != null) {
                }
                if (bufferedInputStream != null) {
                }
                if (inputStream != null) {
                }
                throw th;
            }
        } catch (Exception e8) {
            e2 = e8;
            inputStream = null;
            bufferedInputStream = null;
            a(e2);
            if (randomAccessFile2 != null) {
                randomAccessFile2.close();
            }
            if (bufferedInputStream != null) {
                bufferedInputStream.close();
            }
            if (inputStream != null) {
                inputStream.close();
            }
        } catch (Throwable th7) {
            th = th7;
            inputStream = null;
            bufferedInputStream = null;
            if (randomAccessFile2 != null) {
                try {
                    randomAccessFile2.close();
                } catch (IOException e9) {
                    OSSLog.a(e9);
                    throw th;
                }
            }
            if (bufferedInputStream != null) {
                bufferedInputStream.close();
            }
            if (inputStream != null) {
                inputStream.close();
            }
            throw th;
        }
    }

    /* access modifiers changed from: protected */
    public CompleteMultipartUploadResult g() throws ClientException, ServiceException {
        CompleteMultipartUploadResult completeMultipartUploadResult;
        if (this.h.size() > 0) {
            Collections.sort(this.h, new Comparator<PartETag>() {
                /* class com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask.AnonymousClass2 */

                /* renamed from: a */
                public int compare(PartETag partETag, PartETag partETag2) {
                    if (partETag.a() < partETag2.a()) {
                        return -1;
                    }
                    return partETag.a() > partETag2.a() ? 1 : 0;
                }
            });
            CompleteMultipartUploadRequest completeMultipartUploadRequest = new CompleteMultipartUploadRequest(this.u.a(), this.u.b(), this.o, this.h);
            if (this.u.h() != null) {
                completeMultipartUploadRequest.a(this.u.h());
            }
            if (this.u.i() != null) {
                completeMultipartUploadRequest.b(this.u.i());
            }
            if (this.u.d() != null) {
                ObjectMetadata objectMetadata = new ObjectMetadata();
                for (String str : this.u.d().n().keySet()) {
                    if (!str.equals("x-oss-storage-class")) {
                        objectMetadata.a(str, this.u.d().n().get(str));
                    }
                }
                completeMultipartUploadRequest.a(objectMetadata);
            }
            completeMultipartUploadRequest.a(this.u.l());
            completeMultipartUploadResult = this.j.a(completeMultipartUploadRequest);
        } else {
            completeMultipartUploadResult = null;
        }
        this.s = 0;
        return completeMultipartUploadResult;
    }

    /* access modifiers changed from: protected */
    public void h() {
        if (this.g != null) {
            this.g.getQueue().clear();
            this.g.shutdown();
        }
    }

    /* access modifiers changed from: protected */
    public void i() throws IOException, ServiceException, ClientException {
        if (this.l != null) {
            h();
            if (this.l instanceof IOException) {
                throw ((IOException) this.l);
            } else if (this.l instanceof ServiceException) {
                throw ((ServiceException) this.l);
            } else if (this.l instanceof ClientException) {
                throw ((ClientException) this.l);
            } else {
                throw new ClientException(this.l.getMessage(), this.l);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean a(int i2) {
        return this.h.size() != i2;
    }

    /* access modifiers changed from: protected */
    public void j() {
        this.i.notify();
        this.q = 0;
    }

    /* access modifiers changed from: protected */
    public void a(int[] iArr) {
        long g2 = this.u.g();
        OSSLog.b("[checkPartSize] - mFileLength : " + this.p);
        OSSLog.b("[checkPartSize] - partSize : " + g2);
        long j2 = this.p / g2;
        long j3 = 1;
        if (this.p % g2 != 0) {
            j2++;
        }
        if (j2 == 1) {
            g2 = this.p;
        } else if (j2 > ((long) TbsReaderView.ReaderCallback.GET_BAR_ANIMATING)) {
            g2 = a(this.p / ((long) 4999));
            long j4 = this.p / g2;
            if (this.p % g2 == 0) {
                j3 = 0;
            }
            j2 = j4 + j3;
        }
        int i2 = (int) g2;
        iArr[0] = i2;
        iArr[1] = (int) j2;
        this.u.a((long) i2);
        OSSLog.b("[checkPartSize] - partNumber : " + j2);
        OSSLog.b("[checkPartSize] - partSize : " + i2);
        long j5 = this.p % g2;
        if (j5 != 0) {
            g2 = j5;
        }
        this.z = g2;
    }

    /* access modifiers changed from: protected */
    public long a(long j2) {
        return ((j2 + 4095) / 4096) * 4096;
    }

    /* access modifiers changed from: protected */
    public void a(Request request, long j2, long j3) {
        if (this.w != null) {
            this.w.a(request, j2, j3);
        }
    }
}
