package com.alibaba.sdk.android.oss.internal;

import android.net.Uri;
import android.text.TextUtils;
import com.alibaba.sdk.android.oss.common.HttpMethod;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.auth.OSSCredentialProvider;
import com.alibaba.sdk.android.oss.common.utils.HttpUtil;
import com.alibaba.sdk.android.oss.common.utils.HttpdnsMini;
import com.alibaba.sdk.android.oss.common.utils.OSSUtils;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.net.URI;
import java.util.LinkedHashMap;
import java.util.Map;

public class RequestMessage extends HttpMessage {

    /* renamed from: a  reason: collision with root package name */
    private URI f1184a;
    private URI b;
    private String c;
    private String d;
    private HttpMethod e;
    private boolean f = true;
    private Map<String, String> g = new LinkedHashMap();
    private boolean h;
    private OSSCredentialProvider i;
    private boolean j = false;
    private boolean k = false;
    private boolean l = false;
    private String m;
    private boolean n = false;
    private String o;
    private byte[] p;
    private Uri q;

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ Map a() {
        return super.a();
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void a(long j2) {
        super.a(j2);
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void a(InputStream inputStream) {
        super.a(inputStream);
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void a(String str) {
        super.a(str);
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void a(String str, String str2) {
        super.a(str, str2);
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void a(Map map) {
        super.a(map);
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ InputStream b() {
        return super.b();
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ String c() {
        return super.c();
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ long d() {
        return super.d();
    }

    @Override // com.alibaba.sdk.android.oss.internal.HttpMessage
    public /* bridge */ /* synthetic */ void e() throws IOException {
        super.e();
    }

    public HttpMethod f() {
        return this.e;
    }

    public void a(HttpMethod httpMethod) {
        this.e = httpMethod;
    }

    public OSSCredentialProvider g() {
        return this.i;
    }

    public void a(OSSCredentialProvider oSSCredentialProvider) {
        this.i = oSSCredentialProvider;
    }

    public void a(URI uri) {
        this.f1184a = uri;
    }

    public void b(URI uri) {
        this.b = uri;
    }

    public boolean h() {
        return this.j;
    }

    public void a(boolean z) {
        this.j = z;
    }

    public String i() {
        return this.c;
    }

    public void b(String str) {
        this.c = str;
    }

    public String j() {
        return this.d;
    }

    public void c(String str) {
        this.d = str;
    }

    public Map<String, String> k() {
        return this.g;
    }

    public void b(Map<String, String> map) {
        this.g = map;
    }

    public String l() {
        return this.o;
    }

    public void d(String str) {
        this.o = str;
    }

    public byte[] m() {
        return this.p;
    }

    public void a(byte[] bArr) {
        this.p = bArr;
    }

    public Uri n() {
        return this.q;
    }

    public void a(Uri uri) {
        this.q = uri;
    }

    public boolean o() {
        return this.f;
    }

    public void b(boolean z) {
        this.f = z;
    }

    public void c(boolean z) {
        this.n = z;
    }

    public boolean p() {
        return this.h;
    }

    public void d(boolean z) {
        this.h = z;
    }

    public String q() {
        return this.m;
    }

    public void e(String str) {
        this.m = str;
    }

    public void e(boolean z) {
        this.k = z;
    }

    public void f(boolean z) {
        this.l = z;
    }

    public void c(Map<String, String> map) throws UnsupportedEncodingException {
        StringBuffer stringBuffer = new StringBuffer();
        if (map != null) {
            stringBuffer.append("<CreateBucketConfiguration>");
            for (Map.Entry<String, String> entry : map.entrySet()) {
                stringBuffer.append("<" + entry.getKey() + ">" + entry.getValue() + "</" + entry.getKey() + ">");
            }
            stringBuffer.append("</CreateBucketConfiguration>");
            byte[] bytes = stringBuffer.toString().getBytes("utf-8");
            a(new ByteArrayInputStream(bytes));
            a((long) bytes.length);
        }
    }

    public String r() {
        OSSUtils.a(this.f1184a != null, "Service haven't been set!");
        String host = this.f1184a.getHost();
        String scheme = this.f1184a.getScheme();
        String str = null;
        if (!h() || !scheme.equalsIgnoreCase("http")) {
            OSSLog.b("[buildOSSServiceURL], disable httpdns or http is not need httpdns");
        } else {
            str = HttpdnsMini.a().a(host);
        }
        if (str == null) {
            str = host;
        }
        a().put("Host", host);
        String str2 = scheme + "://" + str;
        String b2 = OSSUtils.b(this.g, "utf-8");
        if (OSSUtils.a(b2)) {
            return str2;
        }
        return str2 + "?" + b2;
    }

    public String s() throws Exception {
        boolean z = false;
        OSSUtils.a(this.b != null, "Endpoint haven't been set!");
        String scheme = this.b.getScheme();
        String host = this.b.getHost();
        String path = this.b.getPath();
        int port = this.b.getPort();
        String str = null;
        String valueOf = port != -1 ? String.valueOf(port) : null;
        if (TextUtils.isEmpty(host)) {
            OSSLog.b("endpoint url : " + this.b.toString());
        }
        OSSLog.b(" scheme : " + scheme);
        OSSLog.b(" originHost : " + host);
        OSSLog.b(" port : " + valueOf);
        String str2 = scheme + "://" + host;
        if (!TextUtils.isEmpty(valueOf)) {
            str2 = str2 + ":" + valueOf;
        }
        if (!TextUtils.isEmpty(this.c)) {
            if (OSSUtils.b(host)) {
                String str3 = this.c + "." + host;
                if (h()) {
                    str = HttpdnsMini.a().a(str3);
                } else {
                    OSSLog.b("[buildCannonicalURL], disable httpdns");
                }
                a("Host", str3);
                str2 = !TextUtils.isEmpty(str) ? scheme + "://" + str : scheme + "://" + str3;
            } else {
                if (this.n) {
                    if (!this.k) {
                        str2 = scheme + "://" + this.c + "." + host;
                    }
                } else if (OSSUtils.g(host)) {
                    if (!OSSUtils.a(this.m)) {
                        a("Host", q());
                    }
                }
                z = true;
            }
        }
        if (this.l && path != null) {
            str2 = str2 + path;
        }
        if (z) {
            str2 = str2 + "/" + this.c;
        }
        if (!TextUtils.isEmpty(this.d)) {
            str2 = str2 + "/" + HttpUtil.a(this.d, "utf-8");
        }
        String b2 = OSSUtils.b(this.g, "utf-8");
        StringBuilder sb = new StringBuilder();
        sb.append("request---------------------\n");
        sb.append("request url=" + str2 + "\n");
        sb.append("request params=" + b2 + "\n");
        for (String str4 : a().keySet()) {
            sb.append("requestHeader [" + str4 + "]: ");
            StringBuilder sb2 = new StringBuilder();
            sb2.append((String) a().get(str4));
            sb2.append("\n");
            sb.append(sb2.toString());
        }
        OSSLog.b(sb.toString());
        if (OSSUtils.a(b2)) {
            return str2;
        }
        return str2 + "?" + b2;
    }
}
