package com.alibaba.sdk.android.oss.internal;

import android.util.Log;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.TaskCancelException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.callback.OSSProgressCallback;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.BinaryUtil;
import com.alibaba.sdk.android.oss.common.utils.CRC64;
import com.alibaba.sdk.android.oss.common.utils.OSSUtils;
import com.alibaba.sdk.android.oss.exception.InconsistentException;
import com.alibaba.sdk.android.oss.model.GetObjectMetaRequest;
import com.alibaba.sdk.android.oss.model.GetObjectMetaResult;
import com.alibaba.sdk.android.oss.model.GetObjectRequest;
import com.alibaba.sdk.android.oss.model.GetObjectResult;
import com.alibaba.sdk.android.oss.model.OSSRequest;
import com.alibaba.sdk.android.oss.model.OSSResult;
import com.alibaba.sdk.android.oss.model.ObjectMetadata;
import com.alibaba.sdk.android.oss.model.Range;
import com.alibaba.sdk.android.oss.model.ResumableDownloadRequest;
import com.alibaba.sdk.android.oss.model.ResumableDownloadResult;
import com.alibaba.sdk.android.oss.network.ExecutionContext;
import com.tencent.smtt.sdk.TbsReaderView;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.RandomAccessFile;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.zip.CheckedInputStream;

public class ResumableDownloadTask<Requst extends ResumableDownloadRequest, Result extends ResumableDownloadResult> implements Callable<Result> {

    /* renamed from: a  reason: collision with root package name */
    protected ThreadPoolExecutor f1186a;
    protected Object b;
    protected Exception c;
    protected long d;
    protected long e;
    protected long f;
    protected String g;
    private ResumableDownloadRequest h;
    private InternalRequestOperation i;
    private OSSCompletedCallback j;
    private ExecutionContext k;
    private OSSProgressCallback l;
    private CheckPoint m;

    /* renamed from: com.alibaba.sdk.android.oss.internal.ResumableDownloadTask$1  reason: invalid class name */
    class AnonymousClass1 implements ThreadFactory {
        public Thread newThread(Runnable runnable) {
            return new Thread(runnable, "oss-android-multipart-thread");
        }
    }

    /* renamed from: a */
    public Result call() throws Exception {
        ClientException clientException;
        try {
            b();
            Result result = (Result) c();
            if (this.j != null) {
                this.j.a(this.h, result);
            }
            return result;
        } catch (ServiceException e2) {
            if (this.j != null) {
                this.j.a(this.h, null, e2);
            }
            throw e2;
        } catch (Exception e3) {
            if (e3 instanceof ClientException) {
                clientException = (ClientException) e3;
            } else {
                clientException = new ClientException(e3.toString(), e3);
            }
            if (this.j != null) {
                this.j.a(this.h, clientException, null);
            }
            throw clientException;
        }
    }

    /* access modifiers changed from: protected */
    public void b() throws ClientException, ServiceException, IOException {
        if (this.h.c() == null || this.h.c().c()) {
            StringBuilder sb = new StringBuilder();
            sb.append(this.h.a());
            sb.append(this.h.b());
            sb.append(String.valueOf(this.h.g()));
            sb.append(this.h.l() == OSSRequest.CRC64Config.YES ? "-crc64" : "");
            String c2 = BinaryUtil.c(sb.toString().getBytes());
            this.g = this.h.f() + File.separator + c2;
            StringBuilder sb2 = new StringBuilder();
            sb2.append(this.g);
            sb2.append(".temp");
            String sb3 = sb2.toString();
            this.m = new CheckPoint();
            if (this.h.e().booleanValue()) {
                try {
                    this.m.a(this.g);
                } catch (Exception unused) {
                    a(this.g);
                    a(sb3);
                    a(this.h.h());
                }
                if (!this.m.a(this.i)) {
                    a(this.g);
                    a(sb3);
                    a(this.h.h());
                    h();
                    return;
                }
                return;
            }
            h();
            return;
        }
        throw new ClientException("Range is invalid");
    }

    /* access modifiers changed from: protected */
    public boolean a(String str) {
        File file = new File(str);
        if (!file.isFile() || !file.exists()) {
            return false;
        }
        return file.delete();
    }

    private void h() throws ClientException, ServiceException, IOException {
        FileStat a2 = FileStat.a(this.i, this.h.a(), this.h.b());
        Range a3 = a(this.h.c(), a2.f1193a);
        a(this.h.h(), a3.a() - a3.b());
        this.m.c = this.h.a();
        this.m.d = this.h.b();
        this.m.e = a2;
        this.m.f = a(a3, this.m.e.f1193a, this.h.g());
    }

    /* access modifiers changed from: protected */
    public ResumableDownloadResult c() throws ClientException, ServiceException, IOException, InterruptedException {
        String str = this.g + ".temp";
        g();
        ResumableDownloadResult resumableDownloadResult = new ResumableDownloadResult();
        final DownloadFileResult downloadFileResult = new DownloadFileResult();
        downloadFileResult.f1190a = new ArrayList<>();
        Iterator<DownloadPart> it = this.m.f.iterator();
        while (it.hasNext()) {
            final DownloadPart next = it.next();
            f();
            if (this.f1186a == null || next.d) {
                DownloadPartResult downloadPartResult = new DownloadPartResult();
                downloadPartResult.f1192a = next.f1191a;
                downloadPartResult.b = this.m.e.e;
                downloadPartResult.d = next.e;
                if (this.h.l() == OSSRequest.CRC64Config.YES) {
                    downloadPartResult.c = Long.valueOf(next.g);
                }
                downloadFileResult.f1190a.add(downloadPartResult);
                this.e++;
                this.d++;
            } else {
                this.f1186a.execute(new Runnable() {
                    /* class com.alibaba.sdk.android.oss.internal.ResumableDownloadTask.AnonymousClass2 */

                    public void run() {
                        ResumableDownloadTask.this.a((ResumableDownloadTask) downloadFileResult, (DownloadFileResult) next);
                        Log.i("partResults", "start: " + next.b + ", end: " + next.c);
                    }
                });
            }
        }
        if (a(this.m.f.size())) {
            synchronized (this.b) {
                this.b.wait();
            }
        }
        f();
        Collections.sort(downloadFileResult.f1190a, new Comparator<DownloadPartResult>() {
            /* class com.alibaba.sdk.android.oss.internal.ResumableDownloadTask.AnonymousClass3 */

            /* renamed from: a */
            public int compare(DownloadPartResult downloadPartResult, DownloadPartResult downloadPartResult2) {
                return downloadPartResult.f1192a - downloadPartResult2.f1192a;
            }
        });
        if (this.h.l() == OSSRequest.CRC64Config.YES && this.h.c() == null) {
            Long a2 = a(downloadFileResult.f1190a);
            resumableDownloadResult.b(a2);
            try {
                OSSUtils.a(a2, this.m.e.d, downloadFileResult.f1190a.get(0).b);
            } catch (InconsistentException e2) {
                a(this.g);
                a(str);
                a(this.h.h());
                throw e2;
            }
        }
        a(this.g);
        a(str);
        a(new File(this.h.h()), new File(this.h.d()));
        resumableDownloadResult.c(this.m.e.d);
        resumableDownloadResult.a(downloadFileResult.b);
        resumableDownloadResult.i(downloadFileResult.f1190a.get(0).b);
        resumableDownloadResult.d(200);
        return resumableDownloadResult;
    }

    private static Long a(List<DownloadPartResult> list) {
        long j2 = 0;
        for (DownloadPartResult downloadPartResult : list) {
            if (downloadPartResult.c == null || downloadPartResult.d <= 0) {
                return null;
            }
            j2 = CRC64.a(j2, downloadPartResult.c.longValue(), downloadPartResult.d);
        }
        return new Long(j2);
    }

    private ArrayList<DownloadPart> a(Range range, long j2, long j3) {
        int i2 = 0;
        if (j2 <= 0) {
            DownloadPart downloadPart = new DownloadPart();
            downloadPart.b = 0;
            downloadPart.c = -1;
            downloadPart.e = 0;
            downloadPart.f1191a = 0;
            ArrayList<DownloadPart> arrayList = new ArrayList<>();
            arrayList.add(downloadPart);
            return arrayList;
        }
        long b2 = range.b();
        long a2 = range.a() - range.b();
        int[] iArr = new int[2];
        a(a2, iArr);
        long j4 = (long) iArr[1];
        ArrayList<DownloadPart> arrayList2 = new ArrayList<>();
        while (true) {
            long j5 = (long) i2;
            if (j5 >= j4) {
                return arrayList2;
            }
            DownloadPart downloadPart2 = new DownloadPart();
            long j6 = j5 * j3;
            downloadPart2.b = b2 + j6;
            int i3 = i2 + 1;
            downloadPart2.c = ((((long) i3) * j3) + b2) - 1;
            downloadPart2.e = (downloadPart2.c - downloadPart2.b) + 1;
            long j7 = b2 + a2;
            if (downloadPart2.c >= j7) {
                downloadPart2.c = -1;
                downloadPart2.e = j7 - downloadPart2.b;
            }
            downloadPart2.f1191a = i2;
            downloadPart2.f = j6;
            arrayList2.add(downloadPart2);
            i2 = i3;
            j4 = j4;
        }
    }

    private Range a(Range range, long j2) {
        long j3 = 0;
        if (range != null) {
            long b2 = range.b();
            if (range.b() != -1) {
                j3 = b2;
            }
            j2 = range.a() == -1 ? j2 - j3 : range.a() - range.b();
        }
        return new Range(j3, j2 + j3);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0176  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x017e  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x018b A[SYNTHETIC, Splitter:B:68:0x018b] */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0193 A[Catch:{ IOException -> 0x018f }] */
    /* JADX WARNING: Removed duplicated region for block: B:80:? A[RETURN, SYNTHETIC] */
    private void a(ResumableDownloadTask<Requst, Result>.DownloadFileResult downloadFileResult, DownloadPart downloadPart) {
        Throwable th;
        RandomAccessFile randomAccessFile;
        InputStream inputStream;
        Exception e2;
        RandomAccessFile randomAccessFile2 = null;
        r0 = null;
        InputStream inputStream2 = null;
        try {
            if (this.k.d().a()) {
                this.f1186a.getQueue().clear();
            }
            this.e++;
            randomAccessFile = new RandomAccessFile(this.h.h(), "rw");
            try {
                randomAccessFile.seek(downloadPart.f);
                Map<String, String> i2 = this.h.i();
                GetObjectRequest getObjectRequest = new GetObjectRequest(this.h.a(), this.h.b());
                getObjectRequest.a(new Range(downloadPart.b, downloadPart.c));
                getObjectRequest.a(i2);
                GetObjectResult a2 = this.i.a(getObjectRequest, (OSSCompletedCallback<GetObjectRequest, GetObjectResult>) null).a();
                inputStream = a2.b();
                try {
                    byte[] bArr = new byte[((int) downloadPart.e)];
                    if (this.h.l() == OSSRequest.CRC64Config.YES) {
                        inputStream = new CheckedInputStream(inputStream, new CRC64());
                    }
                    while (true) {
                        long read = (long) inputStream.read(bArr);
                        if (read == -1) {
                            break;
                        }
                        randomAccessFile.write(bArr, 0, (int) read);
                    }
                    synchronized (this.b) {
                        DownloadPartResult downloadPartResult = new DownloadPartResult();
                        downloadPartResult.f1192a = downloadPart.f1191a;
                        downloadPartResult.b = a2.h();
                        downloadPartResult.d = a2.c();
                        if (this.h.l() == OSSRequest.CRC64Config.YES) {
                            Long valueOf = Long.valueOf(((CheckedInputStream) inputStream).getChecksum().getValue());
                            downloadPartResult.c = valueOf;
                            downloadPart.g = valueOf.longValue();
                        }
                        downloadFileResult.f1190a.add(downloadPartResult);
                        if (downloadFileResult.b == null) {
                            downloadFileResult.b = a2.a();
                        }
                        this.d++;
                        if (!this.k.d().a()) {
                            if (((long) this.m.f.size()) == this.d - this.f) {
                                d();
                            }
                            this.m.a(downloadPart.f1191a, true);
                            if (this.h.e().booleanValue()) {
                                this.m.b(this.g);
                            }
                            Range a3 = a(this.h.c(), this.m.e.f1193a);
                            if (this.l != null) {
                                this.l.a(this.h, this.m.g, a3.a() - a3.b());
                            }
                        } else if (this.e == this.d - this.f) {
                            g();
                        }
                    }
                    try {
                        randomAccessFile.close();
                        if (inputStream != null) {
                            inputStream.close();
                        }
                    } catch (IOException e3) {
                        OSSLog.a(e3);
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    randomAccessFile2 = randomAccessFile;
                    try {
                        a(e2);
                        if (randomAccessFile2 != null) {
                        }
                        if (inputStream != null) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        randomAccessFile = randomAccessFile2;
                        inputStream2 = inputStream;
                        if (randomAccessFile != null) {
                            try {
                                randomAccessFile.close();
                            } catch (IOException e5) {
                                OSSLog.a(e5);
                                throw th;
                            }
                        }
                        if (inputStream2 != null) {
                            inputStream2.close();
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    inputStream2 = inputStream;
                    if (randomAccessFile != null) {
                    }
                    if (inputStream2 != null) {
                    }
                    throw th;
                }
            } catch (Exception e6) {
                e2 = e6;
                inputStream = null;
                randomAccessFile2 = randomAccessFile;
                a(e2);
                if (randomAccessFile2 != null) {
                }
                if (inputStream != null) {
                }
            } catch (Throwable th4) {
                th = th4;
                if (randomAccessFile != null) {
                }
                if (inputStream2 != null) {
                }
                throw th;
            }
        } catch (Exception e7) {
            e2 = e7;
            inputStream = null;
            a(e2);
            if (randomAccessFile2 != null) {
                randomAccessFile2.close();
            }
            if (inputStream != null) {
                inputStream.close();
            }
        } catch (Throwable th5) {
            th = th5;
            randomAccessFile = null;
            if (randomAccessFile != null) {
            }
            if (inputStream2 != null) {
            }
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001b  */
    private void a(String str, long j2) throws IOException {
        Throwable th;
        File file = new File(str);
        RandomAccessFile randomAccessFile = null;
        try {
            RandomAccessFile randomAccessFile2 = new RandomAccessFile(file, "rw");
            try {
                randomAccessFile2.setLength(j2);
                randomAccessFile2.close();
            } catch (Throwable th2) {
                th = th2;
                randomAccessFile = randomAccessFile2;
                if (randomAccessFile != null) {
                    randomAccessFile.close();
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            if (randomAccessFile != null) {
            }
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x005f  */
    private void a(File file, File file2) throws IOException {
        Throwable th;
        FileOutputStream fileOutputStream;
        FileInputStream fileInputStream;
        FileNotFoundException e2;
        if (!file.renameTo(file2)) {
            Log.i("moveFile", "rename");
            FileInputStream fileInputStream2 = null;
            try {
                fileInputStream = new FileInputStream(file);
                try {
                    fileOutputStream = new FileOutputStream(file2);
                } catch (FileNotFoundException e3) {
                    e2 = e3;
                    fileOutputStream = null;
                    fileInputStream2 = fileInputStream;
                    try {
                        throw e2;
                    } catch (Throwable th2) {
                        th = th2;
                        fileInputStream = fileInputStream2;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    fileOutputStream = null;
                    if (fileInputStream != null) {
                    }
                    if (fileOutputStream != null) {
                    }
                    throw th;
                }
                try {
                    a(fileInputStream, fileOutputStream);
                    if (file.delete()) {
                        fileInputStream.close();
                        fileOutputStream.close();
                        return;
                    }
                    throw new IOException("Failed to delete original file '" + file + "'");
                } catch (FileNotFoundException e4) {
                    e2 = e4;
                    fileInputStream2 = fileInputStream;
                    throw e2;
                } catch (Throwable th4) {
                    th = th4;
                    if (fileInputStream != null) {
                    }
                    if (fileOutputStream != null) {
                    }
                    throw th;
                }
            } catch (FileNotFoundException e5) {
                e2 = e5;
                fileOutputStream = null;
                throw e2;
            } catch (Throwable th5) {
                th = th5;
                fileInputStream = null;
                fileOutputStream = null;
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
                if (fileOutputStream != null) {
                    fileOutputStream.close();
                }
                throw th;
            }
        }
    }

    private void a(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = new byte[4096];
        while (true) {
            int read = inputStream.read(bArr);
            if (read != -1) {
                outputStream.write(bArr, 0, read);
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: protected */
    public void d() {
        this.b.notify();
        this.f = 0;
    }

    /* access modifiers changed from: protected */
    public void a(Exception exc) {
        synchronized (this.b) {
            this.f++;
            if (this.c == null) {
                this.c = exc;
                this.b.notify();
            }
        }
    }

    /* access modifiers changed from: protected */
    public void e() {
        if (this.f1186a != null) {
            this.f1186a.getQueue().clear();
            this.f1186a.shutdown();
        }
    }

    /* access modifiers changed from: protected */
    public void f() throws IOException, ServiceException, ClientException {
        if (this.c != null) {
            e();
            if (this.c instanceof IOException) {
                throw ((IOException) this.c);
            } else if (this.c instanceof ServiceException) {
                throw ((ServiceException) this.c);
            } else if (this.c instanceof ClientException) {
                throw ((ClientException) this.c);
            } else {
                throw new ClientException(this.c.getMessage(), this.c);
            }
        }
    }

    /* access modifiers changed from: protected */
    public boolean a(int i2) {
        return this.d != ((long) i2);
    }

    /* access modifiers changed from: protected */
    public void g() throws ClientException {
        if (this.k.d().a()) {
            TaskCancelException taskCancelException = new TaskCancelException("Resumable download cancel");
            throw new ClientException(taskCancelException.getMessage(), taskCancelException, true);
        }
    }

    /* access modifiers changed from: package-private */
    public static class DownloadPart implements Serializable {
        private static final long serialVersionUID = -3506020776131733942L;

        /* renamed from: a  reason: collision with root package name */
        public int f1191a;
        public long b;
        public long c;
        public boolean d;
        public long e;
        public long f;
        public long g;

        DownloadPart() {
        }

        public int hashCode() {
            return ((((((((this.f1191a + 31) * 31) + (this.d ? 1231 : 1237)) * 31) + ((int) (this.c ^ (this.c >>> 32)))) * 31) + ((int) (this.b ^ (this.b >>> 32)))) * 31) + ((int) (this.g ^ (this.g >>> 32)));
        }
    }

    /* access modifiers changed from: package-private */
    public static class CheckPoint implements Serializable {
        private static final long serialVersionUID = -8470273912385636504L;

        /* renamed from: a  reason: collision with root package name */
        public int f1189a;
        public String b;
        public String c;
        public String d;
        public FileStat e;
        public ArrayList<DownloadPart> f;
        public long g;

        CheckPoint() {
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x0028  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0030  */
        public synchronized void a(String str) throws IOException, ClassNotFoundException {
            Throwable th;
            FileInputStream fileInputStream;
            ObjectInputStream objectInputStream;
            ObjectInputStream objectInputStream2 = null;
            try {
                fileInputStream = new FileInputStream(str);
                try {
                    objectInputStream = new ObjectInputStream(fileInputStream);
                } catch (Throwable th2) {
                    th = th2;
                    if (objectInputStream2 != null) {
                        objectInputStream2.close();
                    }
                    if (fileInputStream != null) {
                        fileInputStream.close();
                    }
                    throw th;
                }
                try {
                    a((CheckPoint) objectInputStream.readObject());
                    objectInputStream.close();
                    fileInputStream.close();
                } catch (Throwable th3) {
                    objectInputStream2 = objectInputStream;
                    th = th3;
                    if (objectInputStream2 != null) {
                    }
                    if (fileInputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                fileInputStream = null;
                if (objectInputStream2 != null) {
                }
                if (fileInputStream != null) {
                }
                throw th;
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0044  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0049  */
        public synchronized void b(String str) throws IOException {
            Throwable th;
            FileOutputStream fileOutputStream;
            ObjectOutputStream objectOutputStream;
            this.f1189a = hashCode();
            File file = new File(str + ".temp");
            ObjectOutputStream objectOutputStream2 = null;
            try {
                fileOutputStream = new FileOutputStream(file);
                try {
                    objectOutputStream = new ObjectOutputStream(fileOutputStream);
                } catch (Throwable th2) {
                    th = th2;
                    if (objectOutputStream2 != null) {
                    }
                    if (fileOutputStream != null) {
                    }
                    throw th;
                }
                try {
                    objectOutputStream.writeObject(this);
                    file.renameTo(new File(str));
                    objectOutputStream.close();
                    fileOutputStream.close();
                } catch (Throwable th3) {
                    th = th3;
                    objectOutputStream2 = objectOutputStream;
                    if (objectOutputStream2 != null) {
                    }
                    if (fileOutputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                fileOutputStream = null;
                if (objectOutputStream2 != null) {
                    objectOutputStream2.close();
                }
                if (fileOutputStream != null) {
                    fileOutputStream.close();
                }
                throw th;
            }
        }

        public synchronized void a(int i, boolean z) throws IOException {
            this.f.get(i).d = z;
            this.g += this.f.get(i).e;
        }

        public synchronized boolean a(InternalRequestOperation internalRequestOperation) throws ClientException, ServiceException {
            if (this.f1189a != hashCode()) {
                return false;
            }
            FileStat a2 = FileStat.a(internalRequestOperation, this.c, this.d);
            if (this.e.b == null) {
                if (this.e.f1193a != a2.f1193a || !this.e.c.equals(a2.c)) {
                    return false;
                }
            } else if (this.e.f1193a != a2.f1193a || !this.e.b.equals(a2.b) || !this.e.c.equals(a2.c)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            int i = 0;
            int hashCode = ((((((((this.c == null ? 0 : this.c.hashCode()) + 31) * 31) + (this.b == null ? 0 : this.b.hashCode())) * 31) + (this.d == null ? 0 : this.d.hashCode())) * 31) + (this.e == null ? 0 : this.e.hashCode())) * 31;
            if (this.f != null) {
                i = this.f.hashCode();
            }
            return ((hashCode + i) * 31) + ((int) (this.g ^ (this.g >>> 32)));
        }

        private void a(CheckPoint checkPoint) {
            this.f1189a = checkPoint.f1189a;
            this.b = checkPoint.b;
            this.c = checkPoint.c;
            this.d = checkPoint.d;
            this.e = checkPoint.e;
            this.f = checkPoint.f;
            this.g = checkPoint.g;
        }
    }

    /* access modifiers changed from: package-private */
    public static class FileStat implements Serializable {
        private static final long serialVersionUID = 3896323364904643963L;

        /* renamed from: a  reason: collision with root package name */
        public long f1193a;
        public Date b;
        public String c;
        public Long d;
        public String e;

        FileStat() {
        }

        public static FileStat a(InternalRequestOperation internalRequestOperation, String str, String str2) throws ClientException, ServiceException {
            GetObjectMetaResult a2 = internalRequestOperation.a(new GetObjectMetaRequest(str, str2), (OSSCompletedCallback<GetObjectMetaRequest, GetObjectMetaResult>) null).a();
            FileStat fileStat = new FileStat();
            fileStat.f1193a = a2.a().e();
            fileStat.c = a2.a().k();
            fileStat.b = a2.a().b();
            fileStat.d = a2.i();
            fileStat.e = a2.h();
            return fileStat;
        }

        public int hashCode() {
            int i = 0;
            int hashCode = ((this.c == null ? 0 : this.c.hashCode()) + 31) * 31;
            if (this.b != null) {
                i = this.b.hashCode();
            }
            return ((hashCode + i) * 31) + ((int) (this.f1193a ^ (this.f1193a >>> 32)));
        }
    }

    /* access modifiers changed from: package-private */
    public static class DownloadPartResult {

        /* renamed from: a  reason: collision with root package name */
        public int f1192a;
        public String b;
        public Long c;
        public long d;

        DownloadPartResult() {
        }
    }

    /* access modifiers changed from: package-private */
    public class DownloadFileResult extends OSSResult {

        /* renamed from: a  reason: collision with root package name */
        public ArrayList<DownloadPartResult> f1190a;
        public ObjectMetadata b;

        DownloadFileResult() {
        }
    }

    private void a(long j2, int[] iArr) {
        long g2 = this.h.g();
        OSSLog.b("[checkPartSize] - mFileLength : " + j2);
        OSSLog.b("[checkPartSize] - partSize : " + g2);
        long j3 = j2 / g2;
        long j4 = 1;
        if (j2 % g2 != 0) {
            j3++;
        }
        if (j3 == 1) {
            g2 = j2;
        } else if (j3 > ((long) TbsReaderView.ReaderCallback.GET_BAR_ANIMATING)) {
            g2 = a(j2 / ((long) 4999));
            long j5 = j2 / g2;
            if (j2 % g2 == 0) {
                j4 = 0;
            }
            j3 = j5 + j4;
        }
        int i2 = (int) g2;
        iArr[0] = i2;
        iArr[1] = (int) j3;
        OSSLog.b("[checkPartSize] - partNumber : " + j3);
        OSSLog.b("[checkPartSize] - partSize : " + i2);
    }

    private long a(long j2) {
        return ((j2 + 4095) / 4096) * 4096;
    }
}
