package com.alibaba.sdk.android.oss.internal;

import android.os.ParcelFileDescriptor;
import android.text.TextUtils;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.BinaryUtil;
import com.alibaba.sdk.android.oss.common.utils.OSSSharedPreferences;
import com.alibaba.sdk.android.oss.common.utils.OSSUtils;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.CompleteMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.ListPartsRequest;
import com.alibaba.sdk.android.oss.model.ListPartsResult;
import com.alibaba.sdk.android.oss.model.PartETag;
import com.alibaba.sdk.android.oss.model.PartSummary;
import com.alibaba.sdk.android.oss.model.ResumableUploadRequest;
import com.alibaba.sdk.android.oss.model.ResumableUploadResult;
import com.alibaba.sdk.android.oss.network.ExecutionContext;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;

public class ResumableUploadTask extends BaseMultipartUploadTask<ResumableUploadRequest, ResumableUploadResult> implements Callable<ResumableUploadResult> {
    private File B;
    private List<Integer> C = new ArrayList();
    private OSSSharedPreferences D = OSSSharedPreferences.a(this.k.a());
    private File E;

    public ResumableUploadTask(ResumableUploadRequest resumableUploadRequest, OSSCompletedCallback<ResumableUploadRequest, ResumableUploadResult> oSSCompletedCallback, ExecutionContext executionContext, InternalRequestOperation internalRequestOperation) {
        super(internalRequestOperation, resumableUploadRequest, oSSCompletedCallback, executionContext);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:80:0x02ff, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:81:0x0301, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x0302, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x030d, code lost:
        r17.o = null;
        r4 = r8;
        r7 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x031c, code lost:
        throw r0;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x031c A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x031d A[EDGE_INSN: B:106:0x031d->B:92:0x031d ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x01a6  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01d5 A[Catch:{ ServiceException -> 0x02ff, ClientException -> 0x0301 }] */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x0301 A[ExcHandler: ClientException (r0v47 'e' com.alibaba.sdk.android.oss.ClientException A[CUSTOM_DECLARE]), Splitter:B:47:0x01b3] */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x030d  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x0318 A[LOOP:0: B:43:0x018d->B:90:0x0318, LOOP_END] */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void b() throws IOException, ClientException, ServiceException {
        String str;
        Map map;
        char c;
        int i;
        boolean z;
        int i2;
        List<PartSummary> c2;
        int i3;
        int i4;
        ClassNotFoundException e;
        OSSCompletedCallback<ListPartsRequest, ListPartsResult> oSSCompletedCallback = null;
        if (!OSSUtils.a(((ResumableUploadRequest) this.u).j())) {
            if (this.A != null) {
                OSSLog.b("[initUploadId] - mUploadFilePath : " + this.A.getPath());
                ParcelFileDescriptor openFileDescriptor = this.k.a().getContentResolver().openFileDescriptor(this.A, "r");
                try {
                    str = BinaryUtil.b(openFileDescriptor.getFileDescriptor());
                } finally {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                }
            } else {
                OSSLog.b("[initUploadId] - mUploadFilePath : " + this.y);
                str = BinaryUtil.b(this.y);
            }
            OSSLog.b("[initUploadId] - mRequest.getPartSize() : " + ((ResumableUploadRequest) this.u).g());
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            sb.append(((ResumableUploadRequest) this.u).a());
            sb.append(((ResumableUploadRequest) this.u).b());
            sb.append(String.valueOf(((ResumableUploadRequest) this.u).g()));
            sb.append(this.t ? "-crc64" : "");
            this.B = new File(((ResumableUploadRequest) this.u).j() + File.separator + BinaryUtil.c(sb.toString().getBytes()));
            if (this.B.exists()) {
                BufferedReader bufferedReader = new BufferedReader(new FileReader(this.B));
                this.o = bufferedReader.readLine();
                bufferedReader.close();
            }
            OSSLog.b("[initUploadId] - mUploadId : " + this.o);
            if (!OSSUtils.a(this.o)) {
                if (this.t) {
                    File file = new File(((ResumableUploadRequest) this.u).j() + File.separator + this.o);
                    if (file.exists()) {
                        ObjectInputStream objectInputStream = new ObjectInputStream(new FileInputStream(file));
                        try {
                            map = (Map) objectInputStream.readObject();
                            try {
                                file.delete();
                            } catch (ClassNotFoundException e2) {
                                e = e2;
                            }
                        } catch (ClassNotFoundException e3) {
                            e = e3;
                            map = null;
                            try {
                                OSSLog.a(e);
                                objectInputStream.close();
                                file.delete();
                                c = 0;
                                i = 0;
                                while (true) {
                                    ListPartsRequest listPartsRequest = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                                    if (i > 0) {
                                    }
                                    OSSAsyncTask<ListPartsResult> a2 = this.j.a(listPartsRequest, oSSCompletedCallback);
                                    try {
                                        ListPartsResult a3 = a2.a();
                                        z = a3.b();
                                        i2 = a3.a();
                                        c2 = a3.c();
                                        int i5 = this.x[c];
                                        int i6 = this.x[1];
                                        i3 = 0;
                                        while (i3 < c2.size()) {
                                        }
                                        i = i2;
                                    } catch (ServiceException e4) {
                                        ServiceException e5 = e4;
                                        i2 = i;
                                        if (e5.b() != 404) {
                                        }
                                    } catch (ClientException e6) {
                                    }
                                    a2.b();
                                    if (z) {
                                    }
                                    oSSCompletedCallback = null;
                                    c = 0;
                                }
                                throw new ClientException("Can't create file at path: " + this.B.getAbsolutePath() + "\nPlease make sure the directory exist!");
                            } catch (Throwable th) {
                                objectInputStream.close();
                                file.delete();
                                throw th;
                            }
                        }
                        objectInputStream.close();
                        file.delete();
                        c = 0;
                        i = 0;
                        while (true) {
                            ListPartsRequest listPartsRequest2 = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                            if (i > 0) {
                                listPartsRequest2.a(Integer.valueOf(i));
                            }
                            OSSAsyncTask<ListPartsResult> a22 = this.j.a(listPartsRequest2, oSSCompletedCallback);
                            ListPartsResult a32 = a22.a();
                            z = a32.b();
                            i2 = a32.a();
                            c2 = a32.c();
                            int i52 = this.x[c];
                            int i62 = this.x[1];
                            i3 = 0;
                            while (i3 < c2.size()) {
                                PartSummary partSummary = c2.get(i3);
                                PartETag partETag = new PartETag(partSummary.a(), partSummary.c());
                                partETag.a(partSummary.d());
                                if (map != null && map.size() > 0 && map.containsKey(Integer.valueOf(partETag.a()))) {
                                    partETag.b(((Long) map.get(Integer.valueOf(partETag.a()))).longValue());
                                }
                                OSSLog.b("[initUploadId] -  " + i3 + " part.getPartNumber() : " + partSummary.a());
                                OSSLog.b("[initUploadId] -  " + i3 + " part.getSize() : " + partSummary.d());
                                boolean z2 = partSummary.a() == i62;
                                if (z2) {
                                    i4 = i3;
                                    if (partSummary.d() != this.z) {
                                        throw new ClientException("current part size " + partSummary.d() + " setting is inconsistent with PartSize : " + i52 + " or lastPartSize : " + this.z);
                                    }
                                } else {
                                    i4 = i3;
                                }
                                if (!z2) {
                                    if (partSummary.d() != ((long) i52)) {
                                        throw new ClientException("current part size " + partSummary.d() + " setting is inconsistent with PartSize : " + i52 + " or lastPartSize : " + this.z);
                                    }
                                }
                                this.h.add(partETag);
                                this.s += partSummary.d();
                                this.C.add(Integer.valueOf(partSummary.a()));
                                i3 = i4 + 1;
                            }
                            i = i2;
                            a22.b();
                            if (z) {
                                break;
                            }
                            oSSCompletedCallback = null;
                            c = 0;
                        }
                    }
                }
                map = null;
                c = 0;
                i = 0;
                while (true) {
                    ListPartsRequest listPartsRequest22 = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                    if (i > 0) {
                    }
                    OSSAsyncTask<ListPartsResult> a222 = this.j.a(listPartsRequest22, oSSCompletedCallback);
                    ListPartsResult a322 = a222.a();
                    z = a322.b();
                    i2 = a322.a();
                    c2 = a322.c();
                    int i522 = this.x[c];
                    int i622 = this.x[1];
                    i3 = 0;
                    while (i3 < c2.size()) {
                    }
                    i = i2;
                    a222.b();
                    if (z) {
                    }
                    oSSCompletedCallback = null;
                    c = 0;
                }
            }
            if (!this.B.exists() && !this.B.createNewFile()) {
                throw new ClientException("Can't create file at path: " + this.B.getAbsolutePath() + "\nPlease make sure the directory exist!");
            }
        }
        if (OSSUtils.a(this.o)) {
            this.o = this.j.a(new InitiateMultipartUploadRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), ((ResumableUploadRequest) this.u).d()), (OSSCompletedCallback<InitiateMultipartUploadRequest, InitiateMultipartUploadResult>) null).a().a();
            if (this.B != null) {
                BufferedWriter bufferedWriter = new BufferedWriter(new FileWriter(this.B));
                bufferedWriter.write(this.o);
                bufferedWriter.close();
            }
        }
        ((ResumableUploadRequest) this.u).d(this.o);
    }

    /* access modifiers changed from: protected */
    /* renamed from: k */
    public ResumableUploadResult c() throws IOException, ClientException, ServiceException, InterruptedException {
        long j = this.s;
        d();
        final int i = this.x[0];
        final int i2 = this.x[1];
        if (this.h.size() > 0 && this.C.size() > 0) {
            if (this.s <= this.p) {
                long j2 = this.s;
                if (!TextUtils.isEmpty(this.D.a(this.o))) {
                    j2 = Long.valueOf(this.D.a(this.o)).longValue();
                }
                if (this.w != null) {
                    this.w.a(this.u, j2, this.p);
                }
                this.D.b(this.o);
            } else {
                throw new ClientException("The uploading file is inconsistent with before");
            }
        }
        this.r = this.h.size();
        for (final int i3 = 0; i3 < i2; i3++) {
            if ((this.C.size() == 0 || !this.C.contains(Integer.valueOf(i3 + 1))) && this.g != null) {
                if (i3 == i2 - 1) {
                    i = (int) (this.p - j);
                }
                j += (long) i;
                this.g.execute(new Runnable() {
                    /* class com.alibaba.sdk.android.oss.internal.ResumableUploadTask.AnonymousClass1 */

                    public void run() {
                        ResumableUploadTask.this.b(i3, i, i2);
                    }
                });
            }
        }
        if (a(i2)) {
            synchronized (this.i) {
                this.i.wait();
            }
        }
        i();
        CompleteMultipartUploadResult g = g();
        ResumableUploadResult resumableUploadResult = null;
        if (g != null) {
            resumableUploadResult = new ResumableUploadResult(g);
        }
        if (this.B != null) {
            this.B.delete();
        }
        if (this.E != null) {
            this.E.delete();
        }
        h();
        return resumableUploadResult;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00c7  */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void i() throws IOException, ServiceException, ClientException {
        Throwable th;
        IOException e;
        if (this.k.d().a()) {
            if (((ResumableUploadRequest) this.u).m().booleanValue()) {
                a();
                if (this.B != null) {
                    this.B.delete();
                }
            } else if (this.h != null && this.h.size() > 0 && this.t && ((ResumableUploadRequest) this.u).j() != null) {
                HashMap hashMap = new HashMap();
                for (PartETag partETag : this.h) {
                    hashMap.put(Integer.valueOf(partETag.a()), Long.valueOf(partETag.d()));
                }
                ObjectOutputStream objectOutputStream = null;
                try {
                    this.E = new File(((ResumableUploadRequest) this.u).j() + File.separator + this.o);
                    if (!this.E.exists()) {
                        this.E.createNewFile();
                    }
                    ObjectOutputStream objectOutputStream2 = new ObjectOutputStream(new FileOutputStream(this.E));
                    try {
                        objectOutputStream2.writeObject(hashMap);
                        objectOutputStream2.close();
                    } catch (IOException e2) {
                        e = e2;
                        objectOutputStream = objectOutputStream2;
                        try {
                            OSSLog.a(e);
                            if (objectOutputStream != null) {
                            }
                            super.i();
                        } catch (Throwable th2) {
                            th = th2;
                            if (objectOutputStream != null) {
                                objectOutputStream.close();
                            }
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        objectOutputStream = objectOutputStream2;
                        if (objectOutputStream != null) {
                        }
                        throw th;
                    }
                } catch (IOException e3) {
                    e = e3;
                    OSSLog.a(e);
                    if (objectOutputStream != null) {
                        objectOutputStream.close();
                    }
                    super.i();
                }
            }
        }
        super.i();
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a() {
        if (this.o != null) {
            this.j.a(new AbortMultipartUploadRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o), (OSSCompletedCallback<AbortMultipartUploadRequest, AbortMultipartUploadResult>) null).b();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(Exception exc) {
        synchronized (this.i) {
            this.q++;
            this.l = exc;
            OSSLog.a(exc);
            if (this.k.d().a() && !this.m) {
                this.m = true;
                this.i.notify();
            }
            if (this.h.size() == this.r - this.q) {
                j();
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(PartETag partETag) throws Exception {
        if (this.k.d().a() && !this.D.c(this.o)) {
            this.D.a(this.o, String.valueOf(this.s));
            a(this.u, this.s, this.p);
        }
    }
}
