package com.alibaba.sdk.android.oss.internal;

import android.os.ParcelFileDescriptor;
import android.text.TextUtils;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.TaskCancelException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.BinaryUtil;
import com.alibaba.sdk.android.oss.common.utils.CRC64;
import com.alibaba.sdk.android.oss.common.utils.OSSSharedPreferences;
import com.alibaba.sdk.android.oss.common.utils.OSSUtils;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.AbortMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.CompleteMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadRequest;
import com.alibaba.sdk.android.oss.model.InitiateMultipartUploadResult;
import com.alibaba.sdk.android.oss.model.ListPartsRequest;
import com.alibaba.sdk.android.oss.model.ListPartsResult;
import com.alibaba.sdk.android.oss.model.PartETag;
import com.alibaba.sdk.android.oss.model.PartSummary;
import com.alibaba.sdk.android.oss.model.ResumableUploadRequest;
import com.alibaba.sdk.android.oss.model.ResumableUploadResult;
import com.alibaba.sdk.android.oss.model.UploadPartRequest;
import com.alibaba.sdk.android.oss.model.UploadPartResult;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.RandomAccessFile;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;
import java.util.zip.CheckedInputStream;

public class SequenceUploadTask extends BaseMultipartUploadTask<ResumableUploadRequest, ResumableUploadResult> implements Callable<ResumableUploadResult> {
    private File B;
    private List<Integer> C;
    private long D;
    private OSSSharedPreferences E;
    private File F;

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x01f0, code lost:
        r3 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x01f2, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:67:0x01f3, code lost:
        throw r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x01ff, code lost:
        r14.o = null;
        r3 = r7;
        r6 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x0209, code lost:
        throw r3;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x015c  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0182 A[Catch:{ ServiceException -> 0x01f0, ClientException -> 0x01f2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x01f2 A[ExcHandler: ClientException (r0v32 'e' com.alibaba.sdk.android.oss.ClientException A[CUSTOM_DECLARE]), Splitter:B:47:0x0169] */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01ff  */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x0209 A[SYNTHETIC] */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void b() throws IOException, ClientException, ServiceException {
        String str;
        Map map;
        int i;
        boolean z;
        int i2;
        List<PartSummary> c;
        int i3;
        ClassNotFoundException e;
        if (!OSSUtils.a(((ResumableUploadRequest) this.u).j())) {
            if (this.A != null) {
                ParcelFileDescriptor openFileDescriptor = this.k.a().getContentResolver().openFileDescriptor(this.A, "r");
                try {
                    str = BinaryUtil.b(openFileDescriptor.getFileDescriptor());
                } finally {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                }
            } else {
                str = BinaryUtil.b(this.y);
            }
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            sb.append(((ResumableUploadRequest) this.u).a());
            sb.append(((ResumableUploadRequest) this.u).b());
            sb.append(String.valueOf(((ResumableUploadRequest) this.u).g()));
            sb.append(this.t ? "-crc64" : "");
            sb.append("-sequence");
            this.B = new File(((ResumableUploadRequest) this.u).j() + File.separator + BinaryUtil.c(sb.toString().getBytes()));
            if (this.B.exists()) {
                BufferedReader bufferedReader = new BufferedReader(new FileReader(this.B));
                this.o = bufferedReader.readLine();
                bufferedReader.close();
                OSSLog.b("sequence [initUploadId] - Found record file, uploadid: " + this.o);
            }
            if (!OSSUtils.a(this.o)) {
                if (this.t) {
                    File file = new File(((ResumableUploadRequest) this.u).j() + File.separator + this.o);
                    if (file.exists()) {
                        ObjectInputStream objectInputStream = new ObjectInputStream(new FileInputStream(file));
                        try {
                            map = (Map) objectInputStream.readObject();
                            try {
                                file.delete();
                            } catch (ClassNotFoundException e2) {
                                e = e2;
                            }
                        } catch (ClassNotFoundException e3) {
                            e = e3;
                            map = null;
                            try {
                                OSSLog.a(e);
                                objectInputStream.close();
                                file.delete();
                                i = 0;
                                do {
                                    ListPartsRequest listPartsRequest = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                                    if (i > 0) {
                                    }
                                    OSSAsyncTask<ListPartsResult> a2 = this.j.a(listPartsRequest, (OSSCompletedCallback<ListPartsRequest, ListPartsResult>) null);
                                    try {
                                        ListPartsResult a3 = a2.a();
                                        z = a3.b();
                                        i2 = a3.a();
                                        c = a3.c();
                                        while (i3 < c.size()) {
                                        }
                                        i = i2;
                                    } catch (ServiceException e4) {
                                        i2 = i;
                                        ServiceException e5 = e4;
                                        if (e5.b() != 404) {
                                        }
                                    } catch (ClientException e6) {
                                    }
                                    a2.b();
                                } while (z);
                                throw new ClientException("Can't create file at path: " + this.B.getAbsolutePath() + "\nPlease make sure the directory exist!");
                            } catch (Throwable th) {
                                objectInputStream.close();
                                file.delete();
                                throw th;
                            }
                        }
                        objectInputStream.close();
                        file.delete();
                        i = 0;
                        do {
                            ListPartsRequest listPartsRequest2 = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                            if (i > 0) {
                                listPartsRequest2.a(Integer.valueOf(i));
                            }
                            OSSAsyncTask<ListPartsResult> a22 = this.j.a(listPartsRequest2, (OSSCompletedCallback<ListPartsRequest, ListPartsResult>) null);
                            ListPartsResult a32 = a22.a();
                            z = a32.b();
                            i2 = a32.a();
                            c = a32.c();
                            for (i3 = 0; i3 < c.size(); i3++) {
                                PartSummary partSummary = c.get(i3);
                                PartETag partETag = new PartETag(partSummary.a(), partSummary.c());
                                partETag.a(partSummary.d());
                                if (map != null && map.size() > 0 && map.containsKey(Integer.valueOf(partETag.a()))) {
                                    partETag.b(((Long) map.get(Integer.valueOf(partETag.a()))).longValue());
                                }
                                this.h.add(partETag);
                                this.s += partSummary.d();
                                this.C.add(Integer.valueOf(partSummary.a()));
                                if (i3 == 0) {
                                    this.D = partSummary.d();
                                }
                            }
                            i = i2;
                            a22.b();
                        } while (z);
                    }
                }
                map = null;
                i = 0;
                do {
                    ListPartsRequest listPartsRequest22 = new ListPartsRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o);
                    if (i > 0) {
                    }
                    OSSAsyncTask<ListPartsResult> a222 = this.j.a(listPartsRequest22, (OSSCompletedCallback<ListPartsRequest, ListPartsResult>) null);
                    ListPartsResult a322 = a222.a();
                    z = a322.b();
                    i2 = a322.a();
                    c = a322.c();
                    while (i3 < c.size()) {
                    }
                    i = i2;
                    a222.b();
                } while (z);
            }
            if (!this.B.exists() && !this.B.createNewFile()) {
                throw new ClientException("Can't create file at path: " + this.B.getAbsolutePath() + "\nPlease make sure the directory exist!");
            }
        }
        if (OSSUtils.a(this.o)) {
            InitiateMultipartUploadRequest initiateMultipartUploadRequest = new InitiateMultipartUploadRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), ((ResumableUploadRequest) this.u).d());
            initiateMultipartUploadRequest.f1224a = true;
            this.o = this.j.a(initiateMultipartUploadRequest, (OSSCompletedCallback<InitiateMultipartUploadRequest, InitiateMultipartUploadResult>) null).a().a();
            if (this.B != null) {
                BufferedWriter bufferedWriter = new BufferedWriter(new FileWriter(this.B));
                bufferedWriter.write(this.o);
                bufferedWriter.close();
            }
        }
        ((ResumableUploadRequest) this.u).d(this.o);
    }

    /* access modifiers changed from: protected */
    /* renamed from: k */
    public ResumableUploadResult c() throws IOException, ClientException, ServiceException, InterruptedException {
        long j = this.s;
        d();
        int i = this.x[0];
        int i2 = this.x[1];
        if (this.h.size() > 0 && this.C.size() > 0) {
            if (this.s > this.p) {
                throw new ClientException("The uploading file is inconsistent with before");
            } else if (this.D == ((long) i)) {
                long j2 = this.s;
                if (!TextUtils.isEmpty(this.E.a(this.o))) {
                    j2 = Long.valueOf(this.E.a(this.o)).longValue();
                }
                if (this.w != null) {
                    this.w.a(this.u, j2, this.p);
                }
                this.E.b(this.o);
            } else {
                throw new ClientException("The part size setting is inconsistent with before");
            }
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (this.C.size() == 0 || !this.C.contains(Integer.valueOf(i3 + 1))) {
                if (i3 == i2 - 1) {
                    i = (int) (this.p - j);
                }
                OSSLog.b("upload part readByte : " + i);
                j += (long) i;
                b(i3, i, i2);
                if (this.l != null) {
                    break;
                }
            }
        }
        i();
        CompleteMultipartUploadResult g = g();
        ResumableUploadResult resumableUploadResult = null;
        if (g != null) {
            resumableUploadResult = new ResumableUploadResult(g);
        }
        if (this.B != null) {
            this.B.delete();
        }
        if (this.F != null) {
            this.F.delete();
        }
        return resumableUploadResult;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:50:0x011d, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x011f, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x0120, code lost:
        r1 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x0122, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x0123, code lost:
        r12 = null;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x01cb A[Catch:{ IOException -> 0x01c7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x01d0 A[Catch:{ IOException -> 0x01c7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:107:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:110:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x011d A[ExcHandler: all (th java.lang.Throwable), Splitter:B:31:0x007e] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x011f A[ExcHandler: Exception (e java.lang.Exception), Splitter:B:31:0x007e] */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0145  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x014d  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0152  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x0166  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x016a  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x01af  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x01b4  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x01b9  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x01c3 A[SYNTHETIC, Splitter:B:95:0x01c3] */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void b(int i, int i2, int i3) {
        BufferedInputStream bufferedInputStream;
        InputStream inputStream;
        RandomAccessFile randomAccessFile;
        Throwable th;
        UploadPartRequest uploadPartRequest;
        ServiceException e;
        Exception e2;
        BufferedInputStream bufferedInputStream2;
        RandomAccessFile randomAccessFile2 = null;
        try {
            if (!this.k.d().a()) {
                this.r++;
                a(i, i2, i3);
                long g = ((long) i) * ((ResumableUploadRequest) this.u).g();
                byte[] bArr = new byte[i2];
                if (this.A != null) {
                    InputStream openInputStream = this.k.a().getContentResolver().openInputStream(this.A);
                    try {
                        bufferedInputStream2 = new BufferedInputStream(openInputStream);
                    } catch (ServiceException e3) {
                        e = e3;
                        bufferedInputStream = null;
                        uploadPartRequest = null;
                        inputStream = openInputStream;
                        if (e.b() == 409) {
                            a(e);
                        } else {
                            PartETag partETag = new PartETag(uploadPartRequest.d(), e.a());
                            partETag.a((long) uploadPartRequest.g().length);
                            if (this.t) {
                                partETag.b(new CheckedInputStream(new ByteArrayInputStream(uploadPartRequest.g()), new CRC64()).getChecksum().getValue());
                            }
                            this.h.add(partETag);
                            this.s += (long) i2;
                        }
                        if (randomAccessFile2 != null) {
                            randomAccessFile2.close();
                        }
                        if (inputStream != null) {
                            inputStream.close();
                        }
                        if (bufferedInputStream == null) {
                            bufferedInputStream.close();
                            return;
                        }
                        return;
                    } catch (Exception e4) {
                        e2 = e4;
                        bufferedInputStream = null;
                        inputStream = openInputStream;
                        try {
                            a(e2);
                            if (randomAccessFile2 != null) {
                                randomAccessFile2.close();
                            }
                            if (inputStream != null) {
                                inputStream.close();
                            }
                            if (bufferedInputStream != null) {
                                bufferedInputStream.close();
                                return;
                            }
                            return;
                        } catch (Throwable th2) {
                            th = th2;
                            randomAccessFile = randomAccessFile2;
                            th = th;
                            if (randomAccessFile != null) {
                            }
                            if (inputStream != null) {
                            }
                            if (bufferedInputStream != null) {
                            }
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        randomAccessFile = null;
                        bufferedInputStream = null;
                        inputStream = openInputStream;
                        th = th;
                        if (randomAccessFile != null) {
                            try {
                                randomAccessFile.close();
                            } catch (IOException e5) {
                                OSSLog.a(e5);
                                throw th;
                            }
                        }
                        if (inputStream != null) {
                            inputStream.close();
                        }
                        if (bufferedInputStream != null) {
                            bufferedInputStream.close();
                        }
                        throw th;
                    }
                    try {
                        bufferedInputStream2.skip(g);
                        bufferedInputStream2.read(bArr, 0, i2);
                        randomAccessFile = null;
                        bufferedInputStream = bufferedInputStream2;
                        inputStream = openInputStream;
                    } catch (ServiceException e6) {
                        e = e6;
                        uploadPartRequest = null;
                        bufferedInputStream = bufferedInputStream2;
                        inputStream = openInputStream;
                        if (e.b() == 409) {
                        }
                        if (randomAccessFile2 != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream == null) {
                        }
                    } catch (Exception e7) {
                        e2 = e7;
                        bufferedInputStream = bufferedInputStream2;
                        inputStream = openInputStream;
                        a(e2);
                        if (randomAccessFile2 != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                    } catch (Throwable th4) {
                        randomAccessFile = null;
                        bufferedInputStream = bufferedInputStream2;
                        th = th4;
                        inputStream = openInputStream;
                        if (randomAccessFile != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                        throw th;
                    }
                } else {
                    RandomAccessFile randomAccessFile3 = new RandomAccessFile(this.n, "r");
                    try {
                        randomAccessFile3.seek(g);
                        randomAccessFile3.readFully(bArr, 0, i2);
                        inputStream = null;
                        bufferedInputStream = null;
                        randomAccessFile = randomAccessFile3;
                    } catch (ServiceException e8) {
                        e = e8;
                        inputStream = null;
                        bufferedInputStream = null;
                        uploadPartRequest = null;
                        randomAccessFile2 = randomAccessFile3;
                        if (e.b() == 409) {
                        }
                        if (randomAccessFile2 != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream == null) {
                        }
                    } catch (Exception e9) {
                        e2 = e9;
                        inputStream = null;
                        bufferedInputStream = null;
                        randomAccessFile2 = randomAccessFile3;
                        a(e2);
                        if (randomAccessFile2 != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                    } catch (Throwable th5) {
                        th = th5;
                        inputStream = null;
                        bufferedInputStream = null;
                        randomAccessFile = randomAccessFile3;
                        th = th;
                        if (randomAccessFile != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (bufferedInputStream != null) {
                        }
                        throw th;
                    }
                }
                try {
                    uploadPartRequest = new UploadPartRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o, i + 1);
                    uploadPartRequest.a(bArr);
                    uploadPartRequest.a(BinaryUtil.d(bArr));
                    uploadPartRequest.a(((ResumableUploadRequest) this.u).l());
                    UploadPartResult a2 = this.j.a(uploadPartRequest);
                    PartETag partETag2 = new PartETag(uploadPartRequest.d(), a2.a());
                    long j = (long) i2;
                    partETag2.a(j);
                    if (this.t) {
                        partETag2.b(a2.d().longValue());
                    }
                    this.h.add(partETag2);
                    this.s += j;
                    a(partETag2);
                    if (!this.k.d().a()) {
                        a(this.u, this.s, this.p);
                        if (randomAccessFile != null) {
                            try {
                                randomAccessFile.close();
                            } catch (IOException e10) {
                                OSSLog.a(e10);
                                return;
                            }
                        }
                        if (inputStream != null) {
                            inputStream.close();
                        }
                        if (bufferedInputStream != null) {
                            bufferedInputStream.close();
                            return;
                        }
                        return;
                    }
                    TaskCancelException taskCancelException = new TaskCancelException("sequence upload task cancel");
                    throw new ClientException(taskCancelException.getMessage(), taskCancelException, true);
                } catch (ServiceException e11) {
                    e = e11;
                    randomAccessFile2 = randomAccessFile;
                    if (e.b() == 409) {
                    }
                    if (randomAccessFile2 != null) {
                    }
                    if (inputStream != null) {
                    }
                    if (bufferedInputStream == null) {
                    }
                } catch (Exception e12) {
                } catch (Throwable th6) {
                }
            }
        } catch (ServiceException e13) {
            e = e13;
            inputStream = null;
            bufferedInputStream = null;
            uploadPartRequest = null;
            if (e.b() == 409) {
            }
            if (randomAccessFile2 != null) {
            }
            if (inputStream != null) {
            }
            if (bufferedInputStream == null) {
            }
        } catch (Exception e14) {
            e2 = e14;
            inputStream = null;
            bufferedInputStream = null;
            a(e2);
            if (randomAccessFile2 != null) {
            }
            if (inputStream != null) {
            }
            if (bufferedInputStream != null) {
            }
        } catch (Throwable th7) {
            th = th7;
            randomAccessFile = null;
            inputStream = null;
            bufferedInputStream = null;
            th = th;
            if (randomAccessFile != null) {
            }
            if (inputStream != null) {
            }
            if (bufferedInputStream != null) {
            }
            throw th;
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00c1  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00c7  */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void i() throws IOException, ServiceException, ClientException {
        Throwable th;
        IOException e;
        if (this.k.d().a()) {
            if (((ResumableUploadRequest) this.u).m().booleanValue()) {
                a();
                if (this.B != null) {
                    this.B.delete();
                }
            } else if (this.h != null && this.h.size() > 0 && this.t && ((ResumableUploadRequest) this.u).j() != null) {
                HashMap hashMap = new HashMap();
                for (PartETag partETag : this.h) {
                    hashMap.put(Integer.valueOf(partETag.a()), Long.valueOf(partETag.d()));
                }
                ObjectOutputStream objectOutputStream = null;
                try {
                    this.F = new File(((ResumableUploadRequest) this.u).j() + File.separator + this.o);
                    if (!this.F.exists()) {
                        this.F.createNewFile();
                    }
                    ObjectOutputStream objectOutputStream2 = new ObjectOutputStream(new FileOutputStream(this.F));
                    try {
                        objectOutputStream2.writeObject(hashMap);
                        objectOutputStream2.close();
                    } catch (IOException e2) {
                        e = e2;
                        objectOutputStream = objectOutputStream2;
                        try {
                            OSSLog.a(e);
                            if (objectOutputStream != null) {
                            }
                            super.i();
                        } catch (Throwable th2) {
                            th = th2;
                            if (objectOutputStream != null) {
                                objectOutputStream.close();
                            }
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        objectOutputStream = objectOutputStream2;
                        if (objectOutputStream != null) {
                        }
                        throw th;
                    }
                } catch (IOException e3) {
                    e = e3;
                    OSSLog.a(e);
                    if (objectOutputStream != null) {
                        objectOutputStream.close();
                    }
                    super.i();
                }
            }
        }
        super.i();
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a() {
        if (this.o != null) {
            this.j.a(new AbortMultipartUploadRequest(((ResumableUploadRequest) this.u).a(), ((ResumableUploadRequest) this.u).b(), this.o), (OSSCompletedCallback<AbortMultipartUploadRequest, AbortMultipartUploadResult>) null).b();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(Exception exc) {
        if (this.l == null || !exc.getMessage().equals(this.l.getMessage())) {
            this.l = exc;
        }
        OSSLog.a(exc);
        if (this.k.d().a() && !this.m) {
            this.m = true;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.alibaba.sdk.android.oss.internal.BaseMultipartUploadTask
    public void a(PartETag partETag) throws Exception {
        if (this.k.d().a() && !this.E.c(this.o)) {
            this.E.a(this.o, String.valueOf(this.s));
            a(this.u, this.s, this.p);
        }
    }
}
