package com.alibaba.sdk.android.oss.network;

import android.os.ParcelFileDescriptor;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.common.OSSLog;
import com.alibaba.sdk.android.oss.common.utils.CRC64;
import com.alibaba.sdk.android.oss.common.utils.DateUtil;
import com.alibaba.sdk.android.oss.common.utils.OSSUtils;
import com.alibaba.sdk.android.oss.internal.OSSRetryHandler;
import com.alibaba.sdk.android.oss.internal.OSSRetryType;
import com.alibaba.sdk.android.oss.internal.RequestMessage;
import com.alibaba.sdk.android.oss.internal.ResponseMessage;
import com.alibaba.sdk.android.oss.internal.ResponseParser;
import com.alibaba.sdk.android.oss.internal.ResponseParsers;
import com.alibaba.sdk.android.oss.model.GetObjectRequest;
import com.alibaba.sdk.android.oss.model.ListBucketsRequest;
import com.alibaba.sdk.android.oss.model.OSSRequest;
import com.alibaba.sdk.android.oss.model.OSSResult;
import com.facebook.stetho.common.Utf8Charset;
import com.facebook.stetho.server.http.HttpHeaders;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InterruptedIOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Callable;
import java.util.zip.CheckedInputStream;
import okhttp3.Call;
import okhttp3.Headers;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public class OSSRequestTask<T extends OSSResult> implements Callable<T> {

    /* renamed from: a  reason: collision with root package name */
    private ResponseParser<T> f1257a;
    private RequestMessage b;
    private ExecutionContext c;
    private OkHttpClient d;
    private OSSRetryHandler e;
    private int f = 0;

    public OSSRequestTask(RequestMessage requestMessage, ResponseParser responseParser, ExecutionContext executionContext, int i) {
        this.f1257a = responseParser;
        this.b = requestMessage;
        this.c = executionContext;
        this.d = executionContext.c();
        this.e = new OSSRetryHandler(i);
    }

    /* JADX WARNING: Removed duplicated region for block: B:106:0x0343  */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x0386  */
    /* JADX WARNING: Removed duplicated region for block: B:123:0x03b8  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0165  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x018a  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x01bc  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x02e8  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02f8  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x0319 A[SYNTHETIC, Splitter:B:98:0x0319] */
    /* renamed from: a */
    public T call() throws Exception {
        Exception exc;
        ResponseMessage responseMessage;
        Request request;
        Call call;
        OSSRetryType a2;
        Call call2;
        Exception e2;
        String str;
        long j;
        String str2;
        FileInputStream fileInputStream;
        long d2;
        ParcelFileDescriptor parcelFileDescriptor;
        Throwable th;
        try {
            if (this.c.a() != null) {
                OSSLog.a(OSSUtils.a(this.c.a()));
            }
            OSSLog.b("[call] - ");
            OSSRequest b2 = this.c.b();
            OSSUtils.a(b2, this.b);
            OSSUtils.b(this.b);
            if (!this.c.d().a()) {
                Request.Builder builder = new Request.Builder();
                if (b2 instanceof ListBucketsRequest) {
                    str = this.b.r();
                } else {
                    str = this.b.s();
                }
                Request.Builder url = builder.url(str);
                for (String str3 : this.b.a().keySet()) {
                    url = url.addHeader(str3, (String) this.b.a().get(str3));
                }
                String str4 = (String) this.b.a().get(HttpHeaders.CONTENT_TYPE);
                OSSLog.b("request method = " + this.b.f());
                switch (this.b.f()) {
                    case POST:
                    case PUT:
                        OSSUtils.a(str4 != null, "Content type can't be null when upload!");
                        if (this.b.m() == null) {
                            if (this.b.l() != null) {
                                File file = new File(this.b.l());
                                FileInputStream fileInputStream2 = new FileInputStream(file);
                                long length = file.length();
                                if (length > 0) {
                                    str2 = null;
                                    fileInputStream = fileInputStream2;
                                    j = length;
                                } else {
                                    throw new ClientException("the length of file is 0!");
                                }
                            } else if (this.b.n() != null) {
                                fileInputStream = this.c.a().getContentResolver().openInputStream(this.b.n());
                                try {
                                    parcelFileDescriptor = this.c.a().getContentResolver().openFileDescriptor(this.b.n(), "r");
                                    try {
                                        j = parcelFileDescriptor.getStatSize();
                                        if (parcelFileDescriptor != null) {
                                            parcelFileDescriptor.close();
                                        }
                                        str2 = null;
                                    } catch (Throwable th2) {
                                        th = th2;
                                        if (parcelFileDescriptor != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Throwable th3) {
                                    th = th3;
                                    parcelFileDescriptor = null;
                                    if (parcelFileDescriptor != null) {
                                        parcelFileDescriptor.close();
                                    }
                                    throw th;
                                }
                            } else if (this.b.b() != null) {
                                fileInputStream = this.b.b();
                                d2 = this.b.d();
                            } else {
                                j = 0;
                                str2 = this.b.c();
                                fileInputStream = null;
                            }
                            if (fileInputStream != null) {
                                if (str2 != null) {
                                    url = url.method(this.b.f().toString(), RequestBody.create(MediaType.parse(str4), str2.getBytes(Utf8Charset.NAME)));
                                    break;
                                } else {
                                    url = url.method(this.b.f().toString(), RequestBody.create((MediaType) null, new byte[0]));
                                    break;
                                }
                            } else {
                                if (this.b.p()) {
                                    fileInputStream = new CheckedInputStream(fileInputStream, new CRC64());
                                }
                                this.b.a(fileInputStream);
                                this.b.a(j);
                                url = url.method(this.b.f().toString(), NetworkProgressHelper.a(fileInputStream, j, str4, this.c));
                                break;
                            }
                        } else {
                            fileInputStream = new ByteArrayInputStream(this.b.m());
                            d2 = (long) this.b.m().length;
                        }
                        j = d2;
                        str2 = null;
                        if (fileInputStream != null) {
                        }
                    case GET:
                        url = url.get();
                        break;
                    case HEAD:
                        url = url.head();
                        break;
                    case DELETE:
                        url = url.delete();
                        break;
                }
                request = url.build();
                try {
                    if (b2 instanceof GetObjectRequest) {
                        this.d = NetworkProgressHelper.a(this.d, this.c);
                        OSSLog.b("getObject");
                    }
                    call = this.d.newCall(request);
                    try {
                        this.c.d().a(call);
                        Response execute = call.execute();
                        if (OSSLog.b()) {
                            Map<String, List<String>> multimap = execute.headers().toMultimap();
                            StringBuilder sb = new StringBuilder();
                            sb.append("response:---------------------\n");
                            sb.append("response code: " + execute.code() + " for url: " + request.url() + "\n");
                            for (String str5 : multimap.keySet()) {
                                sb.append("responseHeader [" + str5 + "]: ");
                                StringBuilder sb2 = new StringBuilder();
                                sb2.append(multimap.get(str5).get(0));
                                sb2.append("\n");
                                sb.append(sb2.toString());
                            }
                            OSSLog.b(sb.toString());
                        }
                        responseMessage = a(this.b, execute);
                        exc = null;
                    } catch (Exception e3) {
                        call2 = call;
                        e2 = e3;
                        OSSLog.c("Encounter local execpiton: " + e2.toString());
                        if (OSSLog.b()) {
                        }
                        exc = new ClientException(e2.getMessage(), e2);
                        call = call2;
                        responseMessage = null;
                        if (exc != null) {
                        }
                        if (exc == null) {
                        }
                        if (call != null) {
                        }
                        a2 = this.e.a(r2, this.f);
                        OSSLog.c("[run] - retry, retry type: " + a2);
                        if (a2 != OSSRetryType.OSSRetryTypeShouldRetry) {
                        }
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    call2 = null;
                    OSSLog.c("Encounter local execpiton: " + e2.toString());
                    if (OSSLog.b()) {
                        e2.printStackTrace();
                    }
                    exc = new ClientException(e2.getMessage(), e2);
                    call = call2;
                    responseMessage = null;
                    if (exc != null) {
                    }
                    if (exc == null) {
                    }
                    if (call != null) {
                    }
                    a2 = this.e.a(r2, this.f);
                    OSSLog.c("[run] - retry, retry type: " + a2);
                    if (a2 != OSSRetryType.OSSRetryTypeShouldRetry) {
                    }
                }
                if (exc != null && (responseMessage.f() == 203 || responseMessage.f() >= 300)) {
                    exc = ResponseParsers.a(responseMessage, request.method().equals("HEAD"));
                } else if (exc == null) {
                    try {
                        T b3 = this.f1257a.b(responseMessage);
                        if (this.c.e() != null) {
                            this.c.e().a(this.c.b(), b3);
                        }
                        return b3;
                    } catch (IOException e5) {
                        exc = new ClientException(e5.getMessage(), e5);
                    }
                }
                ClientException clientException = ((call != null || !call.isCanceled()) && !this.c.d().a()) ? exc : new ClientException("Task is cancelled!", exc.getCause(), true);
                a2 = this.e.a(clientException, this.f);
                OSSLog.c("[run] - retry, retry type: " + a2);
                if (a2 != OSSRetryType.OSSRetryTypeShouldRetry) {
                    this.f++;
                    if (this.c.g() != null) {
                        this.c.g().a();
                    }
                    try {
                        Thread.sleep(this.e.a(this.f, a2));
                    } catch (InterruptedException e6) {
                        Thread.currentThread().interrupt();
                        e6.printStackTrace();
                    }
                    return call();
                } else if (a2 == OSSRetryType.OSSRetryTypeShouldFixedTimeSkewedAndRetry) {
                    if (responseMessage != null) {
                        String str6 = (String) responseMessage.a().get("Date");
                        try {
                            DateUtil.a(DateUtil.a(str6).getTime());
                            this.b.a().put("Date", str6);
                        } catch (Exception unused) {
                            OSSLog.c("[error] - synchronize time, reponseDate:" + str6);
                        }
                    }
                    this.f++;
                    if (this.c.g() != null) {
                        this.c.g().a();
                    }
                    return call();
                } else {
                    if (clientException instanceof ClientException) {
                        if (this.c.e() != null) {
                            this.c.e().a(this.c.b(), clientException, null);
                        }
                    } else if (this.c.e() != null) {
                        this.c.e().a(this.c.b(), null, (ServiceException) clientException);
                    }
                    throw clientException;
                }
            } else {
                throw new InterruptedIOException("This task is cancelled!");
            }
        } catch (Exception e7) {
            e2 = e7;
            request = null;
            call2 = null;
            OSSLog.c("Encounter local execpiton: " + e2.toString());
            if (OSSLog.b()) {
            }
            exc = new ClientException(e2.getMessage(), e2);
            call = call2;
            responseMessage = null;
            if (exc != null) {
            }
            if (exc == null) {
            }
            if (call != null) {
            }
            a2 = this.e.a(clientException, this.f);
            OSSLog.c("[run] - retry, retry type: " + a2);
            if (a2 != OSSRetryType.OSSRetryTypeShouldRetry) {
            }
        }
    }

    private ResponseMessage a(RequestMessage requestMessage, Response response) {
        ResponseMessage responseMessage = new ResponseMessage();
        responseMessage.a(requestMessage);
        responseMessage.a(response);
        HashMap hashMap = new HashMap();
        Headers headers = response.headers();
        for (int i = 0; i < headers.size(); i++) {
            hashMap.put(headers.name(i), headers.value(i));
        }
        responseMessage.a(hashMap);
        responseMessage.a(response.code());
        responseMessage.a(response.body().contentLength());
        responseMessage.a(response.body().byteStream());
        return responseMessage;
    }
}
