package com.facebook.cache.disk;

import android.content.Context;
import com.facebook.cache.common.CacheErrorLogger;
import com.facebook.cache.common.CacheEventListener;
import com.facebook.cache.common.NoOpCacheErrorLogger;
import com.facebook.cache.common.NoOpCacheEventListener;
import com.facebook.common.disk.DiskTrimmableRegistry;
import com.facebook.common.disk.NoOpDiskTrimmableRegistry;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Supplier;
import java.io.File;
import javax.annotation.Nullable;

public class DiskCacheConfig {

    /* renamed from: a  reason: collision with root package name */
    private final int f1449a;
    private final String b;
    private final Supplier<File> c;
    private final long d;
    private final long e;
    private final long f;
    private final EntryEvictionComparatorSupplier g;
    private final CacheErrorLogger h;
    private final CacheEventListener i;
    private final DiskTrimmableRegistry j;
    private final Context k;
    private final boolean l;

    private DiskCacheConfig(Builder builder) {
        CacheErrorLogger cacheErrorLogger;
        CacheEventListener cacheEventListener;
        DiskTrimmableRegistry diskTrimmableRegistry;
        this.f1449a = builder.f1450a;
        this.b = (String) Preconditions.a(builder.b);
        this.c = (Supplier) Preconditions.a(builder.c);
        this.d = builder.d;
        this.e = builder.e;
        this.f = builder.f;
        this.g = (EntryEvictionComparatorSupplier) Preconditions.a(builder.g);
        if (builder.h == null) {
            cacheErrorLogger = NoOpCacheErrorLogger.a();
        } else {
            cacheErrorLogger = builder.h;
        }
        this.h = cacheErrorLogger;
        if (builder.i == null) {
            cacheEventListener = NoOpCacheEventListener.b();
        } else {
            cacheEventListener = builder.i;
        }
        this.i = cacheEventListener;
        if (builder.j == null) {
            diskTrimmableRegistry = NoOpDiskTrimmableRegistry.a();
        } else {
            diskTrimmableRegistry = builder.j;
        }
        this.j = diskTrimmableRegistry;
        this.k = builder.l;
        this.l = builder.k;
    }

    public int a() {
        return this.f1449a;
    }

    public String b() {
        return this.b;
    }

    public Supplier<File> c() {
        return this.c;
    }

    public long d() {
        return this.d;
    }

    public long e() {
        return this.e;
    }

    public long f() {
        return this.f;
    }

    public EntryEvictionComparatorSupplier g() {
        return this.g;
    }

    public CacheErrorLogger h() {
        return this.h;
    }

    public CacheEventListener i() {
        return this.i;
    }

    public DiskTrimmableRegistry j() {
        return this.j;
    }

    public Context k() {
        return this.k;
    }

    public boolean l() {
        return this.l;
    }

    public static Builder a(@Nullable Context context) {
        return new Builder(context);
    }

    public static class Builder {

        /* renamed from: a  reason: collision with root package name */
        private int f1450a;
        private String b;
        private Supplier<File> c;
        private long d;
        private long e;
        private long f;
        private EntryEvictionComparatorSupplier g;
        private CacheErrorLogger h;
        private CacheEventListener i;
        private DiskTrimmableRegistry j;
        private boolean k;
        @Nullable
        private final Context l;

        private Builder(@Nullable Context context) {
            this.f1450a = 1;
            this.b = "image_cache";
            this.d = 41943040;
            this.e = 10485760;
            this.f = 2097152;
            this.g = new DefaultEntryEvictionComparatorSupplier();
            this.l = context;
        }

        public DiskCacheConfig a() {
            Preconditions.b((this.c == null && this.l == null) ? false : true, "Either a non-null context or a base directory path or supplier must be provided.");
            if (this.c == null && this.l != null) {
                this.c = new Supplier<File>() {
                    /* class com.facebook.cache.disk.DiskCacheConfig.Builder.AnonymousClass1 */

                    /* renamed from: a */
                    public File b() {
                        return Builder.this.l.getApplicationContext().getCacheDir();
                    }
                };
            }
            return new DiskCacheConfig(this);
        }
    }
}
