package com.facebook.cache.disk;

import com.facebook.binaryresource.BinaryResource;
import com.facebook.cache.common.CacheErrorLogger;
import com.facebook.cache.disk.DiskStorage;
import com.facebook.common.file.FileTree;
import com.facebook.common.file.FileUtils;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Supplier;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.logging.FLog;
import java.io.File;
import java.io.IOException;
import java.util.Collection;
import javax.annotation.Nullable;

public class DynamicDefaultDiskStorage implements DiskStorage {
    private static final Class<?> b = DynamicDefaultDiskStorage.class;
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    volatile State f1457a = new State(null, null);
    private final int c;
    private final Supplier<File> d;
    private final String e;
    private final CacheErrorLogger f;

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public static class State {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        public final DiskStorage f1458a;
        @Nullable
        public final File b;

        @VisibleForTesting
        State(@Nullable File file, @Nullable DiskStorage diskStorage) {
            this.f1458a = diskStorage;
            this.b = file;
        }
    }

    public DynamicDefaultDiskStorage(int i, Supplier<File> supplier, String str, CacheErrorLogger cacheErrorLogger) {
        this.c = i;
        this.f = cacheErrorLogger;
        this.d = supplier;
        this.e = str;
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public boolean a() {
        try {
            return d().a();
        } catch (IOException unused) {
            return false;
        }
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public BinaryResource b(String str, Object obj) throws IOException {
        return d().b(str, obj);
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public boolean c(String str, Object obj) throws IOException {
        return d().c(str, obj);
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public void b() {
        try {
            d().b();
        } catch (IOException e2) {
            FLog.b(b, "purgeUnexpectedResources", (Throwable) e2);
        }
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public DiskStorage.Inserter a(String str, Object obj) throws IOException {
        return d().a(str, obj);
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public Collection<DiskStorage.Entry> e() throws IOException {
        return d().e();
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public long a(DiskStorage.Entry entry) throws IOException {
        return d().a(entry);
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public long b(String str) throws IOException {
        return d().b(str);
    }

    @Override // com.facebook.cache.disk.DiskStorage
    public void c() throws IOException {
        d().c();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public synchronized DiskStorage d() throws IOException {
        if (g()) {
            f();
            h();
        }
        return (DiskStorage) Preconditions.a(this.f1457a.f1458a);
    }

    private boolean g() {
        State state = this.f1457a;
        return state.f1458a == null || state.b == null || !state.b.exists();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void f() {
        if (this.f1457a.f1458a != null && this.f1457a.b != null) {
            FileTree.b(this.f1457a.b);
        }
    }

    private void h() throws IOException {
        File file = new File(this.d.b(), this.e);
        a(file);
        this.f1457a = new State(file, new DefaultDiskStorage(file, this.c, this.f));
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void a(File file) throws IOException {
        try {
            FileUtils.a(file);
            FLog.b(b, "Created cache directory %s", file.getAbsolutePath());
        } catch (FileUtils.CreateDirectoryException e2) {
            this.f.a(CacheErrorLogger.CacheErrorCategory.WRITE_CREATE_DIR, b, "createRootDirectoryIfNecessary", e2);
            throw e2;
        }
    }
}
