package com.facebook.common.internal;

import java.util.Arrays;
import javax.annotation.CheckReturnValue;
import javax.annotation.Nullable;

public final class Objects {
    private Objects() {
    }

    @CheckReturnValue
    public static boolean a(@Nullable Object obj, @Nullable Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    public static int a(@Nullable Object... objArr) {
        return Arrays.hashCode(objArr);
    }

    public static ToStringHelper a(Object obj) {
        return new ToStringHelper(a(obj.getClass()));
    }

    private static String a(Class<?> cls) {
        String replaceAll = cls.getName().replaceAll("\\$[0-9]+", "\\$");
        int lastIndexOf = replaceAll.lastIndexOf(36);
        if (lastIndexOf == -1) {
            lastIndexOf = replaceAll.lastIndexOf(46);
        }
        return replaceAll.substring(lastIndexOf + 1);
    }

    public static final class ToStringHelper {

        /* renamed from: a  reason: collision with root package name */
        private final String f1472a;
        private ValueHolder b;
        private ValueHolder c;
        private boolean d;

        private ToStringHelper(String str) {
            this.b = new ValueHolder();
            this.c = this.b;
            this.d = false;
            this.f1472a = (String) Preconditions.a(str);
        }

        public ToStringHelper a(String str, @Nullable Object obj) {
            return b(str, obj);
        }

        public ToStringHelper a(String str, boolean z) {
            return b(str, String.valueOf(z));
        }

        public ToStringHelper a(String str, int i) {
            return b(str, String.valueOf(i));
        }

        public String toString() {
            boolean z = this.d;
            String str = "";
            StringBuilder sb = new StringBuilder(32);
            sb.append(this.f1472a);
            sb.append('{');
            for (ValueHolder valueHolder = this.b.c; valueHolder != null; valueHolder = valueHolder.c) {
                if (!z || valueHolder.b != null) {
                    sb.append(str);
                    str = ", ";
                    if (valueHolder.f1473a != null) {
                        sb.append(valueHolder.f1473a);
                        sb.append('=');
                    }
                    sb.append(valueHolder.b);
                }
            }
            sb.append('}');
            return sb.toString();
        }

        private ValueHolder a() {
            ValueHolder valueHolder = new ValueHolder();
            this.c.c = valueHolder;
            this.c = valueHolder;
            return valueHolder;
        }

        private ToStringHelper b(String str, @Nullable Object obj) {
            ValueHolder a2 = a();
            a2.b = obj;
            a2.f1473a = (String) Preconditions.a(str);
            return this;
        }

        /* access modifiers changed from: private */
        public static final class ValueHolder {

            /* renamed from: a  reason: collision with root package name */
            String f1473a;
            Object b;
            ValueHolder c;

            private ValueHolder() {
            }
        }
    }
}
