package com.facebook.common.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import java.io.InputStream;
import javax.annotation.concurrent.NotThreadSafe;

@NotThreadSafe
public class PooledByteBufferInputStream extends InputStream {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    final PooledByteBuffer f1481a;
    @VisibleForTesting
    int b = 0;
    @VisibleForTesting
    int c = 0;

    public boolean markSupported() {
        return true;
    }

    public PooledByteBufferInputStream(PooledByteBuffer pooledByteBuffer) {
        Preconditions.a(!pooledByteBuffer.b());
        this.f1481a = (PooledByteBuffer) Preconditions.a(pooledByteBuffer);
    }

    @Override // java.io.InputStream
    public int available() {
        return this.f1481a.a() - this.b;
    }

    public void mark(int i) {
        this.c = this.b;
    }

    @Override // java.io.InputStream
    public int read() {
        if (available() <= 0) {
            return -1;
        }
        PooledByteBuffer pooledByteBuffer = this.f1481a;
        int i = this.b;
        this.b = i + 1;
        return pooledByteBuffer.a(i) & 255;
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr) {
        return read(bArr, 0, bArr.length);
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i, int i2) {
        if (i < 0 || i2 < 0 || i + i2 > bArr.length) {
            throw new ArrayIndexOutOfBoundsException("length=" + bArr.length + "; regionStart=" + i + "; regionLength=" + i2);
        }
        int available = available();
        if (available <= 0) {
            return -1;
        }
        if (i2 <= 0) {
            return 0;
        }
        int min = Math.min(available, i2);
        this.f1481a.a(this.b, bArr, i, min);
        this.b += min;
        return min;
    }

    @Override // java.io.InputStream
    public void reset() {
        this.b = this.c;
    }

    @Override // java.io.InputStream
    public long skip(long j) {
        Preconditions.a(j >= 0);
        int min = Math.min((int) j, available());
        this.b += min;
        return (long) min;
    }
}
