package com.facebook.common.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class PooledByteStreams {

    /* renamed from: a  reason: collision with root package name */
    private final int f1482a;
    private final ByteArrayPool b;

    public PooledByteStreams(ByteArrayPool byteArrayPool) {
        this(byteArrayPool, 16384);
    }

    @VisibleForTesting
    public PooledByteStreams(ByteArrayPool byteArrayPool, int i) {
        Preconditions.a(i > 0);
        this.f1482a = i;
        this.b = byteArrayPool;
    }

    public long a(InputStream inputStream, OutputStream outputStream) throws IOException {
        byte[] bArr = (byte[]) this.b.a(this.f1482a);
        long j = 0;
        while (true) {
            try {
                int read = inputStream.read(bArr, 0, this.f1482a);
                if (read == -1) {
                    return j;
                }
                outputStream.write(bArr, 0, read);
                j += (long) read;
            } finally {
                this.b.a(bArr);
            }
        }
    }
}
