package com.facebook.common.references;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.logging.FLog;
import java.util.IdentityHashMap;
import java.util.Map;
import javax.annotation.concurrent.GuardedBy;

@VisibleForTesting
public class SharedReference<T> {
    @GuardedBy

    /* renamed from: a  reason: collision with root package name */
    private static final Map<Object, Integer> f1488a = new IdentityHashMap();
    @GuardedBy
    private T b;
    @GuardedBy
    private int c = 1;
    private final ResourceReleaser<T> d;

    public SharedReference(T t, ResourceReleaser<T> resourceReleaser) {
        this.b = (T) Preconditions.a(t);
        this.d = (ResourceReleaser) Preconditions.a(resourceReleaser);
        a((Object) t);
    }

    private static void a(Object obj) {
        synchronized (f1488a) {
            Integer num = f1488a.get(obj);
            if (num == null) {
                f1488a.put(obj, 1);
            } else {
                f1488a.put(obj, Integer.valueOf(num.intValue() + 1));
            }
        }
    }

    private static void b(Object obj) {
        synchronized (f1488a) {
            Integer num = f1488a.get(obj);
            if (num == null) {
                FLog.c("SharedReference", "No entry in sLiveObjects for value of type %s", obj.getClass());
            } else if (num.intValue() == 1) {
                f1488a.remove(obj);
            } else {
                f1488a.put(obj, Integer.valueOf(num.intValue() - 1));
            }
        }
    }

    public synchronized T a() {
        return this.b;
    }

    public synchronized boolean b() {
        return this.c > 0;
    }

    public static boolean a(SharedReference<?> sharedReference) {
        return sharedReference != null && sharedReference.b();
    }

    public synchronized void c() {
        f();
        this.c++;
    }

    public void d() {
        T t;
        if (e() == 0) {
            synchronized (this) {
                t = this.b;
                this.b = null;
            }
            this.d.a(t);
            b(t);
        }
    }

    private synchronized int e() {
        f();
        Preconditions.a(this.c > 0);
        this.c--;
        return this.c;
    }

    private void f() {
        if (!a((SharedReference<?>) this)) {
            throw new NullReferenceException();
        }
    }

    public static class NullReferenceException extends RuntimeException {
        public NullReferenceException() {
            super("Null shared reference");
        }
    }
}
