package com.facebook.common.streams;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

public class LimitedInputStream extends FilterInputStream {

    /* renamed from: a  reason: collision with root package name */
    private int f1492a;
    private int b;

    public LimitedInputStream(InputStream inputStream, int i) {
        super(inputStream);
        if (inputStream == null) {
            throw new NullPointerException();
        } else if (i >= 0) {
            this.f1492a = i;
            this.b = -1;
        } else {
            throw new IllegalArgumentException("limit must be >= 0");
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read() throws IOException {
        if (this.f1492a == 0) {
            return -1;
        }
        int read = this.in.read();
        if (read != -1) {
            this.f1492a--;
        }
        return read;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read(byte[] bArr, int i, int i2) throws IOException {
        if (this.f1492a == 0) {
            return -1;
        }
        int read = this.in.read(bArr, i, Math.min(i2, this.f1492a));
        if (read > 0) {
            this.f1492a -= read;
        }
        return read;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public long skip(long j) throws IOException {
        long skip = this.in.skip(Math.min(j, (long) this.f1492a));
        this.f1492a = (int) (((long) this.f1492a) - skip);
        return skip;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int available() throws IOException {
        return Math.min(this.in.available(), this.f1492a);
    }

    public void mark(int i) {
        if (this.in.markSupported()) {
            this.in.mark(i);
            this.b = this.f1492a;
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public void reset() throws IOException {
        if (!this.in.markSupported()) {
            throw new IOException("mark is not supported");
        } else if (this.b != -1) {
            this.in.reset();
            this.f1492a = this.b;
        } else {
            throw new IOException("mark not set");
        }
    }
}
