package com.facebook.datasource;

import com.facebook.common.executors.CallerThreadExecutor;
import com.facebook.common.internal.Objects;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Supplier;
import java.util.List;
import javax.annotation.Nullable;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class FirstAvailableDataSourceSupplier<T> implements Supplier<DataSource<T>> {

    /* renamed from: a  reason: collision with root package name */
    private final List<Supplier<DataSource<T>>> f1507a;

    private FirstAvailableDataSourceSupplier(List<Supplier<DataSource<T>>> list) {
        Preconditions.a(!list.isEmpty(), "List of suppliers is empty!");
        this.f1507a = list;
    }

    public static <T> FirstAvailableDataSourceSupplier<T> a(List<Supplier<DataSource<T>>> list) {
        return new FirstAvailableDataSourceSupplier<>(list);
    }

    /* renamed from: a */
    public DataSource<T> b() {
        return new FirstAvailableDataSource();
    }

    public int hashCode() {
        return this.f1507a.hashCode();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof FirstAvailableDataSourceSupplier)) {
            return false;
        }
        return Objects.a(this.f1507a, ((FirstAvailableDataSourceSupplier) obj).f1507a);
    }

    public String toString() {
        return Objects.a(this).a("list", this.f1507a).toString();
    }

    /* access modifiers changed from: private */
    @ThreadSafe
    public class FirstAvailableDataSource extends AbstractDataSource<T> {
        private int b = 0;
        private DataSource<T> c = null;
        private DataSource<T> d = null;

        public FirstAvailableDataSource() {
            if (!j()) {
                a((Throwable) new RuntimeException("No data source supplier or supplier returned null."));
            }
        }

        @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
        @Nullable
        public synchronized T d() {
            DataSource<T> l;
            l = l();
            return l != null ? l.d() : null;
        }

        @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
        public synchronized boolean c() {
            DataSource<T> l;
            l = l();
            return l != null && l.c();
        }

        @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
        public boolean h() {
            synchronized (this) {
                if (!super.h()) {
                    return false;
                }
                DataSource<T> dataSource = this.c;
                this.c = null;
                DataSource<T> dataSource2 = this.d;
                this.d = null;
                e(dataSource2);
                e(dataSource);
                return true;
            }
        }

        private boolean j() {
            Supplier<DataSource<T>> k = k();
            DataSource<T> b2 = k != null ? k.b() : null;
            if (!a((DataSource) b2) || b2 == null) {
                e(b2);
                return false;
            }
            b2.a(new InternalDataSubscriber(), CallerThreadExecutor.a());
            return true;
        }

        @Nullable
        private synchronized Supplier<DataSource<T>> k() {
            if (a() || this.b >= FirstAvailableDataSourceSupplier.this.f1507a.size()) {
                return null;
            }
            List list = FirstAvailableDataSourceSupplier.this.f1507a;
            int i = this.b;
            this.b = i + 1;
            return (Supplier) list.get(i);
        }

        private synchronized boolean a(DataSource<T> dataSource) {
            if (a()) {
                return false;
            }
            this.c = dataSource;
            return true;
        }

        private synchronized boolean b(DataSource<T> dataSource) {
            if (!a()) {
                if (dataSource == this.c) {
                    this.c = null;
                    return true;
                }
            }
            return false;
        }

        @Nullable
        private synchronized DataSource<T> l() {
            return this.d;
        }

        private void a(DataSource<T> dataSource, boolean z) {
            DataSource<T> dataSource2;
            synchronized (this) {
                if (dataSource == this.c) {
                    if (dataSource != this.d) {
                        if (this.d != null) {
                            if (!z) {
                                dataSource2 = null;
                                e(dataSource2);
                            }
                        }
                        DataSource<T> dataSource3 = this.d;
                        this.d = dataSource;
                        dataSource2 = dataSource3;
                        e(dataSource2);
                    }
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void c(DataSource<T> dataSource) {
            if (b(dataSource)) {
                if (dataSource != l()) {
                    e(dataSource);
                }
                if (!j()) {
                    a(dataSource.f());
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void d(DataSource<T> dataSource) {
            a((DataSource) dataSource, dataSource.b());
            if (dataSource == l()) {
                a((Object) null, dataSource.b());
            }
        }

        private void e(DataSource<T> dataSource) {
            if (dataSource != null) {
                dataSource.h();
            }
        }

        /* access modifiers changed from: private */
        public class InternalDataSubscriber implements DataSubscriber<T> {
            @Override // com.facebook.datasource.DataSubscriber
            public void c(DataSource<T> dataSource) {
            }

            private InternalDataSubscriber() {
            }

            @Override // com.facebook.datasource.DataSubscriber
            public void b(DataSource<T> dataSource) {
                FirstAvailableDataSource.this.c(dataSource);
            }

            @Override // com.facebook.datasource.DataSubscriber
            public void a(DataSource<T> dataSource) {
                if (dataSource.c()) {
                    FirstAvailableDataSource.this.d(dataSource);
                } else if (dataSource.b()) {
                    FirstAvailableDataSource.this.c(dataSource);
                }
            }

            @Override // com.facebook.datasource.DataSubscriber
            public void d(DataSource<T> dataSource) {
                FirstAvailableDataSource.this.a(Math.max(FirstAvailableDataSource.this.g(), dataSource.g()));
            }
        }
    }
}
