package com.facebook.drawee.backends.pipeline;

import android.content.Context;
import com.facebook.common.logging.FLog;
import com.facebook.drawee.view.SimpleDraweeView;
import com.facebook.imagepipeline.core.ImagePipeline;
import com.facebook.imagepipeline.core.ImagePipelineConfig;
import com.facebook.imagepipeline.core.ImagePipelineFactory;
import javax.annotation.Nullable;

public class Fresco {

    /* renamed from: a  reason: collision with root package name */
    private static final Class<?> f1518a = Fresco.class;
    private static PipelineDraweeControllerBuilderSupplier b = null;
    private static volatile boolean c = false;

    private Fresco() {
    }

    public static void a(Context context, @Nullable ImagePipelineConfig imagePipelineConfig) {
        a(context, imagePipelineConfig, null);
    }

    public static void a(Context context, @Nullable ImagePipelineConfig imagePipelineConfig, @Nullable DraweeConfig draweeConfig) {
        if (c) {
            FLog.c(f1518a, "Fresco has already been initialized! `Fresco.initialize(...)` should only be called 1 single time to avoid memory leaks!");
        } else {
            c = true;
        }
        Context applicationContext = context.getApplicationContext();
        if (imagePipelineConfig == null) {
            ImagePipelineFactory.a(applicationContext);
        } else {
            ImagePipelineFactory.a(imagePipelineConfig);
        }
        a(applicationContext, draweeConfig);
    }

    private static void a(Context context, @Nullable DraweeConfig draweeConfig) {
        b = new PipelineDraweeControllerBuilderSupplier(context, draweeConfig);
        SimpleDraweeView.a(b);
    }

    public static PipelineDraweeControllerBuilder a() {
        return b.b();
    }

    public static ImagePipelineFactory b() {
        return ImagePipelineFactory.a();
    }

    public static ImagePipeline c() {
        return b().i();
    }
}
