package com.facebook.drawee.backends.pipeline;

import android.content.Context;
import android.net.Uri;
import com.facebook.cache.common.CacheKey;
import com.facebook.common.references.CloseableReference;
import com.facebook.datasource.DataSource;
import com.facebook.drawee.controller.AbstractDraweeControllerBuilder;
import com.facebook.drawee.controller.ControllerListener;
import com.facebook.drawee.interfaces.DraweeController;
import com.facebook.imagepipeline.cache.CacheKeyFactory;
import com.facebook.imagepipeline.common.RotationOptions;
import com.facebook.imagepipeline.core.ImagePipeline;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.image.ImageInfo;
import com.facebook.imagepipeline.request.ImageRequest;
import com.facebook.imagepipeline.request.ImageRequestBuilder;
import java.util.Set;
import javax.annotation.Nullable;

public class PipelineDraweeControllerBuilder extends AbstractDraweeControllerBuilder<PipelineDraweeControllerBuilder, ImageRequest, CloseableReference<CloseableImage>, ImageInfo> {

    /* renamed from: a  reason: collision with root package name */
    private final ImagePipeline f1521a;
    private final PipelineDraweeControllerFactory b;

    /* access modifiers changed from: protected */
    /* renamed from: b */
    public PipelineDraweeControllerBuilder c() {
        return this;
    }

    public PipelineDraweeControllerBuilder(Context context, PipelineDraweeControllerFactory pipelineDraweeControllerFactory, ImagePipeline imagePipeline, Set<ControllerListener> set) {
        super(context, set);
        this.f1521a = imagePipeline;
        this.b = pipelineDraweeControllerFactory;
    }

    /* renamed from: a */
    public PipelineDraweeControllerBuilder b(@Nullable Uri uri) {
        if (uri == null) {
            return (PipelineDraweeControllerBuilder) super.b((Object) null);
        }
        return (PipelineDraweeControllerBuilder) super.b(ImageRequestBuilder.a(uri).a(RotationOptions.c()).n());
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public PipelineDraweeController d() {
        DraweeController k = k();
        if (!(k instanceof PipelineDraweeController)) {
            return this.b.a(p(), o(), r(), f());
        }
        PipelineDraweeController pipelineDraweeController = (PipelineDraweeController) k;
        pipelineDraweeController.a(p(), o(), r(), f());
        return pipelineDraweeController;
    }

    private CacheKey r() {
        ImageRequest imageRequest = (ImageRequest) g();
        CacheKeyFactory e = this.f1521a.e();
        if (e == null || imageRequest == null) {
            return null;
        }
        if (imageRequest.p() != null) {
            return e.b(imageRequest, f());
        }
        return e.a(imageRequest, f());
    }

    /* access modifiers changed from: protected */
    public DataSource<CloseableReference<CloseableImage>> a(ImageRequest imageRequest, Object obj, AbstractDraweeControllerBuilder.CacheLevel cacheLevel) {
        return this.f1521a.a(imageRequest, obj, a(cacheLevel));
    }

    public static ImageRequest.RequestLevel a(AbstractDraweeControllerBuilder.CacheLevel cacheLevel) {
        switch (cacheLevel) {
            case FULL_FETCH:
                return ImageRequest.RequestLevel.FULL_FETCH;
            case DISK_CACHE:
                return ImageRequest.RequestLevel.DISK_CACHE;
            case BITMAP_MEMORY_CACHE:
                return ImageRequest.RequestLevel.BITMAP_MEMORY_CACHE;
            default:
                throw new RuntimeException("Cache level" + cacheLevel + "is not supported. ");
        }
    }
}
