package com.facebook.drawee.backends.pipeline;

import android.content.Context;
import com.facebook.common.executors.UiThreadImmediateExecutorService;
import com.facebook.common.internal.Supplier;
import com.facebook.drawee.components.DeferredReleaser;
import com.facebook.drawee.controller.ControllerListener;
import com.facebook.imagepipeline.animated.factory.AnimatedDrawableFactory;
import com.facebook.imagepipeline.animated.factory.AnimatedFactory;
import com.facebook.imagepipeline.core.ImagePipeline;
import com.facebook.imagepipeline.core.ImagePipelineFactory;
import java.util.Set;
import javax.annotation.Nullable;

public class PipelineDraweeControllerBuilderSupplier implements Supplier<PipelineDraweeControllerBuilder> {

    /* renamed from: a  reason: collision with root package name */
    private final Context f1523a;
    private final ImagePipeline b;
    private final PipelineDraweeControllerFactory c;
    private final Set<ControllerListener> d;

    public PipelineDraweeControllerBuilderSupplier(Context context, @Nullable DraweeConfig draweeConfig) {
        this(context, ImagePipelineFactory.a(), draweeConfig);
    }

    public PipelineDraweeControllerBuilderSupplier(Context context, ImagePipelineFactory imagePipelineFactory, @Nullable DraweeConfig draweeConfig) {
        this(context, imagePipelineFactory, null, draweeConfig);
    }

    public PipelineDraweeControllerBuilderSupplier(Context context, ImagePipelineFactory imagePipelineFactory, Set<ControllerListener> set, @Nullable DraweeConfig draweeConfig) {
        this.f1523a = context;
        this.b = imagePipelineFactory.i();
        AnimatedFactory b2 = imagePipelineFactory.b();
        Supplier<Boolean> supplier = null;
        AnimatedDrawableFactory a2 = b2 != null ? b2.a(context) : null;
        if (draweeConfig == null || draweeConfig.b() == null) {
            this.c = new PipelineDraweeControllerFactory();
        } else {
            this.c = draweeConfig.b();
        }
        this.c.a(context.getResources(), DeferredReleaser.a(), a2, UiThreadImmediateExecutorService.b(), this.b.d(), draweeConfig != null ? draweeConfig.a() : null, draweeConfig != null ? draweeConfig.c() : supplier);
        this.d = set;
    }

    /* renamed from: a */
    public PipelineDraweeControllerBuilder b() {
        return new PipelineDraweeControllerBuilder(this.f1523a, this.c, this.b, this.d);
    }
}
