package com.facebook.drawee.controller;

import android.graphics.drawable.Animatable;
import android.util.Log;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Nullable;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class ForwardingControllerListener<INFO> implements ControllerListener<INFO> {

    /* renamed from: a  reason: collision with root package name */
    private final List<ControllerListener<? super INFO>> f1536a = new ArrayList(2);

    public synchronized void a(ControllerListener<? super INFO> controllerListener) {
        this.f1536a.add(controllerListener);
    }

    public synchronized void a() {
        this.f1536a.clear();
    }

    private synchronized void c(String str, Throwable th) {
        Log.e("FdingControllerListener", str, th);
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public synchronized void a(String str, Object obj) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).a(str, obj);
            } catch (Exception e) {
                c("InternalListener exception in onSubmit", e);
            }
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public synchronized void a(String str, @Nullable INFO info, @Nullable Animatable animatable) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).a(str, info, animatable);
            } catch (Exception e) {
                c("InternalListener exception in onFinalImageSet", e);
            }
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void b(String str, @Nullable INFO info) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).b(str, (Object) info);
            } catch (Exception e) {
                c("InternalListener exception in onIntermediateImageSet", e);
            }
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public void a(String str, Throwable th) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).a(str, th);
            } catch (Exception e) {
                c("InternalListener exception in onIntermediateImageFailed", e);
            }
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public synchronized void b(String str, Throwable th) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).b(str, th);
            } catch (Exception e) {
                c("InternalListener exception in onFailure", e);
            }
        }
    }

    @Override // com.facebook.drawee.controller.ControllerListener
    public synchronized void a(String str) {
        int size = this.f1536a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1536a.get(i).a(str);
            } catch (Exception e) {
                c("InternalListener exception in onRelease", e);
            }
        }
    }
}
