package com.facebook.drawee.debug;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.drawee.drawable.ScalingUtils;
import javax.annotation.Nullable;

public class DebugControllerOverlayDrawable extends Drawable {

    /* renamed from: a  reason: collision with root package name */
    private String f1537a;
    private int b;
    private int c;
    private int d;
    private String e;
    private ScalingUtils.ScaleType f;
    private int g;
    private int h;
    private int i = 80;
    private final Paint j = new Paint(1);
    private final Matrix k = new Matrix();
    private final Rect l = new Rect();
    private final RectF m = new RectF();
    private int n;
    private int o;
    private int p;
    private int q;
    private int r;

    public int getOpacity() {
        return -3;
    }

    public void setAlpha(int i2) {
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    public DebugControllerOverlayDrawable() {
        a();
    }

    public void a() {
        this.b = -1;
        this.c = -1;
        this.d = -1;
        this.g = -1;
        this.h = -1;
        this.e = null;
        a((String) null);
        invalidateSelf();
    }

    public void a(@Nullable String str) {
        if (str == null) {
            str = "none";
        }
        this.f1537a = str;
        invalidateSelf();
    }

    public void a(int i2, int i3) {
        this.b = i2;
        this.c = i3;
        invalidateSelf();
    }

    public void a(int i2) {
        this.d = i2;
    }

    public void a(ScalingUtils.ScaleType scaleType) {
        this.f = scaleType;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        a(rect, 7, 7);
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        this.j.setStyle(Paint.Style.STROKE);
        this.j.setStrokeWidth(2.0f);
        this.j.setColor(-26624);
        canvas.drawRect((float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, this.j);
        this.j.setStyle(Paint.Style.FILL);
        this.j.setColor(a(this.b, this.c, this.f));
        canvas.drawRect((float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, this.j);
        this.j.setStyle(Paint.Style.FILL);
        this.j.setStrokeWidth(0.0f);
        this.j.setColor(-1);
        this.q = this.n;
        this.r = this.o;
        a(canvas, "ID: %s", this.f1537a);
        a(canvas, "D: %dx%d", Integer.valueOf(bounds.width()), Integer.valueOf(bounds.height()));
        a(canvas, "I: %dx%d", Integer.valueOf(this.b), Integer.valueOf(this.c));
        a(canvas, "I: %d KiB", Integer.valueOf(this.d / 1024));
        if (this.e != null) {
            a(canvas, "i format: %s", this.e);
        }
        if (this.g > 0) {
            a(canvas, "anim: f %d, l %d", Integer.valueOf(this.g), Integer.valueOf(this.h));
        }
        if (this.f != null) {
            a(canvas, "scale: %s", this.f);
        }
    }

    private void a(Rect rect, int i2, int i3) {
        int min = Math.min(40, Math.max(12, Math.min(rect.width() / i3, rect.height() / i2)));
        this.j.setTextSize((float) min);
        this.p = min + 8;
        if (this.i == 80) {
            this.p *= -1;
        }
        this.n = rect.left + 10;
        this.o = this.i == 80 ? rect.bottom - 10 : rect.top + 10 + 12;
    }

    private void a(Canvas canvas, String str, @Nullable Object... objArr) {
        if (objArr == null) {
            canvas.drawText(str, (float) this.q, (float) this.r, this.j);
        } else {
            canvas.drawText(String.format(str, objArr), (float) this.q, (float) this.r, this.j);
        }
        this.r += this.p;
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int a(int i2, int i3, @Nullable ScalingUtils.ScaleType scaleType) {
        int width = getBounds().width();
        int height = getBounds().height();
        if (width <= 0 || height <= 0 || i2 <= 0 || i3 <= 0) {
            return 1727284022;
        }
        if (scaleType != null) {
            Rect rect = this.l;
            this.l.top = 0;
            rect.left = 0;
            this.l.right = width;
            this.l.bottom = height;
            this.k.reset();
            scaleType.a(this.k, this.l, i2, i3, 0.0f, 0.0f);
            RectF rectF = this.m;
            this.m.top = 0.0f;
            rectF.left = 0.0f;
            this.m.right = (float) i2;
            this.m.bottom = (float) i3;
            this.k.mapRect(this.m);
            width = Math.min(width, (int) this.m.width());
            height = Math.min(height, (int) this.m.height());
        }
        float f2 = (float) width;
        float f3 = f2 * 0.1f;
        float f4 = f2 * 0.5f;
        float f5 = (float) height;
        float f6 = 0.1f * f5;
        float f7 = f5 * 0.5f;
        int abs = Math.abs(i2 - width);
        int abs2 = Math.abs(i3 - height);
        float f8 = (float) abs;
        if (f8 < f3 && ((float) abs2) < f6) {
            return 1716301648;
        }
        if (f8 >= f4 || ((float) abs2) >= f7) {
            return 1727284022;
        }
        return 1728026624;
    }
}
