package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;

public class AutoRotateDrawable extends ForwardingDrawable implements CloneableDrawable, Runnable {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    float f1540a;
    private int c;
    private boolean d;
    private boolean e;

    public AutoRotateDrawable(Drawable drawable, int i) {
        this(drawable, i, true);
    }

    public AutoRotateDrawable(Drawable drawable, int i, boolean z) {
        super((Drawable) Preconditions.a(drawable));
        this.f1540a = 0.0f;
        this.e = false;
        this.c = i;
        this.d = z;
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void draw(Canvas canvas) {
        int save = canvas.save();
        Rect bounds = getBounds();
        int i = bounds.right - bounds.left;
        int i2 = bounds.bottom - bounds.top;
        float f = this.f1540a;
        if (!this.d) {
            f = 360.0f - this.f1540a;
        }
        canvas.rotate(f, (float) (bounds.left + (i / 2)), (float) (bounds.top + (i2 / 2)));
        super.draw(canvas);
        canvas.restoreToCount(save);
        b();
    }

    public void run() {
        this.e = false;
        this.f1540a += (float) c();
        invalidateSelf();
    }

    private void b() {
        if (!this.e) {
            this.e = true;
            scheduleSelf(this, SystemClock.uptimeMillis() + 20);
        }
    }

    private int c() {
        return (int) ((20.0f / ((float) this.c)) * 360.0f);
    }
}
