package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.tencent.smtt.sdk.WebView;
import java.util.Arrays;

public class FadeDrawable extends ArrayDrawable {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    int f1542a;
    @VisibleForTesting
    int b;
    @VisibleForTesting
    long c;
    @VisibleForTesting
    int[] d;
    @VisibleForTesting
    int[] e;
    @VisibleForTesting
    int f;
    @VisibleForTesting
    boolean[] g;
    @VisibleForTesting
    int h;
    private final Drawable[] i;

    public FadeDrawable(Drawable[] drawableArr) {
        super(drawableArr);
        Preconditions.b(drawableArr.length < 1 ? false : true, "At least one layer required!");
        this.i = drawableArr;
        this.d = new int[drawableArr.length];
        this.e = new int[drawableArr.length];
        this.f = WebView.NORMAL_MODE_ALPHA;
        this.g = new boolean[drawableArr.length];
        this.h = 0;
        g();
    }

    public void invalidateSelf() {
        if (this.h == 0) {
            super.invalidateSelf();
        }
    }

    public void b() {
        this.h++;
    }

    public void c() {
        this.h--;
        invalidateSelf();
    }

    public void c(int i2) {
        this.b = i2;
        if (this.f1542a == 1) {
            this.f1542a = 0;
        }
    }

    private void g() {
        this.f1542a = 2;
        Arrays.fill(this.d, 0);
        this.d[0] = 255;
        Arrays.fill(this.e, 0);
        this.e[0] = 255;
        Arrays.fill(this.g, false);
        this.g[0] = true;
    }

    public void d(int i2) {
        this.f1542a = 0;
        this.g[i2] = true;
        invalidateSelf();
    }

    public void e(int i2) {
        this.f1542a = 0;
        this.g[i2] = false;
        invalidateSelf();
    }

    public void d() {
        this.f1542a = 0;
        Arrays.fill(this.g, true);
        invalidateSelf();
    }

    public void e() {
        this.f1542a = 2;
        for (int i2 = 0; i2 < this.i.length; i2++) {
            this.e[i2] = this.g[i2] ? WebView.NORMAL_MODE_ALPHA : 0;
        }
        invalidateSelf();
    }

    private boolean a(float f2) {
        boolean z = true;
        for (int i2 = 0; i2 < this.i.length; i2++) {
            this.e[i2] = (int) (((float) this.d[i2]) + (((float) ((this.g[i2] ? 1 : -1) * WebView.NORMAL_MODE_ALPHA)) * f2));
            if (this.e[i2] < 0) {
                this.e[i2] = 0;
            }
            if (this.e[i2] > 255) {
                this.e[i2] = 255;
            }
            if (this.g[i2] && this.e[i2] < 255) {
                z = false;
            }
            if (!this.g[i2] && this.e[i2] > 0) {
                z = false;
            }
        }
        return z;
    }

    @Override // com.facebook.drawee.drawable.ArrayDrawable
    public void draw(Canvas canvas) {
        boolean z;
        int i2 = 2;
        switch (this.f1542a) {
            case 0:
                System.arraycopy(this.e, 0, this.d, 0, this.i.length);
                this.c = f();
                z = a(this.b == 0 ? 1.0f : 0.0f);
                if (!z) {
                    i2 = 1;
                }
                this.f1542a = i2;
                break;
            case 1:
                Preconditions.b(this.b > 0);
                z = a(((float) (f() - this.c)) / ((float) this.b));
                if (!z) {
                    i2 = 1;
                }
                this.f1542a = i2;
                break;
            case 2:
            default:
                z = true;
                break;
        }
        for (int i3 = 0; i3 < this.i.length; i3++) {
            a(canvas, this.i[i3], (this.e[i3] * this.f) / WebView.NORMAL_MODE_ALPHA);
        }
        if (!z) {
            invalidateSelf();
        }
    }

    private void a(Canvas canvas, Drawable drawable, int i2) {
        if (drawable != null && i2 > 0) {
            this.h++;
            drawable.mutate().setAlpha(i2);
            this.h--;
            drawable.draw(canvas);
        }
    }

    @Override // com.facebook.drawee.drawable.ArrayDrawable
    public void setAlpha(int i2) {
        if (this.f != i2) {
            this.f = i2;
            invalidateSelf();
        }
    }

    public int getAlpha() {
        return this.f;
    }

    /* access modifiers changed from: protected */
    public long f() {
        return SystemClock.uptimeMillis();
    }
}
