package com.facebook.drawee.drawable;

import android.annotation.TargetApi;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;

public class ForwardingDrawable extends Drawable implements Drawable.Callback, DrawableParent, TransformAwareDrawable, TransformCallback {
    private static final Matrix d = new Matrix();

    /* renamed from: a  reason: collision with root package name */
    private Drawable f1543a;
    protected TransformCallback b;
    private final DrawableProperties c = new DrawableProperties();

    public ForwardingDrawable(Drawable drawable) {
        this.f1543a = drawable;
        DrawableUtils.a(this.f1543a, this, this);
    }

    public Drawable b(Drawable drawable) {
        Drawable c2 = c(drawable);
        invalidateSelf();
        return c2;
    }

    /* access modifiers changed from: protected */
    public Drawable c(Drawable drawable) {
        Drawable drawable2 = this.f1543a;
        DrawableUtils.a(drawable2, null, null);
        DrawableUtils.a(drawable, null, null);
        DrawableUtils.a(drawable, this.c);
        DrawableUtils.a(drawable, this);
        DrawableUtils.a(drawable, this, this);
        this.f1543a = drawable;
        return drawable2;
    }

    public int getOpacity() {
        return this.f1543a.getOpacity();
    }

    public void setAlpha(int i) {
        this.c.a(i);
        this.f1543a.setAlpha(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.c.a(colorFilter);
        this.f1543a.setColorFilter(colorFilter);
    }

    public void setDither(boolean z) {
        this.c.a(z);
        this.f1543a.setDither(z);
    }

    public void setFilterBitmap(boolean z) {
        this.c.b(z);
        this.f1543a.setFilterBitmap(z);
    }

    public boolean setVisible(boolean z, boolean z2) {
        super.setVisible(z, z2);
        return this.f1543a.setVisible(z, z2);
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        this.f1543a.setBounds(rect);
    }

    public Drawable.ConstantState getConstantState() {
        return this.f1543a.getConstantState();
    }

    public boolean isStateful() {
        return this.f1543a.isStateful();
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        return this.f1543a.setState(iArr);
    }

    /* access modifiers changed from: protected */
    public boolean onLevelChange(int i) {
        return this.f1543a.setLevel(i);
    }

    public void draw(Canvas canvas) {
        this.f1543a.draw(canvas);
    }

    public int getIntrinsicWidth() {
        return this.f1543a.getIntrinsicWidth();
    }

    public int getIntrinsicHeight() {
        return this.f1543a.getIntrinsicHeight();
    }

    public boolean getPadding(Rect rect) {
        return this.f1543a.getPadding(rect);
    }

    public Drawable mutate() {
        this.f1543a.mutate();
        return this;
    }

    public Drawable getCurrent() {
        return this.f1543a;
    }

    @Override // com.facebook.drawee.drawable.DrawableParent
    public Drawable a(Drawable drawable) {
        return b(drawable);
    }

    @Override // com.facebook.drawee.drawable.DrawableParent
    public Drawable a() {
        return getCurrent();
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j) {
        scheduleSelf(runnable, j);
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    @Override // com.facebook.drawee.drawable.TransformAwareDrawable
    public void a(TransformCallback transformCallback) {
        this.b = transformCallback;
    }

    /* access modifiers changed from: protected */
    public void b(Matrix matrix) {
        if (this.b != null) {
            this.b.a(matrix);
        } else {
            matrix.reset();
        }
    }

    @Override // com.facebook.drawee.drawable.TransformCallback
    public void a(Matrix matrix) {
        b(matrix);
    }

    @Override // com.facebook.drawee.drawable.TransformCallback
    public void a(RectF rectF) {
        if (this.b != null) {
            this.b.a(rectF);
        } else {
            rectF.set(getBounds());
        }
    }

    @TargetApi(21)
    public void setHotspot(float f, float f2) {
        this.f1543a.setHotspot(f, f2);
    }
}
