package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;

public class OrientedDrawable extends ForwardingDrawable {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    final Matrix f1545a;
    private int c;
    private final Matrix d = new Matrix();
    private final RectF e = new RectF();

    public OrientedDrawable(Drawable drawable, int i) {
        super(drawable);
        Preconditions.a(i % 90 == 0);
        this.f1545a = new Matrix();
        this.c = i;
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void draw(Canvas canvas) {
        if (this.c <= 0) {
            super.draw(canvas);
            return;
        }
        int save = canvas.save();
        canvas.concat(this.f1545a);
        super.draw(canvas);
        canvas.restoreToCount(save);
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public int getIntrinsicWidth() {
        return this.c % 180 == 0 ? super.getIntrinsicWidth() : super.getIntrinsicHeight();
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public int getIntrinsicHeight() {
        return this.c % 180 == 0 ? super.getIntrinsicHeight() : super.getIntrinsicWidth();
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void onBoundsChange(Rect rect) {
        Drawable current = getCurrent();
        if (this.c > 0) {
            this.f1545a.setRotate((float) this.c, (float) rect.centerX(), (float) rect.centerY());
            this.d.reset();
            this.f1545a.invert(this.d);
            this.e.set(rect);
            this.d.mapRect(this.e);
            current.setBounds((int) this.e.left, (int) this.e.top, (int) this.e.right, (int) this.e.bottom);
            return;
        }
        current.setBounds(rect);
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable, com.facebook.drawee.drawable.TransformCallback
    public void a(Matrix matrix) {
        b(matrix);
        if (!this.f1545a.isIdentity()) {
            matrix.preConcat(this.f1545a);
        }
    }
}
