package com.facebook.drawee.drawable;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.BitmapDrawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import java.lang.ref.WeakReference;
import java.util.Arrays;
import javax.annotation.Nullable;

public class RoundedBitmapDrawable extends BitmapDrawable implements Rounded, TransformAwareDrawable {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    final float[] f1547a = new float[8];
    @VisibleForTesting
    final RectF b = new RectF();
    @VisibleForTesting
    final RectF c = new RectF();
    @VisibleForTesting
    final RectF d = new RectF();
    @VisibleForTesting
    final RectF e = new RectF();
    @VisibleForTesting
    final Matrix f = new Matrix();
    @VisibleForTesting
    final Matrix g = new Matrix();
    @VisibleForTesting
    final Matrix h = new Matrix();
    @VisibleForTesting
    final Matrix i = new Matrix();
    @VisibleForTesting
    final Matrix j = new Matrix();
    @VisibleForTesting
    final Matrix k = new Matrix();
    private boolean l = false;
    private boolean m = false;
    private final float[] n = new float[8];
    private float o = 0.0f;
    private int p = 0;
    private float q = 0.0f;
    private final Path r = new Path();
    private final Path s = new Path();
    private boolean t = true;
    private final Paint u = new Paint();
    private final Paint v = new Paint(1);
    private boolean w = true;
    private WeakReference<Bitmap> x;
    @Nullable
    private TransformCallback y;

    public RoundedBitmapDrawable(Resources resources, Bitmap bitmap, @Nullable Paint paint) {
        super(resources, bitmap);
        if (paint != null) {
            this.u.set(paint);
        }
        this.u.setFlags(1);
        this.v.setStyle(Paint.Style.STROKE);
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(boolean z) {
        this.l = z;
        this.t = true;
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float f2) {
        boolean z = false;
        int i2 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
        Preconditions.b(i2 >= 0);
        Arrays.fill(this.n, f2);
        if (i2 != 0) {
            z = true;
        }
        this.m = z;
        this.t = true;
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float[] fArr) {
        if (fArr == null) {
            Arrays.fill(this.n, 0.0f);
            this.m = false;
        } else {
            Preconditions.a(fArr.length == 8, "radii should have exactly 8 values");
            System.arraycopy(fArr, 0, this.n, 0, 8);
            this.m = false;
            for (int i2 = 0; i2 < 8; i2++) {
                this.m |= fArr[i2] > 0.0f;
            }
        }
        this.t = true;
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(int i2, float f2) {
        if (this.p != i2 || this.o != f2) {
            this.p = i2;
            this.o = f2;
            this.t = true;
            invalidateSelf();
        }
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void b(float f2) {
        if (this.q != f2) {
            this.q = f2;
            this.t = true;
            invalidateSelf();
        }
    }

    @Override // com.facebook.drawee.drawable.TransformAwareDrawable
    public void a(@Nullable TransformCallback transformCallback) {
        this.y = transformCallback;
    }

    public void setAlpha(int i2) {
        if (i2 != this.u.getAlpha()) {
            this.u.setAlpha(i2);
            super.setAlpha(i2);
            invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.u.setColorFilter(colorFilter);
        super.setColorFilter(colorFilter);
    }

    public void draw(Canvas canvas) {
        if (!a()) {
            super.draw(canvas);
            return;
        }
        b();
        c();
        d();
        int save = canvas.save();
        canvas.concat(this.j);
        canvas.drawPath(this.r, this.u);
        if (this.o > 0.0f) {
            this.v.setStrokeWidth(this.o);
            this.v.setColor(DrawableUtils.a(this.p, this.u.getAlpha()));
            canvas.drawPath(this.s, this.v);
        }
        canvas.restoreToCount(save);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public boolean a() {
        return this.l || this.m || this.o > 0.0f;
    }

    private void b() {
        if (this.y != null) {
            this.y.a(this.h);
            this.y.a(this.b);
        } else {
            this.h.reset();
            this.b.set(getBounds());
        }
        this.d.set(0.0f, 0.0f, (float) getBitmap().getWidth(), (float) getBitmap().getHeight());
        this.e.set(getBounds());
        this.f.setRectToRect(this.d, this.e, Matrix.ScaleToFit.FILL);
        if (!this.h.equals(this.i) || !this.f.equals(this.g)) {
            this.w = true;
            this.h.invert(this.j);
            this.k.set(this.h);
            this.k.preConcat(this.f);
            this.i.set(this.h);
            this.g.set(this.f);
        }
        if (!this.b.equals(this.c)) {
            this.t = true;
            this.c.set(this.b);
        }
    }

    private void c() {
        if (this.t) {
            this.s.reset();
            this.b.inset(this.o / 2.0f, this.o / 2.0f);
            if (this.l) {
                this.s.addCircle(this.b.centerX(), this.b.centerY(), Math.min(this.b.width(), this.b.height()) / 2.0f, Path.Direction.CW);
            } else {
                for (int i2 = 0; i2 < this.f1547a.length; i2++) {
                    this.f1547a[i2] = (this.n[i2] + this.q) - (this.o / 2.0f);
                }
                this.s.addRoundRect(this.b, this.f1547a, Path.Direction.CW);
            }
            this.b.inset((-this.o) / 2.0f, (-this.o) / 2.0f);
            this.r.reset();
            this.b.inset(this.q, this.q);
            if (this.l) {
                this.r.addCircle(this.b.centerX(), this.b.centerY(), Math.min(this.b.width(), this.b.height()) / 2.0f, Path.Direction.CW);
            } else {
                this.r.addRoundRect(this.b, this.n, Path.Direction.CW);
            }
            this.b.inset(-this.q, -this.q);
            this.r.setFillType(Path.FillType.WINDING);
            this.t = false;
        }
    }

    private void d() {
        Bitmap bitmap = getBitmap();
        if (this.x == null || this.x.get() != bitmap) {
            this.x = new WeakReference<>(bitmap);
            this.u.setShader(new BitmapShader(bitmap, Shader.TileMode.CLAMP, Shader.TileMode.CLAMP));
            this.w = true;
        }
        if (this.w) {
            this.u.getShader().setLocalMatrix(this.k);
            this.w = false;
        }
    }
}
