package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.tencent.smtt.sdk.WebView;
import java.util.Arrays;

public class RoundedColorDrawable extends Drawable implements Rounded {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    final float[] f1548a = new float[8];
    @VisibleForTesting
    final Paint b = new Paint(1);
    @VisibleForTesting
    final Path c = new Path();
    @VisibleForTesting
    final Path d = new Path();
    private final float[] e = new float[8];
    private boolean f = false;
    private float g = 0.0f;
    private float h = 0.0f;
    private int i = 0;
    private int j = 0;
    private final RectF k = new RectF();
    private int l = WebView.NORMAL_MODE_ALPHA;

    public void setColorFilter(ColorFilter colorFilter) {
    }

    public RoundedColorDrawable(int i2) {
        a(i2);
    }

    public static RoundedColorDrawable a(ColorDrawable colorDrawable) {
        return new RoundedColorDrawable(colorDrawable.getColor());
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        a();
    }

    public void draw(Canvas canvas) {
        this.b.setColor(DrawableUtils.a(this.j, this.l));
        this.b.setStyle(Paint.Style.FILL);
        canvas.drawPath(this.c, this.b);
        if (this.g != 0.0f) {
            this.b.setColor(DrawableUtils.a(this.i, this.l));
            this.b.setStyle(Paint.Style.STROKE);
            this.b.setStrokeWidth(this.g);
            canvas.drawPath(this.d, this.b);
        }
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(boolean z) {
        this.f = z;
        a();
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float[] fArr) {
        if (fArr == null) {
            Arrays.fill(this.e, 0.0f);
        } else {
            Preconditions.a(fArr.length == 8, "radii should have exactly 8 values");
            System.arraycopy(fArr, 0, this.e, 0, 8);
        }
        a();
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float f2) {
        Preconditions.a(f2 >= 0.0f, "radius should be non negative");
        Arrays.fill(this.e, f2);
        a();
        invalidateSelf();
    }

    public void a(int i2) {
        if (this.j != i2) {
            this.j = i2;
            invalidateSelf();
        }
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(int i2, float f2) {
        if (this.i != i2) {
            this.i = i2;
            invalidateSelf();
        }
        if (this.g != f2) {
            this.g = f2;
            a();
            invalidateSelf();
        }
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void b(float f2) {
        if (this.h != f2) {
            this.h = f2;
            a();
            invalidateSelf();
        }
    }

    public void setAlpha(int i2) {
        if (i2 != this.l) {
            this.l = i2;
            invalidateSelf();
        }
    }

    public int getAlpha() {
        return this.l;
    }

    public int getOpacity() {
        return DrawableUtils.a(DrawableUtils.a(this.j, this.l));
    }

    private void a() {
        this.c.reset();
        this.d.reset();
        this.k.set(getBounds());
        this.k.inset(this.g / 2.0f, this.g / 2.0f);
        if (this.f) {
            this.d.addCircle(this.k.centerX(), this.k.centerY(), Math.min(this.k.width(), this.k.height()) / 2.0f, Path.Direction.CW);
        } else {
            for (int i2 = 0; i2 < this.f1548a.length; i2++) {
                this.f1548a[i2] = (this.e[i2] + this.h) - (this.g / 2.0f);
            }
            this.d.addRoundRect(this.k, this.f1548a, Path.Direction.CW);
        }
        this.k.inset((-this.g) / 2.0f, (-this.g) / 2.0f);
        this.k.inset(this.h, this.h);
        if (this.f) {
            this.c.addCircle(this.k.centerX(), this.k.centerY(), Math.min(this.k.width(), this.k.height()) / 2.0f, Path.Direction.CW);
        } else {
            this.c.addRoundRect(this.k, this.e, Path.Direction.CW);
        }
        this.k.inset(-this.h, -this.h);
    }
}
