package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import java.util.Arrays;

public class RoundedCornersDrawable extends ForwardingDrawable implements Rounded {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    Type f1549a = Type.OVERLAY_COLOR;
    @VisibleForTesting
    final float[] c = new float[8];
    @VisibleForTesting
    final Paint d = new Paint(1);
    private final float[] e = new float[8];
    private boolean f = false;
    private float g = 0.0f;
    private int h = 0;
    private int i = 0;
    private float j = 0.0f;
    private final Path k = new Path();
    private final Path l = new Path();
    private final RectF m = new RectF();

    public enum Type {
        OVERLAY_COLOR,
        CLIPPING
    }

    public RoundedCornersDrawable(Drawable drawable) {
        super((Drawable) Preconditions.a(drawable));
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(boolean z) {
        this.f = z;
        b();
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float f2) {
        Arrays.fill(this.e, f2);
        b();
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(float[] fArr) {
        if (fArr == null) {
            Arrays.fill(this.e, 0.0f);
        } else {
            Preconditions.a(fArr.length == 8, "radii should have exactly 8 values");
            System.arraycopy(fArr, 0, this.e, 0, 8);
        }
        b();
        invalidateSelf();
    }

    public void a(int i2) {
        this.i = i2;
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void a(int i2, float f2) {
        this.h = i2;
        this.g = f2;
        b();
        invalidateSelf();
    }

    @Override // com.facebook.drawee.drawable.Rounded
    public void b(float f2) {
        this.j = f2;
        b();
        invalidateSelf();
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        b();
    }

    private void b() {
        this.k.reset();
        this.l.reset();
        this.m.set(getBounds());
        this.m.inset(this.j, this.j);
        if (this.f) {
            this.k.addCircle(this.m.centerX(), this.m.centerY(), Math.min(this.m.width(), this.m.height()) / 2.0f, Path.Direction.CW);
        } else {
            this.k.addRoundRect(this.m, this.e, Path.Direction.CW);
        }
        this.m.inset(-this.j, -this.j);
        this.m.inset(this.g / 2.0f, this.g / 2.0f);
        if (this.f) {
            this.l.addCircle(this.m.centerX(), this.m.centerY(), Math.min(this.m.width(), this.m.height()) / 2.0f, Path.Direction.CW);
        } else {
            for (int i2 = 0; i2 < this.c.length; i2++) {
                this.c[i2] = (this.e[i2] + this.j) - (this.g / 2.0f);
            }
            this.l.addRoundRect(this.m, this.c, Path.Direction.CW);
        }
        this.m.inset((-this.g) / 2.0f, (-this.g) / 2.0f);
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        switch (this.f1549a) {
            case CLIPPING:
                int save = canvas.save();
                this.k.setFillType(Path.FillType.EVEN_ODD);
                canvas.clipPath(this.k);
                super.draw(canvas);
                canvas.restoreToCount(save);
                break;
            case OVERLAY_COLOR:
                super.draw(canvas);
                this.d.setColor(this.i);
                this.d.setStyle(Paint.Style.FILL);
                this.k.setFillType(Path.FillType.INVERSE_EVEN_ODD);
                canvas.drawPath(this.k, this.d);
                if (this.f) {
                    float width = (((float) (bounds.width() - bounds.height())) + this.g) / 2.0f;
                    float height = (((float) (bounds.height() - bounds.width())) + this.g) / 2.0f;
                    if (width > 0.0f) {
                        canvas.drawRect((float) bounds.left, (float) bounds.top, ((float) bounds.left) + width, (float) bounds.bottom, this.d);
                        canvas.drawRect(((float) bounds.right) - width, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, this.d);
                    }
                    if (height > 0.0f) {
                        canvas.drawRect((float) bounds.left, (float) bounds.top, (float) bounds.right, ((float) bounds.top) + height, this.d);
                        canvas.drawRect((float) bounds.left, ((float) bounds.bottom) - height, (float) bounds.right, (float) bounds.bottom, this.d);
                        break;
                    }
                }
                break;
        }
        if (this.h != 0) {
            this.d.setStyle(Paint.Style.STROKE);
            this.d.setColor(this.h);
            this.d.setStrokeWidth(this.g);
            this.k.setFillType(Path.FillType.EVEN_ODD);
            canvas.drawPath(this.l, this.d);
        }
    }
}
