package com.facebook.drawee.drawable;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.Objects;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.drawee.drawable.ScalingUtils;

public class ScaleTypeDrawable extends ForwardingDrawable {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    ScalingUtils.ScaleType f1552a;
    @VisibleForTesting
    Object c;
    @VisibleForTesting
    PointF d = null;
    @VisibleForTesting
    int e = 0;
    @VisibleForTesting
    int f = 0;
    @VisibleForTesting
    Matrix g;
    private Matrix h = new Matrix();

    public ScaleTypeDrawable(Drawable drawable, ScalingUtils.ScaleType scaleType) {
        super((Drawable) Preconditions.a(drawable));
        this.f1552a = scaleType;
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public Drawable b(Drawable drawable) {
        Drawable b = super.b(drawable);
        c();
        return b;
    }

    public ScalingUtils.ScaleType b() {
        return this.f1552a;
    }

    public void a(ScalingUtils.ScaleType scaleType) {
        if (!Objects.a(this.f1552a, scaleType)) {
            this.f1552a = scaleType;
            this.c = null;
            c();
            invalidateSelf();
        }
    }

    public void a(PointF pointF) {
        if (!Objects.a(this.d, pointF)) {
            if (this.d == null) {
                this.d = new PointF();
            }
            this.d.set(pointF);
            c();
            invalidateSelf();
        }
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void draw(Canvas canvas) {
        d();
        if (this.g != null) {
            int save = canvas.save();
            canvas.clipRect(getBounds());
            canvas.concat(this.g);
            super.draw(canvas);
            canvas.restoreToCount(save);
            return;
        }
        super.draw(canvas);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public void onBoundsChange(Rect rect) {
        c();
    }

    private void d() {
        boolean z;
        boolean z2 = true;
        if (this.f1552a instanceof ScalingUtils.StatefulScaleType) {
            Object a2 = ((ScalingUtils.StatefulScaleType) this.f1552a).a();
            z = a2 == null || !a2.equals(this.c);
            this.c = a2;
        } else {
            z = false;
        }
        if (this.e == getCurrent().getIntrinsicWidth() && this.f == getCurrent().getIntrinsicHeight()) {
            z2 = false;
        }
        if (z2 || z) {
            c();
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void c() {
        Drawable current = getCurrent();
        Rect bounds = getBounds();
        int width = bounds.width();
        int height = bounds.height();
        int intrinsicWidth = current.getIntrinsicWidth();
        this.e = intrinsicWidth;
        int intrinsicHeight = current.getIntrinsicHeight();
        this.f = intrinsicHeight;
        if (intrinsicWidth <= 0 || intrinsicHeight <= 0) {
            current.setBounds(bounds);
            this.g = null;
        } else if (intrinsicWidth == width && intrinsicHeight == height) {
            current.setBounds(bounds);
            this.g = null;
        } else if (this.f1552a == ScalingUtils.ScaleType.f1553a) {
            current.setBounds(bounds);
            this.g = null;
        } else {
            current.setBounds(0, 0, intrinsicWidth, intrinsicHeight);
            this.f1552a.a(this.h, bounds, intrinsicWidth, intrinsicHeight, this.d != null ? this.d.x : 0.5f, this.d != null ? this.d.y : 0.5f);
            this.g = this.h;
        }
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable, com.facebook.drawee.drawable.TransformCallback
    public void a(Matrix matrix) {
        b(matrix);
        d();
        if (this.g != null) {
            matrix.preConcat(this.g);
        }
    }
}
