package com.facebook.drawee.generic;

import android.content.res.Resources;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.drawee.drawable.DrawableParent;
import com.facebook.drawee.drawable.FadeDrawable;
import com.facebook.drawee.drawable.ForwardingDrawable;
import com.facebook.drawee.drawable.MatrixDrawable;
import com.facebook.drawee.drawable.ScaleTypeDrawable;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.interfaces.SettableDraweeHierarchy;
import javax.annotation.Nullable;

public class GenericDraweeHierarchy implements SettableDraweeHierarchy {

    /* renamed from: a  reason: collision with root package name */
    private final Drawable f1554a = new ColorDrawable(0);
    private final Resources b;
    @Nullable
    private RoundingParams c;
    private final RootDrawable d;
    private final FadeDrawable e;
    private final ForwardingDrawable f;

    GenericDraweeHierarchy(GenericDraweeHierarchyBuilder genericDraweeHierarchyBuilder) {
        this.b = genericDraweeHierarchyBuilder.a();
        this.c = genericDraweeHierarchyBuilder.s();
        this.f = new ForwardingDrawable(this.f1554a);
        int i = 1;
        int size = (genericDraweeHierarchyBuilder.q() != null ? genericDraweeHierarchyBuilder.q().size() : 1) + (genericDraweeHierarchyBuilder.r() != null ? 1 : 0);
        Drawable[] drawableArr = new Drawable[(size + 6)];
        drawableArr[0] = b(genericDraweeHierarchyBuilder.p(), null);
        drawableArr[1] = b(genericDraweeHierarchyBuilder.d(), genericDraweeHierarchyBuilder.e());
        drawableArr[2] = a(this.f, genericDraweeHierarchyBuilder.l(), genericDraweeHierarchyBuilder.n(), genericDraweeHierarchyBuilder.m(), genericDraweeHierarchyBuilder.o());
        drawableArr[3] = b(genericDraweeHierarchyBuilder.j(), genericDraweeHierarchyBuilder.k());
        drawableArr[4] = b(genericDraweeHierarchyBuilder.f(), genericDraweeHierarchyBuilder.g());
        drawableArr[5] = b(genericDraweeHierarchyBuilder.h(), genericDraweeHierarchyBuilder.i());
        if (size > 0) {
            if (genericDraweeHierarchyBuilder.q() != null) {
                i = 0;
                for (Drawable drawable : genericDraweeHierarchyBuilder.q()) {
                    drawableArr[i + 6] = b(drawable, null);
                    i++;
                }
            }
            if (genericDraweeHierarchyBuilder.r() != null) {
                drawableArr[i + 6] = b(genericDraweeHierarchyBuilder.r(), null);
            }
        }
        this.e = new FadeDrawable(drawableArr);
        this.e.c(genericDraweeHierarchyBuilder.b());
        this.d = new RootDrawable(WrappingUtils.a(this.e, this.c));
        this.d.mutate();
        e();
    }

    @Nullable
    private Drawable a(Drawable drawable, @Nullable ScalingUtils.ScaleType scaleType, @Nullable PointF pointF, @Nullable Matrix matrix, @Nullable ColorFilter colorFilter) {
        drawable.setColorFilter(colorFilter);
        return WrappingUtils.a(WrappingUtils.a(drawable, scaleType, pointF), matrix);
    }

    @Nullable
    private Drawable b(@Nullable Drawable drawable, @Nullable ScalingUtils.ScaleType scaleType) {
        return WrappingUtils.a(WrappingUtils.a(drawable, this.c, this.b), scaleType);
    }

    private void d() {
        this.f.a(this.f1554a);
    }

    private void e() {
        if (this.e != null) {
            this.e.b();
            this.e.d();
            f();
            b(1);
            this.e.e();
            this.e.c();
        }
    }

    private void f() {
        c(1);
        c(2);
        c(3);
        c(4);
        c(5);
    }

    private void b(int i) {
        if (i >= 0) {
            this.e.d(i);
        }
    }

    private void c(int i) {
        if (i >= 0) {
            this.e.e(i);
        }
    }

    private void a(float f2) {
        Drawable a2 = this.e.a(3);
        if (a2 != null) {
            if (f2 >= 0.999f) {
                if (a2 instanceof Animatable) {
                    ((Animatable) a2).stop();
                }
                c(3);
            } else {
                if (a2 instanceof Animatable) {
                    ((Animatable) a2).start();
                }
                b(3);
            }
            a2.setLevel(Math.round(f2 * 10000.0f));
        }
    }

    @Override // com.facebook.drawee.interfaces.DraweeHierarchy
    public Drawable a() {
        return this.d;
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void b() {
        d();
        e();
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void a(Drawable drawable, float f2, boolean z) {
        Drawable a2 = WrappingUtils.a(drawable, this.c, this.b);
        a2.mutate();
        this.f.a(a2);
        this.e.b();
        f();
        b(2);
        a(f2);
        if (z) {
            this.e.e();
        }
        this.e.c();
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void a(float f2, boolean z) {
        if (this.e.a(3) != null) {
            this.e.b();
            a(f2);
            if (z) {
                this.e.e();
            }
            this.e.c();
        }
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void a(Throwable th) {
        this.e.b();
        f();
        if (this.e.a(5) != null) {
            b(5);
        } else {
            b(1);
        }
        this.e.c();
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void b(Throwable th) {
        this.e.b();
        f();
        if (this.e.a(4) != null) {
            b(4);
        } else {
            b(1);
        }
        this.e.c();
    }

    @Override // com.facebook.drawee.interfaces.SettableDraweeHierarchy
    public void a(@Nullable Drawable drawable) {
        this.d.d(drawable);
    }

    private DrawableParent d(int i) {
        DrawableParent b2 = this.e.b(i);
        if (b2.a() instanceof MatrixDrawable) {
            b2 = (MatrixDrawable) b2.a();
        }
        return b2.a() instanceof ScaleTypeDrawable ? (ScaleTypeDrawable) b2.a() : b2;
    }

    private void a(int i, @Nullable Drawable drawable) {
        if (drawable == null) {
            this.e.a(i, null);
            return;
        }
        d(i).a(WrappingUtils.a(drawable, this.c, this.b));
    }

    private ScaleTypeDrawable e(int i) {
        DrawableParent d2 = d(i);
        if (d2 instanceof ScaleTypeDrawable) {
            return (ScaleTypeDrawable) d2;
        }
        return WrappingUtils.a(d2, ScalingUtils.ScaleType.f1553a);
    }

    public void a(int i) {
        this.e.c(i);
    }

    public void a(ScalingUtils.ScaleType scaleType) {
        Preconditions.a(scaleType);
        e(2).a(scaleType);
    }

    public void a(ColorFilter colorFilter) {
        this.f.setColorFilter(colorFilter);
    }

    public void a(Drawable drawable, ScalingUtils.ScaleType scaleType) {
        a(1, drawable);
        e(1).a(scaleType);
    }

    public void a(@Nullable RoundingParams roundingParams) {
        this.c = roundingParams;
        WrappingUtils.a((DrawableParent) this.d, this.c);
        for (int i = 0; i < this.e.a(); i++) {
            WrappingUtils.a(d(i), this.c, this.b);
        }
    }

    @Nullable
    public RoundingParams c() {
        return this.c;
    }
}
