package com.facebook.drawee.generic;

import android.content.res.Resources;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import com.facebook.common.internal.Preconditions;
import com.facebook.drawee.drawable.ScalingUtils;
import com.tencent.smtt.sdk.TbsListener;
import java.util.Arrays;
import java.util.List;
import javax.annotation.Nullable;

public class GenericDraweeHierarchyBuilder {

    /* renamed from: a  reason: collision with root package name */
    public static final ScalingUtils.ScaleType f1555a = ScalingUtils.ScaleType.f;
    public static final ScalingUtils.ScaleType b = ScalingUtils.ScaleType.g;
    private Resources c;
    private int d;
    private float e;
    private Drawable f;
    @Nullable
    private ScalingUtils.ScaleType g;
    private Drawable h;
    private ScalingUtils.ScaleType i;
    private Drawable j;
    private ScalingUtils.ScaleType k;
    private Drawable l;
    private ScalingUtils.ScaleType m;
    private ScalingUtils.ScaleType n;
    private Matrix o;
    private PointF p;
    private ColorFilter q;
    private Drawable r;
    private List<Drawable> s;
    private Drawable t;
    private RoundingParams u;

    public GenericDraweeHierarchyBuilder(Resources resources) {
        this.c = resources;
        u();
    }

    public static GenericDraweeHierarchyBuilder a(Resources resources) {
        return new GenericDraweeHierarchyBuilder(resources);
    }

    private void u() {
        this.d = TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE;
        this.e = 0.0f;
        this.f = null;
        this.g = f1555a;
        this.h = null;
        this.i = f1555a;
        this.j = null;
        this.k = f1555a;
        this.l = null;
        this.m = f1555a;
        this.n = b;
        this.o = null;
        this.p = null;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = null;
        this.u = null;
    }

    public Resources a() {
        return this.c;
    }

    public GenericDraweeHierarchyBuilder a(int i2) {
        this.d = i2;
        return this;
    }

    public int b() {
        return this.d;
    }

    public GenericDraweeHierarchyBuilder a(float f2) {
        this.e = f2;
        return this;
    }

    public float c() {
        return this.e;
    }

    public GenericDraweeHierarchyBuilder a(@Nullable Drawable drawable) {
        this.f = drawable;
        return this;
    }

    @Nullable
    public Drawable d() {
        return this.f;
    }

    public GenericDraweeHierarchyBuilder a(@Nullable ScalingUtils.ScaleType scaleType) {
        this.g = scaleType;
        return this;
    }

    @Nullable
    public ScalingUtils.ScaleType e() {
        return this.g;
    }

    public GenericDraweeHierarchyBuilder b(@Nullable Drawable drawable) {
        this.h = drawable;
        return this;
    }

    @Nullable
    public Drawable f() {
        return this.h;
    }

    public GenericDraweeHierarchyBuilder b(@Nullable ScalingUtils.ScaleType scaleType) {
        this.i = scaleType;
        return this;
    }

    @Nullable
    public ScalingUtils.ScaleType g() {
        return this.i;
    }

    public GenericDraweeHierarchyBuilder c(@Nullable Drawable drawable) {
        this.j = drawable;
        return this;
    }

    @Nullable
    public Drawable h() {
        return this.j;
    }

    public GenericDraweeHierarchyBuilder c(@Nullable ScalingUtils.ScaleType scaleType) {
        this.k = scaleType;
        return this;
    }

    @Nullable
    public ScalingUtils.ScaleType i() {
        return this.k;
    }

    public GenericDraweeHierarchyBuilder d(@Nullable Drawable drawable) {
        this.l = drawable;
        return this;
    }

    @Nullable
    public Drawable j() {
        return this.l;
    }

    public GenericDraweeHierarchyBuilder d(@Nullable ScalingUtils.ScaleType scaleType) {
        this.m = scaleType;
        return this;
    }

    @Nullable
    public ScalingUtils.ScaleType k() {
        return this.m;
    }

    public GenericDraweeHierarchyBuilder e(@Nullable ScalingUtils.ScaleType scaleType) {
        this.n = scaleType;
        this.o = null;
        return this;
    }

    @Nullable
    public ScalingUtils.ScaleType l() {
        return this.n;
    }

    @Nullable
    public Matrix m() {
        return this.o;
    }

    @Nullable
    public PointF n() {
        return this.p;
    }

    @Nullable
    public ColorFilter o() {
        return this.q;
    }

    public GenericDraweeHierarchyBuilder e(@Nullable Drawable drawable) {
        this.r = drawable;
        return this;
    }

    @Nullable
    public Drawable p() {
        return this.r;
    }

    public GenericDraweeHierarchyBuilder f(@Nullable Drawable drawable) {
        if (drawable == null) {
            this.s = null;
        } else {
            this.s = Arrays.asList(drawable);
        }
        return this;
    }

    @Nullable
    public List<Drawable> q() {
        return this.s;
    }

    public GenericDraweeHierarchyBuilder g(@Nullable Drawable drawable) {
        if (drawable == null) {
            this.t = null;
        } else {
            StateListDrawable stateListDrawable = new StateListDrawable();
            stateListDrawable.addState(new int[]{16842919}, drawable);
            this.t = stateListDrawable;
        }
        return this;
    }

    @Nullable
    public Drawable r() {
        return this.t;
    }

    public GenericDraweeHierarchyBuilder a(@Nullable RoundingParams roundingParams) {
        this.u = roundingParams;
        return this;
    }

    @Nullable
    public RoundingParams s() {
        return this.u;
    }

    private void v() {
        if (this.s != null) {
            for (Drawable drawable : this.s) {
                Preconditions.a(drawable);
            }
        }
    }

    public GenericDraweeHierarchy t() {
        v();
        return new GenericDraweeHierarchy(this);
    }
}
