package com.facebook.drawee.generic;

import android.annotation.SuppressLint;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.drawee.drawable.ForwardingDrawable;
import com.facebook.drawee.drawable.VisibilityAwareDrawable;
import com.facebook.drawee.drawable.VisibilityCallback;
import javax.annotation.Nullable;

public class RootDrawable extends ForwardingDrawable implements VisibilityAwareDrawable {
    @VisibleForTesting
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    Drawable f1556a = null;
    @Nullable
    private VisibilityCallback c;

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public int getIntrinsicHeight() {
        return -1;
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public int getIntrinsicWidth() {
        return -1;
    }

    public RootDrawable(Drawable drawable) {
        super(drawable);
    }

    @Override // com.facebook.drawee.drawable.VisibilityAwareDrawable
    public void a(@Nullable VisibilityCallback visibilityCallback) {
        this.c = visibilityCallback;
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    public boolean setVisible(boolean z, boolean z2) {
        if (this.c != null) {
            this.c.a(z);
        }
        return super.setVisible(z, z2);
    }

    @Override // com.facebook.drawee.drawable.ForwardingDrawable
    @SuppressLint({"WrongCall"})
    public void draw(Canvas canvas) {
        if (isVisible()) {
            if (this.c != null) {
                this.c.a();
            }
            super.draw(canvas);
            if (this.f1556a != null) {
                this.f1556a.setBounds(getBounds());
                this.f1556a.draw(canvas);
            }
        }
    }

    public void d(@Nullable Drawable drawable) {
        this.f1556a = drawable;
        invalidateSelf();
    }
}
