package com.facebook.drawee.generic;

import android.support.annotation.ColorInt;
import com.facebook.common.internal.Preconditions;
import java.util.Arrays;

public class RoundingParams {

    /* renamed from: a  reason: collision with root package name */
    private RoundingMethod f1557a = RoundingMethod.BITMAP_ONLY;
    private boolean b = false;
    private float[] c = null;
    private int d = 0;
    private float e = 0.0f;
    private int f = 0;
    private float g = 0.0f;

    public enum RoundingMethod {
        OVERLAY_COLOR,
        BITMAP_ONLY
    }

    public RoundingParams a(boolean z) {
        this.b = z;
        return this;
    }

    public boolean a() {
        return this.b;
    }

    public RoundingParams a(float f2) {
        Arrays.fill(h(), f2);
        return this;
    }

    public RoundingParams a(float f2, float f3, float f4, float f5) {
        float[] h = h();
        h[1] = f2;
        h[0] = f2;
        h[3] = f3;
        h[2] = f3;
        h[5] = f4;
        h[4] = f4;
        h[7] = f5;
        h[6] = f5;
        return this;
    }

    public float[] b() {
        return this.c;
    }

    public RoundingParams a(RoundingMethod roundingMethod) {
        this.f1557a = roundingMethod;
        return this;
    }

    public RoundingMethod c() {
        return this.f1557a;
    }

    public RoundingParams a(@ColorInt int i) {
        this.d = i;
        this.f1557a = RoundingMethod.OVERLAY_COLOR;
        return this;
    }

    public int d() {
        return this.d;
    }

    private float[] h() {
        if (this.c == null) {
            this.c = new float[8];
        }
        return this.c;
    }

    public static RoundingParams b(float f2) {
        return new RoundingParams().a(f2);
    }

    public RoundingParams c(float f2) {
        Preconditions.a(f2 >= 0.0f, "the border width cannot be < 0");
        this.e = f2;
        return this;
    }

    public float e() {
        return this.e;
    }

    public RoundingParams b(@ColorInt int i) {
        this.f = i;
        return this;
    }

    public int f() {
        return this.f;
    }

    public RoundingParams a(@ColorInt int i, float f2) {
        Preconditions.a(f2 >= 0.0f, "the border width cannot be < 0");
        this.e = f2;
        this.f = i;
        return this;
    }

    public RoundingParams d(float f2) {
        Preconditions.a(f2 >= 0.0f, "the padding cannot be < 0");
        this.g = f2;
        return this;
    }

    public float g() {
        return this.g;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        RoundingParams roundingParams = (RoundingParams) obj;
        if (this.b == roundingParams.b && this.d == roundingParams.d && Float.compare(roundingParams.e, this.e) == 0 && this.f == roundingParams.f && Float.compare(roundingParams.g, this.g) == 0 && this.f1557a == roundingParams.f1557a) {
            return Arrays.equals(this.c, roundingParams.c);
        }
        return false;
    }

    public int hashCode() {
        int i = 0;
        int hashCode = (((((((((((this.f1557a != null ? this.f1557a.hashCode() : 0) * 31) + (this.b ? 1 : 0)) * 31) + (this.c != null ? Arrays.hashCode(this.c) : 0)) * 31) + this.d) * 31) + (this.e != 0.0f ? Float.floatToIntBits(this.e) : 0)) * 31) + this.f) * 31;
        if (this.g != 0.0f) {
            i = Float.floatToIntBits(this.g);
        }
        return hashCode + i;
    }
}
