package com.facebook.drawee.view;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import com.facebook.common.internal.Objects;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.logging.FLog;
import com.facebook.drawee.components.DraweeEventTracker;
import com.facebook.drawee.drawable.VisibilityAwareDrawable;
import com.facebook.drawee.drawable.VisibilityCallback;
import com.facebook.drawee.interfaces.DraweeController;
import com.facebook.drawee.interfaces.DraweeHierarchy;
import javax.annotation.Nullable;

public class DraweeHolder<DH extends DraweeHierarchy> implements VisibilityCallback {

    /* renamed from: a  reason: collision with root package name */
    private boolean f1562a = false;
    private boolean b = false;
    private boolean c = true;
    private DH d;
    private DraweeController e = null;
    private final DraweeEventTracker f = DraweeEventTracker.a();

    public void a(Context context) {
    }

    public static <DH extends DraweeHierarchy> DraweeHolder<DH> a(@Nullable DH dh, Context context) {
        DraweeHolder<DH> draweeHolder = new DraweeHolder<>(dh);
        draweeHolder.a(context);
        return draweeHolder;
    }

    public DraweeHolder(@Nullable DH dh) {
        if (dh != null) {
            a(dh);
        }
    }

    public void b() {
        this.f.a(DraweeEventTracker.Event.ON_HOLDER_ATTACH);
        this.b = true;
        i();
    }

    public void c() {
        this.f.a(DraweeEventTracker.Event.ON_HOLDER_DETACH);
        this.b = false;
        i();
    }

    public boolean a(MotionEvent motionEvent) {
        if (!j()) {
            return false;
        }
        return this.e.a(motionEvent);
    }

    @Override // com.facebook.drawee.drawable.VisibilityCallback
    public void a(boolean z) {
        if (this.c != z) {
            this.f.a(z ? DraweeEventTracker.Event.ON_DRAWABLE_SHOW : DraweeEventTracker.Event.ON_DRAWABLE_HIDE);
            this.c = z;
            i();
        }
    }

    @Override // com.facebook.drawee.drawable.VisibilityCallback
    public void a() {
        if (!this.f1562a) {
            FLog.d(DraweeEventTracker.class, "%x: Draw requested for a non-attached controller %x. %s", Integer.valueOf(System.identityHashCode(this)), Integer.valueOf(System.identityHashCode(this.e)), toString());
            this.b = true;
            this.c = true;
            i();
        }
    }

    private void a(@Nullable VisibilityCallback visibilityCallback) {
        Drawable f2 = f();
        if (f2 instanceof VisibilityAwareDrawable) {
            ((VisibilityAwareDrawable) f2).a(visibilityCallback);
        }
    }

    public void a(@Nullable DraweeController draweeController) {
        boolean z = this.f1562a;
        if (z) {
            h();
        }
        if (j()) {
            this.f.a(DraweeEventTracker.Event.ON_CLEAR_OLD_CONTROLLER);
            this.e.a((DraweeHierarchy) null);
        }
        this.e = draweeController;
        if (this.e != null) {
            this.f.a(DraweeEventTracker.Event.ON_SET_CONTROLLER);
            this.e.a(this.d);
        } else {
            this.f.a(DraweeEventTracker.Event.ON_CLEAR_CONTROLLER);
        }
        if (z) {
            g();
        }
    }

    @Nullable
    public DraweeController d() {
        return this.e;
    }

    public void a(DH dh) {
        this.f.a(DraweeEventTracker.Event.ON_SET_HIERARCHY);
        boolean j = j();
        a((VisibilityCallback) null);
        this.d = (DH) ((DraweeHierarchy) Preconditions.a(dh));
        Drawable a2 = this.d.a();
        a(a2 == null || a2.isVisible());
        a(this);
        if (j) {
            this.e.a(dh);
        }
    }

    public DH e() {
        return (DH) ((DraweeHierarchy) Preconditions.a(this.d));
    }

    public Drawable f() {
        if (this.d == null) {
            return null;
        }
        return this.d.a();
    }

    private void g() {
        if (!this.f1562a) {
            this.f.a(DraweeEventTracker.Event.ON_ATTACH_CONTROLLER);
            this.f1562a = true;
            if (this.e != null && this.e.i() != null) {
                this.e.k();
            }
        }
    }

    private void h() {
        if (this.f1562a) {
            this.f.a(DraweeEventTracker.Event.ON_DETACH_CONTROLLER);
            this.f1562a = false;
            if (j()) {
                this.e.l();
            }
        }
    }

    private void i() {
        if (!this.b || !this.c) {
            h();
        } else {
            g();
        }
    }

    public String toString() {
        return Objects.a(this).a("controllerAttached", this.f1562a).a("holderAttached", this.b).a("drawableVisible", this.c).a("events", this.f.toString()).toString();
    }

    private boolean j() {
        return this.e != null && this.e.i() == this.d;
    }
}
