package com.facebook.drawee.view;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.graphics.Rect;
import android.transition.Transition;
import android.transition.TransitionValues;
import android.view.ViewGroup;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.generic.GenericDraweeHierarchy;

@TargetApi(19)
public class DraweeTransition extends Transition {

    /* renamed from: a  reason: collision with root package name */
    private final ScalingUtils.ScaleType f1563a;
    private final ScalingUtils.ScaleType b;

    public void captureStartValues(TransitionValues transitionValues) {
        a(transitionValues);
    }

    public void captureEndValues(TransitionValues transitionValues) {
        a(transitionValues);
    }

    public Animator createAnimator(ViewGroup viewGroup, TransitionValues transitionValues, TransitionValues transitionValues2) {
        if (transitionValues == null || transitionValues2 == null) {
            return null;
        }
        Rect rect = (Rect) transitionValues.values.get("draweeTransition:bounds");
        Rect rect2 = (Rect) transitionValues2.values.get("draweeTransition:bounds");
        if (rect == null || rect2 == null || this.f1563a == this.b) {
            return null;
        }
        final GenericDraweeView genericDraweeView = (GenericDraweeView) transitionValues.view;
        final ScalingUtils.InterpolatingScaleType interpolatingScaleType = new ScalingUtils.InterpolatingScaleType(this.f1563a, this.b, rect, rect2);
        ((GenericDraweeHierarchy) genericDraweeView.getHierarchy()).a(interpolatingScaleType);
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        ofFloat.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() {
            /* class com.facebook.drawee.view.DraweeTransition.AnonymousClass1 */

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                interpolatingScaleType.a(((Float) valueAnimator.getAnimatedValue()).floatValue());
            }
        });
        ofFloat.addListener(new AnimatorListenerAdapter() {
            /* class com.facebook.drawee.view.DraweeTransition.AnonymousClass2 */

            public void onAnimationEnd(Animator animator) {
                ((GenericDraweeHierarchy) genericDraweeView.getHierarchy()).a(DraweeTransition.this.b);
            }
        });
        return ofFloat;
    }

    private void a(TransitionValues transitionValues) {
        if (transitionValues.view instanceof GenericDraweeView) {
            transitionValues.values.put("draweeTransition:bounds", new Rect(0, 0, transitionValues.view.getWidth(), transitionValues.view.getHeight()));
        }
    }
}
