package com.facebook.drawee.view;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.widget.ImageView;
import com.facebook.common.internal.Objects;
import com.facebook.drawee.interfaces.DraweeController;
import com.facebook.drawee.interfaces.DraweeHierarchy;
import com.facebook.drawee.view.AspectRatioMeasure;
import javax.annotation.Nullable;

public class DraweeView<DH extends DraweeHierarchy> extends ImageView {

    /* renamed from: a  reason: collision with root package name */
    private final AspectRatioMeasure.Spec f1566a = new AspectRatioMeasure.Spec();
    private float b = 0.0f;
    private DraweeHolder<DH> c;
    private boolean d = false;

    public DraweeView(Context context) {
        super(context);
        a(context);
    }

    public DraweeView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(context);
    }

    public DraweeView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        a(context);
    }

    private void a(Context context) {
        ColorStateList imageTintList;
        if (!this.d) {
            this.d = true;
            this.c = DraweeHolder.a(null, context);
            if (Build.VERSION.SDK_INT >= 21 && (imageTintList = getImageTintList()) != null) {
                setColorFilter(imageTintList.getDefaultColor());
            }
        }
    }

    public void setHierarchy(DH dh) {
        this.c.a(dh);
        super.setImageDrawable(this.c.f());
    }

    public DH getHierarchy() {
        return this.c.e();
    }

    @Nullable
    public Drawable getTopLevelDrawable() {
        return this.c.f();
    }

    public void setController(@Nullable DraweeController draweeController) {
        this.c.a(draweeController);
        super.setImageDrawable(this.c.f());
    }

    @Nullable
    public DraweeController getController() {
        return this.c.d();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        a();
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        b();
    }

    public void onStartTemporaryDetach() {
        super.onStartTemporaryDetach();
        b();
    }

    public void onFinishTemporaryDetach() {
        super.onFinishTemporaryDetach();
        a();
    }

    /* access modifiers changed from: protected */
    public void a() {
        c();
    }

    /* access modifiers changed from: protected */
    public void b() {
        d();
    }

    /* access modifiers changed from: protected */
    public void c() {
        this.c.b();
    }

    /* access modifiers changed from: protected */
    public void d() {
        this.c.c();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.c.a(motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    @Deprecated
    public void setImageDrawable(Drawable drawable) {
        a(getContext());
        this.c.a((DraweeController) null);
        super.setImageDrawable(drawable);
    }

    @Deprecated
    public void setImageBitmap(Bitmap bitmap) {
        a(getContext());
        this.c.a((DraweeController) null);
        super.setImageBitmap(bitmap);
    }

    @Deprecated
    public void setImageResource(int i) {
        a(getContext());
        this.c.a((DraweeController) null);
        super.setImageResource(i);
    }

    @Deprecated
    public void setImageURI(Uri uri) {
        a(getContext());
        this.c.a((DraweeController) null);
        super.setImageURI(uri);
    }

    public void setAspectRatio(float f) {
        if (f != this.b) {
            this.b = f;
            requestLayout();
        }
    }

    public float getAspectRatio() {
        return this.b;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i, int i2) {
        this.f1566a.f1561a = i;
        this.f1566a.b = i2;
        AspectRatioMeasure.a(this.f1566a, this.b, getLayoutParams(), getPaddingLeft() + getPaddingRight(), getPaddingTop() + getPaddingBottom());
        super.onMeasure(this.f1566a.f1561a, this.f1566a.b);
    }

    public String toString() {
        return Objects.a(this).a("holder", this.c != null ? this.c.toString() : "<no holder set>").toString();
    }
}
