package com.facebook.fbui.textlayoutbuilder;

import android.graphics.Paint;
import android.graphics.Typeface;
import android.support.annotation.Px;
import android.support.annotation.VisibleForTesting;
import android.support.v4.text.TextDirectionHeuristicCompat;
import android.support.v4.text.TextDirectionHeuristicsCompat;
import android.support.v4.util.LruCache;
import android.text.BoringLayout;
import android.text.Layout;
import android.text.Spannable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.ClickableSpan;
import android.util.Log;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class TextLayoutBuilder {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    static final LruCache<Integer, Layout> f1569a = new LruCache<>(100);
    @VisibleForTesting
    final Params b = new Params();
    private Layout c = null;
    private GlyphWarmer d;
    private boolean e = true;
    private boolean f = false;

    @Retention(RetentionPolicy.SOURCE)
    public @interface MeasureMode {
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public static class Params {

        /* renamed from: a  reason: collision with root package name */
        TextPaint f1571a = new ComparableTextPaint(1);
        int b;
        int c;
        CharSequence d;
        float e = 1.0f;
        float f = 0.0f;
        boolean g = true;
        TextUtils.TruncateAt h = null;
        boolean i = false;
        int j = Integer.MAX_VALUE;
        Layout.Alignment k = Layout.Alignment.ALIGN_NORMAL;
        TextDirectionHeuristicCompat l = TextDirectionHeuristicsCompat.c;
        boolean m = false;

        Params() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            if (this.m) {
                this.f1571a = new ComparableTextPaint(this.f1571a);
                this.m = false;
            }
        }

        public int hashCode() {
            int i2 = 0;
            int hashCode = ((((((((((((((((((((((this.f1571a != null ? this.f1571a.hashCode() : 0) + 31) * 31) + this.b) * 31) + this.c) * 31) + Float.floatToIntBits(this.e)) * 31) + Float.floatToIntBits(this.f)) * 31) + (this.g ? 1 : 0)) * 31) + (this.h != null ? this.h.hashCode() : 0)) * 31) + (this.i ? 1 : 0)) * 31) + this.j) * 31) + (this.k != null ? this.k.hashCode() : 0)) * 31) + (this.l != null ? this.l.hashCode() : 0)) * 31;
            if (this.d != null) {
                i2 = this.d.hashCode();
            }
            return hashCode + i2;
        }
    }

    public TextLayoutBuilder a(@Px int i, int i2) {
        if (!(this.b.b == i && this.b.c == i2)) {
            this.b.b = i;
            this.b.c = i2;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(CharSequence charSequence) {
        if (charSequence == this.b.d || (charSequence != null && this.b.d != null && charSequence.equals(this.b.d))) {
            return this;
        }
        this.b.d = charSequence;
        this.c = null;
        return this;
    }

    public TextLayoutBuilder a(int i) {
        float f2 = (float) i;
        if (this.b.f1571a.getTextSize() != f2) {
            this.b.a();
            this.b.f1571a.setTextSize(f2);
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(float f2) {
        if (this.b.f != f2) {
            this.b.f = f2;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder b(float f2) {
        if (this.b.e != f2) {
            this.b.e = f2;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(boolean z) {
        if (this.b.g != z) {
            this.b.g = z;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(Layout.Alignment alignment) {
        if (this.b.k != alignment) {
            this.b.k = alignment;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(TextDirectionHeuristicCompat textDirectionHeuristicCompat) {
        if (this.b.l != textDirectionHeuristicCompat) {
            this.b.l = textDirectionHeuristicCompat;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder b(int i) {
        return a(Typeface.defaultFromStyle(i));
    }

    public TextLayoutBuilder a(Typeface typeface) {
        if (this.b.f1571a.getTypeface() != typeface) {
            this.b.a();
            this.b.f1571a.setTypeface(typeface);
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder a(TextUtils.TruncateAt truncateAt) {
        if (this.b.h != truncateAt) {
            this.b.h = truncateAt;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder b(boolean z) {
        if (this.b.i != z) {
            this.b.i = z;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder c(int i) {
        if (this.b.j != i) {
            this.b.j = i;
            this.c = null;
        }
        return this;
    }

    public TextLayoutBuilder c(boolean z) {
        this.e = z;
        return this;
    }

    public TextLayoutBuilder d(boolean z) {
        this.f = z;
        return this;
    }

    public TextLayoutBuilder a(GlyphWarmer glyphWarmer) {
        this.d = glyphWarmer;
        return this;
    }

    public Layout a() {
        int i;
        int i2;
        Layout layout;
        int i3;
        IndexOutOfBoundsException e2;
        if (this.e && this.c != null) {
            return this.c;
        }
        BoringLayout.Metrics metrics = null;
        if (TextUtils.isEmpty(this.b.d)) {
            return null;
        }
        boolean z = false;
        if (this.e && (this.b.d instanceof Spannable) && ((ClickableSpan[]) ((Spannable) this.b.d).getSpans(0, this.b.d.length() - 1, ClickableSpan.class)).length > 0) {
            z = true;
        }
        if (!this.e || z) {
            i = -1;
        } else {
            int hashCode = this.b.hashCode();
            Layout a2 = f1569a.a(Integer.valueOf(hashCode));
            if (a2 != null) {
                return a2;
            }
            i = hashCode;
        }
        int i4 = this.b.i ? 1 : this.b.j;
        if (i4 == 1) {
            metrics = BoringLayout.isBoring(this.b.d, this.b.f1571a);
        }
        switch (this.b.c) {
            case 0:
                i2 = (int) Math.ceil((double) Layout.getDesiredWidth(this.b.d, this.b.f1571a));
                break;
            case 1:
                i2 = this.b.b;
                break;
            case 2:
                i2 = Math.min((int) Math.ceil((double) Layout.getDesiredWidth(this.b.d, this.b.f1571a)), this.b.b);
                break;
            default:
                throw new IllegalStateException("Unexpected measure mode " + this.b.c);
        }
        if (metrics != null) {
            layout = BoringLayout.make(this.b.d, this.b.f1571a, i2, this.b.k, this.b.e, this.b.f, metrics, this.b.g, this.b.h, i2);
        } else {
            while (true) {
                try {
                    i3 = i4;
                    try {
                        layout = StaticLayoutHelper.a(this.b.d, 0, this.b.d.length(), this.b.f1571a, i2, this.b.k, this.b.e, this.b.f, this.b.g, this.b.h, i2, i3, this.b.l);
                    } catch (IndexOutOfBoundsException e3) {
                        e2 = e3;
                    }
                } catch (IndexOutOfBoundsException e4) {
                    e2 = e4;
                    i3 = i4;
                    if (!(this.b.d instanceof String)) {
                        Log.e("TextLayoutBuilder", "Hit bug #35412, retrying with Spannables removed", e2);
                        this.b.d = this.b.d.toString();
                        i4 = i3;
                    } else {
                        throw e2;
                    }
                }
                Log.e("TextLayoutBuilder", "Hit bug #35412, retrying with Spannables removed", e2);
                this.b.d = this.b.d.toString();
                i4 = i3;
            }
        }
        if (this.e && !z) {
            this.c = layout;
            f1569a.a(Integer.valueOf(i), layout);
        }
        this.b.m = true;
        if (this.f && this.d != null) {
            this.d.a(layout);
        }
        return layout;
    }

    /* access modifiers changed from: private */
    public static class ComparableTextPaint extends TextPaint {

        /* renamed from: a  reason: collision with root package name */
        private float f1570a;
        private float b;
        private float c;
        private int d;

        public ComparableTextPaint() {
        }

        public ComparableTextPaint(int i) {
            super(i);
        }

        public ComparableTextPaint(Paint paint) {
            super(paint);
        }

        @Override // android.graphics.Paint
        public void setShadowLayer(float f, float f2, float f3, int i) {
            this.c = f;
            this.f1570a = f2;
            this.b = f3;
            this.d = i;
            super.setShadowLayer(f, f2, f3, i);
        }

        public int hashCode() {
            Typeface typeface = getTypeface();
            int color = ((((((((((((((getColor() + 31) * 31) + Float.floatToIntBits(getTextSize())) * 31) + (typeface != null ? typeface.hashCode() : 0)) * 31) + Float.floatToIntBits(this.f1570a)) * 31) + Float.floatToIntBits(this.b)) * 31) + Float.floatToIntBits(this.c)) * 31) + this.d) * 31) + this.linkColor;
            if (this.drawableState == null) {
                return (color * 31) + 0;
            }
            for (int i = 0; i < this.drawableState.length; i++) {
                color = (color * 31) + this.drawableState[i];
            }
            return color;
        }
    }
}
