package com.facebook.imageformat;

import com.facebook.common.internal.ByteStreams;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Throwables;
import com.facebook.imageformat.ImageFormat;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import javax.annotation.Nullable;

public class ImageFormatChecker {

    /* renamed from: a  reason: collision with root package name */
    private static ImageFormatChecker f1577a;
    private int b;
    @Nullable
    private List<ImageFormat.FormatChecker> c;
    private final ImageFormat.FormatChecker d = new DefaultImageFormatChecker();

    private ImageFormatChecker() {
        b();
    }

    public void a(@Nullable List<ImageFormat.FormatChecker> list) {
        this.c = list;
        b();
    }

    public ImageFormat a(InputStream inputStream) throws IOException {
        Preconditions.a(inputStream);
        byte[] bArr = new byte[this.b];
        int a2 = a(this.b, inputStream, bArr);
        if (this.c != null) {
            for (ImageFormat.FormatChecker formatChecker : this.c) {
                ImageFormat a3 = formatChecker.a(bArr, a2);
                if (!(a3 == null || a3 == ImageFormat.f1576a)) {
                    return a3;
                }
            }
        }
        ImageFormat a4 = this.d.a(bArr, a2);
        return a4 == null ? ImageFormat.f1576a : a4;
    }

    private void b() {
        this.b = this.d.a();
        if (this.c != null) {
            for (ImageFormat.FormatChecker formatChecker : this.c) {
                this.b = Math.max(this.b, formatChecker.a());
            }
        }
    }

    private static int a(int i, InputStream inputStream, byte[] bArr) throws IOException {
        Preconditions.a(inputStream);
        Preconditions.a(bArr);
        Preconditions.a(bArr.length >= i);
        if (!inputStream.markSupported()) {
            return ByteStreams.a(inputStream, bArr, 0, i);
        }
        try {
            inputStream.mark(i);
            return ByteStreams.a(inputStream, bArr, 0, i);
        } finally {
            inputStream.reset();
        }
    }

    public static synchronized ImageFormatChecker a() {
        ImageFormatChecker imageFormatChecker;
        synchronized (ImageFormatChecker.class) {
            if (f1577a == null) {
                f1577a = new ImageFormatChecker();
            }
            imageFormatChecker = f1577a;
        }
        return imageFormatChecker;
    }

    public static ImageFormat b(InputStream inputStream) throws IOException {
        return a().a(inputStream);
    }

    public static ImageFormat c(InputStream inputStream) {
        try {
            return b(inputStream);
        } catch (IOException e) {
            throw Throwables.b(e);
        }
    }
}
