package com.facebook.imagepipeline.cache;

import android.net.Uri;
import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.Objects;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.time.RealtimeSinceBootClock;
import com.facebook.common.util.HashCodeUtil;
import com.facebook.imagepipeline.common.ImageDecodeOptions;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.common.RotationOptions;
import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;

@Immutable
public class BitmapMemoryCacheKey implements CacheKey {

    /* renamed from: a  reason: collision with root package name */
    private final String f1592a;
    @Nullable
    private final ResizeOptions b;
    private final RotationOptions c;
    private final ImageDecodeOptions d;
    @Nullable
    private final CacheKey e;
    @Nullable
    private final String f;
    private final int g;
    private final Object h;
    private final long i;

    public BitmapMemoryCacheKey(String str, @Nullable ResizeOptions resizeOptions, RotationOptions rotationOptions, ImageDecodeOptions imageDecodeOptions, @Nullable CacheKey cacheKey, @Nullable String str2, Object obj) {
        this.f1592a = (String) Preconditions.a(str);
        this.b = resizeOptions;
        this.c = rotationOptions;
        this.d = imageDecodeOptions;
        this.e = cacheKey;
        this.f = str2;
        this.g = HashCodeUtil.a(Integer.valueOf(str.hashCode()), Integer.valueOf(resizeOptions != null ? resizeOptions.hashCode() : 0), Integer.valueOf(rotationOptions.hashCode()), this.d, this.e, str2);
        this.h = obj;
        this.i = RealtimeSinceBootClock.get().now();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof BitmapMemoryCacheKey)) {
            return false;
        }
        BitmapMemoryCacheKey bitmapMemoryCacheKey = (BitmapMemoryCacheKey) obj;
        if (this.g != bitmapMemoryCacheKey.g || !this.f1592a.equals(bitmapMemoryCacheKey.f1592a) || !Objects.a(this.b, bitmapMemoryCacheKey.b) || !Objects.a(this.c, bitmapMemoryCacheKey.c) || !Objects.a(this.d, bitmapMemoryCacheKey.d) || !Objects.a(this.e, bitmapMemoryCacheKey.e) || !Objects.a(this.f, bitmapMemoryCacheKey.f)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return this.g;
    }

    @Override // com.facebook.cache.common.CacheKey
    public boolean a(Uri uri) {
        return a().contains(uri.toString());
    }

    @Override // com.facebook.cache.common.CacheKey
    public String a() {
        return this.f1592a;
    }

    public String toString() {
        return String.format(null, "%s_%s_%s_%s_%s_%s_%d", this.f1592a, this.b, this.c, this.d, this.e, this.f, Integer.valueOf(this.g));
    }
}
