package com.facebook.imagepipeline.cache;

import com.android.internal.util.Predicate;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class CountingLruMap<K, V> {

    /* renamed from: a  reason: collision with root package name */
    private final ValueDescriptor<V> f1601a;
    @GuardedBy
    private final LinkedHashMap<K, V> b = new LinkedHashMap<>();
    @GuardedBy
    private int c = 0;

    public CountingLruMap(ValueDescriptor<V> valueDescriptor) {
        this.f1601a = valueDescriptor;
    }

    public synchronized int a() {
        return this.b.size();
    }

    public synchronized int b() {
        return this.c;
    }

    @Nullable
    public synchronized K c() {
        return this.b.isEmpty() ? null : this.b.keySet().iterator().next();
    }

    public synchronized ArrayList<Map.Entry<K, V>> a(@Nullable Predicate<K> predicate) {
        ArrayList<Map.Entry<K, V>> arrayList;
        arrayList = new ArrayList<>(this.b.entrySet().size());
        for (Map.Entry<K, V> entry : this.b.entrySet()) {
            if (predicate == null || predicate.apply(entry.getKey())) {
                arrayList.add(entry);
            }
        }
        return arrayList;
    }

    @Nullable
    public synchronized V a(K k) {
        return this.b.get(k);
    }

    @Nullable
    public synchronized V a(K k, V v) {
        V remove;
        remove = this.b.remove(k);
        this.c -= c(remove);
        this.b.put(k, v);
        this.c += c(v);
        return remove;
    }

    @Nullable
    public synchronized V b(K k) {
        V remove;
        remove = this.b.remove(k);
        this.c -= c(remove);
        return remove;
    }

    public synchronized ArrayList<V> b(@Nullable Predicate<K> predicate) {
        ArrayList<V> arrayList;
        arrayList = new ArrayList<>();
        Iterator<Map.Entry<K, V>> it = this.b.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry<K, V> next = it.next();
            if (predicate == null || predicate.apply(next.getKey())) {
                arrayList.add(next.getValue());
                this.c -= c(next.getValue());
                it.remove();
            }
        }
        return arrayList;
    }

    private int c(V v) {
        if (v == null) {
            return 0;
        }
        return this.f1601a.a(v);
    }
}
