package com.facebook.imagepipeline.cache;

import bolts.Task;
import com.facebook.cache.common.CacheKey;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.concurrent.atomic.AtomicBoolean;

public class SmallCacheIfRequestedDiskCachePolicy implements DiskCachePolicy {

    /* renamed from: a  reason: collision with root package name */
    private final BufferedDiskCache f1618a;
    private final BufferedDiskCache b;
    private final CacheKeyFactory c;

    public SmallCacheIfRequestedDiskCachePolicy(BufferedDiskCache bufferedDiskCache, BufferedDiskCache bufferedDiskCache2, CacheKeyFactory cacheKeyFactory) {
        this.f1618a = bufferedDiskCache;
        this.b = bufferedDiskCache2;
        this.c = cacheKeyFactory;
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public Task<EncodedImage> a(ImageRequest imageRequest, Object obj, AtomicBoolean atomicBoolean) {
        CacheKey c2 = this.c.c(imageRequest, obj);
        if (imageRequest.a() == ImageRequest.CacheChoice.SMALL) {
            return this.b.a(c2, atomicBoolean);
        }
        return this.f1618a.a(c2, atomicBoolean);
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public void a(EncodedImage encodedImage, ImageRequest imageRequest, Object obj) {
        CacheKey c2 = this.c.c(imageRequest, obj);
        if (a(imageRequest, encodedImage) == ImageRequest.CacheChoice.SMALL) {
            this.b.a(c2, encodedImage);
        } else {
            this.f1618a.a(c2, encodedImage);
        }
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public ImageRequest.CacheChoice a(ImageRequest imageRequest, EncodedImage encodedImage) {
        if (imageRequest.a() == null) {
            return ImageRequest.CacheChoice.DEFAULT;
        }
        return imageRequest.a();
    }
}
