package com.facebook.imagepipeline.cache;

import bolts.Continuation;
import bolts.Task;
import com.facebook.cache.common.CacheKey;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.concurrent.CancellationException;
import java.util.concurrent.atomic.AtomicBoolean;

public class SplitCachesByImageSizeDiskCachePolicy implements DiskCachePolicy {

    /* renamed from: a  reason: collision with root package name */
    private final BufferedDiskCache f1619a;
    private final BufferedDiskCache b;
    private final CacheKeyFactory c;
    private final int d;

    public SplitCachesByImageSizeDiskCachePolicy(BufferedDiskCache bufferedDiskCache, BufferedDiskCache bufferedDiskCache2, CacheKeyFactory cacheKeyFactory, int i) {
        this.f1619a = bufferedDiskCache;
        this.b = bufferedDiskCache2;
        this.c = cacheKeyFactory;
        this.d = i;
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public Task<EncodedImage> a(ImageRequest imageRequest, Object obj, final AtomicBoolean atomicBoolean) {
        BufferedDiskCache bufferedDiskCache;
        final BufferedDiskCache bufferedDiskCache2;
        final CacheKey c2 = this.c.c(imageRequest, obj);
        boolean a2 = this.b.a(c2);
        boolean a3 = this.f1619a.a(c2);
        if (a2 || !a3) {
            bufferedDiskCache = this.b;
            bufferedDiskCache2 = this.f1619a;
        } else {
            bufferedDiskCache = this.f1619a;
            bufferedDiskCache2 = this.b;
        }
        return bufferedDiskCache.a(c2, atomicBoolean).b(new Continuation<EncodedImage, Task<EncodedImage>>() {
            /* class com.facebook.imagepipeline.cache.SplitCachesByImageSizeDiskCachePolicy.AnonymousClass1 */

            /* renamed from: b */
            public Task<EncodedImage> a(Task<EncodedImage> task) throws Exception {
                return (SplitCachesByImageSizeDiskCachePolicy.b(task) || (!task.d() && task.e() != null)) ? task : bufferedDiskCache2.a(c2, atomicBoolean);
            }
        });
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public void a(EncodedImage encodedImage, ImageRequest imageRequest, Object obj) {
        CacheKey c2 = this.c.c(imageRequest, obj);
        switch (a(imageRequest, encodedImage)) {
            case DEFAULT:
                this.f1619a.a(c2, encodedImage);
                return;
            case SMALL:
                this.b.a(c2, encodedImage);
                return;
            default:
                return;
        }
    }

    @Override // com.facebook.imagepipeline.cache.DiskCachePolicy
    public ImageRequest.CacheChoice a(ImageRequest imageRequest, EncodedImage encodedImage) {
        int k = encodedImage.k();
        if (k < 0 || k >= this.d) {
            return ImageRequest.CacheChoice.DEFAULT;
        }
        return ImageRequest.CacheChoice.SMALL;
    }

    /* access modifiers changed from: private */
    public static boolean b(Task<?> task) {
        return task.c() || (task.d() && (task.f() instanceof CancellationException));
    }
}
