package com.facebook.imagepipeline.datasource;

import com.facebook.common.internal.Preconditions;
import com.facebook.datasource.AbstractDataSource;
import com.facebook.imagepipeline.listener.RequestListener;
import com.facebook.imagepipeline.producers.BaseConsumer;
import com.facebook.imagepipeline.producers.Consumer;
import com.facebook.imagepipeline.producers.Producer;
import com.facebook.imagepipeline.producers.SettableProducerContext;
import javax.annotation.Nullable;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public abstract class AbstractProducerToDataSourceAdapter<T> extends AbstractDataSource<T> {

    /* renamed from: a  reason: collision with root package name */
    private final SettableProducerContext f1650a;
    private final RequestListener b;

    protected AbstractProducerToDataSourceAdapter(Producer<T> producer, SettableProducerContext settableProducerContext, RequestListener requestListener) {
        this.f1650a = settableProducerContext;
        this.b = requestListener;
        this.b.a(settableProducerContext.a(), this.f1650a.d(), this.f1650a.b(), this.f1650a.f());
        producer.a(j(), settableProducerContext);
    }

    private Consumer<T> j() {
        return new BaseConsumer<T>() {
            /* class com.facebook.imagepipeline.datasource.AbstractProducerToDataSourceAdapter.AnonymousClass1 */

            /* access modifiers changed from: protected */
            @Override // com.facebook.imagepipeline.producers.BaseConsumer
            public void a(@Nullable T t, boolean z) {
                AbstractProducerToDataSourceAdapter.this.b((Object) t, z);
            }

            /* access modifiers changed from: protected */
            @Override // com.facebook.imagepipeline.producers.BaseConsumer
            public void a(Throwable th) {
                AbstractProducerToDataSourceAdapter.this.b((AbstractProducerToDataSourceAdapter) th);
            }

            /* access modifiers changed from: protected */
            @Override // com.facebook.imagepipeline.producers.BaseConsumer
            public void a() {
                AbstractProducerToDataSourceAdapter.this.k();
            }

            /* access modifiers changed from: protected */
            @Override // com.facebook.imagepipeline.producers.BaseConsumer
            public void a(float f) {
                AbstractProducerToDataSourceAdapter.this.a((AbstractProducerToDataSourceAdapter) f);
            }
        };
    }

    /* access modifiers changed from: protected */
    public void b(@Nullable T t, boolean z) {
        if (super.a(t, z) && z) {
            this.b.a(this.f1650a.a(), this.f1650a.b(), this.f1650a.f());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(Throwable th) {
        if (super.a(th)) {
            this.b.a(this.f1650a.a(), this.f1650a.b(), th, this.f1650a.f());
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void k() {
        Preconditions.b(a());
    }

    @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
    public boolean h() {
        if (!super.h()) {
            return false;
        }
        if (super.b()) {
            return true;
        }
        this.b.a(this.f1650a.b());
        this.f1650a.i();
        return true;
    }
}
