package com.facebook.imagepipeline.datasource;

import com.facebook.common.references.CloseableReference;
import com.facebook.datasource.AbstractDataSource;
import com.facebook.datasource.DataSource;
import com.facebook.datasource.DataSubscriber;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CancellationException;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;

public class ListDataSource<T> extends AbstractDataSource<List<CloseableReference<T>>> {

    /* renamed from: a  reason: collision with root package name */
    private final DataSource<CloseableReference<T>>[] f1652a;
    @GuardedBy
    private int b;

    @Nullable
    /* renamed from: j */
    public synchronized List<CloseableReference<T>> d() {
        if (!c()) {
            return null;
        }
        ArrayList arrayList = new ArrayList(this.f1652a.length);
        for (DataSource<CloseableReference<T>> dataSource : this.f1652a) {
            arrayList.add(dataSource.d());
        }
        return arrayList;
    }

    @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
    public synchronized boolean c() {
        return !a() && this.b == this.f1652a.length;
    }

    @Override // com.facebook.datasource.DataSource, com.facebook.datasource.AbstractDataSource
    public boolean h() {
        if (!super.h()) {
            return false;
        }
        for (DataSource<CloseableReference<T>> dataSource : this.f1652a) {
            dataSource.h();
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        if (l()) {
            a((Object) null, true);
        }
    }

    private synchronized boolean l() {
        boolean z;
        z = true;
        int i = this.b + 1;
        this.b = i;
        if (i != this.f1652a.length) {
            z = false;
        }
        return z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(DataSource<CloseableReference<T>> dataSource) {
        a(dataSource.f());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void m() {
        a((Throwable) new CancellationException());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void n() {
        float f = 0.0f;
        for (DataSource<CloseableReference<T>> dataSource : this.f1652a) {
            f += dataSource.g();
        }
        a(f / ((float) this.f1652a.length));
    }

    private class InternalDataSubscriber implements DataSubscriber<CloseableReference<T>> {
        @GuardedBy

        /* renamed from: a  reason: collision with root package name */
        boolean f1653a;
        final /* synthetic */ ListDataSource b;

        private synchronized boolean a() {
            if (this.f1653a) {
                return false;
            }
            this.f1653a = true;
            return true;
        }

        @Override // com.facebook.datasource.DataSubscriber
        public void b(DataSource<CloseableReference<T>> dataSource) {
            this.b.a((ListDataSource) dataSource);
        }

        @Override // com.facebook.datasource.DataSubscriber
        public void c(DataSource<CloseableReference<T>> dataSource) {
            this.b.m();
        }

        @Override // com.facebook.datasource.DataSubscriber
        public void a(DataSource<CloseableReference<T>> dataSource) {
            if (dataSource.b() && a()) {
                this.b.k();
            }
        }

        @Override // com.facebook.datasource.DataSubscriber
        public void d(DataSource<CloseableReference<T>> dataSource) {
            this.b.n();
        }
    }
}
