package com.facebook.imagepipeline.decoder;

import android.graphics.Bitmap;
import com.facebook.common.internal.Closeables;
import com.facebook.common.references.CloseableReference;
import com.facebook.imageformat.DefaultImageFormats;
import com.facebook.imageformat.ImageFormat;
import com.facebook.imageformat.ImageFormatChecker;
import com.facebook.imagepipeline.animated.factory.AnimatedImageFactory;
import com.facebook.imagepipeline.common.ImageDecodeOptions;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.image.CloseableStaticBitmap;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.image.ImmutableQualityInfo;
import com.facebook.imagepipeline.image.QualityInfo;
import com.facebook.imagepipeline.platform.PlatformDecoder;
import java.io.InputStream;
import java.util.Map;
import javax.annotation.Nullable;

public class DefaultImageDecoder implements ImageDecoder {

    /* renamed from: a  reason: collision with root package name */
    private final AnimatedImageFactory f1654a;
    private final Bitmap.Config b;
    private final PlatformDecoder c;
    private final ImageDecoder d;
    @Nullable
    private final Map<ImageFormat, ImageDecoder> e;

    public DefaultImageDecoder(AnimatedImageFactory animatedImageFactory, PlatformDecoder platformDecoder, Bitmap.Config config) {
        this(animatedImageFactory, platformDecoder, config, null);
    }

    public DefaultImageDecoder(AnimatedImageFactory animatedImageFactory, PlatformDecoder platformDecoder, Bitmap.Config config, @Nullable Map<ImageFormat, ImageDecoder> map) {
        this.d = new ImageDecoder() {
            /* class com.facebook.imagepipeline.decoder.DefaultImageDecoder.AnonymousClass1 */

            @Override // com.facebook.imagepipeline.decoder.ImageDecoder
            public CloseableImage a(EncodedImage encodedImage, int i, QualityInfo qualityInfo, ImageDecodeOptions imageDecodeOptions) {
                ImageFormat e = encodedImage.e();
                if (e == DefaultImageFormats.f1575a) {
                    return DefaultImageDecoder.this.b(encodedImage, i, qualityInfo, imageDecodeOptions);
                }
                if (e == DefaultImageFormats.c) {
                    return DefaultImageDecoder.this.a(encodedImage, imageDecodeOptions);
                }
                if (e == DefaultImageFormats.i) {
                    return DefaultImageDecoder.this.c(encodedImage, imageDecodeOptions);
                }
                if (e != ImageFormat.f1576a) {
                    return DefaultImageDecoder.this.b(encodedImage, imageDecodeOptions);
                }
                throw new IllegalArgumentException("unknown image format");
            }
        };
        this.f1654a = animatedImageFactory;
        this.b = config;
        this.c = platformDecoder;
        this.e = map;
    }

    @Override // com.facebook.imagepipeline.decoder.ImageDecoder
    public CloseableImage a(EncodedImage encodedImage, int i, QualityInfo qualityInfo, ImageDecodeOptions imageDecodeOptions) {
        ImageDecoder imageDecoder;
        if (imageDecodeOptions.g != null) {
            return imageDecodeOptions.g.a(encodedImage, i, qualityInfo, imageDecodeOptions);
        }
        ImageFormat e2 = encodedImage.e();
        if (e2 == null || e2 == ImageFormat.f1576a) {
            e2 = ImageFormatChecker.c(encodedImage.d());
            encodedImage.a(e2);
        }
        if (this.e == null || (imageDecoder = this.e.get(e2)) == null) {
            return this.d.a(encodedImage, i, qualityInfo, imageDecodeOptions);
        }
        return imageDecoder.a(encodedImage, i, qualityInfo, imageDecodeOptions);
    }

    public CloseableImage a(EncodedImage encodedImage, ImageDecodeOptions imageDecodeOptions) {
        InputStream d2 = encodedImage.d();
        if (d2 == null) {
            return null;
        }
        try {
            if (!imageDecodeOptions.e && this.f1654a != null) {
                return this.f1654a.a(encodedImage, imageDecodeOptions, this.b);
            }
            CloseableStaticBitmap b2 = b(encodedImage, imageDecodeOptions);
            Closeables.a(d2);
            return b2;
        } finally {
            Closeables.a(d2);
        }
    }

    public CloseableStaticBitmap b(EncodedImage encodedImage, ImageDecodeOptions imageDecodeOptions) {
        CloseableReference<Bitmap> a2 = this.c.a(encodedImage, imageDecodeOptions.f);
        try {
            return new CloseableStaticBitmap(a2, ImmutableQualityInfo.f1661a, encodedImage.f());
        } finally {
            a2.close();
        }
    }

    public CloseableStaticBitmap b(EncodedImage encodedImage, int i, QualityInfo qualityInfo, ImageDecodeOptions imageDecodeOptions) {
        CloseableReference<Bitmap> a2 = this.c.a(encodedImage, imageDecodeOptions.f, i);
        try {
            return new CloseableStaticBitmap(a2, qualityInfo, encodedImage.f());
        } finally {
            a2.close();
        }
    }

    public CloseableImage c(EncodedImage encodedImage, ImageDecodeOptions imageDecodeOptions) {
        return this.f1654a.b(encodedImage, imageDecodeOptions, this.b);
    }
}
