package com.facebook.imagepipeline.decoder;

import com.facebook.common.internal.Closeables;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Throwables;
import com.facebook.common.memory.ByteArrayPool;
import com.facebook.common.memory.PooledByteArrayBufferedInputStream;
import com.facebook.common.util.StreamUtil;
import com.facebook.imagepipeline.image.EncodedImage;
import java.io.IOException;
import java.io.InputStream;

public class ProgressiveJpegParser {

    /* renamed from: a  reason: collision with root package name */
    private int f1657a = 0;
    private int b = 0;
    private int c = 0;
    private int d = 0;
    private int e = 0;
    private int f = 0;
    private boolean g;
    private final ByteArrayPool h;

    private static boolean a(int i) {
        if (i == 1) {
            return false;
        }
        return ((i >= 208 && i <= 215) || i == 217 || i == 216) ? false : true;
    }

    public ProgressiveJpegParser(ByteArrayPool byteArrayPool) {
        this.h = (ByteArrayPool) Preconditions.a(byteArrayPool);
    }

    public boolean a(EncodedImage encodedImage) {
        if (this.f1657a == 6 || encodedImage.k() <= this.c) {
            return false;
        }
        PooledByteArrayBufferedInputStream pooledByteArrayBufferedInputStream = new PooledByteArrayBufferedInputStream(encodedImage.d(), (byte[]) this.h.a(16384), this.h);
        try {
            StreamUtil.a(pooledByteArrayBufferedInputStream, (long) this.c);
            return a(pooledByteArrayBufferedInputStream);
        } catch (IOException e2) {
            Throwables.b(e2);
            return false;
        } finally {
            Closeables.a(pooledByteArrayBufferedInputStream);
        }
    }

    private boolean a(InputStream inputStream) {
        int read;
        int i = this.e;
        while (this.f1657a != 6 && (read = inputStream.read()) != -1) {
            try {
                this.c++;
                switch (this.f1657a) {
                    case 0:
                        if (read != 255) {
                            this.f1657a = 6;
                            break;
                        } else {
                            this.f1657a = 1;
                            break;
                        }
                    case 1:
                        if (read != 216) {
                            this.f1657a = 6;
                            break;
                        } else {
                            this.f1657a = 2;
                            break;
                        }
                    case 2:
                        if (read != 255) {
                            break;
                        } else {
                            this.f1657a = 3;
                            break;
                        }
                    case 3:
                        if (read != 255) {
                            if (read != 0) {
                                if (read != 217) {
                                    if (read == 218) {
                                        b(this.c - 2);
                                    }
                                    if (!a(read)) {
                                        this.f1657a = 2;
                                        break;
                                    } else {
                                        this.f1657a = 4;
                                        break;
                                    }
                                } else {
                                    this.g = true;
                                    b(this.c - 2);
                                    this.f1657a = 2;
                                    break;
                                }
                            } else {
                                this.f1657a = 2;
                                break;
                            }
                        } else {
                            this.f1657a = 3;
                            break;
                        }
                    case 4:
                        this.f1657a = 5;
                        break;
                    case 5:
                        int i2 = ((this.b << 8) + read) - 2;
                        StreamUtil.a(inputStream, (long) i2);
                        this.c += i2;
                        this.f1657a = 2;
                        break;
                    default:
                        Preconditions.b(false);
                        break;
                }
                this.b = read;
            } catch (IOException e2) {
                Throwables.b(e2);
            }
        }
        if (this.f1657a == 6 || this.e == i) {
            return false;
        }
        return true;
    }

    private void b(int i) {
        if (this.d > 0) {
            this.f = i;
        }
        int i2 = this.d;
        this.d = i2 + 1;
        this.e = i2;
    }

    public int a() {
        return this.f;
    }

    public int b() {
        return this.e;
    }

    public boolean c() {
        return this.g;
    }
}
