package com.facebook.imagepipeline.image;

import android.graphics.Bitmap;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.references.CloseableReference;
import com.facebook.common.references.ResourceReleaser;
import com.facebook.imageutils.BitmapUtil;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class CloseableStaticBitmap extends CloseableBitmap {
    @GuardedBy

    /* renamed from: a  reason: collision with root package name */
    private CloseableReference<Bitmap> f1659a;
    private volatile Bitmap b;
    private final QualityInfo c;
    private final int d;

    public CloseableStaticBitmap(Bitmap bitmap, ResourceReleaser<Bitmap> resourceReleaser, QualityInfo qualityInfo, int i) {
        this.b = (Bitmap) Preconditions.a(bitmap);
        this.f1659a = CloseableReference.a(this.b, (ResourceReleaser) Preconditions.a(resourceReleaser));
        this.c = qualityInfo;
        this.d = i;
    }

    public CloseableStaticBitmap(CloseableReference<Bitmap> closeableReference, QualityInfo qualityInfo, int i) {
        this.f1659a = (CloseableReference) Preconditions.a(closeableReference.c());
        this.b = this.f1659a.a();
        this.c = qualityInfo;
        this.d = i;
    }

    @Override // java.io.Closeable, com.facebook.imagepipeline.image.CloseableImage, java.lang.AutoCloseable
    public void close() {
        CloseableReference<Bitmap> i = i();
        if (i != null) {
            i.close();
        }
    }

    private synchronized CloseableReference<Bitmap> i() {
        CloseableReference<Bitmap> closeableReference;
        closeableReference = this.f1659a;
        this.f1659a = null;
        this.b = null;
        return closeableReference;
    }

    @Override // com.facebook.imagepipeline.image.CloseableImage
    public synchronized boolean c() {
        return this.f1659a == null;
    }

    @Override // com.facebook.imagepipeline.image.CloseableBitmap
    public Bitmap a() {
        return this.b;
    }

    @Override // com.facebook.imagepipeline.image.CloseableImage
    public int b() {
        return BitmapUtil.a(this.b);
    }

    @Override // com.facebook.imagepipeline.image.ImageInfo
    public int f() {
        if (this.d == 90 || this.d == 270) {
            return b(this.b);
        }
        return a(this.b);
    }

    @Override // com.facebook.imagepipeline.image.ImageInfo
    public int g() {
        if (this.d == 90 || this.d == 270) {
            return a(this.b);
        }
        return b(this.b);
    }

    private static int a(@Nullable Bitmap bitmap) {
        if (bitmap == null) {
            return 0;
        }
        return bitmap.getWidth();
    }

    private static int b(@Nullable Bitmap bitmap) {
        if (bitmap == null) {
            return 0;
        }
        return bitmap.getHeight();
    }

    public int h() {
        return this.d;
    }

    @Override // com.facebook.imagepipeline.image.CloseableImage
    public QualityInfo d() {
        return this.c;
    }
}
