package com.facebook.imagepipeline.image;

import android.util.Pair;
import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Supplier;
import com.facebook.common.memory.PooledByteBuffer;
import com.facebook.common.memory.PooledByteBufferInputStream;
import com.facebook.common.references.CloseableReference;
import com.facebook.imageformat.DefaultImageFormats;
import com.facebook.imageformat.ImageFormat;
import com.facebook.imageformat.ImageFormatChecker;
import com.facebook.imageutils.BitmapUtil;
import com.facebook.imageutils.JfifUtil;
import com.facebook.imageutils.WebpUtil;
import java.io.Closeable;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;

@Immutable
public class EncodedImage implements Closeable {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private final CloseableReference<PooledByteBuffer> f1660a;
    @Nullable
    private final Supplier<FileInputStream> b;
    private ImageFormat c;
    private int d;
    private int e;
    private int f;
    private int g;
    private int h;
    @Nullable
    private CacheKey i;

    public EncodedImage(CloseableReference<PooledByteBuffer> closeableReference) {
        this.c = ImageFormat.f1576a;
        this.d = -1;
        this.e = -1;
        this.f = -1;
        this.g = 1;
        this.h = -1;
        Preconditions.a(CloseableReference.a((CloseableReference<?>) closeableReference));
        this.f1660a = closeableReference.clone();
        this.b = null;
    }

    public EncodedImage(Supplier<FileInputStream> supplier) {
        this.c = ImageFormat.f1576a;
        this.d = -1;
        this.e = -1;
        this.f = -1;
        this.g = 1;
        this.h = -1;
        Preconditions.a(supplier);
        this.f1660a = null;
        this.b = supplier;
    }

    public EncodedImage(Supplier<FileInputStream> supplier, int i2) {
        this(supplier);
        this.h = i2;
    }

    public static EncodedImage a(EncodedImage encodedImage) {
        if (encodedImage != null) {
            return encodedImage.a();
        }
        return null;
    }

    public EncodedImage a() {
        EncodedImage encodedImage;
        EncodedImage encodedImage2;
        if (this.b != null) {
            encodedImage = new EncodedImage(this.b, this.h);
        } else {
            CloseableReference b2 = CloseableReference.b(this.f1660a);
            if (b2 == null) {
                encodedImage2 = null;
            } else {
                try {
                    encodedImage2 = new EncodedImage(b2);
                } catch (Throwable th) {
                    CloseableReference.c(b2);
                    throw th;
                }
            }
            CloseableReference.c(b2);
            encodedImage = encodedImage2;
        }
        if (encodedImage != null) {
            encodedImage.b(this);
        }
        return encodedImage;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        CloseableReference.c(this.f1660a);
    }

    public synchronized boolean b() {
        return CloseableReference.a(this.f1660a) || this.b != null;
    }

    public CloseableReference<PooledByteBuffer> c() {
        return CloseableReference.b(this.f1660a);
    }

    public InputStream d() {
        if (this.b != null) {
            return this.b.b();
        }
        CloseableReference b2 = CloseableReference.b(this.f1660a);
        if (b2 == null) {
            return null;
        }
        try {
            return new PooledByteBufferInputStream((PooledByteBuffer) b2.a());
        } finally {
            CloseableReference.c(b2);
        }
    }

    public void a(ImageFormat imageFormat) {
        this.c = imageFormat;
    }

    public void a(int i2) {
        this.f = i2;
    }

    public void b(int i2) {
        this.e = i2;
    }

    public void c(int i2) {
        this.d = i2;
    }

    public void d(int i2) {
        this.g = i2;
    }

    public void a(@Nullable CacheKey cacheKey) {
        this.i = cacheKey;
    }

    public ImageFormat e() {
        return this.c;
    }

    public int f() {
        return this.d;
    }

    public int g() {
        return this.e;
    }

    public int h() {
        return this.f;
    }

    public int i() {
        return this.g;
    }

    @Nullable
    public CacheKey j() {
        return this.i;
    }

    public boolean e(int i2) {
        if (this.c != DefaultImageFormats.f1575a || this.b != null) {
            return true;
        }
        Preconditions.a(this.f1660a);
        PooledByteBuffer a2 = this.f1660a.a();
        if (a2.a(i2 - 2) == -1 && a2.a(i2 - 1) == -39) {
            return true;
        }
        return false;
    }

    public int k() {
        if (this.f1660a == null || this.f1660a.a() == null) {
            return this.h;
        }
        return this.f1660a.a().a();
    }

    public void l() {
        Pair<Integer, Integer> pair;
        ImageFormat c2 = ImageFormatChecker.c(d());
        this.c = c2;
        if (DefaultImageFormats.a(c2)) {
            pair = m();
        } else {
            pair = n();
        }
        if (c2 != DefaultImageFormats.f1575a || this.d != -1) {
            this.d = 0;
        } else if (pair != null) {
            this.d = JfifUtil.a(JfifUtil.a(d()));
        }
    }

    private Pair<Integer, Integer> m() {
        Pair<Integer, Integer> a2 = WebpUtil.a(d());
        if (a2 != null) {
            this.e = ((Integer) a2.first).intValue();
            this.f = ((Integer) a2.second).intValue();
        }
        return a2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x002a A[SYNTHETIC, Splitter:B:15:0x002a] */
    private Pair<Integer, Integer> n() {
        Throwable th;
        InputStream inputStream;
        try {
            inputStream = d();
            try {
                Pair<Integer, Integer> a2 = BitmapUtil.a(inputStream);
                if (a2 != null) {
                    this.e = ((Integer) a2.first).intValue();
                    this.f = ((Integer) a2.second).intValue();
                }
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException unused) {
                    }
                }
                return a2;
            } catch (Throwable th2) {
                th = th2;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException unused2) {
                    }
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            inputStream = null;
            if (inputStream != null) {
            }
            throw th;
        }
    }

    public void b(EncodedImage encodedImage) {
        this.c = encodedImage.e();
        this.e = encodedImage.g();
        this.f = encodedImage.h();
        this.d = encodedImage.f();
        this.g = encodedImage.i();
        this.h = encodedImage.k();
        this.i = encodedImage.j();
    }

    public static boolean c(EncodedImage encodedImage) {
        return encodedImage.d >= 0 && encodedImage.e >= 0 && encodedImage.f >= 0;
    }

    public static void d(@Nullable EncodedImage encodedImage) {
        if (encodedImage != null) {
            encodedImage.close();
        }
    }

    public static boolean e(@Nullable EncodedImage encodedImage) {
        return encodedImage != null && encodedImage.b();
    }
}
