package com.facebook.imagepipeline.listener;

import com.facebook.common.logging.FLog;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;
import javax.annotation.Nullable;

public class ForwardingRequestListener implements RequestListener {

    /* renamed from: a  reason: collision with root package name */
    private final List<RequestListener> f1662a;

    public ForwardingRequestListener(Set<RequestListener> set) {
        this.f1662a = new ArrayList(set.size());
        for (RequestListener requestListener : set) {
            if (requestListener != null) {
                this.f1662a.add(requestListener);
            }
        }
    }

    public ForwardingRequestListener(RequestListener... requestListenerArr) {
        this.f1662a = new ArrayList(requestListenerArr.length);
        for (RequestListener requestListener : requestListenerArr) {
            if (requestListener != null) {
                this.f1662a.add(requestListener);
            }
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public void a(ImageRequest imageRequest, Object obj, String str, boolean z) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(imageRequest, obj, str, z);
            } catch (Exception e) {
                a("InternalListener exception in onRequestStart", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void a(String str, String str2) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str, str2);
            } catch (Exception e) {
                a("InternalListener exception in onProducerStart", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void a(String str, String str2, @Nullable Map<String, String> map) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str, str2, map);
            } catch (Exception e) {
                a("InternalListener exception in onProducerFinishWithSuccess", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void a(String str, String str2, Throwable th, @Nullable Map<String, String> map) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str, str2, th, map);
            } catch (Exception e) {
                a("InternalListener exception in onProducerFinishWithFailure", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void b(String str, String str2, @Nullable Map<String, String> map) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).b(str, str2, map);
            } catch (Exception e) {
                a("InternalListener exception in onProducerFinishWithCancellation", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void a(String str, String str2, String str3) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str, str2, str3);
            } catch (Exception e) {
                a("InternalListener exception in onIntermediateChunkStart", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public void a(String str, String str2, boolean z) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str, str2, z);
            } catch (Exception e) {
                a("InternalListener exception in onProducerFinishWithSuccess", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public void a(ImageRequest imageRequest, String str, boolean z) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(imageRequest, str, z);
            } catch (Exception e) {
                a("InternalListener exception in onRequestSuccess", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public void a(ImageRequest imageRequest, String str, Throwable th, boolean z) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(imageRequest, str, th, z);
            } catch (Exception e) {
                a("InternalListener exception in onRequestFailure", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public void a(String str) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            try {
                this.f1662a.get(i).a(str);
            } catch (Exception e) {
                a("InternalListener exception in onRequestCancellation", e);
            }
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public boolean b(String str) {
        int size = this.f1662a.size();
        for (int i = 0; i < size; i++) {
            if (this.f1662a.get(i).b(str)) {
                return true;
            }
        }
        return false;
    }

    private void a(String str, Throwable th) {
        FLog.c("ForwardingRequestListener", str, th);
    }
}
