package com.facebook.imagepipeline.listener;

import android.os.SystemClock;
import android.util.Pair;
import com.facebook.common.logging.FLog;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;

public class RequestLoggingListener implements RequestListener {
    @GuardedBy

    /* renamed from: a  reason: collision with root package name */
    private final Map<Pair<String, String>, Long> f1663a = new HashMap();
    @GuardedBy
    private final Map<String, Long> b = new HashMap();

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public synchronized void a(ImageRequest imageRequest, Object obj, String str, boolean z) {
        if (FLog.a(2)) {
            FLog.a("RequestLoggingListener", "time %d: onRequestSubmit: {requestId: %s, callerContext: %s, isPrefetch: %b}", Long.valueOf(a()), str, obj, Boolean.valueOf(z));
            this.b.put(str, Long.valueOf(a()));
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void a(String str, String str2) {
        if (FLog.a(2)) {
            Pair<String, String> create = Pair.create(str, str2);
            long a2 = a();
            this.f1663a.put(create, Long.valueOf(a2));
            FLog.a("RequestLoggingListener", "time %d: onProducerStart: {requestId: %s, producer: %s}", Long.valueOf(a2), str, str2);
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void a(String str, String str2, @Nullable Map<String, String> map) {
        if (FLog.a(2)) {
            Pair create = Pair.create(str, str2);
            long a2 = a();
            FLog.a("RequestLoggingListener", "time %d: onProducerFinishWithSuccess: {requestId: %s, producer: %s, elapsedTime: %d ms, extraMap: %s}", Long.valueOf(a2), str, str2, Long.valueOf(a(this.f1663a.remove(create), a2)), map);
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void a(String str, String str2, Throwable th, @Nullable Map<String, String> map) {
        if (FLog.a(5)) {
            Pair create = Pair.create(str, str2);
            long a2 = a();
            FLog.b("RequestLoggingListener", "time %d: onProducerFinishWithFailure: {requestId: %s, stage: %s, elapsedTime: %d ms, extraMap: %s, throwable: %s}", Long.valueOf(a2), str, str2, Long.valueOf(a(this.f1663a.remove(create), a2)), map, th.toString());
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void b(String str, String str2, @Nullable Map<String, String> map) {
        if (FLog.a(2)) {
            Pair create = Pair.create(str, str2);
            long a2 = a();
            FLog.a("RequestLoggingListener", "time %d: onProducerFinishWithCancellation: {requestId: %s, stage: %s, elapsedTime: %d ms, extraMap: %s}", Long.valueOf(a2), str, str2, Long.valueOf(a(this.f1663a.remove(create), a2)), map);
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void a(String str, String str2, String str3) {
        if (FLog.a(2)) {
            Pair create = Pair.create(str, str2);
            FLog.a("RequestLoggingListener", "time %d: onProducerEvent: {requestId: %s, stage: %s, eventName: %s; elapsedTime: %d ms}", Long.valueOf(a()), str, str2, str3, Long.valueOf(a(this.f1663a.get(create), a())));
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public synchronized void a(String str, String str2, boolean z) {
        if (FLog.a(2)) {
            Pair create = Pair.create(str, str2);
            long a2 = a();
            FLog.a("RequestLoggingListener", "time %d: onUltimateProducerReached: {requestId: %s, producer: %s, elapsedTime: %d ms, success: %b}", Long.valueOf(a2), str, str2, Long.valueOf(a(this.f1663a.remove(create), a2)), Boolean.valueOf(z));
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public synchronized void a(ImageRequest imageRequest, String str, boolean z) {
        if (FLog.a(2)) {
            long a2 = a();
            FLog.a("RequestLoggingListener", "time %d: onRequestSuccess: {requestId: %s, elapsedTime: %d ms}", Long.valueOf(a2), str, Long.valueOf(a(this.b.remove(str), a2)));
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public synchronized void a(ImageRequest imageRequest, String str, Throwable th, boolean z) {
        if (FLog.a(5)) {
            long a2 = a();
            FLog.b("RequestLoggingListener", "time %d: onRequestFailure: {requestId: %s, elapsedTime: %d ms, throwable: %s}", Long.valueOf(a2), str, Long.valueOf(a(this.b.remove(str), a2)), th.toString());
        }
    }

    @Override // com.facebook.imagepipeline.listener.RequestListener
    public synchronized void a(String str) {
        if (FLog.a(2)) {
            long a2 = a();
            FLog.a("RequestLoggingListener", "time %d: onRequestCancellation: {requestId: %s, elapsedTime: %d ms}", Long.valueOf(a2), str, Long.valueOf(a(this.b.remove(str), a2)));
        }
    }

    @Override // com.facebook.imagepipeline.producers.ProducerListener
    public boolean b(String str) {
        return FLog.a(2);
    }

    private static long a(@Nullable Long l, long j) {
        if (l != null) {
            return j - l.longValue();
        }
        return -1;
    }

    private static long a() {
        return SystemClock.uptimeMillis();
    }
}
