package com.facebook.imagepipeline.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.memory.MemoryTrimmableRegistry;
import com.facebook.common.references.CloseableReference;
import com.facebook.common.references.ResourceReleaser;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class FlexByteArrayPool {
    @VisibleForTesting

    /* renamed from: a  reason: collision with root package name */
    final SoftRefByteArrayPool f1672a;
    private final ResourceReleaser<byte[]> b;

    public FlexByteArrayPool(MemoryTrimmableRegistry memoryTrimmableRegistry, PoolParams poolParams) {
        Preconditions.a(poolParams.f > 0);
        this.f1672a = new SoftRefByteArrayPool(memoryTrimmableRegistry, poolParams, NoOpPoolStatsTracker.a());
        this.b = new ResourceReleaser<byte[]>() {
            /* class com.facebook.imagepipeline.memory.FlexByteArrayPool.AnonymousClass1 */

            public void a(byte[] bArr) {
                FlexByteArrayPool.this.a(bArr);
            }
        };
    }

    public CloseableReference<byte[]> a(int i) {
        return CloseableReference.a(this.f1672a.a(i), this.b);
    }

    public void a(byte[] bArr) {
        this.f1672a.a((Object) bArr);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public static class SoftRefByteArrayPool extends GenericByteArrayPool {
        public SoftRefByteArrayPool(MemoryTrimmableRegistry memoryTrimmableRegistry, PoolParams poolParams, PoolStatsTracker poolStatsTracker) {
            super(memoryTrimmableRegistry, poolParams, poolStatsTracker);
        }

        /* access modifiers changed from: package-private */
        @Override // com.facebook.imagepipeline.memory.BasePool
        public Bucket<byte[]> g(int i) {
            return new OOMSoftReferenceBucket(d(i), this.b.f, 0);
        }
    }
}
