package com.facebook.imagepipeline.memory;

import android.util.Log;
import com.facebook.common.internal.DoNotStrip;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.imagepipeline.nativecode.ImagePipelineNativeLoader;
import java.io.Closeable;

@DoNotStrip
public class NativeMemoryChunk implements Closeable {

    /* renamed from: a  reason: collision with root package name */
    private final long f1674a;
    private final int b;
    private boolean c;

    @DoNotStrip
    private static native long nativeAllocate(int i);

    @DoNotStrip
    private static native void nativeCopyFromByteArray(long j, byte[] bArr, int i, int i2);

    @DoNotStrip
    private static native void nativeCopyToByteArray(long j, byte[] bArr, int i, int i2);

    @DoNotStrip
    private static native void nativeFree(long j);

    @DoNotStrip
    private static native void nativeMemcpy(long j, long j2, int i);

    @DoNotStrip
    private static native byte nativeReadByte(long j);

    static {
        ImagePipelineNativeLoader.a();
    }

    public NativeMemoryChunk(int i) {
        Preconditions.a(i > 0);
        this.b = i;
        this.f1674a = nativeAllocate(this.b);
        this.c = false;
    }

    @VisibleForTesting
    public NativeMemoryChunk() {
        this.b = 0;
        this.f1674a = 0;
        this.c = true;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public synchronized void close() {
        if (!this.c) {
            this.c = true;
            nativeFree(this.f1674a);
        }
    }

    public synchronized boolean a() {
        return this.c;
    }

    public int b() {
        return this.b;
    }

    public synchronized int a(int i, byte[] bArr, int i2, int i3) {
        int a2;
        Preconditions.a(bArr);
        Preconditions.b(!a());
        a2 = a(i, i3);
        a(i, bArr.length, i2, a2);
        nativeCopyFromByteArray(this.f1674a + ((long) i), bArr, i2, a2);
        return a2;
    }

    public synchronized int b(int i, byte[] bArr, int i2, int i3) {
        int a2;
        Preconditions.a(bArr);
        Preconditions.b(!a());
        a2 = a(i, i3);
        a(i, bArr.length, i2, a2);
        nativeCopyToByteArray(this.f1674a + ((long) i), bArr, i2, a2);
        return a2;
    }

    public synchronized byte a(int i) {
        Preconditions.b(!a());
        boolean z = false;
        Preconditions.a(i >= 0);
        if (i < this.b) {
            z = true;
        }
        Preconditions.a(z);
        return nativeReadByte(this.f1674a + ((long) i));
    }

    public void a(int i, NativeMemoryChunk nativeMemoryChunk, int i2, int i3) {
        Preconditions.a(nativeMemoryChunk);
        if (nativeMemoryChunk.f1674a == this.f1674a) {
            Log.w("NativeMemoryChunk", "Copying from NativeMemoryChunk " + Integer.toHexString(System.identityHashCode(this)) + " to NativeMemoryChunk " + Integer.toHexString(System.identityHashCode(nativeMemoryChunk)) + " which share the same address " + Long.toHexString(this.f1674a));
            Preconditions.a(false);
        }
        if (nativeMemoryChunk.f1674a < this.f1674a) {
            synchronized (nativeMemoryChunk) {
                synchronized (this) {
                    b(i, nativeMemoryChunk, i2, i3);
                }
            }
            return;
        }
        synchronized (this) {
            synchronized (nativeMemoryChunk) {
                b(i, nativeMemoryChunk, i2, i3);
            }
        }
    }

    private void b(int i, NativeMemoryChunk nativeMemoryChunk, int i2, int i3) {
        Preconditions.b(!a());
        Preconditions.b(!nativeMemoryChunk.a());
        a(i, nativeMemoryChunk.b, i2, i3);
        nativeMemcpy(nativeMemoryChunk.f1674a + ((long) i2), this.f1674a + ((long) i), i3);
    }

    /* access modifiers changed from: protected */
    @Override // java.lang.Object
    public void finalize() throws Throwable {
        if (!a()) {
            Log.w("NativeMemoryChunk", "finalize: Chunk " + Integer.toHexString(System.identityHashCode(this)) + " still active. Underlying address = " + Long.toHexString(this.f1674a));
            try {
                close();
            } finally {
                super.finalize();
            }
        }
    }

    private int a(int i, int i2) {
        return Math.min(Math.max(0, this.b - i), i2);
    }

    private void a(int i, int i2, int i3, int i4) {
        boolean z = false;
        Preconditions.a(i4 >= 0);
        Preconditions.a(i >= 0);
        Preconditions.a(i3 >= 0);
        Preconditions.a(i + i4 <= this.b);
        if (i3 + i4 <= i2) {
            z = true;
        }
        Preconditions.a(z);
    }
}
