package com.facebook.imagepipeline.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.memory.PooledByteBuffer;
import com.facebook.common.references.CloseableReference;
import javax.annotation.concurrent.GuardedBy;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public class NativePooledByteBuffer implements PooledByteBuffer {
    @VisibleForTesting
    @GuardedBy

    /* renamed from: a  reason: collision with root package name */
    CloseableReference<NativeMemoryChunk> f1675a;
    private final int b;

    public NativePooledByteBuffer(CloseableReference<NativeMemoryChunk> closeableReference, int i) {
        Preconditions.a(closeableReference);
        Preconditions.a(i >= 0 && i <= closeableReference.a().b());
        this.f1675a = closeableReference.clone();
        this.b = i;
    }

    @Override // com.facebook.common.memory.PooledByteBuffer
    public synchronized int a() {
        c();
        return this.b;
    }

    @Override // com.facebook.common.memory.PooledByteBuffer
    public synchronized byte a(int i) {
        c();
        boolean z = false;
        Preconditions.a(i >= 0);
        if (i < this.b) {
            z = true;
        }
        Preconditions.a(z);
        return this.f1675a.a().a(i);
    }

    @Override // com.facebook.common.memory.PooledByteBuffer
    public synchronized void a(int i, byte[] bArr, int i2, int i3) {
        c();
        Preconditions.a(i + i3 <= this.b);
        this.f1675a.a().b(i, bArr, i2, i3);
    }

    @Override // com.facebook.common.memory.PooledByteBuffer
    public synchronized boolean b() {
        return !CloseableReference.a((CloseableReference<?>) this.f1675a);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public synchronized void close() {
        CloseableReference.c(this.f1675a);
        this.f1675a = null;
    }

    /* access modifiers changed from: package-private */
    public synchronized void c() {
        if (b()) {
            throw new PooledByteBuffer.ClosedException();
        }
    }
}
