package com.facebook.imagepipeline.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.memory.PooledByteBufferOutputStream;
import com.facebook.common.references.CloseableReference;
import java.io.IOException;
import javax.annotation.concurrent.NotThreadSafe;

@NotThreadSafe
public class NativePooledByteBufferOutputStream extends PooledByteBufferOutputStream {

    /* renamed from: a  reason: collision with root package name */
    private final NativeMemoryChunkPool f1677a;
    private CloseableReference<NativeMemoryChunk> b;
    private int c;

    public NativePooledByteBufferOutputStream(NativeMemoryChunkPool nativeMemoryChunkPool) {
        this(nativeMemoryChunkPool, nativeMemoryChunkPool.d());
    }

    public NativePooledByteBufferOutputStream(NativeMemoryChunkPool nativeMemoryChunkPool, int i) {
        Preconditions.a(i > 0);
        this.f1677a = (NativeMemoryChunkPool) Preconditions.a(nativeMemoryChunkPool);
        this.c = 0;
        this.b = CloseableReference.a(this.f1677a.a(i), this.f1677a);
    }

    /* renamed from: c */
    public NativePooledByteBuffer a() {
        d();
        return new NativePooledByteBuffer(this.b, this.c);
    }

    @Override // com.facebook.common.memory.PooledByteBufferOutputStream
    public int b() {
        return this.c;
    }

    @Override // java.io.OutputStream
    public void write(int i) throws IOException {
        write(new byte[]{(byte) i});
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr, int i, int i2) throws IOException {
        if (i < 0 || i2 < 0 || i + i2 > bArr.length) {
            throw new ArrayIndexOutOfBoundsException("length=" + bArr.length + "; regionStart=" + i + "; regionLength=" + i2);
        }
        d();
        a(this.c + i2);
        this.b.a().a(this.c, bArr, i, i2);
        this.c += i2;
    }

    @Override // java.io.OutputStream, java.io.Closeable, com.facebook.common.memory.PooledByteBufferOutputStream, java.lang.AutoCloseable
    public void close() {
        CloseableReference.c(this.b);
        this.b = null;
        this.c = -1;
        super.close();
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void a(int i) {
        d();
        if (i > this.b.a().b()) {
            NativeMemoryChunk nativeMemoryChunk = (NativeMemoryChunk) this.f1677a.a(i);
            this.b.a().a(0, nativeMemoryChunk, 0, this.c);
            this.b.close();
            this.b = CloseableReference.a(nativeMemoryChunk, this.f1677a);
        }
    }

    private void d() {
        if (!CloseableReference.a((CloseableReference<?>) this.b)) {
            throw new InvalidStreamException();
        }
    }

    public static class InvalidStreamException extends RuntimeException {
        public InvalidStreamException() {
            super("OutputStream no longer valid");
        }
    }
}
