package com.facebook.imagepipeline.memory;

import com.facebook.common.memory.MemoryTrimmableRegistry;
import com.facebook.common.memory.NoOpMemoryTrimmableRegistry;
import javax.annotation.concurrent.Immutable;

@Immutable
public class PoolConfig {

    /* renamed from: a  reason: collision with root package name */
    private final PoolParams f1679a;
    private final PoolStatsTracker b;
    private final PoolParams c;
    private final MemoryTrimmableRegistry d;
    private final PoolParams e;
    private final PoolStatsTracker f;
    private final PoolParams g;
    private final PoolStatsTracker h;

    private PoolConfig(Builder builder) {
        PoolParams poolParams;
        PoolStatsTracker poolStatsTracker;
        PoolParams poolParams2;
        MemoryTrimmableRegistry memoryTrimmableRegistry;
        PoolParams poolParams3;
        PoolStatsTracker poolStatsTracker2;
        PoolParams poolParams4;
        PoolStatsTracker poolStatsTracker3;
        if (builder.f1680a == null) {
            poolParams = DefaultBitmapPoolParams.a();
        } else {
            poolParams = builder.f1680a;
        }
        this.f1679a = poolParams;
        if (builder.b == null) {
            poolStatsTracker = NoOpPoolStatsTracker.a();
        } else {
            poolStatsTracker = builder.b;
        }
        this.b = poolStatsTracker;
        if (builder.c == null) {
            poolParams2 = DefaultFlexByteArrayPoolParams.a();
        } else {
            poolParams2 = builder.c;
        }
        this.c = poolParams2;
        if (builder.d == null) {
            memoryTrimmableRegistry = NoOpMemoryTrimmableRegistry.a();
        } else {
            memoryTrimmableRegistry = builder.d;
        }
        this.d = memoryTrimmableRegistry;
        if (builder.e == null) {
            poolParams3 = DefaultNativeMemoryChunkPoolParams.a();
        } else {
            poolParams3 = builder.e;
        }
        this.e = poolParams3;
        if (builder.f == null) {
            poolStatsTracker2 = NoOpPoolStatsTracker.a();
        } else {
            poolStatsTracker2 = builder.f;
        }
        this.f = poolStatsTracker2;
        if (builder.g == null) {
            poolParams4 = DefaultByteArrayPoolParams.a();
        } else {
            poolParams4 = builder.g;
        }
        this.g = poolParams4;
        if (builder.h == null) {
            poolStatsTracker3 = NoOpPoolStatsTracker.a();
        } else {
            poolStatsTracker3 = builder.h;
        }
        this.h = poolStatsTracker3;
    }

    public PoolParams a() {
        return this.f1679a;
    }

    public PoolStatsTracker b() {
        return this.b;
    }

    public MemoryTrimmableRegistry c() {
        return this.d;
    }

    public PoolParams d() {
        return this.e;
    }

    public PoolStatsTracker e() {
        return this.f;
    }

    public PoolParams f() {
        return this.c;
    }

    public PoolParams g() {
        return this.g;
    }

    public PoolStatsTracker h() {
        return this.h;
    }

    public static Builder i() {
        return new Builder();
    }

    public static class Builder {

        /* renamed from: a  reason: collision with root package name */
        private PoolParams f1680a;
        private PoolStatsTracker b;
        private PoolParams c;
        private MemoryTrimmableRegistry d;
        private PoolParams e;
        private PoolStatsTracker f;
        private PoolParams g;
        private PoolStatsTracker h;

        private Builder() {
        }

        public PoolConfig a() {
            return new PoolConfig(this);
        }
    }
}
