package com.facebook.imagepipeline.memory;

import com.facebook.common.internal.Preconditions;
import com.facebook.common.memory.ByteArrayPool;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.common.memory.PooledByteStreams;
import javax.annotation.concurrent.NotThreadSafe;

@NotThreadSafe
public class PoolFactory {

    /* renamed from: a  reason: collision with root package name */
    private final PoolConfig f1681a;
    private BitmapPool b;
    private FlexByteArrayPool c;
    private NativeMemoryChunkPool d;
    private PooledByteBufferFactory e;
    private PooledByteStreams f;
    private ByteArrayPool g;

    public PoolFactory(PoolConfig poolConfig) {
        this.f1681a = (PoolConfig) Preconditions.a(poolConfig);
    }

    public BitmapPool a() {
        if (this.b == null) {
            this.b = new BitmapPool(this.f1681a.c(), this.f1681a.a(), this.f1681a.b());
        }
        return this.b;
    }

    public FlexByteArrayPool b() {
        if (this.c == null) {
            this.c = new FlexByteArrayPool(this.f1681a.c(), this.f1681a.f());
        }
        return this.c;
    }

    public int c() {
        return this.f1681a.f().f;
    }

    public NativeMemoryChunkPool d() {
        if (this.d == null) {
            this.d = new NativeMemoryChunkPool(this.f1681a.c(), this.f1681a.d(), this.f1681a.e());
        }
        return this.d;
    }

    public PooledByteBufferFactory e() {
        if (this.e == null) {
            this.e = new NativePooledByteBufferFactory(d(), f());
        }
        return this.e;
    }

    public PooledByteStreams f() {
        if (this.f == null) {
            this.f = new PooledByteStreams(g());
        }
        return this.f;
    }

    public ByteArrayPool g() {
        if (this.g == null) {
            this.g = new GenericByteArrayPool(this.f1681a.c(), this.f1681a.g(), this.f1681a.h());
        }
        return this.g;
    }
}
