package com.facebook.imagepipeline.platform;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Build;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.Throwables;
import com.facebook.common.memory.PooledByteBuffer;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.common.TooManyBitmapsException;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.memory.BitmapCounter;
import com.facebook.imagepipeline.memory.BitmapCounterProvider;
import com.facebook.imagepipeline.nativecode.Bitmaps;

/* access modifiers changed from: package-private */
public abstract class DalvikPurgeableDecoder implements PlatformDecoder {

    /* renamed from: a  reason: collision with root package name */
    protected static final byte[] f1688a = {-1, -39};
    private final BitmapCounter b = BitmapCounterProvider.a();

    /* access modifiers changed from: package-private */
    public abstract Bitmap a(CloseableReference<PooledByteBuffer> closeableReference, int i, BitmapFactory.Options options);

    /* access modifiers changed from: package-private */
    public abstract Bitmap a(CloseableReference<PooledByteBuffer> closeableReference, BitmapFactory.Options options);

    DalvikPurgeableDecoder() {
    }

    @Override // com.facebook.imagepipeline.platform.PlatformDecoder
    public CloseableReference<Bitmap> a(EncodedImage encodedImage, Bitmap.Config config) {
        BitmapFactory.Options a2 = a(encodedImage.i(), config);
        CloseableReference<PooledByteBuffer> c = encodedImage.c();
        Preconditions.a(c);
        try {
            return a(a(c, a2));
        } finally {
            CloseableReference.c(c);
        }
    }

    @Override // com.facebook.imagepipeline.platform.PlatformDecoder
    public CloseableReference<Bitmap> a(EncodedImage encodedImage, Bitmap.Config config, int i) {
        BitmapFactory.Options a2 = a(encodedImage.i(), config);
        CloseableReference<PooledByteBuffer> c = encodedImage.c();
        Preconditions.a(c);
        try {
            return a(a(c, i, a2));
        } finally {
            CloseableReference.c(c);
        }
    }

    private static BitmapFactory.Options a(int i, Bitmap.Config config) {
        BitmapFactory.Options options = new BitmapFactory.Options();
        options.inDither = true;
        options.inPreferredConfig = config;
        options.inPurgeable = true;
        options.inInputShareable = true;
        options.inSampleSize = i;
        if (Build.VERSION.SDK_INT >= 11) {
            options.inMutable = true;
        }
        return options;
    }

    protected static boolean a(CloseableReference<PooledByteBuffer> closeableReference, int i) {
        PooledByteBuffer a2 = closeableReference.a();
        if (i >= 2 && a2.a(i - 2) == -1 && a2.a(i - 1) == -39) {
            return true;
        }
        return false;
    }

    public CloseableReference<Bitmap> a(Bitmap bitmap) {
        try {
            Bitmaps.a(bitmap);
            if (this.b.a(bitmap)) {
                return CloseableReference.a(bitmap, this.b.a());
            }
            bitmap.recycle();
            throw new TooManyBitmapsException();
        } catch (Exception e) {
            bitmap.recycle();
            throw Throwables.b(e);
        }
    }
}
