package com.facebook.imagepipeline.producers;

import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.cache.CacheKeyFactory;
import com.facebook.imagepipeline.cache.MemoryCache;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.image.QualityInfo;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.Map;

public class BitmapMemoryCacheProducer implements Producer<CloseableReference<CloseableImage>> {

    /* renamed from: a  reason: collision with root package name */
    private final MemoryCache<CacheKey, CloseableImage> f1692a;
    private final CacheKeyFactory b;
    private final Producer<CloseableReference<CloseableImage>> c;

    /* access modifiers changed from: protected */
    public String a() {
        return "BitmapMemoryCacheProducer";
    }

    public BitmapMemoryCacheProducer(MemoryCache<CacheKey, CloseableImage> memoryCache, CacheKeyFactory cacheKeyFactory, Producer<CloseableReference<CloseableImage>> producer) {
        this.f1692a = memoryCache;
        this.b = cacheKeyFactory;
        this.c = producer;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<CloseableReference<CloseableImage>> consumer, ProducerContext producerContext) {
        ProducerListener c2 = producerContext.c();
        String b2 = producerContext.b();
        c2.a(b2, a());
        CacheKey a2 = this.b.a(producerContext.a(), producerContext.d());
        CloseableReference<CloseableImage> a3 = this.f1692a.a(a2);
        Map<String, String> map = null;
        if (a3 != null) {
            boolean c3 = a3.a().d().c();
            if (c3) {
                c2.a(b2, a(), c2.b(b2) ? ImmutableMap.a("cached_value_found", "true") : null);
                c2.a(b2, a(), true);
                consumer.b(1.0f);
            }
            consumer.b(a3, c3);
            a3.close();
            if (c3) {
                return;
            }
        }
        if (producerContext.e().a() >= ImageRequest.RequestLevel.BITMAP_MEMORY_CACHE.a()) {
            c2.a(b2, a(), c2.b(b2) ? ImmutableMap.a("cached_value_found", "false") : null);
            c2.a(b2, a(), false);
            consumer.b(null, true);
            return;
        }
        Consumer<CloseableReference<CloseableImage>> a4 = a(consumer, a2);
        String a5 = a();
        if (c2.b(b2)) {
            map = ImmutableMap.a("cached_value_found", "false");
        }
        c2.a(b2, a5, map);
        this.c.a(a4, producerContext);
    }

    /* access modifiers changed from: protected */
    public Consumer<CloseableReference<CloseableImage>> a(Consumer<CloseableReference<CloseableImage>> consumer, final CacheKey cacheKey) {
        return new DelegatingConsumer<CloseableReference<CloseableImage>, CloseableReference<CloseableImage>>(consumer) {
            /* class com.facebook.imagepipeline.producers.BitmapMemoryCacheProducer.AnonymousClass1 */

            public void a(CloseableReference<CloseableImage> closeableReference, boolean z) {
                CloseableReference a2;
                if (closeableReference == null) {
                    if (z) {
                        d().b(null, true);
                    }
                } else if (closeableReference.a().e()) {
                    d().b(closeableReference, z);
                } else {
                    if (!z && (a2 = BitmapMemoryCacheProducer.this.f1692a.a(cacheKey)) != null) {
                        try {
                            QualityInfo d = closeableReference.a().d();
                            QualityInfo d2 = ((CloseableImage) a2.a()).d();
                            if (d2.c() || d2.a() >= d.a()) {
                                d().b(a2, false);
                                CloseableReference.c(a2);
                                return;
                            }
                        } finally {
                            CloseableReference.c(a2);
                        }
                    }
                    CloseableReference<CloseableImage> a3 = BitmapMemoryCacheProducer.this.f1692a.a(cacheKey, closeableReference);
                    if (z) {
                        try {
                            d().b(1.0f);
                        } catch (Throwable th) {
                            CloseableReference.c(a3);
                            throw th;
                        }
                    }
                    Consumer d3 = d();
                    if (a3 != null) {
                        closeableReference = a3;
                    }
                    d3.b(closeableReference, z);
                    CloseableReference.c(a3);
                }
            }
        };
    }
}
