package com.facebook.imagepipeline.producers;

import bolts.Continuation;
import bolts.Task;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.imagepipeline.cache.DiskCachePolicy;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.Map;
import java.util.concurrent.CancellationException;
import java.util.concurrent.atomic.AtomicBoolean;

public class DiskCacheReadProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final Producer<EncodedImage> f1703a;
    private final DiskCachePolicy b;

    public DiskCacheReadProducer(Producer<EncodedImage> producer, DiskCachePolicy diskCachePolicy) {
        this.f1703a = producer;
        this.b = diskCachePolicy;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        ImageRequest a2 = producerContext.a();
        if (!a2.n()) {
            c(consumer, producerContext);
            return;
        }
        producerContext.c().a(producerContext.b(), "DiskCacheProducer");
        AtomicBoolean atomicBoolean = new AtomicBoolean(false);
        this.b.a(a2, producerContext.d(), atomicBoolean).a((Continuation<EncodedImage, TContinuationResult>) b(consumer, producerContext));
        a(atomicBoolean, producerContext);
    }

    private Continuation<EncodedImage, Void> b(final Consumer<EncodedImage> consumer, final ProducerContext producerContext) {
        final String b2 = producerContext.b();
        final ProducerListener c = producerContext.c();
        return new Continuation<EncodedImage, Void>() {
            /* class com.facebook.imagepipeline.producers.DiskCacheReadProducer.AnonymousClass1 */

            /* renamed from: b */
            public Void a(Task<EncodedImage> task) throws Exception {
                if (DiskCacheReadProducer.b(task)) {
                    c.b(b2, "DiskCacheProducer", null);
                    consumer.b();
                } else if (task.d()) {
                    c.a(b2, "DiskCacheProducer", task.f(), null);
                    DiskCacheReadProducer.this.f1703a.a(consumer, producerContext);
                } else {
                    EncodedImage e2 = task.e();
                    if (e2 != null) {
                        c.a(b2, "DiskCacheProducer", DiskCacheReadProducer.a(c, b2, true, e2.k()));
                        c.a(b2, "DiskCacheProducer", true);
                        consumer.b(1.0f);
                        consumer.b(e2, true);
                        e2.close();
                    } else {
                        c.a(b2, "DiskCacheProducer", DiskCacheReadProducer.a(c, b2, false, 0));
                        DiskCacheReadProducer.this.f1703a.a(consumer, producerContext);
                    }
                }
                return null;
            }
        };
    }

    /* access modifiers changed from: private */
    public static boolean b(Task<?> task) {
        return task.c() || (task.d() && (task.f() instanceof CancellationException));
    }

    private void c(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        if (producerContext.e().a() >= ImageRequest.RequestLevel.DISK_CACHE.a()) {
            consumer.b(null, true);
        } else {
            this.f1703a.a(consumer, producerContext);
        }
    }

    @VisibleForTesting
    static Map<String, String> a(ProducerListener producerListener, String str, boolean z, int i) {
        if (!producerListener.b(str)) {
            return null;
        }
        if (z) {
            return ImmutableMap.a("cached_value_found", String.valueOf(z), "encodedImageSize", String.valueOf(i));
        }
        return ImmutableMap.a("cached_value_found", String.valueOf(z));
    }

    private void a(final AtomicBoolean atomicBoolean, ProducerContext producerContext) {
        producerContext.a(new BaseProducerContextCallbacks() {
            /* class com.facebook.imagepipeline.producers.DiskCacheReadProducer.AnonymousClass2 */

            @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
            public void a() {
                atomicBoolean.set(true);
            }
        });
    }
}
