package com.facebook.imagepipeline.producers;

import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.memory.PooledByteBuffer;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.cache.CacheKeyFactory;
import com.facebook.imagepipeline.cache.MemoryCache;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.Map;

public class EncodedMemoryCacheProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final MemoryCache<CacheKey, PooledByteBuffer> f1708a;
    private final CacheKeyFactory b;
    private final Producer<EncodedImage> c;

    public EncodedMemoryCacheProducer(MemoryCache<CacheKey, PooledByteBuffer> memoryCache, CacheKeyFactory cacheKeyFactory, Producer<EncodedImage> producer) {
        this.f1708a = memoryCache;
        this.b = cacheKeyFactory;
        this.c = producer;
    }

    /* JADX INFO: finally extract failed */
    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        String b2 = producerContext.b();
        ProducerListener c2 = producerContext.c();
        c2.a(b2, "EncodedMemoryCacheProducer");
        CacheKey c3 = this.b.c(producerContext.a(), producerContext.d());
        CloseableReference<PooledByteBuffer> a2 = this.f1708a.a(c3);
        Map<String, String> map = null;
        if (a2 != null) {
            try {
                EncodedImage encodedImage = new EncodedImage(a2);
                encodedImage.a(c3);
                try {
                    if (c2.b(b2)) {
                        map = ImmutableMap.a("cached_value_found", "true");
                    }
                    c2.a(b2, "EncodedMemoryCacheProducer", map);
                    c2.a(b2, "EncodedMemoryCacheProducer", true);
                    consumer.b(1.0f);
                    consumer.b(encodedImage, true);
                    EncodedImage.d(encodedImage);
                } catch (Throwable th) {
                    EncodedImage.d(encodedImage);
                    throw th;
                }
            } finally {
                CloseableReference.c(a2);
            }
        } else if (producerContext.e().a() >= ImageRequest.RequestLevel.ENCODED_MEMORY_CACHE.a()) {
            c2.a(b2, "EncodedMemoryCacheProducer", c2.b(b2) ? ImmutableMap.a("cached_value_found", "false") : null);
            c2.a(b2, "EncodedMemoryCacheProducer", false);
            consumer.b(null, true);
            CloseableReference.c(a2);
        } else {
            EncodedMemoryCacheConsumer encodedMemoryCacheConsumer = new EncodedMemoryCacheConsumer(consumer, this.f1708a, c3);
            if (c2.b(b2)) {
                map = ImmutableMap.a("cached_value_found", "false");
            }
            c2.a(b2, "EncodedMemoryCacheProducer", map);
            this.c.a(encodedMemoryCacheConsumer, producerContext);
            CloseableReference.c(a2);
        }
    }

    private static class EncodedMemoryCacheConsumer extends DelegatingConsumer<EncodedImage, EncodedImage> {

        /* renamed from: a  reason: collision with root package name */
        private final MemoryCache<CacheKey, PooledByteBuffer> f1709a;
        private final CacheKey b;

        public EncodedMemoryCacheConsumer(Consumer<EncodedImage> consumer, MemoryCache<CacheKey, PooledByteBuffer> memoryCache, CacheKey cacheKey) {
            super(consumer);
            this.f1709a = memoryCache;
            this.b = cacheKey;
        }

        public void a(EncodedImage encodedImage, boolean z) {
            if (!z || encodedImage == null) {
                d().b(encodedImage, z);
                return;
            }
            CloseableReference<PooledByteBuffer> c = encodedImage.c();
            if (c != null) {
                try {
                    CloseableReference<PooledByteBuffer> a2 = this.f1709a.a(encodedImage.j() != null ? encodedImage.j() : this.b, c);
                    if (a2 != null) {
                        try {
                            EncodedImage encodedImage2 = new EncodedImage(a2);
                            encodedImage2.b(encodedImage);
                            try {
                                d().b(1.0f);
                                d().b(encodedImage2, true);
                                return;
                            } finally {
                                EncodedImage.d(encodedImage2);
                            }
                        } finally {
                            CloseableReference.c(a2);
                        }
                    }
                } finally {
                    CloseableReference.c(c);
                }
            }
            d().b(encodedImage, true);
        }
    }
}
