package com.facebook.imagepipeline.producers;

import android.net.Uri;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.producers.NetworkFetcher;
import com.tencent.smtt.sdk.TbsListener;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Locale;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

public class HttpUrlConnectionNetworkFetcher extends BaseNetworkFetcher<FetchState> {

    /* renamed from: a  reason: collision with root package name */
    private final ExecutorService f1711a;

    private static boolean a(int i) {
        return i >= 200 && i < 300;
    }

    private static boolean b(int i) {
        switch (i) {
            case TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE /*{ENCODED_INT: 300}*/:
            case 301:
            case TbsListener.ErrorCode.ERROR_UNMATCH_TBSCORE_VER_THIRDPARTY /*{ENCODED_INT: 302}*/:
            case TbsListener.ErrorCode.ERROR_UNMATCH_TBSCORE_VER /*{ENCODED_INT: 303}*/:
            case 307:
            case 308:
                return true;
            case TbsListener.ErrorCode.ERROR_HOST_UNAVAILABLE /*{ENCODED_INT: 304}*/:
            case 305:
            case TbsListener.ErrorCode.THROWABLE_QBSDK_INIT /*{ENCODED_INT: 306}*/:
            default:
                return false;
        }
    }

    public HttpUrlConnectionNetworkFetcher() {
        this(Executors.newFixedThreadPool(3));
    }

    @VisibleForTesting
    HttpUrlConnectionNetworkFetcher(ExecutorService executorService) {
        this.f1711a = executorService;
    }

    @Override // com.facebook.imagepipeline.producers.NetworkFetcher
    public FetchState b(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        return new FetchState(consumer, producerContext);
    }

    @Override // com.facebook.imagepipeline.producers.NetworkFetcher
    public void a(final FetchState fetchState, final NetworkFetcher.Callback callback) {
        final Future<?> submit = this.f1711a.submit(new Runnable() {
            /* class com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher.AnonymousClass1 */

            public void run() {
                HttpUrlConnectionNetworkFetcher.this.b(fetchState, callback);
            }
        });
        fetchState.b().a(new BaseProducerContextCallbacks() {
            /* class com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher.AnonymousClass2 */

            @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
            public void a() {
                if (submit.cancel(false)) {
                    callback.a();
                }
            }
        });
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x003d A[SYNTHETIC, Splitter:B:30:0x003d] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0044  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x004c A[SYNTHETIC, Splitter:B:38:0x004c] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0053  */
    /* JADX WARNING: Removed duplicated region for block: B:47:? A[RETURN, SYNTHETIC] */
    @VisibleForTesting
    public void b(FetchState fetchState, NetworkFetcher.Callback callback) {
        Throwable th;
        HttpURLConnection httpURLConnection;
        IOException e;
        HttpURLConnection httpURLConnection2;
        InputStream inputStream;
        InputStream inputStream2 = null;
        try {
            httpURLConnection = a(fetchState.e(), 5);
            if (httpURLConnection != null) {
                try {
                    inputStream = httpURLConnection.getInputStream();
                } catch (IOException e2) {
                    httpURLConnection2 = httpURLConnection;
                    e = e2;
                    try {
                        callback.a(e);
                        if (inputStream2 != null) {
                            try {
                                inputStream2.close();
                            } catch (IOException unused) {
                            }
                        }
                        if (httpURLConnection2 != null) {
                            httpURLConnection2.disconnect();
                            return;
                        }
                        return;
                    } catch (Throwable th2) {
                        th = th2;
                        httpURLConnection = httpURLConnection2;
                        if (inputStream2 != null) {
                        }
                        if (httpURLConnection != null) {
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (inputStream2 != null) {
                        try {
                            inputStream2.close();
                        } catch (IOException unused2) {
                        }
                    }
                    if (httpURLConnection != null) {
                        httpURLConnection.disconnect();
                    }
                    throw th;
                }
                try {
                    callback.a(inputStream, -1);
                    inputStream2 = inputStream;
                } catch (IOException e3) {
                    httpURLConnection2 = httpURLConnection;
                    e = e3;
                    inputStream2 = inputStream;
                    callback.a(e);
                    if (inputStream2 != null) {
                    }
                    if (httpURLConnection2 != null) {
                    }
                } catch (Throwable th4) {
                    th = th4;
                    inputStream2 = inputStream;
                    if (inputStream2 != null) {
                    }
                    if (httpURLConnection != null) {
                    }
                    throw th;
                }
            }
            if (inputStream2 != null) {
                try {
                    inputStream2.close();
                } catch (IOException unused3) {
                }
            }
            if (httpURLConnection != null) {
                httpURLConnection.disconnect();
            }
        } catch (IOException e4) {
            e = e4;
            httpURLConnection2 = null;
            callback.a(e);
            if (inputStream2 != null) {
            }
            if (httpURLConnection2 != null) {
            }
        } catch (Throwable th5) {
            th = th5;
            httpURLConnection = null;
            if (inputStream2 != null) {
            }
            if (httpURLConnection != null) {
            }
            throw th;
        }
    }

    private HttpURLConnection a(Uri uri, int i) throws IOException {
        Uri uri2;
        String str;
        HttpURLConnection a2 = a(uri);
        int responseCode = a2.getResponseCode();
        if (a(responseCode)) {
            return a2;
        }
        if (b(responseCode)) {
            String headerField = a2.getHeaderField("Location");
            a2.disconnect();
            if (headerField == null) {
                uri2 = null;
            } else {
                uri2 = Uri.parse(headerField);
            }
            String scheme = uri.getScheme();
            if (i > 0 && uri2 != null && !uri2.getScheme().equals(scheme)) {
                return a(uri2, i - 1);
            }
            if (i == 0) {
                str = a("URL %s follows too many redirects", uri.toString());
            } else {
                str = a("URL %s returned %d without a valid redirect", uri.toString(), Integer.valueOf(responseCode));
            }
            throw new IOException(str);
        }
        a2.disconnect();
        throw new IOException(String.format("Image URL %s returned HTTP code %d", uri.toString(), Integer.valueOf(responseCode)));
    }

    @VisibleForTesting
    static HttpURLConnection a(Uri uri) throws IOException {
        return (HttpURLConnection) new URL(uri.toString()).openConnection();
    }

    private static String a(String str, Object... objArr) {
        return String.format(Locale.getDefault(), str, objArr);
    }
}
