package com.facebook.imagepipeline.producers;

import android.content.res.AssetFileDescriptor;
import android.content.res.AssetManager;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.io.IOException;
import java.util.concurrent.Executor;

public class LocalAssetFetchProducer extends LocalFetchProducer {

    /* renamed from: a  reason: collision with root package name */
    private final AssetManager f1720a;

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.producers.LocalFetchProducer
    public String a() {
        return "LocalAssetFetchProducer";
    }

    public LocalAssetFetchProducer(Executor executor, PooledByteBufferFactory pooledByteBufferFactory, AssetManager assetManager) {
        super(executor, pooledByteBufferFactory);
        this.f1720a = assetManager;
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.producers.LocalFetchProducer
    public EncodedImage a(ImageRequest imageRequest) throws IOException {
        return b(this.f1720a.open(c(imageRequest), 2), b(imageRequest));
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0020 A[SYNTHETIC, Splitter:B:17:0x0020] */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0027 A[SYNTHETIC, Splitter:B:24:0x0027] */
    private int b(ImageRequest imageRequest) {
        Throwable th;
        AssetFileDescriptor assetFileDescriptor = null;
        try {
            AssetFileDescriptor openFd = this.f1720a.openFd(c(imageRequest));
            try {
                int length = (int) openFd.getLength();
                if (openFd != null) {
                    try {
                        openFd.close();
                    } catch (IOException unused) {
                    }
                }
                return length;
            } catch (IOException unused2) {
                assetFileDescriptor = openFd;
                if (assetFileDescriptor != null) {
                }
                return -1;
            } catch (Throwable th2) {
                assetFileDescriptor = openFd;
                th = th2;
                if (assetFileDescriptor != null) {
                }
                throw th;
            }
        } catch (IOException unused3) {
            if (assetFileDescriptor != null) {
                try {
                    assetFileDescriptor.close();
                } catch (IOException unused4) {
                }
            }
            return -1;
        } catch (Throwable th3) {
            th = th3;
            if (assetFileDescriptor != null) {
                try {
                    assetFileDescriptor.close();
                } catch (IOException unused5) {
                }
            }
            throw th;
        }
    }

    private static String c(ImageRequest imageRequest) {
        return imageRequest.b().getPath().substring(1);
    }
}
