package com.facebook.imagepipeline.producers;

import android.content.ContentResolver;
import android.database.Cursor;
import android.net.Uri;
import android.provider.ContactsContract;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.common.util.UriUtil;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.concurrent.Executor;
import javax.annotation.Nullable;

public class LocalContentUriFetchProducer extends LocalFetchProducer {

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f1721a = {"_id", "_data"};
    private final ContentResolver b;

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.producers.LocalFetchProducer
    public String a() {
        return "LocalContentUriFetchProducer";
    }

    public LocalContentUriFetchProducer(Executor executor, PooledByteBufferFactory pooledByteBufferFactory, ContentResolver contentResolver) {
        super(executor, pooledByteBufferFactory);
        this.b = contentResolver;
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.imagepipeline.producers.LocalFetchProducer
    public EncodedImage a(ImageRequest imageRequest) throws IOException {
        EncodedImage a2;
        InputStream inputStream;
        Uri b2 = imageRequest.b();
        if (UriUtil.d(b2)) {
            if (b2.toString().endsWith("/photo")) {
                inputStream = this.b.openInputStream(b2);
            } else {
                InputStream openContactPhotoInputStream = ContactsContract.Contacts.openContactPhotoInputStream(this.b, b2);
                if (openContactPhotoInputStream != null) {
                    inputStream = openContactPhotoInputStream;
                } else {
                    throw new IOException("Contact photo does not exist: " + b2);
                }
            }
            return b(inputStream, -1);
        } else if (!UriUtil.e(b2) || (a2 = a(b2)) == null) {
            return b(this.b.openInputStream(b2), -1);
        } else {
            return a2;
        }
    }

    @Nullable
    private EncodedImage a(Uri uri) throws IOException {
        Cursor query = this.b.query(uri, f1721a, null, null, null);
        if (query == null) {
            return null;
        }
        try {
            if (query.getCount() == 0) {
                return null;
            }
            query.moveToFirst();
            String string = query.getString(query.getColumnIndex("_data"));
            if (string != null) {
                EncodedImage b2 = b(new FileInputStream(string), a(string));
                query.close();
                return b2;
            }
            query.close();
            return null;
        } finally {
            query.close();
        }
    }

    private static int a(String str) {
        if (str == null) {
            return -1;
        }
        return (int) new File(str).length();
    }
}
