package com.facebook.imagepipeline.producers;

import com.facebook.common.internal.Closeables;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import java.io.IOException;
import java.io.InputStream;
import java.util.concurrent.Executor;

public abstract class LocalFetchProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final Executor f1725a;
    private final PooledByteBufferFactory b;

    /* access modifiers changed from: protected */
    public abstract EncodedImage a(ImageRequest imageRequest) throws IOException;

    /* access modifiers changed from: protected */
    public abstract String a();

    protected LocalFetchProducer(Executor executor, PooledByteBufferFactory pooledByteBufferFactory) {
        this.f1725a = executor;
        this.b = pooledByteBufferFactory;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        final ProducerListener c = producerContext.c();
        final String b2 = producerContext.b();
        final ImageRequest a2 = producerContext.a();
        final AnonymousClass1 r9 = new StatefulProducerRunnable<EncodedImage>(consumer, a(), c, b2) {
            /* class com.facebook.imagepipeline.producers.LocalFetchProducer.AnonymousClass1 */

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public EncodedImage c() throws Exception {
                EncodedImage a2 = LocalFetchProducer.this.a(a2);
                if (a2 == null) {
                    c.a(b2, LocalFetchProducer.this.a(), false);
                    return null;
                }
                a2.l();
                c.a(b2, LocalFetchProducer.this.a(), true);
                return a2;
            }

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public void b(EncodedImage encodedImage) {
                EncodedImage.d(encodedImage);
            }
        };
        producerContext.a(new BaseProducerContextCallbacks() {
            /* class com.facebook.imagepipeline.producers.LocalFetchProducer.AnonymousClass2 */

            @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
            public void a() {
                r9.a();
            }
        });
        this.f1725a.execute(r9);
    }

    /* access modifiers changed from: protected */
    public EncodedImage a(InputStream inputStream, int i) throws IOException {
        CloseableReference a2;
        if (i <= 0) {
            try {
                a2 = CloseableReference.a(this.b.a(inputStream));
            } catch (Throwable th) {
                Closeables.a(inputStream);
                CloseableReference.c(null);
                throw th;
            }
        } else {
            a2 = CloseableReference.a(this.b.a(inputStream, i));
        }
        EncodedImage encodedImage = new EncodedImage(a2);
        Closeables.a(inputStream);
        CloseableReference.c(a2);
        return encodedImage;
    }

    /* access modifiers changed from: protected */
    public EncodedImage b(InputStream inputStream, int i) throws IOException {
        return a(inputStream, i);
    }
}
