package com.facebook.imagepipeline.producers;

import android.graphics.Bitmap;
import android.media.ThumbnailUtils;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.bitmaps.SimpleBitmapReleaser;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.image.CloseableStaticBitmap;
import com.facebook.imagepipeline.image.ImmutableQualityInfo;
import com.facebook.imagepipeline.request.ImageRequest;
import java.util.Map;
import java.util.concurrent.Executor;

public class LocalVideoThumbnailProducer implements Producer<CloseableReference<CloseableImage>> {

    /* renamed from: a  reason: collision with root package name */
    private final Executor f1728a;

    public LocalVideoThumbnailProducer(Executor executor) {
        this.f1728a = executor;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<CloseableReference<CloseableImage>> consumer, ProducerContext producerContext) {
        final ProducerListener c = producerContext.c();
        final String b = producerContext.b();
        final ImageRequest a2 = producerContext.a();
        final AnonymousClass1 r9 = new StatefulProducerRunnable<CloseableReference<CloseableImage>>(consumer, "VideoThumbnailProducer", c, b) {
            /* class com.facebook.imagepipeline.producers.LocalVideoThumbnailProducer.AnonymousClass1 */

            /* access modifiers changed from: protected */
            public void a(CloseableReference<CloseableImage> closeableReference) {
                super.a((Object) closeableReference);
                c.a(b, "VideoThumbnailProducer", closeableReference != null);
            }

            /* access modifiers changed from: protected */
            @Override // com.facebook.imagepipeline.producers.StatefulProducerRunnable, com.facebook.common.executors.StatefulRunnable
            public void a(Exception exc) {
                super.a(exc);
                c.a(b, "VideoThumbnailProducer", false);
            }

            /* access modifiers changed from: protected */
            /* renamed from: d */
            public CloseableReference<CloseableImage> c() throws Exception {
                Bitmap createVideoThumbnail = ThumbnailUtils.createVideoThumbnail(a2.o().getPath(), LocalVideoThumbnailProducer.b(a2));
                if (createVideoThumbnail == null) {
                    return null;
                }
                return CloseableReference.a(new CloseableStaticBitmap(createVideoThumbnail, SimpleBitmapReleaser.a(), ImmutableQualityInfo.f1661a, 0));
            }

            /* access modifiers changed from: protected */
            /* renamed from: b */
            public Map<String, String> c(CloseableReference<CloseableImage> closeableReference) {
                return ImmutableMap.a("createdThumbnail", String.valueOf(closeableReference != null));
            }

            /* access modifiers changed from: protected */
            /* renamed from: c */
            public void b(CloseableReference<CloseableImage> closeableReference) {
                CloseableReference.c(closeableReference);
            }
        };
        producerContext.a(new BaseProducerContextCallbacks() {
            /* class com.facebook.imagepipeline.producers.LocalVideoThumbnailProducer.AnonymousClass2 */

            @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
            public void a() {
                r9.a();
            }
        });
        this.f1728a.execute(r9);
    }

    /* access modifiers changed from: private */
    public static int b(ImageRequest imageRequest) {
        return (imageRequest.e() > 96 || imageRequest.f() > 96) ? 1 : 3;
    }
}
