package com.facebook.imagepipeline.producers;

import bolts.Continuation;
import bolts.Task;
import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.imagepipeline.cache.BufferedDiskCache;
import com.facebook.imagepipeline.cache.CacheKeyFactory;
import com.facebook.imagepipeline.cache.DiskCachePolicy;
import com.facebook.imagepipeline.cache.MediaIdExtractor;
import com.facebook.imagepipeline.cache.MediaVariationsIndex;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.request.ImageRequest;
import com.facebook.imagepipeline.request.MediaVariations;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CancellationException;
import java.util.concurrent.atomic.AtomicBoolean;
import javax.annotation.Nullable;

public class MediaVariationsFallbackProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final BufferedDiskCache f1730a;
    private final BufferedDiskCache b;
    private final CacheKeyFactory c;
    private final MediaVariationsIndex d;
    @Nullable
    private MediaIdExtractor e;
    private final DiskCachePolicy f;
    private final Producer<EncodedImage> g;

    public MediaVariationsFallbackProducer(BufferedDiskCache bufferedDiskCache, BufferedDiskCache bufferedDiskCache2, CacheKeyFactory cacheKeyFactory, MediaVariationsIndex mediaVariationsIndex, @Nullable MediaIdExtractor mediaIdExtractor, DiskCachePolicy diskCachePolicy, Producer<EncodedImage> producer) {
        this.f1730a = bufferedDiskCache;
        this.b = bufferedDiskCache2;
        this.c = cacheKeyFactory;
        this.d = mediaVariationsIndex;
        this.e = mediaIdExtractor;
        this.f = diskCachePolicy;
        this.g = producer;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(final Consumer<EncodedImage> consumer, final ProducerContext producerContext) {
        final String str;
        String str2;
        final AtomicBoolean atomicBoolean;
        String str3;
        final ImageRequest a2 = producerContext.a();
        final ResizeOptions g2 = a2.g();
        MediaVariations d2 = a2.d();
        if (!a2.n() || g2 == null || g2.b <= 0 || g2.f1626a <= 0) {
            b(consumer, producerContext);
            return;
        }
        if (d2 != null) {
            str3 = d2.a();
            str2 = "index_db";
        } else if (this.e == null) {
            str2 = null;
            str = null;
            if (d2 == null || str != null) {
                producerContext.c().a(producerContext.b(), "MediaVariationsFallbackProducer");
                boolean z = false;
                atomicBoolean = new AtomicBoolean(false);
                if (d2 != null || d2.b() <= 0) {
                    MediaVariations.Builder a3 = MediaVariations.a(str);
                    if (d2 != null && d2.c()) {
                        z = true;
                    }
                    this.d.a(str, a3.a(z).a(str2)).a(new Continuation<MediaVariations, Object>() {
                        /* class com.facebook.imagepipeline.producers.MediaVariationsFallbackProducer.AnonymousClass1 */

                        @Override // bolts.Continuation
                        public Object a(Task<MediaVariations> task) throws Exception {
                            if (task.c() || task.d()) {
                                return task;
                            }
                            try {
                                if (task.e() != null) {
                                    return MediaVariationsFallbackProducer.this.a((MediaVariationsFallbackProducer) consumer, (Consumer) producerContext, (ProducerContext) a2, (ImageRequest) task.e(), (MediaVariations) g2, (ResizeOptions) atomicBoolean);
                                }
                                MediaVariationsFallbackProducer.this.a(consumer, producerContext, str);
                                return null;
                            } catch (Exception unused) {
                                return null;
                            }
                        }
                    });
                } else {
                    a(consumer, producerContext, a2, d2, g2, atomicBoolean);
                }
                a(atomicBoolean, producerContext);
            }
            b(consumer, producerContext);
            return;
        } else {
            str3 = this.e.a(a2.b());
            str2 = "id_extractor";
        }
        str = str3;
        if (d2 == null) {
        }
        producerContext.c().a(producerContext.b(), "MediaVariationsFallbackProducer");
        boolean z2 = false;
        atomicBoolean = new AtomicBoolean(false);
        if (d2 != null) {
        }
        MediaVariations.Builder a32 = MediaVariations.a(str);
        z2 = true;
        this.d.a(str, a32.a(z2).a(str2)).a(new Continuation<MediaVariations, Object>() {
            /* class com.facebook.imagepipeline.producers.MediaVariationsFallbackProducer.AnonymousClass1 */

            @Override // bolts.Continuation
            public Object a(Task<MediaVariations> task) throws Exception {
                if (task.c() || task.d()) {
                    return task;
                }
                try {
                    if (task.e() != null) {
                        return MediaVariationsFallbackProducer.this.a((MediaVariationsFallbackProducer) consumer, (Consumer) producerContext, (ProducerContext) a2, (ImageRequest) task.e(), (MediaVariations) g2, (ResizeOptions) atomicBoolean);
                    }
                    MediaVariationsFallbackProducer.this.a(consumer, producerContext, str);
                    return null;
                } catch (Exception unused) {
                    return null;
                }
            }
        });
        a(atomicBoolean, producerContext);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Task a(Consumer<EncodedImage> consumer, ProducerContext producerContext, ImageRequest imageRequest, MediaVariations mediaVariations, ResizeOptions resizeOptions, AtomicBoolean atomicBoolean) {
        if (mediaVariations.b() != 0) {
            return a(consumer, producerContext, imageRequest, mediaVariations, mediaVariations.a(new VariantComparator(resizeOptions)), 0, atomicBoolean);
        }
        return Task.a((Object) null).a((Continuation) b(consumer, producerContext, imageRequest, mediaVariations, Collections.emptyList(), 0, atomicBoolean));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Task a(Consumer<EncodedImage> consumer, ProducerContext producerContext, ImageRequest imageRequest, MediaVariations mediaVariations, List<MediaVariations.Variant> list, int i, AtomicBoolean atomicBoolean) {
        ImageRequest.CacheChoice cacheChoice;
        MediaVariations.Variant variant = list.get(i);
        CacheKey a2 = this.c.a(imageRequest, variant.a(), producerContext.d());
        if (variant.d() == null) {
            cacheChoice = imageRequest.a();
        } else {
            cacheChoice = variant.d();
        }
        return (cacheChoice == ImageRequest.CacheChoice.SMALL ? this.b : this.f1730a).a(a2, atomicBoolean).a((Continuation<EncodedImage, TContinuationResult>) b(consumer, producerContext, imageRequest, mediaVariations, list, i, atomicBoolean));
    }

    /* access modifiers changed from: private */
    public static boolean b(MediaVariations.Variant variant, ResizeOptions resizeOptions) {
        return variant.b() >= resizeOptions.f1626a && variant.c() >= resizeOptions.b;
    }

    private Continuation<EncodedImage, Void> b(final Consumer<EncodedImage> consumer, final ProducerContext producerContext, final ImageRequest imageRequest, final MediaVariations mediaVariations, final List<MediaVariations.Variant> list, final int i, final AtomicBoolean atomicBoolean) {
        final String b2 = producerContext.b();
        final ProducerListener c2 = producerContext.c();
        return new Continuation<EncodedImage, Void>() {
            /* class com.facebook.imagepipeline.producers.MediaVariationsFallbackProducer.AnonymousClass2 */

            /* renamed from: b */
            public Void a(Task<EncodedImage> task) throws Exception {
                boolean z = false;
                if (MediaVariationsFallbackProducer.b(task)) {
                    c2.b(b2, "MediaVariationsFallbackProducer", null);
                    consumer.b();
                } else {
                    if (task.d()) {
                        c2.a(b2, "MediaVariationsFallbackProducer", task.f(), null);
                        MediaVariationsFallbackProducer.this.a(consumer, producerContext, mediaVariations.a());
                    } else {
                        EncodedImage e2 = task.e();
                        if (e2 != null) {
                            if (!mediaVariations.c() && MediaVariationsFallbackProducer.b((MediaVariations.Variant) list.get(i), imageRequest.g())) {
                                z = true;
                            }
                            c2.a(b2, "MediaVariationsFallbackProducer", MediaVariationsFallbackProducer.a(c2, b2, true, list.size(), mediaVariations.d(), z));
                            if (z) {
                                c2.a(b2, "MediaVariationsFallbackProducer", true);
                                consumer.b(1.0f);
                            }
                            consumer.b(e2, z);
                            e2.close();
                            z = !z;
                        } else if (i < list.size() - 1) {
                            MediaVariationsFallbackProducer.this.a((MediaVariationsFallbackProducer) consumer, (Consumer) producerContext, (ProducerContext) imageRequest, (ImageRequest) mediaVariations, (MediaVariations) list, (List) (i + 1), (int) atomicBoolean);
                        } else {
                            c2.a(b2, "MediaVariationsFallbackProducer", MediaVariationsFallbackProducer.a(c2, b2, false, list.size(), mediaVariations.d(), false));
                        }
                    }
                    z = true;
                }
                if (z) {
                    MediaVariationsFallbackProducer.this.a(consumer, producerContext, mediaVariations.a());
                }
                return null;
            }
        };
    }

    private void b(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        this.g.a(consumer, producerContext);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Consumer<EncodedImage> consumer, ProducerContext producerContext, String str) {
        this.g.a(new MediaVariationsConsumer(consumer, producerContext, str), producerContext);
    }

    /* access modifiers changed from: private */
    public static boolean b(Task<?> task) {
        return task.c() || (task.d() && (task.f() instanceof CancellationException));
    }

    @VisibleForTesting
    static Map<String, String> a(ProducerListener producerListener, String str, boolean z, int i, String str2, boolean z2) {
        if (!producerListener.b(str)) {
            return null;
        }
        if (z) {
            return ImmutableMap.a("cached_value_found", String.valueOf(true), "cached_value_used_as_last", String.valueOf(z2), "variants_count", String.valueOf(i), "variants_source", str2);
        }
        return ImmutableMap.a("cached_value_found", String.valueOf(false), "variants_count", String.valueOf(i), "variants_source", str2);
    }

    private void a(final AtomicBoolean atomicBoolean, ProducerContext producerContext) {
        producerContext.a(new BaseProducerContextCallbacks() {
            /* class com.facebook.imagepipeline.producers.MediaVariationsFallbackProducer.AnonymousClass3 */

            @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
            public void a() {
                atomicBoolean.set(true);
            }
        });
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public class MediaVariationsConsumer extends DelegatingConsumer<EncodedImage, EncodedImage> {
        private final ProducerContext b;
        private final String c;

        public MediaVariationsConsumer(Consumer<EncodedImage> consumer, ProducerContext producerContext, String str) {
            super(consumer);
            this.b = producerContext;
            this.c = str;
        }

        /* access modifiers changed from: protected */
        public void a(EncodedImage encodedImage, boolean z) {
            if (z && encodedImage != null) {
                a(encodedImage);
            }
            d().b(encodedImage, z);
        }

        private void a(EncodedImage encodedImage) {
            ImageRequest a2 = this.b.a();
            if (a2.n() && this.c != null) {
                MediaVariationsFallbackProducer.this.d.a(this.c, MediaVariationsFallbackProducer.this.f.a(a2, encodedImage), MediaVariationsFallbackProducer.this.c.c(a2, this.b.d()), encodedImage);
            }
        }
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public static class VariantComparator implements Comparator<MediaVariations.Variant> {

        /* renamed from: a  reason: collision with root package name */
        private final ResizeOptions f1735a;

        VariantComparator(ResizeOptions resizeOptions) {
            this.f1735a = resizeOptions;
        }

        /* renamed from: a */
        public int compare(MediaVariations.Variant variant, MediaVariations.Variant variant2) {
            boolean b = MediaVariationsFallbackProducer.b(variant, this.f1735a);
            boolean b2 = MediaVariationsFallbackProducer.b(variant2, this.f1735a);
            if (b && b2) {
                return variant.b() - variant2.b();
            }
            if (b) {
                return -1;
            }
            if (b2) {
                return 1;
            }
            return variant2.b() - variant.b();
        }
    }
}
