package com.facebook.imagepipeline.producers;

import android.os.SystemClock;
import com.facebook.common.memory.ByteArrayPool;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.common.memory.PooledByteBufferOutputStream;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.producers.NetworkFetcher;
import java.io.IOException;
import java.io.InputStream;
import java.util.Map;
import javax.annotation.Nullable;

public class NetworkFetchProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final PooledByteBufferFactory f1740a;
    private final ByteArrayPool b;
    private final NetworkFetcher c;

    public NetworkFetchProducer(PooledByteBufferFactory pooledByteBufferFactory, ByteArrayPool byteArrayPool, NetworkFetcher networkFetcher) {
        this.f1740a = pooledByteBufferFactory;
        this.b = byteArrayPool;
        this.c = networkFetcher;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        producerContext.c().a(producerContext.b(), "NetworkFetchProducer");
        final FetchState b2 = this.c.b(consumer, producerContext);
        this.c.a(b2, new NetworkFetcher.Callback() {
            /* class com.facebook.imagepipeline.producers.NetworkFetchProducer.AnonymousClass1 */

            @Override // com.facebook.imagepipeline.producers.NetworkFetcher.Callback
            public void a(InputStream inputStream, int i) throws IOException {
                NetworkFetchProducer.this.a((NetworkFetchProducer) b2, (FetchState) inputStream, (InputStream) i);
            }

            @Override // com.facebook.imagepipeline.producers.NetworkFetcher.Callback
            public void a(Throwable th) {
                NetworkFetchProducer.this.a((NetworkFetchProducer) b2, (FetchState) th);
            }

            @Override // com.facebook.imagepipeline.producers.NetworkFetcher.Callback
            public void a() {
                NetworkFetchProducer.this.a(b2);
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(FetchState fetchState, InputStream inputStream, int i) throws IOException {
        PooledByteBufferOutputStream pooledByteBufferOutputStream;
        if (i > 0) {
            pooledByteBufferOutputStream = this.f1740a.a(i);
        } else {
            pooledByteBufferOutputStream = this.f1740a.a();
        }
        byte[] bArr = (byte[]) this.b.a(16384);
        while (true) {
            try {
                int read = inputStream.read(bArr);
                if (read < 0) {
                    this.c.b(fetchState, pooledByteBufferOutputStream.b());
                    b(pooledByteBufferOutputStream, fetchState);
                    return;
                } else if (read > 0) {
                    pooledByteBufferOutputStream.write(bArr, 0, read);
                    a(pooledByteBufferOutputStream, fetchState);
                    fetchState.a().b(a(pooledByteBufferOutputStream.b(), i));
                }
            } finally {
                this.b.a(bArr);
                pooledByteBufferOutputStream.close();
            }
        }
    }

    private static float a(int i, int i2) {
        return i2 > 0 ? ((float) i) / ((float) i2) : 1.0f - ((float) Math.exp(((double) (-i)) / 50000.0d));
    }

    private void a(PooledByteBufferOutputStream pooledByteBufferOutputStream, FetchState fetchState) {
        long uptimeMillis = SystemClock.uptimeMillis();
        if (b(fetchState) && uptimeMillis - fetchState.f() >= 100) {
            fetchState.a(uptimeMillis);
            fetchState.d().a(fetchState.c(), "NetworkFetchProducer", "intermediate_result");
            a(pooledByteBufferOutputStream, false, fetchState.a());
        }
    }

    private void b(PooledByteBufferOutputStream pooledByteBufferOutputStream, FetchState fetchState) {
        Map<String, String> a2 = a(fetchState, pooledByteBufferOutputStream.b());
        ProducerListener d = fetchState.d();
        d.a(fetchState.c(), "NetworkFetchProducer", a2);
        d.a(fetchState.c(), "NetworkFetchProducer", true);
        a(pooledByteBufferOutputStream, true, fetchState.a());
    }

    private void a(PooledByteBufferOutputStream pooledByteBufferOutputStream, boolean z, Consumer<EncodedImage> consumer) {
        Throwable th;
        CloseableReference a2 = CloseableReference.a(pooledByteBufferOutputStream.a());
        EncodedImage encodedImage = null;
        try {
            EncodedImage encodedImage2 = new EncodedImage(a2);
            try {
                encodedImage2.l();
                consumer.b(encodedImage2, z);
                EncodedImage.d(encodedImage2);
                CloseableReference.c(a2);
            } catch (Throwable th2) {
                th = th2;
                encodedImage = encodedImage2;
                EncodedImage.d(encodedImage);
                CloseableReference.c(a2);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            EncodedImage.d(encodedImage);
            CloseableReference.c(a2);
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(FetchState fetchState, Throwable th) {
        fetchState.d().a(fetchState.c(), "NetworkFetchProducer", th, null);
        fetchState.d().a(fetchState.c(), "NetworkFetchProducer", false);
        fetchState.a().b(th);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(FetchState fetchState) {
        fetchState.d().b(fetchState.c(), "NetworkFetchProducer", null);
        fetchState.a().b();
    }

    private boolean b(FetchState fetchState) {
        if (!fetchState.b().h()) {
            return false;
        }
        return this.c.a(fetchState);
    }

    @Nullable
    private Map<String, String> a(FetchState fetchState, int i) {
        if (!fetchState.d().b(fetchState.c())) {
            return null;
        }
        return this.c.a(fetchState, i);
    }
}
