package com.facebook.imagepipeline.producers;

import com.facebook.cache.common.CacheKey;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.cache.CacheKeyFactory;
import com.facebook.imagepipeline.cache.MemoryCache;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.request.ImageRequest;
import com.facebook.imagepipeline.request.Postprocessor;
import com.facebook.imagepipeline.request.RepeatedPostprocessor;
import java.util.Map;

public class PostprocessedBitmapMemoryCacheProducer implements Producer<CloseableReference<CloseableImage>> {

    /* renamed from: a  reason: collision with root package name */
    private final MemoryCache<CacheKey, CloseableImage> f1742a;
    private final CacheKeyFactory b;
    private final Producer<CloseableReference<CloseableImage>> c;

    /* access modifiers changed from: protected */
    public String a() {
        return "PostprocessedBitmapMemoryCacheProducer";
    }

    public PostprocessedBitmapMemoryCacheProducer(MemoryCache<CacheKey, CloseableImage> memoryCache, CacheKeyFactory cacheKeyFactory, Producer<CloseableReference<CloseableImage>> producer) {
        this.f1742a = memoryCache;
        this.b = cacheKeyFactory;
        this.c = producer;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<CloseableReference<CloseableImage>> consumer, ProducerContext producerContext) {
        ProducerListener c2 = producerContext.c();
        String b2 = producerContext.b();
        ImageRequest a2 = producerContext.a();
        Object d = producerContext.d();
        Postprocessor p = a2.p();
        if (p == null || p.a() == null) {
            this.c.a(consumer, producerContext);
            return;
        }
        c2.a(b2, a());
        CacheKey b3 = this.b.b(a2, d);
        CloseableReference<CloseableImage> a3 = this.f1742a.a(b3);
        Map<String, String> map = null;
        if (a3 != null) {
            String a4 = a();
            if (c2.b(b2)) {
                map = ImmutableMap.a("cached_value_found", "true");
            }
            c2.a(b2, a4, map);
            c2.a(b2, "PostprocessedBitmapMemoryCacheProducer", true);
            consumer.b(1.0f);
            consumer.b(a3, true);
            a3.close();
            return;
        }
        CachedPostprocessorConsumer cachedPostprocessorConsumer = new CachedPostprocessorConsumer(consumer, b3, p instanceof RepeatedPostprocessor, this.f1742a);
        String a5 = a();
        if (c2.b(b2)) {
            map = ImmutableMap.a("cached_value_found", "false");
        }
        c2.a(b2, a5, map);
        this.c.a(cachedPostprocessorConsumer, producerContext);
    }

    public static class CachedPostprocessorConsumer extends DelegatingConsumer<CloseableReference<CloseableImage>, CloseableReference<CloseableImage>> {

        /* renamed from: a  reason: collision with root package name */
        private final CacheKey f1743a;
        private final boolean b;
        private final MemoryCache<CacheKey, CloseableImage> c;

        public CachedPostprocessorConsumer(Consumer<CloseableReference<CloseableImage>> consumer, CacheKey cacheKey, boolean z, MemoryCache<CacheKey, CloseableImage> memoryCache) {
            super(consumer);
            this.f1743a = cacheKey;
            this.b = z;
            this.c = memoryCache;
        }

        /* access modifiers changed from: protected */
        public void a(CloseableReference<CloseableImage> closeableReference, boolean z) {
            if (closeableReference == null) {
                if (z) {
                    d().b(null, true);
                }
            } else if (z || this.b) {
                CloseableReference<CloseableImage> a2 = this.c.a(this.f1743a, closeableReference);
                try {
                    d().b(1.0f);
                    Consumer d = d();
                    if (a2 != null) {
                        closeableReference = a2;
                    }
                    d.b(closeableReference, z);
                } finally {
                    CloseableReference.c(a2);
                }
            }
        }
    }
}
