package com.facebook.imagepipeline.producers;

import android.graphics.Bitmap;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.references.CloseableReference;
import com.facebook.imagepipeline.bitmaps.PlatformBitmapFactory;
import com.facebook.imagepipeline.image.CloseableImage;
import com.facebook.imagepipeline.image.CloseableStaticBitmap;
import com.facebook.imagepipeline.request.Postprocessor;
import com.facebook.imagepipeline.request.RepeatedPostprocessor;
import com.facebook.imagepipeline.request.RepeatedPostprocessorRunner;
import java.util.Map;
import java.util.concurrent.Executor;
import javax.annotation.Nullable;
import javax.annotation.concurrent.GuardedBy;

public class PostprocessorProducer implements Producer<CloseableReference<CloseableImage>> {

    /* renamed from: a  reason: collision with root package name */
    private final Producer<CloseableReference<CloseableImage>> f1744a;
    private final PlatformBitmapFactory b;
    private final Executor c;

    public PostprocessorProducer(Producer<CloseableReference<CloseableImage>> producer, PlatformBitmapFactory platformBitmapFactory, Executor executor) {
        this.f1744a = (Producer) Preconditions.a(producer);
        this.b = platformBitmapFactory;
        this.c = (Executor) Preconditions.a(executor);
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<CloseableReference<CloseableImage>> consumer, ProducerContext producerContext) {
        Consumer<CloseableReference<CloseableImage>> consumer2;
        ProducerListener c2 = producerContext.c();
        Postprocessor p = producerContext.a().p();
        PostprocessorConsumer postprocessorConsumer = new PostprocessorConsumer(consumer, c2, producerContext.b(), p, producerContext);
        if (p instanceof RepeatedPostprocessor) {
            consumer2 = new RepeatedPostprocessorConsumer(postprocessorConsumer, (RepeatedPostprocessor) p, producerContext);
        } else {
            consumer2 = new SingleUsePostprocessorConsumer(postprocessorConsumer);
        }
        this.f1744a.a(consumer2, producerContext);
    }

    private class PostprocessorConsumer extends DelegatingConsumer<CloseableReference<CloseableImage>, CloseableReference<CloseableImage>> {
        private final ProducerListener b;
        private final String c;
        private final Postprocessor d;
        @GuardedBy
        private boolean e;
        @GuardedBy
        @Nullable
        private CloseableReference<CloseableImage> f = null;
        @GuardedBy
        private boolean g = false;
        @GuardedBy
        private boolean h = false;
        @GuardedBy
        private boolean i = false;

        public PostprocessorConsumer(Consumer<CloseableReference<CloseableImage>> consumer, ProducerListener producerListener, String str, Postprocessor postprocessor, ProducerContext producerContext) {
            super(consumer);
            this.b = producerListener;
            this.c = str;
            this.d = postprocessor;
            producerContext.a(new BaseProducerContextCallbacks(PostprocessorProducer.this) {
                /* class com.facebook.imagepipeline.producers.PostprocessorProducer.PostprocessorConsumer.AnonymousClass1 */

                @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
                public void a() {
                    PostprocessorConsumer.this.g();
                }
            });
        }

        /* access modifiers changed from: protected */
        public void a(CloseableReference<CloseableImage> closeableReference, boolean z) {
            if (CloseableReference.a((CloseableReference<?>) closeableReference)) {
                b(closeableReference, z);
            } else if (z) {
                d(null, true);
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.imagepipeline.producers.BaseConsumer, com.facebook.imagepipeline.producers.DelegatingConsumer
        public void a(Throwable th) {
            c(th);
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.imagepipeline.producers.BaseConsumer, com.facebook.imagepipeline.producers.DelegatingConsumer
        public void a() {
            g();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:10:0x001e, code lost:
            c();
         */
        /* JADX WARNING: Code restructure failed: missing block: B:14:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
            return;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:8:0x0019, code lost:
            com.facebook.common.references.CloseableReference.c(r0);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x001c, code lost:
            if (r2 == false) goto L_?;
         */
        private void b(@Nullable CloseableReference<CloseableImage> closeableReference, boolean z) {
            synchronized (this) {
                if (!this.e) {
                    CloseableReference<CloseableImage> closeableReference2 = this.f;
                    this.f = CloseableReference.b(closeableReference);
                    this.g = z;
                    this.h = true;
                    boolean f2 = f();
                }
            }
        }

        private void c() {
            PostprocessorProducer.this.c.execute(new Runnable() {
                /* class com.facebook.imagepipeline.producers.PostprocessorProducer.PostprocessorConsumer.AnonymousClass2 */

                public void run() {
                    CloseableReference closeableReference;
                    boolean z;
                    synchronized (PostprocessorConsumer.this) {
                        closeableReference = PostprocessorConsumer.this.f;
                        z = PostprocessorConsumer.this.g;
                        PostprocessorConsumer.this.f = null;
                        PostprocessorConsumer.this.h = false;
                    }
                    if (CloseableReference.a((CloseableReference<?>) closeableReference)) {
                        try {
                            PostprocessorConsumer.this.c(closeableReference, z);
                        } finally {
                            CloseableReference.c(closeableReference);
                        }
                    }
                    PostprocessorConsumer.this.e();
                }
            });
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void e() {
            boolean f2;
            synchronized (this) {
                this.i = false;
                f2 = f();
            }
            if (f2) {
                c();
            }
        }

        private synchronized boolean f() {
            if (this.e || !this.h || this.i || !CloseableReference.a((CloseableReference<?>) this.f)) {
                return false;
            }
            this.i = true;
            return true;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void c(CloseableReference<CloseableImage> closeableReference, boolean z) {
            Throwable th;
            Preconditions.a(CloseableReference.a((CloseableReference<?>) closeableReference));
            if (!a(closeableReference.a())) {
                d(closeableReference, z);
                return;
            }
            this.b.a(this.c, "PostprocessorProducer");
            CloseableReference<CloseableImage> closeableReference2 = null;
            try {
                CloseableReference<CloseableImage> b2 = b(closeableReference.a());
                try {
                    this.b.a(this.c, "PostprocessorProducer", a(this.b, this.c, this.d));
                    d(b2, z);
                    CloseableReference.c(b2);
                } catch (Throwable th2) {
                    th = th2;
                    closeableReference2 = b2;
                    CloseableReference.c(closeableReference2);
                    throw th;
                }
            } catch (Exception e2) {
                this.b.a(this.c, "PostprocessorProducer", e2, a(this.b, this.c, this.d));
                c(e2);
                CloseableReference.c(null);
            } catch (Throwable th3) {
                th = th3;
                CloseableReference.c(closeableReference2);
                throw th;
            }
        }

        private Map<String, String> a(ProducerListener producerListener, String str, Postprocessor postprocessor) {
            if (!producerListener.b(str)) {
                return null;
            }
            return ImmutableMap.a("Postprocessor", postprocessor.b());
        }

        private boolean a(CloseableImage closeableImage) {
            return closeableImage instanceof CloseableStaticBitmap;
        }

        private CloseableReference<CloseableImage> b(CloseableImage closeableImage) {
            CloseableStaticBitmap closeableStaticBitmap = (CloseableStaticBitmap) closeableImage;
            CloseableReference<Bitmap> a2 = this.d.a(closeableStaticBitmap.a(), PostprocessorProducer.this.b);
            try {
                return CloseableReference.a(new CloseableStaticBitmap(a2, closeableImage.d(), closeableStaticBitmap.h()));
            } finally {
                CloseableReference.c(a2);
            }
        }

        private void d(CloseableReference<CloseableImage> closeableReference, boolean z) {
            if ((!z && !h()) || (z && i())) {
                d().b(closeableReference, z);
            }
        }

        private void c(Throwable th) {
            if (i()) {
                d().b(th);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void g() {
            if (i()) {
                d().b();
            }
        }

        private synchronized boolean h() {
            return this.e;
        }

        private boolean i() {
            synchronized (this) {
                if (this.e) {
                    return false;
                }
                CloseableReference<CloseableImage> closeableReference = this.f;
                this.f = null;
                this.e = true;
                CloseableReference.c(closeableReference);
                return true;
            }
        }
    }

    class SingleUsePostprocessorConsumer extends DelegatingConsumer<CloseableReference<CloseableImage>, CloseableReference<CloseableImage>> {
        private SingleUsePostprocessorConsumer(PostprocessorConsumer postprocessorConsumer) {
            super(postprocessorConsumer);
        }

        /* access modifiers changed from: protected */
        public void a(CloseableReference<CloseableImage> closeableReference, boolean z) {
            if (z) {
                d().b(closeableReference, z);
            }
        }
    }

    class RepeatedPostprocessorConsumer extends DelegatingConsumer<CloseableReference<CloseableImage>, CloseableReference<CloseableImage>> implements RepeatedPostprocessorRunner {
        @GuardedBy
        private boolean b;
        @GuardedBy
        @Nullable
        private CloseableReference<CloseableImage> c;

        private RepeatedPostprocessorConsumer(PostprocessorConsumer postprocessorConsumer, RepeatedPostprocessor repeatedPostprocessor, ProducerContext producerContext) {
            super(postprocessorConsumer);
            this.b = false;
            this.c = null;
            repeatedPostprocessor.a(this);
            producerContext.a(new BaseProducerContextCallbacks(PostprocessorProducer.this) {
                /* class com.facebook.imagepipeline.producers.PostprocessorProducer.RepeatedPostprocessorConsumer.AnonymousClass1 */

                @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
                public void a() {
                    if (RepeatedPostprocessorConsumer.this.e()) {
                        RepeatedPostprocessorConsumer.this.d().b();
                    }
                }
            });
        }

        /* access modifiers changed from: protected */
        public void a(CloseableReference<CloseableImage> closeableReference, boolean z) {
            if (z) {
                a(closeableReference);
                c();
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.imagepipeline.producers.BaseConsumer, com.facebook.imagepipeline.producers.DelegatingConsumer
        public void a(Throwable th) {
            if (e()) {
                d().b(th);
            }
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.imagepipeline.producers.BaseConsumer, com.facebook.imagepipeline.producers.DelegatingConsumer
        public void a() {
            if (e()) {
                d().b();
            }
        }

        private void c() {
            synchronized (this) {
                if (!this.b) {
                    CloseableReference b2 = CloseableReference.b(this.c);
                    try {
                        d().b(b2, false);
                    } finally {
                        CloseableReference.c(b2);
                    }
                }
            }
        }

        private void a(CloseableReference<CloseableImage> closeableReference) {
            synchronized (this) {
                if (!this.b) {
                    CloseableReference<CloseableImage> closeableReference2 = this.c;
                    this.c = CloseableReference.b(closeableReference);
                    CloseableReference.c(closeableReference2);
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean e() {
            synchronized (this) {
                if (this.b) {
                    return false;
                }
                CloseableReference<CloseableImage> closeableReference = this.c;
                this.c = null;
                this.b = true;
                CloseableReference.c(closeableReference);
                return true;
            }
        }
    }
}
