package com.facebook.imagepipeline.producers;

import com.facebook.common.internal.Closeables;
import com.facebook.common.internal.ImmutableMap;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.internal.VisibleForTesting;
import com.facebook.common.memory.PooledByteBufferFactory;
import com.facebook.common.memory.PooledByteBufferOutputStream;
import com.facebook.common.references.CloseableReference;
import com.facebook.common.util.TriState;
import com.facebook.imageformat.DefaultImageFormats;
import com.facebook.imageformat.ImageFormat;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.common.RotationOptions;
import com.facebook.imagepipeline.image.EncodedImage;
import com.facebook.imagepipeline.nativecode.JpegTranscoder;
import com.facebook.imagepipeline.producers.JobScheduler;
import com.facebook.imagepipeline.request.ImageRequest;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.Executor;
import javax.annotation.Nullable;

public class ResizeAndRotateProducer implements Producer<EncodedImage> {

    /* renamed from: a  reason: collision with root package name */
    private final Executor f1754a;
    private final PooledByteBufferFactory b;
    private final boolean c;
    private final Producer<EncodedImage> d;
    private final boolean e;

    @VisibleForTesting
    static int a(float f, float f2) {
        return (int) (f2 + (f * 8.0f));
    }

    private static boolean b(int i) {
        return i < 8;
    }

    public ResizeAndRotateProducer(Executor executor, PooledByteBufferFactory pooledByteBufferFactory, boolean z, Producer<EncodedImage> producer, boolean z2) {
        this.f1754a = (Executor) Preconditions.a(executor);
        this.b = (PooledByteBufferFactory) Preconditions.a(pooledByteBufferFactory);
        this.c = z;
        this.d = (Producer) Preconditions.a(producer);
        this.e = z2;
    }

    @Override // com.facebook.imagepipeline.producers.Producer
    public void a(Consumer<EncodedImage> consumer, ProducerContext producerContext) {
        this.d.a(new TransformingConsumer(consumer, producerContext), producerContext);
    }

    private class TransformingConsumer extends DelegatingConsumer<EncodedImage, EncodedImage> {
        private final ProducerContext b;
        private boolean c = false;
        private final JobScheduler d;

        public TransformingConsumer(final Consumer<EncodedImage> consumer, ProducerContext producerContext) {
            super(consumer);
            this.b = producerContext;
            this.d = new JobScheduler(ResizeAndRotateProducer.this.f1754a, new JobScheduler.JobRunnable(ResizeAndRotateProducer.this) {
                /* class com.facebook.imagepipeline.producers.ResizeAndRotateProducer.TransformingConsumer.AnonymousClass1 */

                @Override // com.facebook.imagepipeline.producers.JobScheduler.JobRunnable
                public void a(EncodedImage encodedImage, boolean z) {
                    TransformingConsumer.this.b((TransformingConsumer) encodedImage, (EncodedImage) z);
                }
            }, 100);
            this.b.a(new BaseProducerContextCallbacks(ResizeAndRotateProducer.this) {
                /* class com.facebook.imagepipeline.producers.ResizeAndRotateProducer.TransformingConsumer.AnonymousClass2 */

                @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
                public void c() {
                    if (TransformingConsumer.this.b.h()) {
                        TransformingConsumer.this.d.b();
                    }
                }

                @Override // com.facebook.imagepipeline.producers.BaseProducerContextCallbacks, com.facebook.imagepipeline.producers.ProducerContextCallbacks
                public void a() {
                    TransformingConsumer.this.d.a();
                    TransformingConsumer.this.c = true;
                    consumer.b();
                }
            });
        }

        /* access modifiers changed from: protected */
        public void a(@Nullable EncodedImage encodedImage, boolean z) {
            if (!this.c) {
                if (encodedImage != null) {
                    TriState c2 = ResizeAndRotateProducer.c(this.b.a(), encodedImage, ResizeAndRotateProducer.this.c);
                    if (!z && c2 == TriState.UNSET) {
                        return;
                    }
                    if (c2 != TriState.YES) {
                        d().b(encodedImage, z);
                    } else if (this.d.a(encodedImage, z)) {
                        if (z || this.b.h()) {
                            this.d.b();
                        }
                    }
                } else if (z) {
                    d().b(null, true);
                }
            }
        }

        /* JADX INFO: finally extract failed */
        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Code restructure failed: missing block: B:25:0x009e, code lost:
            r13 = e;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:26:0x009f, code lost:
            r12 = null;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:28:0x00a2, code lost:
            r13 = th;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:29:0x00a3, code lost:
            r12 = null;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x00a2 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:1:0x0022] */
        private void b(EncodedImage encodedImage, boolean z) {
            InputStream inputStream;
            Exception e;
            this.b.c().a(this.b.b(), "ResizeAndRotateProducer");
            ImageRequest a2 = this.b.a();
            PooledByteBufferOutputStream a3 = ResizeAndRotateProducer.this.b.a();
            Map<String, String> map = null;
            try {
                int d2 = ResizeAndRotateProducer.d(a2, encodedImage, ResizeAndRotateProducer.this.c);
                int a4 = ResizeAndRotateProducer.a(DownsampleUtil.a(a2, encodedImage));
                int i = ResizeAndRotateProducer.this.e ? a4 : d2;
                int b2 = ResizeAndRotateProducer.b(a2.h(), encodedImage);
                Map<String, String> a5 = a(encodedImage, a2, i, a4, d2, b2);
                inputStream = encodedImage.d();
                try {
                    JpegTranscoder.a(inputStream, a3, b2, i, 85);
                    CloseableReference a6 = CloseableReference.a(a3.a());
                    try {
                        EncodedImage encodedImage2 = new EncodedImage(a6);
                        encodedImage2.a(DefaultImageFormats.f1575a);
                        try {
                            encodedImage2.l();
                            this.b.c().a(this.b.b(), "ResizeAndRotateProducer", a5);
                            d().b(encodedImage2, z);
                            EncodedImage.d(encodedImage2);
                            CloseableReference.c(a6);
                            Closeables.a(inputStream);
                            a3.close();
                        } catch (Throwable th) {
                            EncodedImage.d(encodedImage2);
                            throw th;
                        }
                    } catch (Throwable th2) {
                        CloseableReference.c(a6);
                        throw th2;
                    }
                } catch (Exception e2) {
                    e = e2;
                    map = a5;
                    try {
                        this.b.c().a(this.b.b(), "ResizeAndRotateProducer", e, map);
                        d().b(e);
                        Closeables.a(inputStream);
                        a3.close();
                    } catch (Throwable th3) {
                        Throwable th4 = th3;
                        Closeables.a(inputStream);
                        a3.close();
                        throw th4;
                    }
                }
            } catch (Exception e3) {
                e = e3;
                inputStream = null;
                this.b.c().a(this.b.b(), "ResizeAndRotateProducer", e, map);
                d().b(e);
                Closeables.a(inputStream);
                a3.close();
            } catch (Throwable th5) {
            }
        }

        private Map<String, String> a(EncodedImage encodedImage, ImageRequest imageRequest, int i, int i2, int i3, int i4) {
            String str;
            String str2;
            if (!this.b.c().b(this.b.b())) {
                return null;
            }
            String str3 = encodedImage.g() + "x" + encodedImage.h();
            if (imageRequest.g() != null) {
                str = imageRequest.g().f1626a + "x" + imageRequest.g().b;
            } else {
                str = "Unspecified";
            }
            if (i > 0) {
                str2 = i + "/8";
            } else {
                str2 = "";
            }
            HashMap hashMap = new HashMap();
            hashMap.put("Original size", str3);
            hashMap.put("Requested size", str);
            hashMap.put("Fraction", str2);
            hashMap.put("queueTime", String.valueOf(this.d.c()));
            hashMap.put("downsampleEnumerator", Integer.toString(i2));
            hashMap.put("softwareEnumerator", Integer.toString(i3));
            hashMap.put("rotationAngle", Integer.toString(i4));
            return ImmutableMap.a(hashMap);
        }
    }

    /* access modifiers changed from: private */
    public static TriState c(ImageRequest imageRequest, EncodedImage encodedImage, boolean z) {
        if (encodedImage == null || encodedImage.e() == ImageFormat.f1576a) {
            return TriState.UNSET;
        }
        if (encodedImage.e() != DefaultImageFormats.f1575a) {
            return TriState.NO;
        }
        return TriState.a(c(imageRequest.h(), encodedImage) || b(d(imageRequest, encodedImage, z)));
    }

    @VisibleForTesting
    static float a(ResizeOptions resizeOptions, int i, int i2) {
        if (resizeOptions == null) {
            return 1.0f;
        }
        float f = (float) i;
        float f2 = (float) i2;
        float max = Math.max(((float) resizeOptions.f1626a) / f, ((float) resizeOptions.b) / f2);
        if (f * max > resizeOptions.c) {
            max = resizeOptions.c / f;
        }
        return f2 * max > resizeOptions.c ? resizeOptions.c / f2 : max;
    }

    /* access modifiers changed from: private */
    public static int d(ImageRequest imageRequest, EncodedImage encodedImage, boolean z) {
        ResizeOptions g;
        int i;
        int i2;
        if (!z || (g = imageRequest.g()) == null) {
            return 8;
        }
        int b2 = b(imageRequest.h(), encodedImage);
        boolean z2 = b2 == 90 || b2 == 270;
        if (z2) {
            i = encodedImage.h();
        } else {
            i = encodedImage.g();
        }
        if (z2) {
            i2 = encodedImage.g();
        } else {
            i2 = encodedImage.h();
        }
        int a2 = a(a(g, i, i2), g.d);
        if (a2 > 8) {
            return 8;
        }
        if (a2 < 1) {
            return 1;
        }
        return a2;
    }

    /* access modifiers changed from: private */
    public static int b(RotationOptions rotationOptions, EncodedImage encodedImage) {
        if (!rotationOptions.e()) {
            return 0;
        }
        int a2 = a(encodedImage);
        if (rotationOptions.d()) {
            return a2;
        }
        return (a2 + rotationOptions.f()) % 360;
    }

    private static int a(EncodedImage encodedImage) {
        int f = encodedImage.f();
        if (f == 90 || f == 180 || f == 270) {
            return encodedImage.f();
        }
        return 0;
    }

    private static boolean c(RotationOptions rotationOptions, EncodedImage encodedImage) {
        return !rotationOptions.g() && b(rotationOptions, encodedImage) != 0;
    }

    @VisibleForTesting
    static int a(int i) {
        return Math.max(1, 8 / i);
    }
}
