package com.facebook.imagepipeline.request;

import android.net.Uri;
import com.facebook.common.internal.Objects;
import com.facebook.common.media.MediaUtils;
import com.facebook.common.util.UriUtil;
import com.facebook.imagepipeline.common.ImageDecodeOptions;
import com.facebook.imagepipeline.common.Priority;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.common.RotationOptions;
import com.facebook.imagepipeline.listener.RequestListener;
import java.io.File;
import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;

@Immutable
public class ImageRequest {

    /* renamed from: a  reason: collision with root package name */
    private final CacheChoice f1771a;
    private final Uri b;
    private final int c = a(this.b);
    @Nullable
    private final MediaVariations d;
    private File e;
    private final boolean f;
    private final boolean g;
    private final ImageDecodeOptions h;
    @Nullable
    private final ResizeOptions i;
    private final RotationOptions j;
    private final Priority k;
    private final RequestLevel l;
    private final boolean m;
    private final Postprocessor n;
    @Nullable
    private final RequestListener o;

    public enum CacheChoice {
        SMALL,
        DEFAULT
    }

    protected ImageRequest(ImageRequestBuilder imageRequestBuilder) {
        this.f1771a = imageRequestBuilder.g();
        this.b = imageRequestBuilder.a();
        this.d = imageRequestBuilder.b();
        this.f = imageRequestBuilder.h();
        this.g = imageRequestBuilder.i();
        this.h = imageRequestBuilder.f();
        this.i = imageRequestBuilder.d();
        this.j = imageRequestBuilder.e() == null ? RotationOptions.a() : imageRequestBuilder.e();
        this.k = imageRequestBuilder.k();
        this.l = imageRequestBuilder.c();
        this.m = imageRequestBuilder.j();
        this.n = imageRequestBuilder.l();
        this.o = imageRequestBuilder.m();
    }

    public CacheChoice a() {
        return this.f1771a;
    }

    public Uri b() {
        return this.b;
    }

    public int c() {
        return this.c;
    }

    @Nullable
    public MediaVariations d() {
        return this.d;
    }

    public int e() {
        if (this.i != null) {
            return this.i.f1626a;
        }
        return 2048;
    }

    public int f() {
        if (this.i != null) {
            return this.i.b;
        }
        return 2048;
    }

    @Nullable
    public ResizeOptions g() {
        return this.i;
    }

    public RotationOptions h() {
        return this.j;
    }

    public ImageDecodeOptions i() {
        return this.h;
    }

    public boolean j() {
        return this.f;
    }

    public boolean k() {
        return this.g;
    }

    public Priority l() {
        return this.k;
    }

    public RequestLevel m() {
        return this.l;
    }

    public boolean n() {
        return this.m;
    }

    public synchronized File o() {
        if (this.e == null) {
            this.e = new File(this.b.getPath());
        }
        return this.e;
    }

    @Nullable
    public Postprocessor p() {
        return this.n;
    }

    @Nullable
    public RequestListener q() {
        return this.o;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof ImageRequest)) {
            return false;
        }
        ImageRequest imageRequest = (ImageRequest) obj;
        if (!Objects.a(this.b, imageRequest.b) || !Objects.a(this.f1771a, imageRequest.f1771a) || !Objects.a(this.d, imageRequest.d) || !Objects.a(this.e, imageRequest.e)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return Objects.a(this.f1771a, this.b, this.d, this.e);
    }

    public String toString() {
        return Objects.a(this).a("uri", this.b).a("cacheChoice", this.f1771a).a("decodeOptions", this.h).a("postprocessor", this.n).a("priority", this.k).a("resizeOptions", this.i).a("rotationOptions", this.j).a("mediaVariations", this.d).toString();
    }

    public enum RequestLevel {
        FULL_FETCH(1),
        DISK_CACHE(2),
        ENCODED_MEMORY_CACHE(3),
        BITMAP_MEMORY_CACHE(4);
        
        private int e;

        private RequestLevel(int i) {
            this.e = i;
        }

        public int a() {
            return this.e;
        }

        public static RequestLevel a(RequestLevel requestLevel, RequestLevel requestLevel2) {
            return requestLevel.a() > requestLevel2.a() ? requestLevel : requestLevel2;
        }
    }

    private static int a(Uri uri) {
        if (uri == null) {
            return -1;
        }
        if (UriUtil.a(uri)) {
            return 0;
        }
        if (UriUtil.b(uri)) {
            return MediaUtils.a(MediaUtils.b(uri.getPath())) ? 2 : 3;
        }
        if (UriUtil.c(uri)) {
            return 4;
        }
        if (UriUtil.f(uri)) {
            return 5;
        }
        if (UriUtil.g(uri)) {
            return 6;
        }
        if (UriUtil.i(uri)) {
            return 7;
        }
        if (UriUtil.h(uri)) {
            return 8;
        }
        return -1;
    }
}
