package com.facebook.imagepipeline.request;

import android.net.Uri;
import com.facebook.common.internal.Preconditions;
import com.facebook.common.util.UriUtil;
import com.facebook.imagepipeline.common.ImageDecodeOptions;
import com.facebook.imagepipeline.common.Priority;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.common.RotationOptions;
import com.facebook.imagepipeline.core.ImagePipelineConfig;
import com.facebook.imagepipeline.listener.RequestListener;
import com.facebook.imagepipeline.request.ImageRequest;
import javax.annotation.Nullable;

public class ImageRequestBuilder {

    /* renamed from: a  reason: collision with root package name */
    private Uri f1774a = null;
    private ImageRequest.RequestLevel b = ImageRequest.RequestLevel.FULL_FETCH;
    @Nullable
    private ResizeOptions c = null;
    @Nullable
    private RotationOptions d = null;
    private ImageDecodeOptions e = ImageDecodeOptions.a();
    private ImageRequest.CacheChoice f = ImageRequest.CacheChoice.DEFAULT;
    private boolean g = ImagePipelineConfig.e().a();
    private boolean h = false;
    private Priority i = Priority.HIGH;
    @Nullable
    private Postprocessor j = null;
    private boolean k = true;
    @Nullable
    private RequestListener l;
    @Nullable
    private MediaVariations m = null;

    public static ImageRequestBuilder a(Uri uri) {
        return new ImageRequestBuilder().b(uri);
    }

    public static ImageRequestBuilder a(ImageRequest imageRequest) {
        return a(imageRequest.b()).a(imageRequest.i()).a(imageRequest.a()).c(imageRequest.k()).a(imageRequest.m()).a(imageRequest.d()).a(imageRequest.p()).b(imageRequest.j()).a(imageRequest.l()).a(imageRequest.g()).a(imageRequest.q()).a(imageRequest.h());
    }

    private ImageRequestBuilder() {
    }

    public ImageRequestBuilder b(Uri uri) {
        Preconditions.a(uri);
        this.f1774a = uri;
        return this;
    }

    public Uri a() {
        return this.f1774a;
    }

    public ImageRequestBuilder a(MediaVariations mediaVariations) {
        this.m = mediaVariations;
        return this;
    }

    @Nullable
    public MediaVariations b() {
        return this.m;
    }

    public ImageRequestBuilder a(ImageRequest.RequestLevel requestLevel) {
        this.b = requestLevel;
        return this;
    }

    public ImageRequest.RequestLevel c() {
        return this.b;
    }

    @Deprecated
    public ImageRequestBuilder a(boolean z) {
        if (z) {
            return a(RotationOptions.a());
        }
        return a(RotationOptions.b());
    }

    public ImageRequestBuilder a(@Nullable ResizeOptions resizeOptions) {
        this.c = resizeOptions;
        return this;
    }

    @Nullable
    public ResizeOptions d() {
        return this.c;
    }

    public ImageRequestBuilder a(@Nullable RotationOptions rotationOptions) {
        this.d = rotationOptions;
        return this;
    }

    @Nullable
    public RotationOptions e() {
        return this.d;
    }

    public ImageRequestBuilder a(ImageDecodeOptions imageDecodeOptions) {
        this.e = imageDecodeOptions;
        return this;
    }

    public ImageDecodeOptions f() {
        return this.e;
    }

    public ImageRequestBuilder a(ImageRequest.CacheChoice cacheChoice) {
        this.f = cacheChoice;
        return this;
    }

    public ImageRequest.CacheChoice g() {
        return this.f;
    }

    public ImageRequestBuilder b(boolean z) {
        this.g = z;
        return this;
    }

    public boolean h() {
        return this.g;
    }

    public ImageRequestBuilder c(boolean z) {
        this.h = z;
        return this;
    }

    public boolean i() {
        return this.h;
    }

    public boolean j() {
        return this.k && UriUtil.a(this.f1774a);
    }

    public ImageRequestBuilder a(Priority priority) {
        this.i = priority;
        return this;
    }

    public Priority k() {
        return this.i;
    }

    public ImageRequestBuilder a(Postprocessor postprocessor) {
        this.j = postprocessor;
        return this;
    }

    @Nullable
    public Postprocessor l() {
        return this.j;
    }

    public ImageRequestBuilder a(RequestListener requestListener) {
        this.l = requestListener;
        return this;
    }

    @Nullable
    public RequestListener m() {
        return this.l;
    }

    public ImageRequest n() {
        o();
        return new ImageRequest(this);
    }

    public static class BuilderException extends RuntimeException {
        public BuilderException(String str) {
            super("Invalid request builder: " + str);
        }
    }

    /* access modifiers changed from: protected */
    public void o() {
        if (this.f1774a != null) {
            if (UriUtil.g(this.f1774a)) {
                if (!this.f1774a.isAbsolute()) {
                    throw new BuilderException("Resource URI path must be absolute.");
                } else if (!this.f1774a.getPath().isEmpty()) {
                    try {
                        Integer.parseInt(this.f1774a.getPath().substring(1));
                    } catch (NumberFormatException unused) {
                        throw new BuilderException("Resource URI path must be a resource id.");
                    }
                } else {
                    throw new BuilderException("Resource URI must not be empty");
                }
            }
            if (UriUtil.f(this.f1774a) && !this.f1774a.isAbsolute()) {
                throw new BuilderException("Asset URI path must be absolute.");
            }
            return;
        }
        throw new BuilderException("Source must be set!");
    }
}
