package com.facebook.imagepipeline.request;

import android.net.Uri;
import com.facebook.common.internal.Objects;
import com.facebook.imagepipeline.request.ImageRequest;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import javax.annotation.Nullable;
import javax.annotation.concurrent.Immutable;

@Immutable
public class MediaVariations {

    /* renamed from: a  reason: collision with root package name */
    private final String f1775a;
    @Nullable
    private final List<Variant> b;
    private final boolean c;
    private final String d;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Source {
    }

    private MediaVariations(Builder builder) {
        this.f1775a = builder.f1776a;
        this.b = builder.b;
        this.c = builder.c;
        this.d = builder.d;
    }

    public String a() {
        return this.f1775a;
    }

    public int b() {
        if (this.b == null) {
            return 0;
        }
        return this.b.size();
    }

    public List<Variant> a(Comparator<Variant> comparator) {
        int b2 = b();
        if (b2 == 0) {
            return Collections.emptyList();
        }
        ArrayList arrayList = new ArrayList(b2);
        for (int i = 0; i < b2; i++) {
            arrayList.add(this.b.get(i));
        }
        Collections.sort(arrayList, comparator);
        return arrayList;
    }

    public boolean c() {
        return this.c;
    }

    public String d() {
        return this.d;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof MediaVariations)) {
            return false;
        }
        MediaVariations mediaVariations = (MediaVariations) obj;
        if (!Objects.a(this.f1775a, mediaVariations.f1775a) || this.c != mediaVariations.c || !Objects.a(this.b, mediaVariations.b)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return Objects.a(this.f1775a, Boolean.valueOf(this.c), this.b, this.d);
    }

    public String toString() {
        return String.format(null, "%s-%b-%s-%s", this.f1775a, Boolean.valueOf(this.c), this.b, this.d);
    }

    public static final class Variant {

        /* renamed from: a  reason: collision with root package name */
        private final Uri f1777a;
        private final int b;
        private final int c;
        @Nullable
        private final ImageRequest.CacheChoice d;

        public Variant(Uri uri, int i, int i2, @Nullable ImageRequest.CacheChoice cacheChoice) {
            this.f1777a = uri;
            this.b = i;
            this.c = i2;
            this.d = cacheChoice;
        }

        public Uri a() {
            return this.f1777a;
        }

        public int b() {
            return this.b;
        }

        public int c() {
            return this.c;
        }

        @Nullable
        public ImageRequest.CacheChoice d() {
            return this.d;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof Variant)) {
                return false;
            }
            Variant variant = (Variant) obj;
            if (Objects.a(this.f1777a, variant.f1777a) && this.b == variant.b && this.c == variant.c && this.d == variant.d) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return (((this.f1777a.hashCode() * 31) + this.b) * 31) + this.c;
        }

        public String toString() {
            return String.format(null, "%dx%d %s %s", Integer.valueOf(this.b), Integer.valueOf(this.c), this.f1777a, this.d);
        }
    }

    public static Builder a(String str) {
        return new Builder(str);
    }

    public static class Builder {

        /* renamed from: a  reason: collision with root package name */
        private final String f1776a;
        private List<Variant> b;
        private boolean c;
        private String d;

        private Builder(String str) {
            this.c = false;
            this.d = "request";
            this.f1776a = str;
        }

        public Builder a(Uri uri, int i, int i2, ImageRequest.CacheChoice cacheChoice) {
            if (this.b == null) {
                this.b = new ArrayList();
            }
            this.b.add(new Variant(uri, i, i2, cacheChoice));
            return this;
        }

        public Builder a(boolean z) {
            this.c = z;
            return this;
        }

        public Builder a(String str) {
            this.d = str;
            return this;
        }

        public MediaVariations a() {
            return new MediaVariations(this);
        }
    }
}
