package com.facebook.react;

import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.ListIterator;
import javax.annotation.Nullable;

public class CompositeReactPackage extends ReactInstancePackage implements ViewManagerOnDemandReactPackage {

    /* renamed from: a  reason: collision with root package name */
    private final List<ReactPackage> f1788a;

    @Override // com.facebook.react.ReactInstancePackage, com.facebook.react.ReactPackage
    public List<NativeModule> a(ReactApplicationContext reactApplicationContext) {
        HashMap hashMap = new HashMap();
        for (ReactPackage reactPackage : this.f1788a) {
            for (NativeModule nativeModule : reactPackage.a(reactApplicationContext)) {
                hashMap.put(nativeModule.getName(), nativeModule);
            }
        }
        return new ArrayList(hashMap.values());
    }

    @Override // com.facebook.react.ReactInstancePackage
    public List<NativeModule> a(ReactApplicationContext reactApplicationContext, ReactInstanceManager reactInstanceManager) {
        List<NativeModule> list;
        HashMap hashMap = new HashMap();
        for (ReactPackage reactPackage : this.f1788a) {
            if (reactPackage instanceof ReactInstancePackage) {
                list = ((ReactInstancePackage) reactPackage).a(reactApplicationContext, reactInstanceManager);
            } else {
                list = reactPackage.a(reactApplicationContext);
            }
            for (NativeModule nativeModule : list) {
                hashMap.put(nativeModule.getName(), nativeModule);
            }
        }
        return new ArrayList(hashMap.values());
    }

    @Override // com.facebook.react.ReactPackage
    public List<ViewManager> b(ReactApplicationContext reactApplicationContext) {
        HashMap hashMap = new HashMap();
        for (ReactPackage reactPackage : this.f1788a) {
            for (ViewManager viewManager : reactPackage.b(reactApplicationContext)) {
                hashMap.put(viewManager.getName(), viewManager);
            }
        }
        return new ArrayList(hashMap.values());
    }

    @Override // com.facebook.react.ViewManagerOnDemandReactPackage
    public List<String> a(ReactApplicationContext reactApplicationContext, boolean z) {
        List<String> a2;
        HashSet hashSet = new HashSet();
        for (ReactPackage reactPackage : this.f1788a) {
            if ((reactPackage instanceof ViewManagerOnDemandReactPackage) && (a2 = ((ViewManagerOnDemandReactPackage) reactPackage).a(reactApplicationContext, z)) != null) {
                hashSet.addAll(a2);
            }
        }
        return new ArrayList(hashSet);
    }

    @Override // com.facebook.react.ViewManagerOnDemandReactPackage
    @Nullable
    public ViewManager a(ReactApplicationContext reactApplicationContext, String str, boolean z) {
        ViewManager a2;
        ListIterator<ReactPackage> listIterator = this.f1788a.listIterator(this.f1788a.size());
        while (listIterator.hasPrevious()) {
            ReactPackage previous = listIterator.previous();
            if ((previous instanceof ViewManagerOnDemandReactPackage) && (a2 = ((ViewManagerOnDemandReactPackage) previous).a(reactApplicationContext, str, z)) != null) {
                return a2;
            }
        }
        return null;
    }
}
