package com.facebook.react;

import com.facebook.react.bridge.ModuleSpec;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactMarker;
import com.facebook.react.bridge.ReactMarkerConstants;
import com.facebook.react.module.model.ReactModuleInfoProvider;
import com.facebook.react.modules.core.DefaultHardwareBackBtnHandler;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.react.modules.core.ExceptionsManagerModule;
import com.facebook.react.modules.core.HeadlessJsTaskSupportModule;
import com.facebook.react.modules.core.Timing;
import com.facebook.react.modules.debug.SourceCodeModule;
import com.facebook.react.modules.deviceinfo.DeviceInfoModule;
import com.facebook.react.modules.systeminfo.AndroidInfoModule;
import com.facebook.react.uimanager.UIImplementationProvider;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.ViewManager;
import com.facebook.systrace.Systrace;
import java.util.Arrays;
import java.util.List;
import javax.annotation.Nullable;
import javax.inject.Provider;

/* access modifiers changed from: package-private */
public class CoreModulesPackage extends LazyReactPackage implements ReactPackageLogger {

    /* renamed from: a  reason: collision with root package name */
    private final ReactInstanceManager f1789a;
    private final DefaultHardwareBackBtnHandler b;
    private final UIImplementationProvider c;
    private final boolean d;
    private final int e;

    CoreModulesPackage(ReactInstanceManager reactInstanceManager, DefaultHardwareBackBtnHandler defaultHardwareBackBtnHandler, UIImplementationProvider uIImplementationProvider, boolean z, int i) {
        this.f1789a = reactInstanceManager;
        this.b = defaultHardwareBackBtnHandler;
        this.c = uIImplementationProvider;
        this.d = z;
        this.e = i;
    }

    @Override // com.facebook.react.LazyReactPackage
    public List<ModuleSpec> c(final ReactApplicationContext reactApplicationContext) {
        return Arrays.asList(ModuleSpec.a(AndroidInfoModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass1 */

            /* renamed from: a */
            public NativeModule b() {
                return new AndroidInfoModule(reactApplicationContext);
            }
        }), ModuleSpec.a(DeviceEventManagerModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass2 */

            /* renamed from: a */
            public NativeModule b() {
                return new DeviceEventManagerModule(reactApplicationContext, CoreModulesPackage.this.b);
            }
        }), ModuleSpec.a(ExceptionsManagerModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass3 */

            /* renamed from: a */
            public NativeModule b() {
                return new ExceptionsManagerModule(CoreModulesPackage.this.f1789a.b());
            }
        }), ModuleSpec.a(HeadlessJsTaskSupportModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass4 */

            /* renamed from: a */
            public NativeModule b() {
                return new HeadlessJsTaskSupportModule(reactApplicationContext);
            }
        }), ModuleSpec.a(SourceCodeModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass5 */

            /* renamed from: a */
            public NativeModule b() {
                return new SourceCodeModule(reactApplicationContext);
            }
        }), ModuleSpec.a(Timing.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass6 */

            /* renamed from: a */
            public NativeModule b() {
                return new Timing(reactApplicationContext, CoreModulesPackage.this.f1789a.b());
            }
        }), ModuleSpec.a(UIManagerModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass7 */

            /* renamed from: a */
            public NativeModule b() {
                return CoreModulesPackage.this.e(reactApplicationContext);
            }
        }), ModuleSpec.a(DeviceInfoModule.class, new Provider<NativeModule>() {
            /* class com.facebook.react.CoreModulesPackage.AnonymousClass8 */

            /* renamed from: a */
            public NativeModule b() {
                return new DeviceInfoModule(reactApplicationContext);
            }
        }));
    }

    @Override // com.facebook.react.LazyReactPackage
    public ReactModuleInfoProvider a() {
        return LazyReactPackage.a(this);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private UIManagerModule e(ReactApplicationContext reactApplicationContext) {
        ReactMarker.logMarker(ReactMarkerConstants.CREATE_UI_MANAGER_MODULE_START);
        Systrace.a(0, "createUIManagerModule");
        try {
            if (this.d) {
                return new UIManagerModule(reactApplicationContext, new UIManagerModule.ViewManagerResolver() {
                    /* class com.facebook.react.CoreModulesPackage.AnonymousClass9 */

                    @Override // com.facebook.react.uimanager.UIManagerModule.ViewManagerResolver
                    @Nullable
                    public ViewManager a(String str) {
                        return CoreModulesPackage.this.f1789a.a(str);
                    }

                    @Override // com.facebook.react.uimanager.UIManagerModule.ViewManagerResolver
                    public List<String> a() {
                        return CoreModulesPackage.this.f1789a.k();
                    }
                }, this.c, this.e);
            }
            UIManagerModule uIManagerModule = new UIManagerModule(reactApplicationContext, this.f1789a.a(reactApplicationContext), this.c, this.e);
            Systrace.b(0);
            ReactMarker.logMarker(ReactMarkerConstants.CREATE_UI_MANAGER_MODULE_END);
            return uIManagerModule;
        } finally {
            Systrace.b(0);
            ReactMarker.logMarker(ReactMarkerConstants.CREATE_UI_MANAGER_MODULE_END);
        }
    }

    @Override // com.facebook.react.ReactPackageLogger
    public void b() {
        ReactMarker.logMarker(ReactMarkerConstants.PROCESS_CORE_REACT_PACKAGE_START);
    }

    @Override // com.facebook.react.ReactPackageLogger
    public void c() {
        ReactMarker.logMarker(ReactMarkerConstants.PROCESS_CORE_REACT_PACKAGE_END);
    }
}
