package com.facebook.react;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.JSBundleLoader;
import com.facebook.react.bridge.JSCJavaScriptExecutorFactory;
import com.facebook.react.bridge.JSIModulesProvider;
import com.facebook.react.bridge.JavaScriptExecutorFactory;
import com.facebook.react.bridge.NativeModuleCallExceptionHandler;
import com.facebook.react.bridge.NotThreadSafeBridgeIdleDebugListener;
import com.facebook.react.common.LifecycleState;
import com.facebook.react.devsupport.RedBoxHandler;
import com.facebook.react.devsupport.interfaces.DevBundleDownloadListener;
import com.facebook.react.modules.core.DefaultHardwareBackBtnHandler;
import com.facebook.react.modules.systeminfo.AndroidInfoHelpers;
import com.facebook.react.uimanager.UIImplementationProvider;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Nullable;

public class ReactInstanceManagerBuilder {

    /* renamed from: a  reason: collision with root package name */
    private final List<ReactPackage> f1826a = new ArrayList();
    @Nullable
    private String b;
    @Nullable
    private JSBundleLoader c;
    @Nullable
    private String d;
    @Nullable
    private NotThreadSafeBridgeIdleDebugListener e;
    @Nullable
    private Application f;
    private boolean g;
    @Nullable
    private LifecycleState h;
    @Nullable
    private UIImplementationProvider i;
    @Nullable
    private NativeModuleCallExceptionHandler j;
    @Nullable
    private Activity k;
    @Nullable
    private DefaultHardwareBackBtnHandler l;
    @Nullable
    private RedBoxHandler m;
    private boolean n;
    private boolean o;
    private boolean p;
    @Nullable
    private DevBundleDownloadListener q;
    @Nullable
    private JavaScriptExecutorFactory r;
    private int s = 1;
    private int t = -1;
    @Nullable
    private JSIModulesProvider u;

    ReactInstanceManagerBuilder() {
    }

    public ReactInstanceManagerBuilder a(@Nullable UIImplementationProvider uIImplementationProvider) {
        this.i = uIImplementationProvider;
        return this;
    }

    public ReactInstanceManagerBuilder a(@Nullable JSIModulesProvider jSIModulesProvider) {
        this.u = jSIModulesProvider;
        return this;
    }

    public ReactInstanceManagerBuilder a(@Nullable JavaScriptExecutorFactory javaScriptExecutorFactory) {
        this.r = javaScriptExecutorFactory;
        return this;
    }

    public ReactInstanceManagerBuilder a(String str) {
        String str2;
        if (str == null) {
            str2 = null;
        } else {
            str2 = "assets://" + str;
        }
        this.b = str2;
        this.c = null;
        return this;
    }

    public ReactInstanceManagerBuilder b(String str) {
        if (!str.startsWith("assets://")) {
            return a(JSBundleLoader.a(str));
        }
        this.b = str;
        this.c = null;
        return this;
    }

    public ReactInstanceManagerBuilder a(JSBundleLoader jSBundleLoader) {
        this.c = jSBundleLoader;
        this.b = null;
        return this;
    }

    public ReactInstanceManagerBuilder c(String str) {
        this.d = str;
        return this;
    }

    public ReactInstanceManagerBuilder a(ReactPackage reactPackage) {
        this.f1826a.add(reactPackage);
        return this;
    }

    public ReactInstanceManagerBuilder a(Application application) {
        this.f = application;
        return this;
    }

    public ReactInstanceManagerBuilder a(boolean z) {
        this.g = z;
        return this;
    }

    public ReactInstanceManagerBuilder a(LifecycleState lifecycleState) {
        this.h = lifecycleState;
        return this;
    }

    public ReactInstanceManagerBuilder a(@Nullable RedBoxHandler redBoxHandler) {
        this.m = redBoxHandler;
        return this;
    }

    public ReactInstanceManager a() {
        Assertions.a(this.f, "Application property has not been set with this builder");
        boolean z = true;
        Assertions.a((!this.g && this.b == null && this.c == null) ? false : true, "JS Bundle File or Asset URL has to be provided when dev support is disabled");
        if (this.d == null && this.b == null && this.c == null) {
            z = false;
        }
        Assertions.a(z, "Either MainModulePath or JS Bundle File needs to be provided");
        if (this.i == null) {
            this.i = new UIImplementationProvider();
        }
        return new ReactInstanceManager(this.f, this.k, this.l, this.r == null ? new JSCJavaScriptExecutorFactory(this.f.getPackageName(), AndroidInfoHelpers.c()) : this.r, (this.c != null || this.b == null) ? this.c : JSBundleLoader.a((Context) this.f, this.b, false), this.d, this.f1826a, this.g, this.e, (LifecycleState) Assertions.a(this.h, "Initial lifecycle state was not set"), this.i, this.j, this.m, this.n, this.o, this.p, this.q, this.s, this.t, this.u);
    }
}
