package com.facebook.react;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.CatalystInstance;
import com.facebook.react.bridge.GuardedRunnable;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.ReactMarker;
import com.facebook.react.bridge.ReactMarkerConstants;
import com.facebook.react.bridge.UiThreadUtil;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.bridge.WritableNativeMap;
import com.facebook.react.modules.appregistry.AppRegistry;
import com.facebook.react.modules.core.DeviceEventManagerModule;
import com.facebook.react.modules.deviceinfo.DeviceInfoModule;
import com.facebook.react.uimanager.DisplayMetricsHolder;
import com.facebook.react.uimanager.IllegalViewOperationException;
import com.facebook.react.uimanager.JSTouchDispatcher;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.RootView;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.common.MeasureSpecProvider;
import com.facebook.react.uimanager.common.SizeMonitoringFrameLayout;
import com.facebook.systrace.Systrace;
import javax.annotation.Nullable;

public class ReactRootView extends SizeMonitoringFrameLayout implements RootView, MeasureSpecProvider {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private ReactInstanceManager f1828a;
    @Nullable
    private String b;
    @Nullable
    private Bundle c;
    @Nullable
    private CustomGlobalLayoutListener d;
    @Nullable
    private ReactRootViewEventListener e;
    private int f;
    private boolean g;
    private boolean h;
    private final JSTouchDispatcher i = new JSTouchDispatcher(this);
    private final ReactAndroidHWInputDeviceHelper j = new ReactAndroidHWInputDeviceHelper(this);
    private boolean k = false;
    private int l = View.MeasureSpec.makeMeasureSpec(0, 0);
    private int m = View.MeasureSpec.makeMeasureSpec(0, 0);
    @Nullable
    private Runnable n;
    private boolean o = false;

    public interface ReactRootViewEventListener {
        void a(ReactRootView reactRootView);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
    }

    public ReactRootView(Context context) {
        super(context);
    }

    public ReactRootView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public ReactRootView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0049 A[Catch:{ all -> 0x0096 }] */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0058 A[Catch:{ all -> 0x0096 }, LOOP:1: B:18:0x0052->B:20:0x0058, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0080 A[Catch:{ all -> 0x0096 }] */
    public void onMeasure(int i2, int i3) {
        int i4;
        int mode;
        int i5;
        Systrace.a(0, "ReactRootView.onMeasure");
        try {
            this.l = i2;
            this.m = i3;
            int mode2 = View.MeasureSpec.getMode(i2);
            if (mode2 != Integer.MIN_VALUE) {
                if (mode2 != 0) {
                    i4 = View.MeasureSpec.getSize(i2);
                    mode = View.MeasureSpec.getMode(i3);
                    if (mode != Integer.MIN_VALUE) {
                        if (mode != 0) {
                            i5 = View.MeasureSpec.getSize(i3);
                            setMeasuredDimension(i4, i5);
                            this.k = true;
                            if (this.f1828a != null || this.g) {
                                a(this.l, this.m);
                            } else {
                                g();
                            }
                            e();
                        }
                    }
                    i5 = 0;
                    for (int i6 = 0; i6 < getChildCount(); i6++) {
                        View childAt = getChildAt(i6);
                        i5 = Math.max(i5, childAt.getTop() + childAt.getMeasuredHeight() + childAt.getPaddingTop() + childAt.getPaddingBottom());
                    }
                    setMeasuredDimension(i4, i5);
                    this.k = true;
                    if (this.f1828a != null) {
                    }
                    a(this.l, this.m);
                    e();
                }
            }
            int i7 = 0;
            for (int i8 = 0; i8 < getChildCount(); i8++) {
                View childAt2 = getChildAt(i8);
                i7 = Math.max(i7, childAt2.getLeft() + childAt2.getMeasuredWidth() + childAt2.getPaddingLeft() + childAt2.getPaddingRight());
            }
            i4 = i7;
            mode = View.MeasureSpec.getMode(i3);
            if (mode != Integer.MIN_VALUE) {
            }
            i5 = 0;
            while (i6 < getChildCount()) {
            }
            setMeasuredDimension(i4, i5);
            this.k = true;
            if (this.f1828a != null) {
            }
            a(this.l, this.m);
            e();
        } finally {
            Systrace.b(0);
        }
    }

    @Override // com.facebook.react.uimanager.common.MeasureSpecProvider
    public int getWidthMeasureSpec() {
        if (this.k || getLayoutParams() == null || getLayoutParams().width <= 0) {
            return this.l;
        }
        return View.MeasureSpec.makeMeasureSpec(getLayoutParams().width, 1073741824);
    }

    @Override // com.facebook.react.uimanager.common.MeasureSpecProvider
    public int getHeightMeasureSpec() {
        if (this.k || getLayoutParams() == null || getLayoutParams().height <= 0) {
            return this.m;
        }
        return View.MeasureSpec.makeMeasureSpec(getLayoutParams().height, 1073741824);
    }

    @Override // com.facebook.react.uimanager.RootView
    public void a(MotionEvent motionEvent) {
        if (this.f1828a == null || !this.g || this.f1828a.l() == null) {
            FLog.c("ReactNative", "Unable to dispatch touch to JS as the catalyst instance has not been attached");
            return;
        }
        this.i.a(motionEvent, ((UIManagerModule) this.f1828a.l().b(UIManagerModule.class)).getEventDispatcher());
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        b(motionEvent);
        return super.onInterceptTouchEvent(motionEvent);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        b(motionEvent);
        super.onTouchEvent(motionEvent);
        return true;
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        try {
            super.dispatchDraw(canvas);
        } catch (StackOverflowError e2) {
            a(e2);
        }
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        if (this.f1828a == null || !this.g || this.f1828a.l() == null) {
            FLog.c("ReactNative", "Unable to handle key event as the catalyst instance has not been attached");
            return super.dispatchKeyEvent(keyEvent);
        }
        this.j.a(keyEvent);
        return super.dispatchKeyEvent(keyEvent);
    }

    /* access modifiers changed from: protected */
    public void onFocusChanged(boolean z, int i2, Rect rect) {
        if (this.f1828a == null || !this.g || this.f1828a.l() == null) {
            FLog.c("ReactNative", "Unable to handle focus changed event as the catalyst instance has not been attached");
            super.onFocusChanged(z, i2, rect);
            return;
        }
        this.j.a();
        super.onFocusChanged(z, i2, rect);
    }

    public void requestChildFocus(View view, View view2) {
        if (this.f1828a == null || !this.g || this.f1828a.l() == null) {
            FLog.c("ReactNative", "Unable to handle child focus changed event as the catalyst instance has not been attached");
            super.requestChildFocus(view, view2);
            return;
        }
        this.j.a(view2);
        super.requestChildFocus(view, view2);
    }

    private void b(MotionEvent motionEvent) {
        if (this.f1828a == null || !this.g || this.f1828a.l() == null) {
            FLog.c("ReactNative", "Unable to dispatch touch to JS as the catalyst instance has not been attached");
            return;
        }
        this.i.b(motionEvent, ((UIManagerModule) this.f1828a.l().b(UIManagerModule.class)).getEventDispatcher());
    }

    public void requestDisallowInterceptTouchEvent(boolean z) {
        if (getParent() != null) {
            getParent().requestDisallowInterceptTouchEvent(z);
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.g) {
            getViewTreeObserver().addOnGlobalLayoutListener(getCustomGlobalLayoutListener());
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (!this.g) {
            return;
        }
        if (Build.VERSION.SDK_INT >= 16) {
            getViewTreeObserver().removeOnGlobalLayoutListener(getCustomGlobalLayoutListener());
        } else {
            getViewTreeObserver().removeGlobalOnLayoutListener(getCustomGlobalLayoutListener());
        }
    }

    public void onViewAdded(View view) {
        super.onViewAdded(view);
        if (this.h) {
            this.h = false;
            if (this.b != null) {
                ReactMarker.logMarker(ReactMarkerConstants.CONTENT_APPEARED, this.b, this.f);
            }
        }
    }

    public void a(ReactInstanceManager reactInstanceManager, String str, @Nullable Bundle bundle) {
        Systrace.a(0, "startReactApplication");
        try {
            UiThreadUtil.b();
            Assertions.a(this.f1828a == null, "This root view has already been attached to a catalyst instance manager");
            this.f1828a = reactInstanceManager;
            this.b = str;
            this.c = bundle;
            if (!this.f1828a.e()) {
                this.f1828a.c();
            }
            g();
        } finally {
            Systrace.b(0);
        }
    }

    private void e() {
        if (this.f1828a == null) {
            FLog.c("ReactNative", "Unable to enable layout calculation for uninitialized ReactInstanceManager");
            return;
        }
        ReactContext l2 = this.f1828a.l();
        if (l2 != null) {
            ((UIManagerModule) l2.a().getNativeModule(UIManagerModule.class)).getUIImplementation().g(getRootViewTag());
        }
    }

    private void a(final int i2, final int i3) {
        if (this.f1828a == null) {
            FLog.c("ReactNative", "Unable to update root layout specs for uninitialized ReactInstanceManager");
            return;
        }
        final ReactContext l2 = this.f1828a.l();
        if (l2 != null) {
            l2.b(new GuardedRunnable(l2) {
                /* class com.facebook.react.ReactRootView.AnonymousClass1 */

                @Override // com.facebook.react.bridge.GuardedRunnable
                public void a() {
                    ((UIManagerModule) l2.a().getNativeModule(UIManagerModule.class)).updateRootLayoutSpecs(ReactRootView.this.getRootViewTag(), i2, i3);
                }
            });
        }
    }

    public void a() {
        if (this.f1828a != null && this.g) {
            this.f1828a.b(this);
            this.g = false;
        }
        this.h = false;
    }

    public void b() {
        if (this.e != null) {
            this.e.a(this);
        }
    }

    public void setEventListener(ReactRootViewEventListener reactRootViewEventListener) {
        this.e = reactRootViewEventListener;
    }

    /* access modifiers changed from: package-private */
    public String getJSModuleName() {
        return (String) Assertions.b(this.b);
    }

    @Nullable
    public Bundle getAppProperties() {
        return this.c;
    }

    public void setAppProperties(@Nullable Bundle bundle) {
        UiThreadUtil.b();
        this.c = bundle;
        if (getRootViewTag() != 0) {
            c();
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        if (this.n == null) {
            f();
        } else {
            this.n.run();
        }
    }

    public void setJSEntryPoint(Runnable runnable) {
        this.n = runnable;
    }

    private void f() {
        Systrace.a(0, "ReactRootView.runApplication");
        try {
            if (this.f1828a != null) {
                if (this.g) {
                    ReactContext l2 = this.f1828a.l();
                    if (l2 == null) {
                        Systrace.b(0);
                        return;
                    }
                    CatalystInstance a2 = l2.a();
                    WritableNativeMap writableNativeMap = new WritableNativeMap();
                    writableNativeMap.putDouble("rootTag", (double) getRootViewTag());
                    Bundle appProperties = getAppProperties();
                    if (appProperties != null) {
                        writableNativeMap.a("initialProps", Arguments.b(appProperties));
                    }
                    this.h = true;
                    ((AppRegistry) a2.getJSModule(AppRegistry.class)).runApplication(getJSModuleName(), writableNativeMap);
                    Systrace.b(0);
                }
            }
        } finally {
            Systrace.b(0);
        }
    }

    private CustomGlobalLayoutListener getCustomGlobalLayoutListener() {
        if (this.d == null) {
            this.d = new CustomGlobalLayoutListener();
        }
        return this.d;
    }

    private void g() {
        Systrace.a(0, "attachToReactInstanceManager");
        try {
            if (!this.g) {
                this.g = true;
                ((ReactInstanceManager) Assertions.b(this.f1828a)).a(this);
                getViewTreeObserver().addOnGlobalLayoutListener(getCustomGlobalLayoutListener());
                Systrace.b(0);
            }
        } finally {
            Systrace.b(0);
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.lang.Object
    public void finalize() throws Throwable {
        super.finalize();
        Assertions.a(!this.g, "The application this ReactRootView was rendering was not unmounted before the ReactRootView was garbage collected. This usually means that your application is leaking large amounts of memory. To solve this, make sure to call ReactRootView#unmountReactApplication in the onDestroy() of your hosting Activity or in the onDestroyView() of your hosting Fragment.");
    }

    public int getRootViewTag() {
        return this.f;
    }

    public void setRootViewTag(int i2) {
        this.f = i2;
    }

    @Override // com.facebook.react.uimanager.RootView
    public void a(Throwable th) {
        if (this.f1828a == null || this.f1828a.l() == null) {
            throw new RuntimeException(th);
        }
        this.f1828a.l().a(th instanceof StackOverflowError ? new IllegalViewOperationException("StackOverflowException", this, th) : th instanceof Exception ? (Exception) th : new RuntimeException(th));
    }

    public void setIsFabric(boolean z) {
        this.o = z;
    }

    public boolean d() {
        return this.o;
    }

    @Nullable
    public ReactInstanceManager getReactInstanceManager() {
        return this.f1828a;
    }

    /* access modifiers changed from: package-private */
    public void a(String str, @Nullable WritableMap writableMap) {
        if (this.f1828a != null) {
            ((DeviceEventManagerModule.RCTDeviceEventEmitter) this.f1828a.l().a(DeviceEventManagerModule.RCTDeviceEventEmitter.class)).emit(str, writableMap);
        }
    }

    /* access modifiers changed from: private */
    public class CustomGlobalLayoutListener implements ViewTreeObserver.OnGlobalLayoutListener {
        private final Rect b;
        private final int c;
        private int d = 0;
        private int e = 0;
        private DisplayMetrics f = new DisplayMetrics();
        private DisplayMetrics g = new DisplayMetrics();

        CustomGlobalLayoutListener() {
            DisplayMetricsHolder.a(ReactRootView.this.getContext().getApplicationContext());
            this.b = new Rect();
            this.c = (int) PixelUtil.a(60.0f);
        }

        public void onGlobalLayout() {
            if (ReactRootView.this.f1828a != null && ReactRootView.this.g && ReactRootView.this.f1828a.l() != null) {
                a();
                b();
                c();
            }
        }

        private void a() {
            ReactRootView.this.getRootView().getWindowVisibleDisplayFrame(this.b);
            int i = DisplayMetricsHolder.a().heightPixels - this.b.bottom;
            if (this.d != i && i > this.c) {
                this.d = i;
                WritableMap b2 = Arguments.b();
                WritableMap b3 = Arguments.b();
                b3.putDouble("screenY", (double) PixelUtil.c((float) this.b.bottom));
                b3.putDouble("screenX", (double) PixelUtil.c((float) this.b.left));
                b3.putDouble("width", (double) PixelUtil.c((float) this.b.width()));
                b3.putDouble("height", (double) PixelUtil.c((float) this.d));
                b2.a("endCoordinates", b3);
                ReactRootView.this.a("keyboardDidShow", b2);
            } else if (this.d != 0 && i <= this.c) {
                this.d = 0;
                ReactRootView.this.a("keyboardDidHide", (WritableMap) null);
            }
        }

        private void b() {
            int rotation = ((WindowManager) ReactRootView.this.getContext().getSystemService("window")).getDefaultDisplay().getRotation();
            if (this.e != rotation) {
                this.e = rotation;
                a(rotation);
            }
        }

        private void c() {
            DisplayMetricsHolder.b(ReactRootView.this.getContext());
            if (!a(this.f, DisplayMetricsHolder.a()) || !a(this.g, DisplayMetricsHolder.b())) {
                this.f.setTo(DisplayMetricsHolder.a());
                this.g.setTo(DisplayMetricsHolder.b());
                d();
            }
        }

        private boolean a(DisplayMetrics displayMetrics, DisplayMetrics displayMetrics2) {
            if (Build.VERSION.SDK_INT >= 17) {
                return displayMetrics.equals(displayMetrics2);
            }
            return displayMetrics.widthPixels == displayMetrics2.widthPixels && displayMetrics.heightPixels == displayMetrics2.heightPixels && displayMetrics.density == displayMetrics2.density && displayMetrics.densityDpi == displayMetrics2.densityDpi && displayMetrics.scaledDensity == displayMetrics2.scaledDensity && displayMetrics.xdpi == displayMetrics2.xdpi && displayMetrics.ydpi == displayMetrics2.ydpi;
        }

        private void a(int i) {
            String str;
            double d2;
            double d3;
            boolean z = true;
            switch (i) {
                case 0:
                    str = "portrait-primary";
                    d3 = 0.0d;
                    d2 = d3;
                    z = false;
                    break;
                case 1:
                    str = "landscape-primary";
                    d2 = -90.0d;
                    break;
                case 2:
                    str = "portrait-secondary";
                    d3 = 180.0d;
                    d2 = d3;
                    z = false;
                    break;
                case 3:
                    str = "landscape-secondary";
                    d2 = 90.0d;
                    break;
                default:
                    return;
            }
            WritableMap b2 = Arguments.b();
            b2.putString("name", str);
            b2.putDouble("rotationDegrees", d2);
            b2.putBoolean("isLandscape", z);
            ReactRootView.this.a("namedOrientationDidChange", b2);
        }

        private void d() {
            ((DeviceInfoModule) ReactRootView.this.f1828a.l().b(DeviceInfoModule.class)).emitUpdateDimensionsEvent();
        }
    }
}
