package com.facebook.react.animated;

import com.facebook.react.bridge.JavaOnlyArray;
import com.facebook.react.bridge.JavaOnlyMap;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public class TransformAnimatedNode extends AnimatedNode {
    private final NativeAnimatedNodesManager e;
    private final List<TransformConfig> f;

    /* access modifiers changed from: private */
    public class TransformConfig {
        public String c;

        private TransformConfig() {
        }
    }

    /* access modifiers changed from: private */
    public class AnimatedTransformConfig extends TransformConfig {

        /* renamed from: a  reason: collision with root package name */
        public int f1857a;

        private AnimatedTransformConfig() {
            super();
        }
    }

    /* access modifiers changed from: private */
    public class StaticTransformConfig extends TransformConfig {

        /* renamed from: a  reason: collision with root package name */
        public double f1858a;

        private StaticTransformConfig() {
            super();
        }
    }

    TransformAnimatedNode(ReadableMap readableMap, NativeAnimatedNodesManager nativeAnimatedNodesManager) {
        ReadableArray k = readableMap.k("transforms");
        this.f = new ArrayList(k.a());
        for (int i = 0; i < k.a(); i++) {
            ReadableMap i2 = k.i(i);
            String f2 = i2.f("property");
            if (i2.f("type").equals("animated")) {
                AnimatedTransformConfig animatedTransformConfig = new AnimatedTransformConfig();
                animatedTransformConfig.c = f2;
                animatedTransformConfig.f1857a = i2.e("nodeTag");
                this.f.add(animatedTransformConfig);
            } else {
                StaticTransformConfig staticTransformConfig = new StaticTransformConfig();
                staticTransformConfig.c = f2;
                staticTransformConfig.f1858a = i2.d("value");
                this.f.add(staticTransformConfig);
            }
        }
        this.e = nativeAnimatedNodesManager;
    }

    public void a(JavaOnlyMap javaOnlyMap) {
        double d;
        ArrayList arrayList = new ArrayList(this.f.size());
        for (TransformConfig transformConfig : this.f) {
            if (transformConfig instanceof AnimatedTransformConfig) {
                AnimatedNode a2 = this.e.a(((AnimatedTransformConfig) transformConfig).f1857a);
                if (a2 == null) {
                    throw new IllegalArgumentException("Mapped style node does not exists");
                } else if (a2 instanceof ValueAnimatedNode) {
                    d = ((ValueAnimatedNode) a2).b();
                } else {
                    throw new IllegalArgumentException("Unsupported type of node used as a transform child node " + a2.getClass());
                }
            } else {
                d = ((StaticTransformConfig) transformConfig).f1858a;
            }
            arrayList.add(JavaOnlyMap.a(transformConfig.c, Double.valueOf(d)));
        }
        javaOnlyMap.a("transform", JavaOnlyArray.a(arrayList));
    }
}
