package com.facebook.react.bridge;

import com.facebook.common.logging.FLog;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Stack;

public final class FallbackJSBundleLoader extends JSBundleLoader {

    /* renamed from: a  reason: collision with root package name */
    private Stack<JSBundleLoader> f1879a;
    private final ArrayList<Exception> b;

    @Override // com.facebook.react.bridge.JSBundleLoader
    public String a(CatalystInstanceImpl catalystInstanceImpl) {
        while (true) {
            try {
                return a().a(catalystInstanceImpl);
            } catch (Exception e) {
                if (e.getMessage() == null || !e.getMessage().startsWith("facebook::react::Recoverable")) {
                    throw e;
                }
                this.f1879a.pop();
                this.b.add(e);
                FLog.d("FallbackJSBundleLoader", "Falling back from recoverable error", e);
            }
        }
        throw e;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:13:0x001f */
    private JSBundleLoader a() {
        if (!this.f1879a.empty()) {
            return this.f1879a.peek();
        }
        RuntimeException runtimeException = new RuntimeException("No fallback options available");
        Iterator<Exception> it = this.b.iterator();
        Throwable th = runtimeException;
        while (it.hasNext()) {
            th.initCause(it.next());
            th = th;
            while (th.getCause() != null) {
                th = th.getCause();
            }
        }
        throw runtimeException;
    }
}
