package com.facebook.react.bridge;

import com.facebook.common.logging.FLog;
import com.facebook.proguard.annotations.DoNotStrip;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@DoNotStrip
public class Inspector {

    @DoNotStrip
    public static class LocalConnection {
        public native void disconnect();

        public native void sendMessage(String str);
    }

    @DoNotStrip
    public interface RemoteConnection {
    }

    private native LocalConnection connectNative(int i, RemoteConnection remoteConnection);

    private native Page[] getPagesNative();

    private static native Inspector instance();

    static {
        ReactBridge.a();
    }

    public static List<Page> a() {
        try {
            return Arrays.asList(instance().getPagesNative());
        } catch (UnsatisfiedLinkError e) {
            FLog.c("ReactNative", "Inspector doesn't work in open source yet", e);
            return Collections.emptyList();
        }
    }

    public static LocalConnection a(int i, RemoteConnection remoteConnection) {
        try {
            return instance().connectNative(i, remoteConnection);
        } catch (UnsatisfiedLinkError e) {
            FLog.c("ReactNative", "Inspector doesn't work in open source yet", e);
            throw new RuntimeException(e);
        }
    }

    @DoNotStrip
    public static class Page {

        /* renamed from: a  reason: collision with root package name */
        private final int f1883a;
        private final String b;
        private final String c;

        public int a() {
            return this.f1883a;
        }

        public String b() {
            return this.b;
        }

        public String c() {
            return this.c;
        }

        public String toString() {
            return "Page{mId=" + this.f1883a + ", mTitle='" + this.b + '\'' + '}';
        }

        @DoNotStrip
        private Page(int i, String str, String str2) {
            this.f1883a = i;
            this.b = str;
            this.c = str2;
        }
    }
}
