package com.facebook.react.bridge;

import com.facebook.debug.holder.PrinterHolder;
import com.facebook.debug.tags.ReactDebugOverlayTags;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.NativeModule;
import com.facebook.systrace.SystraceMessage;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import javax.annotation.Nullable;

public class JavaMethodWrapper implements NativeModule.NativeMethod {

    /* renamed from: a  reason: collision with root package name */
    private static final ArgumentExtractor<Boolean> f1890a = new ArgumentExtractor<Boolean>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass1 */

        /* renamed from: a */
        public Boolean b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return Boolean.valueOf(readableNativeArray.f(i));
        }
    };
    private static final ArgumentExtractor<Double> b = new ArgumentExtractor<Double>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass2 */

        /* renamed from: a */
        public Double b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return Double.valueOf(readableNativeArray.b(i));
        }
    };
    private static final ArgumentExtractor<Float> c = new ArgumentExtractor<Float>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass3 */

        /* renamed from: a */
        public Float b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return Float.valueOf((float) readableNativeArray.b(i));
        }
    };
    private static final ArgumentExtractor<Integer> d = new ArgumentExtractor<Integer>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass4 */

        /* renamed from: a */
        public Integer b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return Integer.valueOf((int) readableNativeArray.b(i));
        }
    };
    private static final ArgumentExtractor<String> e = new ArgumentExtractor<String>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass5 */

        /* renamed from: a */
        public String b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return readableNativeArray.d(i);
        }
    };
    private static final ArgumentExtractor<ReadableNativeArray> f = new ArgumentExtractor<ReadableNativeArray>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass6 */

        /* renamed from: a */
        public ReadableNativeArray b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return readableNativeArray.j(i);
        }
    };
    private static final ArgumentExtractor<Dynamic> g = new ArgumentExtractor<Dynamic>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass7 */

        /* renamed from: a */
        public Dynamic b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return DynamicFromArray.a(readableNativeArray, i);
        }
    };
    private static final ArgumentExtractor<ReadableMap> h = new ArgumentExtractor<ReadableMap>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass8 */

        /* renamed from: a */
        public ReadableMap b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return readableNativeArray.i(i);
        }
    };
    private static final ArgumentExtractor<Callback> i = new ArgumentExtractor<Callback>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass9 */

        @Nullable
        /* renamed from: a */
        public Callback b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            if (readableNativeArray.a(i)) {
                return null;
            }
            return new CallbackImpl(jSInstance, (int) readableNativeArray.b(i));
        }
    };
    private static final ArgumentExtractor<Promise> j = new ArgumentExtractor<Promise>() {
        /* class com.facebook.react.bridge.JavaMethodWrapper.AnonymousClass10 */

        @Override // com.facebook.react.bridge.JavaMethodWrapper.ArgumentExtractor
        public int a() {
            return 2;
        }

        /* renamed from: a */
        public Promise b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i) {
            return new PromiseImpl((Callback) JavaMethodWrapper.i.b(jSInstance, readableNativeArray, i), (Callback) JavaMethodWrapper.i.b(jSInstance, readableNativeArray, i + 1));
        }
    };
    private static final boolean k = PrinterHolder.a().a(ReactDebugOverlayTags.d);
    private final Method l;
    private final Class[] m;
    private final int n;
    private final JavaModuleWrapper o;
    private String p = BaseJavaModule.METHOD_TYPE_ASYNC;
    private boolean q = false;
    @Nullable
    private ArgumentExtractor[] r;
    @Nullable
    private String s;
    @Nullable
    private Object[] t;
    @Nullable
    private int u;

    /* access modifiers changed from: private */
    public static abstract class ArgumentExtractor<T> {
        public int a() {
            return 1;
        }

        @Nullable
        public abstract T b(JSInstance jSInstance, ReadableNativeArray readableNativeArray, int i);

        private ArgumentExtractor() {
        }
    }

    private static char a(Class cls) {
        char c2 = c(cls);
        if (c2 != 0) {
            return c2;
        }
        if (cls == Callback.class) {
            return 'X';
        }
        if (cls == Promise.class) {
            return 'P';
        }
        if (cls == ReadableMap.class) {
            return 'M';
        }
        if (cls == ReadableArray.class) {
            return 'A';
        }
        if (cls == Dynamic.class) {
            return 'Y';
        }
        throw new RuntimeException("Got unknown param class: " + cls.getSimpleName());
    }

    private static char b(Class cls) {
        char c2 = c(cls);
        if (c2 != 0) {
            return c2;
        }
        if (cls == Void.TYPE) {
            return 'v';
        }
        if (cls == WritableMap.class) {
            return 'M';
        }
        if (cls == WritableArray.class) {
            return 'A';
        }
        throw new RuntimeException("Got unknown return class: " + cls.getSimpleName());
    }

    private static char c(Class cls) {
        if (cls == Boolean.TYPE) {
            return 'z';
        }
        if (cls == Boolean.class) {
            return 'Z';
        }
        if (cls == Integer.TYPE) {
            return 'i';
        }
        if (cls == Integer.class) {
            return 'I';
        }
        if (cls == Double.TYPE) {
            return 'd';
        }
        if (cls == Double.class) {
            return 'D';
        }
        if (cls == Float.TYPE) {
            return 'f';
        }
        if (cls == Float.class) {
            return 'F';
        }
        return cls == String.class ? 'S' : 0;
    }

    public JavaMethodWrapper(JavaModuleWrapper javaModuleWrapper, Method method, boolean z) {
        this.o = javaModuleWrapper;
        this.l = method;
        this.l.setAccessible(true);
        this.m = this.l.getParameterTypes();
        this.n = this.m.length;
        if (z) {
            this.p = BaseJavaModule.METHOD_TYPE_SYNC;
        } else if (this.n > 0 && this.m[this.n - 1] == Promise.class) {
            this.p = BaseJavaModule.METHOD_TYPE_PROMISE;
        }
    }

    private void d() {
        if (!this.q) {
            SystraceMessage.Builder a2 = SystraceMessage.a(0, "processArguments");
            a2.a("method", this.o.getName() + "." + this.l.getName()).a();
            try {
                this.q = true;
                this.r = a(this.m);
                this.s = a(this.l, this.m, this.p.equals(BaseJavaModule.METHOD_TYPE_SYNC));
                this.t = new Object[this.m.length];
                this.u = e();
            } finally {
                SystraceMessage.a(0).a();
            }
        }
    }

    public String a() {
        if (!this.q) {
            d();
        }
        return (String) Assertions.b(this.s);
    }

    private String a(Method method, Class[] clsArr, boolean z) {
        StringBuilder sb = new StringBuilder(clsArr.length + 2);
        if (z) {
            sb.append(b(method.getReturnType()));
            sb.append('.');
        } else {
            sb.append("v.");
        }
        for (int i2 = 0; i2 < clsArr.length; i2++) {
            Class cls = clsArr[i2];
            if (cls == Promise.class) {
                boolean z2 = true;
                if (i2 != clsArr.length - 1) {
                    z2 = false;
                }
                Assertions.a(z2, "Promise must be used as last parameter only");
            }
            sb.append(a(cls));
        }
        return sb.toString();
    }

    private ArgumentExtractor[] a(Class[] clsArr) {
        ArgumentExtractor[] argumentExtractorArr = new ArgumentExtractor[clsArr.length];
        for (int i2 = 0; i2 < clsArr.length; i2 += argumentExtractorArr[i2].a()) {
            Class cls = clsArr[i2];
            if (cls == Boolean.class || cls == Boolean.TYPE) {
                argumentExtractorArr[i2] = f1890a;
            } else if (cls == Integer.class || cls == Integer.TYPE) {
                argumentExtractorArr[i2] = d;
            } else if (cls == Double.class || cls == Double.TYPE) {
                argumentExtractorArr[i2] = b;
            } else if (cls == Float.class || cls == Float.TYPE) {
                argumentExtractorArr[i2] = c;
            } else if (cls == String.class) {
                argumentExtractorArr[i2] = e;
            } else if (cls == Callback.class) {
                argumentExtractorArr[i2] = i;
            } else if (cls == Promise.class) {
                argumentExtractorArr[i2] = j;
                boolean z = true;
                if (i2 != clsArr.length - 1) {
                    z = false;
                }
                Assertions.a(z, "Promise must be used as last parameter only");
            } else if (cls == ReadableMap.class) {
                argumentExtractorArr[i2] = h;
            } else if (cls == ReadableArray.class) {
                argumentExtractorArr[i2] = f;
            } else if (cls == Dynamic.class) {
                argumentExtractorArr[i2] = g;
            } else {
                throw new RuntimeException("Got unknown argument class: " + cls.getSimpleName());
            }
        }
        return argumentExtractorArr;
    }

    private int e() {
        int i2 = 0;
        for (ArgumentExtractor argumentExtractor : (ArgumentExtractor[]) Assertions.b(this.r)) {
            i2 += argumentExtractor.a();
        }
        return i2;
    }

    private String a(int i2, int i3) {
        if (i3 > 1) {
            return "" + i2 + "-" + ((i2 + i3) - 1);
        }
        return "" + i2;
    }

    @Override // com.facebook.react.bridge.NativeModule.NativeMethod
    public void a(JSInstance jSInstance, ReadableNativeArray readableNativeArray) {
        String str = this.o.getName() + "." + this.l.getName();
        SystraceMessage.a(0, "callJavaModuleMethod").a("method", str).a();
        if (k) {
            PrinterHolder.a().a(ReactDebugOverlayTags.d, "JS->Java: %s.%s()", this.o.getName(), this.l.getName());
        }
        try {
            if (!this.q) {
                d();
            }
            if (this.t == null || this.r == null) {
                throw new Error("processArguments failed");
            } else if (this.u == readableNativeArray.a()) {
                int i2 = 0;
                for (int i3 = 0; i3 < this.r.length; i3++) {
                    try {
                        this.t[i3] = this.r[i3].b(jSInstance, readableNativeArray, i2);
                        i2 += this.r[i3].a();
                    } catch (UnexpectedNativeTypeException e2) {
                        throw new NativeArgumentsParseException(e2.getMessage() + " (constructing arguments for " + str + " at argument index " + a(i2, this.r[i3].a()) + ")", e2);
                    }
                }
                try {
                    this.l.invoke(this.o.getModule(), this.t);
                } catch (IllegalArgumentException e3) {
                    throw new RuntimeException("Could not invoke " + str, e3);
                } catch (IllegalAccessException e4) {
                    throw new RuntimeException("Could not invoke " + str, e4);
                } catch (InvocationTargetException e5) {
                    if (e5.getCause() instanceof RuntimeException) {
                        throw ((RuntimeException) e5.getCause());
                    }
                    throw new RuntimeException("Could not invoke " + str, e5);
                }
            } else {
                throw new NativeArgumentsParseException(str + " got " + readableNativeArray.a() + " arguments, expected " + this.u);
            }
        } finally {
            SystraceMessage.a(0).a();
        }
    }

    public String b() {
        return this.p;
    }
}
