package com.facebook.react.bridge;

import java.util.ArrayList;
import java.util.List;

public class JavaOnlyArray implements ReadableArray, WritableArray {

    /* renamed from: a  reason: collision with root package name */
    private final List f1893a;

    public static JavaOnlyArray a(List list) {
        return new JavaOnlyArray(list);
    }

    public static JavaOnlyArray a(ReadableArray readableArray) {
        JavaOnlyArray javaOnlyArray = new JavaOnlyArray();
        int a2 = readableArray.a();
        for (int i = 0; i < a2; i++) {
            switch (readableArray.h(i)) {
                case Null:
                    javaOnlyArray.pushNull();
                    break;
                case Boolean:
                    javaOnlyArray.pushBoolean(readableArray.f(i));
                    break;
                case Number:
                    javaOnlyArray.pushDouble(readableArray.b(i));
                    break;
                case String:
                    javaOnlyArray.pushString(readableArray.d(i));
                    break;
                case Map:
                    javaOnlyArray.a(JavaOnlyMap.a(readableArray.i(i)));
                    break;
                case Array:
                    javaOnlyArray.a((WritableArray) a(readableArray.j(i)));
                    break;
            }
        }
        return javaOnlyArray;
    }

    private JavaOnlyArray(List list) {
        this.f1893a = new ArrayList(list);
    }

    public JavaOnlyArray() {
        this.f1893a = new ArrayList();
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public int a() {
        return this.f1893a.size();
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public boolean a(int i) {
        return this.f1893a.get(i) == null;
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public double b(int i) {
        return ((Number) this.f1893a.get(i)).doubleValue();
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public int c(int i) {
        return ((Number) this.f1893a.get(i)).intValue();
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public String d(int i) {
        return (String) this.f1893a.get(i);
    }

    /* renamed from: e */
    public JavaOnlyArray j(int i) {
        return (JavaOnlyArray) this.f1893a.get(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public boolean f(int i) {
        return ((Boolean) this.f1893a.get(i)).booleanValue();
    }

    /* renamed from: g */
    public JavaOnlyMap i(int i) {
        return (JavaOnlyMap) this.f1893a.get(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public ReadableType h(int i) {
        Object obj = this.f1893a.get(i);
        if (obj == null) {
            return ReadableType.Null;
        }
        if (obj instanceof Boolean) {
            return ReadableType.Boolean;
        }
        if ((obj instanceof Double) || (obj instanceof Float) || (obj instanceof Integer)) {
            return ReadableType.Number;
        }
        if (obj instanceof String) {
            return ReadableType.String;
        }
        if (obj instanceof ReadableArray) {
            return ReadableType.Array;
        }
        if (obj instanceof ReadableMap) {
            return ReadableType.Map;
        }
        return null;
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void pushBoolean(boolean z) {
        this.f1893a.add(Boolean.valueOf(z));
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void pushDouble(double d) {
        this.f1893a.add(Double.valueOf(d));
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void pushInt(int i) {
        this.f1893a.add(Integer.valueOf(i));
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void pushString(String str) {
        this.f1893a.add(str);
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void a(WritableArray writableArray) {
        this.f1893a.add(writableArray);
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void a(WritableMap writableMap) {
        this.f1893a.add(writableMap);
    }

    @Override // com.facebook.react.bridge.WritableArray
    public void pushNull() {
        this.f1893a.add(null);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public ArrayList<Object> b() {
        return new ArrayList<>(this.f1893a);
    }

    public String toString() {
        return this.f1893a.toString();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        JavaOnlyArray javaOnlyArray = (JavaOnlyArray) obj;
        return this.f1893a == null ? javaOnlyArray.f1893a == null : this.f1893a.equals(javaOnlyArray.f1893a);
    }

    public int hashCode() {
        if (this.f1893a != null) {
            return this.f1893a.hashCode();
        }
        return 0;
    }
}
