package com.facebook.react.bridge;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.util.HashMap;
import javax.annotation.Nullable;

public final class JavaScriptModuleRegistry {

    /* renamed from: a  reason: collision with root package name */
    private final HashMap<Class<? extends JavaScriptModule>, JavaScriptModule> f1899a = new HashMap<>();

    public synchronized <T extends JavaScriptModule> T a(CatalystInstance catalystInstance, Class<T> cls) {
        T t = (T) this.f1899a.get(cls);
        if (t != null) {
            return t;
        }
        T t2 = (T) ((JavaScriptModule) Proxy.newProxyInstance(cls.getClassLoader(), new Class[]{cls}, new JavaScriptModuleInvocationHandler(catalystInstance, cls)));
        this.f1899a.put(cls, t2);
        return t2;
    }

    /* access modifiers changed from: private */
    public static class JavaScriptModuleInvocationHandler implements InvocationHandler {

        /* renamed from: a  reason: collision with root package name */
        private final CatalystInstance f1900a;
        private final Class<? extends JavaScriptModule> b;
        @Nullable
        private String c;

        public JavaScriptModuleInvocationHandler(CatalystInstance catalystInstance, Class<? extends JavaScriptModule> cls) {
            this.f1900a = catalystInstance;
            this.b = cls;
        }

        private String a() {
            if (this.c == null) {
                String simpleName = this.b.getSimpleName();
                int lastIndexOf = simpleName.lastIndexOf(36);
                if (lastIndexOf != -1) {
                    simpleName = simpleName.substring(lastIndexOf + 1);
                }
                this.c = simpleName;
            }
            return this.c;
        }

        @Override // java.lang.reflect.InvocationHandler
        @Nullable
        public Object invoke(Object obj, Method method, @Nullable Object[] objArr) throws Throwable {
            this.f1900a.callFunction(a(), method.getName(), objArr != null ? Arguments.a(objArr) : new WritableNativeArray());
            return null;
        }
    }
}
