package com.facebook.react.bridge;

import com.facebook.infer.annotation.Assertions;
import com.facebook.systrace.Systrace;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class NativeModuleRegistry {

    /* renamed from: a  reason: collision with root package name */
    private final ReactApplicationContext f1909a;
    private final Map<Class<? extends NativeModule>, ModuleHolder> b;
    private final ArrayList<ModuleHolder> c;

    public NativeModuleRegistry(ReactApplicationContext reactApplicationContext, Map<Class<? extends NativeModule>, ModuleHolder> map, ArrayList<ModuleHolder> arrayList) {
        this.f1909a = reactApplicationContext;
        this.b = map;
        this.c = arrayList;
    }

    private Map<Class<? extends NativeModule>, ModuleHolder> f() {
        return this.b;
    }

    private ReactApplicationContext g() {
        return this.f1909a;
    }

    private ArrayList<ModuleHolder> h() {
        return this.c;
    }

    /* access modifiers changed from: package-private */
    public Collection<JavaModuleWrapper> a(JSInstance jSInstance) {
        ArrayList arrayList = new ArrayList();
        for (Map.Entry<Class<? extends NativeModule>, ModuleHolder> entry : this.b.entrySet()) {
            Class<? extends NativeModule> key = entry.getKey();
            if (!CxxModuleWrapperBase.class.isAssignableFrom(key)) {
                arrayList.add(new JavaModuleWrapper(jSInstance, key, entry.getValue()));
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    public Collection<ModuleHolder> a() {
        ArrayList arrayList = new ArrayList();
        for (Map.Entry<Class<? extends NativeModule>, ModuleHolder> entry : this.b.entrySet()) {
            if (CxxModuleWrapperBase.class.isAssignableFrom(entry.getKey())) {
                arrayList.add(entry.getValue());
            }
        }
        return arrayList;
    }

    /* access modifiers changed from: package-private */
    public void a(NativeModuleRegistry nativeModuleRegistry) {
        Assertions.a(this.f1909a.equals(nativeModuleRegistry.g()), "Extending native modules with non-matching application contexts.");
        Map<Class<? extends NativeModule>, ModuleHolder> f = nativeModuleRegistry.f();
        ArrayList<ModuleHolder> h = nativeModuleRegistry.h();
        for (Map.Entry<Class<? extends NativeModule>, ModuleHolder> entry : f.entrySet()) {
            Class<? extends NativeModule> key = entry.getKey();
            if (!this.b.containsKey(key)) {
                ModuleHolder value = entry.getValue();
                if (h.contains(value)) {
                    this.c.add(value);
                }
                this.b.put(key, value);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void b() {
        this.f1909a.i();
        Systrace.a(0, "NativeModuleRegistry_notifyJSInstanceDestroy");
        try {
            for (ModuleHolder moduleHolder : this.b.values()) {
                moduleHolder.c();
            }
        } finally {
            Systrace.b(0);
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        this.f1909a.a("From version React Native v0.44, native modules are explicitly not initialized on the UI thread. See https://github.com/facebook/react-native/wiki/Breaking-Changes#d4611211-reactnativeandroidbreaking-move-nativemodule-initialization-off-ui-thread---aaachiuuu  for more details.");
        ReactMarker.logMarker(ReactMarkerConstants.NATIVE_MODULE_INITIALIZE_START);
        Systrace.a(0, "NativeModuleRegistry_notifyJSInstanceInitialized");
        try {
            for (ModuleHolder moduleHolder : this.b.values()) {
                moduleHolder.a();
            }
        } finally {
            Systrace.b(0);
            ReactMarker.logMarker(ReactMarkerConstants.NATIVE_MODULE_INITIALIZE_END);
        }
    }

    public void d() {
        Iterator<ModuleHolder> it = this.c.iterator();
        while (it.hasNext()) {
            ModuleHolder next = it.next();
            if (next.b()) {
                ((OnBatchCompleteListener) next.getModule()).onBatchComplete();
            }
        }
    }

    public <T extends NativeModule> boolean a(Class<T> cls) {
        return this.b.containsKey(cls);
    }

    public <T extends NativeModule> T b(Class<T> cls) {
        return (T) ((ModuleHolder) Assertions.b(this.b.get(cls))).getModule();
    }

    public List<NativeModule> e() {
        ArrayList arrayList = new ArrayList();
        for (ModuleHolder moduleHolder : this.b.values()) {
            arrayList.add(moduleHolder.getModule());
        }
        return arrayList;
    }
}
