package com.facebook.react.bridge;

import com.facebook.proguard.annotations.DoNotStrip;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Nullable;

@DoNotStrip
public class ReactMarker {

    /* renamed from: a  reason: collision with root package name */
    private static final List<MarkerListener> f1917a = new ArrayList();

    public interface MarkerListener {
        void a(ReactMarkerConstants reactMarkerConstants, @Nullable String str, int i);
    }

    @DoNotStrip
    public static void addListener(MarkerListener markerListener) {
        synchronized (f1917a) {
            if (!f1917a.contains(markerListener)) {
                f1917a.add(markerListener);
            }
        }
    }

    @DoNotStrip
    public static void removeListener(MarkerListener markerListener) {
        synchronized (f1917a) {
            f1917a.remove(markerListener);
        }
    }

    @DoNotStrip
    public static void clearMarkerListeners() {
        synchronized (f1917a) {
            f1917a.clear();
        }
    }

    @DoNotStrip
    public static void logMarker(String str) {
        logMarker(str, (String) null);
    }

    @DoNotStrip
    public static void logMarker(String str, int i) {
        logMarker(str, (String) null, i);
    }

    @DoNotStrip
    public static void logMarker(String str, @Nullable String str2) {
        logMarker(str, str2, 0);
    }

    @DoNotStrip
    public static void logMarker(String str, @Nullable String str2, int i) {
        logMarker(ReactMarkerConstants.valueOf(str), str2, i);
    }

    @DoNotStrip
    public static void logMarker(ReactMarkerConstants reactMarkerConstants) {
        logMarker(reactMarkerConstants, (String) null, 0);
    }

    @DoNotStrip
    public static void logMarker(ReactMarkerConstants reactMarkerConstants, int i) {
        logMarker(reactMarkerConstants, (String) null, i);
    }

    @DoNotStrip
    public static void logMarker(ReactMarkerConstants reactMarkerConstants, @Nullable String str) {
        logMarker(reactMarkerConstants, str, 0);
    }

    @DoNotStrip
    public static void logMarker(ReactMarkerConstants reactMarkerConstants, @Nullable String str, int i) {
        synchronized (f1917a) {
            for (MarkerListener markerListener : f1917a) {
                markerListener.a(reactMarkerConstants, str, i);
            }
        }
    }
}
