package com.facebook.react.bridge;

import com.facebook.infer.annotation.Assertions;
import com.facebook.jni.HybridData;
import com.facebook.proguard.annotations.DoNotStrip;
import java.util.ArrayList;
import java.util.Arrays;
import javax.annotation.Nullable;

@DoNotStrip
public class ReadableNativeArray extends NativeArray implements ReadableArray {
    private static int c = 0;
    private static boolean d = false;
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private Object[] f1919a;
    @Nullable
    private ReadableType[] b;

    private native ReadableNativeArray getArrayNative(int i);

    private native boolean getBooleanNative(int i);

    private native double getDoubleNative(int i);

    private native int getIntNative(int i);

    private native ReadableNativeMap getMapNative(int i);

    private native String getStringNative(int i);

    private native ReadableType getTypeNative(int i);

    private native Object[] importArray();

    private native Object[] importTypeArray();

    private native boolean isNullNative(int i);

    private native int sizeNative();

    static {
        ReactBridge.a();
    }

    protected ReadableNativeArray(HybridData hybridData) {
        super(hybridData);
    }

    public static int getJNIPassCounter() {
        return c;
    }

    private Object[] c() {
        if (this.f1919a != null) {
            return this.f1919a;
        }
        synchronized (this) {
            if (this.f1919a == null) {
                c++;
                this.f1919a = (Object[]) Assertions.b(importArray());
            }
        }
        return this.f1919a;
    }

    private ReadableType[] d() {
        if (this.b != null) {
            return this.b;
        }
        synchronized (this) {
            if (this.b == null) {
                c++;
                Object[] objArr = (Object[]) Assertions.b(importTypeArray());
                this.b = (ReadableType[]) Arrays.copyOf(objArr, objArr.length, ReadableType[].class);
            }
        }
        return this.b;
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public int a() {
        if (!d) {
            return c().length;
        }
        c++;
        return sizeNative();
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public boolean a(int i) {
        if (d) {
            c++;
            return isNullNative(i);
        } else if (c()[i] == null) {
            return true;
        } else {
            return false;
        }
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public boolean f(int i) {
        if (!d) {
            return ((Boolean) c()[i]).booleanValue();
        }
        c++;
        return getBooleanNative(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public double b(int i) {
        if (!d) {
            return ((Double) c()[i]).doubleValue();
        }
        c++;
        return getDoubleNative(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public int c(int i) {
        if (!d) {
            return ((Double) c()[i]).intValue();
        }
        c++;
        return getIntNative(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public String d(int i) {
        if (!d) {
            return (String) c()[i];
        }
        c++;
        return getStringNative(i);
    }

    /* renamed from: e */
    public ReadableNativeArray j(int i) {
        if (!d) {
            return (ReadableNativeArray) c()[i];
        }
        c++;
        return getArrayNative(i);
    }

    /* renamed from: g */
    public ReadableNativeMap i(int i) {
        if (!d) {
            return (ReadableNativeMap) c()[i];
        }
        c++;
        return getMapNative(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public ReadableType h(int i) {
        if (!d) {
            return d()[i];
        }
        c++;
        return getTypeNative(i);
    }

    @Override // com.facebook.react.bridge.ReadableArray
    public ArrayList<Object> b() {
        ArrayList<Object> arrayList = new ArrayList<>();
        for (int i = 0; i < a(); i++) {
            switch (h(i)) {
                case Null:
                    arrayList.add(null);
                    break;
                case Boolean:
                    arrayList.add(Boolean.valueOf(f(i)));
                    break;
                case Number:
                    arrayList.add(Double.valueOf(b(i)));
                    break;
                case String:
                    arrayList.add(d(i));
                    break;
                case Map:
                    arrayList.add(i(i).b());
                    break;
                case Array:
                    arrayList.add(j(i).b());
                    break;
                default:
                    throw new IllegalArgumentException("Could not convert object at index: " + i + ".");
            }
        }
        return arrayList;
    }
}
