package com.facebook.react.bridge;

import com.facebook.infer.annotation.Assertions;
import com.facebook.jni.HybridData;
import com.facebook.proguard.annotations.DoNotStrip;
import java.util.HashMap;
import javax.annotation.Nullable;

@DoNotStrip
public class ReadableNativeMap extends NativeMap implements ReadableMap {
    private static boolean d;
    private static int e;
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private String[] f1921a;
    @Nullable
    private HashMap<String, Object> b;
    @Nullable
    private HashMap<String, ReadableType> c;

    private native ReadableNativeArray getArrayNative(String str);

    private native boolean getBooleanNative(String str);

    private native double getDoubleNative(String str);

    private native int getIntNative(String str);

    private native ReadableNativeMap getMapNative(String str);

    private native String getStringNative(String str);

    private native ReadableType getTypeNative(String str);

    private native boolean hasKeyNative(String str);

    private native String[] importKeys();

    private native Object[] importTypes();

    private native Object[] importValues();

    private native boolean isNullNative(String str);

    static {
        ReactBridge.a();
    }

    protected ReadableNativeMap(HybridData hybridData) {
        super(hybridData);
    }

    public static int getJNIPassCounter() {
        return e;
    }

    private HashMap<String, Object> c() {
        if (this.b != null) {
            return this.b;
        }
        synchronized (this) {
            if (this.f1921a == null) {
                this.f1921a = (String[]) Assertions.b(importKeys());
                e++;
            }
            if (this.b == null) {
                Object[] objArr = (Object[]) Assertions.b(importValues());
                e++;
                this.b = new HashMap<>();
                for (int i = 0; i < this.f1921a.length; i++) {
                    this.b.put(this.f1921a[i], objArr[i]);
                }
            }
        }
        return this.b;
    }

    private HashMap<String, ReadableType> d() {
        if (this.c != null) {
            return this.c;
        }
        synchronized (this) {
            if (this.f1921a == null) {
                this.f1921a = (String[]) Assertions.b(importKeys());
                e++;
            }
            if (this.c == null) {
                Object[] objArr = (Object[]) Assertions.b(importTypes());
                e++;
                this.c = new HashMap<>();
                for (int i = 0; i < this.f1921a.length; i++) {
                    this.c.put(this.f1921a[i], (ReadableType) objArr[i]);
                }
            }
        }
        return this.c;
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public boolean a(String str) {
        if (!d) {
            return c().containsKey(str);
        }
        e++;
        return hasKeyNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public boolean b(String str) {
        if (d) {
            e++;
            return isNullNative(str);
        } else if (!c().containsKey(str)) {
            throw new NoSuchKeyException(str);
        } else if (c().get(str) == null) {
            return true;
        } else {
            return false;
        }
    }

    private Object l(String str) {
        if (a(str) && !b(str)) {
            return Assertions.b(c().get(str));
        }
        throw new NoSuchKeyException(str);
    }

    @Nullable
    private Object m(String str) {
        if (a(str)) {
            return c().get(str);
        }
        throw new NoSuchKeyException(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public boolean c(String str) {
        if (!d) {
            return ((Boolean) l(str)).booleanValue();
        }
        e++;
        return getBooleanNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public double d(String str) {
        if (!d) {
            return ((Double) l(str)).doubleValue();
        }
        e++;
        return getDoubleNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public int e(String str) {
        if (!d) {
            return ((Double) l(str)).intValue();
        }
        e++;
        return getIntNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    @Nullable
    public String f(String str) {
        if (!d) {
            return (String) m(str);
        }
        e++;
        return getStringNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    @Nullable
    public ReadableArray k(String str) {
        if (!d) {
            return (ReadableArray) m(str);
        }
        e++;
        return getArrayNative(str);
    }

    @Nullable
    /* renamed from: h */
    public ReadableNativeMap g(String str) {
        if (!d) {
            return (ReadableNativeMap) m(str);
        }
        e++;
        return getMapNative(str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public ReadableType j(String str) {
        if (d) {
            e++;
            return getTypeNative(str);
        } else if (d().containsKey(str)) {
            return (ReadableType) Assertions.b(d().get(str));
        } else {
            throw new NoSuchKeyException(str);
        }
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public Dynamic i(String str) {
        return DynamicFromMap.a(this, str);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public ReadableMapKeySetIterator a() {
        return new ReadableNativeMapKeySetIterator(this);
    }

    @Override // com.facebook.react.bridge.ReadableMap
    public HashMap<String, Object> b() {
        if (d) {
            ReadableMapKeySetIterator a2 = a();
            HashMap<String, Object> hashMap = new HashMap<>();
            while (a2.hasNextKey()) {
                e++;
                String nextKey = a2.nextKey();
                e++;
                switch (j(nextKey)) {
                    case Null:
                        hashMap.put(nextKey, null);
                        break;
                    case Boolean:
                        hashMap.put(nextKey, Boolean.valueOf(c(nextKey)));
                        break;
                    case Number:
                        hashMap.put(nextKey, Double.valueOf(d(nextKey)));
                        break;
                    case String:
                        hashMap.put(nextKey, f(nextKey));
                        break;
                    case Map:
                        hashMap.put(nextKey, ((ReadableNativeMap) Assertions.b(g(nextKey))).b());
                        break;
                    case Array:
                        hashMap.put(nextKey, ((ReadableArray) Assertions.b(k(nextKey))).b());
                        break;
                    default:
                        throw new IllegalArgumentException("Could not convert object with key: " + nextKey + ".");
                }
            }
            return hashMap;
        }
        HashMap<String, Object> hashMap2 = new HashMap<>(c());
        for (String str : hashMap2.keySet()) {
            switch (j(str)) {
                case Null:
                case Boolean:
                case Number:
                case String:
                    break;
                case Map:
                    hashMap2.put(str, ((ReadableNativeMap) Assertions.b(g(str))).b());
                    break;
                case Array:
                    hashMap2.put(str, ((ReadableArray) Assertions.b(k(str))).b());
                    break;
                default:
                    throw new IllegalArgumentException("Could not convert object with key: " + str + ".");
            }
        }
        return hashMap2;
    }

    /* access modifiers changed from: private */
    @DoNotStrip
    public static class ReadableNativeMapKeySetIterator implements ReadableMapKeySetIterator {
        @DoNotStrip
        private final HybridData mHybridData;
        @DoNotStrip
        private final ReadableNativeMap mMap;

        private static native HybridData initHybrid(ReadableNativeMap readableNativeMap);

        @Override // com.facebook.react.bridge.ReadableMapKeySetIterator
        public native boolean hasNextKey();

        @Override // com.facebook.react.bridge.ReadableMapKeySetIterator
        public native String nextKey();

        public ReadableNativeMapKeySetIterator(ReadableNativeMap readableNativeMap) {
            this.mMap = readableNativeMap;
            this.mHybridData = initHybrid(readableNativeMap);
        }
    }
}
