package com.facebook.react.bridge.queue;

import android.os.Build;
import com.facebook.infer.annotation.Assertions;
import javax.annotation.Nullable;

public class ReactQueueConfigurationSpec {

    /* renamed from: a  reason: collision with root package name */
    private final MessageQueueThreadSpec f1932a;
    private final MessageQueueThreadSpec b;

    private ReactQueueConfigurationSpec(MessageQueueThreadSpec messageQueueThreadSpec, MessageQueueThreadSpec messageQueueThreadSpec2) {
        this.f1932a = messageQueueThreadSpec;
        this.b = messageQueueThreadSpec2;
    }

    public MessageQueueThreadSpec a() {
        return this.f1932a;
    }

    public MessageQueueThreadSpec b() {
        return this.b;
    }

    public static Builder c() {
        return new Builder();
    }

    public static ReactQueueConfigurationSpec d() {
        MessageQueueThreadSpec messageQueueThreadSpec;
        if (Build.VERSION.SDK_INT < 21) {
            messageQueueThreadSpec = MessageQueueThreadSpec.a("native_modules", 2000000);
        } else {
            messageQueueThreadSpec = MessageQueueThreadSpec.a("native_modules");
        }
        return c().b(MessageQueueThreadSpec.a("js")).a(messageQueueThreadSpec).a();
    }

    public static class Builder {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        private MessageQueueThreadSpec f1933a;
        @Nullable
        private MessageQueueThreadSpec b;

        public Builder a(MessageQueueThreadSpec messageQueueThreadSpec) {
            Assertions.a(this.f1933a == null, "Setting native modules queue spec multiple times!");
            this.f1933a = messageQueueThreadSpec;
            return this;
        }

        public Builder b(MessageQueueThreadSpec messageQueueThreadSpec) {
            Assertions.a(this.b == null, "Setting JS queue multiple times!");
            this.b = messageQueueThreadSpec;
            return this;
        }

        public ReactQueueConfigurationSpec a() {
            return new ReactQueueConfigurationSpec((MessageQueueThreadSpec) Assertions.b(this.f1933a), (MessageQueueThreadSpec) Assertions.b(this.b));
        }
    }
}
