package com.facebook.react.common.futures;

import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import javax.annotation.Nullable;

public class SimpleSettableFuture<T> implements Future<T> {

    /* renamed from: a  reason: collision with root package name */
    private final CountDownLatch f1941a = new CountDownLatch(1);
    @Nullable
    private T b;
    @Nullable
    private Exception c;

    public boolean isCancelled() {
        return false;
    }

    public void a(@Nullable T t) {
        b();
        this.b = t;
        this.f1941a.countDown();
    }

    public void a(Exception exc) {
        b();
        this.c = exc;
        this.f1941a.countDown();
    }

    public boolean cancel(boolean z) {
        throw new UnsupportedOperationException();
    }

    public boolean isDone() {
        return this.f1941a.getCount() == 0;
    }

    @Override // java.util.concurrent.Future
    @Nullable
    public T get() throws InterruptedException, ExecutionException {
        this.f1941a.await();
        if (this.c == null) {
            return this.b;
        }
        throw new ExecutionException(this.c);
    }

    @Override // java.util.concurrent.Future
    @Nullable
    public T get(long j, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
        if (!this.f1941a.await(j, timeUnit)) {
            throw new TimeoutException("Timed out waiting for result");
        } else if (this.c == null) {
            return this.b;
        } else {
            throw new ExecutionException(this.c);
        }
    }

    @Nullable
    public T a() {
        try {
            return get();
        } catch (InterruptedException | ExecutionException e) {
            throw new RuntimeException(e);
        }
    }

    private void b() {
        if (this.f1941a.getCount() == 0) {
            throw new RuntimeException("Result has already been set!");
        }
    }
}
