package com.facebook.react.devsupport;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.os.Build;
import android.provider.Settings;
import android.view.WindowManager;
import android.widget.FrameLayout;
import com.facebook.common.logging.FLog;
import com.facebook.react.bridge.ReactContext;
import javax.annotation.Nullable;

class DebugOverlayController {

    /* renamed from: a  reason: collision with root package name */
    private final WindowManager f1947a;
    private final ReactContext b;
    @Nullable
    private FrameLayout c;

    public static void a(Context context) {
        if (Build.VERSION.SDK_INT >= 23 && !Settings.canDrawOverlays(context)) {
            Intent intent = new Intent("android.settings.action.MANAGE_OVERLAY_PERMISSION", Uri.parse("package:" + context.getPackageName()));
            intent.setFlags(268435456);
            FLog.c("ReactNative", "Overlay permissions needs to be granted in order for react native apps to run in dev mode");
            if (a(context, intent)) {
                context.startActivity(intent);
            }
        }
    }

    private static boolean b(Context context) {
        if (Build.VERSION.SDK_INT >= 23) {
            return Settings.canDrawOverlays(context);
        }
        return a(context, "android.permission.SYSTEM_ALERT_WINDOW");
    }

    private static boolean a(Context context, String str) {
        try {
            PackageInfo packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 4096);
            if (packageInfo.requestedPermissions != null) {
                for (String str2 : packageInfo.requestedPermissions) {
                    if (str2.equals(str)) {
                        return true;
                    }
                }
            }
        } catch (PackageManager.NameNotFoundException e) {
            FLog.c("ReactNative", "Error while retrieving package info", e);
        }
        return false;
    }

    private static boolean a(Context context, Intent intent) {
        return intent.resolveActivity(context.getPackageManager()) != null;
    }

    public DebugOverlayController(ReactContext reactContext) {
        this.b = reactContext;
        this.f1947a = (WindowManager) reactContext.getSystemService("window");
    }

    public void a(boolean z) {
        if (!z || this.c != null) {
            if (!z && this.c != null) {
                this.c.removeAllViews();
                this.f1947a.removeView(this.c);
                this.c = null;
            }
        } else if (!b(this.b)) {
            FLog.a("ReactNative", "Wait for overlay permission to be set");
        } else {
            this.c = new FpsView(this.b);
            this.f1947a.addView(this.c, new WindowManager.LayoutParams(-1, -1, WindowOverlayCompat.b, 24, -3));
        }
    }
}
