package com.facebook.react.devsupport;

import android.content.Context;
import android.os.AsyncTask;
import android.os.Handler;
import android.widget.Toast;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.R;
import com.facebook.react.bridge.UiThreadUtil;
import com.facebook.react.common.network.OkHttpCallUtil;
import com.facebook.react.devsupport.BundleDownloader;
import com.facebook.react.devsupport.InspectorPackagerConnection;
import com.facebook.react.devsupport.interfaces.DevBundleDownloadListener;
import com.facebook.react.devsupport.interfaces.PackagerStatusCallback;
import com.facebook.react.devsupport.interfaces.StackFrame;
import com.facebook.react.modules.systeminfo.AndroidInfoHelpers;
import com.facebook.react.packagerconnection.FileIoHandler;
import com.facebook.react.packagerconnection.JSPackagerClient;
import com.facebook.react.packagerconnection.NotificationOnlyHandler;
import com.facebook.react.packagerconnection.ReconnectingWebSocket;
import com.facebook.react.packagerconnection.RequestOnlyHandler;
import com.facebook.react.packagerconnection.Responder;
import java.io.File;
import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Locale;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.ConnectionPool;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.ResponseBody;
import org.json.JSONException;
import org.json.JSONObject;

public class DevServerHelper {

    /* renamed from: a  reason: collision with root package name */
    private final DevInternalSettings f1954a;
    private final OkHttpClient b;
    private final Handler c;
    private final BundleDownloader d;
    private final String e;
    private boolean f;
    @Nullable
    private JSPackagerClient g;
    @Nullable
    private InspectorPackagerConnection h;
    @Nullable
    private OkHttpClient i;
    @Nullable
    private OnServerContentChangeListener j;
    private InspectorPackagerConnection.BundleStatusProvider k;

    public interface OnServerContentChangeListener {
        void a();
    }

    public interface PackagerCommandListener {
        void a(Responder responder);

        void b();

        void b(Responder responder);

        void c();

        void d();

        void e();
    }

    public interface SymbolicationListener {
        void a(@Nullable Iterable<StackFrame> iterable);
    }

    /* access modifiers changed from: private */
    public enum BundleType {
        BUNDLE("bundle"),
        DELTA("delta"),
        MAP("map");
        
        private final String d;

        private BundleType(String str) {
            this.d = str;
        }

        public String a() {
            return this.d;
        }
    }

    public void a(final String str, final PackagerCommandListener packagerCommandListener) {
        if (this.g != null) {
            FLog.c("ReactNative", "Packager connection already open, nooping.");
        } else {
            new AsyncTask<Void, Void, Void>() {
                /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1 */

                /* access modifiers changed from: protected */
                /* renamed from: a */
                public Void doInBackground(Void... voidArr) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("reload", new NotificationOnlyHandler() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1.AnonymousClass1 */

                        @Override // com.facebook.react.packagerconnection.RequestHandler
                        public void a(@Nullable Object obj) {
                            packagerCommandListener.d();
                        }
                    });
                    hashMap.put("devMenu", new NotificationOnlyHandler() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1.AnonymousClass2 */

                        @Override // com.facebook.react.packagerconnection.RequestHandler
                        public void a(@Nullable Object obj) {
                            packagerCommandListener.e();
                        }
                    });
                    hashMap.put("captureHeap", new RequestOnlyHandler() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1.AnonymousClass3 */

                        @Override // com.facebook.react.packagerconnection.RequestHandler
                        public void a(@Nullable Object obj, Responder responder) {
                            packagerCommandListener.a(responder);
                        }
                    });
                    hashMap.put("pokeSamplingProfiler", new RequestOnlyHandler() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1.AnonymousClass4 */

                        @Override // com.facebook.react.packagerconnection.RequestHandler
                        public void a(@Nullable Object obj, Responder responder) {
                            packagerCommandListener.b(responder);
                        }
                    });
                    hashMap.putAll(new FileIoHandler().a());
                    AnonymousClass5 r0 = new ReconnectingWebSocket.ConnectionCallback() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass1.AnonymousClass5 */

                        @Override // com.facebook.react.packagerconnection.ReconnectingWebSocket.ConnectionCallback
                        public void a() {
                            packagerCommandListener.b();
                        }

                        @Override // com.facebook.react.packagerconnection.ReconnectingWebSocket.ConnectionCallback
                        public void b() {
                            packagerCommandListener.c();
                        }
                    };
                    DevServerHelper.this.g = new JSPackagerClient(str, DevServerHelper.this.f1954a.a(), hashMap, r0);
                    DevServerHelper.this.g.a();
                    return null;
                }
            }.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
        }
    }

    public void a() {
        new AsyncTask<Void, Void, Void>() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass2 */

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public Void doInBackground(Void... voidArr) {
                if (DevServerHelper.this.g != null) {
                    DevServerHelper.this.g.b();
                    DevServerHelper.this.g = null;
                }
                return null;
            }
        }.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
    }

    public void b() {
        if (this.h != null) {
            FLog.c("ReactNative", "Inspector connection already open, nooping.");
        } else {
            new AsyncTask<Void, Void, Void>() {
                /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass3 */

                /* access modifiers changed from: protected */
                /* renamed from: a */
                public Void doInBackground(Void... voidArr) {
                    DevServerHelper.this.h = new InspectorPackagerConnection(DevServerHelper.this.h(), DevServerHelper.this.e, DevServerHelper.this.k);
                    DevServerHelper.this.h.a();
                    return null;
                }
            }.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
        }
    }

    public void c() {
        if (this.h != null) {
            this.h.a("{ \"id\":1,\"method\":\"Debugger.disable\" }");
        }
    }

    public void d() {
        new AsyncTask<Void, Void, Void>() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass4 */

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public Void doInBackground(Void... voidArr) {
                if (DevServerHelper.this.h != null) {
                    DevServerHelper.this.h.b();
                    DevServerHelper.this.h = null;
                }
                return null;
            }
        }.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
    }

    public void a(final Context context, final String str) {
        new AsyncTask<Void, String, Boolean>() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass5 */

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public Boolean doInBackground(Void... voidArr) {
                return Boolean.valueOf(a());
            }

            public boolean a() {
                try {
                    new OkHttpClient().newCall(new Request.Builder().url(DevServerHelper.this.d((DevServerHelper) str)).build()).execute();
                    return true;
                } catch (IOException e) {
                    FLog.c("ReactNative", "Failed to send attach request to Inspector", e);
                    return false;
                }
            }

            /* access modifiers changed from: protected */
            /* renamed from: a */
            public void onPostExecute(Boolean bool) {
                if (!bool.booleanValue()) {
                    Toast.makeText(context, context.getString(R.string.catalyst_debugjs_nuclide_failure), 1).show();
                }
            }
        }.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
    }

    /* renamed from: com.facebook.react.devsupport.DevServerHelper$6  reason: invalid class name */
    class AnonymousClass6 implements Callback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ SymbolicationListener f1968a;

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            FLog.c("ReactNative", "Got IOException when attempting symbolicate stack trace: " + iOException.getMessage());
            this.f1968a.a(null);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            try {
                this.f1968a.a(Arrays.asList(StackTraceHelper.a(new JSONObject(response.body().string()).getJSONArray("stack"))));
            } catch (JSONException unused) {
                this.f1968a.a(null);
            }
        }
    }

    /* renamed from: com.facebook.react.devsupport.DevServerHelper$7  reason: invalid class name */
    class AnonymousClass7 implements Callback {
        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            FLog.c("ReactNative", "Got IOException when attempting to open stack frame: " + iOException.getMessage());
        }
    }

    public String e() {
        return String.format(Locale.US, "ws://%s/debugger-proxy?role=client", this.f1954a.a().a());
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String h() {
        return String.format(Locale.US, "http://%s/inspector/device?name=%s&app=%s", this.f1954a.a().b(), AndroidInfoHelpers.c(), this.e);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String d(String str) {
        return String.format(Locale.US, "http://%s/nuclide/attach-debugger-nuclide?title=%s&app=%s&device=%s", AndroidInfoHelpers.a(), str, this.e, AndroidInfoHelpers.c());
    }

    public void a(DevBundleDownloadListener devBundleDownloadListener, File file, String str, BundleDownloader.BundleInfo bundleInfo) {
        this.d.a(devBundleDownloadListener, file, str, bundleInfo);
    }

    private String i() {
        String str = (String) Assertions.b(this.f1954a.a().a());
        int lastIndexOf = str.lastIndexOf(58);
        if (lastIndexOf <= -1) {
            return "localhost";
        }
        return "localhost" + str.substring(lastIndexOf);
    }

    private boolean j() {
        return this.f1954a.d();
    }

    private boolean k() {
        return this.f1954a.e();
    }

    private String a(String str, BundleType bundleType, String str2) {
        return String.format(Locale.US, "http://%s/%s.%s?platform=android&dev=%s&minify=%s", str2, str, bundleType.a(), Boolean.valueOf(j()), Boolean.valueOf(k()));
    }

    private String a(String str, BundleType bundleType) {
        return a(str, bundleType, this.f1954a.a().a());
    }

    public String a(String str) {
        return a(str, this.f1954a.i() ? BundleType.DELTA : BundleType.BUNDLE, this.f1954a.a().a());
    }

    public void a(final PackagerStatusCallback packagerStatusCallback) {
        this.b.newCall(new Request.Builder().url(e(this.f1954a.a().a())).build()).enqueue(new Callback() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass8 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                FLog.c("ReactNative", "The packager does not seem to be running as we got an IOException requesting its status: " + iOException.getMessage());
                packagerStatusCallback.a(false);
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
                if (!response.isSuccessful()) {
                    FLog.d("ReactNative", "Got non-success http code from packager when requesting status: " + response.code());
                    packagerStatusCallback.a(false);
                    return;
                }
                ResponseBody body = response.body();
                if (body == null) {
                    FLog.d("ReactNative", "Got null body response from packager when requesting status");
                    packagerStatusCallback.a(false);
                } else if (!"packager-status:running".equals(body.string())) {
                    FLog.d("ReactNative", "Got unexpected response from packager when requesting status: " + body.string());
                    packagerStatusCallback.a(false);
                } else {
                    packagerStatusCallback.a(true);
                }
            }
        });
    }

    private static String e(String str) {
        return String.format(Locale.US, "http://%s/status", str);
    }

    public void f() {
        this.f = false;
        this.c.removeCallbacksAndMessages(null);
        if (this.i != null) {
            OkHttpCallUtil.a(this.i, this);
            this.i = null;
        }
        this.j = null;
    }

    public void a(OnServerContentChangeListener onServerContentChangeListener) {
        if (!this.f) {
            this.f = true;
            this.j = onServerContentChangeListener;
            this.i = new OkHttpClient.Builder().connectionPool(new ConnectionPool(1, 120000, TimeUnit.MINUTES)).connectTimeout(5000, TimeUnit.MILLISECONDS).build();
            l();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(boolean z) {
        if (this.f) {
            if (z) {
                UiThreadUtil.a(new Runnable() {
                    /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass9 */

                    public void run() {
                        if (DevServerHelper.this.j != null) {
                            DevServerHelper.this.j.a();
                        }
                    }
                });
            }
            l();
        }
    }

    private void l() {
        ((OkHttpClient) Assertions.b(this.i)).newCall(new Request.Builder().url(m()).tag(this).build()).enqueue(new Callback() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass10 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                if (DevServerHelper.this.f) {
                    FLog.a("ReactNative", "Error while requesting /onchange endpoint", iOException);
                    DevServerHelper.this.c.postDelayed(new Runnable() {
                        /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass10.AnonymousClass1 */

                        public void run() {
                            DevServerHelper.this.a((DevServerHelper) false);
                        }
                    }, 5000);
                }
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
                DevServerHelper.this.a((DevServerHelper) (response.code() == 205));
            }
        });
    }

    private String m() {
        return String.format(Locale.US, "http://%s/onchange", this.f1954a.a().a());
    }

    private String n() {
        return String.format(Locale.US, "http://%s/launch-js-devtools", this.f1954a.a().a());
    }

    public void g() {
        this.b.newCall(new Request.Builder().url(n()).build()).enqueue(new Callback() {
            /* class com.facebook.react.devsupport.DevServerHelper.AnonymousClass11 */

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
            }
        });
    }

    public String b(String str) {
        return a(str, this.f1954a.i() ? BundleType.DELTA : BundleType.BUNDLE);
    }

    public String c(String str) {
        return a(str, BundleType.BUNDLE, i());
    }
}
