package com.facebook.react.devsupport;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.ActivityManager;
import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.PackageManager;
import android.hardware.SensorManager;
import android.net.Uri;
import android.os.AsyncTask;
import android.util.Pair;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;
import com.facebook.common.logging.FLog;
import com.facebook.debug.holder.PrinterHolder;
import com.facebook.debug.tags.ReactDebugOverlayTags;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.R;
import com.facebook.react.bridge.DefaultNativeModuleCallExceptionHandler;
import com.facebook.react.bridge.JavaJSExecutor;
import com.facebook.react.bridge.JavaScriptContextHolder;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.ReactMarker;
import com.facebook.react.bridge.ReactMarkerConstants;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.UiThreadUtil;
import com.facebook.react.common.DebugServerException;
import com.facebook.react.common.ShakeDetector;
import com.facebook.react.common.futures.SimpleSettableFuture;
import com.facebook.react.devsupport.BundleDownloader;
import com.facebook.react.devsupport.DevInternalSettings;
import com.facebook.react.devsupport.DevServerHelper;
import com.facebook.react.devsupport.InspectorPackagerConnection;
import com.facebook.react.devsupport.JSCHeapCapture;
import com.facebook.react.devsupport.JSCSamplingProfiler;
import com.facebook.react.devsupport.JSDevSupport;
import com.facebook.react.devsupport.RedBoxHandler;
import com.facebook.react.devsupport.WebsocketJavaScriptExecutor;
import com.facebook.react.devsupport.interfaces.DevBundleDownloadListener;
import com.facebook.react.devsupport.interfaces.DevOptionHandler;
import com.facebook.react.devsupport.interfaces.DevSupportManager;
import com.facebook.react.devsupport.interfaces.ErrorCustomizer;
import com.facebook.react.devsupport.interfaces.PackagerStatusCallback;
import com.facebook.react.devsupport.interfaces.StackFrame;
import com.facebook.react.modules.debug.interfaces.DeveloperSettings;
import com.facebook.react.packagerconnection.RequestHandler;
import com.facebook.react.packagerconnection.Responder;
import com.facebook.react.uimanager.IllegalViewOperationException;
import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import javax.annotation.Nullable;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;

@TargetApi(11)
public class DevSupportManagerImpl implements DevInternalSettings.Listener, DevServerHelper.PackagerCommandListener, DevSupportManager {
    @Nullable
    private List<ErrorCustomizer> A;
    private InspectorPackagerConnection.BundleStatus B;

    /* renamed from: a  reason: collision with root package name */
    private final List<ExceptionLogger> f1972a;
    private final Context b;
    private final ShakeDetector c;
    private final BroadcastReceiver d;
    private final DevServerHelper e;
    private final LinkedHashMap<String, DevOptionHandler> f;
    private final ReactInstanceManagerDevHelper g;
    @Nullable
    private final String h;
    private final File i;
    private final DefaultNativeModuleCallExceptionHandler j;
    private final DevLoadingViewController k;
    @Nullable
    private RedBoxDialog l;
    @Nullable
    private AlertDialog m;
    @Nullable
    private DebugOverlayController n;
    private boolean o;
    @Nullable
    private ReactContext p;
    private DevInternalSettings q;
    private boolean r;
    private boolean s;
    private boolean t;
    @Nullable
    private RedBoxHandler u;
    @Nullable
    private String v;
    @Nullable
    private StackFrame[] w;
    private int x;
    @Nullable
    private ErrorType y;
    @Nullable
    private DevBundleDownloadListener z;

    /* access modifiers changed from: private */
    public enum ErrorType {
        JS,
        NATIVE
    }

    private interface ExceptionLogger {
        void a(Exception exc);
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void b() {
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void c() {
    }

    /* access modifiers changed from: private */
    public static class JscProfileTask extends AsyncTask<String, Void, Void> {

        /* renamed from: a  reason: collision with root package name */
        private static final MediaType f2003a = MediaType.parse("application/json; charset=utf-8");
        private final String b;

        /* synthetic */ JscProfileTask(String str, AnonymousClass1 r2) {
            this(str);
        }

        private JscProfileTask(String str) {
            this.b = str;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Void doInBackground(String... strArr) {
            try {
                String uri = Uri.parse(this.b).buildUpon().path("/jsc-profile").query(null).build().toString();
                OkHttpClient okHttpClient = new OkHttpClient();
                for (String str : strArr) {
                    okHttpClient.newCall(new Request.Builder().url(uri).post(RequestBody.create(f2003a, str)).build()).execute();
                }
            } catch (IOException e) {
                FLog.c("ReactNative", "Failed not talk to server", e);
            }
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.facebook.react.devsupport.DevSupportManagerImpl$1  reason: invalid class name */
    public class AnonymousClass1 implements InspectorPackagerConnection.BundleStatusProvider {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DevSupportManagerImpl f1973a;

        @Override // com.facebook.react.devsupport.InspectorPackagerConnection.BundleStatusProvider
        public InspectorPackagerConnection.BundleStatus a() {
            return this.f1973a.B;
        }
    }

    /* renamed from: com.facebook.react.devsupport.DevSupportManagerImpl$2  reason: invalid class name */
    class AnonymousClass2 implements ShakeDetector.ShakeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DevSupportManagerImpl f1984a;

        @Override // com.facebook.react.common.ShakeDetector.ShakeListener
        public void a() {
            this.f1984a.g();
        }
    }

    /* renamed from: com.facebook.react.devsupport.DevSupportManagerImpl$3  reason: invalid class name */
    class AnonymousClass3 extends BroadcastReceiver {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DevSupportManagerImpl f1994a;

        public void onReceive(Context context, Intent intent) {
            if (DevSupportManagerImpl.b(context).equals(intent.getAction())) {
                if (intent.getBooleanExtra("jsproxy", false)) {
                    this.f1994a.q.e(true);
                    this.f1994a.e.g();
                } else {
                    this.f1994a.q.e(false);
                }
                this.f1994a.o();
            }
        }
    }

    @Override // com.facebook.react.bridge.NativeModuleCallExceptionHandler
    public void a(Exception exc) {
        if (this.t) {
            for (ExceptionLogger exceptionLogger : this.f1972a) {
                exceptionLogger.a(exc);
            }
            return;
        }
        this.j.a(exc);
    }

    private class JSExceptionLogger implements ExceptionLogger {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DevSupportManagerImpl f2002a;

        @Override // com.facebook.react.devsupport.DevSupportManagerImpl.ExceptionLogger
        public void a(Exception exc) {
            StringBuilder sb = new StringBuilder(exc.getMessage());
            for (Throwable cause = exc.getCause(); cause != null; cause = cause.getCause()) {
                sb.append("\n\n");
                sb.append(cause.getMessage());
            }
            if (exc instanceof JSException) {
                FLog.c("ReactNative", "Exception in native call from JS", exc);
                String a2 = ((JSException) exc).a();
                sb.append("\n\n");
                sb.append(a2);
                this.f2002a.a(sb.toString(), new StackFrame[0], -1, ErrorType.JS);
                return;
            }
            this.f2002a.a(sb.toString(), exc);
        }
    }

    private class StackOverflowExceptionLogger implements ExceptionLogger {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ DevSupportManagerImpl f2004a;

        @Override // com.facebook.react.devsupport.DevSupportManagerImpl.ExceptionLogger
        public void a(Exception exc) {
            View a2;
            if ((exc instanceof IllegalViewOperationException) && (exc.getCause() instanceof StackOverflowError) && (a2 = ((IllegalViewOperationException) exc).a()) != null) {
                a(a2);
            }
        }

        private void a(View view) {
            if (this.f2004a.p != null && view != null) {
                Pair<View, Integer> b = b(view);
                Integer valueOf = Integer.valueOf(((View) b.first).getId());
                final int intValue = ((Integer) b.second).intValue();
                ((JSDevSupport) this.f2004a.p.b(JSDevSupport.class)).getJSHierarchy(valueOf.toString(), new JSDevSupport.DevSupportCallback() {
                    /* class com.facebook.react.devsupport.DevSupportManagerImpl.StackOverflowExceptionLogger.AnonymousClass1 */

                    @Override // com.facebook.react.devsupport.JSDevSupport.DevSupportCallback
                    public void a(String str) {
                        FLog.d("ReactNative", "StackOverflowError when rendering JS Hierarchy (depth of native hierarchy = " + intValue + "): \n" + str);
                    }

                    @Override // com.facebook.react.devsupport.JSDevSupport.DevSupportCallback
                    public void a(Exception exc) {
                        FLog.b("ReactNative", exc, "Error retrieving JS Hierarchy (depth of native hierarchy = " + intValue + ").", new Object[0]);
                    }
                });
            }
        }

        private Pair<View, Integer> b(View view) {
            LinkedList linkedList = new LinkedList();
            Pair<View, Integer> pair = new Pair<>(view, 1);
            linkedList.add(pair);
            while (!linkedList.isEmpty()) {
                Pair<View, Integer> pair2 = (Pair) linkedList.poll();
                if (((Integer) pair2.second).intValue() > ((Integer) pair.second).intValue()) {
                    pair = pair2;
                }
                if (pair2.first instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) pair2.first;
                    Integer valueOf = Integer.valueOf(((Integer) pair2.second).intValue() + 1);
                    for (int i = 0; i < viewGroup.getChildCount(); i++) {
                        linkedList.add(new Pair(viewGroup.getChildAt(i), valueOf));
                    }
                }
            }
            return pair;
        }
    }

    public void a(String str, Throwable th) {
        FLog.c("ReactNative", "Exception in native call", th);
        a(str, StackTraceHelper.a(th), -1, ErrorType.NATIVE);
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void a(String str, ReadableArray readableArray, int i2) {
        a(str, StackTraceHelper.a(readableArray), i2, ErrorType.JS);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Pair<String, StackFrame[]> a(Pair<String, StackFrame[]> pair) {
        if (this.A == null) {
            return pair;
        }
        for (ErrorCustomizer errorCustomizer : this.A) {
            Pair<String, StackFrame[]> a2 = errorCustomizer.a(pair);
            if (a2 != null) {
                pair = a2;
            }
        }
        return pair;
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void b(final String str, final ReadableArray readableArray, final int i2) {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass4 */

            public void run() {
                if (DevSupportManagerImpl.this.l != null && DevSupportManagerImpl.this.l.isShowing() && i2 == DevSupportManagerImpl.this.x) {
                    StackFrame[] a2 = StackTraceHelper.a(readableArray);
                    Pair a3 = DevSupportManagerImpl.this.a((DevSupportManagerImpl) Pair.create(str, a2));
                    DevSupportManagerImpl.this.l.a((String) a3.first, (StackFrame[]) a3.second);
                    DevSupportManagerImpl.this.b(str, a2, i2, ErrorType.JS);
                    if (DevSupportManagerImpl.this.u != null) {
                        DevSupportManagerImpl.this.u.a(str, a2, RedBoxHandler.ErrorType.JS);
                        DevSupportManagerImpl.this.l.a();
                    }
                    DevSupportManagerImpl.this.l.show();
                }
            }
        });
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void f() {
        if (this.l != null) {
            this.l.dismiss();
            this.l = null;
        }
    }

    private void t() {
        if (this.m != null) {
            this.m.dismiss();
            this.m = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(final String str, final StackFrame[] stackFrameArr, final int i2, final ErrorType errorType) {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass5 */

            public void run() {
                if (DevSupportManagerImpl.this.l == null) {
                    Activity c2 = DevSupportManagerImpl.this.g.c();
                    if (c2 == null || c2.isFinishing()) {
                        FLog.d("ReactNative", "Unable to launch redbox because react activity is not available, here is the error that redbox would've displayed: " + str);
                        return;
                    }
                    DevSupportManagerImpl.this.l = new RedBoxDialog(c2, DevSupportManagerImpl.this, DevSupportManagerImpl.this.u);
                }
                if (!DevSupportManagerImpl.this.l.isShowing()) {
                    Pair a2 = DevSupportManagerImpl.this.a((DevSupportManagerImpl) Pair.create(str, stackFrameArr));
                    DevSupportManagerImpl.this.l.a((String) a2.first, (StackFrame[]) a2.second);
                    DevSupportManagerImpl.this.b(str, stackFrameArr, i2, errorType);
                    if (DevSupportManagerImpl.this.u != null && errorType == ErrorType.NATIVE) {
                        DevSupportManagerImpl.this.u.a(str, stackFrameArr, RedBoxHandler.ErrorType.NATIVE);
                    }
                    DevSupportManagerImpl.this.l.a();
                    DevSupportManagerImpl.this.l.show();
                }
            }
        });
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void g() {
        String str;
        String str2;
        String str3;
        String str4;
        if (this.m == null && this.t && !ActivityManager.isUserAMonkey()) {
            LinkedHashMap linkedHashMap = new LinkedHashMap();
            linkedHashMap.put(this.b.getString(R.string.catalyst_reloadjs), new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass6 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.o();
                }
            });
            if (this.q.j()) {
                linkedHashMap.put(this.b.getString(R.string.catalyst_debugjs_nuclide) + " 💯", new DevOptionHandler() {
                    /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass7 */

                    @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                    public void a() {
                        DevSupportManagerImpl.this.e.a(DevSupportManagerImpl.this.b, "ReactNative");
                    }
                });
            }
            if (this.q.k()) {
                str = this.b.getString(R.string.catalyst_debugjs_off);
            } else {
                str = this.b.getString(R.string.catalyst_debugjs);
            }
            if (this.q.j()) {
                str = str + " 🙅";
            }
            linkedHashMap.put(str, new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass8 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.q.e(!DevSupportManagerImpl.this.q.k());
                    DevSupportManagerImpl.this.o();
                }
            });
            if (this.q.g()) {
                str2 = this.b.getString(R.string.catalyst_live_reload_off);
            } else {
                str2 = this.b.getString(R.string.catalyst_live_reload);
            }
            linkedHashMap.put(str2, new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass9 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.q.c(!DevSupportManagerImpl.this.q.g());
                }
            });
            if (this.q.f()) {
                str3 = this.b.getString(R.string.catalyst_hot_module_replacement_off);
            } else {
                str3 = this.b.getString(R.string.catalyst_hot_module_replacement);
            }
            linkedHashMap.put(str3, new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass10 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.q.b(!DevSupportManagerImpl.this.q.f());
                    DevSupportManagerImpl.this.o();
                }
            });
            linkedHashMap.put(this.b.getString(R.string.catalyst_element_inspector), new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass11 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.q.d(!DevSupportManagerImpl.this.q.h());
                    DevSupportManagerImpl.this.g.b();
                }
            });
            if (this.q.b()) {
                str4 = this.b.getString(R.string.catalyst_perf_monitor_off);
            } else {
                str4 = this.b.getString(R.string.catalyst_perf_monitor);
            }
            linkedHashMap.put(str4, new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass12 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    if (!DevSupportManagerImpl.this.q.b()) {
                        Activity c = DevSupportManagerImpl.this.g.c();
                        if (c == null) {
                            FLog.d("ReactNative", "Unable to get reference to react activity");
                        } else {
                            DebugOverlayController.a(c);
                        }
                    }
                    DevSupportManagerImpl.this.q.a(!DevSupportManagerImpl.this.q.b());
                }
            });
            linkedHashMap.put(this.b.getString(R.string.catalyst_poke_sampling_profiler), new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass13 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    DevSupportManagerImpl.this.u();
                }
            });
            linkedHashMap.put(this.b.getString(R.string.catalyst_settings), new DevOptionHandler() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass14 */

                @Override // com.facebook.react.devsupport.interfaces.DevOptionHandler
                public void a() {
                    Intent intent = new Intent(DevSupportManagerImpl.this.b, DevSettingsActivity.class);
                    intent.setFlags(268435456);
                    DevSupportManagerImpl.this.b.startActivity(intent);
                }
            });
            if (this.f.size() > 0) {
                linkedHashMap.putAll(this.f);
            }
            final DevOptionHandler[] devOptionHandlerArr = (DevOptionHandler[]) linkedHashMap.values().toArray(new DevOptionHandler[0]);
            Activity c2 = this.g.c();
            if (c2 == null || c2.isFinishing()) {
                FLog.d("ReactNative", "Unable to launch dev options menu because react activity isn't available");
                return;
            }
            this.m = new AlertDialog.Builder(c2).setItems((CharSequence[]) linkedHashMap.keySet().toArray(new String[0]), new DialogInterface.OnClickListener() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass16 */

                public void onClick(DialogInterface dialogInterface, int i) {
                    devOptionHandlerArr[i].a();
                    DevSupportManagerImpl.this.m = null;
                }
            }).setOnCancelListener(new DialogInterface.OnCancelListener() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass15 */

                public void onCancel(DialogInterface dialogInterface) {
                    DevSupportManagerImpl.this.m = null;
                }
            }).create();
            this.m.show();
        }
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void a(boolean z2) {
        this.t = z2;
        n();
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public boolean h() {
        return this.t;
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public DeveloperSettings i() {
        return this.q;
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void a(ReactContext reactContext) {
        c(reactContext);
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void b(ReactContext reactContext) {
        if (reactContext == this.p) {
            c((ReactContext) null);
        }
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public String j() {
        if (this.h == null) {
            return "";
        }
        return this.e.b((String) Assertions.b(this.h));
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public String k() {
        return this.e.c((String) Assertions.b(this.h));
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public String l() {
        return this.i.getAbsolutePath();
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public boolean m() {
        if (this.t && this.i.exists()) {
            try {
                String packageName = this.b.getPackageName();
                if (this.i.lastModified() > this.b.getPackageManager().getPackageInfo(packageName, 0).lastUpdateTime) {
                    File file = new File(String.format(Locale.US, "/data/local/tmp/exopackage/%s//secondary-dex", packageName));
                    if (!file.exists() || this.i.lastModified() > file.lastModified()) {
                        return true;
                    }
                    return false;
                }
            } catch (PackageManager.NameNotFoundException unused) {
                FLog.d("ReactNative", "DevSupport is unable to get current app info");
            }
        }
        return false;
    }

    private void c(@Nullable ReactContext reactContext) {
        if (this.p != reactContext) {
            this.p = reactContext;
            if (this.n != null) {
                this.n.a(false);
            }
            if (reactContext != null) {
                this.n = new DebugOverlayController(reactContext);
            }
            if (this.q.f() && this.p != null) {
                try {
                    URL url = new URL(j());
                    ((HMRClient) this.p.a(HMRClient.class)).enable("android", url.getPath().substring(1), url.getHost(), url.getPort());
                } catch (MalformedURLException e2) {
                    a(e2.getMessage(), e2);
                }
            }
            n();
        }
    }

    public void n() {
        if (UiThreadUtil.a()) {
            w();
        } else {
            UiThreadUtil.a(new Runnable() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass17 */

                public void run() {
                    DevSupportManagerImpl.this.w();
                }
            });
        }
    }

    @Override // com.facebook.react.devsupport.DevInternalSettings.Listener
    public void a() {
        n();
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void o() {
        UiThreadUtil.b();
        ReactMarker.logMarker(ReactMarkerConstants.RELOAD, this.q.a().a());
        f();
        if (this.q.k()) {
            PrinterHolder.a().a(ReactDebugOverlayTags.c, "RNCore: load from Proxy");
            this.k.a();
            this.o = true;
            v();
            return;
        }
        PrinterHolder.a().a(ReactDebugOverlayTags.c, "RNCore: load from Server");
        a(this.e.a((String) Assertions.b(this.h)));
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void a(PackagerStatusCallback packagerStatusCallback) {
        this.e.a(packagerStatusCallback);
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    @Nullable
    public String p() {
        return this.v;
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    @Nullable
    public StackFrame[] q() {
        return this.w;
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void d() {
        this.e.c();
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass18 */

            public void run() {
                DevSupportManagerImpl.this.o();
            }
        });
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void e() {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass19 */

            public void run() {
                DevSupportManagerImpl.this.g();
            }
        });
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void a(final Responder responder) {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass20 */

            public void run() {
                DevSupportManagerImpl.this.c((DevSupportManagerImpl) responder);
            }
        });
    }

    @Override // com.facebook.react.devsupport.DevServerHelper.PackagerCommandListener
    public void b(final Responder responder) {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass21 */

            public void run() {
                if (DevSupportManagerImpl.this.p == null) {
                    responder.b("JSCContext is missing, unable to profile");
                    return;
                }
                try {
                    JavaScriptContextHolder l = DevSupportManagerImpl.this.p.l();
                    synchronized (l) {
                        ((RequestHandler) Class.forName("com.facebook.react.packagerconnection.SamplingProfilerPackagerMethod").getConstructor(Long.TYPE).newInstance(Long.valueOf(l.a()))).a(null, responder);
                    }
                } catch (Exception unused) {
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(final Responder responder) {
        if (this.p != null) {
            ((JSCHeapCapture) this.p.b(JSCHeapCapture.class)).captureHeap(this.b.getCacheDir().getPath(), new JSCHeapCapture.CaptureCallback() {
                /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass22 */

                @Override // com.facebook.react.devsupport.JSCHeapCapture.CaptureCallback
                public void a(File file) {
                    responder.a(file.toString());
                }

                @Override // com.facebook.react.devsupport.JSCHeapCapture.CaptureCallback
                public void a(JSCHeapCapture.CaptureException captureException) {
                    responder.b(captureException.toString());
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void u() {
        try {
            Iterator<String> it = JSCSamplingProfiler.poke(60000).iterator();
            while (it.hasNext()) {
                String next = it.next();
                Toast.makeText(this.p, next == null ? "Started JSC Sampling Profiler" : "Stopped JSC Sampling Profiler", 1).show();
                new JscProfileTask(j(), null).executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, next);
            }
        } catch (JSCSamplingProfiler.ProfilerException e2) {
            a(e2.getMessage(), e2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(String str, StackFrame[] stackFrameArr, int i2, ErrorType errorType) {
        this.v = str;
        this.w = stackFrameArr;
        this.x = i2;
        this.y = errorType;
    }

    private void v() {
        this.e.g();
        this.g.a(new JavaJSExecutor.Factory() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass23 */

            @Override // com.facebook.react.bridge.JavaJSExecutor.Factory
            public JavaJSExecutor a() throws Exception {
                WebsocketJavaScriptExecutor websocketJavaScriptExecutor = new WebsocketJavaScriptExecutor();
                SimpleSettableFuture simpleSettableFuture = new SimpleSettableFuture();
                websocketJavaScriptExecutor.a(DevSupportManagerImpl.this.e.e(), DevSupportManagerImpl.this.a((DevSupportManagerImpl) simpleSettableFuture));
                try {
                    simpleSettableFuture.get(90, TimeUnit.SECONDS);
                    return websocketJavaScriptExecutor;
                } catch (ExecutionException e) {
                    throw ((Exception) e.getCause());
                } catch (InterruptedException | TimeoutException e2) {
                    throw new RuntimeException(e2);
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private WebsocketJavaScriptExecutor.JSExecutorConnectCallback a(final SimpleSettableFuture<Boolean> simpleSettableFuture) {
        return new WebsocketJavaScriptExecutor.JSExecutorConnectCallback() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass24 */

            @Override // com.facebook.react.devsupport.WebsocketJavaScriptExecutor.JSExecutorConnectCallback
            public void a() {
                simpleSettableFuture.a((Object) true);
                DevSupportManagerImpl.this.k.c();
                DevSupportManagerImpl.this.o = false;
            }

            @Override // com.facebook.react.devsupport.WebsocketJavaScriptExecutor.JSExecutorConnectCallback
            public void a(Throwable th) {
                DevSupportManagerImpl.this.k.c();
                DevSupportManagerImpl.this.o = false;
                FLog.c("ReactNative", "Unable to connect to remote debugger", th);
                simpleSettableFuture.a((Exception) new IOException(DevSupportManagerImpl.this.b.getString(R.string.catalyst_remotedbg_error), th));
            }
        };
    }

    public void a(String str) {
        ReactMarker.logMarker(ReactMarkerConstants.DOWNLOAD_START);
        this.k.a(str);
        this.o = true;
        final BundleDownloader.BundleInfo bundleInfo = new BundleDownloader.BundleInfo();
        this.e.a(new DevBundleDownloadListener() {
            /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass25 */

            @Override // com.facebook.react.devsupport.interfaces.DevBundleDownloadListener
            public void a() {
                DevSupportManagerImpl.this.k.c();
                DevSupportManagerImpl.this.o = false;
                synchronized (DevSupportManagerImpl.this) {
                    DevSupportManagerImpl.this.B.f2013a = true;
                    DevSupportManagerImpl.this.B.b = System.currentTimeMillis();
                }
                if (DevSupportManagerImpl.this.z != null) {
                    DevSupportManagerImpl.this.z.a();
                }
                UiThreadUtil.a(new Runnable() {
                    /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass25.AnonymousClass1 */

                    public void run() {
                        ReactMarker.logMarker(ReactMarkerConstants.DOWNLOAD_END, bundleInfo.a());
                        DevSupportManagerImpl.this.g.a();
                    }
                });
            }

            @Override // com.facebook.react.devsupport.interfaces.DevBundleDownloadListener
            public void a(@Nullable String str, @Nullable Integer num, @Nullable Integer num2) {
                DevSupportManagerImpl.this.k.a(str, num, num2);
                if (DevSupportManagerImpl.this.z != null) {
                    DevSupportManagerImpl.this.z.a(str, num, num2);
                }
            }

            @Override // com.facebook.react.devsupport.interfaces.DevBundleDownloadListener
            public void a(final Exception exc) {
                DevSupportManagerImpl.this.k.c();
                DevSupportManagerImpl.this.o = false;
                synchronized (DevSupportManagerImpl.this) {
                    DevSupportManagerImpl.this.B.f2013a = false;
                }
                if (DevSupportManagerImpl.this.z != null) {
                    DevSupportManagerImpl.this.z.a(exc);
                }
                FLog.c("ReactNative", "Unable to download JS bundle", exc);
                UiThreadUtil.a(new Runnable() {
                    /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass25.AnonymousClass2 */

                    public void run() {
                        if (exc instanceof DebugServerException) {
                            DevSupportManagerImpl.this.a(((DebugServerException) exc).getMessage(), exc);
                        } else {
                            DevSupportManagerImpl.this.a(DevSupportManagerImpl.this.b.getString(R.string.catalyst_jsload_error), exc);
                        }
                    }
                });
            }
        }, this.i, str, bundleInfo);
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void r() {
        if (this.t) {
            this.e.b();
        }
    }

    @Override // com.facebook.react.devsupport.interfaces.DevSupportManager
    public void s() {
        this.e.d();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void w() {
        UiThreadUtil.b();
        if (this.t) {
            if (this.n != null) {
                this.n.a(this.q.b());
            }
            if (!this.s) {
                this.c.a((SensorManager) this.b.getSystemService("sensor"));
                this.s = true;
            }
            if (!this.r) {
                IntentFilter intentFilter = new IntentFilter();
                intentFilter.addAction(b(this.b));
                this.b.registerReceiver(this.d, intentFilter);
                this.r = true;
            }
            if (this.o) {
                this.k.b();
            }
            this.e.a(getClass().getSimpleName(), this);
            if (this.q.g()) {
                this.e.a(new DevServerHelper.OnServerContentChangeListener() {
                    /* class com.facebook.react.devsupport.DevSupportManagerImpl.AnonymousClass26 */

                    @Override // com.facebook.react.devsupport.DevServerHelper.OnServerContentChangeListener
                    public void a() {
                        DevSupportManagerImpl.this.o();
                    }
                });
            } else {
                this.e.f();
            }
        } else {
            if (this.n != null) {
                this.n.a(false);
            }
            if (this.s) {
                this.c.a();
                this.s = false;
            }
            if (this.r) {
                this.b.unregisterReceiver(this.d);
                this.r = false;
            }
            f();
            t();
            this.k.c();
            this.e.a();
            this.e.f();
        }
    }

    /* access modifiers changed from: private */
    public static String b(Context context) {
        return context.getPackageName() + ".RELOAD_APP_ACTION";
    }
}
