package com.facebook.react.devsupport;

import android.os.AsyncTask;
import android.os.Handler;
import android.os.Looper;
import com.facebook.common.logging.FLog;
import com.facebook.react.bridge.Inspector;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.WebSocket;
import okhttp3.WebSocketListener;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class InspectorPackagerConnection {

    /* renamed from: a  reason: collision with root package name */
    private final Connection f2011a;
    private final Map<String, Inspector.LocalConnection> b = new HashMap();
    private final String c;
    private BundleStatusProvider d;

    public interface BundleStatusProvider {
        BundleStatus a();
    }

    public InspectorPackagerConnection(String str, String str2, BundleStatusProvider bundleStatusProvider) {
        this.f2011a = new Connection(str);
        this.c = str2;
        this.d = bundleStatusProvider;
    }

    public void a() {
        this.f2011a.a();
    }

    public void b() {
        this.f2011a.b();
    }

    public void a(String str) {
        for (Map.Entry<String, Inspector.LocalConnection> entry : this.b.entrySet()) {
            entry.getValue().sendMessage(str);
        }
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x004b  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0062  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x006c  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0080  */
    public void a(JSONObject jSONObject) throws JSONException, IOException {
        char c2;
        String string = jSONObject.getString("event");
        int hashCode = string.hashCode();
        if (hashCode != 530405532) {
            if (hashCode != 951351530) {
                if (hashCode != 1328613653) {
                    if (hashCode == 1962251790 && string.equals("getPages")) {
                        c2 = 0;
                        switch (c2) {
                            case 0:
                                a("getPages", d());
                                return;
                            case 1:
                                d(jSONObject.getJSONObject("payload"));
                                return;
                            case 2:
                                b(jSONObject.getJSONObject("payload"));
                                return;
                            case 3:
                                c(jSONObject.getJSONObject("payload"));
                                return;
                            default:
                                throw new IllegalArgumentException("Unknown event: " + string);
                        }
                    }
                } else if (string.equals("wrappedEvent")) {
                    c2 = 1;
                    switch (c2) {
                    }
                }
            } else if (string.equals("connect")) {
                c2 = 2;
                switch (c2) {
                }
            }
        } else if (string.equals("disconnect")) {
            c2 = 3;
            switch (c2) {
            }
        }
        c2 = 65535;
        switch (c2) {
        }
    }

    /* access modifiers changed from: package-private */
    public void c() {
        for (Map.Entry<String, Inspector.LocalConnection> entry : this.b.entrySet()) {
            entry.getValue().disconnect();
        }
        this.b.clear();
    }

    private void b(JSONObject jSONObject) throws JSONException {
        final String string = jSONObject.getString("pageId");
        if (this.b.remove(string) == null) {
            try {
                this.b.put(string, Inspector.a(Integer.parseInt(string), new Inspector.RemoteConnection() {
                    /* class com.facebook.react.devsupport.InspectorPackagerConnection.AnonymousClass1 */
                }));
            } catch (Exception e) {
                FLog.b("InspectorPackagerConnection", "Failed to open page: " + string, e);
                a("disconnect", b(string));
            }
        } else {
            throw new IllegalStateException("Already connected: " + string);
        }
    }

    private void c(JSONObject jSONObject) throws JSONException {
        Inspector.LocalConnection remove = this.b.remove(jSONObject.getString("pageId"));
        if (remove != null) {
            remove.disconnect();
        }
    }

    private void d(JSONObject jSONObject) throws JSONException {
        String string = jSONObject.getString("pageId");
        String string2 = jSONObject.getString("wrappedEvent");
        Inspector.LocalConnection localConnection = this.b.get(string);
        if (localConnection != null) {
            localConnection.sendMessage(string2);
            return;
        }
        throw new IllegalStateException("Not connected: " + string);
    }

    private JSONArray d() throws JSONException {
        List<Inspector.Page> a2 = Inspector.a();
        JSONArray jSONArray = new JSONArray();
        BundleStatus a3 = this.d.a();
        for (Inspector.Page page : a2) {
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("id", String.valueOf(page.a()));
            jSONObject.put("title", page.b());
            jSONObject.put("app", this.c);
            jSONObject.put("vm", page.c());
            jSONObject.put("isLastBundleDownloadSuccess", a3.f2013a);
            jSONObject.put("bundleUpdateTimestamp", a3.b);
            jSONArray.put(jSONObject);
        }
        return jSONArray;
    }

    private void a(String str, Object obj) throws JSONException {
        JSONObject jSONObject = new JSONObject();
        jSONObject.put("event", str);
        jSONObject.put("payload", obj);
        this.f2011a.a(jSONObject);
    }

    private JSONObject b(String str) throws JSONException {
        JSONObject jSONObject = new JSONObject();
        jSONObject.put("pageId", str);
        return jSONObject;
    }

    /* access modifiers changed from: private */
    public class Connection extends WebSocketListener {
        private final String b;
        private OkHttpClient c;
        @Nullable
        private WebSocket d;
        private final Handler e = new Handler(Looper.getMainLooper());
        private boolean f;
        private boolean g;

        public Connection(String str) {
            this.b = str;
        }

        @Override // okhttp3.WebSocketListener
        public void onOpen(WebSocket webSocket, Response response) {
            this.d = webSocket;
        }

        @Override // okhttp3.WebSocketListener
        public void onFailure(WebSocket webSocket, Throwable th, Response response) {
            if (this.d != null) {
                a("Websocket exception", th);
            }
            if (!this.f) {
                c();
            }
        }

        @Override // okhttp3.WebSocketListener
        public void onMessage(WebSocket webSocket, String str) {
            try {
                InspectorPackagerConnection.this.a(new JSONObject(str));
            } catch (Exception e2) {
                throw new RuntimeException(e2);
            }
        }

        @Override // okhttp3.WebSocketListener
        public void onClosed(WebSocket webSocket, int i, String str) {
            this.d = null;
            InspectorPackagerConnection.this.c();
            if (!this.f) {
                c();
            }
        }

        public void a() {
            if (!this.f) {
                if (this.c == null) {
                    this.c = new OkHttpClient.Builder().connectTimeout(10, TimeUnit.SECONDS).writeTimeout(10, TimeUnit.SECONDS).readTimeout(0, TimeUnit.MINUTES).build();
                }
                this.c.newWebSocket(new Request.Builder().url(this.b).build(), this);
                return;
            }
            throw new IllegalStateException("Can't connect closed client");
        }

        private void c() {
            if (!this.f) {
                if (!this.g) {
                    FLog.c("InspectorPackagerConnection", "Couldn't connect to packager, will silently retry");
                    this.g = true;
                }
                this.e.postDelayed(new Runnable() {
                    /* class com.facebook.react.devsupport.InspectorPackagerConnection.Connection.AnonymousClass1 */

                    public void run() {
                        if (!Connection.this.f) {
                            Connection.this.a();
                        }
                    }
                }, 2000);
                return;
            }
            throw new IllegalStateException("Can't reconnect closed client");
        }

        public void b() {
            this.f = true;
            if (this.d != null) {
                try {
                    this.d.close(1000, "End of session");
                } catch (Exception unused) {
                }
                this.d = null;
            }
        }

        public void a(final JSONObject jSONObject) {
            new AsyncTask<WebSocket, Void, Void>() {
                /* class com.facebook.react.devsupport.InspectorPackagerConnection.Connection.AnonymousClass2 */

                /* access modifiers changed from: protected */
                /* renamed from: a */
                public Void doInBackground(WebSocket... webSocketArr) {
                    if (webSocketArr == null || webSocketArr.length == 0) {
                        return null;
                    }
                    try {
                        webSocketArr[0].send(jSONObject.toString());
                    } catch (Exception e) {
                        FLog.b("InspectorPackagerConnection", "Couldn't send event to packager", e);
                    }
                    return null;
                }
            }.execute(this.d);
        }

        private void a(String str, Throwable th) {
            FLog.c("InspectorPackagerConnection", "Error occurred, shutting down websocket connection: " + str, th);
            InspectorPackagerConnection.this.c();
            d();
        }

        private void d() {
            if (this.d != null) {
                try {
                    this.d.close(1000, "End of session");
                } catch (Exception unused) {
                }
                this.d = null;
            }
        }
    }

    public static class BundleStatus {

        /* renamed from: a  reason: collision with root package name */
        public Boolean f2013a;
        public long b;

        public BundleStatus(Boolean bool, long j) {
            this.b = -1;
            this.f2013a = bool;
            this.b = j;
        }

        public BundleStatus() {
            this(false, -1);
        }
    }
}
