package com.facebook.react.devsupport;

import android.util.JsonReader;
import android.util.JsonToken;
import android.util.JsonWriter;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.common.JavascriptException;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.IOException;
import java.io.StringReader;
import java.io.StringWriter;
import java.util.HashMap;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.Nullable;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.WebSocket;
import okhttp3.WebSocketListener;

public class JSDebuggerWebSocketClient extends WebSocketListener {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private WebSocket f2017a;
    @Nullable
    private OkHttpClient b;
    @Nullable
    private JSDebuggerCallback c;
    private final AtomicInteger d = new AtomicInteger();
    private final ConcurrentHashMap<Integer, JSDebuggerCallback> e = new ConcurrentHashMap<>();

    public interface JSDebuggerCallback {
        void a(@Nullable String str);

        void a(Throwable th);
    }

    public void a(String str, JSDebuggerCallback jSDebuggerCallback) {
        if (this.b == null) {
            this.c = jSDebuggerCallback;
            this.b = new OkHttpClient.Builder().connectTimeout(10, TimeUnit.SECONDS).writeTimeout(10, TimeUnit.SECONDS).readTimeout(0, TimeUnit.MINUTES).build();
            this.b.newWebSocket(new Request.Builder().url(str).build(), this);
            return;
        }
        throw new IllegalStateException("JSDebuggerWebSocketClient is already initialized.");
    }

    public void a(JSDebuggerCallback jSDebuggerCallback) {
        int andIncrement = this.d.getAndIncrement();
        this.e.put(Integer.valueOf(andIncrement), jSDebuggerCallback);
        try {
            StringWriter stringWriter = new StringWriter();
            new JsonWriter(stringWriter).beginObject().name("id").value((long) andIncrement).name("method").value("prepareJSRuntime").endObject().close();
            a(andIncrement, stringWriter.toString());
        } catch (IOException e2) {
            a(andIncrement, e2);
        }
    }

    public void a(String str, HashMap<String, String> hashMap, JSDebuggerCallback jSDebuggerCallback) {
        int andIncrement = this.d.getAndIncrement();
        this.e.put(Integer.valueOf(andIncrement), jSDebuggerCallback);
        try {
            StringWriter stringWriter = new StringWriter();
            JsonWriter beginObject = new JsonWriter(stringWriter).beginObject().name("id").value((long) andIncrement).name("method").value("executeApplicationScript").name(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL).value(str).name("inject").beginObject();
            for (String str2 : hashMap.keySet()) {
                beginObject.name(str2).value(hashMap.get(str2));
            }
            beginObject.endObject().endObject().close();
            a(andIncrement, stringWriter.toString());
        } catch (IOException e2) {
            a(andIncrement, e2);
        }
    }

    public void a(String str, String str2, JSDebuggerCallback jSDebuggerCallback) {
        int andIncrement = this.d.getAndIncrement();
        this.e.put(Integer.valueOf(andIncrement), jSDebuggerCallback);
        try {
            StringWriter stringWriter = new StringWriter();
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            jsonWriter.beginObject().name("id").value((long) andIncrement).name("method").value(str);
            stringWriter.append((CharSequence) ",\"arguments\":").append((CharSequence) str2);
            jsonWriter.endObject().close();
            a(andIncrement, stringWriter.toString());
        } catch (IOException e2) {
            a(andIncrement, e2);
        }
    }

    public void a() {
        if (this.f2017a != null) {
            try {
                this.f2017a.close(1000, "End of session");
            } catch (Exception unused) {
            }
            this.f2017a = null;
        }
    }

    private void a(int i, String str) {
        if (this.f2017a == null) {
            a(i, new IllegalStateException("WebSocket connection no longer valid"));
            return;
        }
        try {
            this.f2017a.send(str);
        } catch (Exception e2) {
            a(i, e2);
        }
    }

    private void a(int i, Throwable th) {
        JSDebuggerCallback jSDebuggerCallback = this.e.get(Integer.valueOf(i));
        if (jSDebuggerCallback != null) {
            this.e.remove(Integer.valueOf(i));
            jSDebuggerCallback.a(th);
        }
    }

    private void b(int i, @Nullable String str) {
        JSDebuggerCallback jSDebuggerCallback = this.e.get(Integer.valueOf(i));
        if (jSDebuggerCallback != null) {
            this.e.remove(Integer.valueOf(i));
            jSDebuggerCallback.a(str);
        }
    }

    @Override // okhttp3.WebSocketListener
    public void onMessage(WebSocket webSocket, String str) {
        Integer num = null;
        try {
            JsonReader jsonReader = new JsonReader(new StringReader(str));
            jsonReader.beginObject();
            String str2 = null;
            while (jsonReader.hasNext()) {
                String nextName = jsonReader.nextName();
                if (JsonToken.NULL == jsonReader.peek()) {
                    jsonReader.skipValue();
                } else if ("replyID".equals(nextName)) {
                    num = Integer.valueOf(jsonReader.nextInt());
                } else if ("result".equals(nextName)) {
                    str2 = jsonReader.nextString();
                } else if ("error".equals(nextName)) {
                    String nextString = jsonReader.nextString();
                    a(nextString, new JavascriptException(nextString));
                }
            }
            if (num != null) {
                b(num.intValue(), str2);
            }
        } catch (IOException e2) {
            if (0 != 0) {
                a(num.intValue(), e2);
            } else {
                a("Parsing response message from websocket failed", e2);
            }
        }
    }

    @Override // okhttp3.WebSocketListener
    public void onFailure(WebSocket webSocket, Throwable th, Response response) {
        a("Websocket exception", th);
    }

    @Override // okhttp3.WebSocketListener
    public void onOpen(WebSocket webSocket, Response response) {
        this.f2017a = webSocket;
        ((JSDebuggerCallback) Assertions.b(this.c)).a((String) null);
        this.c = null;
    }

    @Override // okhttp3.WebSocketListener
    public void onClosed(WebSocket webSocket, int i, String str) {
        this.f2017a = null;
    }

    private void a(String str, Throwable th) {
        FLog.c("JSDebuggerWebSocketClient", "Error occurred, shutting down websocket connection: " + str, th);
        a();
        if (this.c != null) {
            this.c.a(th);
            this.c = null;
        }
        for (JSDebuggerCallback jSDebuggerCallback : this.e.values()) {
            jSDebuggerCallback.a(th);
        }
        this.e.clear();
    }
}
