package com.facebook.react.devsupport;

import android.app.Dialog;
import android.content.Context;
import android.net.Uri;
import android.os.AsyncTask;
import android.text.method.LinkMovementMethod;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.R;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.devsupport.RedBoxHandler;
import com.facebook.react.devsupport.interfaces.DevSupportManager;
import com.facebook.react.devsupport.interfaces.StackFrame;
import javax.annotation.Nullable;
import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import org.json.JSONObject;

/* access modifiers changed from: package-private */
public class RedBoxDialog extends Dialog implements AdapterView.OnItemClickListener {

    /* renamed from: a  reason: collision with root package name */
    private final DevSupportManager f2020a;
    private final DoubleTapReloadRecognizer b;
    @Nullable
    private final RedBoxHandler c;
    private ListView d;
    private Button e;
    private Button f;
    private Button g;
    @Nullable
    private Button h;
    @Nullable
    private TextView i;
    @Nullable
    private ProgressBar j;
    @Nullable
    private View k;
    private boolean l = false;
    private RedBoxHandler.ReportCompletedListener m = new RedBoxHandler.ReportCompletedListener() {
        /* class com.facebook.react.devsupport.RedBoxDialog.AnonymousClass1 */
    };
    private View.OnClickListener n = new View.OnClickListener() {
        /* class com.facebook.react.devsupport.RedBoxDialog.AnonymousClass2 */

        public void onClick(View view) {
            if (RedBoxDialog.this.c != null && RedBoxDialog.this.c.a() && !RedBoxDialog.this.l) {
                RedBoxDialog.this.l = true;
                ((TextView) Assertions.b(RedBoxDialog.this.i)).setText("Reporting...");
                ((TextView) Assertions.b(RedBoxDialog.this.i)).setVisibility(0);
                ((ProgressBar) Assertions.b(RedBoxDialog.this.j)).setVisibility(0);
                ((View) Assertions.b(RedBoxDialog.this.k)).setVisibility(0);
                ((Button) Assertions.b(RedBoxDialog.this.h)).setEnabled(false);
                RedBoxDialog.this.c.a(view.getContext(), (String) Assertions.b(RedBoxDialog.this.f2020a.p()), (StackFrame[]) Assertions.b(RedBoxDialog.this.f2020a.q()), RedBoxDialog.this.f2020a.j(), (RedBoxHandler.ReportCompletedListener) Assertions.b(RedBoxDialog.this.m));
            }
        }
    };

    private static class StackAdapter extends BaseAdapter {

        /* renamed from: a  reason: collision with root package name */
        private final String f2028a;
        private final StackFrame[] b;

        public boolean areAllItemsEnabled() {
            return false;
        }

        public long getItemId(int i) {
            return (long) i;
        }

        public int getItemViewType(int i) {
            return i == 0 ? 0 : 1;
        }

        public int getViewTypeCount() {
            return 2;
        }

        public boolean isEnabled(int i) {
            return i > 0;
        }

        private static class FrameViewHolder {

            /* renamed from: a  reason: collision with root package name */
            private final TextView f2029a;
            private final TextView b;

            private FrameViewHolder(View view) {
                this.f2029a = (TextView) view.findViewById(R.id.rn_frame_method);
                this.b = (TextView) view.findViewById(R.id.rn_frame_file);
            }
        }

        public StackAdapter(String str, StackFrame[] stackFrameArr) {
            this.f2028a = str;
            this.b = stackFrameArr;
        }

        public int getCount() {
            return this.b.length + 1;
        }

        public Object getItem(int i) {
            return i == 0 ? this.f2028a : this.b[i - 1];
        }

        public View getView(int i, View view, ViewGroup viewGroup) {
            TextView textView;
            if (i == 0) {
                if (view != null) {
                    textView = (TextView) view;
                } else {
                    textView = (TextView) LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.redbox_item_title, viewGroup, false);
                }
                textView.setText(this.f2028a);
                return textView;
            }
            if (view == null) {
                view = LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.redbox_item_frame, viewGroup, false);
                view.setTag(new FrameViewHolder(view));
            }
            StackFrame stackFrame = this.b[i - 1];
            FrameViewHolder frameViewHolder = (FrameViewHolder) view.getTag();
            frameViewHolder.f2029a.setText(stackFrame.b());
            frameViewHolder.b.setText(StackTraceHelper.a(stackFrame));
            return view;
        }
    }

    private static class OpenStackFrameTask extends AsyncTask<StackFrame, Void, Void> {

        /* renamed from: a  reason: collision with root package name */
        private static final MediaType f2027a = MediaType.parse("application/json; charset=utf-8");
        private final DevSupportManager b;

        private OpenStackFrameTask(DevSupportManager devSupportManager) {
            this.b = devSupportManager;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Void doInBackground(StackFrame... stackFrameArr) {
            try {
                String uri = Uri.parse(this.b.j()).buildUpon().path("/open-stack-frame").query(null).build().toString();
                OkHttpClient okHttpClient = new OkHttpClient();
                for (StackFrame stackFrame : stackFrameArr) {
                    okHttpClient.newCall(new Request.Builder().url(uri).post(RequestBody.create(f2027a, a(stackFrame).toString())).build()).execute();
                }
            } catch (Exception e) {
                FLog.c("ReactNative", "Could not open stack frame", e);
            }
            return null;
        }

        private static JSONObject a(StackFrame stackFrame) {
            return new JSONObject(MapBuilder.a("file", stackFrame.a(), "methodName", stackFrame.b(), "lineNumber", Integer.valueOf(stackFrame.c()), "column", Integer.valueOf(stackFrame.d())));
        }
    }

    private static class CopyToHostClipBoardTask extends AsyncTask<String, Void, Void> {

        /* renamed from: a  reason: collision with root package name */
        private final DevSupportManager f2026a;

        private CopyToHostClipBoardTask(DevSupportManager devSupportManager) {
            this.f2026a = devSupportManager;
        }

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public Void doInBackground(String... strArr) {
            try {
                String uri = Uri.parse(this.f2026a.j()).buildUpon().path("/copy-to-clipboard").query(null).build().toString();
                for (String str : strArr) {
                    new OkHttpClient().newCall(new Request.Builder().url(uri).post(RequestBody.create((MediaType) null, str)).build()).execute();
                }
            } catch (Exception e) {
                FLog.c("ReactNative", "Could not copy to the host clipboard", e);
            }
            return null;
        }
    }

    protected RedBoxDialog(Context context, DevSupportManager devSupportManager, @Nullable RedBoxHandler redBoxHandler) {
        super(context, R.style.Theme_Catalyst_RedBox);
        requestWindowFeature(1);
        setContentView(R.layout.redbox_view);
        this.f2020a = devSupportManager;
        this.b = new DoubleTapReloadRecognizer();
        this.c = redBoxHandler;
        this.d = (ListView) findViewById(R.id.rn_redbox_stack);
        this.d.setOnItemClickListener(this);
        this.e = (Button) findViewById(R.id.rn_redbox_reload_button);
        this.e.setOnClickListener(new View.OnClickListener() {
            /* class com.facebook.react.devsupport.RedBoxDialog.AnonymousClass3 */

            public void onClick(View view) {
                RedBoxDialog.this.f2020a.o();
            }
        });
        this.f = (Button) findViewById(R.id.rn_redbox_dismiss_button);
        this.f.setOnClickListener(new View.OnClickListener() {
            /* class com.facebook.react.devsupport.RedBoxDialog.AnonymousClass4 */

            public void onClick(View view) {
                RedBoxDialog.this.dismiss();
            }
        });
        this.g = (Button) findViewById(R.id.rn_redbox_copy_button);
        this.g.setOnClickListener(new View.OnClickListener() {
            /* class com.facebook.react.devsupport.RedBoxDialog.AnonymousClass5 */

            public void onClick(View view) {
                String p = RedBoxDialog.this.f2020a.p();
                StackFrame[] q = RedBoxDialog.this.f2020a.q();
                Assertions.b(p);
                Assertions.b(q);
                new CopyToHostClipBoardTask(RedBoxDialog.this.f2020a).executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, StackTraceHelper.a(p, q));
            }
        });
        if (this.c != null && this.c.a()) {
            this.j = (ProgressBar) findViewById(R.id.rn_redbox_loading_indicator);
            this.k = findViewById(R.id.rn_redbox_line_separator);
            this.i = (TextView) findViewById(R.id.rn_redbox_report_label);
            this.i.setMovementMethod(LinkMovementMethod.getInstance());
            this.i.setHighlightColor(0);
            this.h = (Button) findViewById(R.id.rn_redbox_report_button);
            this.h.setOnClickListener(this.n);
        }
    }

    public void a(String str, StackFrame[] stackFrameArr) {
        this.d.setAdapter((ListAdapter) new StackAdapter(str, stackFrameArr));
    }

    public void a() {
        if (this.c != null && this.c.a()) {
            this.l = false;
            ((TextView) Assertions.b(this.i)).setVisibility(8);
            ((ProgressBar) Assertions.b(this.j)).setVisibility(8);
            ((View) Assertions.b(this.k)).setVisibility(8);
            ((Button) Assertions.b(this.h)).setVisibility(0);
            ((Button) Assertions.b(this.h)).setEnabled(true);
        }
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
        new OpenStackFrameTask(this.f2020a).executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, (StackFrame) this.d.getAdapter().getItem(i2));
    }

    public boolean onKeyUp(int i2, KeyEvent keyEvent) {
        if (i2 == 82) {
            this.f2020a.g();
            return true;
        }
        if (this.b.a(i2, getCurrentFocus())) {
            this.f2020a.o();
        }
        return super.onKeyUp(i2, keyEvent);
    }
}
