package com.facebook.react.devsupport;

import android.os.Handler;
import android.os.Looper;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.JavaJSExecutor;
import com.facebook.react.devsupport.JSDebuggerWebSocketClient;
import java.util.HashMap;
import java.util.concurrent.Semaphore;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.Nullable;

public class WebsocketJavaScriptExecutor implements JavaJSExecutor {

    /* renamed from: a  reason: collision with root package name */
    private final HashMap<String, String> f2033a = new HashMap<>();
    @Nullable
    private JSDebuggerWebSocketClient b;

    public interface JSExecutorConnectCallback {
        void a();

        void a(Throwable th);
    }

    public static class WebsocketExecutorTimeoutException extends Exception {
        public WebsocketExecutorTimeoutException(String str) {
            super(str);
        }
    }

    private static class JSExecutorCallbackFuture implements JSDebuggerWebSocketClient.JSDebuggerCallback {

        /* renamed from: a  reason: collision with root package name */
        private final Semaphore f2038a;
        @Nullable
        private Throwable b;
        @Nullable
        private String c;

        private JSExecutorCallbackFuture() {
            this.f2038a = new Semaphore(0);
        }

        @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
        public void a(@Nullable String str) {
            this.c = str;
            this.f2038a.release();
        }

        @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
        public void a(Throwable th) {
            this.b = th;
            this.f2038a.release();
        }

        @Nullable
        public String a() throws Throwable {
            this.f2038a.acquire();
            if (this.b == null) {
                return this.c;
            }
            throw this.b;
        }
    }

    public void a(final String str, final JSExecutorConnectCallback jSExecutorConnectCallback) {
        final AtomicInteger atomicInteger = new AtomicInteger(3);
        b(str, new JSExecutorConnectCallback() {
            /* class com.facebook.react.devsupport.WebsocketJavaScriptExecutor.AnonymousClass1 */

            @Override // com.facebook.react.devsupport.WebsocketJavaScriptExecutor.JSExecutorConnectCallback
            public void a() {
                jSExecutorConnectCallback.a();
            }

            @Override // com.facebook.react.devsupport.WebsocketJavaScriptExecutor.JSExecutorConnectCallback
            public void a(Throwable th) {
                if (atomicInteger.decrementAndGet() <= 0) {
                    jSExecutorConnectCallback.a(th);
                } else {
                    WebsocketJavaScriptExecutor.this.b(str, this);
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(String str, final JSExecutorConnectCallback jSExecutorConnectCallback) {
        final JSDebuggerWebSocketClient jSDebuggerWebSocketClient = new JSDebuggerWebSocketClient();
        final Handler handler = new Handler(Looper.getMainLooper());
        jSDebuggerWebSocketClient.a(str, new JSDebuggerWebSocketClient.JSDebuggerCallback() {
            /* class com.facebook.react.devsupport.WebsocketJavaScriptExecutor.AnonymousClass2 */
            private boolean e = false;

            @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
            public void a(@Nullable String str) {
                jSDebuggerWebSocketClient.a(new JSDebuggerWebSocketClient.JSDebuggerCallback() {
                    /* class com.facebook.react.devsupport.WebsocketJavaScriptExecutor.AnonymousClass2.AnonymousClass1 */

                    @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
                    public void a(@Nullable String str) {
                        handler.removeCallbacksAndMessages(null);
                        WebsocketJavaScriptExecutor.this.b = jSDebuggerWebSocketClient;
                        if (!AnonymousClass2.this.e) {
                            jSExecutorConnectCallback.a();
                            AnonymousClass2.this.e = true;
                        }
                    }

                    @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
                    public void a(Throwable th) {
                        handler.removeCallbacksAndMessages(null);
                        if (!AnonymousClass2.this.e) {
                            jSExecutorConnectCallback.a(th);
                            AnonymousClass2.this.e = true;
                        }
                    }
                });
            }

            @Override // com.facebook.react.devsupport.JSDebuggerWebSocketClient.JSDebuggerCallback
            public void a(Throwable th) {
                handler.removeCallbacksAndMessages(null);
                if (!this.e) {
                    jSExecutorConnectCallback.a(th);
                    this.e = true;
                }
            }
        });
        handler.postDelayed(new Runnable() {
            /* class com.facebook.react.devsupport.WebsocketJavaScriptExecutor.AnonymousClass3 */

            public void run() {
                jSDebuggerWebSocketClient.a();
                jSExecutorConnectCallback.a(new WebsocketExecutorTimeoutException("Timeout while connecting to remote debugger"));
            }
        }, 5000);
    }

    @Override // com.facebook.react.bridge.JavaJSExecutor
    public void a() {
        if (this.b != null) {
            this.b.a();
        }
    }

    @Override // com.facebook.react.bridge.JavaJSExecutor
    public void loadApplicationScript(String str) throws JavaJSExecutor.ProxyExecutorException {
        JSExecutorCallbackFuture jSExecutorCallbackFuture = new JSExecutorCallbackFuture();
        ((JSDebuggerWebSocketClient) Assertions.b(this.b)).a(str, this.f2033a, jSExecutorCallbackFuture);
        try {
            jSExecutorCallbackFuture.a();
        } catch (Throwable th) {
            throw new JavaJSExecutor.ProxyExecutorException(th);
        }
    }

    @Override // com.facebook.react.bridge.JavaJSExecutor
    @Nullable
    public String executeJSCall(String str, String str2) throws JavaJSExecutor.ProxyExecutorException {
        JSExecutorCallbackFuture jSExecutorCallbackFuture = new JSExecutorCallbackFuture();
        ((JSDebuggerWebSocketClient) Assertions.b(this.b)).a(str, str2, jSExecutorCallbackFuture);
        try {
            return jSExecutorCallbackFuture.a();
        } catch (Throwable th) {
            throw new JavaJSExecutor.ProxyExecutorException(th);
        }
    }

    @Override // com.facebook.react.bridge.JavaJSExecutor
    public void setGlobalVariable(String str, String str2) {
        this.f2033a.put(str, str2);
    }
}
