package com.facebook.react.fabric;

import android.view.View;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.UIManager;
import com.facebook.react.modules.i18nmanager.I18nUtil;
import com.facebook.react.uimanager.ReactRootViewTagGenerator;
import com.facebook.react.uimanager.ReactShadowNode;
import com.facebook.react.uimanager.ReactShadowNodeImpl;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.UIViewOperationQueue;
import com.facebook.react.uimanager.common.MeasureSpecProvider;
import com.facebook.react.uimanager.common.SizeMonitoringFrameLayout;

public class FabricUIManager implements UIManager {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2040a = FabricUIManager.class.toString();
    private final RootShadowNodeRegistry b;
    private final ReactApplicationContext c;
    private final UIViewOperationQueue d;

    @Override // com.facebook.react.bridge.UIManager
    public <T extends SizeMonitoringFrameLayout & MeasureSpecProvider> int addRootView(T t) {
        int a2 = ReactRootViewTagGenerator.a();
        ThemedReactContext themedReactContext = new ThemedReactContext(this.c, t.getContext());
        ReactShadowNode a3 = a(a2, themedReactContext);
        T t2 = t;
        a(a3, t2.getWidthMeasureSpec(), t2.getHeightMeasureSpec());
        this.b.a(a3);
        this.d.a(a2, t, themedReactContext);
        return a2;
    }

    private ReactShadowNode a(int i, ThemedReactContext themedReactContext) {
        ReactShadowNodeImpl reactShadowNodeImpl = new ReactShadowNodeImpl();
        I18nUtil.a();
        reactShadowNodeImpl.a("Root");
        reactShadowNodeImpl.c(i);
        reactShadowNodeImpl.a(themedReactContext);
        return reactShadowNodeImpl;
    }

    public void a(ReactShadowNode reactShadowNode, int i, int i2) {
        int mode = View.MeasureSpec.getMode(i);
        int size = View.MeasureSpec.getSize(i);
        if (mode == Integer.MIN_VALUE) {
            reactShadowNode.d((float) size);
        } else if (mode == 0) {
            reactShadowNode.ah();
        } else if (mode == 1073741824) {
            reactShadowNode.a((float) size);
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i2);
        if (mode2 == Integer.MIN_VALUE) {
            reactShadowNode.e((float) size2);
        } else if (mode2 == 0) {
            reactShadowNode.ai();
        } else if (mode2 == 1073741824) {
            reactShadowNode.b((float) size2);
        }
    }
}
