package com.facebook.react.flat;

import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.animation.Animation;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.uimanager.ReactClippingViewGroup;
import com.facebook.react.uimanager.ReactClippingViewGroupHelper;
import java.util.ArrayList;
import java.util.Arrays;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public abstract class ClippingDrawCommandManager extends DrawCommandManager {
    private static final String f = "ClippingDrawCommandManager";

    /* renamed from: a  reason: collision with root package name */
    protected float[] f2043a = StateBuilder.f2066a;
    protected float[] b = StateBuilder.f2066a;
    protected float[] c = StateBuilder.f2066a;
    protected float[] d = StateBuilder.f2066a;
    protected final Rect e = new Rect();
    private final FlatViewGroup g;
    private DrawCommand[] h = DrawCommand.b;
    private NodeRegion[] i = NodeRegion.f2062a;
    private int j;
    private int k;
    private SparseIntArray l = StateBuilder.b;
    private final SparseArray<View> m = new SparseArray<>();
    private final SparseArray<View> n = new SparseArray<>();
    private final ArrayList<View> o = new ArrayList<>();
    private final ArrayList<ReactClippingViewGroup> p = new ArrayList<>();

    /* access modifiers changed from: package-private */
    public abstract int a();

    /* access modifiers changed from: package-private */
    public abstract int a(float f2, float f3);

    /* access modifiers changed from: package-private */
    public abstract int a(int i2);

    /* access modifiers changed from: package-private */
    public abstract boolean a(int i2, float f2, float f3);

    ClippingDrawCommandManager(FlatViewGroup flatViewGroup, DrawCommand[] drawCommandArr) {
        this.g = flatViewGroup;
        a(drawCommandArr);
    }

    private void a(DrawCommand[] drawCommandArr) {
        a(drawCommandArr, this.l, this.f2043a, this.b, true);
        b();
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(DrawCommand[] drawCommandArr, SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, boolean z) {
        this.h = drawCommandArr;
        this.f2043a = fArr;
        this.b = fArr2;
        this.l = sparseIntArray;
        if (this.e.bottom != this.e.top) {
            this.j = a();
            this.k = a(this.j);
            if (!z) {
                e();
            }
        }
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(NodeRegion[] nodeRegionArr, float[] fArr, float[] fArr2) {
        this.i = nodeRegionArr;
        this.c = fArr;
        this.d = fArr2;
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    @Nullable
    public NodeRegion b(float f2, float f3) {
        int a2 = a(f2, f3);
        while (true) {
            int i2 = a2 - 1;
            if (a2 <= 0) {
                return null;
            }
            NodeRegion nodeRegion = this.i[i2];
            if (nodeRegion.d) {
                if (a(i2, f2, f3)) {
                    return null;
                }
                if (nodeRegion.a(f2, f3)) {
                    return nodeRegion;
                }
            }
            a2 = i2;
        }
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    @Nullable
    public NodeRegion c(float f2, float f3) {
        int a2 = a(f2, f3);
        while (true) {
            int i2 = a2 - 1;
            if (a2 <= 0) {
                return null;
            }
            NodeRegion nodeRegion = this.i[i2];
            if (a(i2, f2, f3)) {
                return null;
            }
            if (nodeRegion.a(f2, f3)) {
                return nodeRegion;
            }
            a2 = i2;
        }
    }

    private void a(int i2, View view) {
        this.m.put(i2, view);
    }

    private void b(int i2) {
        this.m.remove(i2);
    }

    private boolean c(int i2) {
        return this.m.get(i2) != null;
    }

    private boolean d(int i2) {
        return this.m.get(i2) == null;
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(View view) {
        b(view.getId());
        this.g.b(view);
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(ViewResolver viewResolver, int[] iArr, int[] iArr2) {
        this.p.clear();
        int length = iArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            int i3 = iArr[i2];
            boolean z = i3 > 0;
            if (!z) {
                i3 = -i3;
            }
            int i4 = this.l.get(i3);
            DrawView drawView = (DrawView) this.h[i4];
            View a2 = viewResolver.a(drawView.d);
            b(a2);
            if (a2 instanceof ReactClippingViewGroup) {
                ReactClippingViewGroup reactClippingViewGroup = (ReactClippingViewGroup) a2;
                if (reactClippingViewGroup.getRemoveClippedSubviews()) {
                    this.p.add(reactClippingViewGroup);
                }
            }
            if (z) {
                drawView.e = true;
                if (c(a2) || e(i4)) {
                    this.g.c(a2);
                } else {
                    a(drawView.d, a2);
                }
            } else if (!drawView.e) {
                drawView.e = true;
                if (c(a2) || e(i4)) {
                    if (c(drawView.d)) {
                        this.g.c(a2);
                        b(drawView.d);
                    } else {
                        this.g.d(a2);
                    }
                } else if (d(drawView.d)) {
                    this.g.b(a2);
                    a(drawView.d, a2);
                }
            } else if (d(drawView.d)) {
                this.g.d(a2);
            }
        }
        for (int i5 : iArr2) {
            View a3 = viewResolver.a(i5);
            if (a3.getParent() == null) {
                this.g.b(a3);
                b(i5);
            } else {
                throw new RuntimeException("Trying to remove view not owned by FlatViewGroup");
            }
        }
    }

    private static boolean c(View view) {
        Animation animation = view.getAnimation();
        return animation != null && !animation.hasEnded();
    }

    private boolean e(int i2) {
        return this.j <= i2 && i2 < this.k;
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public boolean b() {
        ReactClippingViewGroupHelper.a(this.g, this.e);
        if (this.g.getParent() == null || this.e.top == this.e.bottom) {
            return false;
        }
        int a2 = a();
        int a3 = a(a2);
        if (this.j > a2 || a3 > this.k) {
            this.j = a2;
            this.k = a3;
            e();
            d();
            return true;
        }
        d();
        return false;
    }

    private void d() {
        int size = this.p.size();
        for (int i2 = 0; i2 < size; i2++) {
            ReactClippingViewGroup reactClippingViewGroup = this.p.get(i2);
            if (d(((View) reactClippingViewGroup).getId())) {
                reactClippingViewGroup.c();
            }
        }
    }

    private void e() {
        int childCount = this.g.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = this.g.getChildAt(i2);
            if (e(this.l.get(childAt.getId())) || c(childAt)) {
                this.o.add(childAt);
            } else {
                this.n.append(i2, childAt);
                a(childAt.getId(), childAt);
            }
        }
        int size = this.n.size();
        boolean z = size > 2;
        if (!z) {
            while (true) {
                int i3 = size - 1;
                if (size <= 0) {
                    break;
                }
                this.g.removeViewsInLayout(this.n.keyAt(i3), 1);
                size = i3;
            }
        } else {
            this.g.detachAllViewsFromParent();
            for (int i4 = 0; i4 < size; i4++) {
                this.g.b(this.n.valueAt(i4));
            }
        }
        this.n.clear();
        int i5 = this.j;
        int size2 = this.o.size();
        int i6 = 0;
        for (int i7 = 0; i7 < size2; i7++) {
            View view = this.o.get(i7);
            int i8 = this.l.get(view.getId());
            if (i5 <= i8) {
                while (i5 != i8) {
                    if (this.h[i5] instanceof DrawView) {
                        DrawView drawView = (DrawView) this.h[i5];
                        this.g.a((View) Assertions.a(this.m.get(drawView.d)), i6);
                        b(drawView.d);
                        i6++;
                    }
                    i5++;
                }
                i5++;
            }
            if (z) {
                this.g.b(view, i6);
            }
            i6++;
        }
        this.o.clear();
        while (i5 < this.k) {
            if (this.h[i5] instanceof DrawView) {
                DrawView drawView2 = (DrawView) this.h[i5];
                this.g.a((View) Assertions.a(this.m.get(drawView2.d)), i6);
                b(drawView2.d);
                i6++;
            }
            i5++;
        }
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(Rect rect) {
        rect.set(this.e);
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public SparseArray<View> c() {
        return this.m;
    }

    @Override // com.facebook.react.flat.DrawCommandManager
    public void a(Canvas canvas) {
        int i2 = this.j;
        int childCount = this.g.getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            int i4 = this.l.get(this.g.getChildAt(i3).getId());
            if (this.k < i4) {
                while (i2 < this.k) {
                    this.h[i2].a(this.g, canvas);
                    i2++;
                }
            } else if (i2 <= i4) {
                while (i2 < i4) {
                    this.h[i2].a(this.g, canvas);
                    i2++;
                }
                i2++;
            }
            this.h[i4].a(this.g, canvas);
        }
        while (i2 < this.k) {
            int i5 = i2 + 1;
            DrawCommand drawCommand = this.h[i2];
            if (drawCommand instanceof DrawView) {
                String str = f;
                StringBuilder sb = new StringBuilder();
                sb.append("Unexpected DrawView command at index ");
                sb.append(i5 - 1);
                sb.append(" with mStop=");
                sb.append(this.k);
                sb.append(". ");
                sb.append(Arrays.toString(this.h));
                FLog.c(str, sb.toString());
            } else {
                drawCommand.a(this.g, canvas);
            }
            i2 = i5;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // com.facebook.react.flat.DrawCommandManager
    public void b(Canvas canvas) {
        DrawCommand[] drawCommandArr = this.h;
        for (DrawCommand drawCommand : drawCommandArr) {
            if (!(drawCommand instanceof DrawView)) {
                drawCommand.b(this.g, canvas);
            } else if (d(((DrawView) drawCommand).d)) {
                drawCommand.b(this.g, canvas);
            }
        }
    }
}
