package com.facebook.react.flat;

import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.uimanager.IllegalViewOperationException;
import com.facebook.react.uimanager.NoSuchNativeViewException;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.TouchTargetHelper;
import com.facebook.react.uimanager.UIViewOperationQueue;
import java.util.ArrayList;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class FlatUIViewOperationQueue extends UIViewOperationQueue {

    /* renamed from: a  reason: collision with root package name */
    private static final int[] f2048a = new int[4];
    private final FlatNativeViewHierarchyManager b;
    private final ProcessLayoutRequests c;

    /* access modifiers changed from: private */
    public final class ProcessLayoutRequests implements UIViewOperationQueue.UIOperation {
        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatViewGroup.b();
        }
    }

    /* access modifiers changed from: private */
    public final class UpdateMountState implements UIViewOperationQueue.UIOperation {
        private final int b;
        @Nullable
        private final DrawCommand[] c;
        @Nullable
        private final AttachDetachListener[] d;
        @Nullable
        private final NodeRegion[] e;

        private UpdateMountState(int i, DrawCommand[] drawCommandArr, @Nullable AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr) {
            this.b = i;
            this.c = drawCommandArr;
            this.d = attachDetachListenerArr;
            this.e = nodeRegionArr;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b, this.c, this.d, this.e);
        }
    }

    /* access modifiers changed from: private */
    public final class UpdateClippingMountState implements UIViewOperationQueue.UIOperation {
        private final int b;
        @Nullable
        private final DrawCommand[] c;
        private final SparseIntArray d;
        private final float[] e;
        private final float[] f;
        @Nullable
        private final AttachDetachListener[] g;
        @Nullable
        private final NodeRegion[] h;
        private final float[] i;
        private final float[] j;
        private final boolean k;

        private UpdateClippingMountState(int i2, DrawCommand[] drawCommandArr, @Nullable SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr, @Nullable float[] fArr3, float[] fArr4, boolean z) {
            this.b = i2;
            this.c = drawCommandArr;
            this.d = sparseIntArray;
            this.e = fArr;
            this.f = fArr2;
            this.g = attachDetachListenerArr;
            this.h = nodeRegionArr;
            this.i = fArr3;
            this.j = fArr4;
            this.k = z;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b, this.c, this.d, this.e, this.f, this.g, this.h, this.i, this.j, this.k);
        }
    }

    /* access modifiers changed from: private */
    public final class UpdateViewGroup implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final int[] c;
        private final int[] d;

        private UpdateViewGroup(int i, int[] iArr, int[] iArr2) {
            this.b = i;
            this.c = iArr;
            this.d = iArr2;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b, this.c, this.d);
        }
    }

    public final class UpdateViewBounds implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final int c;
        private final int d;
        private final int e;
        private final int f;

        private UpdateViewBounds(int i, int i2, int i3, int i4, int i5) {
            this.b = i;
            this.c = i2;
            this.d = i3;
            this.e = i4;
            this.f = i5;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b, this.c, this.d, this.e, this.f);
        }
    }

    /* access modifiers changed from: private */
    public final class SetPadding implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final int c;
        private final int d;
        private final int e;
        private final int f;

        private SetPadding(int i, int i2, int i3, int i4, int i5) {
            this.b = i;
            this.c = i2;
            this.d = i3;
            this.e = i4;
            this.f = i5;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.b(this.b, this.c, this.d, this.e, this.f);
        }
    }

    /* access modifiers changed from: private */
    public final class DropViews implements UIViewOperationQueue.UIOperation {
        private final SparseIntArray b;

        private DropViews(ArrayList<Integer> arrayList, ArrayList<Integer> arrayList2) {
            SparseIntArray sparseIntArray = new SparseIntArray();
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                sparseIntArray.put(arrayList.get(i).intValue(), arrayList2.get(i).intValue());
            }
            this.b = sparseIntArray;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b);
        }
    }

    private final class MeasureVirtualView implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final float c;
        private final float d;
        private final float e;
        private final float f;
        private final Callback g;
        private final boolean h;

        private MeasureVirtualView(int i, float f2, float f3, float f4, float f5, boolean z, Callback callback) {
            this.b = i;
            this.c = f2;
            this.d = f3;
            this.e = f4;
            this.f = f5;
            this.g = callback;
            this.h = z;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            try {
                if (this.h) {
                    FlatUIViewOperationQueue.this.b.b(this.b, FlatUIViewOperationQueue.f2048a);
                } else {
                    FlatUIViewOperationQueue.this.b.a(this.b, FlatUIViewOperationQueue.f2048a);
                }
                float f2 = (float) FlatUIViewOperationQueue.f2048a[2];
                float f3 = (float) FlatUIViewOperationQueue.f2048a[3];
                float c2 = PixelUtil.c((this.c * f2) + ((float) FlatUIViewOperationQueue.f2048a[0]));
                float c3 = PixelUtil.c((this.d * f3) + ((float) FlatUIViewOperationQueue.f2048a[1]));
                float c4 = PixelUtil.c(this.e * f2);
                float c5 = PixelUtil.c(this.f * f3);
                if (this.h) {
                    this.g.a(Float.valueOf(c2), Float.valueOf(c3), Float.valueOf(c4), Float.valueOf(c5));
                    return;
                }
                this.g.a(0, 0, Float.valueOf(c4), Float.valueOf(c5), Float.valueOf(c2), Float.valueOf(c3));
            } catch (NoSuchNativeViewException unused) {
                this.g.a(new Object[0]);
            }
        }
    }

    public final class DetachAllChildrenFromViews implements UIViewOperationQueue.UIOperation {
        @Nullable
        private int[] b;

        public DetachAllChildrenFromViews() {
        }

        public void a(int[] iArr) {
            this.b = iArr;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b);
        }
    }

    private final class FindTargetForTouchOperation implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final float c;
        private final float d;
        private final Callback e;
        private final int[] f;

        private FindTargetForTouchOperation(int i, float f2, float f3, Callback callback) {
            this.f = new int[1];
            this.b = i;
            this.c = f2;
            this.d = f3;
            this.e = callback;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            try {
                FlatUIViewOperationQueue.this.b.a(this.b, FlatUIViewOperationQueue.f2048a);
                float f2 = (float) FlatUIViewOperationQueue.f2048a[0];
                float f3 = (float) FlatUIViewOperationQueue.f2048a[1];
                int a2 = TouchTargetHelper.a(this.c, this.d, (ViewGroup) FlatUIViewOperationQueue.this.b.a(this.b), this.f);
                try {
                    FlatUIViewOperationQueue.this.b.a(this.f[0], FlatUIViewOperationQueue.f2048a);
                    NodeRegion nodeRegion = NodeRegion.b;
                    boolean z = this.f[0] == a2;
                    if (!z) {
                        View a3 = FlatUIViewOperationQueue.this.b.a(this.f[0]);
                        if (a3 instanceof FlatViewGroup) {
                            nodeRegion = ((FlatViewGroup) a3).b(this.b);
                        }
                    }
                    if (nodeRegion != NodeRegion.b) {
                        a2 = nodeRegion.c;
                    }
                    this.e.a(Integer.valueOf(a2), Float.valueOf(PixelUtil.c((nodeRegion.e() + ((float) FlatUIViewOperationQueue.f2048a[0])) - f2)), Float.valueOf(PixelUtil.c((nodeRegion.f() + ((float) FlatUIViewOperationQueue.f2048a[1])) - f3)), Float.valueOf(PixelUtil.c(z ? (float) FlatUIViewOperationQueue.f2048a[2] : nodeRegion.g() - nodeRegion.e())), Float.valueOf(PixelUtil.c(z ? (float) FlatUIViewOperationQueue.f2048a[3] : nodeRegion.h() - nodeRegion.f())));
                } catch (IllegalViewOperationException unused) {
                    this.e.a(new Object[0]);
                }
            } catch (IllegalViewOperationException unused2) {
                this.e.a(new Object[0]);
            }
        }
    }

    public final class ViewManagerCommand implements UIViewOperationQueue.UIOperation {
        private final int b;
        private final int c;
        @Nullable
        private final ReadableArray d;

        public ViewManagerCommand(int i, int i2, ReadableArray readableArray) {
            this.b = i;
            this.c = i2;
            this.d = readableArray;
        }

        @Override // com.facebook.react.uimanager.UIViewOperationQueue.UIOperation
        public void a() {
            FlatUIViewOperationQueue.this.b.a(this.b, this.c, this.d);
        }
    }

    public void a(int i, @Nullable DrawCommand[] drawCommandArr, @Nullable AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr) {
        b(new UpdateMountState(i, drawCommandArr, attachDetachListenerArr, nodeRegionArr));
    }

    public void a(int i, @Nullable DrawCommand[] drawCommandArr, SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, @Nullable AttachDetachListener[] attachDetachListenerArr, @Nullable NodeRegion[] nodeRegionArr, float[] fArr3, float[] fArr4, boolean z) {
        b(new UpdateClippingMountState(i, drawCommandArr, sparseIntArray, fArr, fArr2, attachDetachListenerArr, nodeRegionArr, fArr3, fArr4, z));
    }

    public void a(int i, int[] iArr, int[] iArr2) {
        b(new UpdateViewGroup(i, iArr, iArr2));
    }

    public UpdateViewBounds a(int i, int i2, int i3, int i4, int i5) {
        return new UpdateViewBounds(i, i2, i3, i4, i5);
    }

    public ViewManagerCommand a(int i, int i2, @Nullable ReadableArray readableArray) {
        return new ViewManagerCommand(i, i2, readableArray);
    }

    /* access modifiers changed from: package-private */
    public void a(UIViewOperationQueue.UIOperation uIOperation) {
        b(uIOperation);
    }

    public void b(int i, int i2, int i3, int i4, int i5) {
        b(new SetPadding(i, i2, i3, i4, i5));
    }

    public void a(ArrayList<Integer> arrayList, ArrayList<Integer> arrayList2) {
        b(new DropViews(arrayList, arrayList2));
    }

    public void a(int i, float f, float f2, float f3, float f4, boolean z, Callback callback) {
        b(new MeasureVirtualView(i, f, f2, f3, f4, z, callback));
    }

    @Override // com.facebook.react.uimanager.UIViewOperationQueue
    public void a() {
        b(this.c);
    }

    public DetachAllChildrenFromViews b() {
        DetachAllChildrenFromViews detachAllChildrenFromViews = new DetachAllChildrenFromViews();
        b(detachAllChildrenFromViews);
        return detachAllChildrenFromViews;
    }

    @Override // com.facebook.react.uimanager.UIViewOperationQueue
    public void a(int i, float f, float f2, Callback callback) {
        b(new FindTargetForTouchOperation(i, f, f2, callback));
    }
}
