package com.facebook.react.flat;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.SoftAssertions;
import com.facebook.react.touch.OnInterceptTouchEventListener;
import com.facebook.react.touch.ReactHitSlopView;
import com.facebook.react.touch.ReactInterceptingViewGroup;
import com.facebook.react.uimanager.PointerEvents;
import com.facebook.react.uimanager.ReactClippingViewGroup;
import com.facebook.react.uimanager.ReactCompoundViewGroup;
import com.facebook.react.uimanager.ReactPointerEventsView;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.views.image.ImageLoadEvent;
import com.tencent.smtt.sdk.WebView;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class FlatViewGroup extends ViewGroup implements FlatMeasuredViewGroup, ReactHitSlopView, ReactInterceptingViewGroup, ReactClippingViewGroup, ReactCompoundViewGroup, ReactPointerEventsView {
    private static Paint b;
    private static Paint c;
    private static Paint d;
    private static Paint e;
    private static Rect f;
    private static final ArrayList<FlatViewGroup> g = new ArrayList<>();
    private static final Rect h = new Rect();
    private static final SparseArray<View> u = new SparseArray<>(0);

    /* renamed from: a  reason: collision with root package name */
    private boolean f2059a;
    @Nullable
    private InvalidateCallback i;
    private DrawCommand[] j = DrawCommand.b;
    private AttachDetachListener[] k = AttachDetachListener.f2042a;
    private NodeRegion[] l = NodeRegion.f2062a;
    private int m = 0;
    private boolean n = false;
    private boolean o = false;
    private boolean p = false;
    private Drawable q;
    private PointerEvents r = PointerEvents.AUTO;
    private long s;
    @Nullable
    private OnInterceptTouchEventListener t;
    @Nullable
    private DrawCommandManager v;
    @Nullable
    private Rect w;

    private static int a(float f2) {
        return f2 >= 0.0f ? 1 : -1;
    }

    /* access modifiers changed from: protected */
    public boolean drawChild(Canvas canvas, View view, long j2) {
        return false;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
    }

    /* access modifiers changed from: protected */
    @SuppressLint({"MissingSuperCall"})
    public boolean verifyDrawable(Drawable drawable) {
        return true;
    }

    /* access modifiers changed from: package-private */
    public static final class InvalidateCallback extends WeakReference<FlatViewGroup> {
        private InvalidateCallback(FlatViewGroup flatViewGroup) {
            super(flatViewGroup);
        }

        public void a() {
            FlatViewGroup flatViewGroup = (FlatViewGroup) get();
            if (flatViewGroup != null) {
                flatViewGroup.invalidate();
            }
        }

        public void a(int i, int i2) {
            FlatViewGroup flatViewGroup = (FlatViewGroup) get();
            if (flatViewGroup != null) {
                ((UIManagerModule) ((ReactContext) flatViewGroup.getContext()).b(UIManagerModule.class)).getEventDispatcher().a(new ImageLoadEvent(i, i2));
            }
        }
    }

    FlatViewGroup(Context context) {
        super(context);
        setClipChildren(false);
    }

    /* access modifiers changed from: protected */
    public void detachAllViewsFromParent() {
        super.detachAllViewsFromParent();
    }

    @SuppressLint({"MissingSuperCall"})
    public void requestLayout() {
        if (!this.o) {
            this.o = true;
            g.add(this);
        }
    }

    @Override // com.facebook.react.uimanager.ReactCompoundView
    public int a(float f2, float f3) {
        NodeRegion c2;
        SoftAssertions.a(this.r != PointerEvents.NONE, "TouchTargetHelper should not allow calling this method when pointer events are NONE");
        if (this.r == PointerEvents.BOX_ONLY || (c2 = c(f2, f3)) == null) {
            return getId();
        }
        return c2.b(f2, f3);
    }

    @Override // com.facebook.react.uimanager.ReactCompoundViewGroup
    public boolean b(float f2, float f3) {
        NodeRegion d2 = d(f2, f3);
        return d2 != null && d2.d;
    }

    public void dispatchDraw(Canvas canvas) {
        this.f2059a = false;
        super.dispatchDraw(canvas);
        if (this.v != null) {
            this.v.a(canvas);
        } else {
            for (DrawCommand drawCommand : this.j) {
                drawCommand.a(this, canvas);
            }
        }
        if (this.m == getChildCount()) {
            this.m = 0;
            if (this.f2059a) {
                d();
                c(canvas);
            }
            if (this.q != null) {
                this.q.draw(canvas);
                return;
            }
            return;
        }
        throw new RuntimeException("Did not draw all children: " + this.m + " / " + getChildCount());
    }

    private void c(Canvas canvas) {
        if (this.v != null) {
            this.v.b(canvas);
        } else {
            for (DrawCommand drawCommand : this.j) {
                drawCommand.b(this, canvas);
            }
        }
        this.m = 0;
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas) {
        View childAt = getChildAt(this.m);
        a(canvas, childAt instanceof FlatViewGroup ? -12303292 : -65536, (float) childAt.getLeft(), (float) childAt.getTop(), (float) childAt.getRight(), (float) childAt.getBottom());
        this.m++;
    }

    /* access modifiers changed from: package-private */
    public int a(int i2) {
        return (int) ((((float) i2) * getResources().getDisplayMetrics().density) + 0.5f);
    }

    private static void a(Canvas canvas, Paint paint, float f2, float f3, float f4, float f5) {
        int i2;
        float f6;
        float f7;
        float f8;
        float f9;
        int i3 = (f2 > f4 ? 1 : (f2 == f4 ? 0 : -1));
        if (i3 != 0 && f3 != f5) {
            if (i3 > 0) {
                f6 = f2;
                f7 = f4;
            } else {
                f7 = f2;
                f6 = f4;
            }
            if (i2 > 0) {
                f8 = f3;
                f9 = f5;
            } else {
                f9 = f3;
                f8 = f5;
            }
            canvas.drawRect(f7, f9, f6, f8, paint);
        }
    }

    private static void a(Canvas canvas, Paint paint, float f2, float f3, float f4, float f5, float f6) {
        a(canvas, paint, f2, f3, f2 + f4, f3 + (((float) a(f5)) * f6));
        a(canvas, paint, f2, f3, f2 + (f6 * ((float) a(f4))), f3 + f5);
    }

    private static void a(Canvas canvas, float f2, float f3, float f4, float f5, Paint paint, int i2, int i3) {
        float f6 = (float) i2;
        float f7 = (float) i3;
        a(canvas, paint, f2, f3, f6, f6, f7);
        float f8 = (float) (-i2);
        a(canvas, paint, f2, f5, f6, f8, f7);
        a(canvas, paint, f4, f3, f8, f6, f7);
        a(canvas, paint, f4, f5, f8, f8, f7);
    }

    private void d() {
        if (b == null) {
            b = new Paint();
            b.setTextAlign(Paint.Align.RIGHT);
            b.setTextSize((float) a(9));
            b.setTypeface(Typeface.MONOSPACE);
            b.setAntiAlias(true);
            b.setColor(-65536);
        }
        if (c == null) {
            c = new Paint();
            c.setColor(-1);
            c.setAlpha(200);
            c.setStyle(Paint.Style.FILL);
        }
        if (d == null) {
            d = new Paint();
            d.setAlpha(100);
            d.setStyle(Paint.Style.STROKE);
        }
        if (e == null) {
            e = new Paint();
            e.setAlpha(200);
            e.setColor(Color.rgb(63, 127, (int) WebView.NORMAL_MODE_ALPHA));
            e.setStyle(Paint.Style.FILL);
        }
        if (f == null) {
            f = new Rect();
        }
    }

    private void a(Canvas canvas, int i2, float f2, float f3, float f4, float f5) {
        a(canvas, i2, "", f2, f3, f4, f5);
    }

    /* access modifiers changed from: package-private */
    public void a(Canvas canvas, int i2, String str, float f2, float f3, float f4, float f5) {
        d.setColor((d.getColor() & WebView.NIGHT_MODE_COLOR) | (16777215 & i2));
        d.setAlpha(100);
        canvas.drawRect(f2, f3, f4 - 1.0f, f5 - 1.0f, d);
        a(canvas, f2, f3, f4, f5, e, a(8), a(1));
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        if (!this.n) {
            this.n = true;
            super.onAttachedToWindow();
            b(this.k);
            c();
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        if (this.n) {
            this.n = false;
            super.onDetachedFromWindow();
            c(this.k);
            return;
        }
        throw new RuntimeException("Double detach");
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        if (this.q != null) {
            this.q.setBounds(0, 0, i2, i3);
            invalidate();
        }
        c();
    }

    public void dispatchDrawableHotspotChanged(float f2, float f3) {
        if (this.q != null) {
            this.q.setHotspot(f2, f3);
            invalidate();
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        if (this.q != null && this.q.isStateful()) {
            this.q.setState(getDrawableState());
        }
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        if (this.q != null) {
            this.q.jumpToCurrentState();
        }
    }

    public void invalidate() {
        invalidate(0, 0, getWidth() + 1, getHeight() + 1);
    }

    public boolean hasOverlappingRendering() {
        return this.p;
    }

    @Override // com.facebook.react.touch.ReactInterceptingViewGroup
    public void setOnInterceptTouchEventListener(OnInterceptTouchEventListener onInterceptTouchEventListener) {
        this.t = onInterceptTouchEventListener;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        long downTime = motionEvent.getDownTime();
        if (downTime != this.s) {
            this.s = downTime;
            if (b(motionEvent.getX(), motionEvent.getY())) {
                return true;
            }
        }
        if ((this.t != null && this.t.a(this, motionEvent)) || this.r == PointerEvents.NONE || this.r == PointerEvents.BOX_ONLY) {
            return true;
        }
        return super.onInterceptTouchEvent(motionEvent);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.r == PointerEvents.NONE) {
            return false;
        }
        if (this.r == PointerEvents.BOX_NONE && c(motionEvent.getX(), motionEvent.getY()) == null) {
            return false;
        }
        return true;
    }

    @Override // com.facebook.react.uimanager.ReactPointerEventsView
    public PointerEvents getPointerEvents() {
        return this.r;
    }

    /* access modifiers changed from: package-private */
    public void a(PointerEvents pointerEvents) {
        this.r = pointerEvents;
    }

    /* access modifiers changed from: package-private */
    public void a(boolean z) {
        this.p = z;
    }

    /* access modifiers changed from: package-private */
    public void a(Drawable drawable) {
        if (this.q != null) {
            this.q.setCallback(null);
            unscheduleDrawable(this.q);
        }
        if (drawable != null) {
            drawable.setCallback(this);
            if (drawable.isStateful()) {
                drawable.setState(getDrawableState());
            }
        }
        this.q = drawable;
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void b(Canvas canvas) {
        View childAt = getChildAt(this.m);
        if (childAt instanceof FlatViewGroup) {
            super.drawChild(canvas, childAt, getDrawingTime());
        } else {
            canvas.save(2);
            childAt.getHitRect(h);
            canvas.clipRect(h);
            super.drawChild(canvas, childAt, getDrawingTime());
            canvas.restore();
        }
        this.m++;
    }

    /* access modifiers changed from: package-private */
    public void a(DrawCommand[] drawCommandArr) {
        this.j = drawCommandArr;
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void a(DrawCommand[] drawCommandArr, SparseIntArray sparseIntArray, float[] fArr, float[] fArr2, boolean z) {
        ((DrawCommandManager) Assertions.b(this.v)).a(drawCommandArr, sparseIntArray, fArr, fArr2, z);
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void a(View view) {
        if (this.v != null) {
            this.v.a(view);
        }
    }

    /* access modifiers changed from: package-private */
    public NodeRegion b(int i2) {
        NodeRegion[] nodeRegionArr = this.l;
        for (NodeRegion nodeRegion : nodeRegionArr) {
            if (nodeRegion.a(i2)) {
                return nodeRegion;
            }
        }
        return NodeRegion.b;
    }

    /* access modifiers changed from: package-private */
    public SparseArray<View> a() {
        if (this.v == null) {
            return u;
        }
        return this.v.c();
    }

    /* access modifiers changed from: package-private */
    public void b(View view) {
        removeDetachedView(view, false);
    }

    public void removeAllViewsInLayout() {
        this.j = DrawCommand.b;
        super.removeAllViewsInLayout();
    }

    /* access modifiers changed from: package-private */
    public void a(AttachDetachListener[] attachDetachListenerArr) {
        if (this.n) {
            b(attachDetachListenerArr);
            c(this.k);
        }
        this.k = attachDetachListenerArr;
    }

    /* access modifiers changed from: package-private */
    public void a(NodeRegion[] nodeRegionArr) {
        this.l = nodeRegionArr;
    }

    /* access modifiers changed from: package-private */
    public void a(NodeRegion[] nodeRegionArr, float[] fArr, float[] fArr2) {
        this.l = nodeRegionArr;
        ((DrawCommandManager) Assertions.b(this.v)).a(nodeRegionArr, fArr, fArr2);
    }

    /* access modifiers changed from: package-private */
    public void a(ViewResolver viewResolver, int[] iArr, int[] iArr2) {
        if (this.v != null) {
            this.v.a(viewResolver, iArr, iArr2);
        } else {
            for (int i2 : iArr) {
                if (i2 > 0) {
                    View a2 = viewResolver.a(i2);
                    e(a2);
                    c(a2);
                } else {
                    View a3 = viewResolver.a(-i2);
                    e(a3);
                    d(a3);
                }
            }
            for (int i3 : iArr2) {
                View a4 = viewResolver.a(i3);
                if (a4.getParent() == null) {
                    removeDetachedView(a4, false);
                } else {
                    throw new RuntimeException("Trying to remove view not owned by FlatViewGroup");
                }
            }
        }
        invalidate();
    }

    /* access modifiers changed from: package-private */
    public void c(View view) {
        addViewInLayout(view, -1, a(view.getLayoutParams()), true);
    }

    /* access modifiers changed from: package-private */
    public void a(View view, int i2) {
        addViewInLayout(view, i2, a(view.getLayoutParams()), true);
    }

    /* access modifiers changed from: package-private */
    public void d(View view) {
        attachViewToParent(view, -1, a(view.getLayoutParams()));
    }

    /* access modifiers changed from: package-private */
    public void b(View view, int i2) {
        attachViewToParent(view, i2, a(view.getLayoutParams()));
    }

    private void e() {
        this.o = false;
        int childCount = getChildCount();
        for (int i2 = 0; i2 != childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.isLayoutRequested()) {
                childAt.measure(View.MeasureSpec.makeMeasureSpec(childAt.getWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(childAt.getHeight(), 1073741824));
                childAt.layout(childAt.getLeft(), childAt.getTop(), childAt.getRight(), childAt.getBottom());
            }
        }
    }

    static void b() {
        int size = g.size();
        for (int i2 = 0; i2 != size; i2++) {
            g.get(i2).e();
        }
        g.clear();
    }

    @Nullable
    private NodeRegion c(float f2, float f3) {
        if (this.v != null) {
            return this.v.b(f2, f3);
        }
        for (int length = this.l.length - 1; length >= 0; length--) {
            NodeRegion nodeRegion = this.l[length];
            if (nodeRegion.d && nodeRegion.a(f2, f3)) {
                return nodeRegion;
            }
        }
        return null;
    }

    @Nullable
    private NodeRegion d(float f2, float f3) {
        if (this.v != null) {
            return this.v.c(f2, f3);
        }
        for (int length = this.l.length - 1; length >= 0; length--) {
            NodeRegion nodeRegion = this.l[length];
            if (nodeRegion.a(f2, f3)) {
                return nodeRegion;
            }
        }
        return null;
    }

    private static void e(View view) {
        ViewParent parent = view.getParent();
        if (parent != null) {
            throw new RuntimeException("Cannot add view " + view + " to FlatViewGroup while it has a parent " + parent);
        }
    }

    private void b(AttachDetachListener[] attachDetachListenerArr) {
        if (attachDetachListenerArr.length != 0) {
            InvalidateCallback f2 = f();
            for (AttachDetachListener attachDetachListener : attachDetachListenerArr) {
                attachDetachListener.a(f2);
            }
        }
    }

    private InvalidateCallback f() {
        if (this.i == null) {
            this.i = new InvalidateCallback();
        }
        return this.i;
    }

    private static void c(AttachDetachListener[] attachDetachListenerArr) {
        for (AttachDetachListener attachDetachListener : attachDetachListenerArr) {
            attachDetachListener.a();
        }
    }

    private ViewGroup.LayoutParams a(ViewGroup.LayoutParams layoutParams) {
        if (checkLayoutParams(layoutParams)) {
            return layoutParams;
        }
        return generateDefaultLayoutParams();
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void c() {
        if (this.v != null && this.v.b()) {
            invalidate();
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void a(Rect rect) {
        if (this.v != null) {
            this.v.a(rect);
            return;
        }
        throw new RuntimeException("Trying to get the clipping rect for a non-clipping FlatViewGroup");
    }

    public void b(boolean z) {
        boolean removeClippedSubviews = getRemoveClippedSubviews();
        if (z != removeClippedSubviews) {
            if (!removeClippedSubviews) {
                this.v = DrawCommandManager.a(this, this.j);
                this.j = DrawCommand.b;
                return;
            }
            throw new RuntimeException("Trying to transition FlatViewGroup from clipping to non-clipping state");
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public boolean getRemoveClippedSubviews() {
        return this.v != null;
    }

    @Override // com.facebook.react.touch.ReactHitSlopView
    @Nullable
    public Rect getHitSlopRect() {
        return this.w;
    }

    /* access modifiers changed from: package-private */
    public void b(@Nullable Rect rect) {
        this.w = rect;
    }
}
