package com.facebook.react.flat;

import android.util.SparseIntArray;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.flat.FlatUIViewOperationQueue;
import com.facebook.react.uimanager.OnLayoutEvent;
import com.facebook.react.uimanager.ReactShadowNodeImpl;
import com.facebook.react.uimanager.ReactStylesDiffMap;
import com.facebook.react.uimanager.UIViewOperationQueue;
import com.facebook.react.uimanager.events.EventDispatcher;
import java.util.ArrayList;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public final class StateBuilder {

    /* renamed from: a  reason: collision with root package name */
    static final float[] f2066a = new float[0];
    static final SparseIntArray b = new SparseIntArray();
    private static final int[] c = new int[0];
    private final FlatUIViewOperationQueue d;
    private final ElementsList<DrawCommand> e;
    private final ElementsList<AttachDetachListener> f;
    private final ElementsList<NodeRegion> g;
    private final ElementsList<FlatShadowNode> h;
    private final ArrayList<FlatShadowNode> i;
    private final ArrayList<FlatShadowNode> j;
    private final ArrayList<Integer> k;
    private final ArrayList<Integer> l;
    private final ArrayList<OnLayoutEvent> m;
    private final ArrayList<UIViewOperationQueue.UIOperation> n;
    private final ArrayList<UIViewOperationQueue.UIOperation> o;
    @Nullable
    private FlatUIViewOperationQueue.DetachAllChildrenFromViews p;

    /* access modifiers changed from: package-private */
    public FlatUIViewOperationQueue a() {
        return this.d;
    }

    /* access modifiers changed from: package-private */
    public void a(FlatShadowNode flatShadowNode) {
        float at = flatShadowNode.at();
        float au = flatShadowNode.au();
        float af = flatShadowNode.af();
        float ag = flatShadowNode.ag();
        float f2 = at + af;
        float f3 = au + ag;
        a(flatShadowNode, af, ag, f2, f3, Float.NEGATIVE_INFINITY, Float.NEGATIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
        a(flatShadowNode, af, ag, f2, f3);
    }

    /* access modifiers changed from: package-private */
    public void a(EventDispatcher eventDispatcher) {
        if (this.p != null) {
            int[] a2 = a(this.i);
            this.i.clear();
            this.p.a(a2);
            this.p = null;
        }
        int size = this.n.size();
        for (int i2 = 0; i2 != size; i2++) {
            this.d.a(this.n.get(i2));
        }
        this.n.clear();
        int size2 = this.o.size();
        for (int i3 = 0; i3 != size2; i3++) {
            this.d.a(this.o.get(i3));
        }
        this.o.clear();
        int size3 = this.m.size();
        for (int i4 = 0; i4 != size3; i4++) {
            eventDispatcher.a(this.m.get(i4));
        }
        this.m.clear();
        if (this.k.size() > 0) {
            this.d.a(this.k, this.l);
            this.k.clear();
            this.l.clear();
        }
        this.d.a();
    }

    /* access modifiers changed from: package-private */
    public void a(int i2) {
        this.k.add(Integer.valueOf(-i2));
        this.l.add(-1);
    }

    /* access modifiers changed from: package-private */
    public void a(AbstractDrawCommand abstractDrawCommand) {
        this.e.a(abstractDrawCommand);
    }

    /* access modifiers changed from: package-private */
    public void a(AttachDetachListener attachDetachListener) {
        this.f.a(attachDetachListener);
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, ReadableArray readableArray) {
        this.o.add(this.d.a(i2, i3, readableArray));
    }

    /* access modifiers changed from: package-private */
    public void a(FlatShadowNode flatShadowNode, @Nullable ReactStylesDiffMap reactStylesDiffMap) {
        if (flatShadowNode.D()) {
            this.d.a(flatShadowNode.V(), flatShadowNode.N(), reactStylesDiffMap);
            return;
        }
        this.d.a(flatShadowNode.Y(), flatShadowNode.V(), flatShadowNode.N(), reactStylesDiffMap);
        flatShadowNode.E();
    }

    /* access modifiers changed from: package-private */
    public void b(FlatShadowNode flatShadowNode) {
        if (!flatShadowNode.D()) {
            this.d.a(flatShadowNode.Y(), flatShadowNode.V(), flatShadowNode.N(), (ReactStylesDiffMap) null);
            flatShadowNode.E();
        }
    }

    /* access modifiers changed from: package-private */
    public void a(FlatShadowNode flatShadowNode, int i2) {
        this.k.add(Integer.valueOf(flatShadowNode.V()));
        this.l.add(Integer.valueOf(i2));
    }

    private void a(FlatShadowNode flatShadowNode, float f2, float f3, float f4, float f5, boolean z) {
        if (f2 != f4 && f3 != f5) {
            flatShadowNode.a(f2, f3, f4, f5, z);
            if (flatShadowNode.g()) {
                this.g.a(flatShadowNode.w());
            }
        }
    }

    private void c(FlatShadowNode flatShadowNode) {
        this.h.a(flatShadowNode);
    }

    private void a(FlatShadowNode flatShadowNode, float f2, float f3, float f4, float f5) {
        int round = Math.round(f2);
        int round2 = Math.round(f3);
        int round3 = Math.round(f4);
        int round4 = Math.round(f5);
        if (flatShadowNode.x() != round || flatShadowNode.y() != round2 || flatShadowNode.z() != round3 || flatShadowNode.A() != round4) {
            flatShadowNode.a(round, round2, round3, round4);
            this.n.add(this.d.a(flatShadowNode.V(), round, round2, round3, round4));
        }
    }

    private boolean a(FlatShadowNode flatShadowNode, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        boolean z;
        float f10;
        boolean z2;
        float f11;
        float f12;
        float f13;
        boolean z3;
        float[] fArr;
        float[] fArr2;
        SparseIntArray sparseIntArray;
        boolean z4 = false;
        boolean z5 = flatShadowNode.ap() || flatShadowNode.o() || flatShadowNode.Q() || flatShadowNode.a(f6, f7, f8, f9);
        if (!z5) {
            return false;
        }
        flatShadowNode.b(f6, f7, f8, f9);
        this.e.a(flatShadowNode.q());
        this.f.a(flatShadowNode.r());
        this.g.a(flatShadowNode.u());
        this.h.a(flatShadowNode.s());
        if (flatShadowNode instanceof AndroidView) {
            AndroidView androidView = (AndroidView) flatShadowNode;
            a(androidView, flatShadowNode.V());
            z = androidView.c_();
            f13 = Float.NEGATIVE_INFINITY;
            f12 = Float.NEGATIVE_INFINITY;
            f11 = Float.POSITIVE_INFINITY;
            z2 = true;
            f10 = Float.POSITIVE_INFINITY;
        } else {
            f13 = f6;
            f12 = f7;
            f11 = f8;
            f10 = f9;
            z2 = false;
            z = false;
        }
        if (!z2 && flatShadowNode.e()) {
            a(flatShadowNode, f2, f3, f4, f5, true);
        }
        boolean a2 = a(flatShadowNode, f2, f3, f4, f5, f13, f12, f11, f10, z2, z);
        DrawCommand[] a3 = this.e.a();
        if (a3 != null) {
            flatShadowNode.a(a3);
            z3 = true;
        } else {
            z3 = false;
        }
        AttachDetachListener[] a4 = this.f.a();
        if (a4 != null) {
            flatShadowNode.a(a4);
            z3 = true;
        }
        NodeRegion[] a5 = this.g.a();
        if (a5 != null) {
            flatShadowNode.a(a5);
            z3 = true;
        } else if (a2) {
            flatShadowNode.v();
        }
        FlatShadowNode[] a6 = this.h.a();
        if (z3) {
            if (flatShadowNode.F()) {
                float[] fArr3 = f2066a;
                float[] fArr4 = f2066a;
                SparseIntArray sparseIntArray2 = b;
                if (a3 != null) {
                    SparseIntArray sparseIntArray3 = new SparseIntArray();
                    float[] fArr5 = new float[a3.length];
                    float[] fArr6 = new float[a3.length];
                    if (flatShadowNode.G()) {
                        HorizontalDrawCommandManager.a(a3, fArr5, fArr6, sparseIntArray3);
                    } else {
                        VerticalDrawCommandManager.a(a3, fArr5, fArr6, sparseIntArray3);
                    }
                    sparseIntArray = sparseIntArray3;
                    fArr2 = fArr5;
                    fArr = fArr6;
                } else {
                    fArr2 = fArr3;
                    fArr = fArr4;
                    sparseIntArray = sparseIntArray2;
                }
                float[] fArr7 = f2066a;
                float[] fArr8 = f2066a;
                if (a5 != null) {
                    fArr7 = new float[a5.length];
                    fArr8 = new float[a5.length];
                    if (flatShadowNode.G()) {
                        HorizontalDrawCommandManager.b(a5, fArr7, fArr8);
                    } else {
                        VerticalDrawCommandManager.b(a5, fArr7, fArr8);
                    }
                }
                this.d.a(flatShadowNode.V(), a3, sparseIntArray, fArr2, fArr, a4, a5, fArr7, fArr8, a6 != null);
            } else {
                this.d.a(flatShadowNode.V(), a3, a4, a5);
            }
        }
        if (flatShadowNode.Q()) {
            flatShadowNode.a((UIViewOperationQueue) this.d);
            flatShadowNode.P();
        }
        if (a6 != null) {
            a(flatShadowNode, flatShadowNode.s(), a6);
        }
        if (z3 || a6 != null || a2) {
            z4 = true;
        }
        if (z5 || !z4) {
            return z4;
        }
        throw new RuntimeException("Node " + flatShadowNode.V() + " updated unexpectedly.");
    }

    private void a(FlatShadowNode flatShadowNode, FlatShadowNode[] flatShadowNodeArr, FlatShadowNode[] flatShadowNodeArr2) {
        int[] iArr;
        flatShadowNode.a(flatShadowNodeArr2);
        if (this.p == null) {
            this.p = this.d.b();
        }
        if (flatShadowNodeArr.length != 0) {
            this.i.add(flatShadowNode);
        }
        int V = flatShadowNode.V();
        int length = flatShadowNodeArr2.length;
        if (length == 0) {
            iArr = c;
        } else {
            iArr = new int[length];
            int i2 = 0;
            for (FlatShadowNode flatShadowNode2 : flatShadowNodeArr2) {
                if (flatShadowNode2.t() == V) {
                    iArr[i2] = -flatShadowNode2.V();
                } else {
                    iArr[i2] = flatShadowNode2.V();
                }
                flatShadowNode2.b(-1);
                i2++;
            }
        }
        for (FlatShadowNode flatShadowNode3 : flatShadowNodeArr) {
            if (flatShadowNode3.t() == V) {
                this.j.add(flatShadowNode3);
                flatShadowNode3.b(-1);
            }
        }
        int[] a2 = a(this.j);
        this.j.clear();
        for (FlatShadowNode flatShadowNode4 : flatShadowNodeArr2) {
            flatShadowNode4.b(V);
        }
        this.d.a(V, iArr, a2);
    }

    private boolean a(FlatShadowNode flatShadowNode, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9, boolean z, boolean z2) {
        float f10;
        float f11;
        float f12;
        float f13;
        OnLayoutEvent b2;
        if (flatShadowNode.ap()) {
            flatShadowNode.aq();
        }
        float a2 = a(f2);
        float a3 = a(f3);
        float a4 = a(f4);
        float a5 = a(f5);
        if (flatShadowNode.Z() && (b2 = flatShadowNode.b(Math.round(flatShadowNode.af()), Math.round(flatShadowNode.ag()), (int) (a4 - a2), (int) (a5 - a3))) != null) {
            this.m.add(b2);
        }
        if (flatShadowNode.h()) {
            float max = Math.max(f2, f6);
            f13 = max;
            f12 = Math.max(f3, f7);
            f11 = Math.min(f4, f8);
            f10 = Math.min(f5, f9);
        } else {
            f13 = f6;
            f12 = f7;
            f11 = f8;
            f10 = f9;
        }
        flatShadowNode.a(this, a2, a3, a4, a5, a(f13), a(f12), a(f11), f10);
        int S = flatShadowNode.S();
        boolean z3 = false;
        for (int i2 = 0; i2 != S; i2++) {
            ReactShadowNodeImpl h2 = flatShadowNode.e(i2);
            if (!h2.d()) {
                z3 |= a((FlatShadowNode) h2, f2, f3, f13, f12, f11, f10, z, z2);
            }
        }
        flatShadowNode.p();
        return z3;
    }

    private boolean a(FlatShadowNode flatShadowNode, float f2, float f3, float f4, float f5, float f6, float f7, boolean z, boolean z2) {
        float at = flatShadowNode.at();
        float au = flatShadowNode.au();
        float af = f2 + flatShadowNode.af();
        float ag = f3 + flatShadowNode.ag();
        float f8 = at + af;
        float f9 = au + ag;
        boolean C = flatShadowNode.C();
        if (!z) {
            a(flatShadowNode, af, ag, f8, f9, !C);
        }
        if (!C) {
            return a(flatShadowNode, af, ag, f8, f9, f4, f5, f6, f7, false, false);
        }
        b(flatShadowNode);
        c(flatShadowNode);
        boolean a2 = a(flatShadowNode, 0.0f, 0.0f, f8 - af, f9 - ag, f4 - af, f5 - ag, f6 - af, f7 - ag);
        if (!z) {
            this.e.a(flatShadowNode.a(af, ag, f8, f9, f4, f5, f6, f7));
        }
        if (z2) {
            return a2;
        }
        a(flatShadowNode, af, ag, f8, f9);
        return a2;
    }

    private void a(AndroidView androidView, int i2) {
        if (androidView.b()) {
            this.d.b(i2, Math.round(androidView.a(0)), Math.round(androidView.a(1)), Math.round(androidView.a(2)), Math.round(androidView.a(3)));
            androidView.c();
        }
    }

    private static int[] a(ArrayList<FlatShadowNode> arrayList) {
        int size = arrayList.size();
        if (size == 0) {
            return c;
        }
        int[] iArr = new int[size];
        for (int i2 = 0; i2 < size; i2++) {
            iArr[i2] = arrayList.get(i2).V();
        }
        return iArr;
    }

    private static float a(float f2) {
        return (float) Math.floor((double) (f2 + 0.5f));
    }
}
