package com.facebook.react.flat;

import android.content.res.AssetManager;
import android.graphics.Typeface;
import com.facebook.infer.annotation.Assertions;
import java.util.HashMap;
import javax.annotation.Nullable;

final class TypefaceCache {

    /* renamed from: a  reason: collision with root package name */
    private static final HashMap<String, Typeface[]> f2067a = new HashMap<>();
    private static final HashMap<Typeface, Typeface[]> b = new HashMap<>();
    private static final String[] c = {"", "_bold", "_italic", "_bold_italic"};
    private static final String[] d = {".ttf", ".otf"};
    @Nullable
    private static AssetManager e = null;

    TypefaceCache() {
    }

    public static Typeface a(String str, int i) {
        Typeface[] typefaceArr = f2067a.get(str);
        if (typefaceArr == null) {
            typefaceArr = new Typeface[4];
            f2067a.put(str, typefaceArr);
        } else if (typefaceArr[i] != null) {
            return typefaceArr[i];
        }
        Typeface b2 = b(str, i);
        typefaceArr[i] = b2;
        b.put(b2, typefaceArr);
        return b2;
    }

    private static Typeface b(String str, int i) {
        String str2 = c[i];
        StringBuilder sb = new StringBuilder(32);
        sb.append("fonts/");
        sb.append(str);
        sb.append(str2);
        int length = sb.length();
        for (String str3 : d) {
            sb.append(str3);
            try {
                return Typeface.createFromAsset(e, sb.toString());
            } catch (RuntimeException unused) {
                sb.setLength(length);
            }
        }
        return (Typeface) Assertions.a(Typeface.create(str, i));
    }

    public static Typeface a(Typeface typeface, int i) {
        if (typeface == null) {
            return Typeface.defaultFromStyle(i);
        }
        Typeface[] typefaceArr = b.get(typeface);
        if (typefaceArr == null) {
            typefaceArr = new Typeface[4];
            typefaceArr[typeface.getStyle()] = typeface;
        } else if (typefaceArr[i] != null) {
            return typefaceArr[i];
        }
        Typeface create = Typeface.create(typeface, i);
        typefaceArr[i] = create;
        b.put(create, typefaceArr);
        return create;
    }
}
