package com.facebook.react.modules.core;

import android.annotation.TargetApi;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.view.Choreographer;

public class ChoreographerCompat {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f2085a = (Build.VERSION.SDK_INT >= 16);
    private static final ChoreographerCompat b = new ChoreographerCompat();
    private Handler c;
    private Choreographer d;

    public static ChoreographerCompat a() {
        return b;
    }

    private ChoreographerCompat() {
        if (f2085a) {
            this.d = b();
        } else {
            this.c = new Handler(Looper.getMainLooper());
        }
    }

    public void a(FrameCallback frameCallback) {
        if (f2085a) {
            a(frameCallback.a());
        } else {
            this.c.postDelayed(frameCallback.b(), 0);
        }
    }

    public void b(FrameCallback frameCallback) {
        if (f2085a) {
            b(frameCallback.a());
        } else {
            this.c.removeCallbacks(frameCallback.b());
        }
    }

    @TargetApi(16)
    private Choreographer b() {
        return Choreographer.getInstance();
    }

    @TargetApi(16)
    private void a(Choreographer.FrameCallback frameCallback) {
        this.d.postFrameCallback(frameCallback);
    }

    @TargetApi(16)
    private void b(Choreographer.FrameCallback frameCallback) {
        this.d.removeFrameCallback(frameCallback);
    }

    public static abstract class FrameCallback {

        /* renamed from: a  reason: collision with root package name */
        private Runnable f2086a;
        private Choreographer.FrameCallback b;

        public abstract void b(long j);

        /* access modifiers changed from: package-private */
        @TargetApi(16)
        public Choreographer.FrameCallback a() {
            if (this.b == null) {
                this.b = new Choreographer.FrameCallback() {
                    /* class com.facebook.react.modules.core.ChoreographerCompat.FrameCallback.AnonymousClass1 */

                    public void doFrame(long j) {
                        FrameCallback.this.b(j);
                    }
                };
            }
            return this.b;
        }

        /* access modifiers changed from: package-private */
        public Runnable b() {
            if (this.f2086a == null) {
                this.f2086a = new Runnable() {
                    /* class com.facebook.react.modules.core.ChoreographerCompat.FrameCallback.AnonymousClass2 */

                    public void run() {
                        FrameCallback.this.b(System.nanoTime());
                    }
                };
            }
            return this.f2086a;
        }
    }
}
