package com.facebook.react.modules.core;

import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.UiThreadUtil;
import com.facebook.react.modules.core.ChoreographerCompat;
import java.util.ArrayDeque;

public class ReactChoreographer {

    /* renamed from: a  reason: collision with root package name */
    private static ReactChoreographer f2090a;
    private final ChoreographerCompat b = ChoreographerCompat.a();
    private final ReactChoreographerDispatcher c = new ReactChoreographerDispatcher();
    private final ArrayDeque<ChoreographerCompat.FrameCallback>[] d = new ArrayDeque[CallbackType.values().length];
    private int e = 0;
    private boolean f = false;

    static /* synthetic */ int b(ReactChoreographer reactChoreographer) {
        int i = reactChoreographer.e;
        reactChoreographer.e = i - 1;
        return i;
    }

    public enum CallbackType {
        PERF_MARKERS(0),
        DISPATCH_UI(1),
        NATIVE_ANIMATED_MODULE(2),
        TIMERS_EVENTS(3),
        IDLE_EVENT(4);
        
        private final int f;

        private CallbackType(int i) {
            this.f = i;
        }

        /* access modifiers changed from: package-private */
        public int a() {
            return this.f;
        }
    }

    public static void a() {
        if (f2090a == null) {
            UiThreadUtil.b();
            f2090a = new ReactChoreographer();
        }
    }

    public static ReactChoreographer b() {
        Assertions.a(f2090a, "ReactChoreographer needs to be initialized.");
        return f2090a;
    }

    private ReactChoreographer() {
        for (int i = 0; i < this.d.length; i++) {
            this.d[i] = new ArrayDeque<>();
        }
    }

    public synchronized void a(CallbackType callbackType, ChoreographerCompat.FrameCallback frameCallback) {
        this.d[callbackType.a()].addLast(frameCallback);
        this.e++;
        Assertions.a(this.e > 0);
        if (!this.f) {
            this.b.a(this.c);
            this.f = true;
        }
    }

    public synchronized void b(CallbackType callbackType, ChoreographerCompat.FrameCallback frameCallback) {
        if (this.d[callbackType.a()].removeFirstOccurrence(frameCallback)) {
            this.e--;
            c();
        } else {
            FLog.d("ReactNative", "Tried to remove non-existent frame callback");
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        Assertions.a(this.e >= 0);
        if (this.e == 0 && this.f) {
            this.b.b(this.c);
            this.f = false;
        }
    }

    /* access modifiers changed from: private */
    public class ReactChoreographerDispatcher extends ChoreographerCompat.FrameCallback {
        private ReactChoreographerDispatcher() {
        }

        @Override // com.facebook.react.modules.core.ChoreographerCompat.FrameCallback
        public void b(long j) {
            synchronized (ReactChoreographer.this) {
                ReactChoreographer.this.f = false;
                for (int i = 0; i < ReactChoreographer.this.d.length; i++) {
                    int size = ReactChoreographer.this.d[i].size();
                    for (int i2 = 0; i2 < size; i2++) {
                        ((ChoreographerCompat.FrameCallback) ReactChoreographer.this.d[i].removeFirst()).b(j);
                        ReactChoreographer.b(ReactChoreographer.this);
                    }
                }
                ReactChoreographer.this.c();
            }
        }
    }
}
