package com.facebook.react.modules.debug;

import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.modules.core.ChoreographerCompat;
import com.facebook.react.uimanager.UIManagerModule;
import java.util.Map;
import java.util.TreeMap;
import javax.annotation.Nullable;

public class FpsDebugFrameCallback extends ChoreographerCompat.FrameCallback {

    /* renamed from: a  reason: collision with root package name */
    private final ChoreographerCompat f2104a;
    private final ReactContext b;
    private final UIManagerModule c;
    private final DidJSUpdateUiDuringFrameDetector d;
    private boolean e = false;
    private long f = -1;
    private long g = -1;
    private int h = 0;
    private int i = 0;
    private int j = 0;
    private int k = 0;
    private boolean l = false;
    @Nullable
    private TreeMap<Long, FpsInfo> m;

    public static class FpsInfo {

        /* renamed from: a  reason: collision with root package name */
        public final int f2105a;
        public final int b;
        public final int c;
        public final int d;
        public final double e;
        public final double f;
        public final int g;

        public FpsInfo(int i, int i2, int i3, int i4, double d2, double d3, int i5) {
            this.f2105a = i;
            this.b = i2;
            this.c = i3;
            this.d = i4;
            this.e = d2;
            this.f = d3;
            this.g = i5;
        }
    }

    public FpsDebugFrameCallback(ChoreographerCompat choreographerCompat, ReactContext reactContext) {
        this.f2104a = choreographerCompat;
        this.b = reactContext;
        this.c = (UIManagerModule) reactContext.b(UIManagerModule.class);
        this.d = new DidJSUpdateUiDuringFrameDetector();
    }

    @Override // com.facebook.react.modules.core.ChoreographerCompat.FrameCallback
    public void b(long j2) {
        if (!this.e) {
            if (this.f == -1) {
                this.f = j2;
            }
            long j3 = this.g;
            this.g = j2;
            if (this.d.a(j3, j2)) {
                this.k++;
            }
            this.h++;
            int j4 = j();
            if ((j4 - this.i) - 1 >= 4) {
                this.j++;
            }
            if (this.l) {
                Assertions.b(this.m);
                this.m.put(Long.valueOf(System.currentTimeMillis()), new FpsInfo(h(), i(), j4, this.j, f(), g(), l()));
            }
            this.i = j4;
            this.f2104a.a(this);
        }
    }

    public void c() {
        this.e = false;
        this.b.a().addBridgeIdleDebugListener(this.d);
        this.c.setViewHierarchyUpdateDebugListener(this.d);
        this.f2104a.a(this);
    }

    public void d() {
        this.m = new TreeMap<>();
        this.l = true;
        c();
    }

    public void e() {
        this.e = true;
        this.b.a().removeBridgeIdleDebugListener(this.d);
        this.c.setViewHierarchyUpdateDebugListener(null);
    }

    public double f() {
        if (this.g == this.f) {
            return 0.0d;
        }
        return (((double) h()) * 1.0E9d) / ((double) (this.g - this.f));
    }

    public double g() {
        if (this.g == this.f) {
            return 0.0d;
        }
        return (((double) i()) * 1.0E9d) / ((double) (this.g - this.f));
    }

    public int h() {
        return this.h - 1;
    }

    public int i() {
        return this.k - 1;
    }

    public int j() {
        return (int) ((((double) l()) / 16.9d) + 1.0d);
    }

    public int k() {
        return this.j;
    }

    public int l() {
        return ((int) (((double) this.g) - ((double) this.f))) / 1000000;
    }

    @Nullable
    public FpsInfo a(long j2) {
        Assertions.a(this.m, "FPS was not recorded at each frame!");
        Map.Entry<Long, FpsInfo> floorEntry = this.m.floorEntry(Long.valueOf(j2));
        if (floorEntry == null) {
            return null;
        }
        return floorEntry.getValue();
    }

    public void m() {
        this.f = -1;
        this.g = -1;
        this.h = 0;
        this.j = 0;
        this.k = 0;
        this.l = false;
        this.m = null;
    }
}
