package com.facebook.react.modules.fresco;

import android.net.Uri;
import android.os.SystemClock;
import com.facebook.imagepipeline.backends.okhttp3.OkHttpNetworkFetcher;
import com.facebook.imagepipeline.producers.NetworkFetcher;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableMapKeySetIterator;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.Executor;
import okhttp3.CacheControl;
import okhttp3.Headers;
import okhttp3.OkHttpClient;
import okhttp3.Request;

/* access modifiers changed from: package-private */
public class ReactOkHttpNetworkFetcher extends OkHttpNetworkFetcher {

    /* renamed from: a  reason: collision with root package name */
    private final OkHttpClient f2111a;
    private final Executor b;

    public ReactOkHttpNetworkFetcher(OkHttpClient okHttpClient) {
        super(okHttpClient);
        this.f2111a = okHttpClient;
        this.b = okHttpClient.dispatcher().executorService();
    }

    private Map<String, String> a(ReadableMap readableMap) {
        if (readableMap == null) {
            return null;
        }
        ReadableMapKeySetIterator a2 = readableMap.a();
        HashMap hashMap = new HashMap();
        while (a2.hasNextKey()) {
            String nextKey = a2.nextKey();
            hashMap.put(nextKey, readableMap.f(nextKey));
        }
        return hashMap;
    }

    @Override // com.facebook.imagepipeline.backends.okhttp3.OkHttpNetworkFetcher
    public void a(OkHttpNetworkFetcher.OkHttpNetworkFetchState okHttpNetworkFetchState, NetworkFetcher.Callback callback) {
        okHttpNetworkFetchState.f1583a = SystemClock.elapsedRealtime();
        Uri e = okHttpNetworkFetchState.e();
        Map<String, String> a2 = okHttpNetworkFetchState.b().a() instanceof ReactNetworkImageRequest ? a(((ReactNetworkImageRequest) okHttpNetworkFetchState.b().a()).r()) : null;
        if (a2 == null) {
            a2 = Collections.emptyMap();
        }
        a(okHttpNetworkFetchState, callback, new Request.Builder().cacheControl(new CacheControl.Builder().noStore().build()).url(e.toString()).headers(Headers.of(a2)).get().build());
    }
}
