package com.facebook.react.modules.network;

import java.io.IOException;
import okhttp3.MediaType;
import okhttp3.RequestBody;
import okio.BufferedSink;
import okio.Okio;
import okio.Sink;

public class ProgressRequestBody extends RequestBody {

    /* renamed from: a  reason: collision with root package name */
    private final RequestBody f2139a;
    private final ProgressListener b;
    private BufferedSink c;
    private long d = 0;

    public ProgressRequestBody(RequestBody requestBody, ProgressListener progressListener) {
        this.f2139a = requestBody;
        this.b = progressListener;
    }

    @Override // okhttp3.RequestBody
    public MediaType contentType() {
        return this.f2139a.contentType();
    }

    @Override // okhttp3.RequestBody
    public long contentLength() throws IOException {
        if (this.d == 0) {
            this.d = this.f2139a.contentLength();
        }
        return this.d;
    }

    @Override // okhttp3.RequestBody
    public void writeTo(BufferedSink bufferedSink) throws IOException {
        if (this.c == null) {
            this.c = Okio.a(a(bufferedSink));
        }
        contentLength();
        this.f2139a.writeTo(this.c);
        this.c.flush();
    }

    private Sink a(BufferedSink bufferedSink) {
        return Okio.a(new CountingOutputStream(bufferedSink.c()) {
            /* class com.facebook.react.modules.network.ProgressRequestBody.AnonymousClass1 */

            @Override // java.io.OutputStream, com.facebook.react.modules.network.CountingOutputStream, java.io.FilterOutputStream
            public void write(byte[] bArr, int i, int i2) throws IOException {
                super.write(bArr, i, i2);
                b();
            }

            @Override // java.io.OutputStream, com.facebook.react.modules.network.CountingOutputStream, java.io.FilterOutputStream
            public void write(int i) throws IOException {
                super.write(i);
                b();
            }

            private void b() throws IOException {
                long a2 = a();
                long contentLength = ProgressRequestBody.this.contentLength();
                ProgressRequestBody.this.b.a(a2, contentLength, a2 == contentLength);
            }
        });
    }
}
