package com.facebook.react.modules.network;

import java.io.IOException;
import javax.annotation.Nullable;
import okhttp3.MediaType;
import okhttp3.ResponseBody;
import okio.Buffer;
import okio.BufferedSource;
import okio.ForwardingSource;
import okio.Okio;
import okio.Source;

public class ProgressResponseBody extends ResponseBody {

    /* renamed from: a  reason: collision with root package name */
    private final ResponseBody f2141a;
    private final ProgressListener b;
    @Nullable
    private BufferedSource c;
    private long d = 0;

    public ProgressResponseBody(ResponseBody responseBody, ProgressListener progressListener) {
        this.f2141a = responseBody;
        this.b = progressListener;
    }

    @Override // okhttp3.ResponseBody
    public MediaType contentType() {
        return this.f2141a.contentType();
    }

    @Override // okhttp3.ResponseBody
    public long contentLength() {
        return this.f2141a.contentLength();
    }

    public long a() {
        return this.d;
    }

    @Override // okhttp3.ResponseBody
    public BufferedSource source() {
        if (this.c == null) {
            this.c = Okio.a(a(this.f2141a.source()));
        }
        return this.c;
    }

    private Source a(Source source) {
        return new ForwardingSource(source) {
            /* class com.facebook.react.modules.network.ProgressResponseBody.AnonymousClass1 */

            @Override // okio.Source, okio.ForwardingSource
            public long read(Buffer buffer, long j) throws IOException {
                long read = super.read(buffer, j);
                int i = (read > -1 ? 1 : (read == -1 ? 0 : -1));
                ProgressResponseBody.this.d += i != 0 ? read : 0;
                ProgressResponseBody.this.b.a(ProgressResponseBody.this.d, ProgressResponseBody.this.f2141a.contentLength(), i == 0);
                return read;
            }
        };
    }
}
