package com.facebook.react.packagerconnection;

import android.os.Handler;
import android.os.Looper;
import android.util.Base64;
import com.facebook.common.logging.FLog;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import javax.annotation.Nullable;
import org.json.JSONObject;

public class FileIoHandler implements Runnable {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2170a = JSPackagerClient.class.getSimpleName();
    private int b = 1;
    private final Handler c = new Handler(Looper.getMainLooper());
    private final Map<Integer, TtlFileInputStream> d = new HashMap();
    private final Map<String, RequestHandler> e = new HashMap();

    /* access modifiers changed from: private */
    public static class TtlFileInputStream {

        /* renamed from: a  reason: collision with root package name */
        private final FileInputStream f2174a;
        private long b = (System.currentTimeMillis() + 30000);

        public TtlFileInputStream(String str) throws FileNotFoundException {
            this.f2174a = new FileInputStream(str);
        }

        private void c() {
            this.b = System.currentTimeMillis() + 30000;
        }

        public boolean a() {
            return System.currentTimeMillis() >= this.b;
        }

        public String a(int i) throws IOException {
            c();
            byte[] bArr = new byte[i];
            return Base64.encodeToString(bArr, 0, this.f2174a.read(bArr), 0);
        }

        public void b() throws IOException {
            this.f2174a.close();
        }
    }

    public FileIoHandler() {
        this.e.put("fopen", new RequestOnlyHandler() {
            /* class com.facebook.react.packagerconnection.FileIoHandler.AnonymousClass1 */

            @Override // com.facebook.react.packagerconnection.RequestHandler
            public void a(@Nullable Object obj, Responder responder) {
                synchronized (FileIoHandler.this.d) {
                    try {
                        JSONObject jSONObject = (JSONObject) obj;
                        if (jSONObject != null) {
                            String optString = jSONObject.optString("mode");
                            if (optString != null) {
                                String optString2 = jSONObject.optString(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_FILENAME);
                                if (optString2 == null) {
                                    throw new Exception("missing params.filename");
                                } else if (optString.equals("r")) {
                                    responder.a(Integer.valueOf(FileIoHandler.this.a((FileIoHandler) optString2)));
                                } else {
                                    throw new IllegalArgumentException("unsupported mode: " + optString);
                                }
                            } else {
                                throw new Exception("missing params.mode");
                            }
                        } else {
                            throw new Exception("params must be an object { mode: string, filename: string }");
                        }
                    } catch (Exception e) {
                        responder.b(e.toString());
                    }
                }
            }
        });
        this.e.put("fclose", new RequestOnlyHandler() {
            /* class com.facebook.react.packagerconnection.FileIoHandler.AnonymousClass2 */

            @Override // com.facebook.react.packagerconnection.RequestHandler
            public void a(@Nullable Object obj, Responder responder) {
                synchronized (FileIoHandler.this.d) {
                    try {
                        if (obj instanceof Number) {
                            TtlFileInputStream ttlFileInputStream = (TtlFileInputStream) FileIoHandler.this.d.get(Integer.valueOf(((Integer) obj).intValue()));
                            if (ttlFileInputStream != null) {
                                FileIoHandler.this.d.remove(Integer.valueOf(((Integer) obj).intValue()));
                                ttlFileInputStream.b();
                                responder.a("");
                            } else {
                                throw new Exception("invalid file handle, it might have timed out");
                            }
                        } else {
                            throw new Exception("params must be a file handle");
                        }
                    } catch (Exception e) {
                        responder.b(e.toString());
                    }
                }
            }
        });
        this.e.put("fread", new RequestOnlyHandler() {
            /* class com.facebook.react.packagerconnection.FileIoHandler.AnonymousClass3 */

            @Override // com.facebook.react.packagerconnection.RequestHandler
            public void a(@Nullable Object obj, Responder responder) {
                synchronized (FileIoHandler.this.d) {
                    try {
                        JSONObject jSONObject = (JSONObject) obj;
                        if (jSONObject != null) {
                            int optInt = jSONObject.optInt("file");
                            if (optInt != 0) {
                                int optInt2 = jSONObject.optInt("size");
                                if (optInt2 != 0) {
                                    TtlFileInputStream ttlFileInputStream = (TtlFileInputStream) FileIoHandler.this.d.get(Integer.valueOf(optInt));
                                    if (ttlFileInputStream != null) {
                                        responder.a(ttlFileInputStream.a(optInt2));
                                    } else {
                                        throw new Exception("invalid file handle, it might have timed out");
                                    }
                                } else {
                                    throw new Exception("invalid or missing read size");
                                }
                            } else {
                                throw new Exception("invalid or missing file handle");
                            }
                        } else {
                            throw new Exception("params must be an object { file: handle, size: number }");
                        }
                    } catch (Exception e) {
                        responder.b(e.toString());
                    }
                }
            }
        });
    }

    public Map<String, RequestHandler> a() {
        return this.e;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a(String str) throws FileNotFoundException {
        int i = this.b;
        this.b = i + 1;
        this.d.put(Integer.valueOf(i), new TtlFileInputStream(str));
        if (this.d.size() == 1) {
            this.c.postDelayed(this, 30000);
        }
        return i;
    }

    public void run() {
        synchronized (this.d) {
            Iterator<TtlFileInputStream> it = this.d.values().iterator();
            while (it.hasNext()) {
                TtlFileInputStream next = it.next();
                if (next.a()) {
                    it.remove();
                    try {
                        next.b();
                    } catch (IOException e2) {
                        String str = f2170a;
                        FLog.d(str, "closing expired file failed: " + e2.toString());
                    }
                }
            }
            if (!this.d.isEmpty()) {
                this.c.postDelayed(this, 30000);
            }
        }
    }
}
