package com.facebook.react.packagerconnection;

import android.net.Uri;
import com.facebook.common.logging.FLog;
import com.facebook.react.modules.systeminfo.AndroidInfoHelpers;
import com.facebook.react.packagerconnection.ReconnectingWebSocket;
import java.util.Map;
import javax.annotation.Nullable;
import okio.ByteString;
import org.json.JSONObject;

public final class JSPackagerClient implements ReconnectingWebSocket.MessageCallback {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2175a = "JSPackagerClient";
    private ReconnectingWebSocket b;
    private Map<String, RequestHandler> c;

    /* access modifiers changed from: private */
    public class ResponderImpl implements Responder {
        private Object b;

        public ResponderImpl(Object obj) {
            this.b = obj;
        }

        @Override // com.facebook.react.packagerconnection.Responder
        public void a(Object obj) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("version", 2);
                jSONObject.put("id", this.b);
                jSONObject.put("result", obj);
                JSPackagerClient.this.b.a(jSONObject.toString());
            } catch (Exception e) {
                FLog.c(JSPackagerClient.f2175a, "Responding failed", e);
            }
        }

        @Override // com.facebook.react.packagerconnection.Responder
        public void b(Object obj) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("version", 2);
                jSONObject.put("id", this.b);
                jSONObject.put("error", obj);
                JSPackagerClient.this.b.a(jSONObject.toString());
            } catch (Exception e) {
                FLog.c(JSPackagerClient.f2175a, "Responding with error failed", e);
            }
        }
    }

    public JSPackagerClient(String str, PackagerConnectionSettings packagerConnectionSettings, Map<String, RequestHandler> map, @Nullable ReconnectingWebSocket.ConnectionCallback connectionCallback) {
        Uri.Builder builder = new Uri.Builder();
        builder.scheme("ws").encodedAuthority(packagerConnectionSettings.a()).appendPath("message").appendQueryParameter("device", AndroidInfoHelpers.c()).appendQueryParameter("app", packagerConnectionSettings.c()).appendQueryParameter("clientid", str);
        this.b = new ReconnectingWebSocket(builder.build().toString(), this, connectionCallback);
        this.c = map;
    }

    public void a() {
        this.b.a();
    }

    public void b() {
        this.b.b();
    }

    @Override // com.facebook.react.packagerconnection.ReconnectingWebSocket.MessageCallback
    public void a(String str) {
        try {
            JSONObject jSONObject = new JSONObject(str);
            int optInt = jSONObject.optInt("version");
            String optString = jSONObject.optString("method");
            Object opt = jSONObject.opt("id");
            Object opt2 = jSONObject.opt("params");
            if (optInt != 2) {
                String str2 = f2175a;
                FLog.d(str2, "Message with incompatible or missing version of protocol received: " + optInt);
            } else if (optString == null) {
                a(opt, "No method provided");
            } else {
                RequestHandler requestHandler = this.c.get(optString);
                if (requestHandler == null) {
                    a(opt, "No request handler for method: " + optString);
                } else if (opt == null) {
                    requestHandler.a(opt2);
                } else {
                    requestHandler.a(opt2, new ResponderImpl(opt));
                }
            }
        } catch (Exception e) {
            FLog.c(f2175a, "Handling the message failed", e);
        }
    }

    @Override // com.facebook.react.packagerconnection.ReconnectingWebSocket.MessageCallback
    public void a(ByteString byteString) {
        FLog.c(f2175a, "Websocket received message with payload of unexpected type binary");
    }

    private void a(Object obj, String str) {
        if (obj != null) {
            new ResponderImpl(obj).b(str);
        }
        String str2 = f2175a;
        FLog.d(str2, "Handling the message failed with reason: " + str);
    }
}
