package com.facebook.react.packagerconnection;

import android.os.Handler;
import android.os.Looper;
import com.facebook.common.logging.FLog;
import java.io.IOException;
import java.nio.channels.ClosedChannelException;
import java.util.concurrent.TimeUnit;
import javax.annotation.Nullable;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.WebSocket;
import okhttp3.WebSocketListener;
import okio.ByteString;

public final class ReconnectingWebSocket extends WebSocketListener {

    /* renamed from: a  reason: collision with root package name */
    private static final String f2179a = "ReconnectingWebSocket";
    private final String b;
    private final Handler c;
    private boolean d = false;
    private boolean e;
    @Nullable
    private WebSocket f;
    @Nullable
    private MessageCallback g;
    @Nullable
    private ConnectionCallback h;

    public interface ConnectionCallback {
        void a();

        void b();
    }

    public interface MessageCallback {
        void a(String str);

        void a(ByteString byteString);
    }

    public ReconnectingWebSocket(String str, MessageCallback messageCallback, ConnectionCallback connectionCallback) {
        this.b = str;
        this.g = messageCallback;
        this.h = connectionCallback;
        this.c = new Handler(Looper.getMainLooper());
    }

    public void a() {
        if (!this.d) {
            new OkHttpClient.Builder().connectTimeout(10, TimeUnit.SECONDS).writeTimeout(10, TimeUnit.SECONDS).readTimeout(0, TimeUnit.MINUTES).build().newWebSocket(new Request.Builder().url(this.b).build(), this);
            return;
        }
        throw new IllegalStateException("Can't connect closed client");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void c() {
        if (!this.d) {
            a();
        }
    }

    private void d() {
        if (!this.d) {
            if (!this.e) {
                String str = f2179a;
                FLog.c(str, "Couldn't connect to \"" + this.b + "\", will silently retry");
                this.e = true;
            }
            this.c.postDelayed(new Runnable() {
                /* class com.facebook.react.packagerconnection.ReconnectingWebSocket.AnonymousClass1 */

                public void run() {
                    ReconnectingWebSocket.this.c();
                }
            }, 2000);
            return;
        }
        throw new IllegalStateException("Can't reconnect closed client");
    }

    public void b() {
        this.d = true;
        e();
        this.g = null;
        if (this.h != null) {
            this.h.b();
        }
    }

    private void e() {
        if (this.f != null) {
            try {
                this.f.close(1000, "End of session");
            } catch (Exception unused) {
            }
            this.f = null;
        }
    }

    private void a(String str, Throwable th) {
        String str2 = f2179a;
        FLog.c(str2, "Error occurred, shutting down websocket connection: " + str, th);
        e();
    }

    @Override // okhttp3.WebSocketListener
    public synchronized void onOpen(WebSocket webSocket, Response response) {
        this.f = webSocket;
        this.e = false;
        if (this.h != null) {
            this.h.a();
        }
    }

    @Override // okhttp3.WebSocketListener
    public synchronized void onFailure(WebSocket webSocket, Throwable th, Response response) {
        if (this.f != null) {
            a("Websocket exception", th);
        }
        if (!this.d) {
            if (this.h != null) {
                this.h.b();
            }
            d();
        }
    }

    @Override // okhttp3.WebSocketListener
    public synchronized void onMessage(WebSocket webSocket, String str) {
        if (this.g != null) {
            this.g.a(str);
        }
    }

    @Override // okhttp3.WebSocketListener
    public synchronized void onMessage(WebSocket webSocket, ByteString byteString) {
        if (this.g != null) {
            this.g.a(byteString);
        }
    }

    @Override // okhttp3.WebSocketListener
    public synchronized void onClosed(WebSocket webSocket, int i, String str) {
        this.f = null;
        if (!this.d) {
            if (this.h != null) {
                this.h.b();
            }
            d();
        }
    }

    public synchronized void a(String str) throws IOException {
        if (this.f != null) {
            this.f.send(str);
        } else {
            throw new ClosedChannelException();
        }
    }
}
