package com.facebook.react.uimanager;

import android.view.MotionEvent;
import android.view.ViewGroup;
import com.facebook.common.logging.FLog;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.uimanager.events.EventDispatcher;
import com.facebook.react.uimanager.events.TouchEvent;
import com.facebook.react.uimanager.events.TouchEventCoalescingKeyHelper;
import com.facebook.react.uimanager.events.TouchEventType;
import com.tencent.smtt.sdk.WebView;

public class JSTouchDispatcher {

    /* renamed from: a  reason: collision with root package name */
    private int f2216a = -1;
    private final float[] b = new float[2];
    private boolean c = false;
    private long d = Long.MIN_VALUE;
    private final ViewGroup e;
    private final TouchEventCoalescingKeyHelper f = new TouchEventCoalescingKeyHelper();

    public JSTouchDispatcher(ViewGroup viewGroup) {
        this.e = viewGroup;
    }

    public void a(MotionEvent motionEvent, EventDispatcher eventDispatcher) {
        if (!this.c) {
            c(motionEvent, eventDispatcher);
            this.c = true;
            this.f2216a = -1;
        }
    }

    public void b(MotionEvent motionEvent, EventDispatcher eventDispatcher) {
        int action = motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA;
        if (action == 0) {
            if (this.f2216a != -1) {
                FLog.d("ReactNative", "Got DOWN touch before receiving UP or CANCEL from last gesture");
            }
            this.c = false;
            this.d = motionEvent.getEventTime();
            this.f2216a = a(motionEvent);
            eventDispatcher.a(TouchEvent.a(this.f2216a, TouchEventType.START, motionEvent, this.d, this.b[0], this.b[1], this.f));
        } else if (!this.c) {
            if (this.f2216a == -1) {
                FLog.d("ReactNative", "Unexpected state: received touch event but didn't get starting ACTION_DOWN for this gesture before");
            } else if (action == 1) {
                a(motionEvent);
                eventDispatcher.a(TouchEvent.a(this.f2216a, TouchEventType.END, motionEvent, this.d, this.b[0], this.b[1], this.f));
                this.f2216a = -1;
                this.d = Long.MIN_VALUE;
            } else if (action == 2) {
                a(motionEvent);
                eventDispatcher.a(TouchEvent.a(this.f2216a, TouchEventType.MOVE, motionEvent, this.d, this.b[0], this.b[1], this.f));
            } else if (action == 5) {
                eventDispatcher.a(TouchEvent.a(this.f2216a, TouchEventType.START, motionEvent, this.d, this.b[0], this.b[1], this.f));
            } else if (action == 6) {
                eventDispatcher.a(TouchEvent.a(this.f2216a, TouchEventType.END, motionEvent, this.d, this.b[0], this.b[1], this.f));
            } else if (action == 3) {
                if (this.f.e(motionEvent.getDownTime())) {
                    c(motionEvent, eventDispatcher);
                } else {
                    FLog.d("ReactNative", "Received an ACTION_CANCEL touch event for which we have no corresponding ACTION_DOWN");
                }
                this.f2216a = -1;
                this.d = Long.MIN_VALUE;
            } else {
                FLog.c("ReactNative", "Warning : touch event was ignored. Action=" + action + " Target=" + this.f2216a);
            }
        }
    }

    private int a(MotionEvent motionEvent) {
        return TouchTargetHelper.a(motionEvent.getX(), motionEvent.getY(), this.e, this.b, (int[]) null);
    }

    private void c(MotionEvent motionEvent, EventDispatcher eventDispatcher) {
        if (this.f2216a == -1) {
            FLog.c("ReactNative", "Can't cancel already finished gesture. Is a child View trying to start a gesture from an UP/CANCEL event?");
            return;
        }
        Assertions.a(!this.c, "Expected to not have already sent a cancel for this gesture");
        ((EventDispatcher) Assertions.b(eventDispatcher)).a(TouchEvent.a(this.f2216a, TouchEventType.CANCEL, motionEvent, this.d, this.b[0], this.b[1], this.f));
    }
}
