package com.facebook.react.uimanager;

import com.facebook.react.bridge.Dynamic;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.ReadableType;
import com.facebook.react.modules.i18nmanager.I18nUtil;
import com.facebook.react.uimanager.annotations.ReactProp;
import com.facebook.react.uimanager.annotations.ReactPropGroup;
import com.facebook.yoga.YogaAlign;
import com.facebook.yoga.YogaDisplay;
import com.facebook.yoga.YogaFlexDirection;
import com.facebook.yoga.YogaJustify;
import com.facebook.yoga.YogaOverflow;
import com.facebook.yoga.YogaPositionType;
import com.facebook.yoga.YogaUnit;
import com.facebook.yoga.YogaWrap;
import javax.annotation.Nullable;

public class LayoutShadowNode extends ReactShadowNodeImpl {

    /* renamed from: a  reason: collision with root package name */
    private final MutableYogaValue f2217a = new MutableYogaValue();

    private static class MutableYogaValue {

        /* renamed from: a  reason: collision with root package name */
        float f2219a;
        YogaUnit b;

        private MutableYogaValue() {
        }

        /* access modifiers changed from: package-private */
        public void a(Dynamic dynamic) {
            if (dynamic.a()) {
                this.b = YogaUnit.UNDEFINED;
                this.f2219a = 1.0E21f;
            } else if (dynamic.d() == ReadableType.String) {
                String c = dynamic.c();
                if (c.equals("auto")) {
                    this.b = YogaUnit.AUTO;
                    this.f2219a = 1.0E21f;
                } else if (c.endsWith("%")) {
                    this.b = YogaUnit.PERCENT;
                    this.f2219a = Float.parseFloat(c.substring(0, c.length() - 1));
                } else {
                    throw new IllegalArgumentException("Unknown value: " + c);
                }
            } else {
                this.b = YogaUnit.POINT;
                this.f2219a = PixelUtil.a(dynamic.b());
            }
        }
    }

    @ReactProp(a = "width")
    public void setWidth(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            switch (this.f2217a.b) {
                case POINT:
                case UNDEFINED:
                    a(this.f2217a.f2219a);
                    break;
                case AUTO:
                    ah();
                    break;
                case PERCENT:
                    f(this.f2217a.f2219a);
                    break;
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "minWidth")
    public void setMinWidth(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            int i = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i != 4) {
                switch (i) {
                    case 1:
                    case 2:
                        g(this.f2217a.f2219a);
                        break;
                }
            } else {
                h(this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "maxWidth")
    public void setMaxWidth(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            int i = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i != 4) {
                switch (i) {
                    case 1:
                    case 2:
                        d(this.f2217a.f2219a);
                        break;
                }
            } else {
                i(this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "height")
    public void setHeight(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            switch (this.f2217a.b) {
                case POINT:
                case UNDEFINED:
                    b(this.f2217a.f2219a);
                    break;
                case AUTO:
                    ai();
                    break;
                case PERCENT:
                    j(this.f2217a.f2219a);
                    break;
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "minHeight")
    public void setMinHeight(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            int i = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i != 4) {
                switch (i) {
                    case 1:
                    case 2:
                        k(this.f2217a.f2219a);
                        break;
                }
            } else {
                l(this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "maxHeight")
    public void setMaxHeight(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            int i = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i != 4) {
                switch (i) {
                    case 1:
                    case 2:
                        e(this.f2217a.f2219a);
                        break;
                }
            } else {
                m(this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    @ReactProp(a = "flex", d = 0.0f)
    public void setFlex(float f) {
        if (!d()) {
            super.setFlex(f);
        }
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    @ReactProp(a = "flexGrow", d = 0.0f)
    public void setFlexGrow(float f) {
        if (!d()) {
            super.setFlexGrow(f);
        }
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    @ReactProp(a = "flexShrink", d = 0.0f)
    public void setFlexShrink(float f) {
        if (!d()) {
            super.setFlexShrink(f);
        }
    }

    @ReactProp(a = "flexBasis")
    public void setFlexBasis(Dynamic dynamic) {
        if (!d()) {
            this.f2217a.a(dynamic);
            switch (this.f2217a.b) {
                case POINT:
                case UNDEFINED:
                    n(this.f2217a.f2219a);
                    break;
                case AUTO:
                    aw();
                    break;
                case PERCENT:
                    o(this.f2217a.f2219a);
                    break;
            }
            dynamic.e();
        }
    }

    @ReactProp(a = "aspectRatio", d = 1.0E21f)
    public void setAspectRatio(float f) {
        p(f);
    }

    @ReactProp(a = "flexDirection")
    public void setFlexDirection(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaFlexDirection.COLUMN);
                return;
            }
            char c = 65535;
            int hashCode = str.hashCode();
            if (hashCode != -1448970769) {
                if (hashCode != -1354837162) {
                    if (hashCode != 113114) {
                        if (hashCode == 1272730475 && str.equals("column-reverse")) {
                            c = 1;
                        }
                    } else if (str.equals("row")) {
                        c = 2;
                    }
                } else if (str.equals("column")) {
                    c = 0;
                }
            } else if (str.equals("row-reverse")) {
                c = 3;
            }
            switch (c) {
                case 0:
                    a(YogaFlexDirection.COLUMN);
                    return;
                case 1:
                    a(YogaFlexDirection.COLUMN_REVERSE);
                    return;
                case 2:
                    a(YogaFlexDirection.ROW);
                    return;
                case 3:
                    a(YogaFlexDirection.ROW_REVERSE);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for flexDirection: " + str);
            }
        }
    }

    @ReactProp(a = "flexWrap")
    public void setFlexWrap(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaWrap.NO_WRAP);
                return;
            }
            char c = 65535;
            int hashCode = str.hashCode();
            if (hashCode != -1039592053) {
                if (hashCode == 3657802 && str.equals("wrap")) {
                    c = 1;
                }
            } else if (str.equals("nowrap")) {
                c = 0;
            }
            switch (c) {
                case 0:
                    a(YogaWrap.NO_WRAP);
                    return;
                case 1:
                    a(YogaWrap.WRAP);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for flexWrap: " + str);
            }
        }
    }

    @ReactProp(a = "alignSelf")
    public void setAlignSelf(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaAlign.AUTO);
                return;
            }
            char c = 65535;
            switch (str.hashCode()) {
                case -1881872635:
                    if (str.equals("stretch")) {
                        c = 4;
                        break;
                    }
                    break;
                case -1720785339:
                    if (str.equals("baseline")) {
                        c = 5;
                        break;
                    }
                    break;
                case -1364013995:
                    if (str.equals("center")) {
                        c = 2;
                        break;
                    }
                    break;
                case -46581362:
                    if (str.equals("flex-start")) {
                        c = 1;
                        break;
                    }
                    break;
                case 3005871:
                    if (str.equals("auto")) {
                        c = 0;
                        break;
                    }
                    break;
                case 441309761:
                    if (str.equals("space-between")) {
                        c = 6;
                        break;
                    }
                    break;
                case 1742952711:
                    if (str.equals("flex-end")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1937124468:
                    if (str.equals("space-around")) {
                        c = 7;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    a(YogaAlign.AUTO);
                    return;
                case 1:
                    a(YogaAlign.FLEX_START);
                    return;
                case 2:
                    a(YogaAlign.CENTER);
                    return;
                case 3:
                    a(YogaAlign.FLEX_END);
                    return;
                case 4:
                    a(YogaAlign.STRETCH);
                    return;
                case 5:
                    a(YogaAlign.BASELINE);
                    return;
                case 6:
                    a(YogaAlign.SPACE_BETWEEN);
                    return;
                case 7:
                    a(YogaAlign.SPACE_AROUND);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for alignSelf: " + str);
            }
        }
    }

    @ReactProp(a = "alignItems")
    public void setAlignItems(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                b(YogaAlign.STRETCH);
                return;
            }
            char c = 65535;
            switch (str.hashCode()) {
                case -1881872635:
                    if (str.equals("stretch")) {
                        c = 4;
                        break;
                    }
                    break;
                case -1720785339:
                    if (str.equals("baseline")) {
                        c = 5;
                        break;
                    }
                    break;
                case -1364013995:
                    if (str.equals("center")) {
                        c = 2;
                        break;
                    }
                    break;
                case -46581362:
                    if (str.equals("flex-start")) {
                        c = 1;
                        break;
                    }
                    break;
                case 3005871:
                    if (str.equals("auto")) {
                        c = 0;
                        break;
                    }
                    break;
                case 441309761:
                    if (str.equals("space-between")) {
                        c = 6;
                        break;
                    }
                    break;
                case 1742952711:
                    if (str.equals("flex-end")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1937124468:
                    if (str.equals("space-around")) {
                        c = 7;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    b(YogaAlign.AUTO);
                    return;
                case 1:
                    b(YogaAlign.FLEX_START);
                    return;
                case 2:
                    b(YogaAlign.CENTER);
                    return;
                case 3:
                    b(YogaAlign.FLEX_END);
                    return;
                case 4:
                    b(YogaAlign.STRETCH);
                    return;
                case 5:
                    b(YogaAlign.BASELINE);
                    return;
                case 6:
                    b(YogaAlign.SPACE_BETWEEN);
                    return;
                case 7:
                    b(YogaAlign.SPACE_AROUND);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for alignItems: " + str);
            }
        }
    }

    @ReactProp(a = "alignContent")
    public void setAlignContent(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                c(YogaAlign.FLEX_START);
                return;
            }
            char c = 65535;
            switch (str.hashCode()) {
                case -1881872635:
                    if (str.equals("stretch")) {
                        c = 4;
                        break;
                    }
                    break;
                case -1720785339:
                    if (str.equals("baseline")) {
                        c = 5;
                        break;
                    }
                    break;
                case -1364013995:
                    if (str.equals("center")) {
                        c = 2;
                        break;
                    }
                    break;
                case -46581362:
                    if (str.equals("flex-start")) {
                        c = 1;
                        break;
                    }
                    break;
                case 3005871:
                    if (str.equals("auto")) {
                        c = 0;
                        break;
                    }
                    break;
                case 441309761:
                    if (str.equals("space-between")) {
                        c = 6;
                        break;
                    }
                    break;
                case 1742952711:
                    if (str.equals("flex-end")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1937124468:
                    if (str.equals("space-around")) {
                        c = 7;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    c(YogaAlign.AUTO);
                    return;
                case 1:
                    c(YogaAlign.FLEX_START);
                    return;
                case 2:
                    c(YogaAlign.CENTER);
                    return;
                case 3:
                    c(YogaAlign.FLEX_END);
                    return;
                case 4:
                    c(YogaAlign.STRETCH);
                    return;
                case 5:
                    c(YogaAlign.BASELINE);
                    return;
                case 6:
                    c(YogaAlign.SPACE_BETWEEN);
                    return;
                case 7:
                    c(YogaAlign.SPACE_AROUND);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for alignContent: " + str);
            }
        }
    }

    @ReactProp(a = "justifyContent")
    public void setJustifyContent(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaJustify.FLEX_START);
                return;
            }
            char c = 65535;
            switch (str.hashCode()) {
                case -1364013995:
                    if (str.equals("center")) {
                        c = 1;
                        break;
                    }
                    break;
                case -46581362:
                    if (str.equals("flex-start")) {
                        c = 0;
                        break;
                    }
                    break;
                case 441309761:
                    if (str.equals("space-between")) {
                        c = 3;
                        break;
                    }
                    break;
                case 1742952711:
                    if (str.equals("flex-end")) {
                        c = 2;
                        break;
                    }
                    break;
                case 1937124468:
                    if (str.equals("space-around")) {
                        c = 4;
                        break;
                    }
                    break;
                case 2055030478:
                    if (str.equals("space-evenly")) {
                        c = 5;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    a(YogaJustify.FLEX_START);
                    return;
                case 1:
                    a(YogaJustify.CENTER);
                    return;
                case 2:
                    a(YogaJustify.FLEX_END);
                    return;
                case 3:
                    a(YogaJustify.SPACE_BETWEEN);
                    return;
                case 4:
                    a(YogaJustify.SPACE_AROUND);
                    return;
                case 5:
                    a(YogaJustify.SPACE_EVENLY);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for justifyContent: " + str);
            }
        }
    }

    @ReactProp(a = "overflow")
    public void setOverflow(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaOverflow.VISIBLE);
                return;
            }
            char c = 65535;
            int hashCode = str.hashCode();
            if (hashCode != -1217487446) {
                if (hashCode != -907680051) {
                    if (hashCode == 466743410 && str.equals("visible")) {
                        c = 0;
                    }
                } else if (str.equals("scroll")) {
                    c = 2;
                }
            } else if (str.equals("hidden")) {
                c = 1;
            }
            switch (c) {
                case 0:
                    a(YogaOverflow.VISIBLE);
                    return;
                case 1:
                    a(YogaOverflow.HIDDEN);
                    return;
                case 2:
                    a(YogaOverflow.SCROLL);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for overflow: " + str);
            }
        }
    }

    @ReactProp(a = "display")
    public void setDisplay(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaDisplay.FLEX);
                return;
            }
            char c = 65535;
            int hashCode = str.hashCode();
            if (hashCode != 3145721) {
                if (hashCode == 3387192 && str.equals("none")) {
                    c = 1;
                }
            } else if (str.equals("flex")) {
                c = 0;
            }
            switch (c) {
                case 0:
                    a(YogaDisplay.FLEX);
                    return;
                case 1:
                    a(YogaDisplay.NONE);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for display: " + str);
            }
        }
    }

    @ReactPropGroup(a = {"margin", "marginVertical", "marginHorizontal", "marginStart", "marginEnd", "marginTop", "marginBottom", "marginLeft", "marginRight"})
    public void setMargins(int i, Dynamic dynamic) {
        if (!d()) {
            int b = b(ViewProps.b[i]);
            this.f2217a.a(dynamic);
            switch (this.f2217a.b) {
                case POINT:
                case UNDEFINED:
                    d(b, this.f2217a.f2219a);
                    break;
                case AUTO:
                    j(b);
                    break;
                case PERCENT:
                    e(b, this.f2217a.f2219a);
                    break;
            }
            dynamic.e();
        }
    }

    @ReactPropGroup(a = {"padding", "paddingVertical", "paddingHorizontal", "paddingStart", "paddingEnd", "paddingTop", "paddingBottom", "paddingLeft", "paddingRight"})
    public void setPaddings(int i, Dynamic dynamic) {
        if (!d()) {
            int b = b(ViewProps.b[i]);
            this.f2217a.a(dynamic);
            int i2 = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i2 != 4) {
                switch (i2) {
                    case 1:
                    case 2:
                        a(b, this.f2217a.f2219a);
                        break;
                }
            } else {
                b(b, this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    @ReactPropGroup(a = {"borderWidth", "borderStartWidth", "borderEndWidth", "borderTopWidth", "borderBottomWidth", "borderLeftWidth", "borderRightWidth"}, c = 1.0E21f)
    public void setBorderWidths(int i, float f) {
        if (!d()) {
            c(b(ViewProps.f2278a[i]), PixelUtil.a(f));
        }
    }

    @ReactPropGroup(a = {"start", "end", "left", "right", "top", "bottom"})
    public void setPositionValues(int i, Dynamic dynamic) {
        if (!d()) {
            int b = b(new int[]{4, 5, 0, 2, 1, 3}[i]);
            this.f2217a.a(dynamic);
            int i2 = AnonymousClass1.f2218a[this.f2217a.b.ordinal()];
            if (i2 != 4) {
                switch (i2) {
                    case 1:
                    case 2:
                        g(b, this.f2217a.f2219a);
                        break;
                }
            } else {
                h(b, this.f2217a.f2219a);
            }
            dynamic.e();
        }
    }

    private int b(int i) {
        if (!I18nUtil.a().b(Y())) {
            return i;
        }
        if (i == 0) {
            return 4;
        }
        if (i != 2) {
            return i;
        }
        return 5;
    }

    @ReactProp(a = "position")
    public void setPosition(@Nullable String str) {
        if (!d()) {
            if (str == null) {
                a(YogaPositionType.RELATIVE);
                return;
            }
            char c = 65535;
            int hashCode = str.hashCode();
            if (hashCode != -554435892) {
                if (hashCode == 1728122231 && str.equals("absolute")) {
                    c = 1;
                }
            } else if (str.equals("relative")) {
                c = 0;
            }
            switch (c) {
                case 0:
                    a(YogaPositionType.RELATIVE);
                    return;
                case 1:
                    a(YogaPositionType.ABSOLUTE);
                    return;
                default:
                    throw new JSApplicationIllegalArgumentException("invalid value for position: " + str);
            }
        }
    }

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl
    @ReactProp(a = "onLayout")
    public void setShouldNotifyOnLayout(boolean z) {
        super.setShouldNotifyOnLayout(z);
    }
}
