package com.facebook.react.uimanager;

import android.util.SparseBooleanArray;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMapKeySetIterator;
import com.facebook.react.views.view.ReactViewManager;
import javax.annotation.Nullable;

public class NativeViewHierarchyOptimizer {

    /* renamed from: a  reason: collision with root package name */
    private final UIViewOperationQueue f2225a;
    private final ShadowNodeRegistry b;
    private final SparseBooleanArray c = new SparseBooleanArray();

    /* access modifiers changed from: private */
    public static class NodeIndexPair {

        /* renamed from: a  reason: collision with root package name */
        public final ReactShadowNode f2226a;
        public final int b;

        NodeIndexPair(ReactShadowNode reactShadowNode, int i) {
            this.f2226a = reactShadowNode;
            this.b = i;
        }
    }

    public NativeViewHierarchyOptimizer(UIViewOperationQueue uIViewOperationQueue, ShadowNodeRegistry shadowNodeRegistry) {
        this.f2225a = uIViewOperationQueue;
        this.b = shadowNodeRegistry;
    }

    public void a(ReactShadowNode reactShadowNode, ThemedReactContext themedReactContext, @Nullable ReactStylesDiffMap reactStylesDiffMap) {
        boolean z = reactShadowNode.N().equals(ReactViewManager.REACT_CLASS) && a(reactStylesDiffMap);
        reactShadowNode.b(z);
        if (!z) {
            this.f2225a.a(themedReactContext, reactShadowNode.V(), reactShadowNode.N(), reactStylesDiffMap);
        }
    }

    public static void a(ReactShadowNode reactShadowNode) {
        reactShadowNode.ab();
    }

    public void a(ReactShadowNode reactShadowNode, String str, ReactStylesDiffMap reactStylesDiffMap) {
        if (reactShadowNode.ae() && !a(reactStylesDiffMap)) {
            a(reactShadowNode, reactStylesDiffMap);
        } else if (!reactShadowNode.ae()) {
            this.f2225a.a(reactShadowNode.V(), str, reactStylesDiffMap);
        }
    }

    public void a(ReactShadowNode reactShadowNode, int[] iArr, int[] iArr2, ViewAtIndex[] viewAtIndexArr, int[] iArr3) {
        boolean z;
        for (int i : iArr2) {
            int i2 = 0;
            while (true) {
                if (i2 >= iArr3.length) {
                    z = false;
                    break;
                } else if (iArr3[i2] == i) {
                    z = true;
                    break;
                } else {
                    i2++;
                }
            }
            a(this.b.c(i), z);
        }
        for (ViewAtIndex viewAtIndex : viewAtIndexArr) {
            a(reactShadowNode, this.b.c(viewAtIndex.b), viewAtIndex.c);
        }
    }

    public void a(ReactShadowNode reactShadowNode, ReadableArray readableArray) {
        for (int i = 0; i < readableArray.a(); i++) {
            a(reactShadowNode, this.b.c(readableArray.c(i)), i);
        }
    }

    public void b(ReactShadowNode reactShadowNode) {
        c(reactShadowNode);
    }

    public void a() {
        this.c.clear();
    }

    private NodeIndexPair a(ReactShadowNode reactShadowNode, int i) {
        while (reactShadowNode.ae()) {
            ReactShadowNode X = reactShadowNode.X();
            if (X == null) {
                return null;
            }
            i += X.e(reactShadowNode);
            reactShadowNode = X;
        }
        return new NodeIndexPair(reactShadowNode, i);
    }

    private void a(ReactShadowNode reactShadowNode, ReactShadowNode reactShadowNode2, int i) {
        int e = reactShadowNode.e(reactShadowNode.e(i));
        if (reactShadowNode.ae()) {
            NodeIndexPair a2 = a(reactShadowNode, e);
            if (a2 != null) {
                ReactShadowNode reactShadowNode3 = a2.f2226a;
                e = a2.b;
                reactShadowNode = reactShadowNode3;
            } else {
                return;
            }
        }
        if (!reactShadowNode2.ae()) {
            c(reactShadowNode, reactShadowNode2, e);
        } else {
            b(reactShadowNode, reactShadowNode2, e);
        }
    }

    private void a(ReactShadowNode reactShadowNode, boolean z) {
        ReactShadowNode ad = reactShadowNode.ad();
        if (ad != null) {
            int c2 = ad.c(reactShadowNode);
            ad.f(c2);
            this.f2225a.a(ad.V(), new int[]{c2}, (ViewAtIndex[]) null, z ? new int[]{reactShadowNode.V()} : null);
            return;
        }
        for (int S = reactShadowNode.S() - 1; S >= 0; S--) {
            a(reactShadowNode.e(S), z);
        }
    }

    private void b(ReactShadowNode reactShadowNode, ReactShadowNode reactShadowNode2, int i) {
        d(reactShadowNode, reactShadowNode2, i);
    }

    private void c(ReactShadowNode reactShadowNode, ReactShadowNode reactShadowNode2, int i) {
        reactShadowNode.b(reactShadowNode2, i);
        this.f2225a.a(reactShadowNode.V(), (int[]) null, new ViewAtIndex[]{new ViewAtIndex(reactShadowNode2.V(), i)}, (int[]) null);
    }

    private void d(ReactShadowNode reactShadowNode, ReactShadowNode reactShadowNode2, int i) {
        Assertions.a(!reactShadowNode.ae());
        int i2 = i;
        for (int i3 = 0; i3 < reactShadowNode2.S(); i3++) {
            ReactShadowNode e = reactShadowNode2.e(i3);
            Assertions.a(e.ad() == null);
            if (e.ae()) {
                int ac = reactShadowNode.ac();
                b(reactShadowNode, e, i2);
                i2 += reactShadowNode.ac() - ac;
            } else {
                c(reactShadowNode, e, i2);
                i2++;
            }
        }
    }

    private void c(ReactShadowNode reactShadowNode) {
        int V = reactShadowNode.V();
        if (!this.c.get(V)) {
            this.c.put(V, true);
            ReactShadowNode X = reactShadowNode.X();
            int i = reactShadowNode.i();
            int j = reactShadowNode.j();
            while (X != null && X.ae()) {
                i += Math.round(X.af());
                j += Math.round(X.ag());
                X = X.X();
            }
            a(reactShadowNode, i, j);
        }
    }

    private void a(ReactShadowNode reactShadowNode, int i, int i2) {
        if (reactShadowNode.ae() || reactShadowNode.ad() == null) {
            for (int i3 = 0; i3 < reactShadowNode.S(); i3++) {
                ReactShadowNode e = reactShadowNode.e(i3);
                int V = e.V();
                if (!this.c.get(V)) {
                    this.c.put(V, true);
                    a(e, e.i() + i, e.j() + i2);
                }
            }
            return;
        }
        this.f2225a.a(reactShadowNode.ad().V(), reactShadowNode.V(), i, i2, reactShadowNode.k(), reactShadowNode.l());
    }

    private void a(ReactShadowNode reactShadowNode, @Nullable ReactStylesDiffMap reactStylesDiffMap) {
        ReactShadowNode X = reactShadowNode.X();
        if (X == null) {
            reactShadowNode.b(false);
            return;
        }
        int a2 = X.a(reactShadowNode);
        X.d(a2);
        a(reactShadowNode, false);
        reactShadowNode.b(false);
        this.f2225a.a(reactShadowNode.W().Y(), reactShadowNode.V(), reactShadowNode.N(), reactStylesDiffMap);
        X.a(reactShadowNode, a2);
        a(X, reactShadowNode, a2);
        for (int i = 0; i < reactShadowNode.S(); i++) {
            a(reactShadowNode, reactShadowNode.e(i), i);
        }
        Assertions.a(this.c.size() == 0);
        c(reactShadowNode);
        for (int i2 = 0; i2 < reactShadowNode.S(); i2++) {
            c(reactShadowNode.e(i2));
        }
        this.c.clear();
    }

    private static boolean a(@Nullable ReactStylesDiffMap reactStylesDiffMap) {
        if (reactStylesDiffMap == null) {
            return true;
        }
        if (reactStylesDiffMap.a("collapsable") && !reactStylesDiffMap.a("collapsable", true)) {
            return false;
        }
        ReadableMapKeySetIterator a2 = reactStylesDiffMap.f2232a.a();
        while (a2.hasNextKey()) {
            if (!ViewProps.a(reactStylesDiffMap.f2232a, a2.nextKey())) {
                return false;
            }
        }
        return true;
    }
}
