package com.facebook.react.uimanager;

import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.UIManagerModule;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Nullable;

public final class ViewManagerRegistry {

    /* renamed from: a  reason: collision with root package name */
    private final Map<String, ViewManager> f2275a;
    @Nullable
    private final UIManagerModule.ViewManagerResolver b;

    public ViewManagerRegistry(UIManagerModule.ViewManagerResolver viewManagerResolver) {
        this.f2275a = MapBuilder.a();
        this.b = viewManagerResolver;
    }

    public ViewManagerRegistry(List<ViewManager> list) {
        HashMap a2 = MapBuilder.a();
        for (ViewManager viewManager : list) {
            a2.put(viewManager.getName(), viewManager);
        }
        this.f2275a = a2;
        this.b = null;
    }

    public ViewManager a(String str) {
        ViewManager a2;
        ViewManager viewManager = this.f2275a.get(str);
        if (viewManager != null) {
            return viewManager;
        }
        if (this.b == null || (a2 = this.b.a(str)) == null) {
            throw new IllegalViewOperationException("No ViewManager defined for class " + str);
        }
        this.f2275a.put(str, a2);
        return a2;
    }
}
