package com.facebook.react.uimanager.events;

import android.util.LongSparseArray;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.LifecycleEventListener;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.UiThreadUtil;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.modules.core.ChoreographerCompat;
import com.facebook.react.modules.core.ReactChoreographer;
import com.facebook.systrace.Systrace;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;
import javax.annotation.Nullable;

public class EventDispatcher implements LifecycleEventListener {

    /* renamed from: a  reason: collision with root package name */
    private static final Comparator<Event> f2283a = new Comparator<Event>() {
        /* class com.facebook.react.uimanager.events.EventDispatcher.AnonymousClass1 */

        /* renamed from: a */
        public int compare(Event event, Event event2) {
            if (event == null && event2 == null) {
                return 0;
            }
            if (event == null) {
                return -1;
            }
            if (event2 == null) {
                return 1;
            }
            int i = ((event.d() - event2.d()) > 0 ? 1 : ((event.d() - event2.d()) == 0 ? 0 : -1));
            if (i == 0) {
                return 0;
            }
            return i < 0 ? -1 : 1;
        }
    };
    private final Object b = new Object();
    private final Object c = new Object();
    private final ReactApplicationContext d;
    private final LongSparseArray<Integer> e = new LongSparseArray<>();
    private final Map<String, Short> f = MapBuilder.a();
    private final DispatchEventsRunnable g = new DispatchEventsRunnable();
    private final ArrayList<Event> h = new ArrayList<>();
    private final ArrayList<EventDispatcherListener> i = new ArrayList<>();
    private final ScheduleDispatchFrameCallback j = new ScheduleDispatchFrameCallback();
    private final AtomicInteger k = new AtomicInteger();
    private Event[] l = new Event[16];
    private int m = 0;
    @Nullable
    private volatile RCTEventEmitter n;
    private short o = 0;
    private volatile boolean p = false;

    private static long a(int i2, short s, short s2) {
        return ((((long) s) & 65535) << 32) | ((long) i2) | ((((long) s2) & 65535) << 48);
    }

    public EventDispatcher(ReactApplicationContext reactApplicationContext) {
        this.d = reactApplicationContext;
        this.d.a(this);
    }

    public void a(Event event) {
        Assertions.a(event.h(), "Dispatched event hasn't been initialized");
        Iterator<EventDispatcherListener> it = this.i.iterator();
        while (it.hasNext()) {
            it.next().a(event);
        }
        synchronized (this.b) {
            this.h.add(event);
            Systrace.d(0, event.b(), event.g());
        }
        if (this.n != null) {
            this.j.e();
        }
    }

    public void a(EventDispatcherListener eventDispatcherListener) {
        this.i.add(eventDispatcherListener);
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostResume() {
        if (this.n == null) {
            this.n = (RCTEventEmitter) this.d.a(RCTEventEmitter.class);
        }
        this.j.e();
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostPause() {
        c();
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostDestroy() {
        c();
    }

    public void a() {
        UiThreadUtil.a(new Runnable() {
            /* class com.facebook.react.uimanager.events.EventDispatcher.AnonymousClass2 */

            public void run() {
                EventDispatcher.this.c();
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        UiThreadUtil.b();
        this.j.c();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        synchronized (this.b) {
            synchronized (this.c) {
                for (int i2 = 0; i2 < this.h.size(); i2++) {
                    Event event = this.h.get(i2);
                    if (!event.e()) {
                        b(event);
                    } else {
                        long a2 = a(event.c(), event.b(), event.f());
                        Integer num = this.e.get(a2);
                        Event event2 = null;
                        if (num == null) {
                            this.e.put(a2, Integer.valueOf(this.m));
                        } else {
                            Event event3 = this.l[num.intValue()];
                            Event a3 = event.a(event3);
                            if (a3 != event3) {
                                this.e.put(a2, Integer.valueOf(this.m));
                                this.l[num.intValue()] = null;
                                event2 = event3;
                                event = a3;
                            } else {
                                event2 = event;
                                event = null;
                            }
                        }
                        if (event != null) {
                            b(event);
                        }
                        if (event2 != null) {
                            event2.i();
                        }
                    }
                }
            }
            this.h.clear();
        }
    }

    private long a(int i2, String str, short s) {
        short s2;
        Short sh = this.f.get(str);
        if (sh != null) {
            s2 = sh.shortValue();
        } else {
            short s3 = this.o;
            this.o = (short) (s3 + 1);
            this.f.put(str, Short.valueOf(s3));
            s2 = s3;
        }
        return a(i2, s2, s);
    }

    /* access modifiers changed from: private */
    public class ScheduleDispatchFrameCallback extends ChoreographerCompat.FrameCallback {
        private volatile boolean b;
        private boolean c;

        private ScheduleDispatchFrameCallback() {
            this.b = false;
            this.c = false;
        }

        @Override // com.facebook.react.modules.core.ChoreographerCompat.FrameCallback
        public void b(long j) {
            UiThreadUtil.b();
            if (this.c) {
                this.b = false;
            } else {
                f();
            }
            Systrace.a(0, "ScheduleDispatchFrameCallback");
            try {
                EventDispatcher.this.d();
                if (EventDispatcher.this.m > 0 && !EventDispatcher.this.p) {
                    EventDispatcher.this.p = true;
                    Systrace.d(0, "ScheduleDispatchFrameCallback", EventDispatcher.this.k.get());
                    EventDispatcher.this.d.c(EventDispatcher.this.g);
                }
            } finally {
                Systrace.b(0);
            }
        }

        public void c() {
            this.c = true;
        }

        public void d() {
            if (!this.b) {
                this.b = true;
                f();
            }
        }

        private void f() {
            ReactChoreographer.b().a(ReactChoreographer.CallbackType.TIMERS_EVENTS, EventDispatcher.this.j);
        }

        public void e() {
            if (!this.b) {
                if (EventDispatcher.this.d.h()) {
                    d();
                } else {
                    EventDispatcher.this.d.a(new Runnable() {
                        /* class com.facebook.react.uimanager.events.EventDispatcher.ScheduleDispatchFrameCallback.AnonymousClass1 */

                        public void run() {
                            ScheduleDispatchFrameCallback.this.d();
                        }
                    });
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public class DispatchEventsRunnable implements Runnable {
        private DispatchEventsRunnable() {
        }

        public void run() {
            Systrace.a(0, "DispatchEventsRunnable");
            try {
                Systrace.e(0, "ScheduleDispatchFrameCallback", EventDispatcher.this.k.getAndIncrement());
                EventDispatcher.this.p = false;
                Assertions.b(EventDispatcher.this.n);
                synchronized (EventDispatcher.this.c) {
                    if (EventDispatcher.this.m > 1) {
                        Arrays.sort(EventDispatcher.this.l, 0, EventDispatcher.this.m, EventDispatcher.f2283a);
                    }
                    for (int i = 0; i < EventDispatcher.this.m; i++) {
                        Event event = EventDispatcher.this.l[i];
                        if (event != null) {
                            Systrace.e(0, event.b(), event.g());
                            event.a(EventDispatcher.this.n);
                            event.i();
                        }
                    }
                    EventDispatcher.this.e();
                    EventDispatcher.this.e.clear();
                }
            } finally {
                Systrace.b(0);
            }
        }
    }

    private void b(Event event) {
        if (this.m == this.l.length) {
            this.l = (Event[]) Arrays.copyOf(this.l, this.l.length * 2);
        }
        Event[] eventArr = this.l;
        int i2 = this.m;
        this.m = i2 + 1;
        eventArr[i2] = event;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        Arrays.fill(this.l, 0, this.m, (Object) null);
        this.m = 0;
    }
}
