package com.facebook.react.uimanager.events;

import android.support.v4.util.Pools;
import android.view.MotionEvent;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.SoftAssertions;
import com.tencent.smtt.sdk.WebView;
import javax.annotation.Nullable;

public class TouchEvent extends Event<TouchEvent> {

    /* renamed from: a  reason: collision with root package name */
    private static final Pools.SynchronizedPool<TouchEvent> f2288a = new Pools.SynchronizedPool<>(3);
    @Nullable
    private MotionEvent b;
    @Nullable
    private TouchEventType c;
    private short d;
    private float e;
    private float f;

    public static TouchEvent a(int i, TouchEventType touchEventType, MotionEvent motionEvent, long j, float f2, float f3, TouchEventCoalescingKeyHelper touchEventCoalescingKeyHelper) {
        TouchEvent a2 = f2288a.a();
        if (a2 == null) {
            a2 = new TouchEvent();
        }
        a2.b(i, touchEventType, motionEvent, j, f2, f3, touchEventCoalescingKeyHelper);
        return a2;
    }

    private TouchEvent() {
    }

    private void b(int i, TouchEventType touchEventType, MotionEvent motionEvent, long j, float f2, float f3, TouchEventCoalescingKeyHelper touchEventCoalescingKeyHelper) {
        super.a(i);
        short s = 0;
        SoftAssertions.a(j != Long.MIN_VALUE, "Gesture start time must be initialized");
        int action = motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA;
        switch (action) {
            case 0:
                touchEventCoalescingKeyHelper.a(j);
                break;
            case 1:
                touchEventCoalescingKeyHelper.d(j);
                break;
            case 2:
                s = touchEventCoalescingKeyHelper.c(j);
                break;
            case 3:
                touchEventCoalescingKeyHelper.d(j);
                break;
            case 4:
            default:
                throw new RuntimeException("Unhandled MotionEvent action: " + action);
            case 5:
            case 6:
                touchEventCoalescingKeyHelper.b(j);
                break;
        }
        this.c = touchEventType;
        this.b = MotionEvent.obtain(motionEvent);
        this.d = s;
        this.e = f2;
        this.f = f3;
    }

    @Override // com.facebook.react.uimanager.events.Event
    public void a() {
        ((MotionEvent) Assertions.b(this.b)).recycle();
        this.b = null;
        f2288a.a(this);
    }

    @Override // com.facebook.react.uimanager.events.Event
    public String b() {
        return ((TouchEventType) Assertions.b(this.c)).a();
    }

    @Override // com.facebook.react.uimanager.events.Event
    public boolean e() {
        switch ((TouchEventType) Assertions.b(this.c)) {
            case START:
            case END:
            case CANCEL:
                return false;
            case MOVE:
                return true;
            default:
                throw new RuntimeException("Unknown touch event type: " + this.c);
        }
    }

    @Override // com.facebook.react.uimanager.events.Event
    public short f() {
        return this.d;
    }

    @Override // com.facebook.react.uimanager.events.Event
    public void a(RCTEventEmitter rCTEventEmitter) {
        TouchesHelper.a(rCTEventEmitter, (TouchEventType) Assertions.b(this.c), c(), this);
    }

    public MotionEvent j() {
        Assertions.b(this.b);
        return this.b;
    }

    public float k() {
        return this.e;
    }

    public float l() {
        return this.f;
    }
}
