package com.facebook.react.uimanager.layoutanimation;

import android.view.View;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.IllegalViewOperationException;
import java.util.Map;
import javax.annotation.Nullable;

/* access modifiers changed from: package-private */
public abstract class AbstractLayoutAnimation {
    private static final Map<InterpolatorType, Interpolator> c = MapBuilder.a(InterpolatorType.LINEAR, new LinearInterpolator(), InterpolatorType.EASE_IN, new AccelerateInterpolator(), InterpolatorType.EASE_OUT, new DecelerateInterpolator(), InterpolatorType.EASE_IN_EASE_OUT, new AccelerateDecelerateInterpolator(), InterpolatorType.SPRING, new SimpleSpringInterpolator());
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    protected AnimatedPropertyType f2292a;
    protected int b;
    @Nullable
    private Interpolator d;
    private int e;

    /* access modifiers changed from: package-private */
    @Nullable
    public abstract Animation a(View view, int i, int i2, int i3, int i4);

    /* access modifiers changed from: package-private */
    public abstract boolean a();

    AbstractLayoutAnimation() {
    }

    public void b() {
        this.f2292a = null;
        this.b = 0;
        this.e = 0;
        this.d = null;
    }

    public void a(ReadableMap readableMap, int i) {
        this.f2292a = readableMap.a("property") ? AnimatedPropertyType.a(readableMap.f("property")) : null;
        if (readableMap.a("duration")) {
            i = readableMap.e("duration");
        }
        this.b = i;
        this.e = readableMap.a("delay") ? readableMap.e("delay") : 0;
        if (readableMap.a("type")) {
            this.d = a(InterpolatorType.a(readableMap.f("type")));
            if (!a()) {
                throw new IllegalViewOperationException("Invalid layout animation : " + readableMap);
            }
            return;
        }
        throw new IllegalArgumentException("Missing interpolation type.");
    }

    @Nullable
    public final Animation b(View view, int i, int i2, int i3, int i4) {
        if (!a()) {
            return null;
        }
        Animation a2 = a(view, i, i2, i3, i4);
        if (a2 != null) {
            a2.setDuration((long) (this.b * 1));
            a2.setStartOffset((long) (this.e * 1));
            a2.setInterpolator(this.d);
        }
        return a2;
    }

    private static Interpolator a(InterpolatorType interpolatorType) {
        Interpolator interpolator = c.get(interpolatorType);
        if (interpolator != null) {
            return interpolator;
        }
        throw new IllegalArgumentException("Missing interpolator for type : " + interpolatorType);
    }
}
