package com.facebook.react.uimanager.layoutanimation;

import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.UiThreadUtil;
import javax.annotation.Nullable;
import javax.annotation.concurrent.NotThreadSafe;

@NotThreadSafe
public class LayoutAnimationController {

    /* renamed from: a  reason: collision with root package name */
    private final AbstractLayoutAnimation f2296a = new LayoutCreateAnimation();
    private final AbstractLayoutAnimation b = new LayoutUpdateAnimation();
    private final AbstractLayoutAnimation c = new LayoutDeleteAnimation();
    private boolean d;

    public void a(@Nullable ReadableMap readableMap) {
        if (readableMap == null) {
            a();
            return;
        }
        int i = 0;
        this.d = false;
        if (readableMap.a("duration")) {
            i = readableMap.e("duration");
        }
        if (readableMap.a(LayoutAnimationType.CREATE.toString())) {
            this.f2296a.a(readableMap.g(LayoutAnimationType.CREATE.toString()), i);
            this.d = true;
        }
        if (readableMap.a(LayoutAnimationType.UPDATE.toString())) {
            this.b.a(readableMap.g(LayoutAnimationType.UPDATE.toString()), i);
            this.d = true;
        }
        if (readableMap.a(LayoutAnimationType.DELETE.toString())) {
            this.c.a(readableMap.g(LayoutAnimationType.DELETE.toString()), i);
            this.d = true;
        }
    }

    public void a() {
        this.f2296a.b();
        this.b.b();
        this.c.b();
        this.d = false;
    }

    public boolean a(View view) {
        return this.d && view.getParent() != null;
    }

    public void a(View view, int i, int i2, int i3, int i4) {
        UiThreadUtil.b();
        Animation b2 = ((view.getWidth() == 0 || view.getHeight() == 0) ? this.f2296a : this.b).b(view, i, i2, i3, i4);
        if (b2 == null || !(b2 instanceof HandleLayout)) {
            view.layout(i, i2, i3 + i, i4 + i2);
        }
        if (b2 != null) {
            view.startAnimation(b2);
        }
    }

    public void a(View view, final LayoutAnimationListener layoutAnimationListener) {
        UiThreadUtil.b();
        Animation b2 = this.c.b(view, view.getLeft(), view.getTop(), view.getWidth(), view.getHeight());
        if (b2 != null) {
            b(view);
            b2.setAnimationListener(new Animation.AnimationListener() {
                /* class com.facebook.react.uimanager.layoutanimation.LayoutAnimationController.AnonymousClass1 */

                public void onAnimationRepeat(Animation animation) {
                }

                public void onAnimationStart(Animation animation) {
                }

                public void onAnimationEnd(Animation animation) {
                    layoutAnimationListener.a();
                }
            });
            view.startAnimation(b2);
            return;
        }
        layoutAnimationListener.a();
    }

    private void b(View view) {
        view.setClickable(false);
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            for (int i = 0; i < viewGroup.getChildCount(); i++) {
                b(viewGroup.getChildAt(i));
            }
        }
    }
}
