package com.facebook.react.views.art;

import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.DashPathEffect;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.Shader;
import com.facebook.common.logging.FLog;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.uimanager.annotations.ReactProp;
import javax.annotation.Nullable;

public class ARTShapeShadowNode extends ARTVirtualNode {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    protected Path f2305a;
    @Nullable
    private float[] d;
    @Nullable
    private float[] e;
    @Nullable
    private float[] f;
    private float g = 1.0f;
    private int h = 1;
    private int i = 1;

    private float a(float f2, float f3) {
        float f4 = f2 % f3;
        return f4 < 0.0f ? f4 + f3 : f4;
    }

    @ReactProp(a = "d")
    public void setShapePath(@Nullable ReadableArray readableArray) {
        this.f2305a = a(PropHelper.a(readableArray));
        n();
    }

    @ReactProp(a = "stroke")
    public void setStroke(@Nullable ReadableArray readableArray) {
        this.d = PropHelper.a(readableArray);
        n();
    }

    @ReactProp(a = "strokeDash")
    public void setStrokeDash(@Nullable ReadableArray readableArray) {
        this.f = PropHelper.a(readableArray);
        n();
    }

    @ReactProp(a = "fill")
    public void setFill(@Nullable ReadableArray readableArray) {
        this.e = PropHelper.a(readableArray);
        n();
    }

    @ReactProp(a = "strokeWidth", d = 1.0f)
    public void setStrokeWidth(float f2) {
        this.g = f2;
        n();
    }

    @ReactProp(a = "strokeCap", e = 1)
    public void setStrokeCap(int i2) {
        this.h = i2;
        n();
    }

    @ReactProp(a = "strokeJoin", e = 1)
    public void setStrokeJoin(int i2) {
        this.i = i2;
        n();
    }

    @Override // com.facebook.react.views.art.ARTVirtualNode
    public void a(Canvas canvas, Paint paint, float f2) {
        float f3 = f2 * this.b;
        if (f3 > 0.01f) {
            a(canvas);
            if (this.f2305a != null) {
                if (b(paint, f3)) {
                    canvas.drawPath(this.f2305a, paint);
                }
                if (a(paint, f3)) {
                    canvas.drawPath(this.f2305a, paint);
                }
                b(canvas);
            } else {
                throw new JSApplicationIllegalArgumentException("Shapes should have a valid path (d) prop");
            }
        }
        P();
    }

    /* access modifiers changed from: protected */
    public boolean a(Paint paint, float f2) {
        if (this.g == 0.0f || this.d == null || this.d.length == 0) {
            return false;
        }
        paint.reset();
        paint.setFlags(1);
        paint.setStyle(Paint.Style.STROKE);
        switch (this.h) {
            case 0:
                paint.setStrokeCap(Paint.Cap.BUTT);
                break;
            case 1:
                paint.setStrokeCap(Paint.Cap.ROUND);
                break;
            case 2:
                paint.setStrokeCap(Paint.Cap.SQUARE);
                break;
            default:
                throw new JSApplicationIllegalArgumentException("strokeCap " + this.h + " unrecognized");
        }
        switch (this.i) {
            case 0:
                paint.setStrokeJoin(Paint.Join.MITER);
                break;
            case 1:
                paint.setStrokeJoin(Paint.Join.ROUND);
                break;
            case 2:
                paint.setStrokeJoin(Paint.Join.BEVEL);
                break;
            default:
                throw new JSApplicationIllegalArgumentException("strokeJoin " + this.i + " unrecognized");
        }
        paint.setStrokeWidth(this.g * this.c);
        paint.setARGB((int) (this.d.length > 3 ? this.d[3] * f2 * 255.0f : f2 * 255.0f), (int) (this.d[0] * 255.0f), (int) (this.d[1] * 255.0f), (int) (this.d[2] * 255.0f));
        if (this.f != null && this.f.length > 0) {
            paint.setPathEffect(new DashPathEffect(this.f, 0.0f));
        }
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean b(Paint paint, float f2) {
        float f3;
        float f4;
        float[] fArr;
        int[] iArr;
        int i2 = 0;
        if (this.e == null || this.e.length <= 0) {
            return false;
        }
        paint.reset();
        paint.setFlags(1);
        paint.setStyle(Paint.Style.FILL);
        int i3 = (int) this.e[0];
        float f5 = 255.0f;
        switch (i3) {
            case 0:
                if (this.e.length > 4) {
                    f3 = 255.0f;
                    f4 = this.e[4] * f2 * 255.0f;
                } else {
                    f3 = 255.0f;
                    f4 = f2 * 255.0f;
                }
                paint.setARGB((int) f4, (int) (this.e[1] * f3), (int) (this.e[2] * f3), (int) (this.e[3] * f3));
                return true;
            case 1:
                int i4 = 5;
                if (this.e.length < 5) {
                    FLog.c("ReactNative", "[ARTShapeShadowNode setupFillPaint] expects 5 elements, received " + this.e.length);
                    return false;
                }
                float f6 = this.e[1] * this.c;
                float f7 = this.e[2] * this.c;
                float f8 = this.e[3] * this.c;
                float f9 = this.e[4] * this.c;
                int length = (this.e.length - 5) / 5;
                if (length > 0) {
                    int[] iArr2 = new int[length];
                    float[] fArr2 = new float[length];
                    while (i2 < length) {
                        fArr2[i2] = this.e[(length * 4) + i4 + i2];
                        int i5 = (i2 * 4) + i4;
                        iArr2[i2] = Color.argb((int) (this.e[i5 + 3] * 255.0f), (int) (this.e[i5 + 0] * f5), (int) (this.e[i5 + 1] * f5), (int) (this.e[i5 + 2] * f5));
                        i2++;
                        i4 = 5;
                        f5 = 255.0f;
                    }
                    iArr = iArr2;
                    fArr = fArr2;
                } else {
                    iArr = null;
                    fArr = null;
                }
                paint.setShader(new LinearGradient(f6, f7, f8, f9, iArr, fArr, Shader.TileMode.CLAMP));
                return true;
            default:
                FLog.c("ReactNative", "ART: Color type " + i3 + " not supported!");
                return true;
        }
    }

    private Path a(float[] fArr) {
        int i2;
        Path path = new Path();
        path.moveTo(0.0f, 0.0f);
        int i3 = 0;
        while (i3 < fArr.length) {
            int i4 = i3 + 1;
            int i5 = (int) fArr[i3];
            switch (i5) {
                case 0:
                    int i6 = i4 + 1;
                    i2 = i6 + 1;
                    path.moveTo(fArr[i4] * this.c, fArr[i6] * this.c);
                    break;
                case 1:
                    path.close();
                    i3 = i4;
                    continue;
                case 2:
                    int i7 = i4 + 1;
                    i2 = i7 + 1;
                    path.lineTo(fArr[i4] * this.c, fArr[i7] * this.c);
                    break;
                case 3:
                    int i8 = i4 + 1;
                    float f2 = fArr[i4] * this.c;
                    int i9 = i8 + 1;
                    float f3 = this.c * fArr[i8];
                    int i10 = i9 + 1;
                    float f4 = this.c * fArr[i9];
                    int i11 = i10 + 1;
                    float f5 = this.c * fArr[i10];
                    int i12 = i11 + 1;
                    path.cubicTo(f2, f3, f4, f5, this.c * fArr[i11], fArr[i12] * this.c);
                    i3 = i12 + 1;
                    continue;
                case 4:
                    int i13 = i4 + 1;
                    float f6 = fArr[i4] * this.c;
                    int i14 = i13 + 1;
                    float f7 = fArr[i13] * this.c;
                    int i15 = i14 + 1;
                    float f8 = fArr[i14] * this.c;
                    int i16 = i15 + 1;
                    float degrees = (float) Math.toDegrees((double) fArr[i15]);
                    int i17 = i16 + 1;
                    float degrees2 = (float) Math.toDegrees((double) fArr[i16]);
                    int i18 = i17 + 1;
                    boolean z = fArr[i17] != 1.0f;
                    float f9 = degrees2 - degrees;
                    if (Math.abs(f9) >= 360.0f) {
                        path.addCircle(f6, f7, f8, z ? Path.Direction.CCW : Path.Direction.CW);
                    } else {
                        float a2 = a(f9, 360.0f);
                        if (z && a2 < 360.0f) {
                            a2 = (360.0f - a2) * -1.0f;
                        }
                        path.arcTo(new RectF(f6 - f8, f7 - f8, f6 + f8, f7 + f8), degrees, a2);
                    }
                    i3 = i18;
                    continue;
                default:
                    throw new JSApplicationIllegalArgumentException("Unrecognized drawing instruction " + i5);
            }
            i3 = i2;
        }
        return path;
    }
}
