package com.facebook.react.views.art;

import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.uimanager.DisplayMetricsHolder;
import com.facebook.react.uimanager.ReactShadowNodeImpl;
import com.facebook.react.uimanager.annotations.ReactProp;
import javax.annotation.Nullable;

public abstract class ARTVirtualNode extends ReactShadowNodeImpl {

    /* renamed from: a  reason: collision with root package name */
    private static final float[] f2307a = new float[9];
    private static final float[] d = new float[9];
    protected float b = 1.0f;
    protected final float c = DisplayMetricsHolder.a().density;
    @Nullable
    private Matrix e = new Matrix();

    public abstract void a(Canvas canvas, Paint paint, float f);

    @Override // com.facebook.react.uimanager.ReactShadowNodeImpl, com.facebook.react.uimanager.ReactShadowNode
    public boolean d() {
        return true;
    }

    /* access modifiers changed from: protected */
    public final void a(Canvas canvas) {
        canvas.save();
        if (this.e != null) {
            canvas.concat(this.e);
        }
    }

    /* access modifiers changed from: protected */
    public void b(Canvas canvas) {
        canvas.restore();
    }

    @ReactProp(a = "opacity", d = 1.0f)
    public void setOpacity(float f) {
        this.b = f;
        n();
    }

    @ReactProp(a = "transform")
    public void setTransform(@Nullable ReadableArray readableArray) {
        if (readableArray != null) {
            int a2 = PropHelper.a(readableArray, f2307a);
            if (a2 == 6) {
                a();
            } else if (a2 != -1) {
                throw new JSApplicationIllegalArgumentException("Transform matrices must be of size 6");
            }
        } else {
            this.e = null;
        }
        n();
    }

    /* access modifiers changed from: protected */
    public void a() {
        d[0] = f2307a[0];
        d[1] = f2307a[2];
        d[2] = f2307a[4] * this.c;
        d[3] = f2307a[1];
        d[4] = f2307a[3];
        d[5] = f2307a[5] * this.c;
        d[6] = 0.0f;
        d[7] = 0.0f;
        d[8] = 1.0f;
        if (this.e == null) {
            this.e = new Matrix();
        }
        this.e.setValues(d);
    }
}
