package com.facebook.react.views.image;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.uimanager.events.Event;
import com.facebook.react.uimanager.events.RCTEventEmitter;
import com.tencent.smtt.sdk.TbsVideoCacheTask;
import javax.annotation.Nullable;

public class ImageLoadEvent extends Event<ImageLoadEvent> {

    /* renamed from: a  reason: collision with root package name */
    private final int f2313a;
    @Nullable
    private final String b;
    private final int c;
    private final int d;

    public ImageLoadEvent(int i, int i2) {
        this(i, i2, null);
    }

    public ImageLoadEvent(int i, int i2, String str) {
        this(i, i2, str, 0, 0);
    }

    public ImageLoadEvent(int i, int i2, @Nullable String str, int i3, int i4) {
        super(i);
        this.f2313a = i2;
        this.b = str;
        this.c = i3;
        this.d = i4;
    }

    public static String b(int i) {
        switch (i) {
            case 1:
                return "topError";
            case 2:
                return "topLoad";
            case 3:
                return "topLoadEnd";
            case 4:
                return "topLoadStart";
            case 5:
                return "topProgress";
            default:
                throw new IllegalStateException("Invalid image event: " + Integer.toString(i));
        }
    }

    @Override // com.facebook.react.uimanager.events.Event
    public String b() {
        return b(this.f2313a);
    }

    @Override // com.facebook.react.uimanager.events.Event
    public short f() {
        return (short) this.f2313a;
    }

    @Override // com.facebook.react.uimanager.events.Event
    public void a(RCTEventEmitter rCTEventEmitter) {
        WritableMap writableMap;
        if (this.b != null || this.f2313a == 2) {
            writableMap = Arguments.b();
            if (this.b != null) {
                writableMap.putString("uri", this.b);
            }
            if (this.f2313a == 2) {
                WritableMap b2 = Arguments.b();
                b2.putDouble("width", (double) this.c);
                b2.putDouble("height", (double) this.d);
                if (this.b != null) {
                    b2.putString(TbsVideoCacheTask.KEY_VIDEO_CACHE_PARAM_URL, this.b);
                }
                writableMap.a("source", b2);
            }
        } else {
            writableMap = null;
        }
        rCTEventEmitter.receiveEvent(c(), b(), writableMap);
    }
}
