package com.facebook.react.views.image;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import com.facebook.common.util.UriUtil;
import com.facebook.drawee.controller.AbstractDraweeControllerBuilder;
import com.facebook.drawee.controller.BaseControllerListener;
import com.facebook.drawee.controller.ControllerListener;
import com.facebook.drawee.controller.ForwardingControllerListener;
import com.facebook.drawee.drawable.AutoRotateDrawable;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.generic.GenericDraweeHierarchy;
import com.facebook.drawee.generic.GenericDraweeHierarchyBuilder;
import com.facebook.drawee.generic.RoundingParams;
import com.facebook.drawee.view.GenericDraweeView;
import com.facebook.imagepipeline.common.ResizeOptions;
import com.facebook.imagepipeline.image.ImageInfo;
import com.facebook.imagepipeline.postprocessors.IterativeBoxBlurPostProcessor;
import com.facebook.imagepipeline.request.BasePostprocessor;
import com.facebook.imagepipeline.request.ImageRequestBuilder;
import com.facebook.imagepipeline.request.Postprocessor;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.modules.fresco.ReactNetworkImageRequest;
import com.facebook.react.uimanager.FloatUtil;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.events.EventDispatcher;
import com.facebook.react.views.imagehelper.ImageSource;
import com.facebook.react.views.imagehelper.MultiSourceHelper;
import com.facebook.react.views.imagehelper.ResourceDrawableIdHelper;
import com.facebook.yoga.YogaConstants;
import com.tencent.smtt.sdk.TbsListener;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;
import javax.annotation.Nullable;

public class ReactImageView extends GenericDraweeView {

    /* renamed from: a  reason: collision with root package name */
    private static float[] f2315a = new float[4];
    private static final Matrix b = new Matrix();
    private static final Matrix c = new Matrix();
    private ImageResizeMethod d = ImageResizeMethod.AUTO;
    private final List<ImageSource> e;
    @Nullable
    private ImageSource f;
    @Nullable
    private ImageSource g;
    @Nullable
    private Drawable h;
    private int i;
    private int j;
    private float k;
    private float l = 1.0E21f;
    @Nullable
    private float[] m;
    private ScalingUtils.ScaleType n = ImageResizeMode.a();
    private boolean o;
    private final AbstractDraweeControllerBuilder p;
    private final RoundedCornerPostprocessor q;
    @Nullable
    private IterativeBoxBlurPostProcessor r;
    @Nullable
    private ControllerListener s;
    @Nullable
    private ControllerListener t;
    @Nullable
    private GlobalImageLoadListener u;
    @Nullable
    private final Object v;
    private int w = -1;
    private boolean x;
    private ReadableMap y;

    private void a(String str) {
    }

    public boolean hasOverlappingRendering() {
        return false;
    }

    /* access modifiers changed from: private */
    public class RoundedCornerPostprocessor extends BasePostprocessor {
        private RoundedCornerPostprocessor() {
        }

        /* access modifiers changed from: package-private */
        public void a(Bitmap bitmap, float[] fArr, float[] fArr2) {
            ReactImageView.this.n.a(ReactImageView.b, new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight()), bitmap.getWidth(), bitmap.getHeight(), 0.0f, 0.0f);
            ReactImageView.b.invert(ReactImageView.c);
            fArr2[0] = ReactImageView.c.mapRadius(fArr[0]);
            fArr2[1] = fArr2[0];
            fArr2[2] = ReactImageView.c.mapRadius(fArr[1]);
            fArr2[3] = fArr2[2];
            fArr2[4] = ReactImageView.c.mapRadius(fArr[2]);
            fArr2[5] = fArr2[4];
            fArr2[6] = ReactImageView.c.mapRadius(fArr[3]);
            fArr2[7] = fArr2[6];
        }

        @Override // com.facebook.imagepipeline.request.BasePostprocessor
        public void a(Bitmap bitmap, Bitmap bitmap2) {
            ReactImageView.this.a((ReactImageView) ReactImageView.f2315a);
            bitmap.setHasAlpha(true);
            if (!FloatUtil.a(ReactImageView.f2315a[0], 0.0f) || !FloatUtil.a(ReactImageView.f2315a[1], 0.0f) || !FloatUtil.a(ReactImageView.f2315a[2], 0.0f) || !FloatUtil.a(ReactImageView.f2315a[3], 0.0f)) {
                Paint paint = new Paint();
                paint.setAntiAlias(true);
                paint.setShader(new BitmapShader(bitmap2, Shader.TileMode.CLAMP, Shader.TileMode.CLAMP));
                Canvas canvas = new Canvas(bitmap);
                float[] fArr = new float[8];
                a(bitmap2, ReactImageView.f2315a, fArr);
                Path path = new Path();
                path.addRoundRect(new RectF(0.0f, 0.0f, (float) bitmap2.getWidth(), (float) bitmap2.getHeight()), fArr, Path.Direction.CW);
                canvas.drawPath(path, paint);
                return;
            }
            super.a(bitmap, bitmap2);
        }
    }

    private static GenericDraweeHierarchy a(Context context) {
        return new GenericDraweeHierarchyBuilder(context.getResources()).a(RoundingParams.b(0.0f)).t();
    }

    public ReactImageView(Context context, AbstractDraweeControllerBuilder abstractDraweeControllerBuilder, @Nullable GlobalImageLoadListener globalImageLoadListener, @Nullable Object obj) {
        super(context, a(context));
        this.p = abstractDraweeControllerBuilder;
        this.q = new RoundedCornerPostprocessor();
        this.u = globalImageLoadListener;
        this.v = obj;
        this.e = new LinkedList();
    }

    public void setShouldNotifyLoadEvents(boolean z) {
        if (!z) {
            this.s = null;
        } else {
            final EventDispatcher eventDispatcher = ((UIManagerModule) ((ReactContext) getContext()).b(UIManagerModule.class)).getEventDispatcher();
            this.s = new BaseControllerListener<ImageInfo>() {
                /* class com.facebook.react.views.image.ReactImageView.AnonymousClass1 */

                @Override // com.facebook.drawee.controller.ControllerListener, com.facebook.drawee.controller.BaseControllerListener
                public void a(String str, Object obj) {
                    eventDispatcher.a(new ImageLoadEvent(ReactImageView.this.getId(), 4));
                }

                public void a(String str, @Nullable ImageInfo imageInfo, @Nullable Animatable animatable) {
                    if (imageInfo != null) {
                        eventDispatcher.a(new ImageLoadEvent(ReactImageView.this.getId(), 2, ReactImageView.this.f.a(), imageInfo.f(), imageInfo.g()));
                        eventDispatcher.a(new ImageLoadEvent(ReactImageView.this.getId(), 3));
                    }
                }

                @Override // com.facebook.drawee.controller.ControllerListener, com.facebook.drawee.controller.BaseControllerListener
                public void b(String str, Throwable th) {
                    eventDispatcher.a(new ImageLoadEvent(ReactImageView.this.getId(), 1));
                    eventDispatcher.a(new ImageLoadEvent(ReactImageView.this.getId(), 3));
                }
            };
        }
        this.o = true;
    }

    public void setBlurRadius(float f2) {
        int a2 = (int) PixelUtil.a(f2);
        if (a2 == 0) {
            this.r = null;
        } else {
            this.r = new IterativeBoxBlurPostProcessor(a2);
        }
        this.o = true;
    }

    public void setBorderColor(int i2) {
        this.i = i2;
        this.o = true;
    }

    public void setOverlayColor(int i2) {
        this.j = i2;
        this.o = true;
    }

    public void setBorderWidth(float f2) {
        this.k = PixelUtil.a(f2);
        this.o = true;
    }

    public void setBorderRadius(float f2) {
        if (!FloatUtil.a(this.l, f2)) {
            this.l = f2;
            this.o = true;
        }
    }

    public void a(float f2, int i2) {
        if (this.m == null) {
            this.m = new float[4];
            Arrays.fill(this.m, 1.0E21f);
        }
        if (!FloatUtil.a(this.m[i2], f2)) {
            this.m[i2] = f2;
            this.o = true;
        }
    }

    public void setScaleType(ScalingUtils.ScaleType scaleType) {
        this.n = scaleType;
        this.o = true;
    }

    public void setResizeMethod(ImageResizeMethod imageResizeMethod) {
        this.d = imageResizeMethod;
        this.o = true;
    }

    public void setSource(@Nullable ReadableArray readableArray) {
        this.e.clear();
        if (!(readableArray == null || readableArray.a() == 0)) {
            if (readableArray.a() == 1) {
                String f2 = readableArray.i(0).f("uri");
                ImageSource imageSource = new ImageSource(getContext(), f2);
                this.e.add(imageSource);
                if (Uri.EMPTY.equals(imageSource.b())) {
                    a(f2);
                }
            } else {
                for (int i2 = 0; i2 < readableArray.a(); i2++) {
                    ReadableMap i3 = readableArray.i(i2);
                    String f3 = i3.f("uri");
                    ImageSource imageSource2 = new ImageSource(getContext(), f3, i3.d("width"), i3.d("height"));
                    this.e.add(imageSource2);
                    if (Uri.EMPTY.equals(imageSource2.b())) {
                        a(f3);
                    }
                }
            }
        }
        this.o = true;
    }

    public void setLoadingIndicatorSource(@Nullable String str) {
        Drawable b2 = ResourceDrawableIdHelper.a().b(getContext(), str);
        this.h = b2 != null ? new AutoRotateDrawable(b2, 1000) : null;
        this.o = true;
    }

    public void setProgressiveRenderingEnabled(boolean z) {
        this.x = z;
    }

    public void setFadeDuration(int i2) {
        this.w = i2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(float[] fArr) {
        float f2 = !YogaConstants.a(this.l) ? this.l : 0.0f;
        fArr[0] = (this.m == null || YogaConstants.a(this.m[0])) ? f2 : this.m[0];
        fArr[1] = (this.m == null || YogaConstants.a(this.m[1])) ? f2 : this.m[1];
        fArr[2] = (this.m == null || YogaConstants.a(this.m[2])) ? f2 : this.m[2];
        if (this.m != null && !YogaConstants.a(this.m[3])) {
            f2 = this.m[3];
        }
        fArr[3] = f2;
    }

    public void setHeaders(ReadableMap readableMap) {
        this.y = readableMap;
    }

    public void e() {
        int i2;
        Postprocessor postprocessor;
        if (this.o) {
            if (!i() || (getWidth() > 0 && getHeight() > 0)) {
                j();
                if (this.f != null) {
                    boolean a2 = a(this.f);
                    if (!a2 || (getWidth() > 0 && getHeight() > 0)) {
                        GenericDraweeHierarchy genericDraweeHierarchy = (GenericDraweeHierarchy) getHierarchy();
                        genericDraweeHierarchy.a(this.n);
                        if (this.h != null) {
                            genericDraweeHierarchy.a(this.h, ScalingUtils.ScaleType.e);
                        }
                        boolean z = (this.n == ScalingUtils.ScaleType.g || this.n == ScalingUtils.ScaleType.h) ? false : true;
                        RoundingParams c2 = genericDraweeHierarchy.c();
                        if (z) {
                            c2.a(0.0f);
                        } else {
                            a(f2315a);
                            c2.a(f2315a[0], f2315a[1], f2315a[2], f2315a[3]);
                        }
                        c2.a(this.i, this.k);
                        if (this.j != 0) {
                            c2.a(this.j);
                        } else {
                            c2.a(RoundingParams.RoundingMethod.BITMAP_ONLY);
                        }
                        genericDraweeHierarchy.a(c2);
                        if (this.w >= 0) {
                            i2 = this.w;
                        } else {
                            i2 = this.f.d() ? 0 : TbsListener.ErrorCode.ERROR_CODE_LOAD_BASE;
                        }
                        genericDraweeHierarchy.a(i2);
                        ResizeOptions resizeOptions = null;
                        if (z) {
                            postprocessor = this.q;
                        } else {
                            postprocessor = this.r != null ? this.r : null;
                        }
                        if (a2) {
                            resizeOptions = new ResizeOptions(getWidth(), getHeight());
                        }
                        ReactNetworkImageRequest a3 = ReactNetworkImageRequest.a(ImageRequestBuilder.a(this.f.b()).a(postprocessor).a(resizeOptions).a(true).b(this.x), this.y);
                        if (this.u != null) {
                            this.u.a(this.f.b());
                        }
                        this.p.e();
                        this.p.a(true).e(this.v).b(getController()).b(a3);
                        if (this.g != null) {
                            this.p.c(ImageRequestBuilder.a(this.g.b()).a(postprocessor).a(resizeOptions).a(true).b(this.x).n());
                        }
                        if (this.s != null && this.t != null) {
                            ForwardingControllerListener forwardingControllerListener = new ForwardingControllerListener();
                            forwardingControllerListener.a(this.s);
                            forwardingControllerListener.a(this.t);
                            this.p.a((ControllerListener) forwardingControllerListener);
                        } else if (this.t != null) {
                            this.p.a(this.t);
                        } else if (this.s != null) {
                            this.p.a(this.s);
                        }
                        setController(this.p.q());
                        this.o = false;
                        this.p.e();
                    }
                }
            }
        }
    }

    public void setControllerListener(ControllerListener controllerListener) {
        this.t = controllerListener;
        this.o = true;
        e();
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 > 0 && i3 > 0) {
            this.o = this.o || i();
            e();
        }
    }

    private boolean i() {
        return this.e.size() > 1;
    }

    private void j() {
        this.f = null;
        if (!this.e.isEmpty()) {
            if (i()) {
                MultiSourceHelper.MultiSourceResult a2 = MultiSourceHelper.a(getWidth(), getHeight(), this.e);
                this.f = a2.a();
                this.g = a2.b();
                return;
            }
            this.f = this.e.get(0);
        }
    }

    private boolean a(ImageSource imageSource) {
        if (this.d != ImageResizeMethod.AUTO) {
            return this.d == ImageResizeMethod.RESIZE;
        }
        if (UriUtil.c(imageSource.b()) || UriUtil.b(imageSource.b())) {
            return true;
        }
        return false;
    }
}
