package com.facebook.react.views.imagehelper;

import com.facebook.imagepipeline.core.ImagePipeline;
import com.facebook.imagepipeline.core.ImagePipelineFactory;
import java.util.List;
import javax.annotation.Nullable;

public class MultiSourceHelper {

    public static class MultiSourceResult {
        @Nullable

        /* renamed from: a  reason: collision with root package name */
        private final ImageSource f2318a;
        @Nullable
        private final ImageSource b;

        private MultiSourceResult(@Nullable ImageSource imageSource, @Nullable ImageSource imageSource2) {
            this.f2318a = imageSource;
            this.b = imageSource2;
        }

        @Nullable
        public ImageSource a() {
            return this.f2318a;
        }

        @Nullable
        public ImageSource b() {
            return this.b;
        }
    }

    public static MultiSourceResult a(int i, int i2, List<ImageSource> list) {
        return a(i, i2, list, 1.0d);
    }

    public static MultiSourceResult a(int i, int i2, List<ImageSource> list, double d) {
        if (list.isEmpty()) {
            return new MultiSourceResult(null, null);
        }
        if (list.size() == 1) {
            return new MultiSourceResult(list.get(0), null);
        }
        if (i <= 0 || i2 <= 0) {
            return new MultiSourceResult(null, null);
        }
        ImagePipeline i3 = ImagePipelineFactory.a().i();
        double d2 = ((double) (i * i2)) * d;
        double d3 = Double.MAX_VALUE;
        double d4 = Double.MAX_VALUE;
        ImageSource imageSource = null;
        ImageSource imageSource2 = null;
        for (ImageSource imageSource3 : list) {
            double abs = Math.abs(1.0d - (imageSource3.c() / d2));
            if (abs < d3) {
                imageSource2 = imageSource3;
                d3 = abs;
            }
            if (abs < d4 && (i3.a(imageSource3.b()) || i3.b(imageSource3.b()))) {
                imageSource = imageSource3;
                d4 = abs;
            }
        }
        if (!(imageSource == null || imageSource2 == null || !imageSource.a().equals(imageSource2.a()))) {
            imageSource = null;
        }
        return new MultiSourceResult(imageSource2, imageSource);
    }
}
