package com.facebook.react.views.modal;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.widget.FrameLayout;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.R;
import com.facebook.react.bridge.GuardedRunnable;
import com.facebook.react.bridge.LifecycleEventListener;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.common.annotations.VisibleForTesting;
import com.facebook.react.uimanager.JSTouchDispatcher;
import com.facebook.react.uimanager.RootView;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.events.EventDispatcher;
import com.facebook.react.views.view.ReactViewGroup;
import java.util.ArrayList;
import javax.annotation.Nullable;

public class ReactModalHostView extends ViewGroup implements LifecycleEventListener {

    /* renamed from: a  reason: collision with root package name */
    private DialogRootViewGroup f2323a;
    @Nullable
    private Dialog b;
    private boolean c;
    private String d;
    private boolean e;
    private boolean f;
    @Nullable
    private DialogInterface.OnShowListener g;
    @Nullable
    private OnRequestCloseListener h;

    public interface OnRequestCloseListener {
        void a(DialogInterface dialogInterface);
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addChildrenForAccessibility(ArrayList<View> arrayList) {
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        return false;
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostPause() {
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
    }

    public ReactModalHostView(Context context) {
        super(context);
        ((ReactContext) context).a(this);
        this.f2323a = new DialogRootViewGroup(context);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i) {
        this.f2323a.addView(view, i);
    }

    public int getChildCount() {
        return this.f2323a.getChildCount();
    }

    public View getChildAt(int i) {
        return this.f2323a.getChildAt(i);
    }

    public void removeView(View view) {
        this.f2323a.removeView(view);
    }

    public void removeViewAt(int i) {
        this.f2323a.removeView(getChildAt(i));
    }

    public void a() {
        ((ReactContext) getContext()).b(this);
        c();
    }

    private void c() {
        if (this.b != null) {
            Activity currentActivity = getCurrentActivity();
            if (this.b.isShowing() && (currentActivity == null || !currentActivity.isFinishing())) {
                this.b.dismiss();
            }
            this.b = null;
            ((ViewGroup) this.f2323a.getParent()).removeViewAt(0);
        }
    }

    /* access modifiers changed from: protected */
    public void setOnRequestCloseListener(OnRequestCloseListener onRequestCloseListener) {
        this.h = onRequestCloseListener;
    }

    /* access modifiers changed from: protected */
    public void setOnShowListener(DialogInterface.OnShowListener onShowListener) {
        this.g = onShowListener;
    }

    /* access modifiers changed from: protected */
    public void setTransparent(boolean z) {
        this.c = z;
    }

    /* access modifiers changed from: protected */
    public void setAnimationType(String str) {
        this.d = str;
        this.f = true;
    }

    /* access modifiers changed from: protected */
    public void setHardwareAccelerated(boolean z) {
        this.e = z;
        this.f = true;
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostResume() {
        b();
    }

    @Override // com.facebook.react.bridge.LifecycleEventListener
    public void onHostDestroy() {
        a();
    }

    @Nullable
    @VisibleForTesting
    public Dialog getDialog() {
        return this.b;
    }

    @Nullable
    private Activity getCurrentActivity() {
        return ((ReactContext) getContext()).k();
    }

    /* access modifiers changed from: protected */
    public void b() {
        if (this.b != null) {
            if (this.f) {
                c();
            } else {
                d();
                return;
            }
        }
        this.f = false;
        int i = R.style.Theme_FullScreenDialog;
        if (this.d.equals("fade")) {
            i = R.style.Theme_FullScreenDialogAnimatedFade;
        } else if (this.d.equals("slide")) {
            i = R.style.Theme_FullScreenDialogAnimatedSlide;
        }
        Activity currentActivity = getCurrentActivity();
        this.b = new Dialog(currentActivity == null ? getContext() : currentActivity, i);
        this.b.setContentView(getContentView());
        d();
        this.b.setOnShowListener(this.g);
        this.b.setOnKeyListener(new DialogInterface.OnKeyListener() {
            /* class com.facebook.react.views.modal.ReactModalHostView.AnonymousClass1 */

            public boolean onKey(DialogInterface dialogInterface, int i, KeyEvent keyEvent) {
                if (keyEvent.getAction() != 1) {
                    return false;
                }
                if (i == 4) {
                    Assertions.a(ReactModalHostView.this.h, "setOnRequestCloseListener must be called by the manager");
                    ReactModalHostView.this.h.a(dialogInterface);
                    return true;
                }
                Activity k = ((ReactContext) ReactModalHostView.this.getContext()).k();
                if (k != null) {
                    return k.onKeyUp(i, keyEvent);
                }
                return false;
            }
        });
        this.b.getWindow().setSoftInputMode(16);
        if (this.e) {
            this.b.getWindow().addFlags(16777216);
        }
        if (currentActivity == null || !currentActivity.isFinishing()) {
            this.b.show();
        }
    }

    private View getContentView() {
        FrameLayout frameLayout = new FrameLayout(getContext());
        frameLayout.addView(this.f2323a);
        frameLayout.setFitsSystemWindows(true);
        return frameLayout;
    }

    private void d() {
        Assertions.a(this.b, "mDialog must exist when we call updateProperties");
        if (this.c) {
            this.b.getWindow().clearFlags(2);
            return;
        }
        this.b.getWindow().setDimAmount(0.5f);
        this.b.getWindow().setFlags(2, 2);
    }

    /* access modifiers changed from: package-private */
    public static class DialogRootViewGroup extends ReactViewGroup implements RootView {

        /* renamed from: a  reason: collision with root package name */
        private final JSTouchDispatcher f2325a = new JSTouchDispatcher(this);

        public void requestDisallowInterceptTouchEvent(boolean z) {
        }

        public DialogRootViewGroup(Context context) {
            super(context);
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.react.views.view.ReactViewGroup
        public void onSizeChanged(final int i, final int i2, int i3, int i4) {
            super.onSizeChanged(i, i2, i3, i4);
            if (getChildCount() > 0) {
                final int id = getChildAt(0).getId();
                ReactContext d = d();
                d.b(new GuardedRunnable(d) {
                    /* class com.facebook.react.views.modal.ReactModalHostView.DialogRootViewGroup.AnonymousClass1 */

                    @Override // com.facebook.react.bridge.GuardedRunnable
                    public void a() {
                        ((UIManagerModule) DialogRootViewGroup.this.d().b(UIManagerModule.class)).updateNodeSize(id, i, i2);
                    }
                });
            }
        }

        @Override // com.facebook.react.uimanager.RootView
        public void a(Throwable th) {
            d().a(new RuntimeException(th));
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private ReactContext d() {
            return (ReactContext) getContext();
        }

        @Override // com.facebook.react.views.view.ReactViewGroup
        public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
            this.f2325a.b(motionEvent, e());
            return super.onInterceptTouchEvent(motionEvent);
        }

        @Override // com.facebook.react.views.view.ReactViewGroup
        public boolean onTouchEvent(MotionEvent motionEvent) {
            this.f2325a.b(motionEvent, e());
            super.onTouchEvent(motionEvent);
            return true;
        }

        @Override // com.facebook.react.uimanager.RootView
        public void a(MotionEvent motionEvent) {
            this.f2325a.a(motionEvent, e());
        }

        private EventDispatcher e() {
            return ((UIManagerModule) d().b(UIManagerModule.class)).getEventDispatcher();
        }
    }
}
