package com.facebook.react.views.scroll;

import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.support.v4.view.ViewCompat;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.HorizontalScrollView;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.uimanager.MeasureSpecAssertions;
import com.facebook.react.uimanager.ReactClippingViewGroup;
import com.facebook.react.uimanager.ReactClippingViewGroupHelper;
import com.facebook.react.uimanager.events.NativeGestureUtil;
import com.facebook.react.views.view.ReactViewBackgroundManager;
import com.tencent.smtt.sdk.WebView;
import javax.annotation.Nullable;

@TargetApi(16)
public class ReactHorizontalScrollView extends HorizontalScrollView implements ReactClippingViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private final OnScrollDispatchHelper f2337a = new OnScrollDispatchHelper();
    private final VelocityHelper b = new VelocityHelper();
    private boolean c;
    @Nullable
    private Rect d;
    private boolean e;
    private boolean f = false;
    @Nullable
    private Runnable g;
    private boolean h;
    private boolean i = true;
    private boolean j;
    @Nullable
    private FpsListener k = null;
    @Nullable
    private String l;
    @Nullable
    private Drawable m;
    private int n = 0;
    private int o = 0;
    private ReactViewBackgroundManager p = new ReactViewBackgroundManager(this);

    public ReactHorizontalScrollView(Context context, @Nullable FpsListener fpsListener) {
        super(context);
        this.k = fpsListener;
    }

    public void setScrollPerfTag(@Nullable String str) {
        this.l = str;
    }

    public void setRemoveClippedSubviews(boolean z) {
        if (z && this.d == null) {
            this.d = new Rect();
        }
        this.h = z;
        c();
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public boolean getRemoveClippedSubviews() {
        return this.h;
    }

    public void setSendMomentumEvents(boolean z) {
        this.j = z;
    }

    public void setScrollEnabled(boolean z) {
        this.i = z;
    }

    public void setPagingEnabled(boolean z) {
        this.f = z;
    }

    public void setSnapInterval(int i2) {
        this.o = i2;
    }

    public void a() {
        awakenScrollBars();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        MeasureSpecAssertions.a(i2, i3);
        setMeasuredDimension(View.MeasureSpec.getSize(i2), View.MeasureSpec.getSize(i3));
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        scrollTo(getScrollX(), getScrollY());
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i2, int i3, int i4, int i5) {
        super.onScrollChanged(i2, i3, i4, i5);
        this.c = true;
        if (this.f2337a.a(i2, i3)) {
            if (this.h) {
                c();
            }
            ReactScrollViewHelper.a(this, this.f2337a.a(), this.f2337a.b());
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (!this.i) {
            return false;
        }
        try {
            if (super.onInterceptTouchEvent(motionEvent)) {
                NativeGestureUtil.a(this, motionEvent);
                ReactScrollViewHelper.a(this);
                this.e = true;
                b();
                return true;
            }
        } catch (IllegalArgumentException e2) {
            Log.w("ReactNative", "Error intercepting touch event.", e2);
        }
        return false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.i) {
            return false;
        }
        this.b.a(motionEvent);
        if ((motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA) == 1 && this.e) {
            float a2 = this.b.a();
            float b2 = this.b.b();
            ReactScrollViewHelper.b(this, a2, b2);
            this.e = false;
            a(Math.round(a2), Math.round(b2));
        }
        return super.onTouchEvent(motionEvent);
    }

    public void fling(int i2) {
        if (this.f) {
            a(i2);
        } else {
            super.fling(i2);
        }
        a(i2, 0);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (this.h) {
            c();
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.h) {
            c();
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void c() {
        if (this.h) {
            Assertions.b(this.d);
            ReactClippingViewGroupHelper.a(this, this.d);
            View childAt = getChildAt(0);
            if (childAt instanceof ReactClippingViewGroup) {
                ((ReactClippingViewGroup) childAt).c();
            }
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void a(Rect rect) {
        rect.set((Rect) Assertions.b(this.d));
    }

    private int getSnapInterval() {
        if (this.o != 0) {
            return this.o;
        }
        return getWidth();
    }

    public void setEndFillColor(int i2) {
        if (i2 != this.n) {
            this.n = i2;
            this.m = new ColorDrawable(this.n);
        }
    }

    private void b() {
        if (e()) {
            Assertions.b(this.k);
            Assertions.b(this.l);
            this.k.a(this.l);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        if (e()) {
            Assertions.b(this.k);
            Assertions.b(this.l);
            this.k.b(this.l);
        }
    }

    private boolean e() {
        return (this.k == null || this.l == null || this.l.isEmpty()) ? false : true;
    }

    public void draw(Canvas canvas) {
        if (this.n != 0) {
            View childAt = getChildAt(0);
            if (!(this.m == null || childAt == null || childAt.getRight() >= getWidth())) {
                this.m.setBounds(childAt.getRight(), 0, getWidth(), getHeight());
                this.m.draw(canvas);
            }
        }
        super.draw(canvas);
    }

    private void a(int i2, int i3) {
        if ((this.j || this.f || e()) && this.g == null) {
            if (this.j) {
                ReactScrollViewHelper.a((ViewGroup) this, i2, i3);
            }
            this.c = false;
            this.g = new Runnable() {
                /* class com.facebook.react.views.scroll.ReactHorizontalScrollView.AnonymousClass1 */
                private boolean b = false;

                public void run() {
                    if (ReactHorizontalScrollView.this.c) {
                        ReactHorizontalScrollView.this.c = false;
                        ViewCompat.a(ReactHorizontalScrollView.this, this, 20);
                    } else if (!ReactHorizontalScrollView.this.f || this.b) {
                        if (ReactHorizontalScrollView.this.j) {
                            ReactScrollViewHelper.b(ReactHorizontalScrollView.this);
                        }
                        ReactHorizontalScrollView.this.g = null;
                        ReactHorizontalScrollView.this.d();
                    } else {
                        this.b = true;
                        ReactHorizontalScrollView.this.a((ReactHorizontalScrollView) 0);
                        ViewCompat.a(ReactHorizontalScrollView.this, this, 20);
                    }
                }
            };
            ViewCompat.a(this, this.g, 20);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2) {
        int snapInterval = getSnapInterval();
        int scrollX = getScrollX();
        int i3 = i2 + scrollX;
        int i4 = scrollX / snapInterval;
        if (i3 > (i4 * snapInterval) + (snapInterval / 2)) {
            i4++;
        }
        smoothScrollTo(i4 * snapInterval, getScrollY());
    }

    public void setBackgroundColor(int i2) {
        this.p.a(i2);
    }

    public void a(int i2, float f2) {
        this.p.a(i2, f2);
    }

    public void a(int i2, float f2, float f3) {
        this.p.a(i2, f2, f3);
    }

    public void setBorderRadius(float f2) {
        this.p.a(f2);
    }

    public void a(float f2, int i2) {
        this.p.a(f2, i2);
    }

    public void setBorderStyle(@Nullable String str) {
        this.p.a(str);
    }
}
