package com.facebook.react.views.scroll;

import android.annotation.TargetApi;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.support.v4.view.ViewCompat;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.OverScroller;
import android.widget.ScrollView;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.uimanager.MeasureSpecAssertions;
import com.facebook.react.uimanager.ReactClippingViewGroup;
import com.facebook.react.uimanager.ReactClippingViewGroupHelper;
import com.facebook.react.uimanager.events.NativeGestureUtil;
import com.facebook.react.views.view.ReactViewBackgroundManager;
import com.tencent.smtt.sdk.WebView;
import java.lang.reflect.Field;
import javax.annotation.Nullable;

@TargetApi(11)
public class ReactScrollView extends ScrollView implements View.OnLayoutChangeListener, ViewGroup.OnHierarchyChangeListener, ReactClippingViewGroup {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private static Field f2339a = null;
    private static boolean b = false;
    private final OnScrollDispatchHelper c = new OnScrollDispatchHelper();
    @Nullable
    private final OverScroller d;
    private final VelocityHelper e = new VelocityHelper();
    @Nullable
    private Rect f;
    private boolean g;
    private boolean h;
    private boolean i;
    private boolean j;
    private boolean k = true;
    private boolean l;
    @Nullable
    private FpsListener m = null;
    @Nullable
    private String n;
    @Nullable
    private Drawable o;
    private int p = 0;
    private View q;
    private ReactViewBackgroundManager r;

    public ReactScrollView(ReactContext reactContext, @Nullable FpsListener fpsListener) {
        super(reactContext);
        this.m = fpsListener;
        this.r = new ReactViewBackgroundManager(this);
        this.d = getOverScrollerFromParent();
        setOnHierarchyChangeListener(this);
        setScrollBarStyle(33554432);
    }

    @Nullable
    private OverScroller getOverScrollerFromParent() {
        if (!b) {
            b = true;
            try {
                f2339a = ScrollView.class.getDeclaredField("mScroller");
                f2339a.setAccessible(true);
            } catch (NoSuchFieldException unused) {
                Log.w("ReactNative", "Failed to get mScroller field for ScrollView! This app will exhibit the bounce-back scrolling bug :(");
            }
        }
        if (f2339a == null) {
            return null;
        }
        try {
            Object obj = f2339a.get(this);
            if (obj instanceof OverScroller) {
                return (OverScroller) obj;
            }
            Log.w("ReactNative", "Failed to cast mScroller field in ScrollView (probably due to OEM changes to AOSP)! This app will exhibit the bounce-back scrolling bug :(");
            return null;
        } catch (IllegalAccessException e2) {
            throw new RuntimeException("Failed to get mScroller from ScrollView!", e2);
        }
    }

    public void setSendMomentumEvents(boolean z) {
        this.l = z;
    }

    public void setScrollPerfTag(@Nullable String str) {
        this.n = str;
    }

    public void setScrollEnabled(boolean z) {
        this.k = z;
    }

    public void a() {
        awakenScrollBars();
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        MeasureSpecAssertions.a(i2, i3);
        setMeasuredDimension(View.MeasureSpec.getSize(i2), View.MeasureSpec.getSize(i3));
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        scrollTo(getScrollX(), getScrollY());
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (this.j) {
            c();
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.j) {
            c();
        }
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i2, int i3, int i4, int i5) {
        super.onScrollChanged(i2, i3, i4, i5);
        if (this.c.a(i2, i3)) {
            if (this.j) {
                c();
            }
            if (this.i) {
                this.g = false;
            }
            ReactScrollViewHelper.a(this, this.c.a(), this.c.b());
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (!this.k) {
            return false;
        }
        try {
            if (super.onInterceptTouchEvent(motionEvent)) {
                NativeGestureUtil.a(this, motionEvent);
                ReactScrollViewHelper.a(this);
                this.h = true;
                b();
                return true;
            }
        } catch (IllegalArgumentException e2) {
            Log.w("ReactNative", "Error intercepting touch event.", e2);
        }
        return false;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.k) {
            return false;
        }
        this.e.a(motionEvent);
        if ((motionEvent.getAction() & WebView.NORMAL_MODE_ALPHA) == 1 && this.h) {
            ReactScrollViewHelper.b(this, this.e.a(), this.e.b());
            this.h = false;
            d();
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setRemoveClippedSubviews(boolean z) {
        if (z && this.f == null) {
            this.f = new Rect();
        }
        this.j = z;
        c();
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public boolean getRemoveClippedSubviews() {
        return this.j;
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void c() {
        if (this.j) {
            Assertions.b(this.f);
            ReactClippingViewGroupHelper.a(this, this.f);
            View childAt = getChildAt(0);
            if (childAt instanceof ReactClippingViewGroup) {
                ((ReactClippingViewGroup) childAt).c();
            }
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void a(Rect rect) {
        rect.set((Rect) Assertions.b(this.f));
    }

    public void fling(int i2) {
        if (this.d != null) {
            this.d.fling(getScrollX(), getScrollY(), 0, i2, 0, 0, 0, Integer.MAX_VALUE, 0, ((getHeight() - getPaddingBottom()) - getPaddingTop()) / 2);
            ViewCompat.b(this);
        } else {
            super.fling(i2);
        }
        if (this.l || e()) {
            this.i = true;
            b();
            ReactScrollViewHelper.a((ViewGroup) this, 0, i2);
            ViewCompat.a(this, new Runnable() {
                /* class com.facebook.react.views.scroll.ReactScrollView.AnonymousClass1 */

                public void run() {
                    if (ReactScrollView.this.g) {
                        ReactScrollView.this.i = false;
                        ReactScrollView.this.d();
                        ReactScrollViewHelper.b(ReactScrollView.this);
                        return;
                    }
                    ReactScrollView.this.g = true;
                    ViewCompat.a(ReactScrollView.this, this, 20);
                }
            }, 20);
        }
    }

    private void b() {
        if (e()) {
            Assertions.b(this.m);
            Assertions.b(this.n);
            this.m.a(this.n);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        if (e()) {
            Assertions.b(this.m);
            Assertions.b(this.n);
            this.m.b(this.n);
        }
    }

    private boolean e() {
        return (this.m == null || this.n == null || this.n.isEmpty()) ? false : true;
    }

    private int getMaxScrollY() {
        return Math.max(0, this.q.getHeight() - ((getHeight() - getPaddingBottom()) - getPaddingTop()));
    }

    public void draw(Canvas canvas) {
        if (this.p != 0) {
            View childAt = getChildAt(0);
            if (!(this.o == null || childAt == null || childAt.getBottom() >= getHeight())) {
                this.o.setBounds(0, childAt.getBottom(), getWidth(), getHeight());
                this.o.draw(canvas);
            }
        }
        super.draw(canvas);
    }

    public void setEndFillColor(int i2) {
        if (i2 != this.p) {
            this.p = i2;
            this.o = new ColorDrawable(this.p);
        }
    }

    /* access modifiers changed from: protected */
    public void onOverScrolled(int i2, int i3, boolean z, boolean z2) {
        int maxScrollY;
        if (this.d != null && !this.d.isFinished() && this.d.getCurrY() != this.d.getFinalY() && i3 >= (maxScrollY = getMaxScrollY())) {
            this.d.abortAnimation();
            i3 = maxScrollY;
        }
        super.onOverScrolled(i2, i3, z, z2);
    }

    public void onChildViewAdded(View view, View view2) {
        this.q = view2;
        this.q.addOnLayoutChangeListener(this);
    }

    public void onChildViewRemoved(View view, View view2) {
        this.q.removeOnLayoutChangeListener(this);
        this.q = null;
    }

    public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        int maxScrollY;
        if (this.q != null && getScrollY() > (maxScrollY = getMaxScrollY())) {
            scrollTo(getScrollX(), maxScrollY);
        }
    }

    public void setBackgroundColor(int i2) {
        this.r.a(i2);
    }

    public void a(int i2, float f2) {
        this.r.a(i2, f2);
    }

    public void a(int i2, float f2, float f3) {
        this.r.a(i2, f2, f3);
    }

    public void setBorderRadius(float f2) {
        this.r.a(f2);
    }

    public void a(float f2, int i2) {
        this.r.a(f2, i2);
    }

    public void setBorderStyle(@Nullable String str) {
        this.r.a(str);
    }
}
