package com.facebook.react.views.scroll;

import com.facebook.infer.annotation.Assertions;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.PixelUtil;
import java.util.Map;
import javax.annotation.Nullable;

public class ReactScrollViewCommandHelper {

    public interface ScrollCommandHandler<T> {
        void flashScrollIndicators(T t);

        void scrollTo(T t, ScrollToCommandData scrollToCommandData);

        void scrollToEnd(T t, ScrollToEndCommandData scrollToEndCommandData);
    }

    public static class ScrollToCommandData {

        /* renamed from: a  reason: collision with root package name */
        public final int f2341a;
        public final int b;
        public final boolean c;

        ScrollToCommandData(int i, int i2, boolean z) {
            this.f2341a = i;
            this.b = i2;
            this.c = z;
        }
    }

    public static class ScrollToEndCommandData {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f2342a;

        ScrollToEndCommandData(boolean z) {
            this.f2342a = z;
        }
    }

    public static Map<String, Integer> a() {
        return MapBuilder.a("scrollTo", 1, "scrollToEnd", 2, "flashScrollIndicators", 3);
    }

    public static <T> void a(ScrollCommandHandler<T> scrollCommandHandler, T t, int i, @Nullable ReadableArray readableArray) {
        Assertions.b(scrollCommandHandler);
        Assertions.b(t);
        Assertions.b(readableArray);
        switch (i) {
            case 1:
                scrollCommandHandler.scrollTo(t, new ScrollToCommandData(Math.round(PixelUtil.a(readableArray.b(0))), Math.round(PixelUtil.a(readableArray.b(1))), readableArray.f(2)));
                return;
            case 2:
                scrollCommandHandler.scrollToEnd(t, new ScrollToEndCommandData(readableArray.f(0)));
                return;
            case 3:
                scrollCommandHandler.flashScrollIndicators(t);
                return;
            default:
                throw new IllegalArgumentException(String.format("Unsupported command %d received by %s.", Integer.valueOf(i), scrollCommandHandler.getClass().getSimpleName()));
        }
    }
}
