package com.facebook.react.views.text;

import android.graphics.Paint;
import android.text.style.LineHeightSpan;

public class CustomLineHeightSpan implements LineHeightSpan {

    /* renamed from: a  reason: collision with root package name */
    private final int f2355a;

    CustomLineHeightSpan(float f) {
        this.f2355a = (int) Math.ceil((double) f);
    }

    public void chooseHeight(CharSequence charSequence, int i, int i2, int i3, int i4, Paint.FontMetricsInt fontMetricsInt) {
        if (fontMetricsInt.descent > this.f2355a) {
            int min = Math.min(this.f2355a, fontMetricsInt.descent);
            fontMetricsInt.descent = min;
            fontMetricsInt.bottom = min;
            fontMetricsInt.ascent = 0;
            fontMetricsInt.top = 0;
        } else if ((-fontMetricsInt.ascent) + fontMetricsInt.descent > this.f2355a) {
            fontMetricsInt.bottom = fontMetricsInt.descent;
            int i5 = (-this.f2355a) + fontMetricsInt.descent;
            fontMetricsInt.ascent = i5;
            fontMetricsInt.top = i5;
        } else if ((-fontMetricsInt.ascent) + fontMetricsInt.bottom > this.f2355a) {
            fontMetricsInt.top = fontMetricsInt.ascent;
            fontMetricsInt.bottom = fontMetricsInt.ascent + this.f2355a;
        } else if ((-fontMetricsInt.top) + fontMetricsInt.bottom > this.f2355a) {
            fontMetricsInt.top = fontMetricsInt.bottom - this.f2355a;
        } else {
            double d = (double) (((float) (this.f2355a - ((-fontMetricsInt.top) + fontMetricsInt.bottom))) / 2.0f);
            fontMetricsInt.top = (int) (((double) fontMetricsInt.top) - Math.ceil(d));
            fontMetricsInt.bottom = (int) (((double) fontMetricsInt.bottom) + Math.floor(d));
            fontMetricsInt.ascent = fontMetricsInt.top;
            fontMetricsInt.descent = fontMetricsInt.bottom;
        }
    }
}
