package com.facebook.react.views.text;

import android.os.Build;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.StrikethroughSpan;
import android.text.style.UnderlineSpan;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.IllegalViewOperationException;
import com.facebook.react.uimanager.LayoutShadowNode;
import com.facebook.react.uimanager.PixelUtil;
import com.facebook.react.uimanager.ReactShadowNodeImpl;
import com.facebook.react.uimanager.annotations.ReactProp;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Nullable;

public abstract class ReactBaseTextShadowNode extends LayoutShadowNode {

    /* renamed from: a  reason: collision with root package name */
    protected float f2357a = Float.NaN;
    protected float b = Float.NaN;
    protected boolean c = false;
    protected boolean d = true;
    protected int e;
    protected boolean f = false;
    protected int g;
    protected int h = -1;
    protected int i = -1;
    protected float j = -1.0f;
    protected float k = -1.0f;
    protected float l = Float.NaN;
    protected int m = 0;
    protected int n;
    protected float o;
    protected float p;
    protected float q;
    protected int r;
    protected boolean s;
    protected boolean t;
    protected boolean u;
    protected int v;
    protected int w;
    @Nullable
    protected String x;
    protected boolean y;
    protected float z;

    /* access modifiers changed from: private */
    public static class SetSpanOperation {

        /* renamed from: a  reason: collision with root package name */
        protected int f2358a;
        protected int b;
        protected Object c;

        SetSpanOperation(int i, int i2, Object obj) {
            this.f2358a = i;
            this.b = i2;
            this.c = obj;
        }

        public void a(SpannableStringBuilder spannableStringBuilder, int i) {
            spannableStringBuilder.setSpan(this.c, this.f2358a, this.b, ((i << 16) & 16711680) | ((this.f2358a == 0 ? 18 : 34) & -16711681));
        }
    }

    private static void a(ReactBaseTextShadowNode reactBaseTextShadowNode, SpannableStringBuilder spannableStringBuilder, List<SetSpanOperation> list) {
        int length = spannableStringBuilder.length();
        int S = reactBaseTextShadowNode.S();
        for (int i2 = 0; i2 < S; i2++) {
            ReactShadowNodeImpl h2 = reactBaseTextShadowNode.e(i2);
            if (h2 instanceof ReactRawTextShadowNode) {
                spannableStringBuilder.append((CharSequence) ((ReactRawTextShadowNode) h2).a());
            } else if (h2 instanceof ReactBaseTextShadowNode) {
                a((ReactBaseTextShadowNode) h2, spannableStringBuilder, list);
            } else if (h2 instanceof ReactTextInlineImageShadowNode) {
                spannableStringBuilder.append("I");
                list.add(new SetSpanOperation(spannableStringBuilder.length() - "I".length(), spannableStringBuilder.length(), ((ReactTextInlineImageShadowNode) h2).a()));
            } else {
                throw new IllegalViewOperationException("Unexpected view type nested under text node: " + h2.getClass());
            }
            h2.P();
        }
        int length2 = spannableStringBuilder.length();
        if (length2 >= length) {
            if (reactBaseTextShadowNode.c) {
                list.add(new SetSpanOperation(length, length2, new ForegroundColorSpan(reactBaseTextShadowNode.e)));
            }
            if (reactBaseTextShadowNode.f) {
                list.add(new SetSpanOperation(length, length2, new BackgroundColorSpan(reactBaseTextShadowNode.g)));
            }
            if (Build.VERSION.SDK_INT >= 21 && reactBaseTextShadowNode.b != Float.NaN) {
                list.add(new SetSpanOperation(length, length2, new CustomLetterSpacingSpan(reactBaseTextShadowNode.b)));
            }
            if (reactBaseTextShadowNode.i != -1) {
                list.add(new SetSpanOperation(length, length2, new AbsoluteSizeSpan(reactBaseTextShadowNode.i)));
            }
            if (!(reactBaseTextShadowNode.v == -1 && reactBaseTextShadowNode.w == -1 && reactBaseTextShadowNode.x == null)) {
                list.add(new SetSpanOperation(length, length2, new CustomStyleSpan(reactBaseTextShadowNode.v, reactBaseTextShadowNode.w, reactBaseTextShadowNode.x, reactBaseTextShadowNode.Y().getAssets())));
            }
            if (reactBaseTextShadowNode.s) {
                list.add(new SetSpanOperation(length, length2, new UnderlineSpan()));
            }
            if (reactBaseTextShadowNode.t) {
                list.add(new SetSpanOperation(length, length2, new StrikethroughSpan()));
            }
            if (!(reactBaseTextShadowNode.o == 0.0f && reactBaseTextShadowNode.p == 0.0f)) {
                list.add(new SetSpanOperation(length, length2, new ShadowStyleSpan(reactBaseTextShadowNode.o, reactBaseTextShadowNode.p, reactBaseTextShadowNode.q, reactBaseTextShadowNode.r)));
            }
            if (!Float.isNaN(reactBaseTextShadowNode.a())) {
                list.add(new SetSpanOperation(length, length2, new CustomLineHeightSpan(reactBaseTextShadowNode.a())));
            }
            list.add(new SetSpanOperation(length, length2, new ReactTagSpan(reactBaseTextShadowNode.V())));
        }
    }

    protected static Spannable a(ReactBaseTextShadowNode reactBaseTextShadowNode, String str) {
        int i2;
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
        ArrayList<SetSpanOperation> arrayList = new ArrayList();
        a(reactBaseTextShadowNode, spannableStringBuilder, arrayList);
        if (str != null) {
            spannableStringBuilder.append((CharSequence) str);
        }
        int i3 = 0;
        if (reactBaseTextShadowNode.i == -1) {
            if (reactBaseTextShadowNode.d) {
                i2 = (int) Math.ceil((double) PixelUtil.b(14.0f));
            } else {
                i2 = (int) Math.ceil((double) PixelUtil.a(14.0f));
            }
            arrayList.add(new SetSpanOperation(0, spannableStringBuilder.length(), new AbsoluteSizeSpan(i2)));
        }
        reactBaseTextShadowNode.y = false;
        reactBaseTextShadowNode.z = Float.NaN;
        for (SetSpanOperation setSpanOperation : arrayList) {
            if (setSpanOperation.c instanceof TextInlineImageSpan) {
                int f2 = ((TextInlineImageSpan) setSpanOperation.c).f();
                reactBaseTextShadowNode.y = true;
                if (Float.isNaN(reactBaseTextShadowNode.z) || ((float) f2) > reactBaseTextShadowNode.z) {
                    reactBaseTextShadowNode.z = (float) f2;
                }
            }
            setSpanOperation.a(spannableStringBuilder, i3);
            i3++;
        }
        return spannableStringBuilder;
    }

    private static int b(String str) {
        if (str.length() != 3 || !str.endsWith("00") || str.charAt(0) > '9' || str.charAt(0) < '1') {
            return -1;
        }
        return (str.charAt(0) - '0') * 100;
    }

    public ReactBaseTextShadowNode() {
        this.n = Build.VERSION.SDK_INT < 23 ? 0 : 1;
        this.o = 0.0f;
        this.p = 0.0f;
        this.q = 1.0f;
        this.r = 1426063360;
        this.s = false;
        this.t = false;
        this.u = true;
        this.v = -1;
        this.w = -1;
        this.x = null;
        this.y = false;
        this.z = Float.NaN;
    }

    public float a() {
        return !Float.isNaN(this.f2357a) && !Float.isNaN(this.z) && (this.z > this.f2357a ? 1 : (this.z == this.f2357a ? 0 : -1)) > 0 ? this.z : this.f2357a;
    }

    @ReactProp(a = "numberOfLines", e = -1)
    public void setNumberOfLines(int i2) {
        if (i2 == 0) {
            i2 = -1;
        }
        this.h = i2;
        n();
    }

    @ReactProp(a = "lineHeight", d = -1.0f)
    public void setLineHeight(float f2) {
        float f3;
        this.k = f2;
        if (f2 == -1.0f) {
            this.f2357a = Float.NaN;
        } else {
            if (this.d) {
                f3 = PixelUtil.b(f2);
            } else {
                f3 = PixelUtil.a(f2);
            }
            this.f2357a = f3;
        }
        n();
    }

    @ReactProp(a = "letterSpacing", d = Float.NaN)
    public void setLetterSpacing(float f2) {
        float f3;
        this.l = f2;
        if (this.d) {
            f3 = PixelUtil.b(this.l);
        } else {
            f3 = PixelUtil.a(this.l);
        }
        this.b = f3;
        n();
    }

    @ReactProp(a = "allowFontScaling", f = true)
    public void setAllowFontScaling(boolean z2) {
        if (z2 != this.d) {
            this.d = z2;
            setFontSize(this.j);
            setLineHeight(this.k);
            setLetterSpacing(this.l);
            n();
        }
    }

    @ReactProp(a = "textAlign")
    public void setTextAlign(@Nullable String str) {
        if (str == null || "auto".equals(str)) {
            this.m = 0;
        } else if ("left".equals(str)) {
            this.m = 3;
        } else if ("right".equals(str)) {
            this.m = 5;
        } else if ("center".equals(str)) {
            this.m = 1;
        } else if ("justify".equals(str)) {
            this.m = 3;
        } else {
            throw new JSApplicationIllegalArgumentException("Invalid textAlign: " + str);
        }
        n();
    }

    @ReactProp(a = "fontSize", d = -1.0f)
    public void setFontSize(float f2) {
        this.j = f2;
        if (f2 != -1.0f) {
            if (this.d) {
                f2 = (float) Math.ceil((double) PixelUtil.b(f2));
            } else {
                f2 = (float) Math.ceil((double) PixelUtil.a(f2));
            }
        }
        this.i = (int) f2;
        n();
    }

    @ReactProp(a = "color")
    public void setColor(@Nullable Integer num) {
        this.c = num != null;
        if (this.c) {
            this.e = num.intValue();
        }
        n();
    }

    @ReactProp(a = "backgroundColor")
    public void setBackgroundColor(Integer num) {
        if (!e()) {
            this.f = num != null;
            if (this.f) {
                this.g = num.intValue();
            }
            n();
        }
    }

    @ReactProp(a = "fontFamily")
    public void setFontFamily(@Nullable String str) {
        this.x = str;
        n();
    }

    @ReactProp(a = "fontWeight")
    public void setFontWeight(@Nullable String str) {
        int i2 = -1;
        int b2 = str != null ? b(str) : -1;
        if (b2 >= 500 || "bold".equals(str)) {
            i2 = 1;
        } else if ("normal".equals(str) || (b2 != -1 && b2 < 500)) {
            i2 = 0;
        }
        if (i2 != this.w) {
            this.w = i2;
            n();
        }
    }

    @ReactProp(a = "fontStyle")
    public void setFontStyle(@Nullable String str) {
        int i2;
        if ("italic".equals(str)) {
            i2 = 2;
        } else {
            i2 = "normal".equals(str) ? 0 : -1;
        }
        if (i2 != this.v) {
            this.v = i2;
            n();
        }
    }

    @ReactProp(a = "includeFontPadding", f = true)
    public void setIncludeFontPadding(boolean z2) {
        this.u = z2;
    }

    @ReactProp(a = "textDecorationLine")
    public void setTextDecorationLine(@Nullable String str) {
        this.s = false;
        this.t = false;
        if (str != null) {
            String[] split = str.split(" ");
            for (String str2 : split) {
                if ("underline".equals(str2)) {
                    this.s = true;
                } else if ("line-through".equals(str2)) {
                    this.t = true;
                }
            }
        }
        n();
    }

    @ReactProp(a = "textBreakStrategy")
    public void setTextBreakStrategy(@Nullable String str) {
        if (Build.VERSION.SDK_INT >= 23) {
            if (str == null || "highQuality".equals(str)) {
                this.n = 1;
            } else if ("simple".equals(str)) {
                this.n = 0;
            } else if ("balanced".equals(str)) {
                this.n = 2;
            } else {
                throw new JSApplicationIllegalArgumentException("Invalid textBreakStrategy: " + str);
            }
            n();
        }
    }

    @ReactProp(a = "textShadowOffset")
    public void setTextShadowOffset(ReadableMap readableMap) {
        this.o = 0.0f;
        this.p = 0.0f;
        if (readableMap != null) {
            if (readableMap.a("width") && !readableMap.b("width")) {
                this.o = PixelUtil.a(readableMap.d("width"));
            }
            if (readableMap.a("height") && !readableMap.b("height")) {
                this.p = PixelUtil.a(readableMap.d("height"));
            }
        }
        n();
    }

    @ReactProp(a = "textShadowRadius", e = 1)
    public void setTextShadowRadius(float f2) {
        if (f2 != this.q) {
            this.q = f2;
            n();
        }
    }

    @ReactProp(a = "textShadowColor", b = "Color", e = 1426063360)
    public void setTextShadowColor(int i2) {
        if (i2 != this.r) {
            this.r = i2;
            n();
        }
    }
}
