package com.facebook.react.views.text;

import android.content.res.AssetManager;
import android.graphics.Typeface;
import android.util.SparseArray;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Nullable;

public class ReactFontManager {

    /* renamed from: a  reason: collision with root package name */
    private static final String[] f2359a = {"", "_bold", "_italic", "_bold_italic"};
    private static final String[] b = {".ttf", ".otf"};
    private static ReactFontManager c;
    private Map<String, FontFamily> d = new HashMap();

    private ReactFontManager() {
    }

    public static ReactFontManager a() {
        if (c == null) {
            c = new ReactFontManager();
        }
        return c;
    }

    @Nullable
    public Typeface a(String str, int i, AssetManager assetManager) {
        FontFamily fontFamily = this.d.get(str);
        if (fontFamily == null) {
            fontFamily = new FontFamily();
            this.d.put(str, fontFamily);
        }
        Typeface a2 = fontFamily.a(i);
        if (a2 == null && (a2 = b(str, i, assetManager)) != null) {
            fontFamily.a(i, a2);
        }
        return a2;
    }

    @Nullable
    private static Typeface b(String str, int i, AssetManager assetManager) {
        String str2 = f2359a[i];
        String[] strArr = b;
        for (String str3 : strArr) {
            try {
                return Typeface.createFromAsset(assetManager, "fonts/" + str + str2 + str3);
            } catch (RuntimeException unused) {
            }
        }
        return Typeface.create(str, i);
    }

    /* access modifiers changed from: private */
    public static class FontFamily {

        /* renamed from: a  reason: collision with root package name */
        private SparseArray<Typeface> f2360a;

        private FontFamily() {
            this.f2360a = new SparseArray<>(4);
        }

        public Typeface a(int i) {
            return this.f2360a.get(i);
        }

        public void a(int i, Typeface typeface) {
            this.f2360a.put(i, typeface);
        }
    }
}
