package com.facebook.react.views.text;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Layout;
import android.text.Spanned;
import android.text.TextUtils;
import android.view.ViewGroup;
import android.widget.TextView;
import com.facebook.react.uimanager.ReactCompoundView;
import com.facebook.react.views.view.ReactViewBackgroundManager;
import javax.annotation.Nullable;

public class ReactTextView extends TextView implements ReactCompoundView {

    /* renamed from: a  reason: collision with root package name */
    private static final ViewGroup.LayoutParams f2365a = new ViewGroup.LayoutParams(0, 0);
    private boolean b;
    private int c = (getGravity() & 8388615);
    private int d = (getGravity() & 112);
    private boolean e;
    private float f = Float.NaN;
    private int g = 0;
    private int h = Integer.MAX_VALUE;
    private TextUtils.TruncateAt i = TextUtils.TruncateAt.END;
    private ReactViewBackgroundManager j = new ReactViewBackgroundManager(this);

    public ReactTextView(Context context) {
        super(context);
    }

    public void setText(ReactTextUpdate reactTextUpdate) {
        this.b = reactTextUpdate.c();
        if (getLayoutParams() == null) {
            setLayoutParams(f2365a);
        }
        setText(reactTextUpdate.a());
        setPadding((int) Math.floor((double) reactTextUpdate.d()), (int) Math.floor((double) reactTextUpdate.e()), (int) Math.floor((double) reactTextUpdate.f()), (int) Math.floor((double) reactTextUpdate.g()));
        int h2 = reactTextUpdate.h();
        if (this.g != h2) {
            this.g = h2;
        }
        setGravityHorizontal(this.g);
        if (Build.VERSION.SDK_INT >= 23 && getBreakStrategy() != reactTextUpdate.i()) {
            setBreakStrategy(reactTextUpdate.i());
        }
    }

    @Override // com.facebook.react.uimanager.ReactCompoundView
    public int a(float f2, float f3) {
        int i2;
        CharSequence text = getText();
        int id = getId();
        int i3 = (int) f2;
        int i4 = (int) f3;
        Layout layout = getLayout();
        if (layout == null) {
            return id;
        }
        int lineForVertical = layout.getLineForVertical(i4);
        int lineLeft = (int) layout.getLineLeft(lineForVertical);
        int lineRight = (int) layout.getLineRight(lineForVertical);
        if ((text instanceof Spanned) && i3 >= lineLeft && i3 <= lineRight) {
            Spanned spanned = (Spanned) text;
            int offsetForHorizontal = layout.getOffsetForHorizontal(lineForVertical, (float) i3);
            ReactTagSpan[] reactTagSpanArr = (ReactTagSpan[]) spanned.getSpans(offsetForHorizontal, offsetForHorizontal, ReactTagSpan.class);
            if (reactTagSpanArr != null) {
                int length = text.length();
                for (int i5 = 0; i5 < reactTagSpanArr.length; i5++) {
                    int spanStart = spanned.getSpanStart(reactTagSpanArr[i5]);
                    int spanEnd = spanned.getSpanEnd(reactTagSpanArr[i5]);
                    if (spanEnd > offsetForHorizontal && (i2 = spanEnd - spanStart) <= length) {
                        id = reactTagSpanArr[i5].a();
                        length = i2;
                    }
                }
            }
        }
        return id;
    }

    public void setTextIsSelectable(boolean z) {
        this.e = z;
        super.setTextIsSelectable(z);
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                if (textInlineImageSpan.a() == drawable) {
                    return true;
                }
            }
        }
        return super.verifyDrawable(drawable);
    }

    public void invalidateDrawable(Drawable drawable) {
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                if (textInlineImageSpan.a() == drawable) {
                    invalidate();
                }
            }
        }
        super.invalidateDrawable(drawable);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                textInlineImageSpan.b();
            }
        }
    }

    public void onStartTemporaryDetach() {
        super.onStartTemporaryDetach();
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                textInlineImageSpan.c();
            }
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                textInlineImageSpan.d();
            }
        }
    }

    public void onFinishTemporaryDetach() {
        super.onFinishTemporaryDetach();
        if (this.b && (getText() instanceof Spanned)) {
            Spanned spanned = (Spanned) getText();
            for (TextInlineImageSpan textInlineImageSpan : (TextInlineImageSpan[]) spanned.getSpans(0, spanned.length(), TextInlineImageSpan.class)) {
                textInlineImageSpan.e();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void setGravityHorizontal(int i2) {
        if (i2 == 0) {
            i2 = this.c;
        }
        setGravity(i2 | (getGravity() & -8 & -8388616));
    }

    /* access modifiers changed from: package-private */
    public void setGravityVertical(int i2) {
        if (i2 == 0) {
            i2 = this.d;
        }
        setGravity(i2 | (getGravity() & -113));
    }

    public void setNumberOfLines(int i2) {
        if (i2 == 0) {
            i2 = Integer.MAX_VALUE;
        }
        this.h = i2;
        boolean z = true;
        if (this.h != 1) {
            z = false;
        }
        setSingleLine(z);
        setMaxLines(this.h);
    }

    public void setEllipsizeLocation(TextUtils.TruncateAt truncateAt) {
        this.i = truncateAt;
    }

    public void a() {
        setEllipsize(this.h == Integer.MAX_VALUE ? null : this.i);
    }

    public void setBackgroundColor(int i2) {
        this.j.a(i2);
    }

    public void a(int i2, float f2) {
        this.j.a(i2, f2);
    }

    public void a(int i2, float f2, float f3) {
        this.j.a(i2, f2, f3);
    }

    public void setBorderRadius(float f2) {
        this.j.a(f2);
    }

    public void a(float f2, int i2) {
        this.j.a(f2, i2);
    }

    public void setBorderStyle(@Nullable String str) {
        this.j.a(str);
    }
}
