package com.facebook.react.views.textinput;

import android.view.KeyEvent;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputConnectionWrapper;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.events.EventDispatcher;
import javax.annotation.Nullable;

class ReactEditTextInputConnectionWrapper extends InputConnectionWrapper {

    /* renamed from: a  reason: collision with root package name */
    private ReactEditText f2373a;
    private EventDispatcher b;
    private boolean c;
    @Nullable
    private String d = null;

    public ReactEditTextInputConnectionWrapper(InputConnection inputConnection, ReactContext reactContext, ReactEditText reactEditText) {
        super(inputConnection, false);
        this.b = ((UIManagerModule) reactContext.b(UIManagerModule.class)).getEventDispatcher();
        this.f2373a = reactEditText;
    }

    public boolean beginBatchEdit() {
        this.c = true;
        return super.beginBatchEdit();
    }

    public boolean endBatchEdit() {
        this.c = false;
        if (this.d != null) {
            b(this.d);
            this.d = null;
        }
        return super.endBatchEdit();
    }

    public boolean setComposingText(CharSequence charSequence, int i) {
        int selectionStart = this.f2373a.getSelectionStart();
        int selectionEnd = this.f2373a.getSelectionEnd();
        boolean composingText = super.setComposingText(charSequence, i);
        int selectionStart2 = this.f2373a.getSelectionStart();
        boolean z = false;
        boolean z2 = selectionStart == selectionEnd;
        boolean z3 = selectionStart2 == selectionStart;
        if (selectionStart2 < selectionStart || selectionStart2 <= 0) {
            z = true;
        }
        a((z || (!z2 && z3)) ? "Backspace" : String.valueOf(this.f2373a.getText().charAt(selectionStart2 - 1)));
        return composingText;
    }

    public boolean commitText(CharSequence charSequence, int i) {
        String charSequence2 = charSequence.toString();
        if (charSequence2.length() <= 1) {
            if (charSequence2.equals("")) {
                charSequence2 = "Backspace";
            }
            a(charSequence2);
        }
        return super.commitText(charSequence, i);
    }

    public boolean deleteSurroundingText(int i, int i2) {
        b("Backspace");
        return super.deleteSurroundingText(i, i2);
    }

    public boolean sendKeyEvent(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            if (keyEvent.getKeyCode() == 67) {
                b("Backspace");
            } else if (keyEvent.getKeyCode() == 66) {
                b("Enter");
            }
        }
        return super.sendKeyEvent(keyEvent);
    }

    private void a(String str) {
        if (this.c) {
            this.d = str;
        } else {
            b(str);
        }
    }

    private void b(String str) {
        if (str.equals("\n")) {
            str = "Enter";
        }
        this.b.a(new ReactTextInputKeyPressEvent(this.f2373a.getId(), str));
    }
}
