package com.facebook.react.views.toolbar;

import android.content.Context;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.support.v7.widget.Toolbar;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import com.facebook.drawee.backends.pipeline.Fresco;
import com.facebook.drawee.backends.pipeline.PipelineDraweeControllerBuilder;
import com.facebook.drawee.controller.BaseControllerListener;
import com.facebook.drawee.controller.ControllerListener;
import com.facebook.drawee.drawable.ScalingUtils;
import com.facebook.drawee.generic.GenericDraweeHierarchy;
import com.facebook.drawee.generic.GenericDraweeHierarchyBuilder;
import com.facebook.drawee.view.DraweeHolder;
import com.facebook.drawee.view.MultiDraweeHolder;
import com.facebook.imagepipeline.image.ImageInfo;
import com.facebook.react.bridge.ReadableArray;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.uimanager.PixelUtil;
import javax.annotation.Nullable;

public class ReactToolbar extends Toolbar {
    private final DraweeHolder b;
    private final DraweeHolder c;
    private final DraweeHolder d;
    private final MultiDraweeHolder<GenericDraweeHierarchy> e = new MultiDraweeHolder<>();
    private IconControllerListener f;
    private IconControllerListener g;
    private IconControllerListener h;
    private final Runnable i = new Runnable() {
        /* class com.facebook.react.views.toolbar.ReactToolbar.AnonymousClass4 */

        public void run() {
            ReactToolbar.this.measure(View.MeasureSpec.makeMeasureSpec(ReactToolbar.this.getWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(ReactToolbar.this.getHeight(), 1073741824));
            ReactToolbar.this.layout(ReactToolbar.this.getLeft(), ReactToolbar.this.getTop(), ReactToolbar.this.getRight(), ReactToolbar.this.getBottom());
        }
    };

    /* access modifiers changed from: private */
    public abstract class IconControllerListener extends BaseControllerListener<ImageInfo> {

        /* renamed from: a  reason: collision with root package name */
        private final DraweeHolder f2394a;
        private IconImageInfo c;

        /* access modifiers changed from: protected */
        public abstract void a(Drawable drawable);

        public IconControllerListener(DraweeHolder draweeHolder) {
            this.f2394a = draweeHolder;
        }

        public void a(IconImageInfo iconImageInfo) {
            this.c = iconImageInfo;
        }

        public void a(String str, @Nullable ImageInfo imageInfo, @Nullable Animatable animatable) {
            super.a(str, (Object) imageInfo, animatable);
            if (this.c != null) {
                imageInfo = this.c;
            }
            a(new DrawableWithIntrinsicSize(this.f2394a.f(), imageInfo));
        }
    }

    /* access modifiers changed from: private */
    public class ActionIconControllerListener extends IconControllerListener {
        private final MenuItem c;

        ActionIconControllerListener(MenuItem menuItem, DraweeHolder draweeHolder) {
            super(draweeHolder);
            this.c = menuItem;
        }

        /* access modifiers changed from: protected */
        @Override // com.facebook.react.views.toolbar.ReactToolbar.IconControllerListener
        public void a(Drawable drawable) {
            this.c.setIcon(drawable);
            ReactToolbar.this.requestLayout();
        }
    }

    /* access modifiers changed from: private */
    public static class IconImageInfo implements ImageInfo {

        /* renamed from: a  reason: collision with root package name */
        private int f2395a;
        private int b;

        public IconImageInfo(int i, int i2) {
            this.f2395a = i;
            this.b = i2;
        }

        @Override // com.facebook.imagepipeline.image.ImageInfo
        public int f() {
            return this.f2395a;
        }

        @Override // com.facebook.imagepipeline.image.ImageInfo
        public int g() {
            return this.b;
        }
    }

    public ReactToolbar(Context context) {
        super(context);
        this.b = DraweeHolder.a(n(), context);
        this.c = DraweeHolder.a(n(), context);
        this.d = DraweeHolder.a(n(), context);
        this.f = new IconControllerListener(this.b) {
            /* class com.facebook.react.views.toolbar.ReactToolbar.AnonymousClass1 */

            /* access modifiers changed from: protected */
            @Override // com.facebook.react.views.toolbar.ReactToolbar.IconControllerListener
            public void a(Drawable drawable) {
                ReactToolbar.this.setLogo(drawable);
            }
        };
        this.g = new IconControllerListener(this.c) {
            /* class com.facebook.react.views.toolbar.ReactToolbar.AnonymousClass2 */

            /* access modifiers changed from: protected */
            @Override // com.facebook.react.views.toolbar.ReactToolbar.IconControllerListener
            public void a(Drawable drawable) {
                ReactToolbar.this.setNavigationIcon(drawable);
            }
        };
        this.h = new IconControllerListener(this.d) {
            /* class com.facebook.react.views.toolbar.ReactToolbar.AnonymousClass3 */

            /* access modifiers changed from: protected */
            @Override // com.facebook.react.views.toolbar.ReactToolbar.IconControllerListener
            public void a(Drawable drawable) {
                ReactToolbar.this.setOverflowIcon(drawable);
            }
        };
    }

    public void requestLayout() {
        super.requestLayout();
        post(this.i);
    }

    @Override // android.support.v7.widget.Toolbar
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        l();
    }

    public void onStartTemporaryDetach() {
        super.onStartTemporaryDetach();
        l();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        m();
    }

    public void onFinishTemporaryDetach() {
        super.onFinishTemporaryDetach();
        m();
    }

    private void l() {
        this.b.c();
        this.c.c();
        this.d.c();
        this.e.b();
    }

    private void m() {
        this.b.b();
        this.c.b();
        this.d.b();
        this.e.a();
    }

    /* access modifiers changed from: package-private */
    public void setLogoSource(@Nullable ReadableMap readableMap) {
        a(readableMap, this.f, this.b);
    }

    /* access modifiers changed from: package-private */
    public void setNavIconSource(@Nullable ReadableMap readableMap) {
        a(readableMap, this.g, this.c);
    }

    /* access modifiers changed from: package-private */
    public void setOverflowIconSource(@Nullable ReadableMap readableMap) {
        a(readableMap, this.h, this.d);
    }

    /* access modifiers changed from: package-private */
    public void setActions(@Nullable ReadableArray readableArray) {
        Menu menu = getMenu();
        menu.clear();
        this.e.c();
        if (readableArray != null) {
            for (int i2 = 0; i2 < readableArray.a(); i2++) {
                ReadableMap i3 = readableArray.i(i2);
                MenuItem add = menu.add(0, 0, i2, i3.f("title"));
                if (i3.a("icon")) {
                    a(add, i3.g("icon"));
                }
                int e2 = i3.a("show") ? i3.e("show") : 0;
                if (i3.a("showWithText") && i3.c("showWithText")) {
                    e2 |= 4;
                }
                add.setShowAsAction(e2);
            }
        }
    }

    private void a(MenuItem menuItem, ReadableMap readableMap) {
        DraweeHolder a2 = DraweeHolder.a(n(), getContext());
        ActionIconControllerListener actionIconControllerListener = new ActionIconControllerListener(menuItem, a2);
        actionIconControllerListener.a(a(readableMap));
        a(readableMap, actionIconControllerListener, a2);
        this.e.a(a2);
    }

    private void a(ReadableMap readableMap, IconControllerListener iconControllerListener, DraweeHolder draweeHolder) {
        String f2 = readableMap != null ? readableMap.f("uri") : null;
        if (f2 == null) {
            iconControllerListener.a((IconImageInfo) null);
            iconControllerListener.a((Drawable) null);
        } else if (f2.startsWith("http://") || f2.startsWith("https://") || f2.startsWith("file://")) {
            iconControllerListener.a(a(readableMap));
            draweeHolder.a(((PipelineDraweeControllerBuilder) ((PipelineDraweeControllerBuilder) Fresco.a().b(Uri.parse(f2)).a((ControllerListener) iconControllerListener)).b(draweeHolder.d())).q());
            draweeHolder.f().setVisible(true, true);
        } else {
            iconControllerListener.a(b(f2));
        }
    }

    private GenericDraweeHierarchy n() {
        return new GenericDraweeHierarchyBuilder(getResources()).e(ScalingUtils.ScaleType.c).a(0).t();
    }

    private int a(String str) {
        return getResources().getIdentifier(str, "drawable", getContext().getPackageName());
    }

    private Drawable b(String str) {
        if (a(str) != 0) {
            return getResources().getDrawable(a(str));
        }
        return null;
    }

    private IconImageInfo a(ReadableMap readableMap) {
        if (!readableMap.a("width") || !readableMap.a("height")) {
            return null;
        }
        return new IconImageInfo(Math.round(PixelUtil.a((float) readableMap.e("width"))), Math.round(PixelUtil.a((float) readableMap.e("height"))));
    }
}
