package com.facebook.react.views.view;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.util.TypedValue;
import com.facebook.react.bridge.JSApplicationIllegalArgumentException;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.SoftAssertions;

public class ReactDrawableHelper {

    /* renamed from: a  reason: collision with root package name */
    private static final TypedValue f2399a = new TypedValue();

    public static Drawable a(Context context, ReadableMap readableMap) {
        int i;
        ColorDrawable colorDrawable;
        String f = readableMap.f("type");
        if ("ThemeAttrAndroid".equals(f)) {
            String f2 = readableMap.f("attribute");
            SoftAssertions.a((Object) f2);
            int identifier = context.getResources().getIdentifier(f2, "attr", "android");
            if (identifier == 0) {
                throw new JSApplicationIllegalArgumentException("Attribute " + f2 + " couldn't be found in the resource list");
            } else if (!context.getTheme().resolveAttribute(identifier, f2399a, true)) {
                throw new JSApplicationIllegalArgumentException("Attribute " + f2 + " couldn't be resolved into a drawable");
            } else if (Build.VERSION.SDK_INT >= 21) {
                return context.getResources().getDrawable(f2399a.resourceId, context.getTheme());
            } else {
                return context.getResources().getDrawable(f2399a.resourceId);
            }
        } else if (!"RippleAndroid".equals(f)) {
            throw new JSApplicationIllegalArgumentException("Invalid type for android drawable: " + f);
        } else if (Build.VERSION.SDK_INT >= 21) {
            if (readableMap.a("color") && !readableMap.b("color")) {
                i = readableMap.e("color");
            } else if (context.getTheme().resolveAttribute(16843820, f2399a, true)) {
                i = context.getResources().getColor(f2399a.resourceId);
            } else {
                throw new JSApplicationIllegalArgumentException("Attribute colorControlHighlight couldn't be resolved into a drawable");
            }
            if (!readableMap.a("borderless") || readableMap.b("borderless") || !readableMap.c("borderless")) {
                colorDrawable = new ColorDrawable(-1);
            } else {
                colorDrawable = null;
            }
            return new RippleDrawable(new ColorStateList(new int[][]{new int[0]}, new int[]{i}), null, colorDrawable);
        } else {
            throw new JSApplicationIllegalArgumentException("Ripple drawable is not available on android API <21");
        }
    }
}
