package com.facebook.react.views.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.DashPathEffect;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathEffect;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Build;
import com.facebook.react.common.annotations.VisibleForTesting;
import com.facebook.react.modules.i18nmanager.I18nUtil;
import com.facebook.react.uimanager.FloatUtil;
import com.facebook.react.uimanager.Spacing;
import com.facebook.yoga.YogaConstants;
import com.tencent.smtt.sdk.WebView;
import java.util.Arrays;
import java.util.Locale;
import javax.annotation.Nullable;

public class ReactViewBackgroundDrawable extends Drawable {
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    private Spacing f2400a;
    @Nullable
    private Spacing b;
    @Nullable
    private Spacing c;
    @Nullable
    private BorderStyle d;
    @Nullable
    private PathEffect e;
    @Nullable
    private Path f;
    @Nullable
    private Path g;
    @Nullable
    private Path h;
    @Nullable
    private Path i;
    @Nullable
    private RectF j;
    @Nullable
    private RectF k;
    @Nullable
    private RectF l;
    @Nullable
    private PointF m;
    @Nullable
    private PointF n;
    @Nullable
    private PointF o;
    @Nullable
    private PointF p;
    private boolean q = false;
    private float r = 1.0E21f;
    private final Paint s = new Paint(1);
    private int t = 0;
    private int u = WebView.NORMAL_MODE_ALPHA;
    @Nullable
    private float[] v;
    private final Context w;
    private int x;

    public enum BorderRadiusLocation {
        TOP_LEFT,
        TOP_RIGHT,
        BOTTOM_RIGHT,
        BOTTOM_LEFT,
        TOP_START,
        TOP_END,
        BOTTOM_START,
        BOTTOM_END
    }

    private static int a(float f2, float f3) {
        return ((((int) f2) << 24) & WebView.NIGHT_MODE_COLOR) | (((int) f3) & 16777215);
    }

    private static int a(int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        int i10 = -1;
        int i11 = (i2 > 0 ? i6 : -1) & (i3 > 0 ? i7 : -1) & (i4 > 0 ? i8 : -1);
        if (i5 > 0) {
            i10 = i9;
        }
        int i12 = i10 & i11;
        if (i2 <= 0) {
            i6 = 0;
        }
        if (i3 <= 0) {
            i7 = 0;
        }
        int i13 = i6 | i7;
        if (i4 <= 0) {
            i8 = 0;
        }
        int i14 = i13 | i8;
        if (i5 <= 0) {
            i9 = 0;
        }
        if (i12 == (i14 | i9)) {
            return i12;
        }
        return 0;
    }

    public boolean c(int i2) {
        return false;
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    /* access modifiers changed from: private */
    public enum BorderStyle {
        SOLID,
        DASHED,
        DOTTED;

        @Nullable
        public PathEffect a(float f) {
            switch (this) {
                case SOLID:
                    return null;
                case DASHED:
                    float f2 = f * 3.0f;
                    return new DashPathEffect(new float[]{f2, f2, f2, f2}, 0.0f);
                case DOTTED:
                    return new DashPathEffect(new float[]{f, f, f, f}, 0.0f);
                default:
                    return null;
            }
        }
    }

    public ReactViewBackgroundDrawable(Context context) {
        this.w = context;
    }

    public void draw(Canvas canvas) {
        h();
        if (!a()) {
            b(canvas);
        } else {
            a(canvas);
        }
    }

    public boolean a() {
        if (!YogaConstants.a(this.r) && this.r > 0.0f) {
            return true;
        }
        if (this.v != null) {
            float[] fArr = this.v;
            for (float f2 : fArr) {
                if (!YogaConstants.a(f2) && f2 > 0.0f) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.q = true;
    }

    public void setAlpha(int i2) {
        if (i2 != this.u) {
            this.u = i2;
            invalidateSelf();
        }
    }

    public int getAlpha() {
        return this.u;
    }

    public int getOpacity() {
        return ColorUtil.a(ColorUtil.a(this.t, this.u));
    }

    public void getOutline(Outline outline) {
        if (Build.VERSION.SDK_INT < 21) {
            super.getOutline(outline);
        } else if ((YogaConstants.a(this.r) || this.r <= 0.0f) && this.v == null) {
            outline.setRect(getBounds());
        } else {
            g();
            outline.setConvexPath(this.h);
        }
    }

    public void a(int i2, float f2) {
        if (this.f2400a == null) {
            this.f2400a = new Spacing();
        }
        if (!FloatUtil.a(this.f2400a.b(i2), f2)) {
            this.f2400a.a(i2, f2);
            if (i2 != 8) {
                switch (i2) {
                }
                invalidateSelf();
            }
            this.q = true;
            invalidateSelf();
        }
    }

    public void a(int i2, float f2, float f3) {
        b(i2, f2);
        c(i2, f3);
    }

    private void b(int i2, float f2) {
        if (this.b == null) {
            this.b = new Spacing(0.0f);
        }
        if (!FloatUtil.a(this.b.b(i2), f2)) {
            this.b.a(i2, f2);
            invalidateSelf();
        }
    }

    private void c(int i2, float f2) {
        if (this.c == null) {
            this.c = new Spacing(255.0f);
        }
        if (!FloatUtil.a(this.c.b(i2), f2)) {
            this.c.a(i2, f2);
            invalidateSelf();
        }
    }

    public void a(@Nullable String str) {
        BorderStyle borderStyle;
        if (str == null) {
            borderStyle = null;
        } else {
            borderStyle = BorderStyle.valueOf(str.toUpperCase(Locale.US));
        }
        if (this.d != borderStyle) {
            this.d = borderStyle;
            this.q = true;
            invalidateSelf();
        }
    }

    public void a(float f2) {
        if (!FloatUtil.a(this.r, f2)) {
            this.r = f2;
            this.q = true;
            invalidateSelf();
        }
    }

    public void a(float f2, int i2) {
        if (this.v == null) {
            this.v = new float[8];
            Arrays.fill(this.v, 1.0E21f);
        }
        if (!FloatUtil.a(this.v[i2], f2)) {
            this.v[i2] = f2;
            this.q = true;
            invalidateSelf();
        }
    }

    public float b() {
        if (YogaConstants.a(this.r)) {
            return 0.0f;
        }
        return this.r;
    }

    public float a(BorderRadiusLocation borderRadiusLocation) {
        return a(1.0E21f, borderRadiusLocation);
    }

    public float a(float f2, BorderRadiusLocation borderRadiusLocation) {
        if (this.v == null) {
            return f2;
        }
        float f3 = this.v[borderRadiusLocation.ordinal()];
        return YogaConstants.a(f3) ? f2 : f3;
    }

    public void a(int i2) {
        this.t = i2;
        invalidateSelf();
    }

    public int c() {
        return this.x;
    }

    public boolean b(int i2) {
        if (this.x == i2) {
            return false;
        }
        this.x = i2;
        return c(i2);
    }

    @VisibleForTesting
    public int d() {
        return this.t;
    }

    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0119  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x0127  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x014d  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x0174  */
    private void a(Canvas canvas) {
        int i2;
        int i3;
        float f2;
        float f3;
        float f4;
        float f5;
        g();
        canvas.save();
        int a2 = ColorUtil.a(this.t, this.u);
        if (Color.alpha(a2) != 0) {
            this.s.setColor(a2);
            this.s.setStyle(Paint.Style.FILL);
            canvas.drawPath(this.f, this.s);
        }
        RectF f6 = f();
        if (f6.top > 0.0f || f6.bottom > 0.0f || f6.left > 0.0f || f6.right > 0.0f) {
            this.s.setStyle(Paint.Style.FILL);
            canvas.clipPath(this.g, Region.Op.INTERSECT);
            canvas.clipPath(this.f, Region.Op.DIFFERENCE);
            boolean z = false;
            int e2 = e(0);
            int e3 = e(1);
            int e4 = e(2);
            int e5 = e(3);
            if (Build.VERSION.SDK_INT >= 17) {
                if (c() == 1) {
                    z = true;
                }
                int e6 = e(4);
                int e7 = e(5);
                if (I18nUtil.a().b(this.w)) {
                    if (d(4)) {
                        e2 = e6;
                    }
                    if (d(5)) {
                        e4 = e7;
                    }
                    i3 = z ? e4 : e2;
                    if (!z) {
                        e2 = e4;
                    }
                    i2 = e2;
                } else {
                    int i4 = z ? e7 : e6;
                    if (!z) {
                        e6 = e7;
                    }
                    boolean d2 = d(4);
                    boolean d3 = d(5);
                    boolean z2 = z ? d3 : d2;
                    if (!z) {
                        d2 = d3;
                    }
                    if (z2) {
                        e2 = i4;
                    }
                    if (d2) {
                        i3 = e2;
                        i2 = e6;
                    }
                }
                float f7 = this.k.left;
                float f8 = this.k.right;
                float f9 = this.k.top;
                float f10 = this.k.bottom;
                if (f6.left <= 0.0f) {
                    f3 = f10;
                    f4 = f9;
                    f5 = f8;
                    f2 = f7;
                    a(canvas, i3, f7, f9, this.m.x, this.m.y, this.p.x, this.p.y, f7, f3);
                } else {
                    f3 = f10;
                    f4 = f9;
                    f5 = f8;
                    f2 = f7;
                }
                if (f6.top > 0.0f) {
                    a(canvas, e3, f2, f4, this.m.x, this.m.y, this.n.x, this.n.y, f5, f4);
                }
                if (f6.right > 0.0f) {
                    a(canvas, i2, f5, f4, this.n.x, this.n.y, this.o.x, this.o.y, f5, f3);
                }
                if (f6.bottom > 0.0f) {
                    a(canvas, e5, f2, f3, this.p.x, this.p.y, this.o.x, this.o.y, f5, f3);
                }
            }
            i3 = e2;
            i2 = e4;
            float f72 = this.k.left;
            float f82 = this.k.right;
            float f92 = this.k.top;
            float f102 = this.k.bottom;
            if (f6.left <= 0.0f) {
            }
            if (f6.top > 0.0f) {
            }
            if (f6.right > 0.0f) {
            }
            if (f6.bottom > 0.0f) {
            }
        }
        canvas.restore();
    }

    private void g() {
        if (this.q) {
            this.q = false;
            if (this.f == null) {
                this.f = new Path();
            }
            if (this.g == null) {
                this.g = new Path();
            }
            if (this.h == null) {
                this.h = new Path();
            }
            if (this.j == null) {
                this.j = new RectF();
            }
            if (this.k == null) {
                this.k = new RectF();
            }
            if (this.l == null) {
                this.l = new RectF();
            }
            this.f.reset();
            this.g.reset();
            this.h.reset();
            this.j.set(getBounds());
            this.k.set(getBounds());
            this.l.set(getBounds());
            RectF f2 = f();
            this.j.top += f2.top;
            this.j.bottom -= f2.bottom;
            this.j.left += f2.left;
            this.j.right -= f2.right;
            float b2 = b();
            float a2 = a(b2, BorderRadiusLocation.TOP_LEFT);
            float a3 = a(b2, BorderRadiusLocation.TOP_RIGHT);
            float a4 = a(b2, BorderRadiusLocation.BOTTOM_LEFT);
            float a5 = a(b2, BorderRadiusLocation.BOTTOM_RIGHT);
            if (Build.VERSION.SDK_INT >= 17) {
                boolean z = c() == 1;
                float a6 = a(BorderRadiusLocation.TOP_START);
                float a7 = a(BorderRadiusLocation.TOP_END);
                float a8 = a(BorderRadiusLocation.BOTTOM_START);
                float a9 = a(BorderRadiusLocation.BOTTOM_END);
                if (I18nUtil.a().b(this.w)) {
                    if (!YogaConstants.a(a6)) {
                        a2 = a6;
                    }
                    if (!YogaConstants.a(a7)) {
                        a3 = a7;
                    }
                    if (!YogaConstants.a(a8)) {
                        a4 = a8;
                    }
                    if (!YogaConstants.a(a9)) {
                        a5 = a9;
                    }
                    float f3 = z ? a3 : a2;
                    if (z) {
                        a3 = a2;
                    }
                    float f4 = z ? a5 : a4;
                    if (z) {
                        a5 = a4;
                    }
                    a4 = f4;
                    a2 = f3;
                } else {
                    float f5 = z ? a7 : a6;
                    if (!z) {
                        a6 = a7;
                    }
                    float f6 = z ? a9 : a8;
                    if (!z) {
                        a8 = a9;
                    }
                    if (!YogaConstants.a(f5)) {
                        a2 = f5;
                    }
                    if (!YogaConstants.a(a6)) {
                        a3 = a6;
                    }
                    if (!YogaConstants.a(f6)) {
                        a4 = f6;
                    }
                    if (!YogaConstants.a(a8)) {
                        a5 = a8;
                    }
                }
            }
            float max = Math.max(a2 - f2.left, 0.0f);
            float max2 = Math.max(a2 - f2.top, 0.0f);
            float max3 = Math.max(a3 - f2.right, 0.0f);
            float max4 = Math.max(a3 - f2.top, 0.0f);
            float max5 = Math.max(a5 - f2.right, 0.0f);
            float max6 = Math.max(a5 - f2.bottom, 0.0f);
            float max7 = Math.max(a4 - f2.left, 0.0f);
            float max8 = Math.max(a4 - f2.bottom, 0.0f);
            this.f.addRoundRect(this.j, new float[]{max, max2, max3, max4, max5, max6, max7, max8}, Path.Direction.CW);
            this.g.addRoundRect(this.k, new float[]{a2, a2, a3, a3, a5, a5, a4, a4}, Path.Direction.CW);
            float a10 = this.f2400a != null ? this.f2400a.a(8) / 2.0f : 0.0f;
            float f7 = a2 + a10;
            float f8 = a3 + a10;
            float f9 = a5 + a10;
            float f10 = a4 + a10;
            this.h.addRoundRect(this.l, new float[]{f7, f7, f8, f8, f9, f9, f10, f10}, Path.Direction.CW);
            if (this.m == null) {
                this.m = new PointF();
            }
            this.m.x = this.j.left;
            this.m.y = this.j.top;
            a((double) this.j.left, (double) this.j.top, (double) (this.j.left + (max * 2.0f)), (double) (this.j.top + (max2 * 2.0f)), (double) this.k.left, (double) this.k.top, (double) this.j.left, (double) this.j.top, this.m);
            if (this.p == null) {
                this.p = new PointF();
            }
            this.p.x = this.j.left;
            this.p.y = this.j.bottom;
            a((double) this.j.left, (double) (this.j.bottom - (max8 * 2.0f)), (double) (this.j.left + (max7 * 2.0f)), (double) this.j.bottom, (double) this.k.left, (double) this.k.bottom, (double) this.j.left, (double) this.j.bottom, this.p);
            if (this.n == null) {
                this.n = new PointF();
            }
            this.n.x = this.j.right;
            this.n.y = this.j.top;
            a((double) (this.j.right - (max3 * 2.0f)), (double) this.j.top, (double) this.j.right, (double) (this.j.top + (max4 * 2.0f)), (double) this.k.right, (double) this.k.top, (double) this.j.right, (double) this.j.top, this.n);
            if (this.o == null) {
                this.o = new PointF();
            }
            this.o.x = this.j.right;
            this.o.y = this.j.bottom;
            a((double) (this.j.right - (max5 * 2.0f)), (double) (this.j.bottom - (max6 * 2.0f)), (double) this.j.right, (double) this.j.bottom, (double) this.k.right, (double) this.k.bottom, (double) this.j.right, (double) this.j.bottom, this.o);
        }
    }

    private static void a(double d2, double d3, double d4, double d5, double d6, double d7, double d8, double d9, PointF pointF) {
        double d10 = (d2 + d4) / 2.0d;
        double d11 = (d3 + d5) / 2.0d;
        double d12 = d6 - d10;
        double d13 = d7 - d11;
        double abs = Math.abs(d4 - d2) / 2.0d;
        double abs2 = Math.abs(d5 - d3) / 2.0d;
        double d14 = ((d9 - d11) - d13) / ((d8 - d10) - d12);
        double d15 = d13 - (d12 * d14);
        double d16 = abs2 * abs2;
        double d17 = abs * abs;
        double d18 = (d17 * d14 * d14) + d16;
        double d19 = abs * 2.0d * abs * d15 * d14;
        double d20 = (-(d17 * ((d15 * d15) - d16))) / d18;
        double d21 = d18 * 2.0d;
        double sqrt = ((-d19) / d21) - Math.sqrt(d20 + Math.pow(d19 / d21, 2.0d));
        double d22 = sqrt + d10;
        double d23 = (d14 * sqrt) + d15 + d11;
        if (!Double.isNaN(d22) && !Double.isNaN(d23)) {
            pointF.x = (float) d22;
            pointF.y = (float) d23;
        }
    }

    public float b(float f2, int i2) {
        if (this.f2400a == null) {
            return f2;
        }
        float b2 = this.f2400a.b(i2);
        return YogaConstants.a(b2) ? f2 : b2;
    }

    private void h() {
        this.e = this.d != null ? this.d.a(e()) : null;
        this.s.setPathEffect(this.e);
    }

    public float e() {
        if (this.f2400a == null || YogaConstants.a(this.f2400a.b(8))) {
            return 0.0f;
        }
        return this.f2400a.b(8);
    }

    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x013d  */
    private void b(Canvas canvas) {
        int i2;
        int i3;
        int a2;
        int i4;
        ReactViewBackgroundDrawable reactViewBackgroundDrawable;
        int a3 = ColorUtil.a(this.t, this.u);
        if (Color.alpha(a3) != 0) {
            this.s.setColor(a3);
            this.s.setStyle(Paint.Style.FILL);
            canvas.drawRect(getBounds(), this.s);
        }
        RectF f2 = f();
        int round = Math.round(f2.left);
        int round2 = Math.round(f2.top);
        int round3 = Math.round(f2.right);
        int round4 = Math.round(f2.bottom);
        if (round > 0 || round3 > 0 || round2 > 0 || round4 > 0) {
            Rect bounds = getBounds();
            int e2 = e(0);
            int e3 = e(1);
            int e4 = e(2);
            int e5 = e(3);
            if (Build.VERSION.SDK_INT >= 17) {
                boolean z = c() == 1;
                int e6 = e(4);
                int e7 = e(5);
                if (I18nUtil.a().b(this.w)) {
                    if (d(4)) {
                        e2 = e6;
                    }
                    if (d(5)) {
                        e4 = e7;
                    }
                    int i5 = z ? e4 : e2;
                    if (!z) {
                        e2 = e4;
                    }
                    i2 = e2;
                    i3 = i5;
                } else {
                    int i6 = z ? e7 : e6;
                    if (!z) {
                        e6 = e7;
                    }
                    boolean d2 = d(4);
                    boolean d3 = d(5);
                    boolean z2 = z ? d3 : d2;
                    if (!z) {
                        d2 = d3;
                    }
                    if (z2) {
                        e2 = i6;
                    }
                    if (d2) {
                        i3 = e2;
                        i2 = e6;
                    }
                }
                int i7 = bounds.left;
                int i8 = bounds.top;
                a2 = a(round, round2, round3, round4, i3, e3, i2, e5);
                if (a2 != 0) {
                    this.s.setAntiAlias(false);
                    int width = bounds.width();
                    int height = bounds.height();
                    if (round > 0) {
                        float f3 = (float) i7;
                        float f4 = (float) i8;
                        float f5 = (float) (i7 + round);
                        float f6 = (float) (i8 + round2);
                        int i9 = i8 + height;
                        i4 = i8;
                        a(canvas, i3, f3, f4, f5, f6, f5, (float) (i9 - round4), f3, (float) i9);
                    } else {
                        i4 = i8;
                    }
                    if (round2 > 0) {
                        float f7 = (float) i7;
                        float f8 = (float) i4;
                        float f9 = (float) (i7 + round);
                        float f10 = (float) (i4 + round2);
                        int i10 = i7 + width;
                        a(canvas, e3, f7, f8, f9, f10, (float) (i10 - round3), f10, (float) i10, f8);
                    }
                    if (round3 > 0) {
                        int i11 = i7 + width;
                        float f11 = (float) i11;
                        int i12 = i4 + height;
                        float f12 = (float) (i11 - round3);
                        a(canvas, i2, f11, (float) i4, f11, (float) i12, f12, (float) (i12 - round4), f12, (float) (i4 + round2));
                    }
                    if (round4 > 0) {
                        float f13 = (float) i7;
                        int i13 = i4 + height;
                        float f14 = (float) i13;
                        int i14 = i7 + width;
                        float f15 = (float) (i13 - round4);
                        reactViewBackgroundDrawable = this;
                        reactViewBackgroundDrawable.a(canvas, e5, f13, f14, (float) i14, f14, (float) (i14 - round3), f15, (float) (i7 + round), f15);
                    } else {
                        reactViewBackgroundDrawable = this;
                    }
                    reactViewBackgroundDrawable.s.setAntiAlias(true);
                    return;
                } else if (Color.alpha(a2) != 0) {
                    int i15 = bounds.right;
                    int i16 = bounds.bottom;
                    this.s.setColor(a2);
                    if (round > 0) {
                        canvas.drawRect((float) i7, (float) i8, (float) (i7 + round), (float) (i16 - round4), this.s);
                    }
                    if (round2 > 0) {
                        canvas.drawRect((float) (i7 + round), (float) i8, (float) i15, (float) (i8 + round2), this.s);
                    }
                    if (round3 > 0) {
                        canvas.drawRect((float) (i15 - round3), (float) (i8 + round2), (float) i15, (float) i16, this.s);
                    }
                    if (round4 > 0) {
                        canvas.drawRect((float) i7, (float) (i16 - round4), (float) (i15 - round3), (float) i16, this.s);
                    }
                }
            }
            i3 = e2;
            i2 = e4;
            int i72 = bounds.left;
            int i82 = bounds.top;
            a2 = a(round, round2, round3, round4, i3, e3, i2, e5);
            if (a2 != 0) {
            }
        }
    }

    private void a(Canvas canvas, int i2, float f2, float f3, float f4, float f5, float f6, float f7, float f8, float f9) {
        if (i2 != 0) {
            if (this.i == null) {
                this.i = new Path();
            }
            this.s.setColor(i2);
            this.i.reset();
            this.i.moveTo(f2, f3);
            this.i.lineTo(f4, f5);
            this.i.lineTo(f6, f7);
            this.i.lineTo(f8, f9);
            this.i.lineTo(f2, f3);
            canvas.drawPath(this.i, this.s);
        }
    }

    private boolean d(int i2) {
        float f2 = 1.0E21f;
        float a2 = this.b != null ? this.b.a(i2) : 1.0E21f;
        if (this.c != null) {
            f2 = this.c.a(i2);
        }
        return !YogaConstants.a(a2) && !YogaConstants.a(f2);
    }

    private int e(int i2) {
        return a(this.c != null ? this.c.a(i2) : 255.0f, this.b != null ? this.b.a(i2) : 0.0f);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x005b, code lost:
        if (r1 != false) goto L_0x0074;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0072, code lost:
        if (com.facebook.yoga.YogaConstants.a(r4) == false) goto L_0x0074;
     */
    public RectF f() {
        float b2 = b(0.0f, 8);
        boolean z = true;
        float b3 = b(b2, 1);
        float b4 = b(b2, 3);
        float b5 = b(b2, 0);
        float b6 = b(b2, 2);
        if (Build.VERSION.SDK_INT >= 17 && this.f2400a != null) {
            if (c() != 1) {
                z = false;
            }
            float b7 = this.f2400a.b(4);
            float b8 = this.f2400a.b(5);
            if (I18nUtil.a().b(this.w)) {
                if (YogaConstants.a(b7)) {
                    b7 = b5;
                }
                if (!YogaConstants.a(b8)) {
                    b6 = b8;
                }
                b5 = z ? b6 : b7;
            } else {
                float f2 = z ? b8 : b7;
                if (!z) {
                    b7 = b8;
                }
                if (!YogaConstants.a(f2)) {
                    b5 = f2;
                }
            }
            b6 = b7;
        }
        return new RectF(b5, b3, b6, b4);
    }
}
