package com.facebook.react.views.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import com.facebook.infer.annotation.Assertions;
import com.facebook.react.common.annotations.VisibleForTesting;
import com.facebook.react.modules.i18nmanager.I18nUtil;
import com.facebook.react.touch.OnInterceptTouchEventListener;
import com.facebook.react.touch.ReactHitSlopView;
import com.facebook.react.touch.ReactInterceptingViewGroup;
import com.facebook.react.uimanager.MeasureSpecAssertions;
import com.facebook.react.uimanager.PointerEvents;
import com.facebook.react.uimanager.ReactClippingViewGroup;
import com.facebook.react.uimanager.ReactClippingViewGroupHelper;
import com.facebook.react.uimanager.ReactPointerEventsView;
import com.facebook.react.uimanager.ReactZIndexedViewGroup;
import com.facebook.react.uimanager.RootView;
import com.facebook.react.uimanager.RootViewUtil;
import com.facebook.react.uimanager.ViewGroupDrawingOrderHelper;
import com.facebook.react.views.view.ReactViewBackgroundDrawable;
import com.facebook.yoga.YogaConstants;
import javax.annotation.Nullable;

public class ReactViewGroup extends ViewGroup implements ReactHitSlopView, ReactInterceptingViewGroup, ReactClippingViewGroup, ReactPointerEventsView, ReactZIndexedViewGroup {

    /* renamed from: a  reason: collision with root package name */
    private static final ViewGroup.LayoutParams f2405a = new ViewGroup.LayoutParams(0, 0);
    private static final Rect b = new Rect();
    private boolean c = false;
    @Nullable
    private View[] d = null;
    private int e;
    @Nullable
    private Rect f;
    @Nullable
    private Rect g;
    @Nullable
    private String h;
    private PointerEvents i = PointerEvents.AUTO;
    @Nullable
    private ChildrenLayoutChangeListener j;
    @Nullable
    private ReactViewBackgroundDrawable k;
    @Nullable
    private OnInterceptTouchEventListener l;
    private boolean m = false;
    private final ViewGroupDrawingOrderHelper n = new ViewGroupDrawingOrderHelper(this);
    @Nullable
    private Path o;
    private int p;

    /* access modifiers changed from: protected */
    public void dispatchSetPressed(boolean z) {
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
    }

    public void requestLayout() {
    }

    /* access modifiers changed from: private */
    public static final class ChildrenLayoutChangeListener implements View.OnLayoutChangeListener {

        /* renamed from: a  reason: collision with root package name */
        private final ReactViewGroup f2406a;

        private ChildrenLayoutChangeListener(ReactViewGroup reactViewGroup) {
            this.f2406a = reactViewGroup;
        }

        public void onLayoutChange(View view, int i, int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
            if (this.f2406a.getRemoveClippedSubviews()) {
                this.f2406a.b((ReactViewGroup) view);
            }
        }
    }

    public ReactViewGroup(Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        MeasureSpecAssertions.a(i2, i3);
        setMeasuredDimension(View.MeasureSpec.getSize(i2), View.MeasureSpec.getSize(i3));
    }

    public void onRtlPropertiesChanged(int i2) {
        if (Build.VERSION.SDK_INT >= 17 && this.k != null) {
            this.k.b(this.p);
        }
    }

    public void setBackgroundColor(int i2) {
        if (i2 != 0 || this.k != null) {
            getOrCreateReactViewBackground().a(i2);
        }
    }

    public void setBackground(Drawable drawable) {
        throw new UnsupportedOperationException("This method is not supported for ReactViewGroup instances");
    }

    public void setTranslucentBackgroundDrawable(@Nullable Drawable drawable) {
        a((Drawable) null);
        if (this.k != null && drawable != null) {
            a(new LayerDrawable(new Drawable[]{this.k, drawable}));
        } else if (drawable != null) {
            a(drawable);
        }
    }

    @Override // com.facebook.react.touch.ReactInterceptingViewGroup
    public void setOnInterceptTouchEventListener(OnInterceptTouchEventListener onInterceptTouchEventListener) {
        this.l = onInterceptTouchEventListener;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if ((this.l != null && this.l.a(this, motionEvent)) || this.i == PointerEvents.NONE || this.i == PointerEvents.BOX_ONLY) {
            return true;
        }
        return super.onInterceptTouchEvent(motionEvent);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return (this.i == PointerEvents.NONE || this.i == PointerEvents.BOX_NONE) ? false : true;
    }

    public boolean hasOverlappingRendering() {
        return this.m;
    }

    public void setNeedsOffscreenAlphaCompositing(boolean z) {
        this.m = z;
    }

    public void a(int i2, float f2) {
        getOrCreateReactViewBackground().a(i2, f2);
    }

    public void a(int i2, float f2, float f3) {
        getOrCreateReactViewBackground().a(i2, f2, f3);
    }

    public void setBorderRadius(float f2) {
        ReactViewBackgroundDrawable orCreateReactViewBackground = getOrCreateReactViewBackground();
        orCreateReactViewBackground.a(f2);
        if (11 < Build.VERSION.SDK_INT && Build.VERSION.SDK_INT < 18) {
            int i2 = orCreateReactViewBackground.a() ? 1 : 2;
            if (i2 != getLayerType()) {
                setLayerType(i2, null);
            }
        }
    }

    public void a(float f2, int i2) {
        ReactViewBackgroundDrawable orCreateReactViewBackground = getOrCreateReactViewBackground();
        orCreateReactViewBackground.a(f2, i2);
        if (11 < Build.VERSION.SDK_INT && Build.VERSION.SDK_INT < 18) {
            int i3 = orCreateReactViewBackground.a() ? 1 : 2;
            if (i3 != getLayerType()) {
                setLayerType(i3, null);
            }
        }
    }

    public void setBorderStyle(@Nullable String str) {
        getOrCreateReactViewBackground().a(str);
    }

    public void setRemoveClippedSubviews(boolean z) {
        if (z != this.c) {
            this.c = z;
            if (z) {
                this.f = new Rect();
                ReactClippingViewGroupHelper.a(this, this.f);
                this.e = getChildCount();
                this.d = new View[Math.max(12, this.e)];
                this.j = new ChildrenLayoutChangeListener();
                for (int i2 = 0; i2 < this.e; i2++) {
                    View childAt = getChildAt(i2);
                    this.d[i2] = childAt;
                    childAt.addOnLayoutChangeListener(this.j);
                }
                c();
                return;
            }
            Assertions.b(this.f);
            Assertions.b(this.d);
            Assertions.b(this.j);
            for (int i3 = 0; i3 < this.e; i3++) {
                this.d[i3].removeOnLayoutChangeListener(this.j);
            }
            getDrawingRect(this.f);
            b(this.f);
            this.d = null;
            this.f = null;
            this.e = 0;
            this.j = null;
        }
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public boolean getRemoveClippedSubviews() {
        return this.c;
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void a(Rect rect) {
        rect.set(this.f);
    }

    @Override // com.facebook.react.uimanager.ReactClippingViewGroup
    public void c() {
        if (this.c) {
            Assertions.b(this.f);
            Assertions.b(this.d);
            ReactClippingViewGroupHelper.a(this, this.f);
            b(this.f);
        }
    }

    private void b(Rect rect) {
        Assertions.b(this.d);
        int i2 = 0;
        for (int i3 = 0; i3 < this.e; i3++) {
            a(rect, i3, i2);
            if (this.d[i3].getParent() == null) {
                i2++;
            }
        }
    }

    private void a(Rect rect, int i2, int i3) {
        View view = ((View[]) Assertions.b(this.d))[i2];
        b.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        boolean intersects = rect.intersects(b.left, b.top, b.right, b.bottom);
        Animation animation = view.getAnimation();
        boolean z = true;
        boolean z2 = animation != null && !animation.hasEnded();
        if (!intersects && view.getParent() != null && !z2) {
            super.removeViewsInLayout(i2 - i3, 1);
        } else if (intersects && view.getParent() == null) {
            super.addViewInLayout(view, i2 - i3, f2405a, true);
            invalidate();
        } else if (!intersects) {
            z = false;
        }
        if (z && (view instanceof ReactClippingViewGroup)) {
            ReactClippingViewGroup reactClippingViewGroup = (ReactClippingViewGroup) view;
            if (reactClippingViewGroup.getRemoveClippedSubviews()) {
                reactClippingViewGroup.c();
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(View view) {
        if (this.c && getParent() != null) {
            Assertions.b(this.f);
            Assertions.b(this.d);
            b.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            if (this.f.intersects(b.left, b.top, b.right, b.bottom) != (view.getParent() != null)) {
                int i2 = 0;
                for (int i3 = 0; i3 < this.e; i3++) {
                    if (this.d[i3] == view) {
                        a(this.f, i3, i2);
                        return;
                    }
                    if (this.d[i3].getParent() == null) {
                        i2++;
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (this.c) {
            c();
        }
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.c) {
            c();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        this.n.a(view);
        setChildrenDrawingOrderEnabled(this.n.a());
        super.addView(view, i2, layoutParams);
    }

    public void removeView(View view) {
        this.n.b(view);
        setChildrenDrawingOrderEnabled(this.n.a());
        super.removeView(view);
    }

    public void removeViewAt(int i2) {
        this.n.b(getChildAt(i2));
        setChildrenDrawingOrderEnabled(this.n.a());
        super.removeViewAt(i2);
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i2, int i3) {
        return this.n.a(i2, i3);
    }

    @Override // com.facebook.react.uimanager.ReactZIndexedViewGroup
    public int a(int i2) {
        return this.n.a() ? this.n.a(getChildCount(), i2) : i2;
    }

    @Override // com.facebook.react.uimanager.ReactZIndexedViewGroup
    public void a() {
        this.n.b();
        setChildrenDrawingOrderEnabled(this.n.a());
        invalidate();
    }

    @Override // com.facebook.react.uimanager.ReactPointerEventsView
    public PointerEvents getPointerEvents() {
        return this.i;
    }

    /* access modifiers changed from: package-private */
    public void setPointerEvents(PointerEvents pointerEvents) {
        this.i = pointerEvents;
    }

    /* access modifiers changed from: package-private */
    public int getAllChildrenCount() {
        return this.e;
    }

    /* access modifiers changed from: package-private */
    public View b(int i2) {
        return ((View[]) Assertions.b(this.d))[i2];
    }

    /* access modifiers changed from: package-private */
    public void a(View view, int i2) {
        a(view, i2, f2405a);
    }

    /* access modifiers changed from: package-private */
    public void a(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        Assertions.a(this.c);
        Assertions.b(this.f);
        Assertions.b(this.d);
        b(view, i2);
        int i3 = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            if (this.d[i4].getParent() == null) {
                i3++;
            }
        }
        a(this.f, i2, i3);
        view.addOnLayoutChangeListener(this.j);
    }

    /* access modifiers changed from: package-private */
    public void a(View view) {
        Assertions.a(this.c);
        Assertions.b(this.f);
        Assertions.b(this.d);
        view.removeOnLayoutChangeListener(this.j);
        int c2 = c(view);
        if (this.d[c2].getParent() != null) {
            int i2 = 0;
            for (int i3 = 0; i3 < c2; i3++) {
                if (this.d[i3].getParent() == null) {
                    i2++;
                }
            }
            super.removeViewsInLayout(c2 - i2, 1);
        }
        c(c2);
    }

    /* access modifiers changed from: package-private */
    public void b() {
        Assertions.a(this.c);
        Assertions.b(this.d);
        for (int i2 = 0; i2 < this.e; i2++) {
            this.d[i2].removeOnLayoutChangeListener(this.j);
        }
        removeAllViewsInLayout();
        this.e = 0;
    }

    private int c(View view) {
        int i2 = this.e;
        View[] viewArr = (View[]) Assertions.b(this.d);
        for (int i3 = 0; i3 < i2; i3++) {
            if (viewArr[i3] == view) {
                return i3;
            }
        }
        return -1;
    }

    private void b(View view, int i2) {
        View[] viewArr = (View[]) Assertions.b(this.d);
        int i3 = this.e;
        int length = viewArr.length;
        if (i2 == i3) {
            if (length == i3) {
                this.d = new View[(length + 12)];
                System.arraycopy(viewArr, 0, this.d, 0, length);
                viewArr = this.d;
            }
            int i4 = this.e;
            this.e = i4 + 1;
            viewArr[i4] = view;
        } else if (i2 < i3) {
            if (length == i3) {
                this.d = new View[(length + 12)];
                System.arraycopy(viewArr, 0, this.d, 0, i2);
                System.arraycopy(viewArr, i2, this.d, i2 + 1, i3 - i2);
                viewArr = this.d;
            } else {
                System.arraycopy(viewArr, i2, viewArr, i2 + 1, i3 - i2);
            }
            viewArr[i2] = view;
            this.e++;
        } else {
            throw new IndexOutOfBoundsException("index=" + i2 + " count=" + i3);
        }
    }

    private void c(int i2) {
        View[] viewArr = (View[]) Assertions.b(this.d);
        int i3 = this.e;
        if (i2 == i3 - 1) {
            int i4 = this.e - 1;
            this.e = i4;
            viewArr[i4] = null;
        } else if (i2 < 0 || i2 >= i3) {
            throw new IndexOutOfBoundsException();
        } else {
            System.arraycopy(viewArr, i2 + 1, viewArr, i2, (i3 - i2) - 1);
            int i5 = this.e - 1;
            this.e = i5;
            viewArr[i5] = null;
        }
    }

    @VisibleForTesting
    public int getBackgroundColor() {
        if (getBackground() != null) {
            return ((ReactViewBackgroundDrawable) getBackground()).d();
        }
        return 0;
    }

    private ReactViewBackgroundDrawable getOrCreateReactViewBackground() {
        if (this.k == null) {
            this.k = new ReactViewBackgroundDrawable(getContext());
            Drawable background = getBackground();
            a((Drawable) null);
            if (background == null) {
                a(this.k);
            } else {
                a(new LayerDrawable(new Drawable[]{this.k, background}));
            }
            if (Build.VERSION.SDK_INT >= 17) {
                this.p = I18nUtil.a().a(getContext()) ? 1 : 0;
                this.k.b(this.p);
            }
        }
        return this.k;
    }

    @Override // com.facebook.react.touch.ReactHitSlopView
    @Nullable
    public Rect getHitSlopRect() {
        return this.g;
    }

    public void setHitSlopRect(@Nullable Rect rect) {
        this.g = rect;
    }

    public void setOverflow(String str) {
        this.h = str;
        invalidate();
    }

    private void a(Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 16) {
            super.setBackground(drawable);
        } else {
            super.setBackgroundDrawable(drawable);
        }
    }

    /* access modifiers changed from: protected */
    public void dispatchDraw(Canvas canvas) {
        try {
            a(canvas);
            super.dispatchDraw(canvas);
        } catch (StackOverflowError e2) {
            RootView a2 = RootViewUtil.a(this);
            if (a2 != null) {
                a2.a(e2);
                return;
            }
            throw e2;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:78:0x013b, code lost:
        if (com.facebook.yoga.YogaConstants.a(r10) == false) goto L_0x010d;
     */
    private void a(Canvas canvas) {
        float f2;
        float f3;
        float f4;
        if (this.h != null) {
            String str = this.h;
            char c2 = 65535;
            int hashCode = str.hashCode();
            if (hashCode != -1217487446) {
                if (hashCode == 466743410 && str.equals("visible")) {
                    c2 = 0;
                }
            } else if (str.equals("hidden")) {
                c2 = 1;
            }
            switch (c2) {
                case 0:
                    if (this.o != null) {
                        this.o.rewind();
                        return;
                    }
                    return;
                case 1:
                    if (this.k != null) {
                        float width = (float) getWidth();
                        float height = (float) getHeight();
                        RectF f5 = this.k.f();
                        if (f5.top > 0.0f || f5.left > 0.0f || f5.bottom > 0.0f || f5.right > 0.0f) {
                            f3 = f5.left + 0.0f;
                            f2 = f5.top + 0.0f;
                            width -= f5.right;
                            height -= f5.bottom;
                        } else {
                            f3 = 0.0f;
                            f2 = 0.0f;
                        }
                        float b2 = this.k.b();
                        float a2 = this.k.a(b2, ReactViewBackgroundDrawable.BorderRadiusLocation.TOP_LEFT);
                        float a3 = this.k.a(b2, ReactViewBackgroundDrawable.BorderRadiusLocation.TOP_RIGHT);
                        float a4 = this.k.a(b2, ReactViewBackgroundDrawable.BorderRadiusLocation.BOTTOM_LEFT);
                        float a5 = this.k.a(b2, ReactViewBackgroundDrawable.BorderRadiusLocation.BOTTOM_RIGHT);
                        if (Build.VERSION.SDK_INT >= 17) {
                            boolean z = this.p == 1;
                            float a6 = this.k.a(ReactViewBackgroundDrawable.BorderRadiusLocation.TOP_START);
                            float a7 = this.k.a(ReactViewBackgroundDrawable.BorderRadiusLocation.TOP_END);
                            float a8 = this.k.a(ReactViewBackgroundDrawable.BorderRadiusLocation.BOTTOM_START);
                            f4 = a5;
                            float a9 = this.k.a(ReactViewBackgroundDrawable.BorderRadiusLocation.BOTTOM_END);
                            float f6 = a2;
                            if (!I18nUtil.a().b(getContext())) {
                                a2 = z ? a7 : a6;
                                if (z) {
                                    a7 = a6;
                                }
                                float f7 = z ? a9 : a8;
                                if (z) {
                                    a9 = a8;
                                }
                                if (YogaConstants.a(a2)) {
                                    a2 = f6;
                                }
                                if (!YogaConstants.a(a7)) {
                                    a3 = a7;
                                }
                                if (!YogaConstants.a(f7)) {
                                    a4 = f7;
                                }
                                break;
                            } else {
                                if (!YogaConstants.a(a6)) {
                                    f6 = a6;
                                }
                                if (YogaConstants.a(a7)) {
                                    a7 = a3;
                                }
                                if (YogaConstants.a(a8)) {
                                    a8 = a4;
                                }
                                if (!YogaConstants.a(a9)) {
                                    f4 = a9;
                                }
                                a2 = z ? a7 : f6;
                                a3 = z ? f6 : a7;
                                a4 = z ? f4 : a8;
                                a9 = z ? a8 : f4;
                            }
                            f4 = a9;
                        } else {
                            f4 = a5;
                        }
                        if (a2 > 0.0f || a3 > 0.0f || f4 > 0.0f || a4 > 0.0f) {
                            if (this.o == null) {
                                this.o = new Path();
                            }
                            this.o.rewind();
                            this.o.addRoundRect(new RectF(f3, f2, width, height), new float[]{Math.max(a2 - f5.left, 0.0f), Math.max(a2 - f5.top, 0.0f), Math.max(a3 - f5.right, 0.0f), Math.max(a3 - f5.top, 0.0f), Math.max(f4 - f5.right, 0.0f), Math.max(f4 - f5.bottom, 0.0f), Math.max(a4 - f5.left, 0.0f), Math.max(a4 - f5.bottom, 0.0f)}, Path.Direction.CW);
                            canvas.clipPath(this.o);
                            return;
                        }
                        canvas.clipRect(new RectF(f3, f2, width, height));
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    }
}
