package com.facebook.react.views.viewpager;

import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import com.facebook.react.bridge.ReactContext;
import com.facebook.react.uimanager.UIManagerModule;
import com.facebook.react.uimanager.events.EventDispatcher;
import com.facebook.react.uimanager.events.NativeGestureUtil;
import java.util.ArrayList;
import java.util.List;

public class ReactViewPager extends ViewPager {

    /* renamed from: a  reason: collision with root package name */
    private final EventDispatcher f2410a;
    private boolean b;
    private boolean c = true;
    private final Runnable d = new Runnable() {
        /* class com.facebook.react.views.viewpager.ReactViewPager.AnonymousClass1 */

        public void run() {
            ReactViewPager.this.measure(View.MeasureSpec.makeMeasureSpec(ReactViewPager.this.getWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(ReactViewPager.this.getHeight(), 1073741824));
            ReactViewPager.this.layout(ReactViewPager.this.getLeft(), ReactViewPager.this.getTop(), ReactViewPager.this.getRight(), ReactViewPager.this.getBottom());
        }
    };

    /* access modifiers changed from: private */
    public class Adapter extends PagerAdapter {
        private final List<View> b;
        private boolean c;

        @Override // android.support.v4.view.PagerAdapter
        public boolean a(View view, Object obj) {
            return view == obj;
        }

        private Adapter() {
            this.b = new ArrayList();
            this.c = false;
        }

        /* access modifiers changed from: package-private */
        public void b(View view, int i) {
            this.b.add(i, view);
            c();
            ReactViewPager.this.setOffscreenPageLimit(this.b.size());
        }

        /* access modifiers changed from: package-private */
        public void c(int i) {
            this.b.remove(i);
            c();
            ReactViewPager.this.setOffscreenPageLimit(this.b.size());
        }

        /* access modifiers changed from: package-private */
        public void a(List<View> list) {
            this.b.clear();
            this.b.addAll(list);
            c();
            this.c = false;
        }

        /* access modifiers changed from: package-private */
        public void a(ViewPager viewPager) {
            this.b.clear();
            viewPager.removeAllViews();
            this.c = true;
        }

        /* access modifiers changed from: package-private */
        public View d(int i) {
            return this.b.get(i);
        }

        @Override // android.support.v4.view.PagerAdapter
        public int a() {
            return this.b.size();
        }

        @Override // android.support.v4.view.PagerAdapter
        public int a(Object obj) {
            if (this.c || !this.b.contains(obj)) {
                return -2;
            }
            return this.b.indexOf(obj);
        }

        @Override // android.support.v4.view.PagerAdapter
        public Object a(ViewGroup viewGroup, int i) {
            View view = this.b.get(i);
            viewGroup.addView(view, 0, ReactViewPager.this.generateDefaultLayoutParams());
            return view;
        }

        @Override // android.support.v4.view.PagerAdapter
        public void a(ViewGroup viewGroup, int i, Object obj) {
            viewGroup.removeView((View) obj);
        }
    }

    private class PageChangeListener implements ViewPager.OnPageChangeListener {
        private PageChangeListener() {
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void a(int i, float f, int i2) {
            ReactViewPager.this.f2410a.a(new PageScrollEvent(ReactViewPager.this.getId(), i, f));
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void a(int i) {
            if (!ReactViewPager.this.b) {
                ReactViewPager.this.f2410a.a(new PageSelectedEvent(ReactViewPager.this.getId(), i));
            }
        }

        @Override // android.support.v4.view.ViewPager.OnPageChangeListener
        public void b(int i) {
            String str;
            switch (i) {
                case 0:
                    str = "idle";
                    break;
                case 1:
                    str = "dragging";
                    break;
                case 2:
                    str = "settling";
                    break;
                default:
                    throw new IllegalStateException("Unsupported pageScrollState");
            }
            ReactViewPager.this.f2410a.a(new PageScrollStateChangedEvent(ReactViewPager.this.getId(), str));
        }
    }

    public ReactViewPager(ReactContext reactContext) {
        super(reactContext);
        this.f2410a = ((UIManagerModule) reactContext.b(UIManagerModule.class)).getEventDispatcher();
        this.b = false;
        setOnPageChangeListener(new PageChangeListener());
        setAdapter(new Adapter());
    }

    @Override // android.support.v4.view.ViewPager
    public Adapter getAdapter() {
        return (Adapter) super.getAdapter();
    }

    @Override // android.support.v4.view.ViewPager
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        if (!this.c) {
            return false;
        }
        try {
            if (super.onInterceptTouchEvent(motionEvent)) {
                NativeGestureUtil.a(this, motionEvent);
                return true;
            }
        } catch (IllegalArgumentException e) {
            Log.w("ReactNative", "Error intercepting touch event.", e);
        }
        return false;
    }

    @Override // android.support.v4.view.ViewPager
    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.c) {
            return false;
        }
        return super.onTouchEvent(motionEvent);
    }

    public void b(int i, boolean z) {
        this.b = true;
        a(i, z);
        this.b = false;
    }

    public void setScrollEnabled(boolean z) {
        this.c = z;
    }

    /* access modifiers changed from: protected */
    @Override // android.support.v4.view.ViewPager
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        requestLayout();
        post(this.d);
    }

    /* access modifiers changed from: package-private */
    public void a(View view, int i) {
        getAdapter().b(view, i);
    }

    /* access modifiers changed from: package-private */
    public void d(int i) {
        getAdapter().c(i);
    }

    /* access modifiers changed from: package-private */
    public int getViewCountInAdapter() {
        return getAdapter().a();
    }

    /* access modifiers changed from: package-private */
    public View e(int i) {
        return getAdapter().d(i);
    }

    public void setViews(List<View> list) {
        getAdapter().a(list);
    }

    public void g() {
        getAdapter().a((ViewPager) this);
    }
}
