package com.facebook.yoga;

import com.facebook.proguard.annotations.DoNotStrip;
import com.facebook.soloader.SoLoader;
import java.util.ArrayList;
import java.util.List;

@DoNotStrip
public class YogaNode implements Cloneable {

    /* renamed from: a  reason: collision with root package name */
    private YogaNode f2440a;
    private List<YogaNode> b;
    private YogaMeasureFunction c;
    private YogaBaselineFunction d;
    private long e;
    private Object f;
    private boolean g;
    @DoNotStrip
    private float mBorderBottom;
    @DoNotStrip
    private float mBorderLeft;
    @DoNotStrip
    private float mBorderRight;
    @DoNotStrip
    private float mBorderTop;
    @DoNotStrip
    private int mEdgeSetFlag;
    @DoNotStrip
    private boolean mHasNewLayout;
    @DoNotStrip
    private float mHeight;
    @DoNotStrip
    private int mLayoutDirection;
    @DoNotStrip
    private float mLeft;
    @DoNotStrip
    private float mMarginBottom;
    @DoNotStrip
    private float mMarginLeft;
    @DoNotStrip
    private float mMarginRight;
    @DoNotStrip
    private float mMarginTop;
    @DoNotStrip
    private float mPaddingBottom;
    @DoNotStrip
    private float mPaddingLeft;
    @DoNotStrip
    private float mPaddingRight;
    @DoNotStrip
    private float mPaddingTop;
    @DoNotStrip
    private float mTop;
    @DoNotStrip
    private float mWidth;

    private native void jni_YGNodeCalculateLayout(long j, float f2, float f3);

    private native long jni_YGNodeClone(long j, Object obj);

    private native void jni_YGNodeCopyStyle(long j, long j2);

    private native void jni_YGNodeFree(long j);

    static native int jni_YGNodeGetInstanceCount();

    private native void jni_YGNodeInsertChild(long j, long j2, int i);

    private native boolean jni_YGNodeIsDirty(long j);

    private native void jni_YGNodeMarkDirty(long j);

    private native void jni_YGNodeMarkDirtyAndPropogateToDescendants(long j);

    private native long jni_YGNodeNew();

    private native long jni_YGNodeNewWithConfig(long j);

    private native void jni_YGNodePrint(long j);

    private native void jni_YGNodeRemoveChild(long j, long j2);

    private native void jni_YGNodeReset(long j);

    private native void jni_YGNodeSetHasBaselineFunc(long j, boolean z);

    private native void jni_YGNodeSetHasMeasureFunc(long j, boolean z);

    private native int jni_YGNodeStyleGetAlignContent(long j);

    private native int jni_YGNodeStyleGetAlignItems(long j);

    private native int jni_YGNodeStyleGetAlignSelf(long j);

    private native float jni_YGNodeStyleGetAspectRatio(long j);

    private native float jni_YGNodeStyleGetBorder(long j, int i);

    private native int jni_YGNodeStyleGetDirection(long j);

    private native int jni_YGNodeStyleGetDisplay(long j);

    private native Object jni_YGNodeStyleGetFlexBasis(long j);

    private native int jni_YGNodeStyleGetFlexDirection(long j);

    private native float jni_YGNodeStyleGetFlexGrow(long j);

    private native float jni_YGNodeStyleGetFlexShrink(long j);

    private native Object jni_YGNodeStyleGetHeight(long j);

    private native int jni_YGNodeStyleGetJustifyContent(long j);

    private native Object jni_YGNodeStyleGetMargin(long j, int i);

    private native Object jni_YGNodeStyleGetMaxHeight(long j);

    private native Object jni_YGNodeStyleGetMaxWidth(long j);

    private native Object jni_YGNodeStyleGetMinHeight(long j);

    private native Object jni_YGNodeStyleGetMinWidth(long j);

    private native int jni_YGNodeStyleGetOverflow(long j);

    private native Object jni_YGNodeStyleGetPadding(long j, int i);

    private native Object jni_YGNodeStyleGetPosition(long j, int i);

    private native int jni_YGNodeStyleGetPositionType(long j);

    private native Object jni_YGNodeStyleGetWidth(long j);

    private native void jni_YGNodeStyleSetAlignContent(long j, int i);

    private native void jni_YGNodeStyleSetAlignItems(long j, int i);

    private native void jni_YGNodeStyleSetAlignSelf(long j, int i);

    private native void jni_YGNodeStyleSetAspectRatio(long j, float f2);

    private native void jni_YGNodeStyleSetBorder(long j, int i, float f2);

    private native void jni_YGNodeStyleSetDirection(long j, int i);

    private native void jni_YGNodeStyleSetDisplay(long j, int i);

    private native void jni_YGNodeStyleSetFlex(long j, float f2);

    private native void jni_YGNodeStyleSetFlexBasis(long j, float f2);

    private native void jni_YGNodeStyleSetFlexBasisAuto(long j);

    private native void jni_YGNodeStyleSetFlexBasisPercent(long j, float f2);

    private native void jni_YGNodeStyleSetFlexDirection(long j, int i);

    private native void jni_YGNodeStyleSetFlexGrow(long j, float f2);

    private native void jni_YGNodeStyleSetFlexShrink(long j, float f2);

    private native void jni_YGNodeStyleSetFlexWrap(long j, int i);

    private native void jni_YGNodeStyleSetHeight(long j, float f2);

    private native void jni_YGNodeStyleSetHeightAuto(long j);

    private native void jni_YGNodeStyleSetHeightPercent(long j, float f2);

    private native void jni_YGNodeStyleSetJustifyContent(long j, int i);

    private native void jni_YGNodeStyleSetMargin(long j, int i, float f2);

    private native void jni_YGNodeStyleSetMarginAuto(long j, int i);

    private native void jni_YGNodeStyleSetMarginPercent(long j, int i, float f2);

    private native void jni_YGNodeStyleSetMaxHeight(long j, float f2);

    private native void jni_YGNodeStyleSetMaxHeightPercent(long j, float f2);

    private native void jni_YGNodeStyleSetMaxWidth(long j, float f2);

    private native void jni_YGNodeStyleSetMaxWidthPercent(long j, float f2);

    private native void jni_YGNodeStyleSetMinHeight(long j, float f2);

    private native void jni_YGNodeStyleSetMinHeightPercent(long j, float f2);

    private native void jni_YGNodeStyleSetMinWidth(long j, float f2);

    private native void jni_YGNodeStyleSetMinWidthPercent(long j, float f2);

    private native void jni_YGNodeStyleSetOverflow(long j, int i);

    private native void jni_YGNodeStyleSetPadding(long j, int i, float f2);

    private native void jni_YGNodeStyleSetPaddingPercent(long j, int i, float f2);

    private native void jni_YGNodeStyleSetPosition(long j, int i, float f2);

    private native void jni_YGNodeStyleSetPositionPercent(long j, int i, float f2);

    private native void jni_YGNodeStyleSetPositionType(long j, int i);

    private native void jni_YGNodeStyleSetWidth(long j, float f2);

    private native void jni_YGNodeStyleSetWidthAuto(long j);

    private native void jni_YGNodeStyleSetWidthPercent(long j, float f2);

    static {
        if (YogaConstants.f2430a) {
            SoLoader.loadLibrary("yogafastmath");
        } else {
            SoLoader.loadLibrary("yoga");
        }
    }

    public YogaNode() {
        this.mEdgeSetFlag = 0;
        this.g = false;
        this.mWidth = 1.0E21f;
        this.mHeight = 1.0E21f;
        this.mTop = 1.0E21f;
        this.mLeft = 1.0E21f;
        this.mMarginLeft = 0.0f;
        this.mMarginTop = 0.0f;
        this.mMarginRight = 0.0f;
        this.mMarginBottom = 0.0f;
        this.mPaddingLeft = 0.0f;
        this.mPaddingTop = 0.0f;
        this.mPaddingRight = 0.0f;
        this.mPaddingBottom = 0.0f;
        this.mBorderLeft = 0.0f;
        this.mBorderTop = 0.0f;
        this.mBorderRight = 0.0f;
        this.mBorderBottom = 0.0f;
        this.mLayoutDirection = 0;
        this.mHasNewLayout = true;
        this.e = jni_YGNodeNew();
        if (this.e == 0) {
            throw new IllegalStateException("Failed to allocate native memory");
        }
    }

    public YogaNode(YogaConfig yogaConfig) {
        this.mEdgeSetFlag = 0;
        this.g = false;
        this.mWidth = 1.0E21f;
        this.mHeight = 1.0E21f;
        this.mTop = 1.0E21f;
        this.mLeft = 1.0E21f;
        this.mMarginLeft = 0.0f;
        this.mMarginTop = 0.0f;
        this.mMarginRight = 0.0f;
        this.mMarginBottom = 0.0f;
        this.mPaddingLeft = 0.0f;
        this.mPaddingTop = 0.0f;
        this.mPaddingRight = 0.0f;
        this.mPaddingBottom = 0.0f;
        this.mBorderLeft = 0.0f;
        this.mBorderTop = 0.0f;
        this.mBorderRight = 0.0f;
        this.mBorderBottom = 0.0f;
        this.mLayoutDirection = 0;
        this.mHasNewLayout = true;
        this.e = jni_YGNodeNewWithConfig(yogaConfig.b);
        if (this.e == 0) {
            throw new IllegalStateException("Failed to allocate native memory");
        }
    }

    /* access modifiers changed from: protected */
    @Override // java.lang.Object
    public void finalize() throws Throwable {
        try {
            jni_YGNodeFree(this.e);
        } finally {
            super.finalize();
        }
    }

    public void a() {
        this.mEdgeSetFlag = 0;
        this.g = false;
        this.mHasNewLayout = true;
        this.mWidth = 1.0E21f;
        this.mHeight = 1.0E21f;
        this.mTop = 1.0E21f;
        this.mLeft = 1.0E21f;
        this.mMarginLeft = 0.0f;
        this.mMarginTop = 0.0f;
        this.mMarginRight = 0.0f;
        this.mMarginBottom = 0.0f;
        this.mPaddingLeft = 0.0f;
        this.mPaddingTop = 0.0f;
        this.mPaddingRight = 0.0f;
        this.mPaddingBottom = 0.0f;
        this.mBorderLeft = 0.0f;
        this.mBorderTop = 0.0f;
        this.mBorderRight = 0.0f;
        this.mBorderBottom = 0.0f;
        this.mLayoutDirection = 0;
        this.c = null;
        this.d = null;
        this.f = null;
        jni_YGNodeReset(this.e);
    }

    public void a(YogaNode yogaNode, int i) {
        if (yogaNode.f2440a == null) {
            if (this.b == null) {
                this.b = new ArrayList(4);
            }
            this.b.add(i, yogaNode);
            yogaNode.f2440a = this;
            jni_YGNodeInsertChild(this.e, yogaNode.e, i);
            return;
        }
        throw new IllegalStateException("Child already has a parent, it must be removed first.");
    }

    /* renamed from: b */
    public YogaNode clone() throws CloneNotSupportedException {
        YogaNode yogaNode = (YogaNode) super.clone();
        yogaNode.e = jni_YGNodeClone(this.e, yogaNode);
        yogaNode.b = this.b != null ? (List) ((ArrayList) this.b).clone() : null;
        return yogaNode;
    }

    public YogaNode a(int i) {
        YogaNode remove = this.b.remove(i);
        remove.f2440a = null;
        jni_YGNodeRemoveChild(this.e, remove.e);
        return remove;
    }

    public void a(float f2, float f3) {
        jni_YGNodeCalculateLayout(this.e, f2, f3);
    }

    public boolean c() {
        return this.mHasNewLayout;
    }

    public void d() {
        jni_YGNodeMarkDirty(this.e);
    }

    public boolean e() {
        return jni_YGNodeIsDirty(this.e);
    }

    public void f() {
        this.mHasNewLayout = false;
    }

    public void a(YogaDirection yogaDirection) {
        jni_YGNodeStyleSetDirection(this.e, yogaDirection.a());
    }

    public void a(YogaFlexDirection yogaFlexDirection) {
        jni_YGNodeStyleSetFlexDirection(this.e, yogaFlexDirection.a());
    }

    public void a(YogaJustify yogaJustify) {
        jni_YGNodeStyleSetJustifyContent(this.e, yogaJustify.a());
    }

    public void a(YogaAlign yogaAlign) {
        jni_YGNodeStyleSetAlignItems(this.e, yogaAlign.a());
    }

    public void b(YogaAlign yogaAlign) {
        jni_YGNodeStyleSetAlignSelf(this.e, yogaAlign.a());
    }

    public void c(YogaAlign yogaAlign) {
        jni_YGNodeStyleSetAlignContent(this.e, yogaAlign.a());
    }

    public void a(YogaPositionType yogaPositionType) {
        jni_YGNodeStyleSetPositionType(this.e, yogaPositionType.a());
    }

    public void a(YogaWrap yogaWrap) {
        jni_YGNodeStyleSetFlexWrap(this.e, yogaWrap.a());
    }

    public void a(YogaOverflow yogaOverflow) {
        jni_YGNodeStyleSetOverflow(this.e, yogaOverflow.a());
    }

    public void a(YogaDisplay yogaDisplay) {
        jni_YGNodeStyleSetDisplay(this.e, yogaDisplay.a());
    }

    public void a(float f2) {
        jni_YGNodeStyleSetFlex(this.e, f2);
    }

    public void b(float f2) {
        jni_YGNodeStyleSetFlexGrow(this.e, f2);
    }

    public void c(float f2) {
        jni_YGNodeStyleSetFlexShrink(this.e, f2);
    }

    public void d(float f2) {
        jni_YGNodeStyleSetFlexBasis(this.e, f2);
    }

    public void e(float f2) {
        jni_YGNodeStyleSetFlexBasisPercent(this.e, f2);
    }

    public void g() {
        jni_YGNodeStyleSetFlexBasisAuto(this.e);
    }

    public void a(YogaEdge yogaEdge, float f2) {
        this.mEdgeSetFlag |= 1;
        jni_YGNodeStyleSetMargin(this.e, yogaEdge.a(), f2);
    }

    public void b(YogaEdge yogaEdge, float f2) {
        this.mEdgeSetFlag |= 1;
        jni_YGNodeStyleSetMarginPercent(this.e, yogaEdge.a(), f2);
    }

    public void a(YogaEdge yogaEdge) {
        this.mEdgeSetFlag |= 1;
        jni_YGNodeStyleSetMarginAuto(this.e, yogaEdge.a());
    }

    public YogaValue b(YogaEdge yogaEdge) {
        if ((this.mEdgeSetFlag & 2) != 2) {
            return YogaValue.f2447a;
        }
        return (YogaValue) jni_YGNodeStyleGetPadding(this.e, yogaEdge.a());
    }

    public void c(YogaEdge yogaEdge, float f2) {
        this.mEdgeSetFlag |= 2;
        jni_YGNodeStyleSetPadding(this.e, yogaEdge.a(), f2);
    }

    public void d(YogaEdge yogaEdge, float f2) {
        this.mEdgeSetFlag |= 2;
        jni_YGNodeStyleSetPaddingPercent(this.e, yogaEdge.a(), f2);
    }

    public void e(YogaEdge yogaEdge, float f2) {
        this.mEdgeSetFlag |= 4;
        jni_YGNodeStyleSetBorder(this.e, yogaEdge.a(), f2);
    }

    public void f(YogaEdge yogaEdge, float f2) {
        this.g = true;
        jni_YGNodeStyleSetPosition(this.e, yogaEdge.a(), f2);
    }

    public void g(YogaEdge yogaEdge, float f2) {
        this.g = true;
        jni_YGNodeStyleSetPositionPercent(this.e, yogaEdge.a(), f2);
    }

    public void f(float f2) {
        jni_YGNodeStyleSetWidth(this.e, f2);
    }

    public void g(float f2) {
        jni_YGNodeStyleSetWidthPercent(this.e, f2);
    }

    public void h() {
        jni_YGNodeStyleSetWidthAuto(this.e);
    }

    public void h(float f2) {
        jni_YGNodeStyleSetHeight(this.e, f2);
    }

    public void i(float f2) {
        jni_YGNodeStyleSetHeightPercent(this.e, f2);
    }

    public void i() {
        jni_YGNodeStyleSetHeightAuto(this.e);
    }

    public void j(float f2) {
        jni_YGNodeStyleSetMinWidth(this.e, f2);
    }

    public void k(float f2) {
        jni_YGNodeStyleSetMinWidthPercent(this.e, f2);
    }

    public void l(float f2) {
        jni_YGNodeStyleSetMinHeight(this.e, f2);
    }

    public void m(float f2) {
        jni_YGNodeStyleSetMinHeightPercent(this.e, f2);
    }

    public void n(float f2) {
        jni_YGNodeStyleSetMaxWidth(this.e, f2);
    }

    public void o(float f2) {
        jni_YGNodeStyleSetMaxWidthPercent(this.e, f2);
    }

    public void p(float f2) {
        jni_YGNodeStyleSetMaxHeight(this.e, f2);
    }

    public void q(float f2) {
        jni_YGNodeStyleSetMaxHeightPercent(this.e, f2);
    }

    public void r(float f2) {
        jni_YGNodeStyleSetAspectRatio(this.e, f2);
    }

    public float j() {
        return this.mLeft;
    }

    public float k() {
        return this.mTop;
    }

    public float l() {
        return this.mWidth;
    }

    public float m() {
        return this.mHeight;
    }

    public float c(YogaEdge yogaEdge) {
        switch (yogaEdge) {
            case LEFT:
                return this.mPaddingLeft;
            case TOP:
                return this.mPaddingTop;
            case RIGHT:
                return this.mPaddingRight;
            case BOTTOM:
                return this.mPaddingBottom;
            case START:
                return n() == YogaDirection.RTL ? this.mPaddingRight : this.mPaddingLeft;
            case END:
                return n() == YogaDirection.RTL ? this.mPaddingLeft : this.mPaddingRight;
            default:
                throw new IllegalArgumentException("Cannot get layout paddings of multi-edge shorthands");
        }
    }

    public YogaDirection n() {
        return YogaDirection.a(this.mLayoutDirection);
    }

    public void a(YogaMeasureFunction yogaMeasureFunction) {
        this.c = yogaMeasureFunction;
        jni_YGNodeSetHasMeasureFunc(this.e, yogaMeasureFunction != null);
    }

    @DoNotStrip
    public final long measure(float f2, int i, float f3, int i2) {
        if (o()) {
            return this.c.measure(this, f2, YogaMeasureMode.a(i), f3, YogaMeasureMode.a(i2));
        }
        throw new RuntimeException("Measure function isn't defined!");
    }

    @DoNotStrip
    public final float baseline(float f2, float f3) {
        return this.d.baseline(this, f2, f3);
    }

    public boolean o() {
        return this.c != null;
    }

    public void a(Object obj) {
        this.f = obj;
    }

    public Object p() {
        return this.f;
    }
}
