package com.fm.openinstall;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.fm.openinstall.listener.AppInstallListener;
import com.fm.openinstall.listener.AppInstallRetryAdapter;
import com.fm.openinstall.listener.AppWakeUpListener;
import com.fm.openinstall.model.AppData;
import com.fm.openinstall.model.Error;
import io.openinstall.sdk.av;
import io.openinstall.sdk.b;
import io.openinstall.sdk.bv;
import io.openinstall.sdk.bw;
import io.openinstall.sdk.c;
import java.lang.ref.WeakReference;

public final class OpenInstall {

    /* renamed from: a  reason: collision with root package name */
    private static volatile boolean f2452a = false;

    private OpenInstall() {
    }

    @NonNull
    public static String a() {
        return "2.6.3";
    }

    public static void a(@NonNull Context context, @Nullable Configuration configuration) {
        String a2 = bw.a(context);
        if (!TextUtils.isEmpty(a2)) {
            a(context, a2, configuration);
            return;
        }
        throw new IllegalArgumentException("请在AndroidManifest.xml中配置OpenInstall提供的AppKey");
    }

    public static void a(@NonNull Context context, @NonNull String str, @Nullable Configuration configuration) {
        long currentTimeMillis = System.currentTimeMillis();
        if (context == null) {
            throw new IllegalArgumentException("context不能为空");
        } else if (!TextUtils.isEmpty(str)) {
            if (bv.f3254a) {
                bv.a("SDK Version : " + a(), new Object[0]);
            }
            c.a().a(context.getApplicationContext());
            c.a().a(str);
            c.a().a(configuration);
            WeakReference weakReference = null;
            if (context instanceof Activity) {
                weakReference = new WeakReference((Activity) context);
            }
            synchronized (OpenInstall.class) {
                if (!f2452a) {
                    b.a().a(weakReference, currentTimeMillis);
                    f2452a = true;
                }
            }
        } else {
            throw new IllegalArgumentException("请前往OpenInstall控制台的 “Android集成” -> “Android应用配置” 中获取AppKey");
        }
    }

    public static void a(@NonNull AppInstallListener appInstallListener, int i) {
        if (!c()) {
            appInstallListener.a(null, null);
            return;
        }
        if (bv.f3254a && i < 5) {
            bv.b("getInstall设置超时时间过小，易造成数据获取失败，请增大超时时间或调整调用时机", new Object[0]);
        }
        b.a().a(false, i, appInstallListener);
    }

    public static void a(@NonNull AppInstallRetryAdapter appInstallRetryAdapter, int i) {
        if (!c()) {
            appInstallRetryAdapter.a((AppData) null, new Error(-4, "未调用初始化"));
        } else {
            b.a().a(true, i, appInstallRetryAdapter);
        }
    }

    public static void a(@NonNull String str, long j) {
        if (c()) {
            b.a().a(str, j);
        }
    }

    public static void a(boolean z) {
        c.a().a(Boolean.valueOf(z));
    }

    private static boolean a(@Nullable Intent intent) {
        if (!(intent == null || intent.getData() == null || intent.getAction() == null)) {
            Uri data = intent.getData();
            String action = intent.getAction();
            if (!TextUtils.isEmpty(data.getHost()) && action.equals("android.intent.action.VIEW")) {
                for (String str : av.c().split("\\|")) {
                    if (data.getHost().endsWith(str)) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public static boolean a(@Nullable Intent intent, @NonNull AppWakeUpListener appWakeUpListener) {
        if (!c() || !a(intent)) {
            return false;
        }
        b.a().a(intent, appWakeUpListener);
        return true;
    }

    public static void b() {
        if (c()) {
            b.a().b();
        }
    }

    public static void b(@Nullable Intent intent, @NonNull AppWakeUpListener appWakeUpListener) {
        if (!c()) {
            appWakeUpListener.a(null, new Error(-8, "未初始化"));
        } else if (a(intent)) {
            b.a().a(intent, appWakeUpListener);
        } else {
            appWakeUpListener.a(null, new Error(-7, "data 不匹配"));
        }
    }

    public static void b(boolean z) {
        c.a().b(Boolean.valueOf(z));
    }

    private static boolean c() {
        if (f2452a) {
            return true;
        }
        if (bv.f3254a) {
            bv.c("请先调用 init(Context) 初始化", new Object[0]);
        }
        return false;
    }
}
