package com.lockscreen.xvolley;

import android.os.Process;
import android.support.annotation.VisibleForTesting;
import com.lockscreen.xvolley.XCache;
import com.lockscreen.xvolley.XRequest;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.BlockingQueue;

public class XCacheDispatcher extends Thread {

    /* renamed from: a  reason: collision with root package name */
    private static final boolean f2532a = XVolleyLog.b;
    private final BlockingQueue<XRequest<?>> b;
    private final BlockingQueue<XRequest<?>> c;
    private final XCache d;
    private final XResponseDelivery e;
    private volatile boolean f = false;
    private final WaitingRequestManager g;

    public XCacheDispatcher(BlockingQueue<XRequest<?>> blockingQueue, BlockingQueue<XRequest<?>> blockingQueue2, XCache xCache, XResponseDelivery xResponseDelivery) {
        this.b = blockingQueue;
        this.c = blockingQueue2;
        this.d = xCache;
        this.e = xResponseDelivery;
        this.g = new WaitingRequestManager(this);
    }

    public void a() {
        this.f = true;
        interrupt();
    }

    public void run() {
        if (f2532a) {
            XVolleyLog.a("start new dispatcher", new Object[0]);
        }
        Process.setThreadPriority(10);
        this.d.a();
        while (true) {
            try {
                b();
            } catch (InterruptedException unused) {
                if (this.f) {
                    Thread.currentThread().interrupt();
                    return;
                }
                XVolleyLog.c("Ignoring spurious interrupt of XCacheDispatcher thread; use quit() to terminate it", new Object[0]);
            }
        }
    }

    private void b() {
        a(this.b.take());
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void a(final XRequest<?> xRequest) {
        xRequest.a("cache-queue-take");
        if (xRequest.h()) {
            xRequest.b("cache-discard-canceled");
            return;
        }
        XCache.Entry a2 = this.d.a(xRequest.e());
        if (a2 == null) {
            xRequest.a("cache-miss");
            if (!this.g.b(xRequest)) {
                this.c.put(xRequest);
            }
        } else if (a2.a()) {
            xRequest.a("cache-hit-expired");
            xRequest.a(a2);
            if (!this.g.b(xRequest)) {
                this.c.put(xRequest);
            }
        } else {
            xRequest.a("cache-hit");
            XResponse<?> a3 = xRequest.a(new XNetworkResponse(a2.f2531a, a2.g));
            xRequest.a("cache-hit-parsed");
            if (!a2.b()) {
                this.e.a(xRequest, a3);
                return;
            }
            xRequest.a("cache-hit-refresh-needed");
            xRequest.a(a2);
            a3.d = true;
            if (!this.g.b(xRequest)) {
                this.e.a(xRequest, a3, new Runnable() {
                    /* class com.lockscreen.xvolley.XCacheDispatcher.AnonymousClass1 */

                    public void run() {
                        try {
                            XCacheDispatcher.this.c.put(xRequest);
                        } catch (InterruptedException unused) {
                            Thread.currentThread().interrupt();
                        }
                    }
                });
            } else {
                this.e.a(xRequest, a3);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class WaitingRequestManager implements XRequest.NetworkRequestCompleteListener {

        /* renamed from: a  reason: collision with root package name */
        private final Map<String, List<XRequest<?>>> f2534a = new HashMap();
        private final XCacheDispatcher b;

        WaitingRequestManager(XCacheDispatcher xCacheDispatcher) {
            this.b = xCacheDispatcher;
        }

        @Override // com.lockscreen.xvolley.XRequest.NetworkRequestCompleteListener
        public void a(XRequest<?> xRequest, XResponse<?> xResponse) {
            List<XRequest<?>> remove;
            if (xResponse.b == null || xResponse.b.a()) {
                a(xRequest);
                return;
            }
            String e = xRequest.e();
            synchronized (this) {
                remove = this.f2534a.remove(e);
            }
            if (remove != null) {
                if (XVolleyLog.b) {
                    XVolleyLog.a("Releasing %d waiting requests for cacheKey=%s.", Integer.valueOf(remove.size()), e);
                }
                for (XRequest<?> xRequest2 : remove) {
                    this.b.e.a(xRequest2, xResponse);
                }
            }
        }

        @Override // com.lockscreen.xvolley.XRequest.NetworkRequestCompleteListener
        public synchronized void a(XRequest<?> xRequest) {
            String e = xRequest.e();
            List<XRequest<?>> remove = this.f2534a.remove(e);
            if (remove != null && !remove.isEmpty()) {
                if (XVolleyLog.b) {
                    XVolleyLog.a("%d waiting requests for cacheKey=%s; resend to network", Integer.valueOf(remove.size()), e);
                }
                XRequest<?> remove2 = remove.remove(0);
                this.f2534a.put(e, remove);
                remove2.a((XRequest.NetworkRequestCompleteListener) this);
                try {
                    this.b.c.put(remove2);
                } catch (InterruptedException e2) {
                    XVolleyLog.c("Couldn't add request to queue. %s", e2.toString());
                    Thread.currentThread().interrupt();
                    this.b.a();
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private synchronized boolean b(XRequest<?> xRequest) {
            String e = xRequest.e();
            if (this.f2534a.containsKey(e)) {
                List<XRequest<?>> list = this.f2534a.get(e);
                if (list == null) {
                    list = new ArrayList<>();
                }
                xRequest.a("waiting-for-response");
                list.add(xRequest);
                this.f2534a.put(e, list);
                if (XVolleyLog.b) {
                    XVolleyLog.b("XRequest for cacheKey=%s is in flight, putting on hold.", e);
                }
                return true;
            }
            this.f2534a.put(e, null);
            xRequest.a((XRequest.NetworkRequestCompleteListener) this);
            if (XVolleyLog.b) {
                XVolleyLog.b("new request, sending to network %s", e);
            }
            return false;
        }
    }
}
