package com.lockscreen.xvolley;

import android.annotation.TargetApi;
import android.net.TrafficStats;
import android.os.Build;
import android.os.Process;
import android.os.SystemClock;
import android.support.annotation.VisibleForTesting;
import java.util.concurrent.BlockingQueue;

public class XNetworkDispatcher extends Thread {

    /* renamed from: a  reason: collision with root package name */
    private final BlockingQueue<XRequest<?>> f2540a;
    private final XNetwork b;
    private final XCache c;
    private final XResponseDelivery d;
    private volatile boolean e = false;

    public XNetworkDispatcher(BlockingQueue<XRequest<?>> blockingQueue, XNetwork xNetwork, XCache xCache, XResponseDelivery xResponseDelivery) {
        this.f2540a = blockingQueue;
        this.b = xNetwork;
        this.c = xCache;
        this.d = xResponseDelivery;
    }

    public void a() {
        this.e = true;
        interrupt();
    }

    @TargetApi(14)
    private void b(XRequest<?> xRequest) {
        if (Build.VERSION.SDK_INT >= 14) {
            TrafficStats.setThreadStatsTag(xRequest.c());
        }
    }

    public void run() {
        Process.setThreadPriority(10);
        while (true) {
            try {
                b();
            } catch (InterruptedException unused) {
                if (this.e) {
                    Thread.currentThread().interrupt();
                    return;
                }
                XVolleyLog.c("Ignoring spurious interrupt of XNetworkDispatcher thread; use quit() to terminate it", new Object[0]);
            }
        }
    }

    private void b() {
        a(this.f2540a.take());
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public void a(XRequest<?> xRequest) {
        long elapsedRealtime = SystemClock.elapsedRealtime();
        try {
            xRequest.a("network-queue-take");
            if (xRequest.h()) {
                xRequest.b("network-discard-cancelled");
                xRequest.w();
                return;
            }
            b(xRequest);
            XNetworkResponse a2 = this.b.a(xRequest);
            xRequest.a("network-http-complete");
            if (!a2.e || !xRequest.v()) {
                XResponse<?> a3 = xRequest.a(a2);
                xRequest.a("network-parse-complete");
                if (xRequest.p() && a3.b != null) {
                    this.c.a(xRequest.e(), a3.b);
                    xRequest.a("network-cache-written");
                }
                xRequest.u();
                this.d.a(xRequest, a3);
                xRequest.a(a3);
                return;
            }
            xRequest.b("not-modified");
            xRequest.w();
        } catch (XVolleyError e2) {
            e2.a(SystemClock.elapsedRealtime() - elapsedRealtime);
            a(xRequest, e2);
            xRequest.w();
        } catch (Exception e3) {
            XVolleyLog.a(e3, "Unhandled exception %s", e3.toString());
            XVolleyError xVolleyError = new XVolleyError(e3);
            xVolleyError.a(SystemClock.elapsedRealtime() - elapsedRealtime);
            this.d.a(xRequest, xVolleyError);
            xRequest.w();
        }
    }

    private void a(XRequest<?> xRequest, XVolleyError xVolleyError) {
        this.d.a(xRequest, xRequest.a(xVolleyError));
    }
}
