package com.lockscreen.xvolley;

import android.net.Uri;
import android.os.Handler;
import android.os.Looper;
import android.support.annotation.CallSuper;
import android.support.annotation.GuardedBy;
import android.support.annotation.Nullable;
import android.text.TextUtils;
import com.facebook.stetho.common.Utf8Charset;
import com.lockscreen.xvolley.XCache;
import com.lockscreen.xvolley.XResponse;
import com.lockscreen.xvolley.XVolleyLog;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.Collections;
import java.util.Map;

public abstract class XRequest<T> implements Comparable<XRequest<T>> {

    /* renamed from: a  reason: collision with root package name */
    private final XVolleyLog.MarkerLog f2542a;
    private final int b;
    private final String c;
    private final int d;
    private final Object e;
    @GuardedBy("mLock")
    @Nullable
    private XResponse.ErrorListener f;
    private Integer g;
    private XRequestQueue h;
    private boolean i;
    @GuardedBy("mLock")
    private boolean j;
    @GuardedBy("mLock")
    private boolean k;
    private boolean l;
    private XRetryPolicy m;
    private XCache.Entry n;
    private Object o;
    @GuardedBy("mLock")
    private NetworkRequestCompleteListener p;

    public interface Method {
    }

    interface NetworkRequestCompleteListener {
        void a(XRequest<?> xRequest);

        void a(XRequest<?> xRequest, XResponse<?> xResponse);
    }

    public enum Priority {
        LOW,
        NORMAL,
        HIGH,
        IMMEDIATE
    }

    /* access modifiers changed from: protected */
    public abstract XResponse<T> a(XNetworkResponse xNetworkResponse);

    /* access modifiers changed from: protected */
    public XVolleyError a(XVolleyError xVolleyError) {
        return xVolleyError;
    }

    /* access modifiers changed from: protected */
    public Map<String, String> a() {
        return null;
    }

    /* access modifiers changed from: protected */
    public abstract void b(T t);

    /* access modifiers changed from: protected */
    public String m() {
        return Utf8Charset.NAME;
    }

    @Override // java.lang.Comparable
    public /* synthetic */ int compareTo(Object obj) {
        return a((XRequest) ((XRequest) obj));
    }

    public XRequest(int i2, String str, @Nullable XResponse.ErrorListener errorListener) {
        this.f2542a = XVolleyLog.MarkerLog.f2549a ? new XVolleyLog.MarkerLog() : null;
        this.e = new Object();
        this.i = true;
        this.j = false;
        this.k = false;
        this.l = false;
        this.n = null;
        this.b = i2;
        this.c = str;
        this.f = errorListener;
        a((XRetryPolicy) new XDefaultRetryPolicy());
        this.d = c(str);
    }

    public int b() {
        return this.b;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.lockscreen.xvolley.XRequest<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public XRequest<?> a(Object obj) {
        this.o = obj;
        return this;
    }

    public int c() {
        return this.d;
    }

    private static int c(String str) {
        Uri parse;
        String host;
        if (TextUtils.isEmpty(str) || (parse = Uri.parse(str)) == null || (host = parse.getHost()) == null) {
            return 0;
        }
        return host.hashCode();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.lockscreen.xvolley.XRequest<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public XRequest<?> a(XRetryPolicy xRetryPolicy) {
        this.m = xRetryPolicy;
        return this;
    }

    public void a(String str) {
        if (XVolleyLog.MarkerLog.f2549a) {
            this.f2542a.a(str, Thread.currentThread().getId());
        }
    }

    /* access modifiers changed from: package-private */
    public void b(final String str) {
        if (this.h != null) {
            this.h.b(this);
        }
        if (XVolleyLog.MarkerLog.f2549a) {
            final long id = Thread.currentThread().getId();
            if (Looper.myLooper() != Looper.getMainLooper()) {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.lockscreen.xvolley.XRequest.AnonymousClass1 */

                    public void run() {
                        XRequest.this.f2542a.a(str, id);
                        XRequest.this.f2542a.a(XRequest.this.toString());
                    }
                });
                return;
            }
            this.f2542a.a(str, id);
            this.f2542a.a(toString());
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.lockscreen.xvolley.XRequest<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public XRequest<?> a(XRequestQueue xRequestQueue) {
        this.h = xRequestQueue;
        return this;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.lockscreen.xvolley.XRequest<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public final XRequest<?> a(int i2) {
        this.g = Integer.valueOf(i2);
        return this;
    }

    public String d() {
        return this.c;
    }

    public String e() {
        String d2 = d();
        int b2 = b();
        if (b2 == 0 || b2 == -1) {
            return d2;
        }
        return Integer.toString(b2) + '-' + d2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: com.lockscreen.xvolley.XRequest<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public XRequest<?> a(XCache.Entry entry) {
        this.n = entry;
        return this;
    }

    public XCache.Entry f() {
        return this.n;
    }

    @CallSuper
    public void g() {
        synchronized (this.e) {
            this.j = true;
            this.f = null;
        }
    }

    public boolean h() {
        boolean z;
        synchronized (this.e) {
            z = this.j;
        }
        return z;
    }

    public Map<String, String> i() {
        return Collections.emptyMap();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public Map<String, String> j() {
        return a();
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public String k() {
        return m();
    }

    @Deprecated
    public byte[] l() {
        Map<String, String> j2 = j();
        if (j2 == null || j2.size() <= 0) {
            return null;
        }
        return a(j2, k());
    }

    public String n() {
        return "application/x-www-form-urlencoded; charset=" + m();
    }

    public byte[] o() {
        Map<String, String> a2 = a();
        if (a2 == null || a2.size() <= 0) {
            return null;
        }
        return a(a2, m());
    }

    private byte[] a(Map<String, String> map, String str) {
        StringBuilder sb = new StringBuilder();
        try {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                if (entry.getKey() == null || entry.getValue() == null) {
                    throw new IllegalArgumentException(String.format("XRequest#getParams() or XRequest#getPostParams() returned a map containing a null key or value: (%s, %s). All keys and values must be non-null.", entry.getKey(), entry.getValue()));
                }
                sb.append(URLEncoder.encode(entry.getKey(), str));
                sb.append('=');
                sb.append(URLEncoder.encode(entry.getValue(), str));
                sb.append('&');
            }
            return sb.toString().getBytes(str);
        } catch (UnsupportedEncodingException e2) {
            throw new RuntimeException("Encoding not supported: " + str, e2);
        }
    }

    public final boolean p() {
        return this.i;
    }

    public final boolean q() {
        return this.l;
    }

    public Priority r() {
        return Priority.NORMAL;
    }

    public final int s() {
        return t().a();
    }

    public XRetryPolicy t() {
        return this.m;
    }

    public void u() {
        synchronized (this.e) {
            this.k = true;
        }
    }

    public boolean v() {
        boolean z;
        synchronized (this.e) {
            z = this.k;
        }
        return z;
    }

    public void b(XVolleyError xVolleyError) {
        XResponse.ErrorListener errorListener;
        synchronized (this.e) {
            errorListener = this.f;
        }
        if (errorListener != null) {
            errorListener.a(xVolleyError);
        }
    }

    /* access modifiers changed from: package-private */
    public void a(NetworkRequestCompleteListener networkRequestCompleteListener) {
        synchronized (this.e) {
            this.p = networkRequestCompleteListener;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(XResponse<?> xResponse) {
        NetworkRequestCompleteListener networkRequestCompleteListener;
        synchronized (this.e) {
            networkRequestCompleteListener = this.p;
        }
        if (networkRequestCompleteListener != null) {
            networkRequestCompleteListener.a(this, xResponse);
        }
    }

    /* access modifiers changed from: package-private */
    public void w() {
        NetworkRequestCompleteListener networkRequestCompleteListener;
        synchronized (this.e) {
            networkRequestCompleteListener = this.p;
        }
        if (networkRequestCompleteListener != null) {
            networkRequestCompleteListener.a(this);
        }
    }

    public int a(XRequest<T> xRequest) {
        Priority r = r();
        Priority r2 = xRequest.r();
        return r == r2 ? this.g.intValue() - xRequest.g.intValue() : r2.ordinal() - r.ordinal();
    }

    public String toString() {
        String str = "0x" + Integer.toHexString(c());
        StringBuilder sb = new StringBuilder();
        sb.append(h() ? "[X] " : "[ ] ");
        sb.append(d());
        sb.append(" ");
        sb.append(str);
        sb.append(" ");
        sb.append(r());
        sb.append(" ");
        sb.append(this.g);
        return sb.toString();
    }
}
