package com.lockscreen.xvolley;

import android.os.SystemClock;
import android.util.Log;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

public class XVolleyLog {

    /* renamed from: a  reason: collision with root package name */
    public static String f2548a = "XVolley";
    public static boolean b = false;
    private static final String c = "com.lockscreen.xvolley.XVolleyLog";

    public static void a(String str, Object... objArr) {
        if (b) {
            Log.v(f2548a, d(str, objArr));
        }
    }

    public static void b(String str, Object... objArr) {
        Log.d(f2548a, d(str, objArr));
    }

    public static void c(String str, Object... objArr) {
        Log.e(f2548a, d(str, objArr));
    }

    public static void a(Throwable th, String str, Object... objArr) {
        Log.e(f2548a, d(str, objArr), th);
    }

    private static String d(String str, Object... objArr) {
        if (objArr != null) {
            str = String.format(Locale.US, str, objArr);
        }
        StackTraceElement[] stackTrace = new Throwable().fillInStackTrace().getStackTrace();
        String str2 = "<unknown>";
        int i = 2;
        while (true) {
            if (i >= stackTrace.length) {
                break;
            } else if (!stackTrace[i].getClassName().equals(c)) {
                String className = stackTrace[i].getClassName();
                String substring = className.substring(className.lastIndexOf(46) + 1);
                str2 = substring.substring(substring.lastIndexOf(36) + 1) + "." + stackTrace[i].getMethodName();
                break;
            } else {
                i++;
            }
        }
        return String.format(Locale.US, "[%d] %s: %s", Long.valueOf(Thread.currentThread().getId()), str2, str);
    }

    /* access modifiers changed from: package-private */
    public static class MarkerLog {

        /* renamed from: a  reason: collision with root package name */
        public static final boolean f2549a = XVolleyLog.b;
        private final List<Marker> b = new ArrayList();
        private boolean c = false;

        MarkerLog() {
        }

        /* access modifiers changed from: private */
        public static class Marker {

            /* renamed from: a  reason: collision with root package name */
            public final String f2550a;
            public final long b;
            public final long c;

            public Marker(String str, long j, long j2) {
                this.f2550a = str;
                this.b = j;
                this.c = j2;
            }
        }

        public synchronized void a(String str, long j) {
            if (!this.c) {
                this.b.add(new Marker(str, j, SystemClock.elapsedRealtime()));
            } else {
                throw new IllegalStateException("Marker added to finished log");
            }
        }

        public synchronized void a(String str) {
            this.c = true;
            long a2 = a();
            if (a2 > 0) {
                long j = this.b.get(0).c;
                XVolleyLog.b("(%-4d ms) %s", Long.valueOf(a2), str);
                for (Marker marker : this.b) {
                    long j2 = marker.c;
                    XVolleyLog.b("(+%-4d) [%2d] %s", Long.valueOf(j2 - j), Long.valueOf(marker.b), marker.f2550a);
                    j = j2;
                }
            }
        }

        /* access modifiers changed from: protected */
        public void finalize() {
            if (!this.c) {
                a("XRequest on the loose");
                XVolleyLog.c("Marker log finalized without finish() - uncaught exit point for request", new Object[0]);
            }
        }

        private long a() {
            if (this.b.size() == 0) {
                return 0;
            }
            return this.b.get(this.b.size() - 1).c - this.b.get(0).c;
        }
    }
}
