package com.lockscreen.xvolley.toolbox;

import android.support.annotation.VisibleForTesting;
import com.facebook.stetho.server.http.HttpHeaders;
import com.lockscreen.xvolley.XHeader;
import com.lockscreen.xvolley.XRequest;
import java.io.DataOutputStream;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLSocketFactory;

public class XHurlStack extends XBaseHttpStack {

    /* renamed from: a  reason: collision with root package name */
    private final UrlRewriter f2557a;
    private final SSLSocketFactory b;

    public interface UrlRewriter {
        String a(String str);
    }

    private static boolean a(int i, int i2) {
        return (i == 4 || (100 <= i2 && i2 < 200) || i2 == 204 || i2 == 304) ? false : true;
    }

    public XHurlStack() {
        this(null);
    }

    public XHurlStack(UrlRewriter urlRewriter) {
        this(urlRewriter, null);
    }

    public XHurlStack(UrlRewriter urlRewriter, SSLSocketFactory sSLSocketFactory) {
        this.f2557a = urlRewriter;
        this.b = sSLSocketFactory;
    }

    @Override // com.lockscreen.xvolley.toolbox.XBaseHttpStack
    public XHttpResponse a(XRequest<?> xRequest, Map<String, String> map) {
        String str;
        String d = xRequest.d();
        HashMap hashMap = new HashMap();
        hashMap.putAll(map);
        hashMap.putAll(xRequest.i());
        if (this.f2557a != null) {
            str = this.f2557a.a(d);
            if (str == null) {
                throw new IOException("URL blocked by rewriter: " + d);
            }
        } else {
            str = d;
        }
        HttpURLConnection a2 = a(new URL(str), xRequest);
        try {
            for (String str2 : hashMap.keySet()) {
                a2.setRequestProperty(str2, (String) hashMap.get(str2));
            }
            a(a2, xRequest);
            int responseCode = a2.getResponseCode();
            if (responseCode == -1) {
                throw new IOException("Could not retrieve response code from HttpUrlConnection.");
            } else if (a(xRequest.b(), responseCode)) {
                return new XHttpResponse(responseCode, a(a2.getHeaderFields()), a2.getContentLength(), new UrlConnectionInputStream(a2));
            } else {
                XHttpResponse xHttpResponse = new XHttpResponse(responseCode, a(a2.getHeaderFields()));
                a2.disconnect();
                return xHttpResponse;
            }
        } catch (Throwable th) {
            if (0 == 0) {
                a2.disconnect();
            }
            throw th;
        }
    }

    @VisibleForTesting
    static List<XHeader> a(Map<String, List<String>> map) {
        ArrayList arrayList = new ArrayList(map.size());
        for (Map.Entry<String, List<String>> entry : map.entrySet()) {
            if (entry.getKey() != null) {
                for (String str : entry.getValue()) {
                    arrayList.add(new XHeader(entry.getKey(), str));
                }
            }
        }
        return arrayList;
    }

    static class UrlConnectionInputStream extends FilterInputStream {

        /* renamed from: a  reason: collision with root package name */
        private final HttpURLConnection f2558a;

        UrlConnectionInputStream(HttpURLConnection httpURLConnection) {
            super(XHurlStack.b(httpURLConnection));
            this.f2558a = httpURLConnection;
        }

        @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
        public void close() {
            super.close();
            this.f2558a.disconnect();
        }
    }

    /* access modifiers changed from: private */
    public static InputStream b(HttpURLConnection httpURLConnection) {
        try {
            return httpURLConnection.getInputStream();
        } catch (IOException unused) {
            return httpURLConnection.getErrorStream();
        }
    }

    /* access modifiers changed from: protected */
    public HttpURLConnection a(URL url) {
        HttpURLConnection httpURLConnection = (HttpURLConnection) url.openConnection();
        httpURLConnection.setInstanceFollowRedirects(HttpURLConnection.getFollowRedirects());
        return httpURLConnection;
    }

    private HttpURLConnection a(URL url, XRequest<?> xRequest) {
        HttpURLConnection a2 = a(url);
        int s = xRequest.s();
        a2.setConnectTimeout(s);
        a2.setReadTimeout(s);
        a2.setUseCaches(false);
        a2.setDoInput(true);
        if ("https".equals(url.getProtocol()) && this.b != null) {
            ((HttpsURLConnection) a2).setSSLSocketFactory(this.b);
        }
        return a2;
    }

    static void a(HttpURLConnection httpURLConnection, XRequest<?> xRequest) {
        switch (xRequest.b()) {
            case -1:
                byte[] l = xRequest.l();
                if (l != null) {
                    httpURLConnection.setRequestMethod("POST");
                    a(httpURLConnection, xRequest, l);
                    return;
                }
                return;
            case 0:
                httpURLConnection.setRequestMethod("GET");
                return;
            case 1:
                httpURLConnection.setRequestMethod("POST");
                b(httpURLConnection, xRequest);
                return;
            case 2:
                httpURLConnection.setRequestMethod("PUT");
                b(httpURLConnection, xRequest);
                return;
            case 3:
                httpURLConnection.setRequestMethod("DELETE");
                return;
            case 4:
                httpURLConnection.setRequestMethod("HEAD");
                return;
            case 5:
                httpURLConnection.setRequestMethod("OPTIONS");
                return;
            case 6:
                httpURLConnection.setRequestMethod("TRACE");
                return;
            case 7:
                httpURLConnection.setRequestMethod("PATCH");
                b(httpURLConnection, xRequest);
                return;
            default:
                throw new IllegalStateException("Unknown method type.");
        }
    }

    private static void b(HttpURLConnection httpURLConnection, XRequest<?> xRequest) {
        byte[] o = xRequest.o();
        if (o != null) {
            a(httpURLConnection, xRequest, o);
        }
    }

    private static void a(HttpURLConnection httpURLConnection, XRequest<?> xRequest, byte[] bArr) {
        httpURLConnection.setDoOutput(true);
        if (!httpURLConnection.getRequestProperties().containsKey(HttpHeaders.CONTENT_TYPE)) {
            httpURLConnection.setRequestProperty(HttpHeaders.CONTENT_TYPE, xRequest.n());
        }
        DataOutputStream dataOutputStream = new DataOutputStream(httpURLConnection.getOutputStream());
        dataOutputStream.write(bArr);
        dataOutputStream.close();
    }
}
