package com.lockscreen.xvolley.toolbox;

import android.graphics.Bitmap;
import android.os.Handler;
import android.os.Looper;
import android.support.annotation.MainThread;
import android.widget.ImageView;
import com.lockscreen.xvolley.XRequest;
import com.lockscreen.xvolley.XRequestQueue;
import com.lockscreen.xvolley.XResponse;
import com.lockscreen.xvolley.XVolleyError;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class XImageLoader {

    /* renamed from: a  reason: collision with root package name */
    private final XRequestQueue f2559a;
    private int b = 100;
    private final ImageCache c;
    private final HashMap<String, BatchedImageRequest> d = new HashMap<>();
    private final HashMap<String, BatchedImageRequest> e = new HashMap<>();
    private final Handler f = new Handler(Looper.getMainLooper());
    private Runnable g;

    public interface ImageCache {
        Bitmap a(String str);

        void a(String str, Bitmap bitmap);
    }

    public interface ImageListener extends XResponse.ErrorListener {
        void a(ImageContainer imageContainer, boolean z);
    }

    public XImageLoader(XRequestQueue xRequestQueue, ImageCache imageCache) {
        this.f2559a = xRequestQueue;
        this.c = imageCache;
    }

    /* renamed from: com.lockscreen.xvolley.toolbox.XImageLoader$1  reason: invalid class name */
    static class AnonymousClass1 implements ImageListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ int f2560a;
        final /* synthetic */ ImageView b;
        final /* synthetic */ int c;

        @Override // com.lockscreen.xvolley.XResponse.ErrorListener
        public void a(XVolleyError xVolleyError) {
            if (this.f2560a != 0) {
                this.b.setImageResource(this.f2560a);
            }
        }

        @Override // com.lockscreen.xvolley.toolbox.XImageLoader.ImageListener
        public void a(ImageContainer imageContainer, boolean z) {
            if (imageContainer.b() != null) {
                this.b.setImageBitmap(imageContainer.b());
            } else if (this.c != 0) {
                this.b.setImageResource(this.c);
            }
        }
    }

    public ImageContainer a(String str, ImageListener imageListener) {
        return a(str, imageListener, 0, 0);
    }

    public ImageContainer a(String str, ImageListener imageListener, int i, int i2) {
        return a(str, imageListener, i, i2, ImageView.ScaleType.CENTER_INSIDE);
    }

    @MainThread
    public ImageContainer a(String str, ImageListener imageListener, int i, int i2, ImageView.ScaleType scaleType) {
        XThreads.a();
        String a2 = a(str, i, i2, scaleType);
        Bitmap a3 = this.c.a(a2);
        if (a3 != null) {
            ImageContainer imageContainer = new ImageContainer(a3, str, null, null);
            imageListener.a(imageContainer, true);
            return imageContainer;
        }
        ImageContainer imageContainer2 = new ImageContainer(null, str, a2, imageListener);
        imageListener.a(imageContainer2, true);
        BatchedImageRequest batchedImageRequest = this.d.get(a2);
        if (batchedImageRequest != null) {
            batchedImageRequest.a(imageContainer2);
            return imageContainer2;
        }
        XRequest<Bitmap> a4 = a(str, i, i2, scaleType, a2);
        this.f2559a.a(a4);
        this.d.put(a2, new BatchedImageRequest(a4, imageContainer2));
        return imageContainer2;
    }

    /* access modifiers changed from: protected */
    public XRequest<Bitmap> a(String str, int i, int i2, ImageView.ScaleType scaleType, final String str2) {
        return new XImageRequest(str, new XResponse.Listener<Bitmap>() {
            /* class com.lockscreen.xvolley.toolbox.XImageLoader.AnonymousClass2 */

            public void a(Bitmap bitmap) {
                XImageLoader.this.a(str2, bitmap);
            }
        }, i, i2, scaleType, Bitmap.Config.RGB_565, new XResponse.ErrorListener() {
            /* class com.lockscreen.xvolley.toolbox.XImageLoader.AnonymousClass3 */

            @Override // com.lockscreen.xvolley.XResponse.ErrorListener
            public void a(XVolleyError xVolleyError) {
                XImageLoader.this.a(str2, xVolleyError);
            }
        });
    }

    /* access modifiers changed from: protected */
    public void a(String str, Bitmap bitmap) {
        this.c.a(str, bitmap);
        BatchedImageRequest remove = this.d.remove(str);
        if (remove != null) {
            remove.b = bitmap;
            a(str, remove);
        }
    }

    /* access modifiers changed from: protected */
    public void a(String str, XVolleyError xVolleyError) {
        BatchedImageRequest remove = this.d.remove(str);
        if (remove != null) {
            remove.a(xVolleyError);
            a(str, remove);
        }
    }

    public class ImageContainer {
        private Bitmap b;
        private final ImageListener c;
        private final String d;
        private final String e;

        public ImageContainer(Bitmap bitmap, String str, String str2, ImageListener imageListener) {
            this.b = bitmap;
            this.e = str;
            this.d = str2;
            this.c = imageListener;
        }

        @MainThread
        public void a() {
            XThreads.a();
            if (this.c != null) {
                BatchedImageRequest batchedImageRequest = (BatchedImageRequest) XImageLoader.this.d.get(this.d);
                if (batchedImageRequest == null) {
                    BatchedImageRequest batchedImageRequest2 = (BatchedImageRequest) XImageLoader.this.e.get(this.d);
                    if (batchedImageRequest2 != null) {
                        batchedImageRequest2.b(this);
                        if (batchedImageRequest2.d.size() == 0) {
                            XImageLoader.this.e.remove(this.d);
                        }
                    }
                } else if (batchedImageRequest.b(this)) {
                    XImageLoader.this.d.remove(this.d);
                }
            }
        }

        public Bitmap b() {
            return this.b;
        }

        public String c() {
            return this.e;
        }
    }

    /* access modifiers changed from: private */
    public static class BatchedImageRequest {

        /* renamed from: a  reason: collision with root package name */
        private final XRequest<?> f2564a;
        private Bitmap b;
        private XVolleyError c;
        private final List<ImageContainer> d = new ArrayList();

        public BatchedImageRequest(XRequest<?> xRequest, ImageContainer imageContainer) {
            this.f2564a = xRequest;
            this.d.add(imageContainer);
        }

        public void a(XVolleyError xVolleyError) {
            this.c = xVolleyError;
        }

        public XVolleyError a() {
            return this.c;
        }

        public void a(ImageContainer imageContainer) {
            this.d.add(imageContainer);
        }

        public boolean b(ImageContainer imageContainer) {
            this.d.remove(imageContainer);
            if (this.d.size() != 0) {
                return false;
            }
            this.f2564a.g();
            return true;
        }
    }

    private void a(String str, BatchedImageRequest batchedImageRequest) {
        this.e.put(str, batchedImageRequest);
        if (this.g == null) {
            this.g = new Runnable() {
                /* class com.lockscreen.xvolley.toolbox.XImageLoader.AnonymousClass4 */

                public void run() {
                    for (BatchedImageRequest batchedImageRequest : XImageLoader.this.e.values()) {
                        for (ImageContainer imageContainer : batchedImageRequest.d) {
                            if (imageContainer.c != null) {
                                if (batchedImageRequest.a() == null) {
                                    imageContainer.b = batchedImageRequest.b;
                                    imageContainer.c.a(imageContainer, false);
                                } else {
                                    imageContainer.c.a(batchedImageRequest.a());
                                }
                            }
                        }
                    }
                    XImageLoader.this.e.clear();
                    XImageLoader.this.g = null;
                }
            };
            this.f.postDelayed(this.g, (long) this.b);
        }
    }

    private static String a(String str, int i, int i2, ImageView.ScaleType scaleType) {
        StringBuilder sb = new StringBuilder(str.length() + 12);
        sb.append("#W");
        sb.append(i);
        sb.append("#H");
        sb.append(i2);
        sb.append("#S");
        sb.append(scaleType.ordinal());
        sb.append(str);
        return sb.toString();
    }
}
