package com.lockscreen.xvolley.toolbox;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.support.annotation.GuardedBy;
import android.support.annotation.Nullable;
import android.support.annotation.VisibleForTesting;
import android.widget.ImageView;
import com.lockscreen.xvolley.XDefaultRetryPolicy;
import com.lockscreen.xvolley.XNetworkResponse;
import com.lockscreen.xvolley.XParseError;
import com.lockscreen.xvolley.XRequest;
import com.lockscreen.xvolley.XResponse;
import com.lockscreen.xvolley.XRetryPolicy;
import com.lockscreen.xvolley.XVolleyLog;

public class XImageRequest extends XRequest<Bitmap> {
    private static final Object g = new Object();

    /* renamed from: a  reason: collision with root package name */
    private final Object f2566a = new Object();
    @GuardedBy("mLock")
    @Nullable
    private XResponse.Listener<Bitmap> b;
    private final Bitmap.Config c;
    private final int d;
    private final int e;
    private final ImageView.ScaleType f;

    public XImageRequest(String str, XResponse.Listener<Bitmap> listener, int i, int i2, ImageView.ScaleType scaleType, Bitmap.Config config, @Nullable XResponse.ErrorListener errorListener) {
        super(0, str, errorListener);
        a((XRetryPolicy) new XDefaultRetryPolicy(1000, 2, 2.0f));
        this.b = listener;
        this.c = config;
        this.d = i;
        this.e = i2;
        this.f = scaleType;
    }

    @Override // com.lockscreen.xvolley.XRequest
    public XRequest.Priority r() {
        return XRequest.Priority.LOW;
    }

    private static int a(int i, int i2, int i3, int i4, ImageView.ScaleType scaleType) {
        if (i == 0 && i2 == 0) {
            return i3;
        }
        if (scaleType == ImageView.ScaleType.FIT_XY) {
            return i == 0 ? i3 : i;
        }
        if (i == 0) {
            return (int) (((double) i3) * (((double) i2) / ((double) i4)));
        } else if (i2 == 0) {
            return i;
        } else {
            double d2 = ((double) i4) / ((double) i3);
            if (scaleType == ImageView.ScaleType.CENTER_CROP) {
                double d3 = (double) i2;
                return ((double) i) * d2 < d3 ? (int) (d3 / d2) : i;
            }
            double d4 = (double) i2;
            return ((double) i) * d2 > d4 ? (int) (d4 / d2) : i;
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.lockscreen.xvolley.XRequest
    public XResponse<Bitmap> a(XNetworkResponse xNetworkResponse) {
        XResponse<Bitmap> b2;
        synchronized (g) {
            try {
                b2 = b(xNetworkResponse);
            } catch (OutOfMemoryError e2) {
                XVolleyLog.c("Caught OOM for %d byte image, url=%s", Integer.valueOf(xNetworkResponse.b.length), d());
                return XResponse.a(new XParseError(e2));
            } catch (Throwable th) {
                throw th;
            }
        }
        return b2;
    }

    private XResponse<Bitmap> b(XNetworkResponse xNetworkResponse) {
        Bitmap bitmap;
        byte[] bArr = xNetworkResponse.b;
        BitmapFactory.Options options = new BitmapFactory.Options();
        if (this.d == 0 && this.e == 0) {
            options.inPreferredConfig = this.c;
            bitmap = BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
        } else {
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
            int i = options.outWidth;
            int i2 = options.outHeight;
            int a2 = a(this.d, this.e, i, i2, this.f);
            int a3 = a(this.e, this.d, i2, i, this.f);
            options.inJustDecodeBounds = false;
            options.inSampleSize = a(i, i2, a2, a3);
            bitmap = BitmapFactory.decodeByteArray(bArr, 0, bArr.length, options);
            if (bitmap != null && (bitmap.getWidth() > a2 || bitmap.getHeight() > a3)) {
                Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, a2, a3, true);
                bitmap.recycle();
                bitmap = createScaledBitmap;
            }
        }
        if (bitmap == null) {
            return XResponse.a(new XParseError(xNetworkResponse));
        }
        return XResponse.a(bitmap, XHttpHeaderParser.a(xNetworkResponse));
    }

    @Override // com.lockscreen.xvolley.XRequest
    public void g() {
        super.g();
        synchronized (this.f2566a) {
            this.b = null;
        }
    }

    /* access modifiers changed from: protected */
    /* renamed from: a */
    public void b(Bitmap bitmap) {
        XResponse.Listener<Bitmap> listener;
        synchronized (this.f2566a) {
            listener = this.b;
        }
        if (listener != null) {
            listener.a(bitmap);
        }
    }

    @VisibleForTesting
    static int a(int i, int i2, int i3, int i4) {
        double min = Math.min(((double) i) / ((double) i3), ((double) i2) / ((double) i4));
        float f2 = 1.0f;
        while (true) {
            float f3 = 2.0f * f2;
            if (((double) f3) > min) {
                return (int) f2;
            }
            f2 = f3;
        }
    }
}
