package com.lockscreen.xvolley.toolbox;

import android.os.SystemClock;
import com.lockscreen.xvolley.XRequest;
import com.lockscreen.xvolley.XResponse;
import com.lockscreen.xvolley.XVolleyError;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

public class XRequestFuture<T> implements XResponse.ErrorListener, XResponse.Listener<T>, Future<T> {

    /* renamed from: a  reason: collision with root package name */
    private XRequest<?> f2571a;
    private boolean b = false;
    private T c;
    private XVolleyError d;

    private XRequestFuture() {
    }

    public synchronized boolean cancel(boolean z) {
        if (this.f2571a == null) {
            return false;
        }
        if (isDone()) {
            return false;
        }
        this.f2571a.g();
        return true;
    }

    @Override // java.util.concurrent.Future
    public T get() {
        try {
            return a((Long) null);
        } catch (TimeoutException e) {
            throw new AssertionError(e);
        }
    }

    @Override // java.util.concurrent.Future
    public T get(long j, TimeUnit timeUnit) {
        return a(Long.valueOf(TimeUnit.MILLISECONDS.convert(j, timeUnit)));
    }

    private synchronized T a(Long l) {
        if (this.d != null) {
            throw new ExecutionException(this.d);
        } else if (this.b) {
            return this.c;
        } else {
            if (l == null) {
                while (!isDone()) {
                    wait(0);
                }
            } else if (l.longValue() > 0) {
                long uptimeMillis = SystemClock.uptimeMillis();
                long longValue = l.longValue() + uptimeMillis;
                while (!isDone() && uptimeMillis < longValue) {
                    wait(longValue - uptimeMillis);
                    uptimeMillis = SystemClock.uptimeMillis();
                }
            }
            if (this.d != null) {
                throw new ExecutionException(this.d);
            } else if (this.b) {
                return this.c;
            } else {
                throw new TimeoutException();
            }
        }
    }

    public boolean isCancelled() {
        if (this.f2571a == null) {
            return false;
        }
        return this.f2571a.h();
    }

    public synchronized boolean isDone() {
        return this.b || this.d != null || isCancelled();
    }

    @Override // com.lockscreen.xvolley.XResponse.Listener
    public synchronized void a(T t) {
        this.b = true;
        this.c = t;
        notifyAll();
    }

    @Override // com.lockscreen.xvolley.XResponse.ErrorListener
    public synchronized void a(XVolleyError xVolleyError) {
        this.d = xVolleyError;
        notifyAll();
    }
}
