package com.mb.rn.youxidun;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Environment;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.util.UUID;

public class DeviceUuidFactory {

    /* renamed from: a  reason: collision with root package name */
    private static UUID f2614a;
    private static String b;
    private static DeviceUuidFactory c;

    private enum permission {
        READ_PHONE_STATE,
        WRITE_EXTERNAL_STORAGE
    }

    public static DeviceUuidFactory a(Context context) {
        if (c == null) {
            c = new DeviceUuidFactory(context);
        }
        return c;
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x00d7  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0107  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x012c  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0167  */
    private DeviceUuidFactory(Context context) {
        SecurityException e;
        if (f2614a == null) {
            synchronized (DeviceUuidFactory.class) {
                if (f2614a == null) {
                    SharedPreferences sharedPreferences = context.getSharedPreferences("tobindevice_id.xml", 0);
                    String string = sharedPreferences.getString("device_id", null);
                    String string2 = sharedPreferences.getString("imei", null);
                    if (TextUtils.isEmpty(string) && a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                        string = a(".tobindevid.conf");
                    }
                    if (TextUtils.isEmpty(string2) && a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                        string2 = a(".tobinimei.conf");
                    }
                    if (!TextUtils.isEmpty(string2)) {
                        b = string2;
                        sharedPreferences.edit().putString("imei", b).commit();
                        if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                            a(b, ".tobinimei.conf");
                        }
                    }
                    if (string != null) {
                        f2614a = UUID.fromString(string);
                        sharedPreferences.edit().putString("device_id", f2614a.toString()).commit();
                        if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                            a(f2614a.toString(), ".tobindevid.conf");
                        }
                    } else {
                        String string3 = Settings.Secure.getString(context.getContentResolver(), "android_id");
                        String str = "";
                        String str2 = "";
                        try {
                            if (a(context, permission.READ_PHONE_STATE)) {
                                TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
                                String deviceId = telephonyManager.getDeviceId();
                                try {
                                    str2 = telephonyManager.getSimSerialNumber();
                                    str = deviceId;
                                } catch (SecurityException e2) {
                                    e = e2;
                                    str = deviceId;
                                    e.printStackTrace();
                                    if (TextUtils.isEmpty(str)) {
                                    }
                                    if (!TextUtils.isEmpty(string3)) {
                                    }
                                    f2614a = UUID.randomUUID();
                                    if (!TextUtils.isEmpty(str)) {
                                    }
                                    sharedPreferences.edit().putString("device_id", f2614a.toString()).commit();
                                    if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                                    }
                                }
                            }
                        } catch (SecurityException e3) {
                            e = e3;
                            e.printStackTrace();
                            if (TextUtils.isEmpty(str)) {
                            }
                            if (!TextUtils.isEmpty(string3)) {
                            }
                            f2614a = UUID.randomUUID();
                            if (!TextUtils.isEmpty(str)) {
                            }
                            sharedPreferences.edit().putString("device_id", f2614a.toString()).commit();
                            if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                            }
                        }
                        if (TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2) && !str.equals("000000000000000")) {
                            f2614a = new UUID((long) string3.hashCode(), (((long) str.hashCode()) << 32) | ((long) str2.hashCode()));
                        } else if (!TextUtils.isEmpty(string3) || "9774d56d682e549c".equals(string3) || Build.VERSION.SDK_INT > 26) {
                            f2614a = UUID.randomUUID();
                        } else {
                            f2614a = UUID.nameUUIDFromBytes(string3.getBytes());
                        }
                        if (!TextUtils.isEmpty(str)) {
                            b = str;
                            sharedPreferences.edit().putString("imei", b).commit();
                            if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                                a(b, ".tobinimei.conf");
                            }
                        }
                        sharedPreferences.edit().putString("device_id", f2614a.toString()).commit();
                        if (a(context, permission.WRITE_EXTERNAL_STORAGE)) {
                            a(f2614a.toString(), ".tobindevid.conf");
                        }
                    }
                }
            }
        }
    }

    public UUID a() {
        return f2614a;
    }

    private static void a(String str, String str2) {
        File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath(), str2);
        if (!file.exists()) {
            try {
                OutputStreamWriter outputStreamWriter = new OutputStreamWriter(new FileOutputStream(file), "utf-8");
                try {
                    outputStreamWriter.write(str);
                    outputStreamWriter.flush();
                    outputStreamWriter.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            } catch (UnsupportedEncodingException e2) {
                e2.printStackTrace();
            } catch (FileNotFoundException e3) {
                e3.printStackTrace();
            }
        }
    }

    private static String a(String str) {
        try {
            File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath());
            File file2 = new File(file, str);
            if (file.exists()) {
                if (file2.exists()) {
                    FileReader fileReader = new FileReader(file2);
                    StringBuilder sb = new StringBuilder();
                    char[] cArr = new char[100];
                    while (true) {
                        int read = fileReader.read(cArr);
                        if (read > 0) {
                            sb.append(cArr, 0, read);
                        } else {
                            fileReader.close();
                            return sb.toString();
                        }
                    }
                }
            }
            return null;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private boolean a(Context context, permission permission2) {
        StringBuilder sb = new StringBuilder();
        sb.append("android.permission.");
        sb.append(permission2.toString());
        return context.checkCallingOrSelfPermission(sb.toString()) == 0;
    }
}
