package com.microsoft.codepush.react;

import android.content.Context;
import android.content.pm.PackageManager;
import android.support.annotation.NonNull;
import com.facebook.react.ReactInstanceManager;
import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;

public class CodePush implements ReactPackage {

    /* renamed from: a  reason: collision with root package name */
    private static boolean f2619a = false;
    private static boolean b = false;
    private static boolean c = false;
    private static String d = null;
    private static String k = "https://codepush.azurewebsites.net/";
    private static String n;
    private static ReactInstanceHolder o;
    private static CodePush p;
    private boolean e;
    private String f;
    private CodePushUpdateManager g;
    private CodePushTelemetryManager h;
    private SettingsManager i;
    private String j;
    private Context l;
    private final boolean m;

    public CodePush(String str, Context context, boolean z) {
        this.e = false;
        this.l = context.getApplicationContext();
        this.g = new CodePushUpdateManager(context.getFilesDir().getAbsolutePath());
        this.h = new CodePushTelemetryManager(this.l);
        this.j = str;
        this.m = z;
        this.i = new SettingsManager(this.l);
        if (d == null) {
            try {
                d = this.l.getPackageManager().getPackageInfo(this.l.getPackageName(), 0).versionName;
            } catch (PackageManager.NameNotFoundException e2) {
                throw new CodePushUnknownException("Unable to get package info for " + this.l.getPackageName(), e2);
            }
        }
        p = this;
        a();
        j();
    }

    public CodePush(String str, Context context, boolean z, @NonNull String str2) {
        this(str, context, z);
        k = str2;
    }

    public void a() {
        if (this.m && this.i.b(null)) {
            File file = new File(this.l.getFilesDir(), "ReactNativeDevBundle.js");
            if (file.exists()) {
                file.delete();
            }
        }
    }

    public boolean b() {
        return this.e;
    }

    public String c() {
        return d;
    }

    public String d() {
        return this.f;
    }

    public String e() {
        return n;
    }

    /* access modifiers changed from: package-private */
    public long f() {
        try {
            return Long.parseLong(this.l.getResources().getString(this.l.getResources().getIdentifier("CODE_PUSH_APK_BUILD_TIME", "string", this.l.getPackageName())).replaceAll("\"", ""));
        } catch (Exception e2) {
            throw new CodePushUnknownException("Error in getting binary resources modified time", e2);
        }
    }

    public String g() {
        return this.j;
    }

    public static String h() {
        return a("index.android.bundle");
    }

    public static String a(String str) {
        if (p != null) {
            return p.b(str);
        }
        throw new CodePushNotInitializedException("A CodePush instance has not been created yet. Have you added it to your app's list of ReactPackages?");
    }

    public String b(String str) {
        this.f = str;
        String str2 = "assets://" + str;
        String a2 = this.g.a(this.f);
        if (a2 == null) {
            CodePushUtils.c(str2);
            f2619a = true;
            return str2;
        }
        JSONObject e2 = this.g.e();
        if (a(e2)) {
            CodePushUtils.c(a2);
            f2619a = false;
            return a2;
        }
        this.e = false;
        if (!this.m || b(e2)) {
            p();
        }
        CodePushUtils.c(str2);
        f2619a = true;
        return str2;
    }

    public String i() {
        return k;
    }

    /* access modifiers changed from: package-private */
    public void j() {
        this.e = false;
        JSONObject b2 = this.i.b();
        if (b2 != null) {
            JSONObject e2 = this.g.e();
            if (e2 == null || (!a(e2) && b(e2))) {
                CodePushUtils.b("Skipping initializeUpdateAfterRestart(), binary version is newer");
                return;
            }
            try {
                if (b2.getBoolean("isLoading")) {
                    CodePushUtils.b("Update did not finish loading the last time, rolling back to a previous version.");
                    b = true;
                    r();
                    return;
                }
                this.e = true;
                this.i.a(b2.getString("hash"), true);
            } catch (JSONException e3) {
                throw new CodePushUnknownException("Unable to read pending update metadata stored in SharedPreferences", e3);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void k() {
        p = null;
    }

    /* access modifiers changed from: package-private */
    public boolean l() {
        return this.m;
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        return f2619a;
    }

    private boolean a(JSONObject jSONObject) {
        try {
            String optString = jSONObject.optString("binaryModifiedTime", null);
            Long valueOf = optString != null ? Long.valueOf(Long.parseLong(optString)) : null;
            return valueOf != null && valueOf.longValue() == f() && (o() || d.equals(jSONObject.optString("appVersion", null)));
        } catch (NumberFormatException e2) {
            throw new CodePushUnknownException("Error in reading binary modified date from package metadata", e2);
        }
    }

    private boolean b(JSONObject jSONObject) {
        return !d.equals(jSONObject.optString("appVersion", null));
    }

    /* access modifiers changed from: package-private */
    public boolean n() {
        return b;
    }

    private void r() {
        this.i.a(this.g.e());
        this.g.g();
        this.i.d();
    }

    public void a(boolean z) {
        b = z;
    }

    public static boolean o() {
        return c;
    }

    public void p() {
        this.g.h();
        this.i.d();
        this.i.c();
    }

    static ReactInstanceManager q() {
        if (o == null) {
            return null;
        }
        return o.a();
    }

    @Override // com.facebook.react.ReactPackage
    public List<NativeModule> a(ReactApplicationContext reactApplicationContext) {
        CodePushNativeModule codePushNativeModule = new CodePushNativeModule(reactApplicationContext, this, this.g, this.h, this.i);
        CodePushDialog codePushDialog = new CodePushDialog(reactApplicationContext);
        ArrayList arrayList = new ArrayList();
        arrayList.add(codePushNativeModule);
        arrayList.add(codePushDialog);
        return arrayList;
    }

    @Override // com.facebook.react.ReactPackage
    public List<ViewManager> b(ReactApplicationContext reactApplicationContext) {
        return new ArrayList();
    }
}
