package com.microsoft.codepush.react;

import android.content.Context;
import android.content.SharedPreferences;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.WritableMap;
import org.json.JSONException;
import org.json.JSONObject;

public class CodePushTelemetryManager {

    /* renamed from: a  reason: collision with root package name */
    private SharedPreferences f2634a;
    private final String b = "appVersion";
    private final String c = "DeploymentFailed";
    private final String d = "deploymentKey";
    private final String e = "DeploymentSucceeded";
    private final String f = "label";
    private final String g = "CODE_PUSH_LAST_DEPLOYMENT_REPORT";
    private final String h = "package";
    private final String i = "previousDeploymentKey";
    private final String j = "previousLabelOrAppVersion";
    private final String k = "CODE_PUSH_RETRY_DEPLOYMENT_REPORT";
    private final String l = "status";

    public CodePushTelemetryManager(Context context) {
        this.f2634a = context.getSharedPreferences("CodePush", 0);
    }

    public WritableMap a(String str) {
        String c2 = c();
        if (c2 == null) {
            b();
            WritableMap b2 = Arguments.b();
            b2.putString("appVersion", str);
            return b2;
        } else if (c2.equals(str)) {
            return null;
        } else {
            b();
            WritableMap b3 = Arguments.b();
            if (d(c2)) {
                String b4 = b(c2);
                String c3 = c(c2);
                b3.putString("appVersion", str);
                b3.putString("previousDeploymentKey", b4);
                b3.putString("previousLabelOrAppVersion", c3);
            } else {
                b3.putString("appVersion", str);
                b3.putString("previousLabelOrAppVersion", c2);
            }
            return b3;
        }
    }

    public WritableMap a() {
        String string = this.f2634a.getString("CODE_PUSH_RETRY_DEPLOYMENT_REPORT", null);
        if (string != null) {
            b();
            try {
                return CodePushUtils.a(new JSONObject(string));
            } catch (JSONException e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public WritableMap a(WritableMap writableMap) {
        WritableMap b2 = Arguments.b();
        b2.a("package", writableMap);
        b2.putString("status", "DeploymentFailed");
        return b2;
    }

    public WritableMap b(WritableMap writableMap) {
        String c2 = c(writableMap);
        String c3 = c();
        if (c2 != null) {
            if (c3 == null) {
                b();
                WritableMap b2 = Arguments.b();
                b2.a("package", writableMap);
                b2.putString("status", "DeploymentSucceeded");
                return b2;
            } else if (!c3.equals(c2)) {
                b();
                WritableMap b3 = Arguments.b();
                if (d(c3)) {
                    String b4 = b(c3);
                    String c4 = c(c3);
                    b3.a("package", writableMap);
                    b3.putString("status", "DeploymentSucceeded");
                    b3.putString("previousDeploymentKey", b4);
                    b3.putString("previousLabelOrAppVersion", c4);
                    return b3;
                }
                b3.a("package", writableMap);
                b3.putString("status", "DeploymentSucceeded");
                b3.putString("previousLabelOrAppVersion", c3);
                return b3;
            }
        }
        return null;
    }

    public void a(ReadableMap readableMap) {
        if (readableMap.a("status") && "DeploymentFailed".equals(readableMap.f("status"))) {
            return;
        }
        if (readableMap.a("appVersion")) {
            e(readableMap.f("appVersion"));
        } else if (readableMap.a("package")) {
            e(c(readableMap.g("package")));
        }
    }

    public void b(ReadableMap readableMap) {
        this.f2634a.edit().putString("CODE_PUSH_RETRY_DEPLOYMENT_REPORT", CodePushUtils.a(readableMap).toString()).commit();
    }

    private void b() {
        this.f2634a.edit().remove("CODE_PUSH_RETRY_DEPLOYMENT_REPORT").commit();
    }

    private String b(String str) {
        String[] split = str.split(":");
        if (split.length > 0) {
            return split[0];
        }
        return null;
    }

    private String c(ReadableMap readableMap) {
        String a2 = CodePushUtils.a(readableMap, "deploymentKey");
        String a3 = CodePushUtils.a(readableMap, "label");
        if (a2 == null || a3 == null) {
            return null;
        }
        return a2 + ":" + a3;
    }

    private String c() {
        return this.f2634a.getString("CODE_PUSH_LAST_DEPLOYMENT_REPORT", null);
    }

    private String c(String str) {
        String[] split = str.split(":");
        if (split.length > 1) {
            return split[1];
        }
        return null;
    }

    private boolean d(String str) {
        return str != null && str.contains(":");
    }

    private void e(String str) {
        this.f2634a.edit().putString("CODE_PUSH_LAST_DEPLOYMENT_REPORT", str).commit();
    }
}
