package com.microsoft.codepush.react;

import android.content.Context;
import android.util.Base64;
import com.nimbusds.jose.crypto.RSASSAVerifier;
import com.nimbusds.jwt.SignedJWT;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.math.BigInteger;
import java.security.DigestInputStream;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.PublicKey;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.X509EncodedKeySpec;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;

public class CodePushUpdateUtils {

    /* renamed from: a  reason: collision with root package name */
    public static final String f2637a = System.getProperty("line.separator");

    public static boolean a(String str) {
        return str.startsWith("__MACOSX/") || str.equals(".DS_Store") || str.endsWith("/.DS_Store") || str.equals(".codepushrelease") || str.endsWith("/.codepushrelease");
    }

    private static void a(String str, String str2, ArrayList<String> arrayList) {
        File[] listFiles = new File(str).listFiles();
        for (File file : listFiles) {
            String name = file.getName();
            String absolutePath = file.getAbsolutePath();
            StringBuilder sb = new StringBuilder();
            sb.append(str2.isEmpty() ? "" : str2 + "/");
            sb.append(name);
            String sb2 = sb.toString();
            if (!a(sb2)) {
                if (file.isDirectory()) {
                    a(absolutePath, sb2, arrayList);
                } else {
                    try {
                        arrayList.add(sb2 + ":" + a(new FileInputStream(file)));
                    } catch (FileNotFoundException e) {
                        throw new CodePushUnknownException("Unable to compute hash of update contents.", e);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x0050 A[SYNTHETIC, Splitter:B:27:0x0050] */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0058 A[Catch:{ IOException -> 0x0054 }] */
    private static String a(InputStream inputStream) {
        Throwable th;
        Throwable e;
        DigestInputStream digestInputStream = null;
        try {
            MessageDigest instance = MessageDigest.getInstance("SHA-256");
            DigestInputStream digestInputStream2 = new DigestInputStream(inputStream, instance);
            try {
                do {
                } while (digestInputStream2.read(new byte[8192]) != -1);
                try {
                    digestInputStream2.close();
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
                return String.format("%064x", new BigInteger(1, instance.digest()));
            } catch (IOException | NoSuchAlgorithmException e3) {
                e = e3;
                digestInputStream = digestInputStream2;
                try {
                    throw new CodePushUnknownException("Unable to compute hash of update contents.", e);
                } catch (Throwable th2) {
                    th = th2;
                    if (digestInputStream != null) {
                        try {
                            digestInputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                            throw th;
                        }
                    }
                    if (inputStream != null) {
                        inputStream.close();
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                digestInputStream = digestInputStream2;
                if (digestInputStream != null) {
                }
                if (inputStream != null) {
                }
                throw th;
            }
        } catch (IOException | NoSuchAlgorithmException e5) {
            e = e5;
            throw new CodePushUnknownException("Unable to compute hash of update contents.", e);
        }
    }

    public static void a(String str, String str2, String str3) throws IOException {
        FileUtils.a(str2, str3);
        try {
            JSONArray jSONArray = CodePushUtils.a(str).getJSONArray("deletedFiles");
            for (int i = 0; i < jSONArray.length(); i++) {
                File file = new File(str3, jSONArray.getString(i));
                if (file.exists()) {
                    file.delete();
                }
            }
        } catch (JSONException e) {
            throw new CodePushUnknownException("Unable to copy files from current package during diff update", e);
        }
    }

    public static String a(String str, String str2) {
        File[] listFiles = new File(str).listFiles();
        for (File file : listFiles) {
            String a2 = CodePushUtils.a(str, file.getName());
            if (file.isDirectory()) {
                String a3 = a(a2, str2);
                if (a3 != null) {
                    return CodePushUtils.a(file.getName(), a3);
                }
            } else {
                String name = file.getName();
                if (name.equals(str2)) {
                    return name;
                }
            }
        }
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:?, code lost:
        return null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:5:0x001d, code lost:
        return com.microsoft.codepush.react.CodePushUtils.a(r2.getAssets().open("CodePushHash.json"));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x001f, code lost:
        if (r3 == false) goto L_0x0021;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0021, code lost:
        com.microsoft.codepush.react.CodePushUtils.b("Unable to get the hash of the binary's bundled resources - \"codepush.gradle\" may have not been added to the build definition.");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
        return null;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
    public static String a(Context context, boolean z) {
        return CodePushUtils.a(context.getAssets().open("CodePushHash"));
    }

    public static void b(String str, String str2) {
        CodePushUtils.b("Verifying hash for folder path: " + str);
        ArrayList arrayList = new ArrayList();
        a(str, "", arrayList);
        Collections.sort(arrayList);
        JSONArray jSONArray = new JSONArray();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            jSONArray.put((String) it.next());
        }
        String replace = jSONArray.toString().replace("\\/", "/");
        CodePushUtils.b("Manifest string: " + replace);
        String a2 = a(new ByteArrayInputStream(replace.getBytes()));
        CodePushUtils.b("Expected hash: " + str2 + ", actual hash: " + a2);
        if (str2.equals(a2)) {
            CodePushUtils.b("The update contents succeeded the data integrity check.");
            return;
        }
        throw new CodePushInvalidUpdateException("The update contents failed the data integrity check.");
    }

    public static Map<String, Object> a(String str, PublicKey publicKey) {
        try {
            SignedJWT b = SignedJWT.b(str);
            if (!b.a(new RSASSAVerifier((RSAPublicKey) publicKey))) {
                return null;
            }
            Map<String, Object> b2 = b.g().b();
            CodePushUtils.b("JWT verification succeeded, payload content: " + b2.toString());
            return b2;
        } catch (Exception e) {
            CodePushUtils.b(e.getMessage());
            CodePushUtils.b(e.getStackTrace().toString());
            return null;
        }
    }

    public static PublicKey b(String str) {
        try {
            return KeyFactory.getInstance("RSA").generatePublic(new X509EncodedKeySpec(Base64.decode(str.replace("-----BEGIN PUBLIC KEY-----", "").replace("-----END PUBLIC KEY-----", "").replace(f2637a, "").getBytes(), 0)));
        } catch (Exception e) {
            CodePushUtils.b(e.getMessage());
            CodePushUtils.b(e.getStackTrace().toString());
            return null;
        }
    }

    public static String c(String str) {
        return CodePushUtils.a(CodePushUtils.a(str, "CodePush"), ".codepushrelease");
    }

    public static String d(String str) {
        try {
            return FileUtils.d(c(str));
        } catch (IOException e) {
            CodePushUtils.b(e.getMessage());
            CodePushUtils.b(e.getStackTrace().toString());
            return null;
        }
    }

    public static void b(String str, String str2, String str3) throws CodePushInvalidUpdateException {
        CodePushUtils.b("Verifying signature for folder path: " + str);
        PublicKey b = b(str3);
        if (b != null) {
            String d = d(str);
            if (d != null) {
                Map<String, Object> a2 = a(d, b);
                if (a2 != null) {
                    String str4 = (String) a2.get("contentHash");
                    if (str4 == null) {
                        throw new CodePushInvalidUpdateException("The update could not be verified because the signature did not specify a content hash.");
                    } else if (str4.equals(str2)) {
                        CodePushUtils.b("The update contents succeeded the code signing check.");
                    } else {
                        throw new CodePushInvalidUpdateException("The update contents failed the code signing check.");
                    }
                } else {
                    throw new CodePushInvalidUpdateException("The update could not be verified because it was not signed by a trusted party.");
                }
            } else {
                throw new CodePushInvalidUpdateException("The update could not be verified because no signature was found.");
            }
        } else {
            throw new CodePushInvalidUpdateException("The update could not be verified because no public key was found.");
        }
    }
}
