package com.microsoft.codepush.react;

import android.content.Context;
import android.content.SharedPreferences;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class SettingsManager {

    /* renamed from: a  reason: collision with root package name */
    private SharedPreferences f2640a;

    public SettingsManager(Context context) {
        this.f2640a = context.getSharedPreferences("CodePush", 0);
    }

    public JSONArray a() {
        String string = this.f2640a.getString("CODE_PUSH_FAILED_UPDATES", null);
        if (string == null) {
            return new JSONArray();
        }
        try {
            return new JSONArray(string);
        } catch (JSONException unused) {
            JSONArray jSONArray = new JSONArray();
            this.f2640a.edit().putString("CODE_PUSH_FAILED_UPDATES", jSONArray.toString()).commit();
            return jSONArray;
        }
    }

    public JSONObject b() {
        String string = this.f2640a.getString("CODE_PUSH_PENDING_UPDATE", null);
        if (string == null) {
            return null;
        }
        try {
            return new JSONObject(string);
        } catch (JSONException unused) {
            CodePushUtils.b("Unable to parse pending update metadata " + string + " stored in SharedPreferences");
            return null;
        }
    }

    public boolean a(String str) {
        JSONArray a2 = a();
        if (str != null) {
            for (int i = 0; i < a2.length(); i++) {
                try {
                    if (str.equals(a2.getJSONObject(i).getString("packageHash"))) {
                        return true;
                    }
                } catch (JSONException e) {
                    throw new CodePushUnknownException("Unable to read failedUpdates data stored in SharedPreferences.", e);
                }
            }
        }
        return false;
    }

    public boolean b(String str) {
        JSONObject b = b();
        if (b != null) {
            try {
                if (b.getBoolean("isLoading") || (str != null && !b.getString("hash").equals(str))) {
                    return false;
                }
                return true;
            } catch (JSONException e) {
                throw new CodePushUnknownException("Unable to read pending update metadata in isPendingUpdate.", e);
            }
        }
        return false;
    }

    public void c() {
        this.f2640a.edit().remove("CODE_PUSH_FAILED_UPDATES").commit();
    }

    public void d() {
        this.f2640a.edit().remove("CODE_PUSH_PENDING_UPDATE").commit();
    }

    public void a(JSONObject jSONObject) {
        JSONArray jSONArray;
        String string = this.f2640a.getString("CODE_PUSH_FAILED_UPDATES", null);
        if (string == null) {
            jSONArray = new JSONArray();
        } else {
            try {
                jSONArray = new JSONArray(string);
            } catch (JSONException e) {
                throw new CodePushMalformedDataException("Unable to parse failed updates information " + string + " stored in SharedPreferences", e);
            }
        }
        jSONArray.put(jSONObject);
        this.f2640a.edit().putString("CODE_PUSH_FAILED_UPDATES", jSONArray.toString()).commit();
    }

    public void a(String str, boolean z) {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("hash", str);
            jSONObject.put("isLoading", z);
            this.f2640a.edit().putString("CODE_PUSH_PENDING_UPDATE", jSONObject.toString()).commit();
        } catch (JSONException e) {
            throw new CodePushUnknownException("Unable to save pending update.", e);
        }
    }
}
