package com.nimbusds.jose;

import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.JSONObjectUtils;
import java.io.Serializable;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import net.minidev.json.JSONObject;

public abstract class Header implements Serializable {
    private static final Map<String, Object> f = Collections.unmodifiableMap(new HashMap());
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final Algorithm f2645a;
    private final JOSEObjectType b;
    private final String c;
    private final Set<String> d;
    private final Map<String, Object> e;
    private final Base64URL g;

    protected Header(Algorithm algorithm, JOSEObjectType jOSEObjectType, String str, Set<String> set, Map<String, Object> map, Base64URL base64URL) {
        if (algorithm != null) {
            this.f2645a = algorithm;
            this.b = jOSEObjectType;
            this.c = str;
            if (set != null) {
                this.d = Collections.unmodifiableSet(new HashSet(set));
            } else {
                this.d = null;
            }
            if (map != null) {
                this.e = Collections.unmodifiableMap(new HashMap(map));
            } else {
                this.e = f;
            }
            this.g = base64URL;
            return;
        }
        throw new IllegalArgumentException("The algorithm \"alg\" header parameter must not be null");
    }

    public Algorithm b() {
        return this.f2645a;
    }

    public Set<String> c() {
        return this.d;
    }

    public JSONObject a() {
        JSONObject jSONObject = new JSONObject(this.e);
        jSONObject.put("alg", this.f2645a.toString());
        if (this.b != null) {
            jSONObject.put("typ", this.b.toString());
        }
        if (this.c != null) {
            jSONObject.put("cty", this.c);
        }
        if (this.d != null && !this.d.isEmpty()) {
            jSONObject.put("crit", new ArrayList(this.d));
        }
        return jSONObject;
    }

    public String toString() {
        return a().toString();
    }

    public static Algorithm a(JSONObject jSONObject) throws ParseException {
        String b2 = JSONObjectUtils.b(jSONObject, "alg");
        if (b2.equals(Algorithm.f2641a.a())) {
            return Algorithm.f2641a;
        }
        if (jSONObject.containsKey("enc")) {
            return JWEAlgorithm.a(b2);
        }
        return JWSAlgorithm.a(b2);
    }
}
