package com.nimbusds.jose;

import java.io.Serializable;
import net.jcip.annotations.Immutable;
import net.minidev.json.JSONAware;
import net.minidev.json.JSONObject;

@Immutable
public final class JOSEObjectType implements Serializable, JSONAware {

    /* renamed from: a  reason: collision with root package name */
    public static final JOSEObjectType f2647a = new JOSEObjectType("JOSE");
    public static final JOSEObjectType b = new JOSEObjectType("JOSE+JSON");
    public static final JOSEObjectType c = new JOSEObjectType("JWT");
    private static final long serialVersionUID = 1;
    private final String d;

    public JOSEObjectType(String str) {
        if (str != null) {
            this.d = str;
            return;
        }
        throw new IllegalArgumentException("The object type must not be null");
    }

    public int hashCode() {
        return this.d.hashCode();
    }

    public boolean equals(Object obj) {
        return obj != null && (obj instanceof JOSEObjectType) && toString().equals(obj.toString());
    }

    public String toString() {
        return this.d;
    }

    @Override // net.minidev.json.JSONAware
    public String b() {
        return "\"" + JSONObject.a(this.d) + '\"';
    }
}
