package com.nimbusds.jose;

import com.nimbusds.jose.util.ArrayUtils;
import java.util.Collection;
import net.jcip.annotations.Immutable;

@Immutable
public final class JWEAlgorithm extends Algorithm {
    @Deprecated
    public static final JWEAlgorithm b = new JWEAlgorithm("RSA1_5", Requirement.REQUIRED);
    @Deprecated
    public static final JWEAlgorithm c = new JWEAlgorithm("RSA-OAEP", Requirement.OPTIONAL);
    public static final JWEAlgorithm d = new JWEAlgorithm("RSA-OAEP-256", Requirement.OPTIONAL);
    public static final JWEAlgorithm e = new JWEAlgorithm("A128KW", Requirement.RECOMMENDED);
    public static final JWEAlgorithm f = new JWEAlgorithm("A192KW", Requirement.OPTIONAL);
    public static final JWEAlgorithm g = new JWEAlgorithm("A256KW", Requirement.RECOMMENDED);
    public static final JWEAlgorithm h = new JWEAlgorithm("dir", Requirement.RECOMMENDED);
    public static final JWEAlgorithm i = new JWEAlgorithm("ECDH-ES", Requirement.RECOMMENDED);
    public static final JWEAlgorithm j = new JWEAlgorithm("ECDH-ES+A128KW", Requirement.RECOMMENDED);
    public static final JWEAlgorithm k = new JWEAlgorithm("ECDH-ES+A192KW", Requirement.OPTIONAL);
    public static final JWEAlgorithm l = new JWEAlgorithm("ECDH-ES+A256KW", Requirement.RECOMMENDED);
    public static final JWEAlgorithm m = new JWEAlgorithm("A128GCMKW", Requirement.OPTIONAL);
    public static final JWEAlgorithm n = new JWEAlgorithm("A192GCMKW", Requirement.OPTIONAL);
    public static final JWEAlgorithm o = new JWEAlgorithm("A256GCMKW", Requirement.OPTIONAL);
    public static final JWEAlgorithm p = new JWEAlgorithm("PBES2-HS256+A128KW", Requirement.OPTIONAL);
    public static final JWEAlgorithm q = new JWEAlgorithm("PBES2-HS384+A192KW", Requirement.OPTIONAL);
    public static final JWEAlgorithm r = new JWEAlgorithm("PBES2-HS512+A256KW", Requirement.OPTIONAL);
    private static final long serialVersionUID = 1;

    public static final class Family extends AlgorithmFamily<JWEAlgorithm> {

        /* renamed from: a  reason: collision with root package name */
        public static final Family f2648a = new Family(JWEAlgorithm.b, JWEAlgorithm.c, JWEAlgorithm.d);
        public static final Family b = new Family(JWEAlgorithm.e, JWEAlgorithm.f, JWEAlgorithm.g);
        public static final Family c = new Family(JWEAlgorithm.i, JWEAlgorithm.j, JWEAlgorithm.k, JWEAlgorithm.l);
        public static final Family d = new Family(JWEAlgorithm.m, JWEAlgorithm.n, JWEAlgorithm.o);
        public static final Family e = new Family(JWEAlgorithm.p, JWEAlgorithm.q, JWEAlgorithm.r);
        public static final Family f = new Family((JWEAlgorithm[]) ArrayUtils.a((JWEAlgorithm[]) f2648a.toArray(new JWEAlgorithm[0]), (JWEAlgorithm[]) c.toArray(new JWEAlgorithm[0])));
        public static final Family g = new Family((JWEAlgorithm[]) ArrayUtils.a((JWEAlgorithm[]) b.toArray(new JWEAlgorithm[0]), (JWEAlgorithm[]) d.toArray(new JWEAlgorithm[0]), new JWEAlgorithm[]{JWEAlgorithm.h}));
        private static final long serialVersionUID = 1;

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [com.nimbusds.jose.Algorithm] */
        @Override // com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean a(JWEAlgorithm jWEAlgorithm) {
            return super.add(jWEAlgorithm);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.util.Collection] */
        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean addAll(Collection<? extends JWEAlgorithm> collection) {
            return super.addAll(collection);
        }

        @Override // com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean remove(Object obj) {
            return super.remove(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.AbstractSet, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean removeAll(Collection collection) {
            return super.removeAll(collection);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean retainAll(Collection collection) {
            return super.retainAll(collection);
        }

        public Family(JWEAlgorithm... jWEAlgorithmArr) {
            super(jWEAlgorithmArr);
        }
    }

    public JWEAlgorithm(String str, Requirement requirement) {
        super(str, requirement);
    }

    public JWEAlgorithm(String str) {
        super(str, null);
    }

    public static JWEAlgorithm a(String str) {
        if (str.equals(b.a())) {
            return b;
        }
        if (str.equals(c.a())) {
            return c;
        }
        if (str.equals(d.a())) {
            return d;
        }
        if (str.equals(e.a())) {
            return e;
        }
        if (str.equals(f.a())) {
            return f;
        }
        if (str.equals(g.a())) {
            return g;
        }
        if (str.equals(h.a())) {
            return h;
        }
        if (str.equals(i.a())) {
            return i;
        }
        if (str.equals(j.a())) {
            return j;
        }
        if (str.equals(k.a())) {
            return k;
        }
        if (str.equals(l.a())) {
            return l;
        }
        if (str.equals(m.a())) {
            return m;
        }
        if (str.equals(n.a())) {
            return n;
        }
        if (str.equals(o.a())) {
            return o;
        }
        if (str.equals(p.a())) {
            return p;
        }
        if (str.equals(q.a())) {
            return q;
        }
        if (str.equals(r.a())) {
            return r;
        }
        return new JWEAlgorithm(str);
    }
}
