package com.nimbusds.jose;

import com.nimbusds.jose.util.ArrayUtils;
import java.util.Collection;
import net.jcip.annotations.Immutable;

@Immutable
public final class JWSAlgorithm extends Algorithm {
    public static final JWSAlgorithm b = new JWSAlgorithm("HS256", Requirement.REQUIRED);
    public static final JWSAlgorithm c = new JWSAlgorithm("HS384", Requirement.OPTIONAL);
    public static final JWSAlgorithm d = new JWSAlgorithm("HS512", Requirement.OPTIONAL);
    public static final JWSAlgorithm e = new JWSAlgorithm("RS256", Requirement.RECOMMENDED);
    public static final JWSAlgorithm f = new JWSAlgorithm("RS384", Requirement.OPTIONAL);
    public static final JWSAlgorithm g = new JWSAlgorithm("RS512", Requirement.OPTIONAL);
    public static final JWSAlgorithm h = new JWSAlgorithm("ES256", Requirement.RECOMMENDED);
    public static final JWSAlgorithm i = new JWSAlgorithm("ES384", Requirement.OPTIONAL);
    public static final JWSAlgorithm j = new JWSAlgorithm("ES512", Requirement.OPTIONAL);
    public static final JWSAlgorithm k = new JWSAlgorithm("PS256", Requirement.OPTIONAL);
    public static final JWSAlgorithm l = new JWSAlgorithm("PS384", Requirement.OPTIONAL);
    public static final JWSAlgorithm m = new JWSAlgorithm("PS512", Requirement.OPTIONAL);
    public static final JWSAlgorithm n = new JWSAlgorithm("EdDSA", Requirement.OPTIONAL);
    private static final long serialVersionUID = 1;

    public static final class Family extends AlgorithmFamily<JWSAlgorithm> {

        /* renamed from: a  reason: collision with root package name */
        public static final Family f2651a = new Family(JWSAlgorithm.b, JWSAlgorithm.c, JWSAlgorithm.d);
        public static final Family b = new Family(JWSAlgorithm.e, JWSAlgorithm.f, JWSAlgorithm.g, JWSAlgorithm.k, JWSAlgorithm.l, JWSAlgorithm.m);
        public static final Family c = new Family(JWSAlgorithm.h, JWSAlgorithm.i, JWSAlgorithm.j);
        public static final Family d = new Family(JWSAlgorithm.n);
        public static final Family e = new Family((JWSAlgorithm[]) ArrayUtils.a((JWSAlgorithm[]) b.toArray(new JWSAlgorithm[0]), (JWSAlgorithm[]) c.toArray(new JWSAlgorithm[0]), (JWSAlgorithm[]) d.toArray(new JWSAlgorithm[0])));
        private static final long serialVersionUID = 1;

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [com.nimbusds.jose.Algorithm] */
        @Override // com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean a(JWSAlgorithm jWSAlgorithm) {
            return super.add(jWSAlgorithm);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.util.Collection] */
        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean addAll(Collection<? extends JWSAlgorithm> collection) {
            return super.addAll(collection);
        }

        @Override // com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean remove(Object obj) {
            return super.remove(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.AbstractSet, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean removeAll(Collection collection) {
            return super.removeAll(collection);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, com.nimbusds.jose.AlgorithmFamily
        public /* bridge */ /* synthetic */ boolean retainAll(Collection collection) {
            return super.retainAll(collection);
        }

        public Family(JWSAlgorithm... jWSAlgorithmArr) {
            super(jWSAlgorithmArr);
        }
    }

    public JWSAlgorithm(String str, Requirement requirement) {
        super(str, requirement);
    }

    public JWSAlgorithm(String str) {
        super(str, null);
    }

    public static JWSAlgorithm a(String str) {
        if (str.equals(b.a())) {
            return b;
        }
        if (str.equals(c.a())) {
            return c;
        }
        if (str.equals(d.a())) {
            return d;
        }
        if (str.equals(e.a())) {
            return e;
        }
        if (str.equals(f.a())) {
            return f;
        }
        if (str.equals(g.a())) {
            return g;
        }
        if (str.equals(h.a())) {
            return h;
        }
        if (str.equals(i.a())) {
            return i;
        }
        if (str.equals(j.a())) {
            return j;
        }
        if (str.equals(k.a())) {
            return k;
        }
        if (str.equals(l.a())) {
            return l;
        }
        if (str.equals(m.a())) {
            return m;
        }
        if (str.equals(n.a())) {
            return n;
        }
        return new JWSAlgorithm(str);
    }
}
