package com.nimbusds.jose;

import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.StandardCharset;
import java.text.ParseException;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class JWSObject extends JOSEObject {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final JWSHeader f2654a;
    private final String b;
    private Base64URL c;
    private State d;

    public enum State {
        UNSIGNED,
        SIGNED,
        VERIFIED
    }

    public JWSObject(Base64URL base64URL, Base64URL base64URL2, Base64URL base64URL3) throws ParseException {
        if (base64URL != null) {
            try {
                this.f2654a = JWSHeader.a(base64URL);
                if (base64URL2 != null) {
                    a(new Payload(base64URL2));
                    this.b = a(base64URL, base64URL2);
                    if (base64URL3 != null) {
                        this.c = base64URL3;
                        this.d = State.SIGNED;
                        a(base64URL, base64URL2, base64URL3);
                        return;
                    }
                    throw new IllegalArgumentException("The third part must not be null");
                }
                throw new IllegalArgumentException("The second part must not be null");
            } catch (ParseException e) {
                throw new ParseException("Invalid JWS header: " + e.getMessage(), 0);
            }
        } else {
            throw new IllegalArgumentException("The first part must not be null");
        }
    }

    public JWSHeader c() {
        return this.f2654a;
    }

    private static String a(Base64URL base64URL, Base64URL base64URL2) {
        return String.valueOf(base64URL.toString()) + '.' + base64URL2.toString();
    }

    public byte[] d() {
        return this.b.getBytes(StandardCharset.f2701a);
    }

    public Base64URL e() {
        return this.c;
    }

    private void g() {
        if (this.d != State.SIGNED && this.d != State.VERIFIED) {
            throw new IllegalStateException("The JWS object must be in a signed or verified state");
        }
    }

    public synchronized boolean a(JWSVerifier jWSVerifier) throws JOSEException {
        boolean a2;
        g();
        try {
            a2 = jWSVerifier.a(c(), d(), e());
            if (a2) {
                this.d = State.VERIFIED;
            }
        } catch (JOSEException e) {
            throw e;
        } catch (Exception e2) {
            throw new JOSEException(e2.getMessage(), e2);
        }
        return a2;
    }

    public String f() {
        g();
        return String.valueOf(this.b) + '.' + this.c.toString();
    }
}
