package com.nimbusds.jose;

import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.JSONObjectUtils;
import com.nimbusds.jose.util.StandardCharset;
import com.nimbusds.jwt.SignedJWT;
import java.io.Serializable;
import java.text.ParseException;
import net.jcip.annotations.Immutable;
import net.minidev.json.JSONObject;

@Immutable
public final class Payload implements Serializable {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final Origin f2656a;
    private final JSONObject b;
    private final String c;
    private final byte[] d;
    private final Base64URL e;
    private final JWSObject f;
    private final SignedJWT g;

    public enum Origin {
        JSON,
        STRING,
        BYTE_ARRAY,
        BASE64URL,
        JWS_OBJECT,
        SIGNED_JWT
    }

    private static String a(byte[] bArr) {
        if (bArr != null) {
            return new String(bArr, StandardCharset.f2701a);
        }
        return null;
    }

    public Payload(Base64URL base64URL) {
        if (base64URL != null) {
            this.b = null;
            this.c = null;
            this.d = null;
            this.e = base64URL;
            this.f = null;
            this.g = null;
            this.f2656a = Origin.BASE64URL;
            return;
        }
        throw new IllegalArgumentException("The Base64URL-encoded object must not be null");
    }

    public JSONObject a() {
        if (this.b != null) {
            return this.b;
        }
        String payload = toString();
        if (payload == null) {
            return null;
        }
        try {
            return JSONObjectUtils.a(payload);
        } catch (ParseException unused) {
            return null;
        }
    }

    public String toString() {
        if (this.c != null) {
            return this.c;
        }
        if (this.f != null) {
            if (this.f.b() != null) {
                return this.f.b();
            }
            return this.f.f();
        } else if (this.b != null) {
            return this.b.toString();
        } else {
            if (this.d != null) {
                return a(this.d);
            }
            if (this.e != null) {
                return this.e.d();
            }
            return null;
        }
    }
}
