package com.nimbusds.jose.crypto;

import com.nimbusds.jose.EncryptionMethod;
import com.nimbusds.jose.JWEAlgorithm;
import com.nimbusds.jose.JWEProvider;
import com.nimbusds.jose.jca.JWEJCAContext;
import java.util.Collections;
import java.util.Set;

abstract class BaseJWEProvider implements JWEProvider {

    /* renamed from: a  reason: collision with root package name */
    private final Set<JWEAlgorithm> f2662a;
    private final Set<EncryptionMethod> b;
    private final JWEJCAContext c = new JWEJCAContext();

    public BaseJWEProvider(Set<JWEAlgorithm> set, Set<EncryptionMethod> set2) {
        if (set != null) {
            this.f2662a = Collections.unmodifiableSet(set);
            if (set2 != null) {
                this.b = set2;
                return;
            }
            throw new IllegalArgumentException("The supported encryption methods must not be null");
        }
        throw new IllegalArgumentException("The supported JWE algorithm set must not be null");
    }
}
