package com.nimbusds.jose.crypto;

import com.nimbusds.jose.JWSAlgorithm;
import com.nimbusds.jose.JWSProvider;
import com.nimbusds.jose.jca.JCAContext;
import java.util.Collections;
import java.util.Set;

abstract class BaseJWSProvider implements JWSProvider {

    /* renamed from: a  reason: collision with root package name */
    private final Set<JWSAlgorithm> f2663a;
    private final JCAContext b = new JCAContext();

    public BaseJWSProvider(Set<JWSAlgorithm> set) {
        if (set != null) {
            this.f2663a = Collections.unmodifiableSet(set);
            return;
        }
        throw new IllegalArgumentException("The supported JWS algorithm set must not be null");
    }

    public Set<JWSAlgorithm> a() {
        return this.f2663a;
    }

    public JCAContext b() {
        return this.b;
    }
}
