package com.nimbusds.jose.crypto.factories;

import com.nimbusds.jose.EncryptionMethod;
import com.nimbusds.jose.JWEAlgorithm;
import com.nimbusds.jose.crypto.AESDecrypter;
import com.nimbusds.jose.crypto.DirectDecrypter;
import com.nimbusds.jose.crypto.ECDHDecrypter;
import com.nimbusds.jose.crypto.PasswordBasedDecrypter;
import com.nimbusds.jose.crypto.RSADecrypter;
import com.nimbusds.jose.jca.JWEJCAContext;
import com.nimbusds.jose.proc.JWEDecrypterFactory;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.Set;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class DefaultJWEDecrypterFactory implements JWEDecrypterFactory {

    /* renamed from: a  reason: collision with root package name */
    public static final Set<JWEAlgorithm> f2676a;
    public static final Set<EncryptionMethod> b;
    private final JWEJCAContext c = new JWEJCAContext();

    static {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        linkedHashSet.addAll(RSADecrypter.f2674a);
        linkedHashSet.addAll(ECDHDecrypter.f2668a);
        linkedHashSet.addAll(DirectDecrypter.f2666a);
        linkedHashSet.addAll(AESDecrypter.f2660a);
        linkedHashSet.addAll(PasswordBasedDecrypter.f2673a);
        f2676a = Collections.unmodifiableSet(linkedHashSet);
        LinkedHashSet linkedHashSet2 = new LinkedHashSet();
        linkedHashSet2.addAll(RSADecrypter.b);
        linkedHashSet2.addAll(ECDHDecrypter.b);
        linkedHashSet2.addAll(DirectDecrypter.b);
        linkedHashSet2.addAll(AESDecrypter.b);
        linkedHashSet2.addAll(PasswordBasedDecrypter.b);
        b = Collections.unmodifiableSet(linkedHashSet2);
    }
}
