package com.nimbusds.jose.crypto.factories;

import com.nimbusds.jose.JWSAlgorithm;
import com.nimbusds.jose.crypto.ECDSAVerifier;
import com.nimbusds.jose.crypto.MACVerifier;
import com.nimbusds.jose.crypto.RSASSAVerifier;
import com.nimbusds.jose.jca.JCAContext;
import com.nimbusds.jose.proc.JWSVerifierFactory;
import java.util.Collections;
import java.util.LinkedHashSet;
import java.util.Set;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class DefaultJWSVerifierFactory implements JWSVerifierFactory {

    /* renamed from: a  reason: collision with root package name */
    public static final Set<JWSAlgorithm> f2677a;
    private final JCAContext b = new JCAContext();

    static {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        linkedHashSet.addAll(MACVerifier.f2671a);
        linkedHashSet.addAll(RSASSAVerifier.f2675a);
        linkedHashSet.addAll(ECDSAVerifier.f2669a);
        f2677a = Collections.unmodifiableSet(linkedHashSet);
    }
}
