package com.nimbusds.jose.jwk;

import java.io.Serializable;
import java.security.spec.ECParameterSpec;
import net.jcip.annotations.Immutable;

@Immutable
public final class Curve implements Serializable {

    /* renamed from: a  reason: collision with root package name */
    public static final Curve f2680a = new Curve("P-256", "secp256r1", "1.2.840.10045.3.1.7");
    public static final Curve b = new Curve("P-384", "secp384r1", "1.3.132.0.34");
    public static final Curve c = new Curve("P-521", "secp521r1", "1.3.132.0.35");
    public static final Curve d = new Curve("Ed25519", "Ed25519", null);
    public static final Curve e = new Curve("Ed448", "Ed448", null);
    public static final Curve f = new Curve("X25519", "X25519", null);
    public static final Curve g = new Curve("X448", "X448", null);
    private static final long serialVersionUID = 1;
    private final String h;
    private final String i;
    private final String j;

    public Curve(String str) {
        this(str, null, null);
    }

    public Curve(String str, String str2, String str3) {
        if (str != null) {
            this.h = str;
            this.i = str2;
            this.j = str3;
            return;
        }
        throw new IllegalArgumentException("The JOSE cryptographic curve name must not be null");
    }

    public String a() {
        return this.h;
    }

    public ECParameterSpec b() {
        return ECParameterTable.a(this);
    }

    public String toString() {
        return a();
    }

    public boolean equals(Object obj) {
        return (obj instanceof Curve) && toString().equals(obj.toString());
    }

    public static Curve a(String str) {
        if (str == null || str.trim().isEmpty()) {
            throw new IllegalArgumentException("The cryptographic curve string must not be null or empty");
        } else if (str.equals(f2680a.a())) {
            return f2680a;
        } else {
            if (str.equals(b.a())) {
                return b;
            }
            if (str.equals(c.a())) {
                return c;
            }
            if (str.equals(d.a())) {
                return d;
            }
            if (str.equals(e.a())) {
                return e;
            }
            if (str.equals(f.a())) {
                return f;
            }
            if (str.equals(g.a())) {
                return g;
            }
            return new Curve(str);
        }
    }
}
