package com.nimbusds.jose.jwk;

import com.nimbusds.jose.Requirement;
import java.io.Serializable;
import net.jcip.annotations.Immutable;
import net.minidev.json.JSONAware;
import net.minidev.json.JSONObject;

@Immutable
public final class KeyType implements Serializable, JSONAware {

    /* renamed from: a  reason: collision with root package name */
    public static final KeyType f2689a = new KeyType("EC", Requirement.RECOMMENDED);
    public static final KeyType b = new KeyType("RSA", Requirement.REQUIRED);
    public static final KeyType c = new KeyType("oct", Requirement.OPTIONAL);
    public static final KeyType d = new KeyType("OKP", Requirement.OPTIONAL);
    private static final long serialVersionUID = 1;
    private final String e;
    private final Requirement f;

    public KeyType(String str, Requirement requirement) {
        if (str != null) {
            this.e = str;
            this.f = requirement;
            return;
        }
        throw new IllegalArgumentException("The key type value must not be null");
    }

    public String a() {
        return this.e;
    }

    public int hashCode() {
        return this.e.hashCode();
    }

    public boolean equals(Object obj) {
        return obj != null && (obj instanceof KeyType) && toString().equals(obj.toString());
    }

    public String toString() {
        return this.e;
    }

    @Override // net.minidev.json.JSONAware
    public String b() {
        return "\"" + JSONObject.a(this.e) + '\"';
    }

    public static KeyType a(String str) {
        if (str.equals(f2689a.a())) {
            return f2689a;
        }
        if (str.equals(b.a())) {
            return b;
        }
        if (str.equals(c.a())) {
            return c;
        }
        if (str.equals(d.a())) {
            return d;
        }
        return new KeyType(str, null);
    }
}
