package com.nimbusds.jose.jwk;

import com.nimbusds.jose.Algorithm;
import com.nimbusds.jose.util.Base64;
import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.JSONObjectUtils;
import java.net.URI;
import java.security.KeyStore;
import java.text.ParseException;
import java.util.List;
import java.util.Set;
import net.jcip.annotations.Immutable;
import net.minidev.json.JSONObject;

@Immutable
public final class OctetSequenceKey extends JWK implements SecretJWK {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final Base64URL f2693a;

    public static class Builder {
    }

    /* renamed from: a */
    public OctetSequenceKey g() {
        return null;
    }

    public OctetSequenceKey(Base64URL base64URL, KeyUse keyUse, Set<KeyOperation> set, Algorithm algorithm, String str, URI uri, Base64URL base64URL2, Base64URL base64URL3, List<Base64> list, KeyStore keyStore) {
        super(KeyType.c, keyUse, set, algorithm, str, uri, base64URL2, base64URL3, list, keyStore);
        if (base64URL != null) {
            this.f2693a = base64URL;
            return;
        }
        throw new IllegalArgumentException("The key value must not be null");
    }

    @Override // com.nimbusds.jose.jwk.JWK
    public JSONObject f() {
        JSONObject f = super.f();
        f.put("k", this.f2693a.toString());
        return f;
    }

    public static OctetSequenceKey a(JSONObject jSONObject) throws ParseException {
        Base64URL base64URL = new Base64URL(JSONObjectUtils.b(jSONObject, "k"));
        if (JWKMetadata.a(jSONObject) == KeyType.c) {
            return new OctetSequenceKey(base64URL, JWKMetadata.b(jSONObject), JWKMetadata.c(jSONObject), JWKMetadata.d(jSONObject), JWKMetadata.e(jSONObject), JWKMetadata.f(jSONObject), JWKMetadata.g(jSONObject), JWKMetadata.h(jSONObject), JWKMetadata.i(jSONObject), null);
        }
        throw new ParseException("The key type \"kty\" must be oct", 0);
    }
}
