package com.nimbusds.jose.jwk;

import com.nimbusds.jose.Algorithm;
import com.nimbusds.jose.util.Base64;
import com.nimbusds.jose.util.Base64URL;
import com.nimbusds.jose.util.JSONObjectUtils;
import java.io.Serializable;
import java.net.URI;
import java.security.KeyStore;
import java.security.PrivateKey;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import net.jcip.annotations.Immutable;
import net.minidev.json.JSONArray;
import net.minidev.json.JSONObject;

@Immutable
public final class RSAKey extends JWK implements AssymetricJWK {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final Base64URL f2694a;
    private final Base64URL b;
    private final Base64URL c;
    private final Base64URL d;
    private final Base64URL e;
    private final Base64URL f;
    private final Base64URL g;
    private final Base64URL h;
    private final List<OtherPrimesInfo> i;
    private final PrivateKey j;

    public static class Builder {
    }

    @Immutable
    public static class OtherPrimesInfo implements Serializable {
        private static final long serialVersionUID = 1;

        /* renamed from: a  reason: collision with root package name */
        private final Base64URL f2695a;
        private final Base64URL b;
        private final Base64URL c;

        public OtherPrimesInfo(Base64URL base64URL, Base64URL base64URL2, Base64URL base64URL3) {
            if (base64URL != null) {
                this.f2695a = base64URL;
                if (base64URL2 != null) {
                    this.b = base64URL2;
                    if (base64URL3 != null) {
                        this.c = base64URL3;
                        return;
                    }
                    throw new IllegalArgumentException("The factor CRT coefficient must not be null");
                }
                throw new IllegalArgumentException("The factor CRT exponent must not be null");
            }
            throw new IllegalArgumentException("The prime factor must not be null");
        }
    }

    public RSAKey(Base64URL base64URL, Base64URL base64URL2, KeyUse keyUse, Set<KeyOperation> set, Algorithm algorithm, String str, URI uri, Base64URL base64URL3, Base64URL base64URL4, List<Base64> list, KeyStore keyStore) {
        this(base64URL, base64URL2, null, null, null, null, null, null, null, null, keyUse, set, algorithm, str, uri, base64URL3, base64URL4, list, keyStore);
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x006a A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0087 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00a6  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00cc  */
    public RSAKey(Base64URL base64URL, Base64URL base64URL2, Base64URL base64URL3, Base64URL base64URL4, Base64URL base64URL5, Base64URL base64URL6, Base64URL base64URL7, Base64URL base64URL8, List<OtherPrimesInfo> list, PrivateKey privateKey, KeyUse keyUse, Set<KeyOperation> set, Algorithm algorithm, String str, URI uri, Base64URL base64URL9, Base64URL base64URL10, List<Base64> list2, KeyStore keyStore) {
        super(KeyType.b, keyUse, set, algorithm, str, uri, base64URL9, base64URL10, list2, keyStore);
        Base64URL base64URL11;
        Base64URL base64URL12;
        Base64URL base64URL13;
        if (base64URL != null) {
            this.f2694a = base64URL;
            if (base64URL2 != null) {
                this.b = base64URL2;
                this.c = base64URL3;
                if (base64URL4 == null || base64URL5 == null) {
                    base64URL13 = base64URL6;
                    base64URL12 = base64URL7;
                    base64URL11 = base64URL8;
                    if (base64URL4 != null && base64URL5 == null && base64URL13 == null && base64URL12 == null && base64URL11 == null && list == null) {
                        this.d = null;
                        this.e = null;
                        this.f = null;
                        this.g = null;
                        this.h = null;
                        this.i = Collections.emptyList();
                    } else if (base64URL4 != null && base64URL5 == null && base64URL13 == null && base64URL12 == null && base64URL11 == null) {
                        this.d = null;
                        this.e = null;
                        this.f = null;
                        this.g = null;
                        this.h = null;
                        this.i = Collections.emptyList();
                    } else if (base64URL4 != null) {
                        throw new IllegalArgumentException("Incomplete second private (CRT) representation: The first prime factor must not be null");
                    } else if (base64URL5 == null) {
                        throw new IllegalArgumentException("Incomplete second private (CRT) representation: The second prime factor must not be null");
                    } else if (base64URL13 == null) {
                        throw new IllegalArgumentException("Incomplete second private (CRT) representation: The first factor CRT exponent must not be null");
                    } else if (base64URL12 == null) {
                        throw new IllegalArgumentException("Incomplete second private (CRT) representation: The second factor CRT exponent must not be null");
                    } else {
                        throw new IllegalArgumentException("Incomplete second private (CRT) representation: The first CRT coefficient must not be null");
                    }
                } else {
                    base64URL13 = base64URL6;
                    if (base64URL13 != null) {
                        base64URL12 = base64URL7;
                        if (base64URL12 != null) {
                            base64URL11 = base64URL8;
                            if (base64URL11 != null) {
                                this.d = base64URL4;
                                this.e = base64URL5;
                                this.f = base64URL13;
                                this.g = base64URL12;
                                this.h = base64URL11;
                                if (list != null) {
                                    this.i = Collections.unmodifiableList(list);
                                } else {
                                    this.i = Collections.emptyList();
                                }
                            }
                            if (base64URL4 != null) {
                            }
                            if (base64URL4 != null) {
                            }
                            if (base64URL4 != null) {
                            }
                        }
                        base64URL11 = base64URL8;
                        if (base64URL4 != null) {
                        }
                        if (base64URL4 != null) {
                        }
                        if (base64URL4 != null) {
                        }
                    }
                    base64URL12 = base64URL7;
                    base64URL11 = base64URL8;
                    if (base64URL4 != null) {
                    }
                    if (base64URL4 != null) {
                    }
                    if (base64URL4 != null) {
                    }
                }
                this.j = privateKey;
                return;
            }
            throw new IllegalArgumentException("The public exponent value must not be null");
        }
        throw new IllegalArgumentException("The modulus value must not be null");
    }

    public Base64URL a() {
        return this.f2694a;
    }

    public Base64URL c() {
        return this.b;
    }

    /* renamed from: d */
    public RSAKey g() {
        return new RSAKey(a(), c(), h(), i(), j(), k(), l(), m(), n(), o(), p());
    }

    @Override // com.nimbusds.jose.jwk.JWK
    public JSONObject f() {
        JSONObject f2 = super.f();
        f2.put("n", this.f2694a.toString());
        f2.put("e", this.b.toString());
        if (this.c != null) {
            f2.put("d", this.c.toString());
        }
        if (this.d != null) {
            f2.put("p", this.d.toString());
        }
        if (this.e != null) {
            f2.put("q", this.e.toString());
        }
        if (this.f != null) {
            f2.put("dp", this.f.toString());
        }
        if (this.g != null) {
            f2.put("dq", this.g.toString());
        }
        if (this.h != null) {
            f2.put("qi", this.h.toString());
        }
        if (this.i != null && !this.i.isEmpty()) {
            JSONArray jSONArray = new JSONArray();
            for (OtherPrimesInfo otherPrimesInfo : this.i) {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("r", otherPrimesInfo.f2695a.toString());
                jSONObject.put("d", otherPrimesInfo.b.toString());
                jSONObject.put("t", otherPrimesInfo.c.toString());
                jSONArray.add(jSONObject);
            }
            f2.put("oth", jSONArray);
        }
        return f2;
    }

    public static RSAKey a(JSONObject jSONObject) throws ParseException {
        ArrayList arrayList;
        Base64URL base64URL = new Base64URL(JSONObjectUtils.b(jSONObject, "n"));
        Base64URL base64URL2 = new Base64URL(JSONObjectUtils.b(jSONObject, "e"));
        if (KeyType.a(JSONObjectUtils.b(jSONObject, "kty")) == KeyType.b) {
            Base64URL base64URL3 = jSONObject.containsKey("d") ? new Base64URL(JSONObjectUtils.b(jSONObject, "d")) : null;
            Base64URL base64URL4 = jSONObject.containsKey("p") ? new Base64URL(JSONObjectUtils.b(jSONObject, "p")) : null;
            Base64URL base64URL5 = jSONObject.containsKey("q") ? new Base64URL(JSONObjectUtils.b(jSONObject, "q")) : null;
            Base64URL base64URL6 = jSONObject.containsKey("dp") ? new Base64URL(JSONObjectUtils.b(jSONObject, "dp")) : null;
            Base64URL base64URL7 = jSONObject.containsKey("dq") ? new Base64URL(JSONObjectUtils.b(jSONObject, "dq")) : null;
            Base64URL base64URL8 = jSONObject.containsKey("qi") ? new Base64URL(JSONObjectUtils.b(jSONObject, "qi")) : null;
            if (jSONObject.containsKey("oth")) {
                JSONArray d2 = JSONObjectUtils.d(jSONObject, "oth");
                arrayList = new ArrayList(d2.size());
                Iterator it = d2.iterator();
                while (it.hasNext()) {
                    Object next = it.next();
                    if (next instanceof JSONObject) {
                        JSONObject jSONObject2 = (JSONObject) next;
                        arrayList.add(new OtherPrimesInfo(new Base64URL(JSONObjectUtils.b(jSONObject2, "r")), new Base64URL(JSONObjectUtils.b(jSONObject2, "dq")), new Base64URL(JSONObjectUtils.b(jSONObject2, "t"))));
                    }
                }
            } else {
                arrayList = null;
            }
            try {
                return new RSAKey(base64URL, base64URL2, base64URL3, base64URL4, base64URL5, base64URL6, base64URL7, base64URL8, arrayList, null, JWKMetadata.b(jSONObject), JWKMetadata.c(jSONObject), JWKMetadata.d(jSONObject), JWKMetadata.e(jSONObject), JWKMetadata.f(jSONObject), JWKMetadata.g(jSONObject), JWKMetadata.h(jSONObject), JWKMetadata.i(jSONObject), null);
            } catch (IllegalArgumentException e2) {
                throw new ParseException(e2.getMessage(), 0);
            }
        } else {
            throw new ParseException("The key type \"kty\" must be RSA", 0);
        }
    }
}
