package com.nimbusds.jose.proc;

import com.nimbusds.jose.JOSEException;
import com.nimbusds.jose.crypto.factories.DefaultJWEDecrypterFactory;
import com.nimbusds.jose.crypto.factories.DefaultJWSVerifierFactory;
import com.nimbusds.jose.proc.SecurityContext;
import net.jcip.annotations.ThreadSafe;

@ThreadSafe
public class DefaultJOSEProcessor<C extends SecurityContext> implements ConfigurableJOSEProcessor<C> {

    /* renamed from: a  reason: collision with root package name */
    private static final BadJOSEException f2696a = new BadJOSEException("Unsecured (plain) JOSE objects are rejected, extend class to handle");
    private static final BadJOSEException b = new BadJOSEException("JWS object rejected: No JWS key selector is configured");
    private static final BadJOSEException c = new BadJOSEException("JWE object rejected: No JWE key selector is configured");
    private static final JOSEException d = new JOSEException("No JWS verifier is configured");
    private static final JOSEException e = new JOSEException("No JWE decrypter is configured");
    private static final BadJOSEException f = new BadJOSEException("JWS object rejected: Another algorithm expected, or no matching key(s) found");
    private static final BadJOSEException g = new BadJOSEException("JWE object rejected: Another algorithm expected, or no matching key(s) found");
    private static final BadJOSEException h = new BadJWSException("JWS object rejected: Invalid signature");
    private static final BadJOSEException i = new BadJOSEException("JWS object rejected: No matching verifier(s) found");
    private static final BadJOSEException j = new BadJOSEException("JWE object rejected: No matching decrypter(s) found");
    private JWSVerifierFactory k = new DefaultJWSVerifierFactory();
    private JWEDecrypterFactory l = new DefaultJWEDecrypterFactory();
}
