package com.nimbusds.jose.util;

import java.io.IOException;
import java.io.InputStream;

public class BoundedInputStream extends InputStream {

    /* renamed from: a  reason: collision with root package name */
    private final InputStream f2700a;
    private final long b;
    private long c;
    private long d;
    private boolean e;

    @Override // java.io.InputStream
    public int read() throws IOException {
        if (this.b < 0 || this.c < this.b) {
            int read = this.f2700a.read();
            this.c++;
            return read;
        }
        throw new IOException("Exceeded configured input limit of " + this.b + " bytes");
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr) throws IOException {
        return read(bArr, 0, bArr.length);
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i, int i2) throws IOException {
        if (this.b < 0 || this.c < this.b) {
            int read = this.f2700a.read(bArr, i, i2);
            if (read == -1) {
                return -1;
            }
            this.c += (long) read;
            if (this.b < 0 || this.c < this.b) {
                return read;
            }
            throw new IOException("Exceeded configured input limit of " + this.b + " bytes");
        }
        throw new IOException("Exceeded configured input limit of " + this.b + " bytes");
    }

    @Override // java.io.InputStream
    public long skip(long j) throws IOException {
        if (this.b >= 0) {
            j = Math.min(j, this.b - this.c);
        }
        long skip = this.f2700a.skip(j);
        this.c += skip;
        return skip;
    }

    @Override // java.io.InputStream
    public int available() throws IOException {
        if (this.b < 0 || this.c < this.b) {
            return this.f2700a.available();
        }
        return 0;
    }

    public String toString() {
        return this.f2700a.toString();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() throws IOException {
        if (this.e) {
            this.f2700a.close();
        }
    }

    @Override // java.io.InputStream
    public synchronized void reset() throws IOException {
        this.f2700a.reset();
        this.c = this.d;
    }

    public synchronized void mark(int i) {
        this.f2700a.mark(i);
        this.d = this.c;
    }

    public boolean markSupported() {
        return this.f2700a.markSupported();
    }
}
