package com.nimbusds.jwt.proc;

import com.nimbusds.jose.JOSEException;
import com.nimbusds.jose.crypto.factories.DefaultJWEDecrypterFactory;
import com.nimbusds.jose.crypto.factories.DefaultJWSVerifierFactory;
import com.nimbusds.jose.proc.BadJOSEException;
import com.nimbusds.jose.proc.BadJWSException;
import com.nimbusds.jose.proc.JWEDecrypterFactory;
import com.nimbusds.jose.proc.JWSVerifierFactory;
import com.nimbusds.jose.proc.SecurityContext;

public class DefaultJWTProcessor<C extends SecurityContext> implements ConfigurableJWTProcessor<C> {

    /* renamed from: a  reason: collision with root package name */
    private static final BadJOSEException f2705a = new BadJOSEException("Unsecured (plain) JWTs are rejected, extend class to handle");
    private static final BadJOSEException b = new BadJOSEException("Signed JWT rejected: No JWS key selector is configured");
    private static final BadJOSEException c = new BadJOSEException("Encrypted JWT rejected: No JWE key selector is configured");
    private static final JOSEException d = new JOSEException("No JWS verifier is configured");
    private static final JOSEException e = new JOSEException("No JWE decrypter is configured");
    private static final BadJOSEException f = new BadJOSEException("Signed JWT rejected: Another algorithm expected, or no matching key(s) found");
    private static final BadJOSEException g = new BadJOSEException("Encrypted JWT rejected: Another algorithm expected, or no matching key(s) found");
    private static final BadJOSEException h = new BadJWSException("Signed JWT rejected: Invalid signature");
    private static final BadJWTException i = new BadJWTException("The payload is not a nested signed JWT");
    private static final BadJOSEException j = new BadJOSEException("JWS object rejected: No matching verifier(s) found");
    private static final BadJOSEException k = new BadJOSEException("Encrypted JWT rejected: No matching decrypter(s) found");
    private JWSVerifierFactory l = new DefaultJWSVerifierFactory();
    private JWEDecrypterFactory m = new DefaultJWEDecrypterFactory();
    private JWTClaimsSetVerifier<C> n = new DefaultJWTClaimsVerifier();
    private JWTClaimsVerifier o = null;
}
