package com.pgyersdk.d;

import android.app.ActivityManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.wifi.WifiConfiguration;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Environment;
import android.os.StatFs;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import com.pgyersdk.utils.l;
import com.tencent.smtt.sdk.WebView;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;

/* compiled from: DeviceHelper */
public class a {

    /* renamed from: a  reason: collision with root package name */
    static String f2730a = "";
    public static C0015a b = null;
    private static boolean c = false;

    /* access modifiers changed from: package-private */
    /* renamed from: com.pgyersdk.d.a$a  reason: collision with other inner class name */
    /* compiled from: DeviceHelper */
    public class C0015a extends BroadcastReceiver {
        C0015a() {
        }

        public void onReceive(Context context, Intent intent) {
            if ("android.intent.action.BATTERY_CHANGED".equals(intent.getAction())) {
                int intExtra = intent.getIntExtra("level", 0);
                int intExtra2 = intent.getIntExtra("scale", 100);
                a.f2730a = ((intExtra * 100) / intExtra2) + "%";
            }
        }
    }

    public static Map<String, String> a(Context context) {
        HashMap hashMap = new HashMap();
        if (!l.a().a(context, "android.permission.INTERNET") || !l.a().a(context, "android.permission.ACCESS_NETWORK_STATE")) {
            hashMap.put("network_permission", "false");
            return hashMap;
        }
        hashMap.put("network_permission", "true");
        NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
        if (activeNetworkInfo == null || activeNetworkInfo.getState() != NetworkInfo.State.CONNECTED) {
            hashMap.put("network_state", "false");
        } else {
            hashMap.put("network_state", "true");
            hashMap.put("network_type", activeNetworkInfo.getTypeName());
            if (activeNetworkInfo.getType() == 0) {
                hashMap.put("network_subtype", activeNetworkInfo.getSubtypeName());
                hashMap.put("network_apn", activeNetworkInfo.getExtraInfo());
            } else if (activeNetworkInfo.getType() == 1) {
                a(context, hashMap);
            }
        }
        return hashMap;
    }

    public static Map<String, String> a(Context context, Map<String, String> map) {
        if (map == null) {
            map = new HashMap<>();
        }
        if (l.a().a(context, "android.permission.ACCESS_WIFI_STATE")) {
            map.put("wifi_permission", "true");
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            WifiInfo connectionInfo = wifiManager.getConnectionInfo();
            map.put("wifi_mac_address", connectionInfo.getMacAddress());
            if (wifiManager.getWifiState() == 3) {
                map.put("wifi_state", "true");
                map.put("wifi_ip_address", a(connectionInfo.getIpAddress()));
                map.put("wifi_ssid", connectionInfo.getSSID());
                map.put("wifi_bssid", connectionInfo.getBSSID());
                map.put("wifi_rssi", connectionInfo.getRssi() + "dB");
                map.put("wifi_link_speed", connectionInfo.getLinkSpeed() + "Mbps");
                List<WifiConfiguration> configuredNetworks = wifiManager.getConfiguredNetworks();
                if (configuredNetworks == null) {
                    map.put("wifi_state", "false");
                    return map;
                }
                int size = configuredNetworks.size();
                for (int i = 0; i < size; i++) {
                    map.put("wifi_config_" + i, configuredNetworks.get(i).toString());
                }
            } else {
                map.put("wifi_state", "false");
            }
            return map;
        }
        map.put("wifi_permission", "false");
        return map;
    }

    public static String[] b(Context context) {
        long j;
        ActivityManager.MemoryInfo memoryInfo = new ActivityManager.MemoryInfo();
        ((ActivityManager) context.getSystemService("activity")).getMemoryInfo(memoryInfo);
        if (Build.VERSION.SDK_INT < 16) {
            j = 0;
            try {
                BufferedReader bufferedReader = new BufferedReader(new FileReader("/proc/meminfo"), 8192);
                while (true) {
                    String readLine = bufferedReader.readLine();
                    if (readLine == null) {
                        break;
                    } else if (readLine != null && readLine.contains("MemTotal")) {
                        j = 1024 * Long.parseLong(Pattern.compile("[^0-9]").matcher(readLine).replaceAll("").trim());
                    }
                }
                bufferedReader.close();
            } catch (IOException e) {
                l.a().a("DeviceHelper", e);
            }
        } else {
            j = memoryInfo.totalMem;
        }
        return new String[]{l.a().a(j), l.a().a(memoryInfo.availMem)};
    }

    public static String[] a() {
        long j;
        long j2;
        long j3;
        String[] strArr = {"0", "0"};
        StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
        if (Build.VERSION.SDK_INT < 18) {
            j2 = (long) statFs.getBlockSize();
            j = (long) statFs.getBlockCount();
            j3 = (long) statFs.getAvailableBlocks();
        } else {
            j2 = statFs.getBlockSizeLong();
            j = statFs.getBlockCountLong();
            j3 = statFs.getAvailableBlocksLong();
        }
        strArr[0] = l.a().a(j * j2);
        strArr[1] = l.a().a(j2 * j3);
        return strArr;
    }

    public static String[] b() {
        long j;
        long j2;
        long j3;
        String[] strArr = {"0", "0"};
        if ("mounted".equals(Environment.getExternalStorageState())) {
            StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
            if (Build.VERSION.SDK_INT < 18) {
                j2 = (long) statFs.getBlockSize();
                j = (long) statFs.getBlockCount();
                j3 = (long) statFs.getAvailableBlocks();
            } else {
                j2 = statFs.getBlockSizeLong();
                j = statFs.getBlockCountLong();
                j3 = statFs.getAvailableBlocksLong();
            }
            strArr[0] = l.a().a(j * j2);
            strArr[1] = l.a().a(j2 * j3);
        }
        return strArr;
    }

    public static String[] c(Context context) {
        DisplayMetrics d = d(context);
        return new String[]{d.widthPixels + "*" + d.heightPixels, String.valueOf(d.density), String.valueOf(d.densityDpi)};
    }

    public static DisplayMetrics d(Context context) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics;
    }

    private static String a(int i) {
        return (i & WebView.NORMAL_MODE_ALPHA) + "." + ((i >> 8) & WebView.NORMAL_MODE_ALPHA) + "." + ((i >> 16) & WebView.NORMAL_MODE_ALPHA) + "." + ((i >> 24) & WebView.NORMAL_MODE_ALPHA);
    }

    public static boolean c() {
        return Environment.getExternalStorageState().equals("mounted");
    }

    /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
    public synchronized void e(Context context) {
        if (!c) {
            IntentFilter intentFilter = new IntentFilter("android.intent.action.BATTERY_CHANGED");
            b = new C0015a();
            context.registerReceiver(b, intentFilter);
            c = true;
        }
    }

    public static synchronized void f(Context context) {
        synchronized (a.class) {
            if (!(b == null || context == null)) {
                try {
                    context.unregisterReceiver(b);
                    b = null;
                    c = false;
                } catch (Exception unused) {
                }
            }
        }
    }

    public static String g(Context context) {
        return f2730a;
    }

    public static String h(Context context) {
        int intValue = Integer.valueOf(c(context)[2]).intValue();
        if (intValue < 160) {
            return "mdpi";
        }
        if (intValue >= 160 && intValue <= 240) {
            return "hdpi";
        }
        if (intValue <= 240 || intValue > 320) {
            return (intValue <= 320 || intValue > 480) ? "xxxhdpi" : "xxhdpi";
        }
        return "xhdpi";
    }
}
