package com.reactlibrary;

import android.content.Context;
import android.util.Log;
import com.alibaba.sdk.android.oss.OSS;
import com.alibaba.sdk.android.oss.OSSClient;
import com.alibaba.sdk.android.oss.common.auth.OSSCustomSignerCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSFederationCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSFederationToken;
import com.alibaba.sdk.android.oss.common.auth.OSSPlainTextAKSKCredentialProvider;
import com.alibaba.sdk.android.oss.common.auth.OSSStsTokenCredentialProvider;
import com.alibaba.sdk.android.oss.common.utils.IOUtils;
import com.facebook.react.bridge.ReadableMap;
import com.reactlibrary.utils.ConfigUtils;
import java.net.HttpURLConnection;
import java.net.URL;
import org.json.JSONObject;

public class AliyunAuthManager {

    /* renamed from: a  reason: collision with root package name */
    private OSS f2785a;
    private Context b;
    private AuthListener c;

    public interface AuthListener {
        void a(OSS oss);
    }

    public AliyunAuthManager(Context context, AuthListener authListener) {
        this.b = context;
        this.c = authListener;
    }

    public void a(final String str, final String str2, String str3, ReadableMap readableMap) {
        this.f2785a = new OSSClient(this.b, str3, new OSSCustomSignerCredentialProvider() {
            /* class com.reactlibrary.AliyunAuthManager.AnonymousClass1 */

            @Override // com.alibaba.sdk.android.oss.common.auth.OSSCustomSignerCredentialProvider
            public String a(String str) {
                return "OSS " + str2 + ":" + str;
            }
        }, ConfigUtils.a(readableMap));
        Log.d("AliyunOSS", "OSS initWithSigner ok!");
        this.c.a(this.f2785a);
    }

    public void b(String str, String str2, String str3, ReadableMap readableMap) {
        this.f2785a = new OSSClient(this.b, str3, new OSSPlainTextAKSKCredentialProvider(str, str2), ConfigUtils.a(readableMap));
        Log.d("AliyunOSS", "OSS initWithKey ok!");
        this.c.a(this.f2785a);
    }

    public void a(String str, String str2, String str3, String str4, ReadableMap readableMap) {
        this.f2785a = new OSSClient(this.b, str4, new OSSStsTokenCredentialProvider(str2, str3, str), ConfigUtils.a(readableMap));
        Log.d("AliyunOSS", "OSS initWithKey ok!");
        this.c.a(this.f2785a);
    }

    public void a(final String str, String str2, ReadableMap readableMap) {
        this.f2785a = new OSSClient(this.b, str2, new OSSFederationCredentialProvider() {
            /* class com.reactlibrary.AliyunAuthManager.AnonymousClass2 */

            @Override // com.alibaba.sdk.android.oss.common.auth.OSSCredentialProvider, com.alibaba.sdk.android.oss.common.auth.OSSFederationCredentialProvider
            public OSSFederationToken a() {
                try {
                    JSONObject jSONObject = new JSONObject(IOUtils.a(((HttpURLConnection) new URL(str).openConnection()).getInputStream(), "utf-8"));
                    return new OSSFederationToken(jSONObject.getString("AccessKeyId"), jSONObject.getString("AccessKeySecret"), jSONObject.getString("SecurityToken"), jSONObject.getString("Expiration"));
                } catch (Exception e) {
                    e.printStackTrace();
                    return null;
                }
            }
        }, ConfigUtils.a(readableMap));
        Log.d("AliyunOSS", "OSS initWithKey ok!");
        this.c.a(this.f2785a);
    }
}
