package com.reactlibrary;

import android.util.Log;
import com.alibaba.sdk.android.oss.ClientException;
import com.alibaba.sdk.android.oss.OSS;
import com.alibaba.sdk.android.oss.ServiceException;
import com.alibaba.sdk.android.oss.callback.OSSCompletedCallback;
import com.alibaba.sdk.android.oss.model.CopyObjectRequest;
import com.alibaba.sdk.android.oss.model.CopyObjectResult;
import com.alibaba.sdk.android.oss.model.DeleteObjectRequest;
import com.alibaba.sdk.android.oss.model.DeleteObjectResult;
import com.alibaba.sdk.android.oss.model.HeadObjectRequest;
import com.alibaba.sdk.android.oss.model.HeadObjectResult;
import com.alibaba.sdk.android.oss.model.ListObjectsRequest;
import com.alibaba.sdk.android.oss.model.ListObjectsResult;
import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.WritableMap;

public class AliyunObjectManager {

    /* renamed from: a  reason: collision with root package name */
    private OSS f2795a;

    public AliyunObjectManager(OSS oss) {
        this.f2795a = oss;
    }

    public void a(String str, String str2, final Promise promise) {
        this.f2795a.a(new HeadObjectRequest(str, str2), new OSSCompletedCallback<HeadObjectRequest, HeadObjectResult>() {
            /* class com.reactlibrary.AliyunObjectManager.AnonymousClass1 */

            public void a(HeadObjectRequest headObjectRequest, HeadObjectResult headObjectResult) {
                float e = (float) headObjectResult.a().e();
                String f = headObjectResult.a().f();
                Log.d("headObject", "object Size: " + headObjectResult.a().e());
                Log.d("headObject", "object Content Type: " + headObjectResult.a().f());
                WritableMap b2 = Arguments.b();
                b2.putDouble("objectSize", (double) e);
                b2.putString("objectContentType", f);
                promise.a(b2);
            }

            public void a(HeadObjectRequest headObjectRequest, ClientException clientException, ServiceException serviceException) {
                PromiseExceptionManager.a(clientException, serviceException, promise);
            }
        });
    }

    public void b(String str, String str2, Promise promise) {
        try {
            if (this.f2795a.a(str, str2)) {
                Log.d("doesObjectExist", "object exist.");
                promise.a("object exist");
                return;
            }
            Log.d("doesObjectExist", "object does not exist.");
            promise.a("object does not exist");
        } catch (ClientException e) {
            e.printStackTrace();
            promise.a((Throwable) e);
        } catch (ServiceException e2) {
            Log.e("ErrorCode", e2.c());
            Log.e("RequestId", e2.d());
            Log.e("HostId", e2.e());
            Log.e("RawMessage", e2.f());
            promise.a((Throwable) e2);
        }
    }

    public void a(String str, ReadableMap readableMap, final Promise promise) {
        ListObjectsRequest listObjectsRequest = new ListObjectsRequest(str);
        if (readableMap.a("prefix")) {
            listObjectsRequest.b(readableMap.f("prefix"));
        }
        if (readableMap.a("delimiter")) {
            listObjectsRequest.d(readableMap.f("delimiter"));
        }
        if (readableMap.a("marker")) {
            listObjectsRequest.c(readableMap.f("delimiter"));
        }
        if (readableMap.a("maxkeys")) {
            listObjectsRequest.a(Integer.valueOf(readableMap.e(String.valueOf(readableMap.e("maxkeys")))));
        }
        this.f2795a.a(listObjectsRequest, new OSSCompletedCallback<ListObjectsRequest, ListObjectsResult>() {
            /* class com.reactlibrary.AliyunObjectManager.AnonymousClass2 */

            public void a(ListObjectsRequest listObjectsRequest, ListObjectsResult listObjectsResult) {
                Log.d("AyncListObjects", "Success!");
                WritableMap b2 = Arguments.b();
                for (int i = 0; i < listObjectsResult.a().size(); i++) {
                    b2.putString("objectKey" + i, listObjectsResult.a().get(i).a());
                    Log.d("AyncListObjects", "object: " + listObjectsResult.a().get(i).a() + " " + listObjectsResult.a().get(i).b() + " " + listObjectsResult.a().get(i).c());
                }
                promise.a(b2);
            }

            public void a(ListObjectsRequest listObjectsRequest, ClientException clientException, ServiceException serviceException) {
                PromiseExceptionManager.a(clientException, serviceException, promise);
            }
        });
    }

    public void a(String str, String str2, String str3, String str4, ReadableMap readableMap, final Promise promise) {
        this.f2795a.a(new CopyObjectRequest(str, str2, str3, str4), new OSSCompletedCallback<CopyObjectRequest, CopyObjectResult>() {
            /* class com.reactlibrary.AliyunObjectManager.AnonymousClass3 */

            public void a(CopyObjectRequest copyObjectRequest, CopyObjectResult copyObjectResult) {
                Log.d("copyObject", "copy success!");
                promise.a((Object) "copy success!");
            }

            public void a(CopyObjectRequest copyObjectRequest, ClientException clientException, ServiceException serviceException) {
                PromiseExceptionManager.a(clientException, serviceException, promise);
            }
        });
    }

    public void c(String str, String str2, final Promise promise) {
        this.f2795a.a(new DeleteObjectRequest(str, str2), new OSSCompletedCallback<DeleteObjectRequest, DeleteObjectResult>() {
            /* class com.reactlibrary.AliyunObjectManager.AnonymousClass4 */

            public void a(DeleteObjectRequest deleteObjectRequest, DeleteObjectResult deleteObjectResult) {
                Log.d("asyncCopyAndDelObject", "success!");
                promise.a((Object) "delete success!");
            }

            public void a(DeleteObjectRequest deleteObjectRequest, ClientException clientException, ServiceException serviceException) {
                PromiseExceptionManager.a(clientException, serviceException, promise);
            }
        });
    }
}
