package com.tencent.smtt.sdk;

import android.content.Context;
import android.os.Looper;
import android.webkit.ValueCallback;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsError;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsValue;
import com.tencent.smtt.export.external.jscore.interfaces.IX5JsVirtualMachine;
import java.lang.ref.WeakReference;
import java.net.URL;
import java.util.HashSet;
import java.util.Iterator;

public final class JsVirtualMachine {

    /* renamed from: a  reason: collision with root package name */
    private final Context f2972a;
    private final IX5JsVirtualMachine b;
    private final HashSet<WeakReference<a>> c;

    private static class a implements IX5JsContext {

        /* renamed from: a  reason: collision with root package name */
        private WebView f2973a;

        public a(Context context) {
            this.f2973a = new WebView(context);
            this.f2973a.getSettings().setJavaScriptEnabled(true);
        }

        public void a() {
            if (this.f2973a != null) {
                this.f2973a.onPause();
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void addJavascriptInterface(Object obj, String str) {
            if (this.f2973a != null) {
                this.f2973a.addJavascriptInterface(obj, str);
                this.f2973a.loadUrl("about:blank");
            }
        }

        public void b() {
            if (this.f2973a != null) {
                this.f2973a.onResume();
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void destroy() {
            if (this.f2973a != null) {
                this.f2973a.clearHistory();
                this.f2973a.clearCache(true);
                this.f2973a.loadUrl("about:blank");
                this.f2973a.freeMemory();
                this.f2973a.pauseTimers();
                this.f2973a.destroy();
                this.f2973a = null;
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void evaluateJavascript(String str, final ValueCallback<String> valueCallback, URL url) {
            if (this.f2973a != null) {
                this.f2973a.evaluateJavascript(str, valueCallback == null ? null : new ValueCallback<String>() {
                    /* class com.tencent.smtt.sdk.JsVirtualMachine.a.AnonymousClass1 */

                    /* renamed from: a */
                    public void onReceiveValue(String str) {
                        valueCallback.onReceiveValue(str);
                    }
                });
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public IX5JsValue evaluateScript(String str, URL url) {
            if (this.f2973a == null) {
                return null;
            }
            this.f2973a.evaluateJavascript(str, null);
            return null;
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void evaluateScriptAsync(String str, final ValueCallback<IX5JsValue> valueCallback, URL url) {
            if (this.f2973a != null) {
                this.f2973a.evaluateJavascript(str, valueCallback == null ? null : new ValueCallback<String>() {
                    /* class com.tencent.smtt.sdk.JsVirtualMachine.a.AnonymousClass2 */

                    /* renamed from: a */
                    public void onReceiveValue(String str) {
                        valueCallback.onReceiveValue(null);
                    }
                });
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public byte[] getNativeBuffer(int i) {
            return null;
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public int getNativeBufferId() {
            return -1;
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void removeJavascriptInterface(String str) {
            if (this.f2973a != null) {
                this.f2973a.removeJavascriptInterface(str);
            }
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void setExceptionHandler(ValueCallback<IX5JsError> valueCallback) {
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void setName(String str) {
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public int setNativeBuffer(int i, byte[] bArr) {
            return -1;
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void setPerContextData(Object obj) {
        }

        @Override // com.tencent.smtt.export.external.jscore.interfaces.IX5JsContext
        public void stealValueFromOtherCtx(String str, IX5JsContext iX5JsContext, String str2) {
        }
    }

    public JsVirtualMachine(Context context) {
        this(context, null);
    }

    public JsVirtualMachine(Context context, Looper looper) {
        this.c = new HashSet<>();
        this.f2972a = context;
        this.b = X5JsCore.a(context, looper);
    }

    /* access modifiers changed from: protected */
    public IX5JsContext a() {
        if (this.b != null) {
            return this.b.createJsContext();
        }
        a aVar = new a(this.f2972a);
        this.c.add(new WeakReference<>(aVar));
        return aVar;
    }

    public void destroy() {
        if (this.b != null) {
            this.b.destroy();
            return;
        }
        Iterator<WeakReference<a>> it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference<a> next = it.next();
            if (next.get() != null) {
                next.get().destroy();
            }
        }
    }

    public Looper getLooper() {
        return this.b != null ? this.b.getLooper() : Looper.myLooper();
    }

    public boolean isFallback() {
        return this.b == null;
    }

    public void onPause() {
        if (this.b != null) {
            this.b.onPause();
            return;
        }
        Iterator<WeakReference<a>> it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference<a> next = it.next();
            if (next.get() != null) {
                next.get().a();
            }
        }
    }

    public void onResume() {
        if (this.b != null) {
            this.b.onResume();
            return;
        }
        Iterator<WeakReference<a>> it = this.c.iterator();
        while (it.hasNext()) {
            WeakReference<a> next = it.next();
            if (next.get() != null) {
                next.get().b();
            }
        }
    }
}
