package com.tencent.smtt.sdk;

import android.content.Context;
import com.tencent.smtt.utils.TbsLog;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

public abstract class TbsBaseConfig {
    public static final String TAG = "TbsBaseConfig";

    /* renamed from: a  reason: collision with root package name */
    Map<String, String> f3013a;
    private Context b;

    private static File a(Context context, String str) {
        p.a();
        File t = p.t(context);
        if (t == null) {
            return null;
        }
        File file = new File(t, str);
        if (file.exists()) {
            return file;
        }
        try {
            file.createNewFile();
            return file;
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }

    public void clear() {
        this.f3013a.clear();
        commit();
    }

    public synchronized void commit() {
        writeTbsDownloadInfo();
    }

    public abstract String getConfigFileName();

    public void init(Context context) {
        this.f3013a = new HashMap();
        this.b = context.getApplicationContext();
        if (this.b == null) {
            this.b = context;
        }
        refreshSyncMap(context);
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x005e A[SYNTHETIC, Splitter:B:26:0x005e] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x006b A[SYNTHETIC, Splitter:B:34:0x006b] */
    public synchronized void refreshSyncMap(Context context) {
        Throwable th;
        BufferedInputStream bufferedInputStream;
        Throwable th2;
        try {
            File a2 = a(this.b, getConfigFileName());
            if (a2 != null) {
                this.f3013a.clear();
                bufferedInputStream = new BufferedInputStream(new FileInputStream(a2));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    for (String str : properties.stringPropertyNames()) {
                        this.f3013a.put(str, properties.getProperty(str));
                    }
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e) {
                        e = e;
                    }
                } catch (Throwable th3) {
                    th2 = th3;
                    try {
                        th2.printStackTrace();
                        if (bufferedInputStream != null) {
                        }
                    } catch (Throwable th4) {
                        th = th4;
                        if (bufferedInputStream != null) {
                        }
                        throw th;
                    }
                }
            }
            return;
        } catch (Throwable th5) {
            bufferedInputStream = null;
            th = th5;
            if (bufferedInputStream != null) {
                try {
                    bufferedInputStream.close();
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
            throw th;
        }
        e.printStackTrace();
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00b7 A[SYNTHETIC, Splitter:B:42:0x00b7] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00c1 A[SYNTHETIC, Splitter:B:47:0x00c1] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00ce A[SYNTHETIC, Splitter:B:55:0x00ce] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x00d8 A[SYNTHETIC, Splitter:B:60:0x00d8] */
    public synchronized void writeTbsDownloadInfo() {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        BufferedOutputStream bufferedOutputStream;
        Throwable th2;
        TbsLog.i(TAG, "writeTbsDownloadInfo #1");
        BufferedInputStream bufferedInputStream2 = null;
        r0 = null;
        BufferedOutputStream bufferedOutputStream2 = null;
        try {
            File a2 = a(this.b, getConfigFileName());
            if (a2 != null) {
                bufferedInputStream = new BufferedInputStream(new FileInputStream(a2));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    properties.clear();
                    for (String str : this.f3013a.keySet()) {
                        String str2 = this.f3013a.get(str);
                        properties.setProperty(str, "" + ((Object) str2));
                        TbsLog.i(TAG, "writeTbsDownloadInfo key is " + str + " value is " + ((Object) str2));
                    }
                    this.f3013a.clear();
                    BufferedOutputStream bufferedOutputStream3 = new BufferedOutputStream(new FileOutputStream(a2));
                    try {
                        properties.store(bufferedOutputStream3, (String) null);
                        try {
                            bufferedInputStream.close();
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        try {
                            bufferedOutputStream3.close();
                        } catch (Exception e2) {
                            e = e2;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        bufferedOutputStream2 = bufferedOutputStream3;
                        if (bufferedInputStream != null) {
                        }
                        if (bufferedOutputStream2 != null) {
                        }
                        throw th;
                    }
                } catch (Throwable th4) {
                    th = th4;
                    if (bufferedInputStream != null) {
                    }
                    if (bufferedOutputStream2 != null) {
                    }
                    throw th;
                }
            }
            return;
        } catch (Throwable th5) {
            th = th5;
            bufferedInputStream = null;
            if (bufferedInputStream != null) {
                try {
                    bufferedInputStream.close();
                } catch (Exception e3) {
                    e3.printStackTrace();
                }
            }
            if (bufferedOutputStream2 != null) {
                try {
                    bufferedOutputStream2.close();
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
            }
            throw th;
        }
        e.printStackTrace();
    }
}
