package com.tencent.smtt.sdk;

import android.content.Context;
import android.content.SharedPreferences;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.utils.TbsLog;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

public class TbsDownloadUpload {
    private static TbsDownloadUpload b;

    /* renamed from: a  reason: collision with root package name */
    Map<String, Object> f3017a = new HashMap();
    private Context c;
    private int d;
    private int e;
    private int f;
    private int g;
    private int h;
    private int i;
    public SharedPreferences mPreferences;

    public interface TbsUploadKey {
        public static final String KEY_LOCAL_CORE_VERSION = "tbs_local_core_version";
        public static final String KEY_NEEDDOWNLOAD_CODE = "tbs_needdownload_code";
        public static final String KEY_NEEDDOWNLOAD_RETURN = "tbs_needdownload_return";
        public static final String KEY_NEEDDOWNLOAD_SENT = "tbs_needdownload_sent";
        public static final String KEY_STARTDOWNLOAD_CODE = "tbs_startdownload_code";
        public static final String KEY_STARTDOWNLOAD_SENT = "tbs_startdownload_sent";
    }

    public TbsDownloadUpload(Context context) {
        this.mPreferences = context.getSharedPreferences("tbs_download_upload", 4);
        this.c = context.getApplicationContext();
        if (this.c == null) {
            this.c = context;
        }
    }

    private static File a(Context context, String str) {
        p.a();
        File t = p.t(context);
        if (t == null) {
            return null;
        }
        File file = new File(t, str);
        if (file.exists()) {
            return file;
        }
        try {
            file.createNewFile();
            return file;
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static synchronized void clear() {
        synchronized (TbsDownloadUpload.class) {
            b = null;
        }
    }

    public static synchronized TbsDownloadUpload getInstance() {
        TbsDownloadUpload tbsDownloadUpload;
        synchronized (TbsDownloadUpload.class) {
            tbsDownloadUpload = b;
        }
        return tbsDownloadUpload;
    }

    public static synchronized TbsDownloadUpload getInstance(Context context) {
        TbsDownloadUpload tbsDownloadUpload;
        synchronized (TbsDownloadUpload.class) {
            if (b == null) {
                b = new TbsDownloadUpload(context);
            }
            tbsDownloadUpload = b;
        }
        return tbsDownloadUpload;
    }

    public void clearUploadCode() {
        this.f3017a.put(TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, 0);
        this.f3017a.put(TbsUploadKey.KEY_STARTDOWNLOAD_CODE, 0);
        this.f3017a.put(TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, 0);
        this.f3017a.put(TbsUploadKey.KEY_NEEDDOWNLOAD_SENT, 0);
        this.f3017a.put(TbsUploadKey.KEY_STARTDOWNLOAD_SENT, 0);
        this.f3017a.put(TbsUploadKey.KEY_LOCAL_CORE_VERSION, 0);
        writeTbsDownloadInfo();
    }

    public synchronized void commit() {
        writeTbsDownloadInfo();
    }

    public synchronized int getLocalCoreVersion() {
        return this.i;
    }

    public synchronized int getNeedDownloadCode() {
        if (this.g == 1) {
            return TbsListener.ErrorCode.NEEDDOWNLOAD_9;
        }
        return this.d;
    }

    public synchronized int getNeedDownloadReturn() {
        return this.f;
    }

    public synchronized int getStartDownloadCode() {
        if (this.h == 1) {
            return TbsListener.ErrorCode.STARTDOWNLOAD_9;
        }
        return this.e;
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x00d6 A[SYNTHETIC, Splitter:B:40:0x00d6] */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00e3 A[SYNTHETIC, Splitter:B:48:0x00e3] */
    public synchronized void readTbsDownloadInfo(Context context) {
        Throwable th;
        BufferedInputStream bufferedInputStream;
        Throwable th2;
        try {
            File a2 = a(this.c, "download_upload");
            if (a2 != null) {
                bufferedInputStream = new BufferedInputStream(new FileInputStream(a2));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    String property = properties.getProperty(TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, "");
                    if (!"".equals(property)) {
                        this.d = Math.max(Integer.parseInt(property), 0);
                    }
                    String property2 = properties.getProperty(TbsUploadKey.KEY_STARTDOWNLOAD_CODE, "");
                    if (!"".equals(property2)) {
                        this.e = Math.max(Integer.parseInt(property2), 0);
                    }
                    String property3 = properties.getProperty(TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, "");
                    if (!"".equals(property3)) {
                        this.f = Math.max(Integer.parseInt(property3), 0);
                    }
                    String property4 = properties.getProperty(TbsUploadKey.KEY_NEEDDOWNLOAD_SENT, "");
                    if (!"".equals(property4)) {
                        this.g = Math.max(Integer.parseInt(property4), 0);
                    }
                    String property5 = properties.getProperty(TbsUploadKey.KEY_STARTDOWNLOAD_SENT, "");
                    if (!"".equals(property5)) {
                        this.h = Math.max(Integer.parseInt(property5), 0);
                    }
                    String property6 = properties.getProperty(TbsUploadKey.KEY_LOCAL_CORE_VERSION, "");
                    if (!"".equals(property6)) {
                        this.i = Math.max(Integer.parseInt(property6), 0);
                    }
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e2) {
                        e = e2;
                    }
                } catch (Throwable th3) {
                    th2 = th3;
                    try {
                        th2.printStackTrace();
                        if (bufferedInputStream != null) {
                        }
                    } catch (Throwable th4) {
                        th = th4;
                        if (bufferedInputStream != null) {
                            try {
                                bufferedInputStream.close();
                            } catch (Exception e3) {
                                e3.printStackTrace();
                            }
                        }
                        throw th;
                    }
                }
            }
            return;
        } catch (Throwable th5) {
            bufferedInputStream = null;
            th = th5;
            if (bufferedInputStream != null) {
            }
            throw th;
        }
        e.printStackTrace();
    }

    /* JADX WARNING: Removed duplicated region for block: B:42:0x00b2 A[SYNTHETIC, Splitter:B:42:0x00b2] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00bc A[SYNTHETIC, Splitter:B:47:0x00bc] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00c9 A[SYNTHETIC, Splitter:B:55:0x00c9] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x00d3 A[SYNTHETIC, Splitter:B:60:0x00d3] */
    public synchronized void writeTbsDownloadInfo() {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        BufferedOutputStream bufferedOutputStream;
        Throwable th2;
        Properties properties;
        BufferedOutputStream bufferedOutputStream2;
        TbsLog.i("TbsDownloadUpload", "writeTbsDownloadInfo #1");
        BufferedInputStream bufferedInputStream2 = null;
        r0 = null;
        BufferedOutputStream bufferedOutputStream3 = null;
        try {
            File a2 = a(this.c, "download_upload");
            if (a2 != null) {
                bufferedInputStream = new BufferedInputStream(new FileInputStream(a2));
                try {
                    properties = new Properties();
                    properties.load(bufferedInputStream);
                    for (String str : this.f3017a.keySet()) {
                        Object obj = this.f3017a.get(str);
                        properties.setProperty(str, "" + obj);
                        TbsLog.i("TbsDownloadUpload", "writeTbsDownloadInfo key is " + str + " value is " + obj);
                    }
                    this.f3017a.clear();
                    bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(a2));
                } catch (Throwable th3) {
                    th = th3;
                    if (bufferedInputStream != null) {
                    }
                    if (bufferedOutputStream3 != null) {
                    }
                    throw th;
                }
                try {
                    properties.store(bufferedOutputStream2, (String) null);
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    try {
                        bufferedOutputStream2.close();
                    } catch (Exception e3) {
                        e = e3;
                    }
                } catch (Throwable th4) {
                    th = th4;
                    bufferedOutputStream3 = bufferedOutputStream2;
                    if (bufferedInputStream != null) {
                    }
                    if (bufferedOutputStream3 != null) {
                    }
                    throw th;
                }
            }
            return;
        } catch (Throwable th5) {
            th = th5;
            bufferedInputStream = null;
            if (bufferedInputStream != null) {
                try {
                    bufferedInputStream.close();
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
            }
            if (bufferedOutputStream3 != null) {
                try {
                    bufferedOutputStream3.close();
                } catch (Exception e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
        e.printStackTrace();
    }
}
