package com.tencent.smtt.sdk;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Log;
import com.facebook.stetho.common.Utf8Charset;
import com.tencent.smtt.sdk.TbsDownloadConfig;
import com.tencent.smtt.sdk.TbsDownloadUpload;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.sdk.TbsLogReport;
import com.tencent.smtt.sdk.c;
import com.tencent.smtt.utils.Apn;
import com.tencent.smtt.utils.FileUtil;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.a;
import com.tencent.smtt.utils.b;
import com.tencent.smtt.utils.f;
import com.tencent.smtt.utils.g;
import com.tencent.smtt.utils.n;
import com.tencent.smtt.utils.q;
import java.io.File;
import java.io.FileOutputStream;
import java.nio.channels.FileLock;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.json.JSONArray;
import org.json.JSONObject;

public class TbsDownloader {
    public static final boolean DEBUG_DISABLE_DOWNLOAD = false;
    public static boolean DOWNLOAD_OVERSEA_TBS = false;
    public static final String LOGTAG = "TbsDownload";
    public static final String TBS_METADATA = "com.tencent.mm.BuildInfo.CLIENT_VERSION";

    /* renamed from: a  reason: collision with root package name */
    static boolean f3018a;
    private static String b;
    private static Context c;
    private static Handler d;
    private static String e;
    private static Object f = new byte[0];
    private static m g;
    private static HandlerThread h;
    private static boolean i = false;
    private static String j = "";
    private static boolean k = false;
    private static boolean l = false;
    private static int m;
    private static boolean n;
    private static int o;
    private static long p;
    private static int q;
    private static JSONObject r = null;
    private static JSONObject s = null;
    private static boolean t = false;
    private static int u = 0;
    private static int v = 0;
    private static JSONObject w = null;
    private static long x = -1;

    public interface TbsDownloaderCallback {
        void onNeedDownloadFinish(boolean z, int i);
    }

    protected static File a(int i2) {
        String str;
        String str2;
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        int length = coreProviderAppList.length;
        File file = null;
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                break;
            }
            String str3 = coreProviderAppList[i3];
            if (!str3.equals(c.getApplicationInfo().packageName)) {
                file = new File(FileUtil.a(c, str3, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                if (!file.exists()) {
                    str2 = LOGTAG;
                    str = "can not find local backup core file";
                } else if (a.a(c, file) == i2) {
                    TbsLog.i(LOGTAG, "local tbs version fond,path = " + file.getAbsolutePath());
                    break;
                } else {
                    str2 = LOGTAG;
                    str = "version is not match";
                }
                TbsLog.i(str2, str);
            }
            i3++;
        }
        return file;
    }

    private static String a(String str) {
        return str == null ? "" : str;
    }

    private static JSONArray a(boolean z) {
        boolean z2;
        JSONArray jSONArray = new JSONArray();
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        for (String str : coreProviderAppList) {
            File file = z ? new File(FileUtil.a(c, str, 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false)) : new File(FileUtil.a(c, str, 4, false), "x5.tbs.decouple");
            if (file.exists()) {
                long a2 = (long) a.a(c, file);
                if (a2 > 0) {
                    int i2 = 0;
                    while (true) {
                        if (i2 >= jSONArray.length()) {
                            z2 = false;
                            break;
                        } else if (((long) jSONArray.optInt(i2)) == a2) {
                            z2 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                    if (!z2) {
                        jSONArray.put(a2);
                    }
                }
            }
        }
        return jSONArray;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r18v0, resolved type: boolean */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:107:0x0378 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x0390 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x0395 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:119:0x03a2 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x03a9 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x006e  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x0079 A[SYNTHETIC, Splitter:B:15:0x0079] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00cf A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00e3 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00f9 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x010b A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0127 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x01c2 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x01cb A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01f8 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x0237 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x02c5 A[Catch:{ Exception -> 0x03ae }] */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x030a A[Catch:{ Exception -> 0x03ae }] */
    private static JSONObject a(boolean z, boolean z2, boolean z3) {
        Object obj;
        boolean z4;
        int i2;
        String str;
        boolean z5;
        Object a2;
        int i3;
        int i4;
        int i5;
        String str2;
        String str3;
        TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData]isQuery: " + z + " forDecoupleCore is " + z3);
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
        Object b2 = b(c);
        String i6 = b.i(c);
        String h2 = b.h(c);
        String k2 = b.k(c);
        Object id = TimeZone.getDefault().getID();
        String str4 = id != null ? id : "";
        try {
            TelephonyManager telephonyManager = (TelephonyManager) c.getSystemService("phone");
            if (telephonyManager != null) {
                obj = telephonyManager.getSimCountryIso();
                if (obj == null) {
                    obj = "";
                }
                JSONObject jSONObject = new JSONObject();
                if (z3 != 0) {
                    try {
                        if (q.b(c)) {
                            jSONObject.put("REQUEST_TPATCH", 1);
                            if (b.b()) {
                                if (n.a(c).c("stable_64_tpatch_fail") == 1) {
                                    jSONObject.put("REQUEST_TPATCH", 0);
                                    str2 = LOGTAG;
                                    str3 = "[TbsDownloader.postJsonData] stable_64_last_tpatch_fail and set REQUEST_TPATCH  0 ";
                                }
                                z4 = false;
                                jSONObject.put("TIMEZONEID", str4);
                                jSONObject.put("COUNTRYISO", obj);
                                if (b.b()) {
                                    jSONObject.put("REQUEST_64", 1);
                                }
                                jSONObject.put("PROTOCOLVERSION", 1);
                                if (TbsShareManager.isThirdPartyApp(c)) {
                                    i2 = QbSdk.c ? TbsShareManager.a(c, false) : TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
                                } else {
                                    int j2 = z3 != 0 ? p.a().j(c) : p.a().n(c);
                                    if (j2 == 0 && p.a().m(c)) {
                                        if (TbsConfig.APP_QQ.equals(c.getApplicationInfo().packageName)) {
                                            TbsDownloadUpload.clear();
                                            TbsDownloadUpload instance2 = TbsDownloadUpload.getInstance(c);
                                            instance2.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_LOCAL_CORE_VERSION, -1);
                                            instance2.commit();
                                            TbsPVConfig.releaseInstance();
                                            if (TbsPVConfig.getInstance(c).getLocalCoreVersionMoreTimes() == 1) {
                                                j2 = p.a().j(c);
                                            }
                                        }
                                        i5 = -1;
                                        TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] tbsLocalVersion=" + i5 + " isDownloadForeground=" + z2);
                                        i2 = (z2 || p.a().m(c)) ? i5 : 0;
                                    }
                                    i5 = j2;
                                    TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] tbsLocalVersion=" + i5 + " isDownloadForeground=" + z2);
                                    if (z2) {
                                    }
                                }
                                if (z) {
                                    jSONObject.put("FUNCTION", 2);
                                    str = "A";
                                } else {
                                    jSONObject.put("FUNCTION", i2 == 0 ? 0 : 1);
                                    str = i2 == 0 ? "C" : "B";
                                }
                                q.a("2" + str);
                                if (TbsShareManager.isThirdPartyApp(c)) {
                                    JSONArray g2 = g();
                                    jSONObject.put("TBSVLARR", g2);
                                    j = g2.toString();
                                    q.a("3is" + g2.toString());
                                    instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_THIRDAPP_SENDREQUEST_COREVERSION, g2.toString());
                                    instance.commit();
                                    if (QbSdk.c) {
                                        jSONObject.put("THIRDREQ", 1);
                                    }
                                } else {
                                    JSONArray a3 = a(z3);
                                    if (Apn.getApnType(c) != 3 && a3.length() != 0 && i2 == 0 && z) {
                                        jSONObject.put("TBSBACKUPARR", a3);
                                    }
                                }
                                jSONObject.put("APPN", c.getPackageName());
                                jSONObject.put("APPVN", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
                                jSONObject.put("APPVC", instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
                                jSONObject.put("APPMETA", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
                                jSONObject.put("TBSSDKV", 44115);
                                jSONObject.put("TBSV", i2);
                                q.a("4is" + i2);
                                jSONObject.put("DOWNLOADDECOUPLECORE", (int) z3);
                                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(z3 ? 1 : 0));
                                instance.commit();
                                if (i2 != 0) {
                                    jSONObject.put("TBSBACKUPV", g.c(z3));
                                }
                                jSONObject.put("CPU", e);
                                jSONObject.put("UA", b2);
                                jSONObject.put("IMSI", a(i6));
                                jSONObject.put("IMEI", a(h2));
                                jSONObject.put("ANDROID_ID", a(k2));
                                jSONObject.put("GUID", b.f(c));
                                if (!TbsShareManager.isThirdPartyApp(c)) {
                                    if (i2 != 0) {
                                        jSONObject.put("STATUS", !QbSdk.a(c, i2) ? 1 : 0);
                                        i3 = 0;
                                    } else {
                                        i3 = 0;
                                        jSONObject.put("STATUS", 0);
                                    }
                                    if (q.b(c)) {
                                        i4 = TbsShareManager.getTbsStableCoreVersion(c, i3);
                                        if (z3 != 0 && i4 > 0 && jSONObject.getInt("FUNCTION") == 0) {
                                            jSONObject.put("FUNCTION", 1);
                                        }
                                    } else {
                                        i4 = p.a().i(c);
                                    }
                                    jSONObject.put("TBSDV", i2 % 10000);
                                    jSONObject.put("TBSBACKUPV", i4);
                                    if (z4) {
                                        jSONObject.put("TBSDV", 0);
                                        jSONObject.put("TBSBACKUPV", 0);
                                    }
                                }
                                z5 = false;
                                boolean z6 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
                                if ((QbSdk.isEnableSensitiveApi() || (a2 = QbSdk.a(c, "can_unlzma", null)) == null || !(a2 instanceof Boolean)) ? false : ((Boolean) a2).booleanValue()) {
                                    z5 = !z6;
                                }
                                if (z5) {
                                    jSONObject.put("REQUEST_LZMA", 1);
                                }
                                if (getOverSea(c)) {
                                    jSONObject.put("OVERSEA", 1);
                                }
                                if (z2) {
                                    jSONObject.put("DOWNLOAD_FOREGROUND", 1);
                                }
                                TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject.toString());
                                return jSONObject;
                            }
                            if (n.a(c).c("stable_32_tpatch_fail") == 1) {
                                jSONObject.put("REQUEST_TPATCH", 0);
                                str2 = LOGTAG;
                                str3 = "[TbsDownloader.postJsonData] stable_32_last_tpatch_fail and set REQUEST_TPATCH  0 ";
                            }
                            z4 = false;
                            jSONObject.put("TIMEZONEID", str4);
                            jSONObject.put("COUNTRYISO", obj);
                            if (b.b()) {
                            }
                            jSONObject.put("PROTOCOLVERSION", 1);
                            if (TbsShareManager.isThirdPartyApp(c)) {
                            }
                            if (z) {
                            }
                            q.a("2" + str);
                            if (TbsShareManager.isThirdPartyApp(c)) {
                            }
                            jSONObject.put("APPN", c.getPackageName());
                            jSONObject.put("APPVN", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
                            jSONObject.put("APPVC", instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
                            jSONObject.put("APPMETA", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
                            jSONObject.put("TBSSDKV", 44115);
                            jSONObject.put("TBSV", i2);
                            q.a("4is" + i2);
                            jSONObject.put("DOWNLOADDECOUPLECORE", (int) z3);
                            instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(z3 ? 1 : 0));
                            instance.commit();
                            if (i2 != 0) {
                            }
                            jSONObject.put("CPU", e);
                            jSONObject.put("UA", b2);
                            jSONObject.put("IMSI", a(i6));
                            jSONObject.put("IMEI", a(h2));
                            jSONObject.put("ANDROID_ID", a(k2));
                            jSONObject.put("GUID", b.f(c));
                            if (!TbsShareManager.isThirdPartyApp(c)) {
                            }
                            z5 = false;
                            boolean z62 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
                            if ((QbSdk.isEnableSensitiveApi() || (a2 = QbSdk.a(c, "can_unlzma", null)) == null || !(a2 instanceof Boolean)) ? false : ((Boolean) a2).booleanValue()) {
                            }
                            if (z5) {
                            }
                            if (getOverSea(c)) {
                            }
                            if (z2) {
                            }
                            TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject.toString());
                            return jSONObject;
                            TbsLog.i(str2, str3);
                            z4 = true;
                            jSONObject.put("TIMEZONEID", str4);
                            jSONObject.put("COUNTRYISO", obj);
                            if (b.b()) {
                            }
                            jSONObject.put("PROTOCOLVERSION", 1);
                            if (TbsShareManager.isThirdPartyApp(c)) {
                            }
                            if (z) {
                            }
                            q.a("2" + str);
                            if (TbsShareManager.isThirdPartyApp(c)) {
                            }
                            jSONObject.put("APPN", c.getPackageName());
                            jSONObject.put("APPVN", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
                            jSONObject.put("APPVC", instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
                            jSONObject.put("APPMETA", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
                            jSONObject.put("TBSSDKV", 44115);
                            jSONObject.put("TBSV", i2);
                            q.a("4is" + i2);
                            jSONObject.put("DOWNLOADDECOUPLECORE", (int) z3);
                            instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(z3 ? 1 : 0));
                            instance.commit();
                            if (i2 != 0) {
                            }
                            jSONObject.put("CPU", e);
                            jSONObject.put("UA", b2);
                            jSONObject.put("IMSI", a(i6));
                            jSONObject.put("IMEI", a(h2));
                            jSONObject.put("ANDROID_ID", a(k2));
                            jSONObject.put("GUID", b.f(c));
                            if (!TbsShareManager.isThirdPartyApp(c)) {
                            }
                            z5 = false;
                            boolean z622 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
                            if ((QbSdk.isEnableSensitiveApi() || (a2 = QbSdk.a(c, "can_unlzma", null)) == null || !(a2 instanceof Boolean)) ? false : ((Boolean) a2).booleanValue()) {
                            }
                            if (z5) {
                            }
                            if (getOverSea(c)) {
                            }
                            if (z2) {
                            }
                            TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject.toString());
                            return jSONObject;
                        }
                    } catch (Exception unused) {
                    }
                }
                if (n.a(c).c("tpatch_num") < 5) {
                    jSONObject.put("REQUEST_TPATCH", 0);
                } else if (TbsShareManager.isThirdPartyApp(c)) {
                    jSONObject.put("REQUEST_TPATCH", 2);
                } else {
                    jSONObject.put("REQUEST_TPATCH", 1);
                }
                z4 = false;
                jSONObject.put("TIMEZONEID", str4);
                jSONObject.put("COUNTRYISO", obj);
                if (b.b()) {
                }
                jSONObject.put("PROTOCOLVERSION", 1);
                if (TbsShareManager.isThirdPartyApp(c)) {
                }
                if (z) {
                }
                q.a("2" + str);
                if (TbsShareManager.isThirdPartyApp(c)) {
                }
                jSONObject.put("APPN", c.getPackageName());
                jSONObject.put("APPVN", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
                jSONObject.put("APPVC", instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
                jSONObject.put("APPMETA", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
                jSONObject.put("TBSSDKV", 44115);
                jSONObject.put("TBSV", i2);
                q.a("4is" + i2);
                jSONObject.put("DOWNLOADDECOUPLECORE", (int) z3);
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(z3 ? 1 : 0));
                instance.commit();
                if (i2 != 0) {
                }
                jSONObject.put("CPU", e);
                jSONObject.put("UA", b2);
                jSONObject.put("IMSI", a(i6));
                jSONObject.put("IMEI", a(h2));
                jSONObject.put("ANDROID_ID", a(k2));
                jSONObject.put("GUID", b.f(c));
                if (!TbsShareManager.isThirdPartyApp(c)) {
                }
                z5 = false;
                boolean z6222 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
                if ((QbSdk.isEnableSensitiveApi() || (a2 = QbSdk.a(c, "can_unlzma", null)) == null || !(a2 instanceof Boolean)) ? false : ((Boolean) a2).booleanValue()) {
                }
                if (z5) {
                }
                if (getOverSea(c)) {
                }
                if (z2) {
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject.toString());
                return jSONObject;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        obj = id;
        if (obj == null) {
        }
        JSONObject jSONObject2 = new JSONObject();
        if (z3 != 0) {
        }
        if (n.a(c).c("tpatch_num") < 5) {
        }
        z4 = false;
        jSONObject2.put("TIMEZONEID", str4);
        jSONObject2.put("COUNTRYISO", obj);
        if (b.b()) {
        }
        jSONObject2.put("PROTOCOLVERSION", 1);
        if (TbsShareManager.isThirdPartyApp(c)) {
        }
        if (z) {
        }
        q.a("2" + str);
        if (TbsShareManager.isThirdPartyApp(c)) {
        }
        jSONObject2.put("APPN", c.getPackageName());
        jSONObject2.put("APPVN", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null)));
        jSONObject2.put("APPVC", instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0));
        jSONObject2.put("APPMETA", a(instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null)));
        jSONObject2.put("TBSSDKV", 44115);
        jSONObject2.put("TBSV", i2);
        q.a("4is" + i2);
        jSONObject2.put("DOWNLOADDECOUPLECORE", (int) z3);
        instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(z3 ? 1 : 0));
        instance.commit();
        if (i2 != 0) {
        }
        jSONObject2.put("CPU", e);
        jSONObject2.put("UA", b2);
        jSONObject2.put("IMSI", a(i6));
        jSONObject2.put("IMEI", a(h2));
        jSONObject2.put("ANDROID_ID", a(k2));
        jSONObject2.put("GUID", b.f(c));
        if (!TbsShareManager.isThirdPartyApp(c)) {
        }
        z5 = false;
        boolean z62222 = TbsDownloadConfig.getInstance(c).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_FULL_PACKAGE, false);
        if ((QbSdk.isEnableSensitiveApi() || (a2 = QbSdk.a(c, "can_unlzma", null)) == null || !(a2 instanceof Boolean)) ? false : ((Boolean) a2).booleanValue()) {
        }
        if (z5) {
        }
        if (getOverSea(c)) {
        }
        if (z2) {
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.postJsonData] jsonData=" + jSONObject2.toString());
        return jSONObject2;
    }

    private static void a(JSONArray jSONArray) {
        boolean z;
        String[] f2 = f();
        int length = f2.length;
        int i2 = 0;
        while (true) {
            boolean z2 = true;
            if (i2 >= length) {
                break;
            }
            String str = f2[i2];
            int sharedTbsCoreVersion = TbsShareManager.getSharedTbsCoreVersion(c, str);
            if (sharedTbsCoreVersion > 0) {
                Context packageContext = TbsShareManager.getPackageContext(c, str, true);
                if (packageContext != null && !p.a().g(packageContext)) {
                    TbsLog.e(LOGTAG, "host check failed,packageName = " + str);
                } else if (a(c, sharedTbsCoreVersion)) {
                    TbsLog.i(LOGTAG, "add CoreVersionToJsonData,version+" + sharedTbsCoreVersion + " is in black list");
                } else {
                    int i3 = 0;
                    while (true) {
                        if (i3 >= jSONArray.length()) {
                            z2 = false;
                            break;
                        } else if (jSONArray.optInt(i3) == sharedTbsCoreVersion) {
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z2) {
                        TbsLog.i(LOGTAG, "addCoreVersionToJsonData,pkg=" + str + ";version=" + sharedTbsCoreVersion);
                        jSONArray.put(sharedTbsCoreVersion);
                    }
                }
            }
            i2++;
        }
        if (!TbsShareManager.isThirdPartyApp(c)) {
            String[] f3 = f();
            for (String str2 : f3) {
                int coreShareDecoupleCoreVersion = TbsShareManager.getCoreShareDecoupleCoreVersion(c, str2);
                if (coreShareDecoupleCoreVersion > 0) {
                    Context packageContext2 = TbsShareManager.getPackageContext(c, str2, true);
                    if (packageContext2 == null || p.a().g(packageContext2)) {
                        int i4 = 0;
                        while (true) {
                            if (i4 >= jSONArray.length()) {
                                z = false;
                                break;
                            } else if (jSONArray.optInt(i4) == coreShareDecoupleCoreVersion) {
                                z = true;
                                break;
                            } else {
                                i4++;
                            }
                        }
                        if (!z) {
                            TbsLog.i(LOGTAG, "addCoreVersionToJsonDataByDecouple,pkg=" + str2 + ";version=" + coreShareDecoupleCoreVersion);
                            jSONArray.put(coreShareDecoupleCoreVersion);
                        }
                    } else {
                        TbsLog.e(LOGTAG, "host check failed,packageName = " + str2);
                    }
                }
            }
        }
    }

    private static void a(boolean z, TbsDownloaderCallback tbsDownloaderCallback, boolean z2) {
        TbsLog.i(LOGTAG, "[TbsDownloader.queryConfig]");
        d.removeMessages(100);
        Message obtain = Message.obtain(d, 100);
        if (tbsDownloaderCallback != null) {
            obtain.obj = tbsDownloaderCallback;
        }
        obtain.arg1 = 0;
        obtain.arg1 = z ? 1 : 0;
        obtain.arg2 = z2 ? 1 : 0;
        obtain.sendToTarget();
    }

    private static boolean a(int i2, int i3, int i4) {
        try {
            TbsLog.i(LOGTAG, "copyFromOldBackupDone newCoreVersion is " + i2 + " localStableCoreVersion is " + i3 + " cpuType is " + i4);
            if (i2 > 0 && i2 != i3) {
                File file = new File(FileUtil.a(c, 3), getBackupFileName(false, i4));
                int i5 = -1;
                if (file.exists() && file.canRead() && (i5 = a.b(file)) <= 0) {
                    i5 = a.a(c, file);
                }
                v = i5;
                TbsLog.i(LOGTAG, "copyFromOldBackupDone oldBackupCoreVersion is " + i5);
                if (i2 == i5) {
                    File file2 = new File(FileUtil.a(c, TbsConfig.APP_WX, 4, true));
                    boolean b2 = FileUtil.b(file, new File(file2, getBackupFileName(false, i4)));
                    TbsLog.i(LOGTAG, "copyFromOldBackupDone #01 result is " + b2);
                    if (b2) {
                        File[] listFiles = file2.listFiles();
                        Pattern compile = Pattern.compile(a.a(false, i4));
                        for (File file3 : listFiles) {
                            if (compile.matcher(file3.getName()).find() && file3.isFile() && file3.exists()) {
                                file3.delete();
                            }
                        }
                        File file4 = new File(file2, a.a(false, i4) + "." + i2);
                        if (!file4.exists()) {
                            file4.createNewFile();
                        }
                    }
                    return b2;
                }
            }
        } catch (Throwable th) {
            TbsLog.i(LOGTAG, "stack is " + Log.getStackTraceString(th));
        }
        TbsLog.i(LOGTAG, "copyFromOldBackupDone result is false  #10");
        return false;
    }

    static boolean a(Context context) {
        return TbsDownloadConfig.getInstance(context).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 0) == 1;
    }

    static boolean a(Context context, int i2) {
        return Build.VERSION.SDK_INT > 28 && context.getApplicationInfo().targetSdkVersion > 28 && i2 > 0 && i2 < 45114;
    }

    private static boolean a(Context context, boolean z) {
        Matcher matcher;
        int i2;
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
        if (Build.VERSION.SDK_INT < 8) {
            i2 = -102;
        } else if (!QbSdk.c && TbsShareManager.isThirdPartyApp(c) && !c()) {
            return false;
        } else {
            if (!instance.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA)) {
                if (z && !TbsConfig.APP_WX.equals(context.getApplicationInfo().packageName)) {
                    TbsLog.i(LOGTAG, "needDownload-oversea is true, but not WX");
                    z = false;
                }
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA, Boolean.valueOf(z));
                instance.commit();
                k = z;
                TbsLog.i(LOGTAG, "needDownload-first-called--isoversea = " + z);
            }
            if (!getOverSea(context) || Build.VERSION.SDK_INT == 16 || Build.VERSION.SDK_INT == 17 || Build.VERSION.SDK_INT == 18) {
                e = instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_DEVICE_CPUABI, null);
                if (TextUtils.isEmpty(e)) {
                    return true;
                }
                try {
                    matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
                } catch (Exception unused) {
                    matcher = null;
                }
                if (matcher == null || !matcher.find()) {
                    return true;
                }
                TbsLog.e(LOGTAG, "can not support x86 devices!!");
                i2 = -104;
            } else {
                TbsLog.i(LOGTAG, "needDownload- return false,  because of  version is " + Build.VERSION.SDK_INT + ", and overea");
                i2 = -103;
            }
        }
        instance.setDownloadInterruptCode(i2);
        return false;
    }

    private static boolean a(Context context, boolean z, boolean z2) {
        boolean z3;
        String str;
        long j2;
        boolean z4;
        String str2;
        String str3;
        final TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
        c.a().a(context, (Integer) 1000, (c.a) new c.a() {
            /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass1 */

            @Override // com.tencent.smtt.sdk.c.a
            public void a(String str) {
                TbsLog.i(TbsDownloader.LOGTAG, "Execute command [1000](" + str + "), force tbs downloader request");
                SharedPreferences.Editor edit = instance.mPreferences.edit();
                edit.putLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, 0);
                edit.apply();
                edit.commit();
            }
        });
        if (!z) {
            String string = instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null);
            int i2 = instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, 0);
            String string2 = instance.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, null);
            String d2 = b.d(c);
            int e2 = b.e(c);
            String a2 = b.a(c, TBS_METADATA);
            TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] appVersionName=" + d2 + " oldAppVersionName=" + string + " appVersionCode=" + e2 + " oldAppVersionCode=" + i2 + " appMetadata=" + a2 + " oldAppVersionMetadata=" + string2);
            long currentTimeMillis = System.currentTimeMillis();
            long j3 = instance.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, 0);
            StringBuilder sb = new StringBuilder();
            sb.append("[TbsDownloader.needSendQueryRequest] timeLastCheck=");
            sb.append(j3);
            sb.append(" timeNow=");
            sb.append(currentTimeMillis);
            TbsLog.i(LOGTAG, sb.toString());
            if (z2) {
                boolean contains = instance.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK);
                TbsLog.i(LOGTAG, "[TbsDownloader.needSendQueryRequest] hasLaskCheckKey=" + contains);
                if (contains) {
                    j2 = 0;
                    if (j3 == 0) {
                        j3 = currentTimeMillis;
                    }
                } else {
                    j2 = 0;
                }
            } else {
                j2 = 0;
            }
            long j4 = instance.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_REQUEST_SUCCESS, j2);
            long j5 = instance.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, j2);
            long retryInterval = instance.getRetryInterval();
            TbsLog.i(LOGTAG, "retryInterval = " + retryInterval + " s");
            TbsPVConfig.releaseInstance();
            int emergentCoreVersion = TbsPVConfig.getInstance(c).getEmergentCoreVersion();
            int i3 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
            long j6 = currentTimeMillis - j3;
            long j7 = retryInterval * 1000;
            if (j6 > j7) {
                str2 = LOGTAG;
                str3 = "needSendRequest  true  #1";
            } else if (emergentCoreVersion > p.a().j(c) && emergentCoreVersion > i3) {
                str2 = LOGTAG;
                str3 = "emergentCoreVersion is " + emergentCoreVersion + " getTbsCoreInstalledVerInNolock is " + p.a().j(c) + " responseCoreVersion is " + i3;
            } else if (TbsShareManager.isThirdPartyApp(c) && j4 > 0 && currentTimeMillis - j4 > j7 && j5 < 11) {
                str2 = LOGTAG;
                str3 = "needSendRequest  true  #3";
            } else if (!TbsShareManager.isThirdPartyApp(c) || TbsShareManager.findCoreForThirdPartyApp(c) != 0 || e()) {
                if (d2 == null || e2 == 0 || a2 == null) {
                    if (TbsShareManager.isThirdPartyApp(c)) {
                        str = "timeNow - timeLastCheck is " + j6 + " TbsShareManager.findCoreForThirdPartyApp(sAppContext) is " + TbsShareManager.findCoreForThirdPartyApp(c) + " sendRequestWithSameHostCoreVersion() is " + e() + " appVersionName is " + d2 + " appVersionCode is " + e2 + " appMetadata is " + a2 + " oldAppVersionName is " + string + " oldAppVersionCode is " + i2 + " oldAppVersionMetadata is " + string2;
                        z4 = false;
                        z3 = z4;
                    }
                } else if (!d2.equals(string) || e2 != i2 || !a2.equals(string2)) {
                    str2 = LOGTAG;
                    str3 = "needSendRequest  true  #5";
                }
                str = null;
                z4 = false;
                z3 = z4;
            } else {
                TbsLog.i(LOGTAG, "needSendRequest  true  #4");
                p.a().e(c);
                str = null;
                z4 = true;
                z3 = z4;
            }
            TbsLog.i(str2, str3);
            str = null;
            z4 = true;
            z3 = z4;
        } else {
            TbsLog.i(LOGTAG, "needSendRequest  true  #6");
            str = null;
            z3 = true;
        }
        if (!z3 && TbsShareManager.isThirdPartyApp(c)) {
            TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
            tbsLogInfo.setErrorCode(-119);
            tbsLogInfo.setFailDetail(str);
            TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo);
        }
        return z3;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:177:0x03a1, code lost:
        if (r0 > 0) goto L_0x03a7;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:193:0x03f0 */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x02a2 A[Catch:{ Exception -> 0x02c7 }] */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x02ab  */
    /* JADX WARNING: Removed duplicated region for block: B:140:0x02fe  */
    /* JADX WARNING: Removed duplicated region for block: B:205:0x0461  */
    /* JADX WARNING: Removed duplicated region for block: B:227:0x04f5  */
    /* JADX WARNING: Removed duplicated region for block: B:236:0x054a  */
    /* JADX WARNING: Removed duplicated region for block: B:310:0x0790  */
    /* JADX WARNING: Removed duplicated region for block: B:327:0x0852  */
    /* JADX WARNING: Removed duplicated region for block: B:331:0x0873  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x017d A[Catch:{ Throwable -> 0x0184 }] */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x017f A[Catch:{ Throwable -> 0x0184 }] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x01a1  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0286  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0297  */
    @TargetApi(11)
    private static boolean a(String str, int i2, boolean z, boolean z2, boolean z3) throws Exception {
        String str2;
        int i3;
        String str3;
        int i4;
        int i5;
        boolean z4;
        boolean z5;
        String str4;
        int i6;
        int i7;
        String str5;
        long j2;
        long j3;
        int i8;
        int i9;
        boolean z6;
        int i10;
        boolean z7;
        boolean z8;
        TbsLogReport instance;
        TbsLogReport.EventType eventType;
        String str6;
        String str7;
        TbsLogReport instance2;
        TbsLogReport.EventType eventType2;
        Map<String, Object> map;
        String str8;
        int i11;
        boolean z9;
        String str9;
        String str10;
        String str11;
        String str12;
        TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] response=" + str + "isNeedInstall=" + z3);
        TbsDownloadConfig instance3 = TbsDownloadConfig.getInstance(c);
        if (TextUtils.isEmpty(str)) {
            instance3.setDownloadInterruptCode(z ? -108 : -208);
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #1,response is empty...");
            return false;
        }
        JSONObject jSONObject = new JSONObject(str);
        int i12 = jSONObject.getInt("RET");
        if (i12 != 0) {
            instance3.setDownloadInterruptCode(z ? -109 : -209);
            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #2,returnCode=" + i12);
            return false;
        }
        int i13 = jSONObject.getInt("RESPONSECODE");
        q = i13;
        String string = jSONObject.getString("DOWNLOADURL");
        if (TextUtils.isEmpty(string)) {
            n = true;
        } else {
            n = false;
        }
        String optString = jSONObject.optString("URLLIST", "");
        int i14 = jSONObject.getInt("TBSAPKSERVERVERSION");
        o = i14;
        int i15 = jSONObject.getInt("DOWNLOADMAXFLOW") * 2;
        int i16 = jSONObject.getInt("DOWNLOAD_MIN_FREE_SPACE");
        int i17 = jSONObject.getInt("DOWNLOAD_SUCCESS_MAX_RETRYTIMES");
        int i18 = jSONObject.getInt("DOWNLOAD_FAILED_MAX_RETRYTIMES");
        long j4 = jSONObject.getLong("DOWNLOAD_SINGLE_TIMEOUT");
        long j5 = jSONObject.getLong("TBSAPKFILESIZE");
        p = j5;
        long optLong = jSONObject.optLong("RETRY_INTERVAL", 0);
        int optInt = jSONObject.optInt("FLOWCTR", -1);
        q.a("5is" + i14);
        try {
            if (TextUtils.isEmpty(string)) {
                str12 = "A";
            } else {
                if (string.contains("" + i14)) {
                    str12 = "B";
                } else {
                    str2 = string;
                    q.a("6is" + str2);
                    i3 = jSONObject.getInt("USEBBACKUPVER");
                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_USE_BACKUP_VERSION, Integer.valueOf(i3));
                    if (z && QbSdk.i && TbsShareManager.isThirdPartyApp(c)) {
                        TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.BUGLY_SWITCH_FILE_NAME, jSONObject.optInt("BUGLY", 0) != 1);
                    }
                    if (z) {
                        try {
                            int optInt2 = jSONObject.optInt("TEMPLATESWITCH", 0);
                            boolean z10 = (optInt2 & 1) != 0;
                            TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.COOKIE_SWITCH_FILE_NAME, z10);
                            TbsLog.w(LOGTAG, "useCookieCompatiable:" + z10);
                            boolean z11 = (optInt2 & 2) != 0;
                            TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_GET_APK_VERSION_SWITCH_FILE_NAME, z11);
                            TbsLog.w(LOGTAG, "disableGetApkVersionByReadFile:" + z11);
                            boolean z12 = (optInt2 & 4) != 0;
                            TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_UNPREINIT, z12);
                            QbSdk.setDisableUnpreinitBySwitch(z12);
                            TbsLog.i(LOGTAG, "disableUnpreinitBySwitch:" + z12);
                            boolean z13 = (optInt2 & 8) != 0;
                            TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.DISABLE_USE_HOST_BACKUP_CORE, z13);
                            QbSdk.setDisableUseHostBackupCoreBySwitch(z13);
                            TbsLog.i(LOGTAG, "disableUseHostBackupCoreBySwitch:" + z13);
                        } catch (Throwable th) {
                            TbsLog.i("qbsdk", "throwable:" + th.toString());
                        }
                    }
                    str10 = jSONObject.getString("PKGMD5");
                    try {
                        i5 = jSONObject.getInt("RESETX5");
                        try {
                            i4 = jSONObject.getInt("UPLOADLOG");
                            if (!jSONObject.has("RESETTOKEN")) {
                                try {
                                    z5 = jSONObject.getInt("RESETTOKEN") != 0;
                                    str11 = "";
                                } catch (Exception unused) {
                                    str9 = "";
                                    z5 = false;
                                    str3 = str10;
                                    str4 = str9;
                                    z4 = true;
                                    i6 = jSONObject.getInt("RESETDECOUPLECORE");
                                    i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                                    synchronized (f) {
                                    }
                                }
                            } else {
                                str11 = "";
                                z5 = false;
                            }
                            try {
                                str9 = !jSONObject.has("SETTOKEN") ? jSONObject.getString("SETTOKEN") : str11;
                            } catch (Exception unused2) {
                                str9 = str11;
                                str3 = str10;
                                str4 = str9;
                                z4 = true;
                                i6 = jSONObject.getInt("RESETDECOUPLECORE");
                                i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                                synchronized (f) {
                                }
                            }
                        } catch (Exception unused3) {
                            str9 = "";
                            z5 = false;
                            i4 = 0;
                            str3 = str10;
                            str4 = str9;
                            z4 = true;
                            i6 = jSONObject.getInt("RESETDECOUPLECORE");
                            i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                            synchronized (f) {
                            }
                        }
                    } catch (Exception unused4) {
                        str9 = "";
                        z5 = false;
                        i5 = 0;
                        i4 = 0;
                        str3 = str10;
                        str4 = str9;
                        z4 = true;
                        i6 = jSONObject.getInt("RESETDECOUPLECORE");
                        i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                        synchronized (f) {
                        }
                    }
                    try {
                        str3 = str10;
                        z4 = jSONObject.has("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") || jSONObject.getInt("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") != 0;
                        str4 = str9;
                    } catch (Exception unused5) {
                        str3 = str10;
                        str4 = str9;
                        z4 = true;
                        i6 = jSONObject.getInt("RESETDECOUPLECORE");
                        i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                        synchronized (f) {
                        }
                    }
                    i6 = jSONObject.getInt("RESETDECOUPLECORE");
                    i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                    synchronized (f) {
                        if (z5) {
                            try {
                                str5 = optString;
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DESkEY_TOKEN, "");
                            } catch (Throwable th2) {
                                throw th2;
                            }
                        } else {
                            str5 = optString;
                        }
                        if (!TextUtils.isEmpty(str4) && str4.length() == 96) {
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DESkEY_TOKEN, str4 + "&" + g.c());
                        }
                    }
                    if (i5 == 1) {
                        instance3.setDownloadInterruptCode(z ? -110 : -210);
                        QbSdk.reset(c, i7 == 1);
                        TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #3,needResetTbs=1,isQuery=" + z);
                        return false;
                    }
                    if (!z4) {
                        instance3.setTbsCoreLoadRenameFileLockWaitEnable(z4);
                    }
                    if (i6 == 1) {
                        QbSdk.resetDecoupleCore(c);
                    }
                    if (i4 == 1) {
                        d.removeMessages(104);
                        Message.obtain(d, 104).sendToTarget();
                    }
                    if (optInt == 1) {
                        j3 = 604800;
                        if (optLong <= 604800) {
                            j3 = optLong;
                        }
                        j2 = 0;
                    } else {
                        j2 = 0;
                    }
                    j3 = 86400;
                    if (getRetryIntervalInSeconds() >= j2) {
                        j3 = getRetryIntervalInSeconds();
                    }
                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RETRY_INTERVAL, Long.valueOf(j3));
                    TbsLog.i(LOGTAG, "in response isQuery is " + z);
                    if (z) {
                        try {
                            i8 = jSONObject.getInt("DECOUPLECOREVERSION");
                            m = i8;
                        } catch (Exception unused6) {
                            i8 = 0;
                        }
                    } else {
                        i8 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0);
                    }
                    try {
                        i9 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 0);
                    } catch (Exception unused7) {
                        i9 = 0;
                    }
                    TbsLog.i(LOGTAG, "in response #01 decoupleCoreVersion is " + i8);
                    if (z && !TbsShareManager.isThirdPartyApp(c) && i8 == 0) {
                        i8 = p.a().i(c);
                    }
                    TbsLog.i(LOGTAG, "in response decoupleCoreVersion is " + i8);
                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, Integer.valueOf(i8));
                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, Integer.valueOf(i9));
                    if (!TbsShareManager.isThirdPartyApp(c)) {
                        if (i8 > 0 && i8 != p.a().i(c) && i8 == p.a().j(c)) {
                            p.a().o(c);
                        } else if (i8 == 0) {
                            try {
                                FileUtil.b(p.a().q(c));
                            } catch (Throwable unused8) {
                            }
                        }
                    }
                    if (TextUtils.isEmpty(string) || !TbsShareManager.isThirdPartyApp(c)) {
                        TbsLog.i(LOGTAG, "in response responseCode is " + i13);
                        if (i13 != 0) {
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RESPONSECODE, Integer.valueOf(i13));
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                            if (z) {
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -111);
                            } else {
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -211);
                                instance3.setDownloadInterruptCode(-211);
                            }
                            instance3.commit();
                            if (!TbsShareManager.isThirdPartyApp(c)) {
                                TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] responseCode=0 and ready to startDecoupleCoreIfNeeded");
                                startDecoupleCoreIfNeeded();
                            }
                            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #5,responseCode=0");
                            return false;
                        }
                        int i19 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
                        if (i19 > i14) {
                            g.c();
                            p.a().p(c);
                        }
                        if (!TbsShareManager.isThirdPartyApp(c)) {
                            int e2 = p.a().e(c, 0);
                            z6 = e2 >= i14;
                            TbsLog.i(LOGTAG, "tmpCoreVersion is " + e2 + " tbsDownloadVersion is" + i14);
                            i10 = i2;
                        } else {
                            i10 = i2;
                            z6 = false;
                        }
                        if ((i10 >= i14 || TextUtils.isEmpty(string) || z6) && i9 != 1) {
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                            if (z) {
                                if (TextUtils.isEmpty(string)) {
                                    map = instance3.mSyncMap;
                                    str8 = TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON;
                                    i11 = -124;
                                } else if (i14 <= 0) {
                                    map = instance3.mSyncMap;
                                    str8 = TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON;
                                    i11 = -125;
                                } else if (i10 >= i14) {
                                    map = instance3.mSyncMap;
                                    str8 = TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON;
                                    i11 = -127;
                                } else {
                                    map = instance3.mSyncMap;
                                    str8 = TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON;
                                    i11 = -112;
                                }
                                map.put(str8, Integer.valueOf(i11));
                            } else {
                                int i20 = -212;
                                if (TextUtils.isEmpty(string)) {
                                    i20 = -217;
                                } else if (i14 <= 0) {
                                    i20 = -218;
                                } else if (i10 >= i14) {
                                    i20 = -219;
                                }
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, Integer.valueOf(i20));
                                instance3.setDownloadInterruptCode(i20);
                            }
                            instance3.commit();
                            TbsLog.i(LOGTAG, "version error or downloadUrl empty ,return ahead tbsLocalVersion=" + i10 + " tbsDownloadVersion=" + i14 + " tbsLastDownloadVersion=" + i19 + " downloadUrl=" + string);
                            return false;
                        }
                        if (!string.equals(instance3.mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, null))) {
                            g.c();
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_RETRYTIMES, 0);
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_RETRYTIMES, 0);
                        }
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, Integer.valueOf(i14));
                        TbsLog.i(LOGTAG, "put KEY_TBS_DOWNLOAD_V is " + i14);
                        if (i14 > 0) {
                            if (i9 == 1) {
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 1);
                            } else {
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0);
                            }
                            TbsLog.i(LOGTAG, "put KEY_TBS_DOWNLOAD_V_TYPE is " + i9);
                        }
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, string);
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADURL_LIST, str5);
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RESPONSECODE, Integer.valueOf(i13));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_MAXFLOW, Integer.valueOf(i15));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_MIN_FREE_SPACE, Integer.valueOf(i16));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_MAX_RETRYTIMES, Integer.valueOf(i17));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_MAX_RETRYTIMES, Integer.valueOf(i18));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SINGLE_TIMEOUT, Long.valueOf(j4));
                        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPKFILESIZE, Long.valueOf(j5));
                        instance3.commit();
                        if (str3 != null) {
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPK_MD5, str3);
                        }
                        if (!z2) {
                            z8 = z3;
                            if (z8 && p.a().b(c, i14)) {
                                if (z) {
                                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -113);
                                } else {
                                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_INTERRUPT_CODE_REASON, -213);
                                    instance3.setDownloadInterruptCode(-213);
                                }
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                                str6 = LOGTAG;
                                str7 = "[TbsDownloader.readResponse] ##6 set needDownload=false";
                            }
                            if (!z2 && z8) {
                                if (g.a(z2, i13 != 1 || i13 == 2)) {
                                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                                    TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                                    tbsLogInfo.setErrorCode(100);
                                    tbsLogInfo.setFailDetail("use local backup apk in needDownload" + g.f3091a);
                                    if (a(c)) {
                                        instance2 = TbsLogReport.getInstance(c);
                                        eventType2 = TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE;
                                    } else {
                                        instance2 = TbsLogReport.getInstance(c);
                                        eventType2 = TbsLogReport.EventType.TYPE_DOWNLOAD;
                                    }
                                    instance2.eventReport(eventType2, tbsLogInfo);
                                    str6 = LOGTAG;
                                    str7 = "[TbsDownloader.readResponse] ##7 set needDownload=false";
                                }
                            }
                            if (TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0) == 1 || !g.a()) {
                                if (!z) {
                                    instance3.setDownloadInterruptCode(-216);
                                }
                                z7 = true;
                                instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, true);
                                TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##9 set needDownload=true");
                                if (jSONObject.optInt("stop_pre_oat", 0) == z7) {
                                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_STOP_PRE_OAT, Boolean.valueOf(z7));
                                }
                                instance3.commit();
                                return z7;
                            }
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                            TbsLogReport.TbsLogInfo tbsLogInfo2 = TbsLogReport.getInstance(c).tbsLogInfo();
                            tbsLogInfo2.setErrorCode(100);
                            tbsLogInfo2.setFailDetail("installDecoupleCoreFromBackup" + g.f3091a);
                            if (a(c)) {
                                instance = TbsLogReport.getInstance(c);
                                eventType = TbsLogReport.EventType.TYPE_DOWNLOAD_DECOUPLE;
                            } else {
                                instance = TbsLogReport.getInstance(c);
                                eventType = TbsLogReport.EventType.TYPE_DOWNLOAD;
                            }
                            instance.eventReport(eventType, tbsLogInfo2);
                            str6 = LOGTAG;
                            str7 = "[TbsDownloader.readResponse] ##8 set needDownload=false";
                        } else {
                            z8 = z3;
                            if (g.a(z2, i13 != 1 || i13 == 2)) {
                            }
                            if (TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0) == 1) {
                            }
                            if (!z) {
                            }
                            z7 = true;
                            instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, true);
                            TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] ##9 set needDownload=true");
                            if (jSONObject.optInt("stop_pre_oat", 0) == z7) {
                            }
                            instance3.commit();
                            return z7;
                        }
                        TbsLog.i(str6, str7);
                        z7 = true;
                        if (jSONObject.optInt("stop_pre_oat", 0) == z7) {
                        }
                        instance3.commit();
                        return z7;
                    }
                    instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
                    instance3.commit();
                    if (z) {
                        q.a(c, "response_query_host_has_core", "hostCoreIs" + i14);
                        z9 = false;
                        TbsShareManager.writeCoreInfoForThirdPartyApp(c, i14, false);
                    } else {
                        z9 = false;
                    }
                    TbsLog.i(LOGTAG, "[TbsDownloader.readResponse] return #4,current app is third app...");
                    return z9;
                }
            }
            str2 = str12;
        } catch (Throwable th3) {
            TbsLog.i(LOGTAG, "throwable is " + Log.getStackTraceString(th3));
            str2 = "";
        }
        q.a("6is" + str2);
        try {
            i3 = jSONObject.getInt("USEBBACKUPVER");
        } catch (Exception unused9) {
            i3 = 0;
        }
        instance3.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_USE_BACKUP_VERSION, Integer.valueOf(i3));
        try {
            TbsExtensionFunctionManager.getInstance().setFunctionEnable(c, TbsExtensionFunctionManager.BUGLY_SWITCH_FILE_NAME, jSONObject.optInt("BUGLY", 0) != 1);
        } catch (Throwable th4) {
            TbsLog.i("qbsdk", "throwable:" + th4.toString());
        }
        if (z) {
        }
        try {
            str10 = jSONObject.getString("PKGMD5");
            i5 = jSONObject.getInt("RESETX5");
            i4 = jSONObject.getInt("UPLOADLOG");
            try {
                if (!jSONObject.has("RESETTOKEN")) {
                }
                if (!jSONObject.has("SETTOKEN")) {
                }
                str3 = str10;
                z4 = jSONObject.has("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") || jSONObject.getInt("ENABLE_LOAD_RENAME_FILE_LOCK_WAIT") != 0;
                str4 = str9;
            } catch (Exception unused10) {
                str9 = "";
                z5 = false;
                str3 = str10;
                str4 = str9;
                z4 = true;
                i6 = jSONObject.getInt("RESETDECOUPLECORE");
                i7 = jSONObject.getInt("RESETTODECOUPLECORE");
                synchronized (f) {
                }
            }
        } catch (Exception unused11) {
            str9 = "";
            z5 = false;
            str10 = null;
            i5 = 0;
            i4 = 0;
            str3 = str10;
            str4 = str9;
            z4 = true;
            i6 = jSONObject.getInt("RESETDECOUPLECORE");
            i7 = jSONObject.getInt("RESETTODECOUPLECORE");
            synchronized (f) {
            }
        }
        try {
            i6 = jSONObject.getInt("RESETDECOUPLECORE");
        } catch (Exception unused12) {
            i6 = 0;
        }
        try {
            i7 = jSONObject.getInt("RESETTODECOUPLECORE");
        } catch (Exception unused13) {
            i7 = 0;
        }
        synchronized (f) {
        }
    }

    protected static File b(int i2) {
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        int length = coreProviderAppList.length;
        File file = null;
        int i3 = 0;
        while (i3 < length) {
            File file2 = new File(FileUtil.a(c, coreProviderAppList[i3], 4, false), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
            if (!file2.exists() || a.a(c, file2) != i2) {
                i3++;
                file = file2;
            } else {
                TbsLog.i(LOGTAG, "local tbs version fond,path = " + file2.getAbsolutePath());
                return file2;
            }
        }
        return file;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x0064  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0091  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00a8  */
    static String b(Context context) {
        String replaceAll;
        String str;
        if (!TextUtils.isEmpty(b)) {
            return b;
        }
        Locale locale = Locale.getDefault();
        StringBuffer stringBuffer = new StringBuffer();
        String str2 = Build.VERSION.RELEASE;
        try {
            str2 = new String(str2.getBytes(Utf8Charset.NAME), "ISO8859-1");
        } catch (Exception unused) {
        }
        if (str2 == null || str2.length() <= 0) {
            str2 = "1.0";
        }
        stringBuffer.append(str2);
        stringBuffer.append("; ");
        String language = locale.getLanguage();
        if (language != null) {
            stringBuffer.append(language.toLowerCase());
            String country = locale.getCountry();
            if (country != null) {
                stringBuffer.append("-");
                str = country.toLowerCase();
            }
            if ("REL".equals(Build.VERSION.CODENAME)) {
                String d2 = q.d(context);
                try {
                    d2 = new String(d2.getBytes(Utf8Charset.NAME), "ISO8859-1");
                } catch (Exception unused2) {
                }
                if (d2 == null) {
                    d2 = "; ";
                } else if (d2.length() > 0) {
                    stringBuffer.append("; ");
                }
                stringBuffer.append(d2);
            }
            replaceAll = (Build.ID != null ? "" : Build.ID).replaceAll("[一-龥]", "");
            if (replaceAll != null) {
                stringBuffer.append(" Build/");
                replaceAll = "00";
            } else {
                if (replaceAll.length() > 0) {
                    stringBuffer.append(" Build/");
                }
                String format = String.format("Mozilla/5.0 (Linux; U; Android %s) AppleWebKit/533.1 (KHTML, like Gecko)Version/4.0 Mobile Safari/533.1", stringBuffer);
                b = format;
                return format;
            }
            stringBuffer.append(replaceAll);
            String format2 = String.format("Mozilla/5.0 (Linux; U; Android %s) AppleWebKit/533.1 (KHTML, like Gecko)Version/4.0 Mobile Safari/533.1", stringBuffer);
            b = format2;
            return format2;
        }
        str = "en";
        stringBuffer.append(str);
        if ("REL".equals(Build.VERSION.CODENAME)) {
        }
        replaceAll = (Build.ID != null ? "" : Build.ID).replaceAll("[一-龥]", "");
        if (replaceAll != null) {
        }
        stringBuffer.append(replaceAll);
        String format22 = String.format("Mozilla/5.0 (Linux; U; Android %s) AppleWebKit/533.1 (KHTML, like Gecko)Version/4.0 Mobile Safari/533.1", stringBuffer);
        b = format22;
        return format22;
    }

    private static void b(JSONArray jSONArray) {
        if (TbsShareManager.getHostCorePathAppDefined() != null) {
            int a2 = p.a().a(TbsShareManager.getHostCorePathAppDefined());
            boolean z = false;
            int i2 = 0;
            while (true) {
                if (i2 >= jSONArray.length()) {
                    break;
                } else if (jSONArray.optInt(i2) == a2) {
                    z = true;
                    break;
                } else {
                    i2++;
                }
            }
            if (!z) {
                TbsLog.i(LOGTAG, "addAppDefinedToCoreVersions, version=" + a2);
                jSONArray.put(a2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0238 A[Catch:{ Exception -> 0x023f }] */
    /* JADX WARNING: Removed duplicated region for block: B:104:0x0242 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x0255  */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x0287  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:122:0x02ef  */
    /* JADX WARNING: Removed duplicated region for block: B:141:0x0399 A[Catch:{ Throwable -> 0x036c }] */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x039c  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x03a6  */
    /* JADX WARNING: Removed duplicated region for block: B:167:0x040d  */
    /* JADX WARNING: Removed duplicated region for block: B:176:0x05c7  */
    /* JADX WARNING: Removed duplicated region for block: B:181:0x05db A[Catch:{ Throwable -> 0x0760 }] */
    /* JADX WARNING: Removed duplicated region for block: B:183:0x064d A[Catch:{ Throwable -> 0x0760 }] */
    /* JADX WARNING: Removed duplicated region for block: B:194:0x0784  */
    /* JADX WARNING: Removed duplicated region for block: B:196:0x078a  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x00aa  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00da  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0228 A[Catch:{ Exception -> 0x022f }] */
    public static boolean b(final boolean z, boolean z2, boolean z3, boolean z4) {
        boolean z5;
        JSONObject a2;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        TbsDownloadUpload instance;
        Map<String, Object> map;
        String str;
        int i10;
        Throwable th;
        String str2;
        String str3;
        Context context;
        String str4;
        String str5;
        Context context2;
        String str6;
        String str7;
        String d2;
        String str8;
        String str9;
        TbsDownloadUpload instance2;
        Map<String, Object> map2;
        String str10;
        int i11;
        Matcher matcher;
        TbsDownloadUpload instance3;
        Map<String, Object> map3;
        String str11;
        int i12;
        TbsDownloadUpload instance4;
        Map<String, Object> map4;
        String str12;
        int i13;
        TbsDownloadUpload instance5;
        Map<String, Object> map5;
        String str13;
        int i14;
        if (z) {
            instance5 = TbsDownloadUpload.getInstance(c);
            map5 = instance5.f3017a;
            str13 = TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE;
            i14 = TbsListener.ErrorCode.NEEDDOWNLOAD_5;
        } else {
            if (!z3) {
                instance5 = TbsDownloadUpload.getInstance(c);
                map5 = instance5.f3017a;
                str13 = TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE;
                i14 = TbsListener.ErrorCode.STARTDOWNLOAD_5;
            }
            m.b(c);
            boolean z6 = false;
            if (QbSdk.o != null || !QbSdk.o.containsKey(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD) || !QbSdk.o.get(QbSdk.KEY_SET_SENDREQUEST_AND_UPLOAD).equals("false")) {
                TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest]isQuery: " + z + " forDecoupleCore is " + z3);
                if (!p.a().d(c)) {
                    TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- isTbsLocalInstalled!");
                    if (z) {
                        instance3 = TbsDownloadUpload.getInstance(c);
                        map3 = instance3.f3017a;
                        str11 = TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE;
                        i12 = TbsListener.ErrorCode.NEEDDOWNLOAD_7;
                    } else {
                        if (!z3) {
                            instance3 = TbsDownloadUpload.getInstance(c);
                            map3 = instance3.f3017a;
                            str11 = TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE;
                            i12 = TbsListener.ErrorCode.STARTDOWNLOAD_7;
                        }
                        return false;
                    }
                    map3.put(str11, Integer.valueOf(i12));
                    instance3.commit();
                    return false;
                }
                final TbsDownloadConfig instance6 = TbsDownloadConfig.getInstance(c);
                new File(FileUtil.a(c, 1), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                new File(FileUtil.a(c, 2), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                new File(FileUtil.a(c, 3), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                new File(FileUtil.a(c, 4), getOverSea(c) ? "x5.oversea.tbs.org" : getBackupFileName(false));
                if (e == null) {
                    e = b.a();
                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DEVICE_CPUABI, e);
                    instance6.commit();
                }
                if (!TextUtils.isEmpty(e)) {
                    try {
                        matcher = Pattern.compile("i686|mips|x86_64").matcher(e);
                    } catch (Exception unused) {
                        matcher = null;
                    }
                    if (matcher != null && matcher.find()) {
                        if (TbsShareManager.isThirdPartyApp(c)) {
                            TbsLog.e(LOGTAG, "don't support x86 devices,skip send request");
                            TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(c).tbsLogInfo();
                            if (z) {
                                instance6.setDownloadInterruptCode(-104);
                                tbsLogInfo.setErrorCode(-104);
                            } else {
                                instance6.setDownloadInterruptCode(-205);
                                tbsLogInfo.setErrorCode(-205);
                            }
                            tbsLogInfo.setFailDetail("mycpu is " + e);
                            TbsLogReport.getInstance(c).eventReport(TbsLogReport.EventType.TYPE_DOWNLOAD, tbsLogInfo);
                        } else if (z) {
                            instance6.setDownloadInterruptCode(-104);
                        } else {
                            instance6.setDownloadInterruptCode(-205);
                        }
                        z5 = true;
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                        instance6.commit();
                        a2 = a(z, z2, z3);
                        i2 = a2.getInt("TBSV");
                        i3 = a2.getInt("REQUEST_TPATCH");
                        i4 = a2.getInt("TBSDV");
                        i5 = a2.getInt("TBSBACKUPV");
                        if (a2.has("REQUEST_64")) {
                            i6 = a2.getInt("REQUEST_64");
                            if (a2.has("FUNCTION")) {
                                i7 = a2.getInt("FUNCTION");
                                if (!z5 || i2 != -1) {
                                    long currentTimeMillis = System.currentTimeMillis();
                                    if (!TbsShareManager.isThirdPartyApp(c)) {
                                        i8 = i2;
                                        long j2 = instance6.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, 0);
                                        long j3 = instance6.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0);
                                        long j4 = 1;
                                        if (currentTimeMillis - j2 < instance6.getRetryInterval() * 1000) {
                                            j4 = j3 + 1;
                                        }
                                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, Long.valueOf(j4));
                                    } else {
                                        i8 = i2;
                                    }
                                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, Long.valueOf(currentTimeMillis));
                                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, b.a(c, TBS_METADATA));
                                    instance6.commit();
                                    if (!z5) {
                                        if (z) {
                                            instance = TbsDownloadUpload.getInstance(c);
                                            map = instance.f3017a;
                                            str = TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE;
                                            i10 = TbsListener.ErrorCode.NEEDDOWNLOAD_8;
                                        } else {
                                            if (!z3) {
                                                instance = TbsDownloadUpload.getInstance(c);
                                                map = instance.f3017a;
                                                str = TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE;
                                                i10 = TbsListener.ErrorCode.STARTDOWNLOAD_8;
                                            }
                                            return false;
                                        }
                                        map.put(str, Integer.valueOf(i10));
                                        instance.commit();
                                        return false;
                                    }
                                    i9 = i8;
                                } else {
                                    i9 = i2;
                                }
                                if (i9 != -1 || z3) {
                                    try {
                                        String g2 = n.a(c).g();
                                        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] postUrl=" + g2);
                                        if (z) {
                                            try {
                                                TbsDownloadUpload instance7 = TbsDownloadUpload.getInstance(c);
                                                instance7.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_9));
                                                instance7.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_SENT, 1);
                                                instance7.commit();
                                                str8 = LOGTAG;
                                                str9 = "sendRequest query 148";
                                            } catch (Throwable th2) {
                                                th = th2;
                                                z6 = false;
                                                TbsLog.i(LOGTAG, "sendrequest return false " + Log.getStackTraceString(th));
                                                th.printStackTrace();
                                                instance6.setDownloadInterruptCode(z ? -106 : -206);
                                                return z6;
                                            }
                                        } else {
                                            if (!z3) {
                                                TbsDownloadUpload instance8 = TbsDownloadUpload.getInstance(c);
                                                instance8.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_9));
                                                instance8.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_SENT, 1);
                                                instance8.commit();
                                                str8 = LOGTAG;
                                                str9 = "sendRequest download 168";
                                            }
                                            if (!z) {
                                                r = a2;
                                            } else {
                                                s = a2;
                                            }
                                            if (q.e(c)) {
                                                try {
                                                    int i15 = a2.getInt("FUNCTION");
                                                    if (i15 == 0 && !TextUtils.isEmpty(n.a(c).f())) {
                                                        d2 = n.a(c).f();
                                                    } else if (i15 == 1 && !TextUtils.isEmpty(n.a(c).e())) {
                                                        d2 = n.a(c).e();
                                                    } else if (i15 != 2 || TextUtils.isEmpty(n.a(c).d())) {
                                                        str7 = null;
                                                        str2 = str7;
                                                        if (str2 != null) {
                                                            if (z) {
                                                                String str14 = ((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + i4) + "_" + "tbsbackupv=is=" + i5) + "_" + "request64=is=" + i6;
                                                                q.b(c, "request_query", str14);
                                                                str5 = str14 + "_" + "mTBSVLARR=is=" + j;
                                                                context2 = c;
                                                                str6 = "request_query";
                                                            } else {
                                                                if (z3) {
                                                                    q.b(c, "request_download_update", (((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + i4) + "_" + "tbsbackupv=is=" + i5) + "_" + "request64=is=" + i6) + "_" + "functionUpload=is=" + i7);
                                                                } else if (TbsShareManager.isThirdPartyApp(c)) {
                                                                    str5 = ((((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + i4) + "_" + "tbsbackupv=is=" + i5) + "_" + "request64=is=" + i6) + "_" + "functionUpload=is=" + i7) + "_" + "tbsLocalVersion=is=" + i9;
                                                                    context2 = c;
                                                                    str6 = "request_download_update";
                                                                }
                                                                str2 = f.a(g2, a2.toString().getBytes("utf-8"), new f.a() {
                                                                    /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass3 */

                                                                    @Override // com.tencent.smtt.utils.f.a
                                                                    public void a(int i) {
                                                                        TbsDownloadConfig tbsDownloadConfig;
                                                                        int i2;
                                                                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, Long.valueOf(System.currentTimeMillis()));
                                                                        instance6.commit();
                                                                        TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.sendRequest] httpResponseCode=" + i);
                                                                        if (TbsShareManager.isThirdPartyApp(TbsDownloader.c) && i == 200) {
                                                                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_REQUEST_SUCCESS, Long.valueOf(System.currentTimeMillis()));
                                                                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, 0L);
                                                                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0L);
                                                                            instance6.commit();
                                                                        }
                                                                        if (i >= 300) {
                                                                            if (z) {
                                                                                tbsDownloadConfig = instance6;
                                                                                i2 = -107;
                                                                            } else {
                                                                                tbsDownloadConfig = instance6;
                                                                                i2 = -207;
                                                                            }
                                                                            tbsDownloadConfig.setDownloadInterruptCode(i2);
                                                                        }
                                                                    }
                                                                }, false);
                                                            }
                                                            q.a(context2, str6, str5);
                                                            str2 = f.a(g2, a2.toString().getBytes("utf-8"), new f.a() {
                                                                /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass3 */

                                                                @Override // com.tencent.smtt.utils.f.a
                                                                public void a(int i) {
                                                                    TbsDownloadConfig tbsDownloadConfig;
                                                                    int i2;
                                                                    instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_CHECK, Long.valueOf(System.currentTimeMillis()));
                                                                    instance6.commit();
                                                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.sendRequest] httpResponseCode=" + i);
                                                                    if (TbsShareManager.isThirdPartyApp(TbsDownloader.c) && i == 200) {
                                                                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_REQUEST_SUCCESS, Long.valueOf(System.currentTimeMillis()));
                                                                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, 0L);
                                                                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_COUNT_REQUEST_FAIL_IN_24HOURS, 0L);
                                                                        instance6.commit();
                                                                    }
                                                                    if (i >= 300) {
                                                                        if (z) {
                                                                            tbsDownloadConfig = instance6;
                                                                            i2 = -107;
                                                                        } else {
                                                                            tbsDownloadConfig = instance6;
                                                                            i2 = -207;
                                                                        }
                                                                        tbsDownloadConfig.setDownloadInterruptCode(i2);
                                                                    }
                                                                }
                                                            }, false);
                                                        }
                                                        z6 = a(str2, i9, z, z2, z4);
                                                        TbsLog.i(LOGTAG, "sendrequest return false #2");
                                                        if (!z) {
                                                            str3 = ((("needStartDownload=is=" + z6) + "_" + "DECOUPLECOREVERSION=is=" + m) + "_" + "DOWNLOADURLEmpty=is=" + n) + "_" + "TBSAPKSERVERVERSION=is=" + o;
                                                            q.b(c, "response_query", str3);
                                                            context = c;
                                                            str4 = "response_query";
                                                        } else if (z3) {
                                                            q.b(c, "response_download_update", (((("needStartDownload=is=" + z6) + "_" + "RESPONSECODE=is=" + q) + "_" + "DOWNLOADURLEmpty=is=" + n) + "_" + "TBSAPKSERVERVERSION=is=" + o) + "_" + "TBSAPKFILESIZE=is=" + p);
                                                        } else if (TbsShareManager.isThirdPartyApp(c)) {
                                                            str3 = (((("needStartDownload=is=" + z6) + "_" + "RESPONSECODE=is=" + q) + "_" + "DOWNLOADURLEmpty=is=" + n) + "_" + "TBSAPKSERVERVERSION=is=" + o) + "_" + "TBSAPKFILESIZE=is=" + p;
                                                            context = c;
                                                            str4 = "response_download_update";
                                                        }
                                                        q.a(context, str4, str3);
                                                    } else {
                                                        d2 = n.a(c).d();
                                                    }
                                                    str7 = d2;
                                                    str2 = str7;
                                                } catch (Throwable unused2) {
                                                }
                                                if (str2 != null) {
                                                }
                                                z6 = a(str2, i9, z, z2, z4);
                                                TbsLog.i(LOGTAG, "sendrequest return false #2");
                                                if (!z) {
                                                }
                                                q.a(context, str4, str3);
                                            }
                                            str2 = null;
                                            if (str2 != null) {
                                            }
                                            z6 = a(str2, i9, z, z2, z4);
                                            TbsLog.i(LOGTAG, "sendrequest return false #2");
                                            if (!z) {
                                            }
                                            q.a(context, str4, str3);
                                        }
                                        TbsLog.i(str8, str9);
                                        if (!z) {
                                        }
                                        if (q.e(c)) {
                                        }
                                        str2 = null;
                                        if (str2 != null) {
                                        }
                                        z6 = a(str2, i9, z, z2, z4);
                                        try {
                                            TbsLog.i(LOGTAG, "sendrequest return false #2");
                                            if (!z) {
                                            }
                                            q.a(context, str4, str3);
                                        } catch (Throwable th3) {
                                            th = th3;
                                            TbsLog.i(LOGTAG, "sendrequest return false " + Log.getStackTraceString(th));
                                            th.printStackTrace();
                                            instance6.setDownloadInterruptCode(z ? -106 : -206);
                                            return z6;
                                        }
                                    } catch (Throwable th4) {
                                        th = th4;
                                        z6 = false;
                                        TbsLog.i(LOGTAG, "sendrequest return false " + Log.getStackTraceString(th));
                                        th.printStackTrace();
                                        instance6.setDownloadInterruptCode(z ? -106 : -206);
                                        return z6;
                                    }
                                } else {
                                    if (z) {
                                        instance2 = TbsDownloadUpload.getInstance(c);
                                        map2 = instance2.f3017a;
                                        str10 = TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE;
                                        i11 = TbsListener.ErrorCode.NEEDDOWNLOAD_10;
                                    } else if (!z3) {
                                        instance2 = TbsDownloadUpload.getInstance(c);
                                        map2 = instance2.f3017a;
                                        str10 = TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE;
                                        i11 = TbsListener.ErrorCode.STARTDOWNLOAD_10;
                                    }
                                    map2.put(str10, Integer.valueOf(i11));
                                    instance2.commit();
                                }
                                return z6;
                            }
                            i7 = -1;
                            if (!z5) {
                            }
                            long currentTimeMillis2 = System.currentTimeMillis();
                            if (!TbsShareManager.isThirdPartyApp(c)) {
                            }
                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, Long.valueOf(currentTimeMillis2));
                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                            instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, b.a(c, TBS_METADATA));
                            instance6.commit();
                            if (!z5) {
                            }
                        }
                        i6 = -1;
                        if (a2.has("FUNCTION")) {
                        }
                        i7 = -1;
                        if (!z5) {
                        }
                        long currentTimeMillis22 = System.currentTimeMillis();
                        if (!TbsShareManager.isThirdPartyApp(c)) {
                        }
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, Long.valueOf(currentTimeMillis22));
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                        instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, b.a(c, TBS_METADATA));
                        instance6.commit();
                        if (!z5) {
                        }
                    }
                }
                z5 = false;
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                instance6.commit();
                a2 = a(z, z2, z3);
                try {
                    i2 = a2.getInt("TBSV");
                } catch (Exception unused3) {
                    i2 = -1;
                }
                try {
                    i3 = a2.getInt("REQUEST_TPATCH");
                } catch (Exception unused4) {
                    i3 = -1;
                }
                try {
                    i4 = a2.getInt("TBSDV");
                } catch (Exception unused5) {
                    i4 = -1;
                }
                try {
                    i5 = a2.getInt("TBSBACKUPV");
                } catch (Exception unused6) {
                    i5 = -1;
                }
                try {
                    if (a2.has("REQUEST_64")) {
                    }
                } catch (Exception unused7) {
                }
                i6 = -1;
                try {
                    if (a2.has("FUNCTION")) {
                    }
                } catch (Exception unused8) {
                }
                i7 = -1;
                if (!z5) {
                }
                long currentTimeMillis222 = System.currentTimeMillis();
                if (!TbsShareManager.isThirdPartyApp(c)) {
                }
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_REQUEST_FAIL, Long.valueOf(currentTimeMillis222));
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, b.d(c));
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE, Integer.valueOf(b.e(c)));
                instance6.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_APP_METADATA, b.a(c, TBS_METADATA));
                instance6.commit();
                if (!z5) {
                }
            } else {
                TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest] -- SET_SENDREQUEST_AND_UPLOAD is false");
                if (z) {
                    instance4 = TbsDownloadUpload.getInstance(c);
                    map4 = instance4.f3017a;
                    str12 = TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE;
                    i13 = TbsListener.ErrorCode.NEEDDOWNLOAD_6;
                } else {
                    if (!z3) {
                        instance4 = TbsDownloadUpload.getInstance(c);
                        map4 = instance4.f3017a;
                        str12 = TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE;
                        i13 = TbsListener.ErrorCode.STARTDOWNLOAD_6;
                    }
                    return false;
                }
                map4.put(str12, Integer.valueOf(i13));
                instance4.commit();
                return false;
            }
        }
        map5.put(str13, Integer.valueOf(i14));
        instance5.commit();
        m.b(c);
        boolean z62 = false;
        if (QbSdk.o != null) {
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequest]isQuery: " + z + " forDecoupleCore is " + z3);
        if (!p.a().d(c)) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00f2 A[Catch:{ Throwable -> 0x04a3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0102 A[Catch:{ Throwable -> 0x04a3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x010b A[Catch:{ Throwable -> 0x04a3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x024c A[Catch:{ Throwable -> 0x04a3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x03dd A[Catch:{ Throwable -> 0x04a3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:66:? A[RETURN, SYNTHETIC] */
    private static void c(int i2) {
        int i3;
        int tbsStableCoreVersion;
        int i4;
        String str;
        String str2;
        try {
            TbsLog.i(LOGTAG, "sendRequestForOtherStableCore cpuType is " + i2 + " mJsonDataQuery is " + r + " mJsonDataDownloadUpdate is " + s);
            if (!q.b(c)) {
                TbsLog.i(LOGTAG, "sendRequestForOtherStableCore isStableCoreForHostEnable is false and return ");
            } else if (i2 >= 32) {
                if (r == null) {
                    r = s;
                }
                if (r != null) {
                    if (System.currentTimeMillis() - TbsDownloadConfig.getInstance(c).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_STABLE_CORE_OTHER_CPU, 0) < TbsDownloadConfig.getInstance(c).getRetryInterval() * 1000) {
                        TbsLog.i(LOGTAG, "sendRequestForOtherStableCore less than and return ");
                        return;
                    }
                    int i5 = -1;
                    if (i2 == 64) {
                        r.put("REQUEST_64", 1);
                        i5 = 1;
                    } else if (i2 == 32) {
                        r.remove("REQUEST_64");
                    }
                    r.put("DOWNLOADDECOUPLECORE", 1);
                    if (i2 == 64) {
                        if (n.a(c).c("stable_64_tpatch_fail") == 1) {
                            str2 = LOGTAG;
                            str = "sendRequestForOtherStableCore stable_64_last_tpatch_fail and set REQUEST_TPATCH  0 ";
                        }
                        i3 = 1;
                        r.put("REQUEST_TPATCH", i3);
                        tbsStableCoreVersion = TbsShareManager.getTbsStableCoreVersion(c, i2);
                        r.put("TBSDV", p.a().j(c) % 10000);
                        r.put("TBSBACKUPV", tbsStableCoreVersion);
                        if (i3 == 0) {
                            r.put("TBSDV", 0);
                            r.put("TBSBACKUPV", 0);
                        }
                        if (tbsStableCoreVersion > 0) {
                            r.put("FUNCTION", 1);
                            i4 = 1;
                        } else {
                            r.put("FUNCTION", 0);
                            i4 = 0;
                        }
                        r.put("TBSV", 0);
                        String g2 = n.a(c).g();
                        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] postUrl=" + g2);
                        TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] mJsonDataQuery=" + r.toString());
                        w = r;
                        q.b(c, "request_download_update_other", (((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + tbsStableCoreVersion) + "_" + "tbsbackupv=is=" + tbsStableCoreVersion) + "_" + "request64=is=" + i5) + "_" + "functionUpload=is=" + i4);
                        String a2 = f.a(g2, r.toString().getBytes("utf-8"), new f.a() {
                            /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass4 */

                            @Override // com.tencent.smtt.utils.f.a
                            public void a(int i) {
                            }
                        }, false);
                        StringBuilder sb = new StringBuilder();
                        sb.append("[TbsDownloader.sendRequestForOtherStableCore] response=");
                        sb.append(a2);
                        TbsLog.i(LOGTAG, sb.toString());
                        JSONObject jSONObject = new JSONObject(a2);
                        TbsDownloadConfig.getInstance(c).mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_STABLE_CORE_OTHER_CPU, Long.valueOf(System.currentTimeMillis()));
                        TbsDownloadConfig.getInstance(c).commit();
                        String string = jSONObject.getString("DOWNLOADURL");
                        long j2 = jSONObject.getLong("TBSAPKFILESIZE");
                        String string2 = jSONObject.getString("PKGMD5");
                        int i6 = jSONObject.getInt("TBSAPKSERVERVERSION");
                        int i7 = jSONObject.getInt("RESPONSECODE");
                        t = false;
                        if (q.b(c)) {
                            int tbsStableCoreVersion2 = TbsShareManager.getTbsStableCoreVersion(c, i2);
                            q.b(c, "response_download_update_other", ((((("newcore=is=" + i6) + "_" + "oldcore=is=" + tbsStableCoreVersion2) + "_" + "RESPONSECODE=is=" + i7) + "_" + "DOWNLOADURLEmpty=is=" + TextUtils.isEmpty(string)) + "_" + "TBSAPKSERVERVERSION=is=" + i6) + "_" + "TBSAPKFILESIZE=is=" + j2);
                            if (tbsStableCoreVersion2 < i6) {
                                if (a(i6, tbsStableCoreVersion2, i2)) {
                                    TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
                                    instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, Integer.valueOf(i2));
                                    instance.commit();
                                    TbsLog.i(LOGTAG, "sendRequestForOtherStableCore stable core " + i6 + " copy from old backup and return ");
                                    StringBuilder sb2 = new StringBuilder();
                                    sb2.append("oldcore=is=");
                                    sb2.append(tbsStableCoreVersion2);
                                    q.b(c, "copy_other_cpu_core_ok", sb2.toString() + "_" + "newcore=is=" + i6);
                                    return;
                                }
                                TbsDownloadConfig instance2 = TbsDownloadConfig.getInstance(c);
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, string);
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPKFILESIZE, Long.valueOf(j2));
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, Integer.valueOf(i2));
                                Map<String, Object> map = instance2.mSyncMap;
                                if (string2 == null) {
                                    string2 = "";
                                }
                                map.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPK_MD5, string2);
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 1);
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, Integer.valueOf(i6));
                                instance2.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_RESPONSECODE, Integer.valueOf(i7));
                                instance2.commit();
                                TbsLog.i(LOGTAG, "sendRequestForOtherStableCore downloadUrl is " + string, true);
                                if (!TextUtils.isEmpty(string)) {
                                    g.b(false, true);
                                }
                            } else if (TextUtils.isEmpty(string) && i6 == 0 && j2 > 0) {
                                t = true;
                            }
                        }
                        d(i2);
                        if (t) {
                            int tbsStableCoreVersion3 = TbsShareManager.getTbsStableCoreVersion(c, i2);
                            v = 0;
                            boolean a3 = a(u, tbsStableCoreVersion3, i2);
                            TbsLog.i(LOGTAG, "other cpu stable core is flowed and copyFromOldBackupDone is " + a3 + " tbsDownloadVersion is " + i6 + " oldBackupCoreVersion is " + v + " localStableCore is " + tbsStableCoreVersion3 + " cpuType is " + i2);
                            q.b(c, "copy_other_cpu_core_ok_flowed", (((("newcore=is=" + u) + "_" + "backupcore=is=" + v) + "_" + "localstablecore=is=" + tbsStableCoreVersion3) + "_" + "cputype=is=" + i2) + "_" + "result=is=" + a3);
                            return;
                        }
                        return;
                    }
                    if (n.a(c).c("stable_32_tpatch_fail") == 1) {
                        str2 = LOGTAG;
                        str = "sendRequestForOtherStableCore stable_32_last_tpatch_fail and set REQUEST_TPATCH  0 ";
                    }
                    i3 = 1;
                    r.put("REQUEST_TPATCH", i3);
                    tbsStableCoreVersion = TbsShareManager.getTbsStableCoreVersion(c, i2);
                    r.put("TBSDV", p.a().j(c) % 10000);
                    r.put("TBSBACKUPV", tbsStableCoreVersion);
                    if (i3 == 0) {
                    }
                    if (tbsStableCoreVersion > 0) {
                    }
                    r.put("TBSV", 0);
                    String g22 = n.a(c).g();
                    TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] postUrl=" + g22);
                    TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] mJsonDataQuery=" + r.toString());
                    w = r;
                    q.b(c, "request_download_update_other", (((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + tbsStableCoreVersion) + "_" + "tbsbackupv=is=" + tbsStableCoreVersion) + "_" + "request64=is=" + i5) + "_" + "functionUpload=is=" + i4);
                    String a22 = f.a(g22, r.toString().getBytes("utf-8"), new f.a() {
                        /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass4 */

                        @Override // com.tencent.smtt.utils.f.a
                        public void a(int i) {
                        }
                    }, false);
                    StringBuilder sb3 = new StringBuilder();
                    sb3.append("[TbsDownloader.sendRequestForOtherStableCore] response=");
                    sb3.append(a22);
                    TbsLog.i(LOGTAG, sb3.toString());
                    JSONObject jSONObject2 = new JSONObject(a22);
                    TbsDownloadConfig.getInstance(c).mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_STABLE_CORE_OTHER_CPU, Long.valueOf(System.currentTimeMillis()));
                    TbsDownloadConfig.getInstance(c).commit();
                    String string3 = jSONObject2.getString("DOWNLOADURL");
                    long j22 = jSONObject2.getLong("TBSAPKFILESIZE");
                    String string22 = jSONObject2.getString("PKGMD5");
                    int i62 = jSONObject2.getInt("TBSAPKSERVERVERSION");
                    int i72 = jSONObject2.getInt("RESPONSECODE");
                    t = false;
                    if (q.b(c)) {
                    }
                    d(i2);
                    if (t) {
                    }
                    TbsLog.i(str2, str);
                    i3 = 0;
                    r.put("REQUEST_TPATCH", i3);
                    tbsStableCoreVersion = TbsShareManager.getTbsStableCoreVersion(c, i2);
                    r.put("TBSDV", p.a().j(c) % 10000);
                    r.put("TBSBACKUPV", tbsStableCoreVersion);
                    if (i3 == 0) {
                    }
                    if (tbsStableCoreVersion > 0) {
                    }
                    r.put("TBSV", 0);
                    String g222 = n.a(c).g();
                    TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] postUrl=" + g222);
                    TbsLog.i(LOGTAG, "[TbsDownloader.sendRequestForOtherStableCore] mJsonDataQuery=" + r.toString());
                    w = r;
                    q.b(c, "request_download_update_other", (((("requesttpatch=is=" + i3) + "_" + "tbsdv=is=" + tbsStableCoreVersion) + "_" + "tbsbackupv=is=" + tbsStableCoreVersion) + "_" + "request64=is=" + i5) + "_" + "functionUpload=is=" + i4);
                    String a222 = f.a(g222, r.toString().getBytes("utf-8"), new f.a() {
                        /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass4 */

                        @Override // com.tencent.smtt.utils.f.a
                        public void a(int i) {
                        }
                    }, false);
                    StringBuilder sb32 = new StringBuilder();
                    sb32.append("[TbsDownloader.sendRequestForOtherStableCore] response=");
                    sb32.append(a222);
                    TbsLog.i(LOGTAG, sb32.toString());
                    JSONObject jSONObject22 = new JSONObject(a222);
                    TbsDownloadConfig.getInstance(c).mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_STABLE_CORE_OTHER_CPU, Long.valueOf(System.currentTimeMillis()));
                    TbsDownloadConfig.getInstance(c).commit();
                    String string32 = jSONObject22.getString("DOWNLOADURL");
                    long j222 = jSONObject22.getLong("TBSAPKFILESIZE");
                    String string222 = jSONObject22.getString("PKGMD5");
                    int i622 = jSONObject22.getInt("TBSAPKSERVERVERSION");
                    int i722 = jSONObject22.getInt("RESPONSECODE");
                    t = false;
                    if (q.b(c)) {
                    }
                    d(i2);
                    if (t) {
                    }
                }
            }
        } catch (Throwable unused) {
        }
    }

    @TargetApi(11)
    static void c(Context context) {
        TbsDownloadConfig.getInstance(context).clear();
        TbsLogReport.getInstance(context).clear();
        m.e(context);
        (Build.VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_extension_config", 4) : context.getSharedPreferences("tbs_extension_config", 0)).edit().clear().commit();
        (Build.VERSION.SDK_INT >= 11 ? context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 4) : context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 0)).edit().clear().commit();
    }

    private static void c(JSONArray jSONArray) {
        String str;
        StringBuilder sb;
        String str2;
        boolean z;
        if (!TbsPVConfig.getInstance(c).isDisableHostBackupCore()) {
            String[] f2 = f();
            for (String str3 : f2) {
                int backupCoreVersion = TbsShareManager.getBackupCoreVersion(c, str3);
                boolean z2 = true;
                if (backupCoreVersion > 0) {
                    Context packageContext = TbsShareManager.getPackageContext(c, str3, false);
                    if (packageContext != null && !p.a().g(packageContext)) {
                        str = LOGTAG;
                        sb = new StringBuilder();
                        str2 = "addBackupVersionToJsonData,host check failed,packageName = ";
                        sb.append(str2);
                        sb.append(str3);
                        TbsLog.e(str, sb.toString());
                    } else if (a(c, backupCoreVersion)) {
                        TbsLog.i(LOGTAG, "add addBackupVersionToJsonData,version+" + backupCoreVersion + " is in black list");
                    } else {
                        int i2 = 0;
                        while (true) {
                            if (i2 >= jSONArray.length()) {
                                z = false;
                                break;
                            } else if (jSONArray.optInt(i2) == backupCoreVersion) {
                                z = true;
                                break;
                            } else {
                                i2++;
                            }
                        }
                        if (!z) {
                            TbsLog.i(LOGTAG, "addBackupVersionToJsonData,pkg=" + str3 + ";version=" + backupCoreVersion);
                            jSONArray.put(backupCoreVersion);
                        }
                    }
                }
                int backupDecoupleCoreVersion = TbsShareManager.getBackupDecoupleCoreVersion(c, str3);
                if (backupDecoupleCoreVersion > 0) {
                    Context packageContext2 = TbsShareManager.getPackageContext(c, str3, false);
                    if (packageContext2 == null || p.a().g(packageContext2)) {
                        int i3 = 0;
                        while (true) {
                            if (i3 >= jSONArray.length()) {
                                z2 = false;
                                break;
                            } else if (jSONArray.optInt(i3) == backupDecoupleCoreVersion) {
                                break;
                            } else {
                                i3++;
                            }
                        }
                        if (!z2) {
                            TbsLog.i(LOGTAG, "addBackupVersionToJsonDataByDecouple,pkg=" + str3 + ";version=" + backupDecoupleCoreVersion);
                            jSONArray.put(backupDecoupleCoreVersion);
                        }
                    } else {
                        str = LOGTAG;
                        sb = new StringBuilder();
                        str2 = "host check failed,packageName = ";
                        sb.append(str2);
                        sb.append(str3);
                        TbsLog.e(str, sb.toString());
                    }
                }
            }
        }
    }

    private static boolean c() {
        try {
            for (String str : TbsShareManager.getCoreProviderAppList()) {
                if (TbsShareManager.getSharedTbsCoreVersion(c, str) > 0) {
                    return true;
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return false;
    }

    private static synchronized void d() {
        synchronized (TbsDownloader.class) {
            if (h == null) {
                h = o.a();
                try {
                    g = new m(c);
                    d = new Handler(h.getLooper()) {
                        /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass2 */

                        public void handleMessage(Message message) {
                            FileOutputStream fileOutputStream;
                            boolean z = true;
                            switch (message.what) {
                                case 100:
                                    boolean z2 = message.arg1 == 1;
                                    boolean b = TbsDownloader.b(true, false, false, message.arg2 == 1);
                                    if (message.obj != null && (message.obj instanceof TbsDownloaderCallback)) {
                                        TbsLog.i(TbsDownloader.LOGTAG, "needDownload-onNeedDownloadFinish needStartDownload=" + b);
                                        String str = "";
                                        if (!(TbsDownloader.c == null || TbsDownloader.c.getApplicationContext() == null || TbsDownloader.c.getApplicationContext().getApplicationInfo() == null)) {
                                            str = TbsDownloader.c.getApplicationContext().getApplicationInfo().packageName;
                                        }
                                        if (b && !z2) {
                                            if (TbsConfig.APP_WX.equals(str) || TbsConfig.APP_QQ.equals(str)) {
                                                TbsLog.i(TbsDownloader.LOGTAG, "needDownload-onNeedDownloadFinish in mm or QQ callback needStartDownload = " + b);
                                            }
                                        }
                                        ((TbsDownloaderCallback) message.obj).onNeedDownloadFinish(b, TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0));
                                    }
                                    if (TbsShareManager.isThirdPartyApp(TbsDownloader.c) && b) {
                                        TbsDownloader.startDownload(TbsDownloader.c);
                                        return;
                                    }
                                    return;
                                case 101:
                                case 108:
                                    if (Apn.getApnType(TbsDownloader.c) == 3 || QbSdk.getDownloadWithoutWifi()) {
                                        FileLock fileLock = null;
                                        if (!TbsShareManager.isThirdPartyApp(TbsDownloader.c)) {
                                            fileOutputStream = FileUtil.b(TbsDownloader.c, false, "tbs_download_lock_file" + TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) + ".txt");
                                            if (fileOutputStream != null) {
                                                fileLock = FileUtil.a(TbsDownloader.c, fileOutputStream);
                                                if (fileLock == null) {
                                                    QbSdk.n.onDownloadFinish(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
                                                    TbsLog.i(TbsDownloader.LOGTAG, "file lock locked,wx or qq is downloading");
                                                    TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-203);
                                                    TbsLog.i(TbsDownloader.LOGTAG, "MSG_START_DOWNLOAD_DECOUPLECORE return #1");
                                                    return;
                                                }
                                            } else if (FileUtil.a(TbsDownloader.c)) {
                                                QbSdk.n.onDownloadFinish(-204);
                                                TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-204);
                                                TbsLog.i(TbsDownloader.LOGTAG, "MSG_START_DOWNLOAD_DECOUPLECORE return #2");
                                                return;
                                            }
                                        } else {
                                            fileOutputStream = null;
                                        }
                                        boolean z3 = message.arg1 == 1;
                                        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(TbsDownloader.c);
                                        boolean b2 = TbsDownloader.b(false, z3, 108 == message.what, true);
                                        StringBuilder sb = new StringBuilder();
                                        sb.append("needStartDownload is ");
                                        sb.append(b2);
                                        sb.append(" forDecoupleCore is ");
                                        sb.append(108 == message.what);
                                        TbsLog.i(TbsDownloader.LOGTAG, sb.toString());
                                        TbsLog.i(TbsDownloader.LOGTAG, "idownloadConfig.mPreferences.getBoolean(TbsConfigKey.KEY_NEEDDOWNLOAD, false) is " + instance.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false));
                                        if (b2) {
                                            if (z3 && p.a().b(TbsDownloader.c, TbsDownloadConfig.getInstance(TbsDownloader.c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0))) {
                                                TbsLog.i(TbsDownloader.LOGTAG, "in needStartDownload true #1");
                                                QbSdk.n.onDownloadFinish(TbsListener.ErrorCode.DOWNLOAD_HAS_COPY_TBS_ERROR);
                                                QbSdk.n.onInstallFinish(TbsListener.ErrorCode.DOWNLOAD_FAILED_FOR_PREINIT_CALLBACK);
                                                instance.setDownloadInterruptCode(-213);
                                                TbsLog.i(TbsDownloader.LOGTAG, "------freeFileLock called :");
                                                FileUtil.a(fileLock, fileOutputStream);
                                                return;
                                            } else if (instance.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false)) {
                                                TbsDownloadConfig.getInstance(TbsDownloader.c).setDownloadInterruptCode(-215);
                                                if (108 == message.what) {
                                                    instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, 0);
                                                    instance.commit();
                                                }
                                                m mVar = TbsDownloader.g;
                                                if (108 != message.what) {
                                                    z = false;
                                                }
                                                mVar.b(z3, z);
                                                TbsLog.i(TbsDownloader.LOGTAG, "------freeFileLock called :");
                                                FileUtil.a(fileLock, fileOutputStream);
                                                return;
                                            }
                                        }
                                        QbSdk.n.onDownloadFinish(110);
                                        QbSdk.n.onInstallFinish(TbsListener.ErrorCode.DOWNLOAD_FAILED_FOR_PREINIT_CALLBACK);
                                        TbsLog.i(TbsDownloader.LOGTAG, "------freeFileLock called :");
                                        FileUtil.a(fileLock, fileOutputStream);
                                        return;
                                    }
                                    TbsLog.i(TbsDownloader.LOGTAG, "not wifi,no need send request");
                                    QbSdk.n.onDownloadFinish(111);
                                    return;
                                case 102:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_REPORT_DOWNLOAD_STAT");
                                    int a2 = TbsShareManager.isThirdPartyApp(TbsDownloader.c) ? TbsShareManager.a(TbsDownloader.c, false) : p.a().n(TbsDownloader.c);
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] localTbsVersion=" + a2);
                                    TbsDownloader.g.a(a2);
                                    TbsLogReport.getInstance(TbsDownloader.c).dailyReport();
                                    return;
                                case 103:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_CONTINUEINSTALL_TBSCORE");
                                    if (message.arg1 == 0) {
                                        p.a().a((Context) message.obj, true);
                                        return;
                                    } else {
                                        p.a().a((Context) message.obj, false);
                                        return;
                                    }
                                case 104:
                                    TbsLog.i(TbsDownloader.LOGTAG, "[TbsDownloader.handleMessage] MSG_UPLOAD_TBSLOG");
                                    TbsLogReport.getInstance(TbsDownloader.c).reportTbsLog();
                                    return;
                                case 105:
                                case 106:
                                case 107:
                                default:
                                    return;
                                case 109:
                                    if (TbsDownloader.g != null) {
                                        TbsDownloader.g.f();
                                        return;
                                    }
                                    return;
                            }
                        }
                    };
                } catch (Exception unused) {
                    i = true;
                    TbsLog.e(LOGTAG, "TbsApkDownloader init has Exception");
                }
            }
        }
    }

    private static void d(int i2) {
        if (w != null) {
            try {
                w.put("FUNCTION", 2);
                String g2 = n.a(c).g();
                TbsLog.i(LOGTAG, "[TbsDownloader.resetOtherCpuStableCore] postUrl=" + g2);
                TbsLog.i(LOGTAG, "[TbsDownloader.resetOtherCpuStableCore] mJsonDataQueryReset=" + w.toString());
                String a2 = f.a(g2, w.toString().getBytes("utf-8"), new f.a() {
                    /* class com.tencent.smtt.sdk.TbsDownloader.AnonymousClass5 */

                    @Override // com.tencent.smtt.utils.f.a
                    public void a(int i) {
                    }
                }, false);
                TbsLog.i(LOGTAG, "[TbsDownloader.resetOtherCpuStableCore] response=" + a2);
                u = 0;
                JSONObject jSONObject = new JSONObject(a2);
                if (jSONObject.getInt("RESETDECOUPLECORE") == 1) {
                    Context packageContext = TbsShareManager.getPackageContext(c, TbsConfig.APP_WX, false);
                    File file = packageContext == null ? new File(FileUtil.a(c, TbsConfig.APP_WX, 4, true)) : new File(FileUtil.a(packageContext, 4));
                    TbsLog.i(LOGTAG, "[TbsDownloader.resetOtherCpuStableCore] resetDecoupleCore mFilePathStable is " + file.getAbsolutePath(), true);
                    File[] listFiles = file.listFiles();
                    Pattern compile = Pattern.compile(a.a(false, i2));
                    for (File file2 : listFiles) {
                        if (compile.matcher(file2.getName()).find() && file2.isFile() && file2.exists()) {
                            TbsLog.i(LOGTAG, "resetOtherCpuStableCore file is " + file2.getAbsolutePath(), true);
                            file2.delete();
                        }
                    }
                    File file3 = new File(file, getBackupFileName(false, i2));
                    TbsLog.i(LOGTAG, "resetOtherCpuStableCore file is " + file3.getAbsolutePath(), true);
                    file3.delete();
                    return;
                }
                u = jSONObject.getInt("DECOUPLECOREVERSION");
            } catch (Throwable unused) {
            }
        }
    }

    private static void d(JSONArray jSONArray) {
        boolean z;
        String[] f2 = f();
        for (String str : f2) {
            int stableCoreVersion = TbsShareManager.getStableCoreVersion(c, str);
            if (stableCoreVersion > 0) {
                Context packageContext = TbsShareManager.getPackageContext(c, str, false);
                if (packageContext == null || p.a().g(packageContext)) {
                    int i2 = 0;
                    while (true) {
                        if (i2 >= jSONArray.length()) {
                            z = false;
                            break;
                        } else if (jSONArray.optInt(i2) == stableCoreVersion) {
                            z = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                    if (!z) {
                        TbsLog.i(LOGTAG, "addStableVersionToJsonData,pkg=" + str + ";version=" + stableCoreVersion);
                        jSONArray.put(stableCoreVersion);
                    }
                } else {
                    TbsLog.e(LOGTAG, "addStableVersionToJsonData,host check failed,packageName = " + str);
                }
            }
        }
    }

    private static boolean e() {
        try {
            return TbsDownloadConfig.getInstance(c).mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_LAST_THIRDAPP_SENDREQUEST_COREVERSION, "").equals(g().toString());
        } catch (Exception unused) {
            return false;
        }
    }

    private static String[] f() {
        if (QbSdk.getOnlyDownload()) {
            return new String[]{c.getApplicationContext().getPackageName()};
        }
        String[] coreProviderAppList = TbsShareManager.getCoreProviderAppList();
        String packageName = c.getApplicationContext().getPackageName();
        if (!packageName.equals(TbsShareManager.f(c))) {
            return coreProviderAppList;
        }
        int length = coreProviderAppList.length;
        String[] strArr = new String[(length + 1)];
        System.arraycopy(coreProviderAppList, 0, strArr, 0, length);
        strArr[length] = packageName;
        return strArr;
    }

    private static JSONArray g() {
        if (!TbsShareManager.isThirdPartyApp(c)) {
            return null;
        }
        JSONArray jSONArray = new JSONArray();
        a(jSONArray);
        TbsLog.i(LOGTAG, "getHostCoreVersions addCoreVersionToJsonData is " + jSONArray.toString());
        c(jSONArray);
        TbsLog.i(LOGTAG, "getHostCoreVersions addBackupVersionToJsonData is " + jSONArray.toString());
        b(jSONArray);
        TbsLog.i(LOGTAG, "getHostCoreVersions addAppDefinedToCoreVersions is " + jSONArray.toString());
        d(jSONArray);
        TbsLog.i(LOGTAG, "getHostCoreVersions addStableVersionToJsonData is " + jSONArray.toString());
        return jSONArray;
    }

    public static String getBackupFileName(boolean z) {
        return getBackupFileName(z, 0);
    }

    public static String getBackupFileName(boolean z, int i2) {
        boolean b2 = i2 == 64 ? true : i2 == 32 ? false : b.b();
        return z ? b2 ? "x5.tbs.decouple.64" : "x5.tbs.decouple" : b2 ? "x5.tbs.org.64" : "x5.tbs.org";
    }

    public static int getCoreShareDecoupleCoreVersion() {
        return p.a().i(c);
    }

    public static int getCoreShareDecoupleCoreVersionByContext(Context context) {
        return p.a().i(context);
    }

    public static synchronized boolean getOverSea(Context context) {
        boolean z;
        synchronized (TbsDownloader.class) {
            if (!l) {
                l = true;
                TbsDownloadConfig instance = TbsDownloadConfig.getInstance(context);
                if (instance.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA)) {
                    k = instance.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_IS_OVERSEA, false);
                    TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  first called. sOverSea = " + k);
                }
                TbsLog.i(LOGTAG, "[TbsDownloader.getOverSea]  sOverSea = " + k);
            }
            z = k;
        }
        return z;
    }

    public static long getRetryIntervalInSeconds() {
        return x;
    }

    public static HandlerThread getsTbsHandlerThread() {
        return h;
    }

    private static boolean h() {
        int i2;
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
        if (instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_SUCCESS_RETRYTIMES, 0) >= instance.getDownloadSuccessMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of success retrytimes", true);
            i2 = -115;
        } else if (instance.mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOAD_FAILED_RETRYTIMES, 0) >= instance.getDownloadFailedMaxRetrytimes()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] out of failed retrytimes", true);
            i2 = -116;
        } else if (!FileUtil.b(c)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] local rom freespace limit", true);
            i2 = -117;
        } else {
            if (System.currentTimeMillis() - instance.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOAD_STARTTIME, 0) <= 86400000) {
                long j2 = instance.mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOAD_FLOW, 0);
                TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] downloadFlow=" + j2);
                if (j2 >= instance.getDownloadMaxflow()) {
                    TbsLog.i(LOGTAG, "[TbsDownloader.needStartDownload] failed because you exceeded max flow!", true);
                    i2 = -120;
                }
            }
            return true;
        }
        instance.setDownloadInterruptCode(i2);
        return false;
    }

    public static boolean isDownloadForeground() {
        return g != null && g.d();
    }

    public static synchronized boolean isDownloading() {
        boolean z;
        synchronized (TbsDownloader.class) {
            TbsLog.i(LOGTAG, "[TbsDownloader.isDownloading] is " + f3018a);
            z = f3018a;
        }
        return z;
    }

    public static boolean needDownload(Context context, boolean z) {
        return needDownload(context, z, false, true, null);
    }

    public static boolean needDownload(Context context, boolean z, boolean z2, TbsDownloaderCallback tbsDownloaderCallback) {
        return needDownload(context, z, z2, true, tbsDownloaderCallback);
    }

    public static boolean needDownload(Context context, boolean z, boolean z2, boolean z3, TbsDownloaderCallback tbsDownloaderCallback) {
        boolean z4;
        boolean z5;
        int i2;
        q.b(context, "need_download", "");
        q.a(context, "need_download", "");
        c = context.getApplicationContext();
        q.a("1");
        TbsLog.initIfNeed(context);
        TbsLog.i(LOGTAG, "needDownload,process=" + QbSdk.getCurrentProcessName(context) + "stack=" + Log.getStackTraceString(new Throwable()));
        TbsDownloadUpload.clear();
        TbsDownloadUpload instance = TbsDownloadUpload.getInstance(context);
        instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_1));
        instance.commit();
        p.a().b(context, g.f3079a == 0);
        int b2 = p.a().b(context);
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],renameRet=" + b2);
        if (b2 != 0) {
            TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(context).tbsLogInfo();
            tbsLogInfo.f3028a = TbsListener.ErrorCode.RENAME_NO_NEED_SENDREQUEST;
            tbsLogInfo.setFailDetail("code=2" + b2);
            TbsLogReport.getInstance(context).eventReport(TbsLogReport.EventType.TYPE_SDK_REPORT_INFO, tbsLogInfo);
        }
        if (b2 < 0) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],needReNameFile=" + b2);
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            return false;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] oversea=" + z + ",isDownloadForeground=" + z2);
        if (p.b) {
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#1 Static Installing, return false");
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_1));
            instance.commit();
            return false;
        }
        TbsLog.app_extra(LOGTAG, context);
        c = context.getApplicationContext();
        TbsDownloadConfig instance2 = TbsDownloadConfig.getInstance(c);
        instance2.setDownloadInterruptCode(-100);
        if (!a(c, z)) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#2 Not shouldDoNeedDownload, return false");
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_2));
            instance.commit();
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_2));
            instance.commit();
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            return false;
        }
        d();
        if (i) {
            instance2.setDownloadInterruptCode(-105);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#3 TbsApkDownloader init Exception, return false");
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_3));
            instance.commit();
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_3));
            instance.commit();
            if (tbsDownloaderCallback != null) {
                tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
            }
            return false;
        }
        boolean a2 = a(c, z2, false);
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],needSendRequest=" + a2);
        if (a2) {
            a(z2, tbsDownloaderCallback, z3);
            instance2.setDownloadInterruptCode(-114);
        } else {
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.NEEDDOWNLOAD_4));
            instance.commit();
        }
        d.removeMessages(102);
        Message.obtain(d, 102).sendToTarget();
        if (QbSdk.c || !TbsShareManager.isThirdPartyApp(context)) {
            z4 = instance2.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload] hasNeedDownloadKey=" + z4);
            z5 = (z4 || TbsShareManager.isThirdPartyApp(context)) ? instance2.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false) : true;
        } else {
            z5 = false;
            z4 = false;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#4,needDownload=" + z5 + ",hasNeedDownloadKey=" + z4);
        if (!z5) {
            int n2 = p.a().n(c);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#7,tbsLocalVersion=" + n2 + ",needSendRequest=" + a2);
            if (a2 || n2 <= 0) {
                d.removeMessages(103);
                ((n2 > 0 || a2) ? Message.obtain(d, 103, 1, 0, c) : Message.obtain(d, 103, 0, 0, c)).sendToTarget();
                i2 = -121;
            } else {
                i2 = -119;
            }
            instance2.setDownloadInterruptCode(i2);
        } else if (!h()) {
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#5,set needDownload = false");
            z5 = false;
        } else {
            instance2.setDownloadInterruptCode(-118);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload]#6");
        }
        if (!a2 && tbsDownloaderCallback != null) {
            tbsDownloaderCallback.onNeedDownloadFinish(false, 0);
        }
        instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_NEEDDOWNLOAD_RETURN, Integer.valueOf(z5 ? TbsListener.ErrorCode.NEEDDOWNLOAD_TRUE : TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_4));
        instance.commit();
        return z5;
    }

    public static boolean needDownloadDecoupleCore() {
        int i2;
        if (TbsShareManager.isThirdPartyApp(c) || a(c)) {
            return false;
        }
        return System.currentTimeMillis() - TbsDownloadConfig.getInstance(c).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, 0) >= TbsDownloadConfig.getInstance(c).getRetryInterval() * 1000 && (i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0)) > 0 && i2 != p.a().i(c) && TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) != i2;
    }

    public static boolean needSendRequest(Context context, boolean z) {
        c = context.getApplicationContext();
        TbsLog.initIfNeed(context);
        if (!a(c, z)) {
            return false;
        }
        int n2 = p.a().n(context);
        TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] localTbsVersion=" + n2);
        if (n2 > 0) {
            return false;
        }
        boolean z2 = true;
        if (a(c, false, true)) {
            return true;
        }
        TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
        boolean contains = instance.mPreferences.contains(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD);
        TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] hasNeedDownloadKey=" + contains);
        boolean z3 = !contains ? true : instance.mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_NEEDDOWNLOAD, false);
        TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] needDownload=" + z3);
        if (!z3 || !h()) {
            z2 = false;
        }
        TbsLog.i(LOGTAG, "[TbsDownloader.needSendRequest] ret=" + z2);
        return z2;
    }

    public static void pauseDownload() {
        TbsLog.i(LOGTAG, "called pauseDownload,downloader=" + g);
        if (g != null) {
            g.e();
        }
    }

    public static void resumeDownload() {
        TbsLog.i(LOGTAG, "called resumeDownload,downloader=" + g);
        if (d != null) {
            d.removeMessages(109);
            d.sendEmptyMessage(109);
        }
    }

    public static void setAppContext(Context context) {
        if (context != null && context.getApplicationContext() != null) {
            c = context.getApplicationContext();
        }
    }

    public static void setRetryIntervalInSeconds(Context context, long j2) {
        if (context != null) {
            if (context.getApplicationInfo().packageName.equals("com.tencent.qqlive")) {
                x = j2;
            }
            TbsLog.i(LOGTAG, "mRetryIntervalInSeconds is " + x);
        }
    }

    public static boolean startDecoupleCoreIfNeeded() {
        if (!q.b(c)) {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded isStableCoreForHostEnable is false and return ");
            return false;
        }
        boolean startDecoupleCoreIfNeededImpl = startDecoupleCoreIfNeededImpl();
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded startDecoupleCoreIfNeededImpl return is " + startDecoupleCoreIfNeededImpl);
        if (!startDecoupleCoreIfNeededImpl && q.b(c)) {
            int i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, 0);
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded cpuTypeForOtherStableCore is " + i2);
            int i3 = 64;
            if (i2 == 0) {
                if (b.b()) {
                    i3 = 32;
                }
                c(i3);
            } else if (i2 == 32 || i2 == 64) {
                TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSDOWNLOADURL, "");
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPKFILESIZE, 0);
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, 0);
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPK_MD5, "");
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_DOWNLOADDECOUPLECORE, 0);
                instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0);
                instance.commit();
            }
        }
        return startDecoupleCoreIfNeededImpl;
    }

    public static boolean startDecoupleCoreIfNeededImpl() {
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded ");
        if (TbsShareManager.isThirdPartyApp(c)) {
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #1");
        m.a(c);
        m.b(c);
        if (a(c) || d == null) {
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #2");
        if (System.currentTimeMillis() - TbsDownloadConfig.getInstance(c).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, 0) < TbsDownloadConfig.getInstance(c).getRetryInterval() * 1000) {
            return false;
        }
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #3");
        int i2 = TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_DECOUPLECOREVERSION, 0);
        int tbsStableCoreVersion = q.b(c) ? TbsShareManager.getTbsStableCoreVersion(c, 0) : p.a().i(c);
        TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded coreVersionForThirdApp is " + tbsStableCoreVersion + " deCoupleCoreVersion is " + i2);
        if (i2 <= 0 || i2 == tbsStableCoreVersion) {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, deCoupleCoreVersion is " + i2 + " getTbsCoreShareDecoupleCoreVersion is " + tbsStableCoreVersion);
        } else if (a(i2, tbsStableCoreVersion, 0)) {
            TbsDownloadConfig instance = TbsDownloadConfig.getInstance(c);
            instance.mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_CPUTYPE_OTHER_STABLE_CORE, 0);
            instance.commit();
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeededImpl stable core " + i2 + " copy from old backup and return ");
            StringBuilder sb = new StringBuilder();
            sb.append("oldcore=is=");
            sb.append(tbsStableCoreVersion);
            String sb2 = sb.toString();
            q.b(c, "copy_my_cpu_core_ok", sb2 + "_" + "newcore=is=" + i2);
            return false;
        } else if (TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) != i2 || TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0) == 1) {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded #4");
            f3018a = true;
            d.removeMessages(108);
            Message obtain = Message.obtain(d, 108, QbSdk.n);
            obtain.arg1 = 0;
            obtain.sendToTarget();
            TbsDownloadConfig.getInstance(c).mSyncMap.put(TbsDownloadConfig.TbsConfigKey.KEY_LAST_DOWNLOAD_DECOUPLE_CORE, Long.valueOf(System.currentTimeMillis()));
            return true;
        } else {
            TbsLog.i(LOGTAG, "startDecoupleCoreIfNeeded no need, KEY_TBS_DOWNLOAD_V is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V, 0) + " deCoupleCoreVersion is " + i2 + " KEY_TBS_DOWNLOAD_V_TYPE is " + TbsDownloadConfig.getInstance(c).mPreferences.getInt(TbsDownloadConfig.TbsConfigKey.KEY_TBS_DOWNLOAD_V_TYPE, 0));
        }
        return false;
    }

    public static void startDownload(Context context) {
        startDownload(context, false);
    }

    public static synchronized void startDownload(Context context, boolean z) {
        synchronized (TbsDownloader.class) {
            TbsLog.initIfNeed(context);
            TbsDownloadUpload instance = TbsDownloadUpload.getInstance(context);
            instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_1));
            instance.commit();
            TbsLog.i(LOGTAG, "[TbsDownloader.startDownload] sAppContext=" + c);
            if (p.b) {
                instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_2));
                instance.commit();
                return;
            }
            p.a().b(context, g.f3079a == 0);
            int b2 = p.a().b(context);
            TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],renameRet=" + b2);
            if (b2 != 0) {
                TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(context).tbsLogInfo();
                tbsLogInfo.f3028a = TbsListener.ErrorCode.RENAME_NO_NEED_SENDREQUEST;
                tbsLogInfo.setFailDetail("code=2" + b2);
                TbsLogReport.getInstance(context).eventReport(TbsLogReport.EventType.TYPE_SDK_REPORT_INFO, tbsLogInfo);
            }
            if (b2 < 0) {
                TbsLog.i(LOGTAG, "[TbsDownloader.needDownload],needReNameFile=" + b2);
                return;
            }
            f3018a = true;
            c = context.getApplicationContext();
            TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-200);
            if (Build.VERSION.SDK_INT < 8) {
                QbSdk.n.onDownloadFinish(110);
                TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-201);
                instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_3));
                instance.commit();
                return;
            }
            d();
            if (i) {
                QbSdk.n.onDownloadFinish(TbsListener.ErrorCode.THREAD_INIT_ERROR);
                TbsDownloadConfig.getInstance(c).setDownloadInterruptCode(-202);
                instance.f3017a.put(TbsDownloadUpload.TbsUploadKey.KEY_STARTDOWNLOAD_CODE, Integer.valueOf((int) TbsListener.ErrorCode.STARTDOWNLOAD_4));
                instance.commit();
                return;
            }
            if (z) {
                stopDownload();
            }
            d.removeMessages(101);
            d.removeMessages(100);
            Message obtain = Message.obtain(d, 101, QbSdk.n);
            obtain.arg1 = z ? 1 : 0;
            obtain.sendToTarget();
        }
    }

    public static void stopDownload() {
        if (!i) {
            TbsLog.i(LOGTAG, "[TbsDownloader.stopDownload]");
            if (g != null) {
                g.b();
            }
            if (d != null) {
                d.removeMessages(100);
                d.removeMessages(101);
                d.removeMessages(108);
            }
        }
    }
}
