package com.tencent.smtt.sdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.TextUtils;
import com.tencent.smtt.export.external.TbsCoreSettings;
import com.tencent.smtt.utils.TbsLog;
import java.util.HashMap;

public enum TbsPrivacyAccess {
    DeviceId(false),
    Imsi(false),
    AndroidId(false),
    MacAddress(false),
    AndroidVersion(true),
    DeviceModel(true),
    AppList(true);
    
    @Deprecated

    /* renamed from: a  reason: collision with root package name */
    private static boolean f3032a = true;
    private boolean b;

    public enum ConfigurablePrivacy {
        IMSI("imsi"),
        ANDROID_ID("android_id"),
        MAC("mac"),
        ANDROID_VERSION("android_version"),
        DEVICE_MODEL("device_model"),
        APP_LIST("app_list"),
        QIMEI36("qimei36");
        

        /* renamed from: a  reason: collision with root package name */
        String f3033a;

        private ConfigurablePrivacy(String str) {
            this.f3033a = str;
        }
    }

    private TbsPrivacyAccess(boolean z) {
        this.b = z;
    }

    private static void a(SharedPreferences.Editor editor, ConfigurablePrivacy configurablePrivacy, String str) {
        if (!TextUtils.isEmpty(str)) {
            editor.putString(configurablePrivacy.f3033a, str);
            TbsLog.i("TbsPrivacy", "configurePrivacy " + configurablePrivacy.f3033a + " is " + str);
        }
    }

    public static void configureAllPrivacy(Context context, Bundle bundle) {
        if (bundle != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
                ConfigurablePrivacy[] values = ConfigurablePrivacy.values();
                for (ConfigurablePrivacy configurablePrivacy : values) {
                    if (bundle.containsKey(configurablePrivacy.f3033a)) {
                        a(edit, configurablePrivacy, bundle.getString(configurablePrivacy.f3033a));
                    }
                }
                edit.putString("app_call", "done");
                edit.commit();
            } catch (Throwable unused) {
            }
        }
    }

    public static void configureAllPrivacy(Context context, String str) {
        if (str != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
                edit.putString("app_list", str);
                edit.putString("app_call", "done");
                edit.commit();
            } catch (Throwable unused) {
            }
        }
    }

    public static void configurePrivacy(Context context, ConfigurablePrivacy configurablePrivacy, String str) {
        SharedPreferences.Editor edit = context.getSharedPreferences("uifa", 0).edit();
        a(edit, configurablePrivacy, str);
        edit.commit();
    }

    @Deprecated
    public static void disableSensitiveApi() {
        f3032a = false;
        HashMap hashMap = new HashMap();
        hashMap.put(TbsCoreSettings.NO_SENSITIVE_API, true);
        QbSdk.initTbsSettings(hashMap);
    }

    public static String getConfigurePrivacy(Context context, ConfigurablePrivacy configurablePrivacy, String str) {
        return context.getSharedPreferences("uifa", 0).getString(configurablePrivacy.f3033a, str);
    }

    @Deprecated
    public static boolean isEnableSensitiveApi() {
        return f3032a;
    }

    public boolean isDisabled() {
        return !this.b;
    }

    public boolean isEnabled() {
        return this.b;
    }

    public void setEnabled(boolean z) {
        this.b = z;
        TbsLog.i("TbsPrivacy", name() + " is " + z);
    }
}
