package com.tencent.smtt.sdk;

import android.content.Context;
import android.os.Build;
import android.os.Looper;
import android.text.TextUtils;
import android.util.Log;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.utils.FileUtil;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.a;
import com.tencent.smtt.utils.b;
import com.tencent.smtt.utils.q;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileFilter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Properties;

public class TbsShareManager {

    /* renamed from: a  reason: collision with root package name */
    private static Context f3039a = null;
    private static boolean b = false;
    private static String c = null;
    private static String d = "";
    private static String e = null;
    private static int f = 0;
    private static String g = null;
    private static boolean h = false;
    private static boolean i = false;
    private static boolean j = false;
    private static String k = null;
    private static boolean l = false;
    private static boolean m = false;
    public static boolean mHasQueryed = false;

    private static int a(Context context, String str, int i2) {
        try {
            File file = new File(new File(FileUtil.a(getPackageContext(context, str, false), i2)), TbsDownloader.getBackupFileName(false));
            if (file.exists() && file.canRead()) {
                return a.b(file);
            }
            TbsLog.i("TbsShareManager", "getSDCoreVersion,file not exist" + file);
            return 0;
        } catch (Throwable unused) {
            TbsLog.i("TbsShareManager", "getSDCoreVersion exception,pkg=" + str + ", SDCardStatus: " + b.l(context));
        }
    }

    static int a(Context context, boolean z) {
        b(context, z);
        return f;
    }

    static String a() {
        return e;
    }

    static void a(Context context) {
        TbsLog.i("TbsShareManager", "shareTbsCore #1");
        try {
            TbsLinuxToolsJni tbsLinuxToolsJni = new TbsLinuxToolsJni(context);
            a(context, tbsLinuxToolsJni, p.a().r(context));
            File s = p.a().s(context);
            TbsLog.i("TbsShareManager", "shareTbsCore tbsShareDir is " + s.getAbsolutePath());
            tbsLinuxToolsJni.a(s.getAbsolutePath(), "755");
        } catch (Throwable th) {
            TbsLog.i("TbsShareManager", "shareTbsCore tbsShareDir error is " + th.getMessage() + " ## " + th.getCause());
        }
    }

    private static void a(Context context, int i2) {
        String str;
        String str2;
        String str3;
        StringBuilder sb;
        File stableCoreFile;
        StringBuilder sb2;
        String str4;
        StringBuilder sb3;
        if (TbsPVConfig.getInstance(f3039a).isDisableHostBackupCore()) {
            str2 = "TbsShareManager";
            str = "installCoreWithUnzip do nothing #1";
        } else if (p.a().u(context)) {
            String[] strArr = {TbsConfig.APP_DEMO, TbsConfig.APP_WX, TbsConfig.APP_QQ, TbsConfig.APP_QZONE, context.getPackageName()};
            TbsLog.i("TbsShareManager", "find host backup core to unzip #1" + Log.getStackTraceString(new Throwable()));
            int length = strArr.length;
            int i3 = 0;
            while (true) {
                if (i3 >= length) {
                    break;
                }
                String str5 = strArr[i3];
                int backupCoreVersion = getBackupCoreVersion(context, str5);
                if (i2 == backupCoreVersion) {
                    TbsLog.i("TbsShareManager", "installCoreWithUnzip getBackupCoreVersion ok, packageName is " + str5 + " result version is " + backupCoreVersion);
                    if (p.a().g(getPackageContext(context, str5, false))) {
                        stableCoreFile = getBackupCoreFile(context, str5);
                        if (a.a(context, stableCoreFile, 0, i2)) {
                            TbsLog.i("TbsShareManager", "find host backup core to unzip normal coreVersion is " + i2 + " packageName is " + str5);
                            String str6 = "";
                            try {
                                str6 = str5.substring(str5.length() - 2);
                            } catch (Throwable th) {
                                TbsLog.i(TbsDownloader.LOGTAG, "throwable is " + Log.getStackTraceString(th));
                            }
                            q.a("7is" + i2 + str6);
                            sb2 = new StringBuilder();
                            break;
                        }
                        str3 = "TbsShareManager";
                        sb = new StringBuilder();
                        sb.append("find host backup core to unzip,verify apk failed,pkgName=");
                        sb.append(str5);
                        sb.append(";apk=");
                        sb.append(stableCoreFile.getAbsolutePath());
                        TbsLog.i(str3, sb.toString());
                        i3++;
                    } else {
                        str4 = "TbsShareManager";
                        sb3 = new StringBuilder();
                    }
                } else {
                    TbsLog.i("TbsShareManager", "installCoreWithUnzip getBackupCoreVersion fail, packageName is " + str5 + " result version is " + backupCoreVersion);
                    int backupDecoupleCoreVersion = getBackupDecoupleCoreVersion(context, str5);
                    if (i2 == backupDecoupleCoreVersion) {
                        TbsLog.i("TbsShareManager", "installCoreWithUnzip getBackupDecoupleCoreVersion ok, packageName is " + str5 + " result version is " + backupDecoupleCoreVersion);
                        if (p.a().g(getPackageContext(context, str5, false))) {
                            stableCoreFile = getBackupDecoupleCoreFile(context, str5);
                            if (a.a(context, stableCoreFile, 0, i2)) {
                                TbsLog.i("TbsShareManager", "find host backup core to unzip decouple coreVersion is " + i2 + " packageName is " + str5);
                                String str7 = "";
                                try {
                                    str7 = str5.substring(str5.length() - 2);
                                } catch (Throwable th2) {
                                    TbsLog.i(TbsDownloader.LOGTAG, "throwable is " + Log.getStackTraceString(th2));
                                }
                                q.a("7is" + i2 + str7);
                                sb2 = new StringBuilder();
                                break;
                            }
                        } else {
                            continue;
                        }
                        i3++;
                    } else {
                        TbsLog.i("TbsShareManager", "installCoreWithUnzip getBackupDecoupleCoreVersion fail, packageName is " + str5 + " result version is " + backupDecoupleCoreVersion);
                        int stableCoreVersion = getStableCoreVersion(context, str5);
                        if (i2 == stableCoreVersion) {
                            TbsLog.i("TbsShareManager", "installCoreWithUnzip getStableCoreVersion ok, packageName is " + str5 + " result version is " + stableCoreVersion);
                            if (p.a().g(getPackageContext(context, str5, false))) {
                                stableCoreFile = getStableCoreFile(context, str5);
                                if (a.a(context, stableCoreFile, 0, i2)) {
                                    TbsLog.i("TbsShareManager", "find host backup core to unzip normal coreVersion is " + i2 + " packageName is " + str5);
                                    String str8 = "";
                                    try {
                                        str8 = str5.substring(str5.length() - 2);
                                    } catch (Throwable th3) {
                                        TbsLog.i(TbsDownloader.LOGTAG, "throwable is " + Log.getStackTraceString(th3));
                                    }
                                    q.a("7is" + i2 + str8);
                                    sb2 = new StringBuilder();
                                    break;
                                }
                                str3 = "TbsShareManager";
                                sb = new StringBuilder();
                                sb.append("find host backup core to unzip,verify apk failed,pkgName=");
                                sb.append(str5);
                                sb.append(";apk=");
                                sb.append(stableCoreFile.getAbsolutePath());
                                TbsLog.i(str3, sb.toString());
                                i3++;
                            } else {
                                str4 = "TbsShareManager";
                                sb3 = new StringBuilder();
                            }
                        } else {
                            str3 = "TbsShareManager";
                            sb = new StringBuilder();
                            sb.append("installCoreWithUnzip getBackupCoreVersion fail, packageName is ");
                            sb.append(str5);
                            sb.append(" result version is ");
                            sb.append(stableCoreVersion);
                            TbsLog.i(str3, sb.toString());
                            i3++;
                        }
                    }
                }
                sb3.append("find host backup core to unzip,verify app failed,pkgName=");
                sb3.append(str5);
                TbsLog.i(str4, sb3.toString());
                i3++;
            }
            sb2.append("coreVersionIs");
            sb2.append(i2);
            q.a(f3039a, "copy_host_core_v2", sb2.toString());
            p.a().b(context, stableCoreFile, i2);
            p.a().b();
            return;
        } else {
            str2 = "TbsShareManager";
            str = "installCoreWithUnzip do nothing #2";
        }
        TbsLog.i(str2, str);
    }

    private static void a(Context context, TbsLinuxToolsJni tbsLinuxToolsJni, File file) {
        String absolutePath;
        String str;
        TbsLog.i("TbsShareManager", "shareAllDirsAndFiles #1");
        if (file != null && file.exists() && file.isDirectory()) {
            TbsLog.i("TbsShareManager", "shareAllDirsAndFiles dir is " + file.getAbsolutePath());
            tbsLinuxToolsJni.a(file.getAbsolutePath(), "755");
            File[] listFiles = file.listFiles();
            for (File file2 : listFiles) {
                if (file2.isFile()) {
                    if (file2.getAbsolutePath().indexOf(".so") > 0) {
                        absolutePath = file2.getAbsolutePath();
                        str = "755";
                    } else {
                        absolutePath = file2.getAbsolutePath();
                        str = "644";
                    }
                    tbsLinuxToolsJni.a(absolutePath, str);
                } else if (file2.isDirectory()) {
                    a(context, tbsLinuxToolsJni, file2);
                } else {
                    TbsLog.e("TbsShareManager", "unknown file type.", true);
                }
            }
        }
    }

    static void b(Context context) {
        try {
            a(context, new TbsLinuxToolsJni(context), p.a().q(context));
        } catch (Throwable th) {
            TbsLog.i(th);
        }
    }

    static boolean b(Context context, boolean z) {
        if (i(context)) {
            return true;
        }
        if (!z) {
            return false;
        }
        QbSdk.a(context, "TbsShareManager::isShareTbsCoreAvailable forceSysWebViewInner!");
        return false;
    }

    static String c(Context context) {
        j(context);
        return e;
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(12:5|6|7|(1:9)|10|11|12|13|14|15|16|49) */
    /* JADX WARNING: Code restructure failed: missing block: B:47:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0063 */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x007b A[SYNTHETIC, Splitter:B:30:0x007b] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0087 A[SYNTHETIC, Splitter:B:39:0x0087] */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x008c A[SYNTHETIC, Splitter:B:43:0x008c] */
    /* JADX WARNING: Removed duplicated region for block: B:48:? A[RETURN, SYNTHETIC] */
    private static void c(Context context, boolean z) {
        Throwable th;
        BufferedInputStream bufferedInputStream;
        BufferedOutputStream bufferedOutputStream;
        Throwable th2;
        BufferedInputStream bufferedInputStream2 = null;
        r0 = null;
        BufferedOutputStream bufferedOutputStream2 = null;
        try {
            File tbsShareFile = getTbsShareFile(context, "core_info");
            if (tbsShareFile != null) {
                bufferedInputStream = new BufferedInputStream(new FileInputStream(tbsShareFile));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    properties.setProperty("core_disabled", String.valueOf(false));
                    if (z) {
                        String absolutePath = p.a().r(context).getAbsolutePath();
                        String packageName = context.getApplicationContext().getPackageName();
                        int e2 = b.e(context);
                        properties.setProperty("core_packagename", packageName);
                        properties.setProperty("core_path", absolutePath);
                        properties.setProperty("app_version", String.valueOf(e2));
                    }
                    bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(tbsShareFile));
                    try {
                        properties.store(bufferedOutputStream, (String) null);
                        bufferedInputStream.close();
                    } catch (Throwable th3) {
                        th = th3;
                        bufferedOutputStream2 = bufferedOutputStream;
                        if (bufferedInputStream != null) {
                        }
                        if (bufferedOutputStream2 != null) {
                        }
                        throw th;
                    }
                } catch (Throwable th4) {
                    th = th4;
                    if (bufferedInputStream != null) {
                    }
                    if (bufferedOutputStream2 != null) {
                    }
                    throw th;
                }
                bufferedOutputStream.close();
            }
        } catch (Throwable th5) {
            th = th5;
            bufferedInputStream = null;
            if (bufferedInputStream != null) {
                try {
                    bufferedInputStream.close();
                } catch (Exception unused) {
                }
            }
            if (bufferedOutputStream2 != null) {
                try {
                    bufferedOutputStream2.close();
                } catch (Exception unused2) {
                }
            }
            throw th;
        }
    }

    static int d(Context context) {
        return a(context, true);
    }

    private static String[] d(Context context, boolean z) {
        if (QbSdk.getOnlyDownload()) {
            return new String[]{context.getApplicationContext().getPackageName()};
        }
        String[] coreProviderAppList = getCoreProviderAppList();
        if (!z) {
            return coreProviderAppList;
        }
        return new String[]{context.getApplicationContext().getPackageName()};
    }

    static Context e(Context context) {
        j(context);
        Context context2 = null;
        if (g != null) {
            Context packageContext = getPackageContext(context, g, true);
            if (p.a().g(packageContext)) {
                context2 = packageContext;
            }
        }
        return c != null ? f3039a : context2;
    }

    /* JADX WARNING: Exception block dominator not found, dom blocks: [] */
    /* JADX WARNING: Missing exception handler attribute for start block: B:40:0x0056 */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0048 A[SYNTHETIC, Splitter:B:30:0x0048] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0053 A[SYNTHETIC, Splitter:B:38:0x0053] */
    static synchronized String f(Context context) {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        Throwable th2;
        synchronized (TbsShareManager.class) {
            try {
                File tbsShareFile = getTbsShareFile(context, "core_info");
                if (tbsShareFile == null) {
                    return null;
                }
                bufferedInputStream = new BufferedInputStream(new FileInputStream(tbsShareFile));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    String property = properties.getProperty("core_packagename", "");
                    if (!"".equals(property)) {
                        try {
                            bufferedInputStream.close();
                        } catch (Exception unused) {
                        }
                        return property;
                    }
                    try {
                        bufferedInputStream.close();
                    } catch (Exception unused2) {
                    }
                    return null;
                } catch (Throwable th3) {
                    th2 = th3;
                    try {
                        th2.printStackTrace();
                        if (bufferedInputStream != null) {
                        }
                        return null;
                    } catch (Throwable th4) {
                        th = th4;
                        if (bufferedInputStream != null) {
                            bufferedInputStream.close();
                        }
                        throw th;
                    }
                }
            } catch (Throwable th5) {
                th = th5;
                bufferedInputStream = null;
                if (bufferedInputStream != null) {
                }
                throw th;
            }
        }
    }

    public static int findCoreForThirdPartyApp(Context context) {
        String str;
        String str2;
        n(context);
        TbsLog.i("TbsShareManager", "findCoreForThirdPartyApp", "core_info mAvailableCoreVersion is " + f + " mAvailableCorePath is " + e + " mSrcPackageName is " + g);
        if (g == null || !g.equals("AppDefined")) {
            if (!k(context) && !l(context)) {
                f = 0;
                e = null;
                g = null;
                str = "TbsShareManager";
                str2 = "checkCoreInfo is false and checkCoreInOthers is false ";
            }
            if (f > 0 && h) {
                f = 0;
                e = null;
                g = null;
                TbsLog.i("TbsShareManager", "findCoreForThirdPartyApp", "mCoreDisabled");
            }
            return f;
        }
        if (f != p.a().a(c)) {
            f = 0;
            e = null;
            g = null;
            str = "TbsShareManager";
            str2 = "check AppDefined core is error src is " + f + " dest is " + p.a().a(c);
        }
        f = 0;
        e = null;
        g = null;
        TbsLog.i("TbsShareManager", "findCoreForThirdPartyApp", "mCoreDisabled");
        return f;
        TbsLog.w(str, "findCoreForThirdPartyApp", str2);
        f = 0;
        e = null;
        g = null;
        TbsLog.i("TbsShareManager", "findCoreForThirdPartyApp", "mCoreDisabled");
        return f;
    }

    public static boolean forceLoadX5FromTBSDemo(Context context) {
        int sharedTbsCoreVersion;
        if (context == null || p.a().a(context, (File[]) null) || (sharedTbsCoreVersion = getSharedTbsCoreVersion(context, TbsConfig.APP_DEMO)) <= 0) {
            return false;
        }
        writeProperties(context, Integer.toString(sharedTbsCoreVersion), TbsConfig.APP_DEMO, p.a().r(getPackageContext(context, TbsConfig.APP_DEMO, true)).getAbsolutePath(), "1");
        return true;
    }

    public static void forceToLoadX5ForThirdApp(Context context, boolean z) {
        File s;
        int a2;
        try {
            if (!QbSdk.isNeedInitX5FirstTime() || !isThirdPartyApp(context) || QbSdk.getOnlyDownload() || (s = p.a().s(context)) == null) {
                return;
            }
            if (z && new File(s, "core_info").exists()) {
                return;
            }
            if (c == null || (a2 = p.a().a(c)) <= 0) {
                TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp #1");
                int h2 = h(context);
                int j2 = p.a().j(context);
                TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp coreVersionFromConfig is " + h2);
                TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp coreVersionFromCoreShare is " + j2);
                String[] coreProviderAppList = getCoreProviderAppList();
                for (String str : coreProviderAppList) {
                    int coreShareDecoupleCoreVersion = getCoreShareDecoupleCoreVersion(context, str);
                    if (coreShareDecoupleCoreVersion >= h2) {
                        if (coreShareDecoupleCoreVersion >= j2) {
                            if (coreShareDecoupleCoreVersion > 0) {
                                e = p.a().c(context, getPackageContext(context, str, true)).getAbsolutePath();
                                g = str;
                                f = coreShareDecoupleCoreVersion;
                                TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp #2 -- mAvailableCoreVersion: " + f + " " + Log.getStackTraceString(new Throwable("#")));
                                if (QbSdk.canLoadX5FirstTimeThirdApp(context)) {
                                    int e2 = b.e(context);
                                    TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp #2");
                                    writeProperties(context, Integer.toString(f), g, e, Integer.toString(e2));
                                    return;
                                }
                                f = 0;
                                e = null;
                                g = null;
                            } else {
                                continue;
                            }
                        }
                    }
                }
                for (String str2 : coreProviderAppList) {
                    int sharedTbsCoreVersion = getSharedTbsCoreVersion(context, str2);
                    if (sharedTbsCoreVersion >= h2) {
                        if (sharedTbsCoreVersion >= j2) {
                            if (sharedTbsCoreVersion > 0) {
                                e = p.a().b(context, getPackageContext(context, str2, true)).getAbsolutePath();
                                g = str2;
                                f = sharedTbsCoreVersion;
                                TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp #3 -- mAvailableCoreVersion: " + f + " " + Log.getStackTraceString(new Throwable("#")));
                                if (QbSdk.canLoadX5FirstTimeThirdApp(context)) {
                                    writeProperties(context, Integer.toString(f), g, e, Integer.toString(b.e(context)));
                                    return;
                                }
                                f = 0;
                                e = null;
                                g = null;
                            } else {
                                continue;
                            }
                        }
                    }
                }
                if (TbsPVConfig.getInstance(f3039a).isDisableHostBackupCore()) {
                    return;
                }
                if (Thread.currentThread() != Looper.getMainLooper().getThread()) {
                    for (String str3 : coreProviderAppList) {
                        int backupCoreVersion = getBackupCoreVersion(context, str3);
                        if (backupCoreVersion >= h2) {
                            if (backupCoreVersion >= j2) {
                                if (backupCoreVersion > 0) {
                                    TbsLog.i("TbsShareManager", "find host backup core to unzip forceload coreVersion is " + backupCoreVersion + " packageName is " + str3);
                                    p.a().a(context, getBackupCoreFile(context, str3), backupCoreVersion);
                                    TbsLog.i("TbsShareManager", "find host backup core to unzip forceload after unzip ");
                                    return;
                                }
                            }
                        }
                        int backupDecoupleCoreVersion = getBackupDecoupleCoreVersion(context, str3);
                        if (backupDecoupleCoreVersion >= h2) {
                            if (backupDecoupleCoreVersion >= j2) {
                                if (backupDecoupleCoreVersion > 0) {
                                    TbsLog.i("TbsShareManager", "find host backup core to unzip forceload decouple coreVersion is " + backupDecoupleCoreVersion + " packageName is " + str3);
                                    p.a().a(context, getBackupCoreFile(context, str3), backupDecoupleCoreVersion);
                                    TbsLog.i("TbsShareManager", "find host backup decouple core to unzip forceload after unzip ");
                                    return;
                                }
                            }
                        }
                        int stableCoreVersion = getStableCoreVersion(context, str3);
                        if (stableCoreVersion >= h2) {
                            if (stableCoreVersion >= j2) {
                                if (stableCoreVersion > 0) {
                                    TbsLog.i("TbsShareManager", "find host stable core to unzip forceload coreVersion is " + stableCoreVersion + " packageName is " + str3);
                                    p.a().a(context, getStableCoreFile(context, str3), stableCoreVersion);
                                    TbsLog.i("TbsShareManager", "find host stable core to unzip forceload after unzip ");
                                    return;
                                }
                            }
                        }
                    }
                    return;
                }
                TbsLog.i("TbsShareManager", "in mainthread so do not find host backup core to install ");
                return;
            }
            e = c;
            g = "AppDefined";
            f = a2;
            TbsLog.i("TbsShareManager", "forceToLoadX5ForThirdApp #1 -- mAvailableCoreVersion: " + f + " " + Log.getStackTraceString(new Throwable("#")));
            writeProperties(context, Integer.toString(f), g, e, Integer.toString(1));
        } catch (Exception unused) {
        }
    }

    static String g(Context context) {
        try {
            n(context);
            if (e != null) {
                if (!TextUtils.isEmpty(e)) {
                    return e + File.separator + "res.apk";
                }
            }
            return null;
        } catch (Throwable th) {
            Log.e("", "getTbsResourcesPath exception: " + Log.getStackTraceString(th));
            return null;
        }
    }

    public static File getBackupCoreFile(Context context, String str) {
        return getSDCoreFile(context, str, 3);
    }

    public static int getBackupCoreVersion(Context context, String str) {
        return a(context, str, 3);
    }

    public static File getBackupDecoupleCoreFile(Context context, String str) {
        try {
            File file = new File(new File(FileUtil.a(getPackageContext(context, str, false), 4)), TbsDownloader.getBackupFileName(true));
            if (file.exists()) {
                return file;
            }
            return null;
        } catch (Throwable unused) {
            return null;
        }
    }

    public static int getBackupDecoupleCoreVersion(Context context, String str) {
        try {
            File file = new File(new File(FileUtil.a(getPackageContext(context, str, false), 4)), TbsDownloader.getBackupFileName(true));
            if (file.exists() && file.canRead()) {
                return a.b(file);
            }
        } catch (Throwable unused) {
            TbsLog.i("TbsShareManager", "getBackupDecoupleCoreVersion exception,pkg=" + str + ",package not found.");
        }
        return 0;
    }

    public static boolean getCoreDisabled() {
        return h;
    }

    public static boolean getCoreFormOwn() {
        return l;
    }

    public static String[] getCoreProviderAppList() {
        return new String[]{TbsConfig.APP_DEMO, TbsConfig.APP_WX, TbsConfig.APP_QQ, TbsConfig.APP_QZONE, "com.tencent.qqlite"};
    }

    public static int getCoreShareDecoupleCoreVersion(Context context, String str) {
        Context packageContext = getPackageContext(context, str, true);
        if (packageContext != null) {
            return p.a().i(packageContext);
        }
        return 0;
    }

    public static String getHostCorePathAppDefined() {
        return c;
    }

    public static long getHostCoreVersions(Context context) {
        long sharedTbsCoreVersion;
        long sharedTbsCoreVersion2;
        long j2;
        String[] coreProviderAppList = getCoreProviderAppList();
        long j3 = 0;
        for (String str : coreProviderAppList) {
            if (str.equalsIgnoreCase(TbsConfig.APP_WX)) {
                sharedTbsCoreVersion2 = (long) getSharedTbsCoreVersion(context, str);
                j2 = 10000000000L;
            } else if (str.equalsIgnoreCase(TbsConfig.APP_QQ)) {
                sharedTbsCoreVersion2 = (long) getSharedTbsCoreVersion(context, str);
                j2 = 100000;
            } else if (str.equalsIgnoreCase(TbsConfig.APP_QZONE)) {
                sharedTbsCoreVersion = (long) getSharedTbsCoreVersion(context, str);
                j3 += sharedTbsCoreVersion;
            }
            sharedTbsCoreVersion = sharedTbsCoreVersion2 * j2;
            j3 += sharedTbsCoreVersion;
        }
        return j3;
    }

    public static Context getPackageContext(Context context, String str, boolean z) {
        if (z) {
            try {
                if (!context.getPackageName().equals(str) && !TbsConfig.APP_DEMO.equals(str) && (TbsPVConfig.getInstance(context).isEnableNoCoreGray() || Build.VERSION.SDK_INT >= 29)) {
                    return null;
                }
            } catch (Throwable unused) {
                return null;
            }
        }
        return context.createPackageContext(str, 2);
    }

    public static File getSDCoreFile(Context context, String str, int i2) {
        try {
            File file = new File(new File(FileUtil.a(getPackageContext(context, str, false), i2)), TbsDownloader.getBackupFileName(false));
            if (!file.exists() || !file.canRead()) {
                return null;
            }
            return file;
        } catch (Throwable unused) {
            return null;
        }
    }

    public static int getSharedTbsCoreVersion(Context context, String str) {
        Context packageContext = getPackageContext(context, str, true);
        if (packageContext != null) {
            return p.a().j(packageContext);
        }
        return 0;
    }

    public static File getStableCoreFile(Context context, String str) {
        return getSDCoreFile(context, str, 4);
    }

    public static int getStableCoreVersion(Context context, String str) {
        return a(context, str, 4);
    }

    public static String getStableCoreZeroReason() {
        return d;
    }

    public static File getTbsShareFile(Context context, String str) {
        File s = p.a().s(context);
        if (s == null) {
            return null;
        }
        File file = new File(s, str);
        if (file.exists()) {
            return file;
        }
        try {
            file.createNewFile();
            return file;
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static int getTbsStableCoreVersion(Context context, int i2) {
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x0079 A[SYNTHETIC, Splitter:B:38:0x0079] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x008e A[SYNTHETIC, Splitter:B:47:0x008e] */
    static synchronized int h(Context context) {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        Throwable th2;
        synchronized (TbsShareManager.class) {
            TbsLog.i("TbsShareManager", "readCoreVersionFromConfig #1");
            try {
                File tbsShareFile = getTbsShareFile(context, "core_info");
                if (tbsShareFile == null) {
                    TbsLog.i("TbsShareManager", "readCoreVersionFromConfig #2");
                    return 0;
                }
                bufferedInputStream = new BufferedInputStream(new FileInputStream(tbsShareFile));
                try {
                    Properties properties = new Properties();
                    properties.load(bufferedInputStream);
                    String property = properties.getProperty("core_version", "");
                    if (!"".equals(property)) {
                        TbsLog.i("TbsShareManager", "readCoreVersionFromConfig #3");
                        int max = Math.max(Integer.parseInt(property), 0);
                        try {
                            bufferedInputStream.close();
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                        return max;
                    }
                    TbsLog.i("TbsShareManager", "readCoreVersionFromConfig #4");
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                    return 0;
                } catch (Throwable th3) {
                    th2 = th3;
                    try {
                        th2.printStackTrace();
                        if (bufferedInputStream != null) {
                        }
                        TbsLog.i("TbsShareManager", "readCoreVersionFromConfig #5");
                        return -2;
                    } catch (Throwable th4) {
                        th = th4;
                        if (bufferedInputStream != null) {
                        }
                        throw th;
                    }
                }
            } catch (Throwable th5) {
                th = th5;
                bufferedInputStream = null;
                if (bufferedInputStream != null) {
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e4) {
                        e4.printStackTrace();
                    }
                }
                throw th;
            }
        }
    }

    static boolean i(Context context) {
        TbsLog.i("TbsShareManager", "isShareTbsCoreAvailableInner", "#1# mAvailableCoreVersion: " + f);
        try {
            if (f == 0) {
                findCoreForThirdPartyApp(context);
            }
            if (f == 0) {
                TbsLog.w("TbsShareManager", "isShareTbsCoreAvailableInner", "can not findCoreForThirdPartyApp");
                return false;
            }
            if (c == null) {
                TbsLog.i("TbsShareManager", "isShareTbsCoreAvailableInner", "#2# check if the installed version is online version");
                if (f != 0 && getSharedTbsCoreVersion(context, g) == f) {
                    return true;
                }
            } else if (f != 0 && p.a().a(c) == f) {
                return true;
            }
            TbsLog.i("TbsShareManager", "isShareTbsCoreAvailableInner", "#3# Core Resource path has been changed!");
            if (l(context)) {
                return true;
            }
            TbsLog.i("TbsShareManager", "isShareTbsCoreAvailableInner", "#4# Can not find core in others, mAvailableCoreVersion is " + f);
            TbsCoreLoadStat instance = TbsCoreLoadStat.getInstance();
            instance.a(context, TbsListener.ErrorCode.INFO_CORE_EXIST_NOT_LOAD, new Throwable("mAvailableCoreVersion=" + f + "; mSrcPackageName=" + g + "; getSharedTbsCoreVersion(ctx, mSrcPackageName) is " + getSharedTbsCoreVersion(context, g) + "; getHostCoreVersions is " + getHostCoreVersions(context)));
            e = null;
            f = 0;
            TbsLog.w("TbsShareManager", "isShareTbsCoreAvailableInner", "[share] conflict x5core cannot share");
            QbSdk.a(context, "TbsShareManager::isShareTbsCoreAvailableInner forceSysWebViewInner!");
            return false;
        } catch (Throwable th) {
            th.printStackTrace();
            TbsLog.w("TbsShareManager", "isShareTbsCoreAvailableInner", "final available core inner false.");
            return false;
        }
    }

    public static boolean isThirdPartyApp(Context context) {
        try {
            if (f3039a != null && f3039a.equals(context.getApplicationContext())) {
                return b;
            }
            f3039a = context.getApplicationContext();
            String packageName = f3039a.getPackageName();
            for (String str : getCoreProviderAppList()) {
                if (packageName.equals(str)) {
                    b = false;
                    return false;
                }
            }
            b = true;
            return true;
        } catch (Throwable th) {
            TbsLog.i(th);
        }
    }

    static boolean j(Context context) {
        return b(context, true);
    }

    private static boolean k(Context context) {
        String str;
        String str2;
        String str3;
        StringBuilder sb;
        String str4;
        if (g == null) {
            str = "TbsShareManager";
            str2 = "checkCoreInfo mSrcPackageName is null";
        } else {
            if (f == getSharedTbsCoreVersion(context, g)) {
                str3 = "TbsShareManager";
                sb = new StringBuilder();
                sb.append("checkCoreInfo mAvailableCoreVersion is ");
                sb.append(f);
                sb.append(" mSrcPackageName is ");
                sb.append(g);
                str4 = " and return true #01";
            } else {
                TbsLog.i("TbsShareManager", "checkCoreInfo mAvailableCoreVersion is " + f + " mSrcPackageName is " + g + " getSharedTbsCoreVersion(ctx, mSrcPackageName) is " + getSharedTbsCoreVersion(context, g) + " and return false #01");
                if (f == getCoreShareDecoupleCoreVersion(context, g)) {
                    str3 = "TbsShareManager";
                    sb = new StringBuilder();
                    sb.append("checkCoreInfo mAvailableCoreVersion is ");
                    sb.append(f);
                    sb.append(" mSrcPackageName is ");
                    sb.append(g);
                    str4 = " and return true #02";
                } else {
                    str = "TbsShareManager";
                    str2 = "checkCoreInfo return false end";
                }
            }
            sb.append(str4);
            TbsLog.i(str3, sb.toString());
            return true;
        }
        TbsLog.i(str, str2);
        return false;
    }

    private static boolean l(Context context) {
        String str;
        File c2;
        if (QbSdk.getOnlyDownload()) {
            return false;
        }
        String[] coreProviderAppList = getCoreProviderAppList();
        int length = coreProviderAppList.length;
        int i2 = 0;
        while (true) {
            if (i2 < length) {
                str = coreProviderAppList[i2];
                if (f > 0 && f == getSharedTbsCoreVersion(context, str)) {
                    Context packageContext = getPackageContext(context, str, true);
                    if (p.a().g(context)) {
                        c2 = p.a().b(context, packageContext);
                        break;
                    }
                }
                i2++;
            } else {
                int length2 = coreProviderAppList.length;
                for (int i3 = 0; i3 < length2; i3++) {
                    str = coreProviderAppList[i3];
                    if (f > 0 && f == getCoreShareDecoupleCoreVersion(context, str)) {
                        Context packageContext2 = getPackageContext(context, str, true);
                        if (p.a().g(context)) {
                            c2 = p.a().c(context, packageContext2);
                        }
                    }
                }
                return false;
            }
        }
        e = c2.getAbsolutePath();
        g = str;
        return true;
    }

    private static boolean m(Context context) {
        if (context == null) {
            return false;
        }
        writeProperties(context, Integer.toString(0), "", "", Integer.toString(0));
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:51:0x011d A[SYNTHETIC, Splitter:B:51:0x011d] */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x0128 A[SYNTHETIC, Splitter:B:58:0x0128] */
    private static void n(Context context) {
        BufferedInputStream bufferedInputStream;
        Throwable th;
        Throwable th2;
        TbsLog.i("TbsShareManager", "loadProperties -- core_info_already_read " + m);
        if (!m) {
            synchronized (TbsShareManager.class) {
                if (!m) {
                    try {
                        File tbsShareFile = getTbsShareFile(context, "core_info");
                        TbsLog.i("TbsShareManager", "loadProperties -- propFile: " + tbsShareFile);
                        if (tbsShareFile != null) {
                            bufferedInputStream = new BufferedInputStream(new FileInputStream(tbsShareFile));
                            try {
                                Properties properties = new Properties();
                                properties.load(bufferedInputStream);
                                String property = properties.getProperty("core_version", "");
                                TbsLog.i("TbsShareManager", "loadProperties -- tmp core version : " + property);
                                if (!"".equals(property)) {
                                    f = Math.max(Integer.parseInt(property), 0);
                                    TbsLog.i("TbsShareManager", "loadProperties -- mAvailableCoreVersion: " + f);
                                }
                                String property2 = properties.getProperty("core_packagename", "");
                                if (!"".equals(property2)) {
                                    g = property2;
                                }
                                if (!(g == null || f3039a == null)) {
                                    if (g.equals(f3039a.getPackageName())) {
                                        l = true;
                                    } else {
                                        l = false;
                                    }
                                }
                                String property3 = properties.getProperty("core_path", "");
                                if (!"".equals(property3)) {
                                    e = property3;
                                }
                                String property4 = properties.getProperty("app_version", "");
                                if (!"".equals(property4)) {
                                    k = property4;
                                }
                                h = Boolean.parseBoolean(properties.getProperty("core_disabled", "false"));
                                m = true;
                                try {
                                    bufferedInputStream.close();
                                } catch (Exception e2) {
                                    e = e2;
                                }
                            } catch (Throwable th3) {
                                th2 = th3;
                                try {
                                    th2.printStackTrace();
                                    if (bufferedInputStream != null) {
                                        try {
                                            bufferedInputStream.close();
                                        } catch (Exception e3) {
                                            e = e3;
                                        }
                                    }
                                } catch (Throwable th4) {
                                    th = th4;
                                    if (bufferedInputStream != null) {
                                    }
                                    throw th;
                                }
                            }
                        }
                        return;
                    } catch (Throwable th5) {
                        th = th5;
                        bufferedInputStream = null;
                        if (bufferedInputStream != null) {
                            try {
                                bufferedInputStream.close();
                            } catch (Exception e4) {
                                e4.printStackTrace();
                            }
                        }
                        throw th;
                    }
                } else {
                    return;
                }
            }
        } else {
            return;
        }
        e.printStackTrace();
    }

    public static void setHostCorePathAppDefined(String str) {
        c = str;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:102:0x041c, code lost:
        if (r6.equals(r12.getApplicationContext().getPackageName()) != false) goto L_0x044b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:103:0x041e, code lost:
        com.tencent.smtt.utils.TbsLog.i("TbsShareManager", "thirdAPP pre--> delete old core_share Directory:" + r13);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:105:?, code lost:
        com.tencent.smtt.utils.FileUtil.b(com.tencent.smtt.sdk.p.a().r(r12));
        com.tencent.smtt.utils.TbsLog.i("TbsShareManager", "thirdAPP success--> delete old core_share Directory");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:106:0x0447, code lost:
        r7 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:107:0x0448, code lost:
        r7.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x02d8, code lost:
        if (r6.equals(r12.getApplicationContext().getPackageName()) != false) goto L_0x02fb;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:83:0x02da, code lost:
        com.tencent.smtt.utils.TbsLog.i("TbsShareManager", "thirdAPP pre--> delete old core_share Directory:" + r13);
        com.tencent.smtt.sdk.n.a(com.tencent.smtt.sdk.TbsShareManager.f3039a).a("remove_old_core", 1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x02fb, code lost:
        com.tencent.smtt.utils.q.a(com.tencent.smtt.sdk.TbsShareManager.f3039a, "write_core_info", ("packageName=is=" + r6) + "_" + "coreVersion=is=" + r13);
        writeProperties(r12, java.lang.Integer.toString(r13), r6, r8, java.lang.Integer.toString(r9));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:86:?, code lost:
        r6 = r6.substring(r6.length() - 2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x0344, code lost:
        r6 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x0345, code lost:
        com.tencent.smtt.utils.TbsLog.i(com.tencent.smtt.sdk.TbsDownloader.LOGTAG, "throwable is " + android.util.Log.getStackTraceString(r6));
        r6 = "";
     */
    public static synchronized void writeCoreInfoForThirdPartyApp(Context context, int i2, boolean z) {
        String str;
        String absolutePath;
        int e2;
        String str2;
        File tbsShareFile;
        String str3;
        synchronized (TbsShareManager.class) {
            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersion is " + i2);
            if (i2 == 0) {
                m(context);
                TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-401);
                return;
            }
            int h2 = h(context);
            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersionFromConfig is " + h2);
            if (h2 < 0) {
                q.a(f3039a, "error_coreinfo_core", "coreVersionFromConfigIs" + h2);
                TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-402);
                return;
            }
            boolean z2 = false;
            boolean z3 = true;
            if (i2 == h2) {
                if (d(context) == 0) {
                    z2 = true;
                }
                q.a(f3039a, "core_same_write", (("coreVersionIs" + i2) + "_" + "shareCoreCanNotUse=is=" + z2) + "_" + "isInstallCore=is=" + z);
                if (z2 && !z) {
                    q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
                    a(context, i2);
                }
                c(context, z);
                TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-403);
                return;
            } else if (i2 < h2) {
                m(context);
                TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-404);
                q.a(f3039a, "error_coreinfo_core", ("coreVersionFromConfigIs" + h2) + "_" + "coreVersion=is=" + i2);
                return;
            } else {
                int j2 = p.a().j(context);
                TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp coreVersionFromCoreShare is " + j2);
                if (i2 < j2) {
                    m(context);
                    TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-404);
                    q.a(f3039a, "error_coreinfo_core", ("coreVersionFromCoreShareIs" + j2) + "_" + "coreVersion=is=" + i2);
                    return;
                }
                String[] d2 = d(context, z);
                if (c != null) {
                    if (i2 == p.a().a(c)) {
                        writeProperties(context, Integer.toString(i2), "AppDefined", c, Integer.toString(1));
                        try {
                            File tbsShareFile2 = getTbsShareFile(context, "core_info");
                            if (!j && tbsShareFile2 != null) {
                                TbsLinuxToolsJni tbsLinuxToolsJni = new TbsLinuxToolsJni(f3039a);
                                tbsLinuxToolsJni.a(tbsShareFile2.getAbsolutePath(), "644");
                                tbsLinuxToolsJni.a(p.a().s(context).getAbsolutePath(), "755");
                                j = true;
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                        return;
                    } else if (i2 > p.a().a(c)) {
                        for (String str4 : d2) {
                            if (i2 == getSharedTbsCoreVersion(context, str4)) {
                                Context packageContext = getPackageContext(context, str4, true);
                                String absolutePath2 = p.a().r(packageContext).getAbsolutePath();
                                b.e(context);
                                if (p.a().g(packageContext)) {
                                    try {
                                        FileUtil.a(new File(absolutePath2), new File(c), new FileFilter() {
                                            /* class com.tencent.smtt.sdk.TbsShareManager.AnonymousClass1 */

                                            public boolean accept(File file) {
                                                return !file.getName().endsWith(".dex");
                                            }
                                        });
                                        writeProperties(context, Integer.toString(i2), "AppDefined", c, Integer.toString(1));
                                        File tbsShareFile3 = getTbsShareFile(context, "core_info");
                                        if (!j && tbsShareFile3 != null) {
                                            TbsLinuxToolsJni tbsLinuxToolsJni2 = new TbsLinuxToolsJni(f3039a);
                                            tbsLinuxToolsJni2.a(tbsShareFile3.getAbsolutePath(), "644");
                                            tbsLinuxToolsJni2.a(p.a().s(context).getAbsolutePath(), "755");
                                            j = true;
                                        }
                                    } catch (Throwable th2) {
                                        th2.printStackTrace();
                                    }
                                    return;
                                }
                            }
                        }
                    }
                }
                int length = d2.length;
                int i3 = 0;
                while (true) {
                    if (i3 >= length) {
                        z3 = false;
                        break;
                    }
                    str = d2[i3];
                    try {
                        int sharedTbsCoreVersion = getSharedTbsCoreVersion(context, str);
                        if (i2 == sharedTbsCoreVersion) {
                            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp getSharedTbsCoreVersion ok,  packageName is " + str + " result version is " + i2);
                            Context packageContext2 = getPackageContext(context, str, true);
                            if (packageContext2 != null) {
                                String absolutePath3 = p.a().r(packageContext2).getAbsolutePath();
                                int e3 = b.e(context);
                                if (p.a().g(packageContext2)) {
                                    break;
                                }
                            }
                            i3++;
                        } else {
                            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp getSharedTbsCoreVersion fail,  packageName is " + str + " result version is " + sharedTbsCoreVersion);
                            int coreShareDecoupleCoreVersion = getCoreShareDecoupleCoreVersion(context, str);
                            if (i2 == coreShareDecoupleCoreVersion) {
                                TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp getCoreShareDecoupleCoreVersion ok,  packageName is " + str + " result version is " + coreShareDecoupleCoreVersion);
                                Context packageContext3 = getPackageContext(context, str, true);
                                absolutePath = p.a().q(packageContext3).getAbsolutePath();
                                e2 = b.e(context);
                                if (p.a().g(packageContext3)) {
                                    break;
                                }
                            } else {
                                TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp getCoreShareDecoupleCoreVersion fail,  packageName is " + str + " result version is " + coreShareDecoupleCoreVersion);
                            }
                            i3++;
                        }
                    } catch (Exception e4) {
                        TbsLog.i(e4);
                    }
                }
                if (!z3 && !z) {
                    TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
                    q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
                    a(context, i2);
                }
            }
        }
        q.a("9is" + i2 + str3);
        try {
            File tbsShareFile4 = getTbsShareFile(context, "core_info");
            if (!j && tbsShareFile4 != null) {
                TbsLinuxToolsJni tbsLinuxToolsJni3 = new TbsLinuxToolsJni(f3039a);
                tbsLinuxToolsJni3.a(tbsShareFile4.getAbsolutePath(), "644");
                tbsLinuxToolsJni3.a(p.a().s(context).getAbsolutePath(), "755");
                j = true;
            }
        } catch (Throwable th3) {
            th = th3;
            th.printStackTrace();
            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
            q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
            a(context, i2);
        }
        TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
        q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
        a(context, i2);
        q.a("9is" + i2 + str2);
        try {
            tbsShareFile = getTbsShareFile(context, "core_info");
            if (!j && tbsShareFile != null) {
                TbsLinuxToolsJni tbsLinuxToolsJni4 = new TbsLinuxToolsJni(f3039a);
                tbsLinuxToolsJni4.a(tbsShareFile.getAbsolutePath(), "644");
                tbsLinuxToolsJni4.a(p.a().s(context).getAbsolutePath(), "755");
                j = true;
            }
        } catch (Throwable th4) {
            th = th4;
            th.printStackTrace();
            TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
            q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
            a(context, i2);
        }
        TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
        q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
        a(context, i2);
        q.a(f3039a, "write_core_info", ("packageName=is=" + str) + "_" + "coreVersion=is=" + i2);
        writeProperties(context, Integer.toString(i2), str, absolutePath, Integer.toString(e2));
        try {
            str2 = str.substring(str.length() - 2);
        } catch (Throwable th5) {
            TbsLog.i(TbsDownloader.LOGTAG, "throwable is " + Log.getStackTraceString(th5));
            str2 = "";
        }
        q.a("9is" + i2 + str2);
        tbsShareFile = getTbsShareFile(context, "core_info");
        TbsLinuxToolsJni tbsLinuxToolsJni42 = new TbsLinuxToolsJni(f3039a);
        tbsLinuxToolsJni42.a(tbsShareFile.getAbsolutePath(), "644");
        tbsLinuxToolsJni42.a(p.a().s(context).getAbsolutePath(), "755");
        j = true;
        TbsLog.i("TbsShareManager", "writeCoreInfoForThirdPartyApp ready to installCoreWithUnzip ");
        q.a(f3039a, "copy_host_core", "coreVersionIs" + i2);
        a(context, i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x00df A[SYNTHETIC, Splitter:B:40:0x00df] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00e9  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00f7 A[SYNTHETIC, Splitter:B:51:0x00f7] */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0101 A[SYNTHETIC, Splitter:B:56:0x0101] */
    /* JADX WARNING: Removed duplicated region for block: B:62:? A[RETURN, SYNTHETIC] */
    public static void writeProperties(Context context, String str, String str2, String str3, String str4) {
        Throwable th;
        BufferedInputStream bufferedInputStream;
        BufferedOutputStream bufferedOutputStream;
        Throwable th2;
        int i2;
        TbsLog.i("TbsShareManager", "writeProperties coreVersion is " + str + " corePackageName is " + str2 + " corePath is " + str3);
        StringBuilder sb = new StringBuilder();
        sb.append("writeProperties -- stack: ");
        sb.append(Log.getStackTraceString(new Throwable("#")));
        TbsLog.i("TbsShareManager", sb.toString());
        BufferedInputStream bufferedInputStream2 = null;
        r0 = null;
        BufferedOutputStream bufferedOutputStream2 = null;
        try {
            File tbsShareFile = getTbsShareFile(context, "core_info");
            if (tbsShareFile == null) {
                TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-405);
                return;
            }
            bufferedInputStream = new BufferedInputStream(new FileInputStream(tbsShareFile));
            try {
                Properties properties = new Properties();
                properties.load(bufferedInputStream);
                try {
                    i2 = Integer.parseInt(str);
                } catch (Exception unused) {
                    i2 = 0;
                }
                if (i2 != 0) {
                    properties.setProperty("core_version", str);
                    properties.setProperty("core_disabled", String.valueOf(false));
                    properties.setProperty("core_packagename", str2);
                    properties.setProperty("core_path", str3);
                    properties.setProperty("app_version", str4);
                } else {
                    properties.setProperty("core_disabled", String.valueOf(true));
                }
                BufferedOutputStream bufferedOutputStream3 = new BufferedOutputStream(new FileOutputStream(tbsShareFile));
                try {
                    properties.store(bufferedOutputStream3, (String) null);
                    m = false;
                    TbsDownloadConfig.getInstance(f3039a).setDownloadInterruptCode(-406);
                    try {
                        bufferedInputStream.close();
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    try {
                        bufferedOutputStream3.close();
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                } catch (Throwable th3) {
                    bufferedOutputStream2 = bufferedOutputStream3;
                    th = th3;
                    if (bufferedInputStream != null) {
                    }
                    if (bufferedOutputStream2 != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                if (bufferedInputStream != null) {
                }
                if (bufferedOutputStream2 != null) {
                }
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            bufferedInputStream = null;
            if (bufferedInputStream != null) {
                try {
                    bufferedInputStream.close();
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
            }
            if (bufferedOutputStream2 != null) {
                try {
                    bufferedOutputStream2.close();
                } catch (Exception e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }
}
