package com.tencent.smtt.sdk;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.webkit.WebSettings;
import com.tencent.smtt.export.external.interfaces.IX5WebSettings;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.utils.i;

public class WebSettings {
    public static final int LOAD_CACHE_ELSE_NETWORK = 1;
    public static final int LOAD_CACHE_ONLY = 3;
    public static final int LOAD_DEFAULT = -1;
    public static final int LOAD_NORMAL = 0;
    public static final int LOAD_NO_CACHE = 2;

    /* renamed from: a  reason: collision with root package name */
    private IX5WebSettings f3048a;
    private android.webkit.WebSettings b;
    private boolean c;

    public enum LayoutAlgorithm {
        NORMAL,
        SINGLE_COLUMN,
        NARROW_COLUMNS
    }

    public enum PluginState {
        ON,
        ON_DEMAND,
        OFF
    }

    public enum RenderPriority {
        NORMAL,
        HIGH,
        LOW
    }

    public enum TextSize {
        SMALLEST(50),
        SMALLER(75),
        NORMAL(100),
        LARGER(TbsListener.ErrorCode.DOWNLOAD_THROWABLE),
        LARGEST(150);
        
        int value;

        private TextSize(int i) {
            this.value = i;
        }
    }

    public enum ZoomDensity {
        FAR(150),
        MEDIUM(100),
        CLOSE(75);
        
        int value;

        private ZoomDensity(int i) {
            this.value = i;
        }
    }

    WebSettings(android.webkit.WebSettings webSettings) {
        this.f3048a = null;
        this.b = null;
        this.c = false;
        this.f3048a = null;
        this.b = webSettings;
        this.c = false;
    }

    WebSettings(IX5WebSettings iX5WebSettings) {
        this.f3048a = null;
        this.b = null;
        this.c = false;
        this.f3048a = iX5WebSettings;
        this.b = null;
        this.c = true;
    }

    @TargetApi(17)
    public static String getDefaultUserAgent(Context context) {
        Object a2;
        if (x.a().b()) {
            return x.a().c().i(context);
        }
        if (Build.VERSION.SDK_INT >= 17 && (a2 = i.a((Class<?>) android.webkit.WebSettings.class, "getDefaultUserAgent", (Class<?>[]) new Class[]{Context.class}, context)) != null) {
            return (String) a2;
        }
        return null;
    }

    @Deprecated
    public boolean enableSmoothTransition() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.enableSmoothTransition();
        }
        if (this.c || this.b == null || Build.VERSION.SDK_INT < 11 || (a2 = i.a(this.b, "enableSmoothTransition")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    @TargetApi(11)
    public boolean getAllowContentAccess() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.getAllowContentAccess();
        }
        if (this.c || this.b == null || Build.VERSION.SDK_INT < 11 || (a2 = i.a(this.b, "getAllowContentAccess")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    @TargetApi(3)
    public boolean getAllowFileAccess() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getAllowFileAccess();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getAllowFileAccess();
    }

    public synchronized boolean getBlockNetworkImage() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getBlockNetworkImage();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getBlockNetworkImage();
        }
    }

    @TargetApi(8)
    public synchronized boolean getBlockNetworkLoads() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getBlockNetworkLoads();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            if (Build.VERSION.SDK_INT < 8) {
                return false;
            }
            return this.b.getBlockNetworkLoads();
        }
    }

    @TargetApi(3)
    public boolean getBuiltInZoomControls() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getBuiltInZoomControls();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getBuiltInZoomControls();
    }

    public int getCacheMode() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getCacheMode();
        }
        if (this.c || this.b == null) {
            return 0;
        }
        return this.b.getCacheMode();
    }

    public synchronized String getCursiveFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getCursiveFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getCursiveFontFamily();
        }
    }

    @TargetApi(5)
    public synchronized boolean getDatabaseEnabled() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDatabaseEnabled();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getDatabaseEnabled();
        }
    }

    @TargetApi(5)
    @Deprecated
    public synchronized String getDatabasePath() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDatabasePath();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getDatabasePath();
        }
    }

    public synchronized int getDefaultFixedFontSize() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDefaultFixedFontSize();
        } else if (this.c || this.b == null) {
            return 0;
        } else {
            return this.b.getDefaultFixedFontSize();
        }
    }

    public synchronized int getDefaultFontSize() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDefaultFontSize();
        } else if (this.c || this.b == null) {
            return 0;
        } else {
            return this.b.getDefaultFontSize();
        }
    }

    public synchronized String getDefaultTextEncodingName() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDefaultTextEncodingName();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getDefaultTextEncodingName();
        }
    }

    @TargetApi(7)
    @Deprecated
    public ZoomDensity getDefaultZoom() {
        String name;
        if (this.c && this.f3048a != null) {
            name = this.f3048a.getDefaultZoom().name();
        } else if (this.c || this.b == null) {
            return null;
        } else {
            name = this.b.getDefaultZoom().name();
        }
        return ZoomDensity.valueOf(name);
    }

    @TargetApi(11)
    public boolean getDisplayZoomControls() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDisplayZoomControls();
        }
        if (this.c || this.b == null || Build.VERSION.SDK_INT < 11 || (a2 = i.a(this.b, "getDisplayZoomControls")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    @TargetApi(7)
    public synchronized boolean getDomStorageEnabled() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getDomStorageEnabled();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getDomStorageEnabled();
        }
    }

    public synchronized String getFantasyFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getFantasyFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getFantasyFontFamily();
        }
    }

    public synchronized String getFixedFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getFixedFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getFixedFontFamily();
        }
    }

    public synchronized boolean getJavaScriptCanOpenWindowsAutomatically() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getJavaScriptCanOpenWindowsAutomatically();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getJavaScriptCanOpenWindowsAutomatically();
        }
    }

    public synchronized boolean getJavaScriptEnabled() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getJavaScriptEnabled();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getJavaScriptEnabled();
        }
    }

    public synchronized LayoutAlgorithm getLayoutAlgorithm() {
        if (this.c && this.f3048a != null) {
            return LayoutAlgorithm.valueOf(this.f3048a.getLayoutAlgorithm().name());
        } else if (this.c || this.b == null) {
            return null;
        } else {
            return LayoutAlgorithm.valueOf(this.b.getLayoutAlgorithm().name());
        }
    }

    @Deprecated
    public boolean getLightTouchEnabled() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getLightTouchEnabled();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getLightTouchEnabled();
    }

    @TargetApi(7)
    public boolean getLoadWithOverviewMode() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getLoadWithOverviewMode();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getLoadWithOverviewMode();
    }

    public synchronized boolean getLoadsImagesAutomatically() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getLoadsImagesAutomatically();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getLoadsImagesAutomatically();
        }
    }

    @TargetApi(17)
    public boolean getMediaPlaybackRequiresUserGesture() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.getMediaPlaybackRequiresUserGesture();
        }
        if (this.c || this.b == null || Build.VERSION.SDK_INT < 17 || (a2 = i.a(this.b, "getMediaPlaybackRequiresUserGesture")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    public synchronized int getMinimumFontSize() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getMinimumFontSize();
        } else if (this.c || this.b == null) {
            return 0;
        } else {
            return this.b.getMinimumFontSize();
        }
    }

    public synchronized int getMinimumLogicalFontSize() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getMinimumLogicalFontSize();
        } else if (this.c || this.b == null) {
            return 0;
        } else {
            return this.b.getMinimumLogicalFontSize();
        }
    }

    public synchronized int getMixedContentMode() {
        int i = -1;
        if (this.c && this.f3048a != null) {
            try {
                return this.f3048a.getMixedContentMode();
            } catch (Throwable th) {
                th.printStackTrace();
                return -1;
            }
        } else if (Build.VERSION.SDK_INT < 21) {
            return -1;
        } else {
            Object a2 = i.a(this.b, "getMixedContentMode", new Class[0], new Object[0]);
            if (a2 != null) {
                i = ((Integer) a2).intValue();
            }
            return i;
        }
    }

    @Deprecated
    public boolean getNavDump() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.getNavDump();
        }
        if (this.c || this.b == null || (a2 = i.a(this.b, "getNavDump")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    @TargetApi(8)
    @Deprecated
    public synchronized PluginState getPluginState() {
        if (this.c && this.f3048a != null) {
            return PluginState.valueOf(this.f3048a.getPluginState().name());
        } else if (this.c || this.b == null) {
            return null;
        } else {
            if (Build.VERSION.SDK_INT < 8) {
                return null;
            }
            Object a2 = i.a(this.b, "getPluginState");
            if (a2 == null) {
                return null;
            }
            return PluginState.valueOf(((WebSettings.PluginState) a2).name());
        }
    }

    @TargetApi(8)
    @Deprecated
    public synchronized boolean getPluginsEnabled() {
        if (!this.c || this.f3048a == null) {
            boolean z = false;
            if (this.c || this.b == null) {
                return false;
            }
            if (Build.VERSION.SDK_INT <= 17) {
                Object a2 = i.a(this.b, "getPluginsEnabled");
                if (a2 != null) {
                    z = ((Boolean) a2).booleanValue();
                }
                return z;
            } else if (Build.VERSION.SDK_INT != 18) {
                return false;
            } else {
                if (WebSettings.PluginState.ON == this.b.getPluginState()) {
                    z = true;
                }
                return z;
            }
        } else {
            return this.f3048a.getPluginsEnabled();
        }
    }

    @Deprecated
    public synchronized String getPluginsPath() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getPluginsPath();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            if (Build.VERSION.SDK_INT > 17) {
                return "";
            }
            Object a2 = i.a(this.b, "getPluginsPath");
            return a2 == null ? null : (String) a2;
        }
    }

    public boolean getSafeBrowsingEnabled() {
        if (this.c || this.b == null) {
            if (!this.c || this.f3048a == null) {
                return false;
            }
            try {
                return this.f3048a.getSafeBrowsingEnabled();
            } catch (Throwable th) {
                th.printStackTrace();
                return false;
            }
        } else if (Build.VERSION.SDK_INT >= 26) {
            return this.b.getSafeBrowsingEnabled();
        } else {
            return false;
        }
    }

    public synchronized String getSansSerifFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getSansSerifFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getSansSerifFontFamily();
        }
    }

    @Deprecated
    public boolean getSaveFormData() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getSaveFormData();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getSaveFormData();
    }

    @Deprecated
    public boolean getSavePassword() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getSavePassword();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.getSavePassword();
    }

    public synchronized String getSerifFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getSerifFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getSerifFontFamily();
        }
    }

    public synchronized String getStandardFontFamily() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getStandardFontFamily();
        } else if (this.c || this.b == null) {
            return "";
        } else {
            return this.b.getStandardFontFamily();
        }
    }

    @Deprecated
    public TextSize getTextSize() {
        String name;
        if (this.c && this.f3048a != null) {
            name = this.f3048a.getTextSize().name();
        } else if (this.c || this.b == null) {
            return null;
        } else {
            name = this.b.getTextSize().name();
        }
        return TextSize.valueOf(name);
    }

    @TargetApi(14)
    public synchronized int getTextZoom() {
        if (!this.c || this.f3048a == null) {
            int i = 0;
            if (this.c || this.b == null) {
                return 0;
            }
            if (Build.VERSION.SDK_INT < 14) {
                return 0;
            }
            try {
                return this.b.getTextZoom();
            } catch (Exception unused) {
                Object a2 = i.a(this.b, "getTextZoom");
                if (a2 != null) {
                    i = ((Integer) a2).intValue();
                }
                return i;
            }
        } else {
            return this.f3048a.getTextZoom();
        }
    }

    @Deprecated
    public boolean getUseWebViewBackgroundForOverscrollBackground() {
        Object a2;
        if (this.c && this.f3048a != null) {
            return this.f3048a.getUseWebViewBackgroundForOverscrollBackground();
        }
        if (this.c || this.b == null || (a2 = i.a(this.b, "getUseWebViewBackgroundForOverscrollBackground")) == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    public synchronized boolean getUseWideViewPort() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.getUseWideViewPort();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.getUseWideViewPort();
        }
    }

    @TargetApi(3)
    public String getUserAgentString() {
        return (!this.c || this.f3048a == null) ? (this.c || this.b == null) ? "" : this.b.getUserAgentString() : this.f3048a.getUserAgentString();
    }

    @TargetApi(11)
    public void setAllowContentAccess(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAllowContentAccess(z);
        } else if (!this.c && this.b != null && Build.VERSION.SDK_INT >= 11) {
            i.a(this.b, "setAllowContentAccess", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    @TargetApi(3)
    public void setAllowFileAccess(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAllowFileAccess(z);
        } else if (!this.c && this.b != null) {
            this.b.setAllowFileAccess(z);
        }
    }

    @TargetApi(16)
    public void setAllowFileAccessFromFileURLs(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAllowFileAccessFromFileURLs(z);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setAllowFileAccessFromFileURLs", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    @TargetApi(16)
    public void setAllowUniversalAccessFromFileURLs(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAllowUniversalAccessFromFileURLs(z);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setAllowUniversalAccessFromFileURLs", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    @TargetApi(7)
    public void setAppCacheEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAppCacheEnabled(z);
        } else if (!this.c && this.b != null) {
            this.b.setAppCacheEnabled(z);
        }
    }

    @TargetApi(7)
    @Deprecated
    public void setAppCacheMaxSize(long j) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAppCacheMaxSize(j);
        } else if (!this.c && this.b != null) {
            this.b.setAppCacheMaxSize(j);
        }
    }

    @TargetApi(7)
    public void setAppCachePath(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setAppCachePath(str);
        } else if (!this.c && this.b != null) {
            this.b.setAppCachePath(str);
        }
    }

    public void setBlockNetworkImage(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setBlockNetworkImage(z);
        } else if (!this.c && this.b != null) {
            this.b.setBlockNetworkImage(z);
        }
    }

    @TargetApi(8)
    public synchronized void setBlockNetworkLoads(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setBlockNetworkLoads(z);
        } else if (!this.c && this.b != null) {
            if (Build.VERSION.SDK_INT >= 8) {
                this.b.setBlockNetworkLoads(z);
            }
        }
    }

    @TargetApi(3)
    public void setBuiltInZoomControls(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setBuiltInZoomControls(z);
        } else if (!this.c && this.b != null) {
            this.b.setBuiltInZoomControls(z);
        }
    }

    public void setCacheMode(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setCacheMode(i);
        } else if (!this.c && this.b != null) {
            this.b.setCacheMode(i);
        }
    }

    public synchronized void setCursiveFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setCursiveFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setCursiveFontFamily(str);
        }
    }

    @TargetApi(5)
    public void setDatabaseEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDatabaseEnabled(z);
        } else if (!this.c && this.b != null) {
            this.b.setDatabaseEnabled(z);
        }
    }

    @TargetApi(5)
    @Deprecated
    public void setDatabasePath(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDatabasePath(str);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setDatabasePath", new Class[]{String.class}, str);
        }
    }

    public synchronized void setDefaultFixedFontSize(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDefaultFixedFontSize(i);
        } else if (!this.c && this.b != null) {
            this.b.setDefaultFixedFontSize(i);
        }
    }

    public synchronized void setDefaultFontSize(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDefaultFontSize(i);
        } else if (!this.c && this.b != null) {
            this.b.setDefaultFontSize(i);
        }
    }

    public synchronized void setDefaultTextEncodingName(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDefaultTextEncodingName(str);
        } else if (!this.c && this.b != null) {
            this.b.setDefaultTextEncodingName(str);
        }
    }

    @TargetApi(7)
    @Deprecated
    public void setDefaultZoom(ZoomDensity zoomDensity) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDefaultZoom(IX5WebSettings.ZoomDensity.valueOf(zoomDensity.name()));
        } else if (!this.c && this.b != null) {
            this.b.setDefaultZoom(WebSettings.ZoomDensity.valueOf(zoomDensity.name()));
        }
    }

    @TargetApi(11)
    public void setDisplayZoomControls(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDisplayZoomControls(z);
        } else if (!this.c && this.b != null && Build.VERSION.SDK_INT >= 11) {
            i.a(this.b, "setDisplayZoomControls", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    @TargetApi(7)
    public void setDomStorageEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setDomStorageEnabled(z);
        } else if (!this.c && this.b != null) {
            this.b.setDomStorageEnabled(z);
        }
    }

    @TargetApi(11)
    @Deprecated
    public void setEnableSmoothTransition(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setEnableSmoothTransition(z);
        } else if (!this.c && this.b != null && Build.VERSION.SDK_INT >= 11) {
            i.a(this.b, "setEnableSmoothTransition", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    public synchronized void setFantasyFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setFantasyFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setFantasyFontFamily(str);
        }
    }

    public synchronized void setFixedFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setFixedFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setFixedFontFamily(str);
        }
    }

    @TargetApi(5)
    @Deprecated
    public void setGeolocationDatabasePath(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setGeolocationDatabasePath(str);
        } else if (!this.c && this.b != null) {
            this.b.setGeolocationDatabasePath(str);
        }
    }

    @TargetApi(5)
    public void setGeolocationEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setGeolocationEnabled(z);
        } else if (!this.c && this.b != null) {
            this.b.setGeolocationEnabled(z);
        }
    }

    public synchronized void setJavaScriptCanOpenWindowsAutomatically(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setJavaScriptCanOpenWindowsAutomatically(z);
        } else if (!this.c && this.b != null) {
            this.b.setJavaScriptCanOpenWindowsAutomatically(z);
        }
    }

    @Deprecated
    public void setJavaScriptEnabled(boolean z) {
        try {
            if (this.c && this.f3048a != null) {
                this.f3048a.setJavaScriptEnabled(z);
            } else if (!this.c && this.b != null) {
                this.b.setJavaScriptEnabled(z);
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public void setLayoutAlgorithm(LayoutAlgorithm layoutAlgorithm) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setLayoutAlgorithm(IX5WebSettings.LayoutAlgorithm.valueOf(layoutAlgorithm.name()));
        } else if (!this.c && this.b != null) {
            this.b.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.valueOf(layoutAlgorithm.name()));
        }
    }

    @Deprecated
    public void setLightTouchEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setLightTouchEnabled(z);
        } else if (!this.c && this.b != null) {
            this.b.setLightTouchEnabled(z);
        }
    }

    @TargetApi(7)
    public void setLoadWithOverviewMode(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setLoadWithOverviewMode(z);
        } else if (!this.c && this.b != null) {
            this.b.setLoadWithOverviewMode(z);
        }
    }

    public void setLoadsImagesAutomatically(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setLoadsImagesAutomatically(z);
        } else if (!this.c && this.b != null) {
            this.b.setLoadsImagesAutomatically(z);
        }
    }

    @TargetApi(17)
    public void setMediaPlaybackRequiresUserGesture(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setMediaPlaybackRequiresUserGesture(z);
        } else if (!this.c && this.b != null && Build.VERSION.SDK_INT >= 17) {
            i.a(this.b, "setMediaPlaybackRequiresUserGesture", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    public synchronized void setMinimumFontSize(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setMinimumFontSize(i);
        } else if (!this.c && this.b != null) {
            this.b.setMinimumFontSize(i);
        }
    }

    public synchronized void setMinimumLogicalFontSize(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setMinimumLogicalFontSize(i);
        } else if (!this.c && this.b != null) {
            this.b.setMinimumLogicalFontSize(i);
        }
    }

    @TargetApi(21)
    public void setMixedContentMode(int i) {
        if ((!this.c || this.f3048a == null) && !this.c && this.b != null && Build.VERSION.SDK_INT >= 21) {
            i.a(this.b, "setMixedContentMode", new Class[]{Integer.TYPE}, Integer.valueOf(i));
        }
    }

    @Deprecated
    public void setNavDump(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setNavDump(z);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setNavDump", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    public void setNeedInitialFocus(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setNeedInitialFocus(z);
        } else if (!this.c && this.b != null) {
            this.b.setNeedInitialFocus(z);
        }
    }

    @TargetApi(8)
    @Deprecated
    public synchronized void setPluginState(PluginState pluginState) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setPluginState(IX5WebSettings.PluginState.valueOf(pluginState.name()));
        } else if (!this.c && this.b != null) {
            if (Build.VERSION.SDK_INT >= 8) {
                WebSettings.PluginState valueOf = WebSettings.PluginState.valueOf(pluginState.name());
                i.a(this.b, "setPluginState", new Class[]{WebSettings.PluginState.class}, valueOf);
            }
        }
    }

    @Deprecated
    public void setPluginsEnabled(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setPluginsEnabled(z);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setPluginsEnabled", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    @Deprecated
    public synchronized void setPluginsPath(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setPluginsPath(str);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setPluginsPath", new Class[]{String.class}, str);
        }
    }

    @Deprecated
    public void setRenderPriority(RenderPriority renderPriority) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setRenderPriority(IX5WebSettings.RenderPriority.valueOf(renderPriority.name()));
        } else if (!this.c && this.b != null) {
            this.b.setRenderPriority(WebSettings.RenderPriority.valueOf(renderPriority.name()));
        }
    }

    public void setSafeBrowsingEnabled(boolean z) {
        if (this.c || this.b == null) {
            if (this.c && this.f3048a != null) {
                try {
                    this.f3048a.setSafeBrowsingEnabled(z);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        } else if (Build.VERSION.SDK_INT >= 26) {
            this.b.setSafeBrowsingEnabled(z);
        }
    }

    public synchronized void setSansSerifFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSansSerifFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setSansSerifFontFamily(str);
        }
    }

    @Deprecated
    public void setSaveFormData(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSaveFormData(z);
        } else if (!this.c && this.b != null) {
            this.b.setSaveFormData(z);
        }
    }

    @Deprecated
    public void setSavePassword(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSavePassword(z);
        } else if (!this.c && this.b != null) {
            this.b.setSavePassword(z);
        }
    }

    public synchronized void setSerifFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSerifFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setSerifFontFamily(str);
        }
    }

    public synchronized void setStandardFontFamily(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setStandardFontFamily(str);
        } else if (!this.c && this.b != null) {
            this.b.setStandardFontFamily(str);
        }
    }

    public void setSupportMultipleWindows(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSupportMultipleWindows(z);
        } else if (!this.c && this.b != null) {
            this.b.setSupportMultipleWindows(z);
        }
    }

    public void setSupportZoom(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setSupportZoom(z);
        } else if (!this.c && this.b != null) {
            this.b.setSupportZoom(z);
        }
    }

    @Deprecated
    public void setTextSize(TextSize textSize) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setTextSize(IX5WebSettings.TextSize.valueOf(textSize.name()));
        } else if (!this.c && this.b != null) {
            this.b.setTextSize(WebSettings.TextSize.valueOf(textSize.name()));
        }
    }

    @TargetApi(14)
    public synchronized void setTextZoom(int i) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setTextZoom(i);
        } else if (!this.c && this.b != null) {
            if (Build.VERSION.SDK_INT >= 14) {
                try {
                    this.b.setTextZoom(i);
                } catch (Exception unused) {
                    i.a(this.b, "setTextZoom", new Class[]{Integer.TYPE}, Integer.valueOf(i));
                }
            }
        }
    }

    @Deprecated
    public void setUseWebViewBackgroundForOverscrollBackground(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setUseWebViewBackgroundForOverscrollBackground(z);
        } else if (!this.c && this.b != null) {
            i.a(this.b, "setUseWebViewBackgroundForOverscrollBackground", new Class[]{Boolean.TYPE}, Boolean.valueOf(z));
        }
    }

    public void setUseWideViewPort(boolean z) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setUseWideViewPort(z);
        } else if (!this.c && this.b != null) {
            this.b.setUseWideViewPort(z);
        }
    }

    public void setUserAgent(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setUserAgent(str);
        } else if (!this.c && this.b != null) {
            this.b.setUserAgentString(str);
        }
    }

    @TargetApi(3)
    public void setUserAgentString(String str) {
        if (this.c && this.f3048a != null) {
            this.f3048a.setUserAgentString(str);
        } else if (!this.c && this.b != null) {
            this.b.setUserAgentString(str);
        }
    }

    public synchronized boolean supportMultipleWindows() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.supportMultipleWindows();
        } else if (this.c || this.b == null) {
            return false;
        } else {
            return this.b.supportMultipleWindows();
        }
    }

    public boolean supportZoom() {
        if (this.c && this.f3048a != null) {
            return this.f3048a.supportZoom();
        }
        if (this.c || this.b == null) {
            return false;
        }
        return this.b.supportZoom();
    }
}
