package com.tencent.smtt.sdk.ui.dialog.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.RectF;
import android.graphics.Xfermode;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.widget.ImageView;
import com.tencent.smtt.sdk.WebView;
import com.tencent.smtt.sdk.ui.dialog.c;
import java.lang.ref.WeakReference;

public class RoundImageView extends ImageView {

    /* renamed from: a  reason: collision with root package name */
    private Paint f3122a;
    private Xfermode b;
    private Bitmap c;
    private float[] d;
    private RectF e;
    private int f;
    private WeakReference<Bitmap> g;
    private float h;
    private Path i;

    public RoundImageView(Context context) {
        this(context, null);
    }

    public RoundImageView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.b = new PorterDuffXfermode(PorterDuff.Mode.DST_IN);
        this.f = Color.parseColor("#eaeaea");
        this.f3122a = new Paint();
        this.f3122a.setAntiAlias(true);
        this.i = new Path();
        this.d = new float[8];
        this.e = new RectF();
        this.h = (float) c.a(context, 16.46f);
        for (int i2 = 0; i2 < this.d.length; i2++) {
            this.d[i2] = this.h;
        }
    }

    private Bitmap a() {
        Bitmap bitmap;
        Throwable th;
        try {
            bitmap = Bitmap.createBitmap(getWidth(), getHeight(), Bitmap.Config.ARGB_8888);
            try {
                Canvas canvas = new Canvas(bitmap);
                Paint paint = new Paint(1);
                paint.setColor(WebView.NIGHT_MODE_COLOR);
                canvas.drawRoundRect(new RectF(0.0f, 0.0f, (float) getWidth(), (float) getHeight()), this.h, this.h, paint);
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (Throwable th3) {
            bitmap = null;
            th = th3;
            th.printStackTrace();
            return bitmap;
        }
        return bitmap;
    }

    private void a(int i2, int i3) {
        this.i.reset();
        this.f3122a.setStrokeWidth((float) i2);
        this.f3122a.setColor(i3);
        this.f3122a.setStyle(Paint.Style.STROKE);
    }

    private void a(Canvas canvas, int i2, int i3, RectF rectF, float[] fArr) {
        a(i2, i3);
        this.i.addRoundRect(rectF, fArr, Path.Direction.CCW);
        canvas.drawPath(this.i, this.f3122a);
    }

    public void invalidate() {
        this.g = null;
        if (this.c != null) {
            this.c.recycle();
            this.c = null;
        }
        super.invalidate();
    }

    /* access modifiers changed from: protected */
    @SuppressLint({"DrawAllocation"})
    public void onDraw(Canvas canvas) {
        Bitmap bitmap = this.g == null ? null : this.g.get();
        if (bitmap == null || bitmap.isRecycled()) {
            Drawable drawable = getDrawable();
            if (drawable != null) {
                int intrinsicWidth = drawable.getIntrinsicWidth();
                int intrinsicHeight = drawable.getIntrinsicHeight();
                Bitmap createBitmap = Bitmap.createBitmap(getWidth(), getHeight(), Bitmap.Config.ARGB_8888);
                Canvas canvas2 = new Canvas(createBitmap);
                float f2 = (float) intrinsicWidth;
                float f3 = (float) intrinsicHeight;
                float max = Math.max((((float) getWidth()) * 1.0f) / f2, (((float) getHeight()) * 1.0f) / f3);
                drawable.setBounds(0, 0, (int) (f2 * max), (int) (max * f3));
                drawable.draw(canvas2);
                if (this.c == null || this.c.isRecycled()) {
                    this.c = a();
                }
                this.f3122a.reset();
                this.f3122a.setFilterBitmap(false);
                this.f3122a.setXfermode(this.b);
                if (this.c != null) {
                    canvas2.drawBitmap(this.c, 0.0f, 0.0f, this.f3122a);
                }
                this.f3122a.setXfermode(null);
                canvas.drawBitmap(createBitmap, 0.0f, 0.0f, (Paint) null);
                this.g = new WeakReference<>(createBitmap);
            }
        } else {
            this.f3122a.setXfermode(null);
            canvas.drawBitmap(bitmap, 0.0f, 0.0f, this.f3122a);
        }
        a(canvas, 1, this.f, this.e, this.d);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        this.e.set(0.5f, 0.5f, ((float) i2) - 0.5f, ((float) i3) - 0.5f);
    }
}
