package com.tencent.smtt.utils;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Build;
import android.os.Environment;
import android.util.Log;
import com.tencent.smtt.sdk.QbSdk;
import com.tencent.smtt.sdk.TbsConfig;
import com.tencent.smtt.sdk.TbsDownloadConfig;
import com.tencent.smtt.sdk.TbsDownloader;
import com.tencent.smtt.sdk.TbsLogReport;
import java.io.File;
import java.io.FileFilter;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.RandomAccessFile;
import java.nio.channels.FileChannel;
import java.nio.channels.FileLock;
import java.nio.channels.OverlappingFileLockException;
import java.util.Enumeration;
import java.util.zip.CRC32;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;

@SuppressLint({"NewApi"})
public class FileUtil {

    /* renamed from: a  reason: collision with root package name */
    public static String f3134a = null;
    public static final a b = new a() {
        /* class com.tencent.smtt.utils.FileUtil.AnonymousClass2 */

        @Override // com.tencent.smtt.utils.FileUtil.a
        public boolean a(File file, File file2) {
            return file.length() == file2.length() && file.lastModified() == file2.lastModified();
        }
    };
    private static final int c = "lib/".length();
    private static RandomAccessFile d = null;

    public interface a {
        boolean a(File file, File file2);
    }

    public interface b {
        boolean a(InputStream inputStream, ZipEntry zipEntry, String str) throws Exception;
    }

    public static long a(InputStream inputStream, OutputStream outputStream) throws IOException, OutOfMemoryError {
        if (inputStream == null) {
            return -1;
        }
        byte[] bArr = new byte[4096];
        long j = 0;
        while (true) {
            int read = inputStream.read(bArr);
            if (-1 == read) {
                return j;
            }
            outputStream.write(bArr, 0, read);
            j += (long) read;
        }
    }

    public static File a(Context context, String str) {
        File file = new File(context.getFilesDir(), "tbs");
        if (!file.exists()) {
            file.mkdirs();
        }
        if (!file.canWrite()) {
            TbsLog.e("FileHelper", "getPermanentTbsFile -- no permission!");
            return null;
        }
        File file2 = new File(file, str);
        if (!file2.exists()) {
            try {
                file2.createNewFile();
            } catch (IOException e) {
                TbsLog.e("FileHelper", "getPermanentTbsFile -- exception: " + e);
                return null;
            }
        }
        return file2;
    }

    public static File a(Context context, boolean z, String str) {
        String d2 = z ? d(context) : c(context);
        if (d2 == null) {
            return null;
        }
        File file = new File(d2);
        if (!file.exists()) {
            file.mkdirs();
        }
        if (!file.canWrite()) {
            return null;
        }
        File file2 = new File(file, str);
        if (!file2.exists()) {
            try {
                file2.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
                return null;
            }
        }
        return file2;
    }

    public static String a(Context context, int i) {
        return a(context, context.getApplicationInfo().packageName, i, true);
    }

    public static String a(Context context, String str, int i, boolean z) {
        if (context == null) {
            return "";
        }
        String str2 = "";
        try {
            str2 = Environment.getExternalStorageDirectory() + File.separator;
        } catch (Exception e) {
            TbsLog.i(e);
        }
        switch (i) {
            case 1:
                if (str2.equals("")) {
                    return str2;
                }
                return str2 + "tencent" + File.separator + "tbs" + File.separator + str;
            case 2:
                if (str2.equals("")) {
                    return str2;
                }
                return str2 + "tbs" + File.separator + "backup" + File.separator + str;
            case 3:
                if (str2.equals("")) {
                    return str2;
                }
                return str2 + "tencent" + File.separator + "tbs" + File.separator + "backup" + File.separator + str;
            case 4:
                if (str2.equals("")) {
                    return b(context, "stable");
                }
                String str3 = str2 + "tencent" + File.separator + "tbs" + File.separator + "stable" + File.separator + str;
                if (!z) {
                    return str3;
                }
                File file = new File(str3);
                if (file.exists() && file.canWrite()) {
                    return str3;
                }
                if (file.exists()) {
                    return b(context, "stable");
                }
                try {
                    file.mkdirs();
                } catch (SecurityException e2) {
                    TbsLog.i(e2);
                }
                return !file.canWrite() ? b(context, "stable") : str3;
            case 5:
                if (str2.equals("")) {
                    return str2;
                }
                return str2 + "tencent" + File.separator + "tbs" + File.separator + str;
            case 6:
                if (f3134a != null) {
                    return f3134a;
                }
                f3134a = b(context, "tbslog");
                return f3134a;
            case 7:
                if (str2.equals("")) {
                    return str2;
                }
                return str2 + "tencent" + File.separator + "tbs" + File.separator + "backup" + File.separator + "core";
            case 8:
                return b(context, "env");
            default:
                return "";
        }
    }

    public static FileLock a(Context context, FileOutputStream fileOutputStream) {
        if (fileOutputStream == null) {
            return null;
        }
        try {
            FileLock tryLock = fileOutputStream.getChannel().tryLock();
            if (tryLock.isValid()) {
                return tryLock;
            }
            return null;
        } catch (OverlappingFileLockException e) {
            e.printStackTrace();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static synchronized void a(Context context, FileLock fileLock) {
        synchronized (FileUtil.class) {
            TbsLog.i("FileHelper", "releaseTbsCoreRenameFileLock -- lock: " + fileLock);
            FileChannel channel = fileLock.channel();
            if (channel != null && channel.isOpen()) {
                try {
                    fileLock.release();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    public static void a(File file, boolean z) {
        a(file, z, false);
    }

    public static void a(File file, boolean z, String str) {
        try {
            if (file.getAbsolutePath().contains("stable")) {
                q.a("delete_file", "path_" + file.getAbsolutePath() + "_stack_" + Log.getStackTraceString(new Throwable()));
            }
        } catch (Throwable th) {
            TbsLog.i("FileUtils", "stack is " + Log.getStackTraceString(th));
        }
        TbsLog.i("FileUtils", "delete file,ignore=" + z + "except" + str + file + Log.getStackTraceString(new Throwable()));
        if (file != null && file.exists()) {
            if (file.isFile()) {
                file.delete();
                return;
            }
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                for (File file2 : listFiles) {
                    if (!file2.getName().equals(str)) {
                        a(file2, z);
                    }
                }
                if (!z) {
                    file.delete();
                }
            }
        }
    }

    public static void a(File file, boolean z, boolean z2) {
        try {
            if (file.getAbsolutePath().contains("stable")) {
                q.a("delete_file", "path_" + file.getAbsolutePath() + "_stack_" + Log.getStackTraceString(new Throwable()));
            }
        } catch (Throwable unused) {
            TbsLog.i("FileUtils", "stack is " + Log.getStackTraceString(new Throwable()));
        }
        TbsLog.i("FileUtils", "delete file,ignore=" + z + "isSoftLink=" + z2);
        if (file != null) {
            if (!(z2 || file.exists())) {
                return;
            }
            if ((!z2 || file.isDirectory()) && !file.isFile()) {
                File[] listFiles = file.listFiles();
                if (listFiles != null) {
                    for (File file2 : listFiles) {
                        a(file2, z, z2);
                    }
                    if (!z) {
                        file.delete();
                        return;
                    }
                    return;
                }
                return;
            }
            file.delete();
        }
    }

    public static void a(FileLock fileLock, FileOutputStream fileOutputStream) {
        if (fileLock != null) {
            try {
                FileChannel channel = fileLock.channel();
                if (channel != null && channel.isOpen()) {
                    fileLock.release();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        if (fileOutputStream != null) {
            try {
                fileOutputStream.close();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static boolean a(Context context) {
        if (Build.VERSION.SDK_INT < 23) {
            return true;
        }
        return context != null && context.getApplicationContext().checkSelfPermission("android.permission.WRITE_EXTERNAL_STORAGE") == 0;
    }

    public static boolean a(File file) {
        if (file == null) {
            return false;
        }
        if (file.exists() && file.isDirectory()) {
            return true;
        }
        b(file);
        return file.mkdirs();
    }

    public static boolean a(File file, File file2) throws Exception {
        return a(file.getPath(), file2.getPath());
    }

    public static boolean a(File file, File file2, FileFilter fileFilter) throws Exception {
        return a(file, file2, fileFilter, b);
    }

    public static boolean a(File file, File file2, FileFilter fileFilter, a aVar) throws Exception {
        if (file == null || file2 == null) {
            return false;
        }
        TbsLog.e("FileHelper", "copyFiles src is " + file.getAbsolutePath() + " dst is " + file2.getAbsolutePath());
        if (!file.exists()) {
            return false;
        }
        if (file.isFile()) {
            return b(file, file2, fileFilter, aVar);
        }
        File[] listFiles = file.listFiles(fileFilter);
        if (listFiles == null) {
            return false;
        }
        boolean z = true;
        for (File file3 : listFiles) {
            if (!a(file3, new File(file2, file3.getName()), fileFilter)) {
                z = false;
            }
        }
        return z;
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x008b  */
    private static boolean a(String str, long j, long j2, long j3) throws Exception {
        FileInputStream fileInputStream;
        Throwable th;
        File file = new File(str);
        if (file.length() != j) {
            TbsLog.e("FileHelper", "file size doesn't match: " + file.length() + " vs " + j);
            return true;
        }
        try {
            fileInputStream = new FileInputStream(file);
            try {
                CRC32 crc32 = new CRC32();
                byte[] bArr = new byte[8192];
                while (true) {
                    int read = fileInputStream.read(bArr);
                    if (read <= 0) {
                        break;
                    }
                    crc32.update(bArr, 0, read);
                }
                long value = crc32.getValue();
                TbsLog.i("FileHelper", "" + file.getName() + ": crc = " + value + ", zipCrc = " + j3);
                if (value != j3) {
                    fileInputStream.close();
                    return true;
                }
                fileInputStream.close();
                return false;
            } catch (Throwable th2) {
                th = th2;
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            fileInputStream = null;
            if (fileInputStream != null) {
            }
            throw th;
        }
    }

    @SuppressLint({"InlinedApi"})
    public static boolean a(String str, String str2) throws Exception {
        return a(str, str2, Build.CPU_ABI, Build.VERSION.SDK_INT >= 8 ? Build.CPU_ABI2 : null, PropertyUtils.getQuickly("ro.product.cpu.upgradeabi", "armeabi"));
    }

    /* JADX WARNING: Removed duplicated region for block: B:61:0x00d9  */
    private static boolean a(String str, String str2, String str3, String str4, b bVar) throws Exception {
        Throwable th;
        ZipFile zipFile;
        try {
            zipFile = new ZipFile(str);
            try {
                Enumeration<? extends ZipEntry> entries = zipFile.entries();
                boolean z = false;
                boolean z2 = false;
                while (entries.hasMoreElements()) {
                    ZipEntry zipEntry = (ZipEntry) entries.nextElement();
                    String name = zipEntry.getName();
                    if (name != null) {
                        if (!name.contains("../")) {
                            if (name.startsWith("lib/") || name.startsWith("assets/")) {
                                String substring = name.substring(name.lastIndexOf(47));
                                if (substring.endsWith(".so")) {
                                    if (name.regionMatches(c, str2, 0, str2.length()) && name.charAt(c + str2.length()) == '/') {
                                        z = true;
                                    } else if (str3 == null || !name.regionMatches(c, str3, 0, str3.length()) || name.charAt(c + str3.length()) != '/') {
                                        if (str4 != null && name.regionMatches(c, str4, 0, str4.length()) && name.charAt(c + str4.length()) == '/' && !z) {
                                            if (z2) {
                                            }
                                        }
                                    } else if (z) {
                                        z2 = true;
                                    } else {
                                        z2 = true;
                                    }
                                }
                                InputStream inputStream = zipFile.getInputStream(zipEntry);
                                try {
                                    if (!bVar.a(inputStream, zipEntry, substring.substring(1))) {
                                        if (inputStream != null) {
                                            inputStream.close();
                                        }
                                        zipFile.close();
                                        return false;
                                    }
                                } finally {
                                    if (inputStream != null) {
                                        inputStream.close();
                                    }
                                }
                            }
                        }
                    }
                }
                zipFile.close();
                return true;
            } catch (Throwable th2) {
                th = th2;
                if (zipFile != null) {
                    zipFile.close();
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            zipFile = null;
            if (zipFile != null) {
            }
            throw th;
        }
    }

    private static boolean a(String str, final String str2, String str3, String str4, String str5) throws Exception {
        return a(str, str3, str4, str5, new b() {
            /* class com.tencent.smtt.utils.FileUtil.AnonymousClass1 */

            @Override // com.tencent.smtt.utils.FileUtil.b
            public boolean a(InputStream inputStream, ZipEntry zipEntry, String str) throws Exception {
                try {
                    return FileUtil.b(inputStream, zipEntry, str2, str);
                } catch (Exception e) {
                    throw new Exception("copyFileIfChanged Exception", e);
                }
            }
        });
    }

    public static FileOutputStream b(Context context, boolean z, String str) {
        File a2 = a(context, z, str);
        if (a2 == null) {
            return null;
        }
        try {
            return new FileOutputStream(a2);
        } catch (FileNotFoundException e) {
            e.printStackTrace();
            return null;
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(7:3|(1:5)|6|7|8|9|13) */
    /* JADX WARNING: Code restructure failed: missing block: B:10:0x005b, code lost:
        r2 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x005c, code lost:
        r2.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0061, code lost:
        return "";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:?, code lost:
        return r2.getExternalFilesDir(r3).getAbsolutePath();
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:8:0x0016 */
    private static String b(Context context, String str) {
        if (context == null) {
            return "";
        }
        Context applicationContext = context.getApplicationContext();
        if (applicationContext != null) {
            context = applicationContext;
        }
        return Environment.getExternalStorageDirectory() + File.separator + "Android" + File.separator + "data" + File.separator + context.getApplicationInfo().packageName + File.separator + "files" + File.separator + str;
    }

    public static void b(File file) {
        a(file, false);
    }

    public static boolean b(Context context) {
        long a2 = q.a();
        boolean z = a2 >= TbsDownloadConfig.getInstance(context).getDownloadMinFreeSpace();
        if (!z) {
            TbsLog.e(TbsDownloader.LOGTAG, "[TbsApkDwonloader.hasEnoughFreeSpace] freeSpace too small,  freeSpace = " + a2);
        }
        return z;
    }

    public static boolean b(File file, File file2) throws Exception {
        return a(file, file2, (FileFilter) null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:54:0x0094  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0099  */
    private static boolean b(File file, File file2, FileFilter fileFilter, a aVar) throws Exception {
        FileChannel fileChannel;
        Throwable th;
        Throwable th2;
        if (file == null || file2 == null) {
            return false;
        }
        if (fileFilter != null && !fileFilter.accept(file)) {
            return false;
        }
        FileChannel fileChannel2 = null;
        try {
            if (file.exists()) {
                if (file.isFile()) {
                    if (file2.exists()) {
                        if (aVar != null && aVar.a(file, file2)) {
                            return true;
                        }
                        b(file2);
                    }
                    File parentFile = file2.getParentFile();
                    if (parentFile.isFile()) {
                        b(parentFile);
                    }
                    if (!parentFile.exists() && !parentFile.mkdirs()) {
                        return false;
                    }
                    FileChannel channel = new FileInputStream(file).getChannel();
                    try {
                        fileChannel = new FileOutputStream(file2).getChannel();
                        try {
                            long size = channel.size();
                            if (fileChannel.transferFrom(channel, 0, size) != size) {
                                b(file2);
                                if (channel != null) {
                                    channel.close();
                                }
                                if (fileChannel != null) {
                                    fileChannel.close();
                                }
                                return false;
                            }
                            if (channel != null) {
                                channel.close();
                            }
                            if (fileChannel != null) {
                                fileChannel.close();
                            }
                            return true;
                        } catch (Throwable th3) {
                            th2 = th3;
                            fileChannel2 = channel;
                            th = th2;
                            if (fileChannel2 != null) {
                            }
                            if (fileChannel != null) {
                            }
                            throw th;
                        }
                    } catch (Throwable th4) {
                        th2 = th4;
                        fileChannel = null;
                        fileChannel2 = channel;
                        th = th2;
                        if (fileChannel2 != null) {
                        }
                        if (fileChannel != null) {
                        }
                        throw th;
                    }
                }
            }
            return false;
        } catch (Throwable th5) {
            th = th5;
            fileChannel = null;
            if (fileChannel2 != null) {
                fileChannel2.close();
            }
            if (fileChannel != null) {
                fileChannel.close();
            }
            throw th;
        }
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00aa  */
    @SuppressLint({"NewApi"})
    public static boolean b(InputStream inputStream, ZipEntry zipEntry, String str, String str2) throws Exception {
        Throwable th;
        IOException e;
        a(new File(str));
        String str3 = str + File.separator + str2;
        File file = new File(str3);
        FileOutputStream fileOutputStream = null;
        try {
            FileOutputStream fileOutputStream2 = new FileOutputStream(file);
            try {
                byte[] bArr = new byte[8192];
                while (true) {
                    int read = inputStream.read(bArr);
                    if (read <= 0) {
                        break;
                    }
                    fileOutputStream2.write(bArr, 0, read);
                }
                fileOutputStream2.close();
                if (a(str3, zipEntry.getSize(), zipEntry.getTime(), zipEntry.getCrc())) {
                    TbsLog.e("FileHelper", "file is different: " + str3);
                    return false;
                } else if (file.setLastModified(zipEntry.getTime())) {
                    return true;
                } else {
                    TbsLog.e("FileHelper", "Couldn't set time for dst file " + file);
                    return true;
                }
            } catch (IOException e2) {
                e = e2;
                fileOutputStream = fileOutputStream2;
                try {
                    b(file);
                    throw new IOException("Couldn't write dst file " + file, e);
                } catch (Throwable th2) {
                    th = th2;
                    if (fileOutputStream != null) {
                        fileOutputStream.close();
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = fileOutputStream2;
                if (fileOutputStream != null) {
                }
                throw th;
            }
        } catch (IOException e3) {
            e = e3;
            b(file);
            throw new IOException("Couldn't write dst file " + file, e);
        }
    }

    public static String c(Context context) {
        if (context.getApplicationInfo().packageName.contains(TbsConfig.APP_QQ)) {
            return Environment.getExternalStorageDirectory() + File.separator + "Android" + File.separator + "data" + File.separator + context.getApplicationInfo().packageName + File.separator + "file_locks";
        }
        return Environment.getExternalStorageDirectory() + File.separator + "tbs" + File.separator + "file_locks";
    }

    public static boolean c(File file) {
        return file != null && file.exists() && file.isFile() && file.length() > 0;
    }

    public static int copy(InputStream inputStream, OutputStream outputStream) throws IOException, OutOfMemoryError {
        long a2 = a(inputStream, outputStream);
        if (a2 > 2147483647L) {
            return -1;
        }
        return (int) a2;
    }

    public static FileOutputStream d(File file) throws IOException {
        if (!file.exists()) {
            File parentFile = file.getParentFile();
            if (parentFile != null && !parentFile.exists() && !parentFile.mkdirs()) {
                throw new IOException("File '" + file + "' could not be created");
            }
        } else if (file.isDirectory()) {
            throw new IOException("File '" + file + "' exists but is a directory");
        } else if (!file.canWrite()) {
            throw new IOException("File '" + file + "' cannot be written to");
        }
        return new FileOutputStream(file);
    }

    static String d(Context context) {
        File file = new File(QbSdk.getTbsFolderDir(context), "core_private");
        if (file.isDirectory() || file.mkdir()) {
            return file.getAbsolutePath();
        }
        return null;
    }

    public static FileLock e(Context context) {
        FileLock fileLock;
        String str;
        StringBuilder sb;
        String str2;
        TbsLog.i("FileHelper", "getTbsCoreLoadFileLock #1");
        File a2 = a(context, "tbs_rename_lock");
        TbsLog.i("FileHelper", "getTbsCoreLoadFileLock #4 " + a2);
        try {
            d = new RandomAccessFile(a2.getAbsolutePath(), "r");
            fileLock = d.getChannel().tryLock(0, Long.MAX_VALUE, true);
        } catch (Throwable th) {
            TbsLog.e("FileHelper", "getTbsCoreLoadFileLock -- exception: " + th);
            fileLock = null;
        }
        if (fileLock == null) {
            fileLock = g(context);
        }
        if (fileLock == null) {
            str = "FileHelper";
            sb = new StringBuilder();
            str2 = "getTbsCoreLoadFileLock -- failed: ";
        } else {
            str = "FileHelper";
            sb = new StringBuilder();
            str2 = "getTbsCoreLoadFileLock -- success: ";
        }
        sb.append(str2);
        sb.append("tbs_rename_lock");
        TbsLog.i(str, sb.toString());
        return fileLock;
    }

    public static FileLock f(Context context) {
        FileLock fileLock;
        String str;
        StringBuilder sb;
        String str2;
        File a2 = a(context, "tbs_rename_lock");
        TbsLog.i("FileHelper", "getTbsCoreRenameFileLock #1 " + a2);
        try {
            d = new RandomAccessFile(a2.getAbsolutePath(), "rw");
            fileLock = d.getChannel().tryLock(0, Long.MAX_VALUE, false);
        } catch (Throwable unused) {
            TbsLog.e("FileHelper", "getTbsCoreRenameFileLock -- excpetion: " + "tbs_rename_lock");
            fileLock = null;
        }
        if (fileLock == null) {
            str = "FileHelper";
            sb = new StringBuilder();
            str2 = "getTbsCoreRenameFileLock -- failed: ";
        } else {
            str = "FileHelper";
            sb = new StringBuilder();
            str2 = "getTbsCoreRenameFileLock -- success: ";
        }
        sb.append(str2);
        sb.append("tbs_rename_lock");
        TbsLog.i(str, sb.toString());
        return fileLock;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:? A[ExcHandler: Throwable (unused java.lang.Throwable), SYNTHETIC, Splitter:B:9:0x0029] */
    private static FileLock g(Context context) {
        Exception e;
        FileLock fileLock = null;
        try {
            TbsLogReport.TbsLogInfo tbsLogInfo = TbsLogReport.getInstance(context).tbsLogInfo();
            tbsLogInfo.setErrorCode(803);
            File a2 = a(context, "tbs_rename_lock");
            if (!TbsDownloadConfig.getInstance(context).getTbsCoreLoadRenameFileLockWaitEnable()) {
                return null;
            }
            boolean z = false;
            FileLock fileLock2 = null;
            int i = 0;
            while (i < 20 && fileLock2 == null) {
                try {
                    Thread.sleep(100);
                } catch (Exception e2) {
                    e2.printStackTrace();
                } catch (Throwable unused) {
                }
                d = new RandomAccessFile(a2.getAbsolutePath(), "r");
                fileLock2 = d.getChannel().tryLock(0, Long.MAX_VALUE, true);
                i++;
            }
            if (fileLock2 != null) {
                try {
                    tbsLogInfo.setErrorCode(802);
                } catch (Exception e3) {
                    e = e3;
                    fileLock = fileLock2;
                    e.printStackTrace();
                    return fileLock;
                }
            } else {
                tbsLogInfo.setErrorCode(801);
            }
            TbsLogReport.getInstance(context).eventReport(TbsLogReport.EventType.TYPE_SDK_REPORT_INFO, tbsLogInfo);
            StringBuilder sb = new StringBuilder();
            sb.append("getTbsCoreLoadFileLock,retry num=");
            sb.append(i);
            sb.append("success=");
            if (fileLock2 == null) {
                z = true;
            }
            sb.append(z);
            TbsLog.i("FileHelper", sb.toString());
            return fileLock2;
        } catch (Exception e4) {
            e = e4;
            e.printStackTrace();
            return fileLock;
        }
    }
}
