package io.openinstall.sdk;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.Base64;
import com.facebook.stetho.common.Utf8Charset;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.nio.channels.FileChannel;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;
import java.util.Locale;

public class o {
    private static o k;
    private static final Object l = new Object();

    /* renamed from: a  reason: collision with root package name */
    private final Context f3267a;
    private final l b;
    private final String c;
    private final String d = Build.VERSION.RELEASE;
    private final Integer e;
    private final String f;
    private final String g;
    private final String h;
    private final String i;
    private final String j;
    private String m;
    private String n;
    private String o;

    @SuppressLint({"HardwareIds"})
    private o(Context context, l lVar) {
        String str;
        Integer num;
        this.f3267a = context;
        this.b = lVar;
        this.c = context.getPackageName();
        try {
            PackageInfo packageInfo = this.f3267a.getPackageManager().getPackageInfo(this.f3267a.getPackageName(), 0);
            num = Integer.valueOf(packageInfo.versionCode);
            try {
                str = packageInfo.versionName;
            } catch (PackageManager.NameNotFoundException unused) {
            }
        } catch (PackageManager.NameNotFoundException unused2) {
            num = null;
            str = null;
            this.e = num;
            this.f = str;
            this.g = Build.MODEL;
            this.h = Build.ID;
            this.i = Build.DISPLAY;
            this.j = Build.BRAND;
        }
        this.e = num;
        this.f = str;
        this.g = Build.MODEL;
        this.h = Build.ID;
        this.i = Build.DISPLAY;
        this.j = Build.BRAND;
    }

    public static o a(Context context, l lVar) {
        synchronized (l) {
            if (k == null) {
                k = new o(context.getApplicationContext(), lVar);
            }
        }
        return k;
    }

    private boolean a(String str) {
        return TextUtils.isEmpty(str) || str.equalsIgnoreCase(bu.m);
    }

    private boolean b(String str) {
        return TextUtils.isEmpty(str) || str.equalsIgnoreCase(bu.i) || str.equalsIgnoreCase(bu.m);
    }

    @SuppressLint({"HardwareIds"})
    public String a() {
        if (this.m != null) {
            return this.m;
        }
        String a2 = this.b.a("FM_android_id");
        if (TextUtils.isEmpty(a2)) {
            try {
                a2 = Settings.Secure.getString(this.f3267a.getContentResolver(), "android_id");
            } catch (Exception unused) {
            }
        }
        if (b(a2)) {
            this.b.a("FM_android_id", bu.m);
            a2 = null;
        } else {
            this.b.a("FM_android_id", a2);
        }
        this.m = a2;
        return this.m;
    }

    @SuppressLint({"HardwareIds"})
    public String b() {
        if (this.n != null) {
            return this.n;
        }
        String a2 = this.b.a("FM_serial_number");
        if (TextUtils.isEmpty(a2)) {
            if (Build.VERSION.SDK_INT < 26) {
                a2 = Build.SERIAL;
            } else {
                try {
                    a2 = Build.getSerial();
                } catch (Exception | SecurityException unused) {
                }
            }
        }
        if (a(a2)) {
            this.b.a("FM_serial_number", bu.m);
            a2 = null;
        } else {
            this.b.a("FM_serial_number", a2);
        }
        this.n = a2;
        return this.n;
    }

    public String c() {
        if (this.o != null) {
            return this.o;
        }
        try {
            byte[] digest = MessageDigest.getInstance("SHA1").digest(this.f3267a.getPackageManager().getPackageInfo(this.f3267a.getPackageName(), 64).signatures[0].toByteArray());
            StringBuilder sb = new StringBuilder();
            for (byte b2 : digest) {
                String upperCase = Integer.toHexString(b2 & 255).toUpperCase(Locale.US);
                if (upperCase.length() == 1) {
                    sb.append("0");
                }
                sb.append(upperCase);
                sb.append(":");
            }
            String sb2 = sb.toString();
            this.o = sb2.substring(0, sb2.length() - 1);
        } catch (PackageManager.NameNotFoundException | Exception | NoSuchAlgorithmException unused) {
        }
        return this.o;
    }

    public String d() {
        return this.c;
    }

    public String e() {
        return this.d;
    }

    public Integer f() {
        return this.e;
    }

    public String g() {
        return this.g;
    }

    public String h() {
        return this.h;
    }

    public String i() {
        return this.i;
    }

    public String j() {
        return this.j;
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x004c A[SYNTHETIC, Splitter:B:30:0x004c] */
    /* JADX WARNING: Removed duplicated region for block: B:51:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:52:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:53:? A[RETURN, SYNTHETIC] */
    public String k() {
        FileChannel fileChannel;
        Throwable th;
        try {
            fileChannel = new RandomAccessFile(this.f3267a.getApplicationInfo().sourceDir, "r").getChannel();
            try {
                ap a2 = aq.a(fileChannel);
                if (a2 == null) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused) {
                        }
                    }
                    return "";
                }
                byte[] c2 = a2.c();
                if (c2 == null) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException unused2) {
                        }
                    }
                    return "";
                }
                String str = new String(Base64.encode(c2, 10), Utf8Charset.NAME);
                if (fileChannel != null) {
                    try {
                        fileChannel.close();
                    } catch (IOException unused3) {
                    }
                }
                return str;
            } catch (FileNotFoundException unused4) {
                if (fileChannel == null) {
                    return null;
                }
                try {
                    fileChannel.close();
                    return null;
                } catch (IOException unused5) {
                    return null;
                }
            } catch (IOException unused6) {
                if (fileChannel == null) {
                    return null;
                }
                fileChannel.close();
                return null;
            } catch (Exception unused7) {
                if (fileChannel == null) {
                    return null;
                }
                fileChannel.close();
                return null;
            } catch (Throwable th2) {
                th = th2;
                if (fileChannel != null) {
                    try {
                        fileChannel.close();
                    } catch (IOException unused8) {
                    }
                }
                throw th;
            }
        } catch (FileNotFoundException unused9) {
            fileChannel = null;
            if (fileChannel == null) {
            }
            fileChannel.close();
            return null;
        } catch (IOException unused10) {
            fileChannel = null;
            if (fileChannel == null) {
            }
            fileChannel.close();
            return null;
        } catch (Exception unused11) {
            fileChannel = null;
            if (fileChannel == null) {
            }
            fileChannel.close();
            return null;
        } catch (Throwable th3) {
            th = th3;
            fileChannel = null;
            if (fileChannel != null) {
            }
            throw th;
        }
    }

    public List l() {
        ArrayList arrayList = new ArrayList();
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            if (networkInterfaces != null) {
                while (networkInterfaces.hasMoreElements()) {
                    NetworkInterface nextElement = networkInterfaces.nextElement();
                    if (!nextElement.isLoopback()) {
                        if (nextElement.isUp()) {
                            Enumeration<InetAddress> inetAddresses = nextElement.getInetAddresses();
                            while (inetAddresses.hasMoreElements()) {
                                arrayList.add(inetAddresses.nextElement().getHostAddress());
                            }
                        }
                    }
                }
            }
        } catch (Exception | SocketException unused) {
        }
        return arrayList;
    }
}
