package net.minidev.asm;

import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import net.minidev.asm.ex.NoSuchFieldException;

public abstract class BeansAccess<T> {
    private static ConcurrentHashMap<Class<?>, BeansAccess<?>> c = new ConcurrentHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private HashMap<String, Accessor> f3281a;
    private Accessor[] b;

    public abstract Object a(T t, int i);

    public abstract void a(T t, int i, Object obj);

    public abstract T c();

    /* access modifiers changed from: protected */
    public void a(Accessor[] accessorArr) {
        this.b = accessorArr;
        this.f3281a = new HashMap<>();
        int length = accessorArr.length;
        int i = 0;
        int i2 = 0;
        while (i < length) {
            Accessor accessor = accessorArr[i];
            accessor.d = i2;
            this.f3281a.put(accessor.d(), accessor);
            i++;
            i2++;
        }
    }

    public HashMap<String, Accessor> a() {
        return this.f3281a;
    }

    public Accessor[] b() {
        return this.b;
    }

    public static <P> BeansAccess<P> a(Class<P> cls, FieldFilter fieldFilter) {
        String str;
        BeansAccess<P> beansAccess = (BeansAccess<P>) c.get(cls);
        if (beansAccess != null) {
            return beansAccess;
        }
        Accessor[] a2 = ASMUtil.a((Class<?>) cls, fieldFilter);
        String name = cls.getName();
        if (name.startsWith("java.util.")) {
            str = "net.minidev.asm." + name + "AccAccess";
        } else {
            str = name.concat("AccAccess");
        }
        DynamicClassLoader dynamicClassLoader = new DynamicClassLoader(cls.getClassLoader());
        Class<?> cls2 = null;
        try {
            cls2 = dynamicClassLoader.loadClass(str);
        } catch (ClassNotFoundException unused) {
        }
        LinkedList<Class<?>> a3 = a((Class<?>) cls);
        if (cls2 == null) {
            BeansAccessBuilder beansAccessBuilder = new BeansAccessBuilder(cls, a2, dynamicClassLoader);
            Iterator<Class<?>> it = a3.iterator();
            while (it.hasNext()) {
                beansAccessBuilder.a(BeansAccessConfig.f3283a.get(it.next()));
            }
            cls2 = beansAccessBuilder.a();
        }
        try {
            BeansAccess<P> beansAccess2 = (BeansAccess) cls2.newInstance();
            beansAccess2.a(a2);
            c.putIfAbsent(cls, beansAccess2);
            Iterator<Class<?>> it2 = a3.iterator();
            while (it2.hasNext()) {
                a((BeansAccess<?>) beansAccess2, BeansAccessConfig.b.get(it2.next()));
            }
            return beansAccess2;
        } catch (Exception e) {
            throw new RuntimeException("Error constructing accessor class: " + str, e);
        }
    }

    private static LinkedList<Class<?>> a(Class<?> cls) {
        LinkedList<Class<?>> linkedList = new LinkedList<>();
        while (cls != null && !cls.equals(Object.class)) {
            linkedList.addLast(cls);
            for (Class<?> cls2 : cls.getInterfaces()) {
                linkedList.addLast(cls2);
            }
            cls = cls.getSuperclass();
        }
        linkedList.addLast(Object.class);
        return linkedList;
    }

    private static void a(BeansAccess<?> beansAccess, HashMap<String, String> hashMap) {
        if (hashMap != null) {
            HashMap hashMap2 = new HashMap();
            for (Map.Entry<String, String> entry : hashMap.entrySet()) {
                Accessor accessor = ((BeansAccess) beansAccess).f3281a.get(entry.getValue());
                if (accessor != null) {
                    hashMap2.put(entry.getValue(), accessor);
                }
            }
            ((BeansAccess) beansAccess).f3281a.putAll(hashMap2);
        }
    }

    public void a(T t, String str, Object obj) {
        int a2 = a(str);
        if (a2 != -1) {
            a(t, a2, obj);
            return;
        }
        throw new NoSuchFieldException(String.valueOf(str) + " in " + t.getClass() + " to put value : " + obj);
    }

    public Object a(T t, String str) {
        return a(t, a(str));
    }

    public int a(String str) {
        Accessor accessor = this.f3281a.get(str);
        if (accessor == null) {
            return -1;
        }
        return accessor.d;
    }
}
