package net.minidev.asm;

import com.tencent.smtt.sdk.TbsListener;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.objectweb.asm.ClassWriter;
import org.objectweb.asm.Label;
import org.objectweb.asm.MethodVisitor;
import org.objectweb.asm.Type;

public class BeansAccessBuilder {
    private static String j = Type.b(BeansAccess.class);

    /* renamed from: a  reason: collision with root package name */
    final Class<?> f3282a;
    final Accessor[] b;
    final DynamicClassLoader c;
    final String d;
    final String e;
    final String f;
    final String g;
    final HashMap<Class<?>, Method> h = new HashMap<>();
    Class<? extends Exception> i = NoSuchFieldException.class;

    public BeansAccessBuilder(Class<?> cls, Accessor[] accessorArr, DynamicClassLoader dynamicClassLoader) {
        this.f3282a = cls;
        this.b = accessorArr;
        this.c = dynamicClassLoader;
        this.d = cls.getName();
        if (this.d.startsWith("java.")) {
            this.e = "net.minidev.asm." + this.d + "AccAccess";
        } else {
            this.e = this.d.concat("AccAccess");
        }
        this.f = this.e.replace('.', '/');
        this.g = this.d.replace('.', '/');
    }

    public void a(Iterable<Class<?>> iterable) {
        if (iterable != null) {
            for (Class<?> cls : iterable) {
                a(cls);
            }
        }
    }

    public void a(Class<?> cls) {
        if (cls != null) {
            Method[] methods = cls.getMethods();
            for (Method method : methods) {
                if ((method.getModifiers() & 8) != 0) {
                    Class<?>[] parameterTypes = method.getParameterTypes();
                    if (parameterTypes.length == 1 && parameterTypes[0].equals(Object.class)) {
                        Class<?> returnType = method.getReturnType();
                        if (!returnType.equals(Void.TYPE)) {
                            this.h.put(returnType, method);
                        }
                    }
                }
            }
        }
    }

    public Class<?> a() {
        int i2;
        int i3;
        int i4 = 1;
        ClassWriter classWriter = new ClassWriter(1);
        boolean z = this.b.length > 10;
        classWriter.a(50, 33, this.f, "Lnet/minidev/asm/BeansAccess<L" + this.g + ";>;", j, null);
        MethodVisitor a2 = classWriter.a(1, "<init>", "()V", (String) null, (String[]) null);
        a2.b();
        a2.b(25, 0);
        a2.b(183, j, "<init>", "()V");
        a2.a(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
        a2.d(1, 1);
        a2.c();
        MethodVisitor a3 = classWriter.a(1, "set", "(Ljava/lang/Object;ILjava/lang/Object;)V", (String) null, (String[]) null);
        a3.b();
        if (this.b.length != 0) {
            if (this.b.length > 14) {
                a3.b(21, 2);
                Label[] a4 = ASMUtil.a(this.b.length);
                Label label = new Label();
                a3.a(0, a4.length - 1, label, a4);
                Accessor[] accessorArr = this.b;
                int length = accessorArr.length;
                int i5 = 0;
                int i6 = 0;
                while (i5 < length) {
                    Accessor accessor = accessorArr[i5];
                    int i7 = i6 + 1;
                    a3.a(a4[i6]);
                    if (!accessor.i()) {
                        a3.a(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
                    } else {
                        a(a3, accessor);
                    }
                    i5++;
                    i6 = i7;
                }
                a3.a(label);
            } else {
                Label[] a5 = ASMUtil.a(this.b.length);
                Accessor[] accessorArr2 = this.b;
                int i8 = 0;
                for (Accessor accessor2 : accessorArr2) {
                    a(a3, 2, i8, a5[i8]);
                    a(a3, accessor2);
                    a3.a(a5[i8]);
                    a3.a(3, 0, (Object[]) null, 0, (Object[]) null);
                    i8++;
                }
            }
        }
        if (this.i != null) {
            a(a3, this.i);
        } else {
            a3.a(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
        }
        a3.d(0, 0);
        a3.c();
        MethodVisitor a6 = classWriter.a(1, "get", "(Ljava/lang/Object;I)Ljava/lang/Object;", (String) null, (String[]) null);
        a6.b();
        int length2 = this.b.length;
        int i9 = 192;
        int i10 = TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6;
        if (length2 == 0) {
            a6.a(3, 0, (Object[]) null, 0, (Object[]) null);
        } else if (this.b.length > 14) {
            a6.b(21, 2);
            Label[] a7 = ASMUtil.a(this.b.length);
            Label label2 = new Label();
            a6.a(0, a7.length - 1, label2, a7);
            Accessor[] accessorArr3 = this.b;
            int length3 = accessorArr3.length;
            int i11 = 0;
            int i12 = 0;
            while (i11 < length3) {
                Accessor accessor3 = accessorArr3[i11];
                int i13 = i12 + 1;
                a6.a(a7[i12]);
                a6.a(3, 0, (Object[]) null, 0, (Object[]) null);
                if (!accessor3.h()) {
                    a6.a(i4);
                    a6.a(TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6);
                } else {
                    a6.b(25, i4);
                    a6.a(i9, this.g);
                    Type a8 = Type.a(accessor3.e());
                    if (accessor3.b()) {
                        a6.a(180, this.g, accessor3.d(), a8.c());
                    } else {
                        a6.b(182, this.g, accessor3.c.getName(), Type.a(accessor3.c));
                    }
                    ASMUtil.a(a6, a8);
                    a6.a(TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6);
                }
                i11++;
                i12 = i13;
                i9 = 192;
                i4 = 1;
            }
            a6.a(label2);
            a6.a(3, 0, (Object[]) null, 0, (Object[]) null);
        } else {
            Label[] a9 = ASMUtil.a(this.b.length);
            Accessor[] accessorArr4 = this.b;
            int length4 = accessorArr4.length;
            int i14 = 0;
            int i15 = 0;
            while (i14 < length4) {
                Accessor accessor4 = accessorArr4[i14];
                a(a6, 2, i15, a9[i15]);
                a6.b(25, 1);
                a6.a(192, this.g);
                Type a10 = Type.a(accessor4.e());
                if (accessor4.b()) {
                    a6.a(180, this.g, accessor4.d(), a10.c());
                } else if (accessor4.c != null) {
                    a6.b(182, this.g, accessor4.c.getName(), Type.a(accessor4.c));
                } else {
                    throw new RuntimeException("no Getter for field " + accessor4.d() + " in class " + this.d);
                }
                ASMUtil.a(a6, a10);
                a6.a(TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6);
                a6.a(a9[i15]);
                a6.a(3, 0, (Object[]) null, 0, (Object[]) null);
                i15++;
                i14++;
                i10 = TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6;
            }
        }
        if (this.i != null) {
            a(a6, this.i);
        } else {
            a6.a(1);
            a6.a(i10);
        }
        a6.d(0, 0);
        a6.c();
        if (!z) {
            i3 = TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6;
            i2 = 182;
            MethodVisitor a11 = classWriter.a(1, "set", "(Ljava/lang/Object;Ljava/lang/String;Ljava/lang/Object;)V", (String) null, (String[]) null);
            a11.b();
            Label[] a12 = ASMUtil.a(this.b.length);
            Accessor[] accessorArr5 = this.b;
            int i16 = 0;
            for (Accessor accessor5 : accessorArr5) {
                a11.b(25, 2);
                a11.a(accessor5.g);
                a11.b(182, "java/lang/String", "equals", "(Ljava/lang/Object;)Z");
                a11.a(153, a12[i16]);
                a(a11, accessor5);
                a11.a(a12[i16]);
                a11.a(3, 0, (Object[]) null, 0, (Object[]) null);
                i16++;
            }
            if (this.i != null) {
                b(a11, this.i);
            } else {
                a11.a(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
            }
            a11.d(0, 0);
            a11.c();
        } else {
            i3 = TbsListener.ErrorCode.NEEDDOWNLOAD_FALSE_6;
            i2 = 182;
        }
        if (!z) {
            MethodVisitor a13 = classWriter.a(1, "get", "(Ljava/lang/Object;Ljava/lang/String;)Ljava/lang/Object;", (String) null, (String[]) null);
            a13.b();
            Label[] a14 = ASMUtil.a(this.b.length);
            Accessor[] accessorArr6 = this.b;
            int i17 = 0;
            for (Accessor accessor6 : accessorArr6) {
                a13.b(25, 2);
                a13.a(accessor6.g);
                a13.b(i2, "java/lang/String", "equals", "(Ljava/lang/Object;)Z");
                a13.a(153, a14[i17]);
                a13.b(25, 1);
                a13.a(192, this.g);
                Type a15 = Type.a(accessor6.e());
                if (accessor6.b()) {
                    a13.a(180, this.g, accessor6.d(), a15.c());
                } else {
                    a13.b(i2, this.g, accessor6.c.getName(), Type.a(accessor6.c));
                }
                ASMUtil.a(a13, a15);
                a13.a(i3);
                a13.a(a14[i17]);
                a13.a(3, 0, (Object[]) null, 0, (Object[]) null);
                i17++;
            }
            if (this.i != null) {
                b(a13, this.i);
            } else {
                a13.a(1);
                a13.a(i3);
            }
            a13.d(0, 0);
            a13.c();
        }
        MethodVisitor a16 = classWriter.a(1, "newInstance", "()Ljava/lang/Object;", (String) null, (String[]) null);
        a16.b();
        a16.a(187, this.g);
        a16.a(89);
        a16.b(183, this.g, "<init>", "()V");
        a16.a(i3);
        a16.d(2, 1);
        a16.c();
        classWriter.a();
        return this.c.a(this.e, classWriter.b());
    }

    private void a(MethodVisitor methodVisitor, Accessor accessor) {
        methodVisitor.b(25, 1);
        methodVisitor.a(192, this.g);
        methodVisitor.b(25, 3);
        Type a2 = Type.a(accessor.e());
        Class<?> e2 = accessor.e();
        String b2 = Type.b(e2);
        Method method = this.h.get(e2);
        if (method != null) {
            methodVisitor.b(184, Type.b(method.getDeclaringClass()), method.getName(), Type.a(method));
        } else if (accessor.c()) {
            Label label = new Label();
            methodVisitor.a(198, label);
            methodVisitor.b(25, 3);
            methodVisitor.b(182, "java/lang/Object", "toString", "()Ljava/lang/String;");
            methodVisitor.b(184, b2, "valueOf", "(Ljava/lang/String;)L" + b2 + ";");
            methodVisitor.b(58, 3);
            methodVisitor.a(label);
            methodVisitor.a(3, 0, (Object[]) null, 0, (Object[]) null);
            methodVisitor.b(25, 1);
            methodVisitor.a(192, this.g);
            methodVisitor.b(25, 3);
            methodVisitor.a(192, b2);
        } else if (e2.equals(String.class)) {
            Label label2 = new Label();
            methodVisitor.a(198, label2);
            methodVisitor.b(25, 3);
            methodVisitor.b(182, "java/lang/Object", "toString", "()Ljava/lang/String;");
            methodVisitor.b(58, 3);
            methodVisitor.a(label2);
            methodVisitor.a(3, 0, (Object[]) null, 0, (Object[]) null);
            methodVisitor.b(25, 1);
            methodVisitor.a(192, this.g);
            methodVisitor.b(25, 3);
            methodVisitor.a(192, b2);
        } else {
            methodVisitor.a(192, b2);
        }
        if (accessor.b()) {
            methodVisitor.a(181, this.g, accessor.d(), a2.c());
        } else {
            methodVisitor.b(182, this.g, accessor.b.getName(), Type.a(accessor.b));
        }
        methodVisitor.a(TbsListener.ErrorCode.NONEEDDOWNLOAD_OTHER_PROCESS_DOWNLOADING);
    }

    private void a(MethodVisitor methodVisitor, Class<?> cls) {
        String b2 = Type.b(cls);
        methodVisitor.a(187, b2);
        methodVisitor.a(89);
        methodVisitor.a("mapping " + this.d + " failed to map field:");
        methodVisitor.b(21, 2);
        methodVisitor.b(184, "java/lang/Integer", "toString", "(I)Ljava/lang/String;");
        methodVisitor.b(182, "java/lang/String", "concat", "(Ljava/lang/String;)Ljava/lang/String;");
        methodVisitor.b(183, b2, "<init>", "(Ljava/lang/String;)V");
        methodVisitor.a(191);
    }

    private void b(MethodVisitor methodVisitor, Class<?> cls) {
        String b2 = Type.b(cls);
        methodVisitor.a(187, b2);
        methodVisitor.a(89);
        methodVisitor.a("mapping " + this.d + " failed to map field:");
        methodVisitor.b(25, 2);
        methodVisitor.b(182, "java/lang/String", "concat", "(Ljava/lang/String;)Ljava/lang/String;");
        methodVisitor.b(183, b2, "<init>", "(Ljava/lang/String;)V");
        methodVisitor.a(191);
    }

    private void a(MethodVisitor methodVisitor, int i2, int i3, Label label) {
        methodVisitor.b(21, i2);
        if (i3 == 0) {
            methodVisitor.a(154, label);
        } else if (i3 == 1) {
            methodVisitor.a(4);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else if (i3 == 2) {
            methodVisitor.a(5);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else if (i3 == 3) {
            methodVisitor.a(6);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else if (i3 == 4) {
            methodVisitor.a(7);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else if (i3 == 5) {
            methodVisitor.a(8);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else if (i3 >= 6) {
            methodVisitor.a(16, i3);
            methodVisitor.a(TbsListener.ErrorCode.STARTDOWNLOAD_1, label);
        } else {
            throw new RuntimeException("non supported negative values");
        }
    }
}
