package net.minidev.asm;

import java.text.DateFormatSymbols;
import java.util.Calendar;
import java.util.Comparator;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashSet;
import java.util.Locale;
import java.util.StringTokenizer;
import java.util.TimeZone;
import java.util.TreeMap;

public class ConvertDate {

    /* renamed from: a  reason: collision with root package name */
    static TreeMap<String, Integer> f3284a = new TreeMap<>(new StringCmpNS());
    static TreeMap<String, Integer> b = new TreeMap<>(new StringCmpNS());
    static TreeMap<String, TimeZone> c = new TreeMap<>();
    private static HashSet<String> d = new HashSet<>();

    static {
        d.add("MEZ");
        d.add("Uhr");
        d.add("h");
        d.add("pm");
        d.add("PM");
        d.add("AM");
        d.add("o'clock");
        String[] availableIDs = TimeZone.getAvailableIDs();
        for (String str : availableIDs) {
            c.put(str, TimeZone.getTimeZone(str));
        }
        Locale[] availableLocales = DateFormatSymbols.getAvailableLocales();
        for (Locale locale : availableLocales) {
            if (!"ja".equals(locale.getLanguage()) && !"ko".equals(locale.getLanguage()) && !"zh".equals(locale.getLanguage())) {
                DateFormatSymbols instance = DateFormatSymbols.getInstance(locale);
                String[] months = instance.getMonths();
                for (int i = 0; i < months.length; i++) {
                    if (months[i].length() != 0) {
                        a(f3284a, months[i], Integer.valueOf(i));
                    }
                }
                String[] shortMonths = instance.getShortMonths();
                for (int i2 = 0; i2 < shortMonths.length; i2++) {
                    String str2 = shortMonths[i2];
                    if (str2.length() != 0 && !Character.isDigit(str2.charAt(str2.length() - 1))) {
                        a(f3284a, shortMonths[i2], Integer.valueOf(i2));
                        a(f3284a, shortMonths[i2].replace(".", ""), Integer.valueOf(i2));
                    }
                }
                String[] weekdays = instance.getWeekdays();
                for (int i3 = 0; i3 < weekdays.length; i3++) {
                    String str3 = weekdays[i3];
                    if (str3.length() != 0) {
                        a(b, str3, Integer.valueOf(i3));
                        a(b, str3.replace(".", ""), Integer.valueOf(i3));
                    }
                }
                String[] shortWeekdays = instance.getShortWeekdays();
                for (int i4 = 0; i4 < shortWeekdays.length; i4++) {
                    String str4 = shortWeekdays[i4];
                    if (str4.length() != 0) {
                        a(b, str4, Integer.valueOf(i4));
                        a(b, str4.replace(".", ""), Integer.valueOf(i4));
                    }
                }
            }
        }
    }

    public static class StringCmpNS implements Comparator<String> {
        /* renamed from: a */
        public int compare(String str, String str2) {
            return str.compareToIgnoreCase(str2);
        }
    }

    private static Integer a(String str) {
        if (Character.isDigit(str.charAt(0))) {
            return Integer.valueOf(Integer.parseInt(str) - 1);
        }
        Integer num = f3284a.get(str);
        if (num != null) {
            return Integer.valueOf(num.intValue());
        }
        throw new NullPointerException("can not parse " + str + " as month");
    }

    private static void a(TreeMap<String, Integer> treeMap, String str, Integer num) {
        treeMap.put(str, num);
        treeMap.put(str.replace("é", "e").replace("û", "u"), num);
    }

    public static Date a(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Date) {
            return (Date) obj;
        }
        if (obj instanceof Number) {
            return new Date(((Number) obj).longValue());
        }
        if (obj instanceof String) {
            StringTokenizer stringTokenizer = new StringTokenizer((String) obj, " -/:,.+");
            if (!stringTokenizer.hasMoreTokens()) {
                return null;
            }
            String nextToken = stringTokenizer.nextToken();
            if (nextToken.length() == 4 && Character.isDigit(nextToken.charAt(0))) {
                return a(stringTokenizer, nextToken);
            }
            if (b.containsKey(nextToken)) {
                if (!stringTokenizer.hasMoreTokens()) {
                    return null;
                }
                nextToken = stringTokenizer.nextToken();
            }
            if (f3284a.containsKey(nextToken)) {
                return b(stringTokenizer, nextToken);
            }
            if (Character.isDigit(nextToken.charAt(0))) {
                return c(stringTokenizer, nextToken);
            }
            return null;
        }
        throw new RuntimeException("Primitive: Can not convert " + obj.getClass().getName() + " to int");
    }

    private static Date a(StringTokenizer stringTokenizer, String str) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(2000, 0, 0, 0, 0, 0);
        gregorianCalendar.setTimeInMillis(0);
        gregorianCalendar.set(1, Integer.parseInt(str));
        if (!stringTokenizer.hasMoreTokens()) {
            return gregorianCalendar.getTime();
        }
        gregorianCalendar.set(2, a(stringTokenizer.nextToken()).intValue());
        if (!stringTokenizer.hasMoreTokens()) {
            return gregorianCalendar.getTime();
        }
        String nextToken = stringTokenizer.nextToken();
        if (!Character.isDigit(nextToken.charAt(0))) {
            return gregorianCalendar.getTime();
        }
        if (nextToken.length() == 5 && nextToken.charAt(2) == 'T') {
            gregorianCalendar.set(5, Integer.parseInt(nextToken.substring(0, 2)));
            return a(stringTokenizer, gregorianCalendar, nextToken.substring(3));
        }
        gregorianCalendar.set(5, Integer.parseInt(nextToken));
        return a(stringTokenizer, gregorianCalendar, (String) null);
    }

    private static int b(String str) {
        int parseInt = Integer.parseInt(str);
        if (parseInt < 100) {
            return parseInt > 23 ? parseInt + 2000 : parseInt + 1900;
        }
        return parseInt;
    }

    private static Date b(StringTokenizer stringTokenizer, String str) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(2000, 0, 0, 0, 0, 0);
        Integer num = f3284a.get(str);
        if (num != null) {
            gregorianCalendar.set(2, num.intValue());
            if (!stringTokenizer.hasMoreTokens()) {
                return null;
            }
            gregorianCalendar.set(5, Integer.parseInt(stringTokenizer.nextToken()));
            if (!stringTokenizer.hasMoreTokens()) {
                return null;
            }
            String nextToken = stringTokenizer.nextToken();
            if (Character.isLetter(nextToken.charAt(0))) {
                if (!stringTokenizer.hasMoreTokens()) {
                    return null;
                }
                nextToken = stringTokenizer.nextToken();
            }
            if (nextToken.length() == 4) {
                gregorianCalendar.set(1, b(nextToken));
            } else if (nextToken.length() == 2) {
                return b(stringTokenizer, gregorianCalendar, nextToken);
            }
            return a(stringTokenizer, gregorianCalendar, (String) null);
        }
        throw new NullPointerException("can not parse " + str + " as month");
    }

    private static Date c(StringTokenizer stringTokenizer, String str) {
        GregorianCalendar gregorianCalendar = new GregorianCalendar(2000, 0, 0, 0, 0, 0);
        gregorianCalendar.set(5, Integer.parseInt(str));
        if (!stringTokenizer.hasMoreTokens()) {
            return null;
        }
        gregorianCalendar.set(2, a(stringTokenizer.nextToken()).intValue());
        if (!stringTokenizer.hasMoreTokens()) {
            return null;
        }
        gregorianCalendar.set(1, b(stringTokenizer.nextToken()));
        return a(stringTokenizer, gregorianCalendar, (String) null);
    }

    private static Date a(StringTokenizer stringTokenizer, Calendar calendar, String str) {
        if (str == null) {
            if (!stringTokenizer.hasMoreTokens()) {
                return calendar.getTime();
            }
            str = stringTokenizer.nextToken();
        }
        return b(stringTokenizer, calendar, str);
    }

    private static Date b(StringTokenizer stringTokenizer, Calendar calendar, String str) {
        calendar.set(11, Integer.parseInt(str));
        if (!stringTokenizer.hasMoreTokens()) {
            return calendar.getTime();
        }
        String a2 = a(stringTokenizer, stringTokenizer.nextToken(), calendar);
        if (a2 == null) {
            return calendar.getTime();
        }
        calendar.set(12, Integer.parseInt(a2));
        if (!stringTokenizer.hasMoreTokens()) {
            return calendar.getTime();
        }
        String a3 = a(stringTokenizer, stringTokenizer.nextToken(), calendar);
        if (a3 == null) {
            return calendar.getTime();
        }
        calendar.set(13, Integer.parseInt(a3));
        if (!stringTokenizer.hasMoreTokens()) {
            return calendar.getTime();
        }
        String a4 = a(stringTokenizer, stringTokenizer.nextToken(), calendar);
        if (a4 == null) {
            return calendar.getTime();
        }
        String a5 = a(stringTokenizer, a4, calendar);
        if (a5.length() == 4 && Character.isDigit(a5.charAt(0))) {
            calendar.set(1, b(a5));
        }
        return calendar.getTime();
    }

    private static String a(StringTokenizer stringTokenizer, String str, Calendar calendar) {
        while (true) {
            TimeZone timeZone = c.get(str);
            if (timeZone != null) {
                calendar.setTimeZone(timeZone);
                if (!stringTokenizer.hasMoreTokens()) {
                    return null;
                }
                str = stringTokenizer.nextToken();
            } else if (!d.contains(str)) {
                return str;
            } else {
                if (str.equalsIgnoreCase("pm")) {
                    calendar.add(9, 1);
                }
                if (str.equalsIgnoreCase("am")) {
                    calendar.add(9, 0);
                }
                if (!stringTokenizer.hasMoreTokens()) {
                    return null;
                }
                str = stringTokenizer.nextToken();
            }
        }
    }
}
