package net.minidev.json;

import java.io.IOException;

/* access modifiers changed from: package-private */
public class JStylerObj {

    /* renamed from: a  reason: collision with root package name */
    public static final MPSimple f3290a = new MPSimple(null);
    public static final MPTrue b = new MPTrue(null);
    public static final MPAgressive c = new MPAgressive(null);
    public static final EscapeLT d = new EscapeLT(null);
    public static final Escape4Web e = new Escape4Web(null);

    public interface MustProtect {
        boolean a(String str);
    }

    public interface StringProtector {
        void a(String str, Appendable appendable);
    }

    public static boolean a(char c2) {
        return c2 == '\r' || c2 == '\n' || c2 == '\t' || c2 == ' ';
    }

    public static boolean b(char c2) {
        return c2 == '\b' || c2 == '\f' || c2 == '\n';
    }

    public static boolean c(char c2) {
        return c2 == '}' || c2 == ']' || c2 == ',' || c2 == ':';
    }

    public static boolean d(char c2) {
        return c2 == '{' || c2 == '[' || c2 == ',' || c2 == '}' || c2 == ']' || c2 == ':' || c2 == '\'' || c2 == '\"';
    }

    public static boolean e(char c2) {
        if (c2 >= 0 && c2 <= 31) {
            return true;
        }
        if (c2 < 127 || c2 > 159) {
            return c2 >= 8192 && c2 <= 8447;
        }
        return true;
    }

    JStylerObj() {
    }

    /* access modifiers changed from: private */
    public static class MPTrue implements MustProtect {
        @Override // net.minidev.json.JStylerObj.MustProtect
        public boolean a(String str) {
            return true;
        }

        private MPTrue() {
        }

        /* synthetic */ MPTrue(MPTrue mPTrue) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class MPSimple implements MustProtect {
        private MPSimple() {
        }

        /* synthetic */ MPSimple(MPSimple mPSimple) {
            this();
        }

        @Override // net.minidev.json.JStylerObj.MustProtect
        public boolean a(String str) {
            if (str == null) {
                return false;
            }
            int length = str.length();
            if (length == 0 || str.trim() != str) {
                return true;
            }
            char charAt = str.charAt(0);
            if ((charAt >= '0' && charAt <= '9') || charAt == '-') {
                return true;
            }
            for (int i = 0; i < length; i++) {
                char charAt2 = str.charAt(i);
                if (JStylerObj.a(charAt2) || JStylerObj.d(charAt2) || JStylerObj.b(charAt2) || JStylerObj.e(charAt2)) {
                    return true;
                }
            }
            return JStylerObj.a(str);
        }
    }

    /* access modifiers changed from: private */
    public static class MPAgressive implements MustProtect {
        private MPAgressive() {
        }

        /* synthetic */ MPAgressive(MPAgressive mPAgressive) {
            this();
        }

        @Override // net.minidev.json.JStylerObj.MustProtect
        public boolean a(String str) {
            if (str == null) {
                return false;
            }
            int length = str.length();
            if (length == 0 || str.trim() != str) {
                return true;
            }
            char charAt = str.charAt(0);
            if (JStylerObj.d(charAt) || JStylerObj.e(charAt)) {
                return true;
            }
            for (int i = 1; i < length; i++) {
                char charAt2 = str.charAt(i);
                if (JStylerObj.c(charAt2) || JStylerObj.e(charAt2)) {
                    return true;
                }
            }
            if (JStylerObj.a(str)) {
                return true;
            }
            char charAt3 = str.charAt(0);
            if ((charAt3 < '0' || charAt3 > '9') && charAt3 != '-') {
                return false;
            }
            char c = charAt3;
            int i2 = 1;
            while (i2 < length) {
                c = str.charAt(i2);
                if (c < '0' || c > '9') {
                    break;
                }
                i2++;
            }
            if (i2 == length) {
                return true;
            }
            if (c == '.') {
                i2++;
            }
            while (i2 < length) {
                c = str.charAt(i2);
                if (c < '0' || c > '9') {
                    break;
                }
                i2++;
            }
            if (i2 == length) {
                return true;
            }
            if (c == 'E' || c == 'e') {
                i2++;
                if (i2 == length) {
                    return false;
                }
                char charAt4 = str.charAt(i2);
                if (charAt4 == '+' || charAt4 == '-') {
                    i2++;
                    str.charAt(i2);
                }
            }
            if (i2 == length) {
                return false;
            }
            while (i2 < length) {
                char charAt5 = str.charAt(i2);
                if (charAt5 < '0' || charAt5 > '9') {
                    break;
                }
                i2++;
            }
            return i2 == length;
        }
    }

    public static boolean a(String str) {
        if (str.length() < 3) {
            return false;
        }
        char charAt = str.charAt(0);
        if (charAt == 'n') {
            return str.equals("null");
        }
        if (charAt == 't') {
            return str.equals("true");
        }
        if (charAt == 'f') {
            return str.equals("false");
        }
        if (charAt == 'N') {
            return str.equals("NaN");
        }
        return false;
    }

    /* access modifiers changed from: private */
    public static class EscapeLT implements StringProtector {
        private EscapeLT() {
        }

        /* synthetic */ EscapeLT(EscapeLT escapeLT) {
            this();
        }

        @Override // net.minidev.json.JStylerObj.StringProtector
        public void a(String str, Appendable appendable) {
            try {
                int length = str.length();
                for (int i = 0; i < length; i++) {
                    char charAt = str.charAt(i);
                    if (charAt == '\"') {
                        appendable.append("\\\"");
                    } else if (charAt != '\\') {
                        switch (charAt) {
                            case '\b':
                                appendable.append("\\b");
                                continue;
                            case '\t':
                                appendable.append("\\t");
                                continue;
                            case '\n':
                                appendable.append("\\n");
                                continue;
                            default:
                                switch (charAt) {
                                    case '\f':
                                        appendable.append("\\f");
                                        continue;
                                    case '\r':
                                        appendable.append("\\r");
                                        continue;
                                    default:
                                        if ((charAt < 0 || charAt > 31) && ((charAt < 127 || charAt > 159) && (charAt < 8192 || charAt > 8447))) {
                                            appendable.append(charAt);
                                            break;
                                        } else {
                                            appendable.append("\\u");
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> '\f') & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> '\b') & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> 4) & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> 0) & 15));
                                            continue;
                                            continue;
                                        }
                                }
                        }
                    } else {
                        appendable.append("\\\\");
                    }
                }
            } catch (IOException unused) {
                throw new RuntimeException("Impossible Exeption");
            }
        }
    }

    /* access modifiers changed from: private */
    public static class Escape4Web implements StringProtector {
        private Escape4Web() {
        }

        /* synthetic */ Escape4Web(Escape4Web escape4Web) {
            this();
        }

        @Override // net.minidev.json.JStylerObj.StringProtector
        public void a(String str, Appendable appendable) {
            try {
                int length = str.length();
                for (int i = 0; i < length; i++) {
                    char charAt = str.charAt(i);
                    if (charAt == '\"') {
                        appendable.append("\\\"");
                    } else if (charAt == '/') {
                        appendable.append("\\/");
                    } else if (charAt != '\\') {
                        switch (charAt) {
                            case '\b':
                                appendable.append("\\b");
                                continue;
                            case '\t':
                                appendable.append("\\t");
                                continue;
                            case '\n':
                                appendable.append("\\n");
                                continue;
                            default:
                                switch (charAt) {
                                    case '\f':
                                        appendable.append("\\f");
                                        continue;
                                    case '\r':
                                        appendable.append("\\r");
                                        continue;
                                    default:
                                        if ((charAt < 0 || charAt > 31) && ((charAt < 127 || charAt > 159) && (charAt < 8192 || charAt > 8447))) {
                                            appendable.append(charAt);
                                            break;
                                        } else {
                                            appendable.append("\\u");
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> '\f') & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> '\b') & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> 4) & 15));
                                            appendable.append("0123456789ABCDEF".charAt((charAt >> 0) & 15));
                                            continue;
                                            continue;
                                        }
                                }
                        }
                    } else {
                        appendable.append("\\\\");
                    }
                }
            } catch (IOException unused) {
                throw new RuntimeException("Impossible Error");
            }
        }
    }
}
