package net.minidev.json.writer;

import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.List;

public class ArraysMapper<T> extends JsonReaderI<T> {

    /* renamed from: a  reason: collision with root package name */
    public static JsonReaderI<int[]> f3308a = new ArraysMapper<int[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass1 */

        /* renamed from: b */
        public int[] a(Object obj) {
            List<Number> list = (List) obj;
            int[] iArr = new int[list.size()];
            int i = 0;
            for (Number number : list) {
                iArr[i] = number.intValue();
                i++;
            }
            return iArr;
        }
    };
    public static JsonReaderI<Integer[]> b = new ArraysMapper<Integer[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass2 */

        /* renamed from: b */
        public Integer[] a(Object obj) {
            List list = (List) obj;
            Integer[] numArr = new Integer[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Integer) {
                        numArr[i] = (Integer) obj2;
                    } else {
                        numArr[i] = Integer.valueOf(((Number) obj2).intValue());
                    }
                    i++;
                }
            }
            return numArr;
        }
    };
    public static JsonReaderI<short[]> c = new ArraysMapper<short[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass3 */

        /* renamed from: b */
        public short[] a(Object obj) {
            List<Number> list = (List) obj;
            short[] sArr = new short[list.size()];
            int i = 0;
            for (Number number : list) {
                sArr[i] = number.shortValue();
                i++;
            }
            return sArr;
        }
    };
    public static JsonReaderI<Short[]> d = new ArraysMapper<Short[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass4 */

        /* renamed from: b */
        public Short[] a(Object obj) {
            List list = (List) obj;
            Short[] shArr = new Short[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Short) {
                        shArr[i] = (Short) obj2;
                    } else {
                        shArr[i] = Short.valueOf(((Number) obj2).shortValue());
                    }
                    i++;
                }
            }
            return shArr;
        }
    };
    public static JsonReaderI<byte[]> e = new ArraysMapper<byte[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass5 */

        /* renamed from: b */
        public byte[] a(Object obj) {
            List<Number> list = (List) obj;
            byte[] bArr = new byte[list.size()];
            int i = 0;
            for (Number number : list) {
                bArr[i] = number.byteValue();
                i++;
            }
            return bArr;
        }
    };
    public static JsonReaderI<Byte[]> f = new ArraysMapper<Byte[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass6 */

        /* renamed from: b */
        public Byte[] a(Object obj) {
            List list = (List) obj;
            Byte[] bArr = new Byte[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Byte) {
                        bArr[i] = (Byte) obj2;
                    } else {
                        bArr[i] = Byte.valueOf(((Number) obj2).byteValue());
                    }
                    i++;
                }
            }
            return bArr;
        }
    };
    public static JsonReaderI<char[]> g = new ArraysMapper<char[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass7 */

        /* renamed from: b */
        public char[] a(Object obj) {
            List<Object> list = (List) obj;
            char[] cArr = new char[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                cArr[i] = obj2.toString().charAt(0);
                i++;
            }
            return cArr;
        }
    };
    public static JsonReaderI<Character[]> h = new ArraysMapper<Character[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass8 */

        /* renamed from: b */
        public Character[] a(Object obj) {
            List list = (List) obj;
            Character[] chArr = new Character[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    chArr[i] = Character.valueOf(obj2.toString().charAt(0));
                    i++;
                }
            }
            return chArr;
        }
    };
    public static JsonReaderI<long[]> i = new ArraysMapper<long[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass9 */

        /* renamed from: b */
        public long[] a(Object obj) {
            List<Number> list = (List) obj;
            long[] jArr = new long[list.size()];
            int i = 0;
            for (Number number : list) {
                jArr[i] = (long) number.intValue();
                i++;
            }
            return jArr;
        }
    };
    public static JsonReaderI<Long[]> j = new ArraysMapper<Long[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass10 */

        /* renamed from: b */
        public Long[] a(Object obj) {
            List list = (List) obj;
            Long[] lArr = new Long[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Float) {
                        lArr[i] = (Long) obj2;
                    } else {
                        lArr[i] = Long.valueOf(((Number) obj2).longValue());
                    }
                    i++;
                }
            }
            return lArr;
        }
    };
    public static JsonReaderI<float[]> k = new ArraysMapper<float[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass11 */

        /* renamed from: b */
        public float[] a(Object obj) {
            List<Number> list = (List) obj;
            float[] fArr = new float[list.size()];
            int i = 0;
            for (Number number : list) {
                fArr[i] = number.floatValue();
                i++;
            }
            return fArr;
        }
    };
    public static JsonReaderI<Float[]> l = new ArraysMapper<Float[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass12 */

        /* renamed from: b */
        public Float[] a(Object obj) {
            List list = (List) obj;
            Float[] fArr = new Float[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Float) {
                        fArr[i] = (Float) obj2;
                    } else {
                        fArr[i] = Float.valueOf(((Number) obj2).floatValue());
                    }
                    i++;
                }
            }
            return fArr;
        }
    };
    public static JsonReaderI<double[]> m = new ArraysMapper<double[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass13 */

        /* renamed from: b */
        public double[] a(Object obj) {
            List<Number> list = (List) obj;
            double[] dArr = new double[list.size()];
            int i = 0;
            for (Number number : list) {
                dArr[i] = number.doubleValue();
                i++;
            }
            return dArr;
        }
    };
    public static JsonReaderI<Double[]> n = new ArraysMapper<Double[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass14 */

        /* renamed from: b */
        public Double[] a(Object obj) {
            List list = (List) obj;
            Double[] dArr = new Double[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Double) {
                        dArr[i] = (Double) obj2;
                    } else {
                        dArr[i] = Double.valueOf(((Number) obj2).doubleValue());
                    }
                    i++;
                }
            }
            return dArr;
        }
    };
    public static JsonReaderI<boolean[]> o = new ArraysMapper<boolean[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass15 */

        /* renamed from: b */
        public boolean[] a(Object obj) {
            List<Boolean> list = (List) obj;
            boolean[] zArr = new boolean[list.size()];
            int i = 0;
            for (Boolean bool : list) {
                zArr[i] = bool.booleanValue();
                i++;
            }
            return zArr;
        }
    };
    public static JsonReaderI<Boolean[]> p = new ArraysMapper<Boolean[]>(null) {
        /* class net.minidev.json.writer.ArraysMapper.AnonymousClass16 */

        /* renamed from: b */
        public Boolean[] a(Object obj) {
            List list = (List) obj;
            Boolean[] boolArr = new Boolean[list.size()];
            int i = 0;
            for (Object obj2 : list) {
                if (obj2 != null) {
                    if (obj2 instanceof Boolean) {
                        boolArr[i] = Boolean.valueOf(((Boolean) obj2).booleanValue());
                    } else if (obj2 instanceof Number) {
                        boolArr[i] = Boolean.valueOf(((Number) obj2).intValue() != 0);
                    } else {
                        throw new RuntimeException("can not convert " + obj2 + " toBoolean");
                    }
                    i++;
                }
            }
            return boolArr;
        }
    };

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // net.minidev.json.writer.JsonReaderI
    public T a(Object obj) {
        return obj;
    }

    public ArraysMapper(JsonReader jsonReader) {
        super(jsonReader);
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public Object a() {
        return new ArrayList();
    }

    @Override // net.minidev.json.writer.JsonReaderI
    public void a(Object obj, Object obj2) {
        ((List) obj).add(obj2);
    }

    public static class GenericMapper<T> extends ArraysMapper<T> {
        final Class<?> q;
        JsonReaderI<?> r;

        public GenericMapper(JsonReader jsonReader, Class<T> cls) {
            super(jsonReader);
            this.q = cls.getComponentType();
        }

        /* JADX WARN: Type inference failed for: r0v2, types: [T, java.lang.Object[]] */
        /* JADX WARNING: Unknown variable types count: 1 */
        @Override // net.minidev.json.writer.ArraysMapper, net.minidev.json.writer.JsonReaderI
        public T a(Object obj) {
            List<Object> list = (List) obj;
            ?? r0 = (T) ((Object[]) Array.newInstance(this.q, list.size()));
            int i = 0;
            for (Object obj2 : list) {
                r0[i] = obj2;
                i++;
            }
            return r0;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            if (this.r == null) {
                this.r = this.s.a((Class) this.q);
            }
            return this.r;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            if (this.r == null) {
                this.r = this.s.a((Class) this.q);
            }
            return this.r;
        }
    }
}
