package net.minidev.json.writer;

import java.lang.reflect.Type;
import java.util.Date;
import java.util.HashMap;
import net.minidev.asm.Accessor;
import net.minidev.asm.BeansAccess;
import net.minidev.asm.ConvertDate;
import net.minidev.json.JSONUtil;

public abstract class BeansMapper<T> extends JsonReaderI<T> {

    /* renamed from: a  reason: collision with root package name */
    public static JsonReaderI<Date> f3309a = new ArraysMapper<Date>(null) {
        /* class net.minidev.json.writer.BeansMapper.AnonymousClass1 */

        /* renamed from: b */
        public Date a(Object obj) {
            return ConvertDate.a(obj);
        }
    };

    public static class Bean<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final Class<T> f3310a;
        final BeansAccess<T> b;
        final HashMap<String, Accessor> c = this.b.a();

        public Bean(JsonReader jsonReader, Class<T> cls) {
            super(jsonReader);
            this.f3310a = cls;
            this.b = BeansAccess.a(cls, JSONUtil.f3288a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, String str, Object obj2) {
            this.b.a(obj, str, obj2);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a(Object obj, String str) {
            return this.b.a(obj, str);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Type c(String str) {
            return this.c.get(str).f();
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            Accessor accessor = this.c.get(str);
            if (accessor != null) {
                return this.s.a(accessor.f());
            }
            throw new RuntimeException("Can not find Array '" + str + "' field in " + this.f3310a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            Accessor accessor = this.c.get(str);
            if (accessor != null) {
                return this.s.a(accessor.f());
            }
            throw new RuntimeException("Can not find Object '" + str + "' field in " + this.f3310a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object b() {
            return this.b.c();
        }
    }

    public static class BeanNoConv<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final Class<T> f3311a;
        final BeansAccess<T> b;
        final HashMap<String, Accessor> c;

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, String str, Object obj2) {
            this.b.a(obj, str, obj2);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a(Object obj, String str) {
            return this.b.a(obj, str);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Type c(String str) {
            return this.c.get(str).f();
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            Accessor accessor = this.c.get(str);
            if (accessor != null) {
                return this.s.a(accessor.f());
            }
            throw new RuntimeException("Can not set " + str + " field in " + this.f3311a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            Accessor accessor = this.c.get(str);
            if (accessor != null) {
                return this.s.a(accessor.f());
            }
            throw new RuntimeException("Can not set " + str + " field in " + this.f3311a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object b() {
            return this.b.c();
        }
    }
}
