package net.minidev.json.writer;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.List;
import java.util.Map;
import net.minidev.asm.BeansAccess;
import net.minidev.json.JSONArray;
import net.minidev.json.JSONObject;
import net.minidev.json.JSONUtil;

public class CollectionMapper {

    public static class MapType<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final ParameterizedType f3315a;
        final Class<?> b;
        final Class<?> c;
        final BeansAccess<?> d;
        final Type e;
        final Type f;
        final Class<?> g;
        final Class<?> h;
        JsonReaderI<?> i;

        public MapType(JsonReader jsonReader, ParameterizedType parameterizedType) {
            super(jsonReader);
            this.f3315a = parameterizedType;
            this.b = (Class) parameterizedType.getRawType();
            if (this.b.isInterface()) {
                this.c = JSONObject.class;
            } else {
                this.c = this.b;
            }
            this.d = BeansAccess.a(this.c, JSONUtil.f3288a);
            this.e = parameterizedType.getActualTypeArguments()[0];
            this.f = parameterizedType.getActualTypeArguments()[1];
            if (this.e instanceof Class) {
                this.g = (Class) this.e;
            } else {
                this.g = (Class) ((ParameterizedType) this.e).getRawType();
            }
            if (this.f instanceof Class) {
                this.h = (Class) this.f;
            } else {
                this.h = (Class) ((ParameterizedType) this.f).getRawType();
            }
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object b() {
            try {
                return this.c.newInstance();
            } catch (InstantiationException e2) {
                e2.printStackTrace();
                return null;
            } catch (IllegalAccessException e3) {
                e3.printStackTrace();
                return null;
            }
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            if (this.i == null) {
                this.i = this.s.a(this.f);
            }
            return this.i;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            if (this.i == null) {
                this.i = this.s.a(this.f);
            }
            return this.i;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, String str, Object obj2) {
            ((Map) obj).put(JSONUtil.a(str, this.g), JSONUtil.a(obj2, this.h));
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a(Object obj, String str) {
            return ((Map) obj).get(JSONUtil.a(str, this.g));
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Type c(String str) {
            return this.f3315a;
        }
    }

    public static class MapClass<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final Class<?> f3314a;
        final Class<?> b;
        final BeansAccess<?> c;

        public MapClass(JsonReader jsonReader, Class<?> cls) {
            super(jsonReader);
            this.f3314a = cls;
            if (cls.isInterface()) {
                this.b = JSONObject.class;
            } else {
                this.b = cls;
            }
            this.c = BeansAccess.a(this.b, JSONUtil.f3288a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object b() {
            return this.c.c();
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            return this.s.f3319a;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            return this.s.f3319a;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, String str, Object obj2) {
            ((Map) obj).put(str, obj2);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a(Object obj, String str) {
            return ((Map) obj).get(str);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Type c(String str) {
            return this.f3314a;
        }
    }

    public static class ListType<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final ParameterizedType f3313a;
        final Class<?> b;
        final Class<?> c;
        final BeansAccess<?> d;
        final Type e;
        final Class<?> f;
        JsonReaderI<?> g;

        public ListType(JsonReader jsonReader, ParameterizedType parameterizedType) {
            super(jsonReader);
            this.f3313a = parameterizedType;
            this.b = (Class) parameterizedType.getRawType();
            if (this.b.isInterface()) {
                this.c = JSONArray.class;
            } else {
                this.c = this.b;
            }
            this.d = BeansAccess.a(this.c, JSONUtil.f3288a);
            this.e = parameterizedType.getActualTypeArguments()[0];
            if (this.e instanceof Class) {
                this.f = (Class) this.e;
            } else {
                this.f = (Class) ((ParameterizedType) this.e).getRawType();
            }
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a() {
            return this.d.c();
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            if (this.g == null) {
                this.g = this.s.a(this.f3313a.getActualTypeArguments()[0]);
            }
            return this.g;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            if (this.g == null) {
                this.g = this.s.a(this.f3313a.getActualTypeArguments()[0]);
            }
            return this.g;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, Object obj2) {
            ((List) obj).add(JSONUtil.a(obj2, this.f));
        }
    }

    public static class ListClass<T> extends JsonReaderI<T> {

        /* renamed from: a  reason: collision with root package name */
        final Class<?> f3312a;
        final Class<?> b;
        final BeansAccess<?> c;

        public ListClass(JsonReader jsonReader, Class<?> cls) {
            super(jsonReader);
            this.f3312a = cls;
            if (cls.isInterface()) {
                this.b = JSONArray.class;
            } else {
                this.b = cls;
            }
            this.c = BeansAccess.a(this.b, JSONUtil.f3288a);
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public Object a() {
            return this.c.c();
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> a(String str) {
            return this.s.f3319a;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public JsonReaderI<?> b(String str) {
            return this.s.f3319a;
        }

        @Override // net.minidev.json.writer.JsonReaderI
        public void a(Object obj, Object obj2) {
            ((List) obj).add(obj2);
        }
    }
}
