package okio;

import com.facebook.stetho.dumpapp.Framer;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.sdk.WebView;
import java.io.Closeable;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.channels.ByteChannel;
import java.nio.charset.Charset;
import javax.annotation.Nullable;

public final class Buffer implements Cloneable, ByteChannel, BufferedSink, BufferedSource {
    private static final byte[] c = {48, Framer.STDOUT_FRAME_PREFIX, Framer.STDERR_FRAME_PREFIX, 51, 52, 53, 54, 55, 56, 57, 97, 98, 99, 100, 101, 102};
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    Segment f3326a;
    long b;

    @Override // okio.BufferedSource, okio.BufferedSink
    public Buffer b() {
        return this;
    }

    @Override // okio.Source, java.lang.AutoCloseable, okio.Sink, java.io.Closeable, java.nio.channels.Channel
    public void close() {
    }

    /* renamed from: d */
    public Buffer x() {
        return this;
    }

    @Override // okio.BufferedSink
    public BufferedSink e() {
        return this;
    }

    @Override // okio.Sink, okio.BufferedSink, java.io.Flushable
    public void flush() {
    }

    public boolean isOpen() {
        return true;
    }

    public long a() {
        return this.b;
    }

    @Override // okio.BufferedSink
    public OutputStream c() {
        return new OutputStream() {
            /* class okio.Buffer.AnonymousClass1 */

            @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
            public void close() {
            }

            @Override // java.io.OutputStream, java.io.Flushable
            public void flush() {
            }

            @Override // java.io.OutputStream
            public void write(int i) {
                Buffer.this.k((int) ((byte) i));
            }

            @Override // java.io.OutputStream
            public void write(byte[] bArr, int i, int i2) {
                Buffer.this.c(bArr, i, i2);
            }

            public String toString() {
                return Buffer.this + ".outputStream()";
            }
        };
    }

    @Override // okio.BufferedSource
    public boolean f() {
        return this.b == 0;
    }

    @Override // okio.BufferedSource
    public void a(long j) throws EOFException {
        if (this.b < j) {
            throw new EOFException();
        }
    }

    @Override // okio.BufferedSource
    public boolean b(long j) {
        return this.b >= j;
    }

    @Override // okio.BufferedSource
    public InputStream g() {
        return new InputStream() {
            /* class okio.Buffer.AnonymousClass2 */

            @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
            public void close() {
            }

            @Override // java.io.InputStream
            public int read() {
                if (Buffer.this.b > 0) {
                    return Buffer.this.i() & 255;
                }
                return -1;
            }

            @Override // java.io.InputStream
            public int read(byte[] bArr, int i, int i2) {
                return Buffer.this.a(bArr, i, i2);
            }

            @Override // java.io.InputStream
            public int available() {
                return (int) Math.min(Buffer.this.b, 2147483647L);
            }

            public String toString() {
                return Buffer.this + ".inputStream()";
            }
        };
    }

    public Buffer a(Buffer buffer, long j, long j2) {
        if (buffer != null) {
            Util.a(this.b, j, j2);
            if (j2 == 0) {
                return this;
            }
            buffer.b += j2;
            Segment segment = this.f3326a;
            while (j >= ((long) (segment.c - segment.b))) {
                j -= (long) (segment.c - segment.b);
                segment = segment.f;
            }
            while (j2 > 0) {
                Segment a2 = segment.a();
                a2.b = (int) (((long) a2.b) + j);
                a2.c = Math.min(a2.b + ((int) j2), a2.c);
                if (buffer.f3326a == null) {
                    a2.g = a2;
                    a2.f = a2;
                    buffer.f3326a = a2;
                } else {
                    buffer.f3326a.g.a(a2);
                }
                j2 -= (long) (a2.c - a2.b);
                segment = segment.f;
                j = 0;
            }
            return this;
        }
        throw new IllegalArgumentException("out == null");
    }

    public long h() {
        long j = this.b;
        if (j == 0) {
            return 0;
        }
        Segment segment = this.f3326a.g;
        return (segment.c >= 8192 || !segment.e) ? j : j - ((long) (segment.c - segment.b));
    }

    @Override // okio.BufferedSource
    public byte i() {
        if (this.b != 0) {
            Segment segment = this.f3326a;
            int i = segment.b;
            int i2 = segment.c;
            int i3 = i + 1;
            byte b2 = segment.f3350a[i];
            this.b--;
            if (i3 == i2) {
                this.f3326a = segment.c();
                SegmentPool.a(segment);
            } else {
                segment.b = i3;
            }
            return b2;
        }
        throw new IllegalStateException("size == 0");
    }

    public byte c(long j) {
        Util.a(this.b, j, 1);
        if (this.b - j > j) {
            Segment segment = this.f3326a;
            while (true) {
                long j2 = (long) (segment.c - segment.b);
                if (j < j2) {
                    return segment.f3350a[segment.b + ((int) j)];
                }
                j -= j2;
                segment = segment.f;
            }
        } else {
            long j3 = j - this.b;
            Segment segment2 = this.f3326a;
            do {
                segment2 = segment2.g;
                j3 += (long) (segment2.c - segment2.b);
            } while (j3 < 0);
            return segment2.f3350a[segment2.b + ((int) j3)];
        }
    }

    @Override // okio.BufferedSource
    public short j() {
        if (this.b >= 2) {
            Segment segment = this.f3326a;
            int i = segment.b;
            int i2 = segment.c;
            if (i2 - i < 2) {
                return (short) (((i() & 255) << 8) | (i() & 255));
            }
            byte[] bArr = segment.f3350a;
            int i3 = i + 1;
            int i4 = i3 + 1;
            int i5 = ((bArr[i] & 255) << 8) | (bArr[i3] & 255);
            this.b -= 2;
            if (i4 == i2) {
                this.f3326a = segment.c();
                SegmentPool.a(segment);
            } else {
                segment.b = i4;
            }
            return (short) i5;
        }
        throw new IllegalStateException("size < 2: " + this.b);
    }

    @Override // okio.BufferedSource
    public int k() {
        if (this.b >= 4) {
            Segment segment = this.f3326a;
            int i = segment.b;
            int i2 = segment.c;
            if (i2 - i < 4) {
                return ((i() & 255) << 24) | ((i() & 255) << 16) | ((i() & 255) << 8) | (i() & 255);
            }
            byte[] bArr = segment.f3350a;
            int i3 = i + 1;
            int i4 = i3 + 1;
            int i5 = ((bArr[i] & 255) << 24) | ((bArr[i3] & 255) << 16);
            int i6 = i4 + 1;
            int i7 = i5 | ((bArr[i4] & 255) << 8);
            int i8 = i6 + 1;
            int i9 = i7 | (bArr[i6] & 255);
            this.b -= 4;
            if (i8 == i2) {
                this.f3326a = segment.c();
                SegmentPool.a(segment);
            } else {
                segment.b = i8;
            }
            return i9;
        }
        throw new IllegalStateException("size < 4: " + this.b);
    }

    @Override // okio.BufferedSource
    public long l() {
        if (this.b >= 8) {
            Segment segment = this.f3326a;
            int i = segment.b;
            int i2 = segment.c;
            if (i2 - i < 8) {
                return ((((long) k()) & 4294967295L) << 32) | (4294967295L & ((long) k()));
            }
            byte[] bArr = segment.f3350a;
            int i3 = i + 1;
            int i4 = i3 + 1;
            int i5 = i4 + 1;
            int i6 = i5 + 1;
            int i7 = i6 + 1;
            int i8 = i7 + 1;
            int i9 = i8 + 1;
            int i10 = i9 + 1;
            long j = (((long) bArr[i9]) & 255) | ((((long) bArr[i]) & 255) << 56) | ((((long) bArr[i3]) & 255) << 48) | ((((long) bArr[i4]) & 255) << 40) | ((((long) bArr[i5]) & 255) << 32) | ((((long) bArr[i6]) & 255) << 24) | ((((long) bArr[i7]) & 255) << 16) | ((((long) bArr[i8]) & 255) << 8);
            this.b -= 8;
            if (i10 == i2) {
                this.f3326a = segment.c();
                SegmentPool.a(segment);
            } else {
                segment.b = i10;
            }
            return j;
        }
        throw new IllegalStateException("size < 8: " + this.b);
    }

    @Override // okio.BufferedSource
    public short m() {
        return Util.a(j());
    }

    @Override // okio.BufferedSource
    public int n() {
        return Util.a(k());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x004a, code lost:
        if (r5 != false) goto L_0x004f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x004c, code lost:
        r1.i();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0069, code lost:
        throw new java.lang.NumberFormatException("Number too large: " + r1.r());
     */
    @Override // okio.BufferedSource
    public long o() {
        long j = 0;
        if (this.b != 0) {
            int i = 0;
            long j2 = -7;
            boolean z = false;
            boolean z2 = false;
            loop0:
            do {
                Segment segment = this.f3326a;
                byte[] bArr = segment.f3350a;
                int i2 = segment.b;
                int i3 = segment.c;
                while (true) {
                    if (i2 >= i3) {
                        break;
                    }
                    byte b2 = bArr[i2];
                    if (b2 >= 48 && b2 <= 57) {
                        int i4 = 48 - b2;
                        int i5 = (j > -922337203685477580L ? 1 : (j == -922337203685477580L ? 0 : -1));
                        if (i5 < 0 || (i5 == 0 && ((long) i4) < j2)) {
                            Buffer b3 = new Buffer().n(j).k((int) b2);
                        } else {
                            j = (j * 10) + ((long) i4);
                        }
                    } else if (b2 == 45 && i == 0) {
                        j2--;
                        z = true;
                    } else if (i != 0) {
                        z2 = true;
                    } else {
                        throw new NumberFormatException("Expected leading [0-9] or '-' character but was 0x" + Integer.toHexString(b2));
                    }
                    i2++;
                    i++;
                }
                if (i2 == i3) {
                    this.f3326a = segment.c();
                    SegmentPool.a(segment);
                } else {
                    segment.b = i2;
                }
                if (z2) {
                    break;
                }
            } while (this.f3326a != null);
            this.b -= (long) i;
            return z ? j : -j;
        }
        throw new IllegalStateException("size == 0");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0092, code lost:
        if (r8 != r9) goto L_0x009e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0094, code lost:
        r14.f3326a = r6.c();
        okio.SegmentPool.a(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x009e, code lost:
        r6.b = r8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x00a0, code lost:
        if (r1 != false) goto L_0x00a6;
     */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0075  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0077 A[SYNTHETIC] */
    @Override // okio.BufferedSource
    public long p() {
        int i;
        if (this.b != 0) {
            int i2 = 0;
            long j = 0;
            boolean z = false;
            do {
                Segment segment = this.f3326a;
                byte[] bArr = segment.f3350a;
                int i3 = segment.b;
                int i4 = segment.c;
                while (true) {
                    if (i3 >= i4) {
                        break;
                    }
                    byte b2 = bArr[i3];
                    if (b2 >= 48 && b2 <= 57) {
                        i = b2 - 48;
                    } else if (b2 >= 97 && b2 <= 102) {
                        i = (b2 - 97) + 10;
                    } else if (b2 >= 65 && b2 <= 70) {
                        i = (b2 - 65) + 10;
                    } else if (i2 == 0) {
                        z = true;
                    } else {
                        throw new NumberFormatException("Expected leading [0-9a-fA-F] character but was 0x" + Integer.toHexString(b2));
                    }
                    if ((-1152921504606846976L & j) == 0) {
                        j = (j << 4) | ((long) i);
                        i3++;
                        i2++;
                    } else {
                        Buffer b3 = new Buffer().m(j).k((int) b2);
                        throw new NumberFormatException("Number too large: " + b3.r());
                    }
                }
                if (i2 == 0) {
                }
            } while (this.f3326a != null);
            this.b -= (long) i2;
            return j;
        }
        throw new IllegalStateException("size == 0");
    }

    public ByteString q() {
        return new ByteString(t());
    }

    @Override // okio.BufferedSource
    public ByteString d(long j) throws EOFException {
        return new ByteString(h(j));
    }

    @Override // okio.BufferedSource
    public void a(Buffer buffer, long j) throws EOFException {
        if (this.b >= j) {
            buffer.write(this, j);
        } else {
            buffer.write(this, this.b);
            throw new EOFException();
        }
    }

    @Override // okio.BufferedSource
    public long a(Sink sink) throws IOException {
        long j = this.b;
        if (j > 0) {
            sink.write(this, j);
        }
        return j;
    }

    @Override // okio.BufferedSource
    public String r() {
        try {
            return a(this.b, Util.f3352a);
        } catch (EOFException e) {
            throw new AssertionError(e);
        }
    }

    public String e(long j) throws EOFException {
        return a(j, Util.f3352a);
    }

    @Override // okio.BufferedSource
    public String a(Charset charset) {
        try {
            return a(this.b, charset);
        } catch (EOFException e) {
            throw new AssertionError(e);
        }
    }

    public String a(long j, Charset charset) throws EOFException {
        Util.a(this.b, 0, j);
        if (charset == null) {
            throw new IllegalArgumentException("charset == null");
        } else if (j > 2147483647L) {
            throw new IllegalArgumentException("byteCount > Integer.MAX_VALUE: " + j);
        } else if (j == 0) {
            return "";
        } else {
            Segment segment = this.f3326a;
            if (((long) segment.b) + j > ((long) segment.c)) {
                return new String(h(j), charset);
            }
            String str = new String(segment.f3350a, segment.b, (int) j, charset);
            segment.b = (int) (((long) segment.b) + j);
            this.b -= j;
            if (segment.b == segment.c) {
                this.f3326a = segment.c();
                SegmentPool.a(segment);
            }
            return str;
        }
    }

    @Override // okio.BufferedSource
    public String s() throws EOFException {
        return f(Long.MAX_VALUE);
    }

    @Override // okio.BufferedSource
    public String f(long j) throws EOFException {
        if (j >= 0) {
            long j2 = Long.MAX_VALUE;
            if (j != Long.MAX_VALUE) {
                j2 = j + 1;
            }
            long a2 = a((byte) 10, 0, j2);
            if (a2 != -1) {
                return g(a2);
            }
            if (j2 < a() && c(j2 - 1) == 13 && c(j2) == 10) {
                return g(j2);
            }
            Buffer buffer = new Buffer();
            a(buffer, 0, Math.min(32L, a()));
            throw new EOFException("\\n not found: limit=" + Math.min(a(), j) + " content=" + buffer.q().f() + (char) 8230);
        }
        throw new IllegalArgumentException("limit < 0: " + j);
    }

    /* access modifiers changed from: package-private */
    public String g(long j) throws EOFException {
        if (j > 0) {
            long j2 = j - 1;
            if (c(j2) == 13) {
                String e = e(j2);
                i(2L);
                return e;
            }
        }
        String e2 = e(j);
        i(1L);
        return e2;
    }

    @Override // okio.BufferedSource
    public byte[] t() {
        try {
            return h(this.b);
        } catch (EOFException e) {
            throw new AssertionError(e);
        }
    }

    @Override // okio.BufferedSource
    public byte[] h(long j) throws EOFException {
        Util.a(this.b, 0, j);
        if (j <= 2147483647L) {
            byte[] bArr = new byte[((int) j)];
            a(bArr);
            return bArr;
        }
        throw new IllegalArgumentException("byteCount > Integer.MAX_VALUE: " + j);
    }

    @Override // okio.BufferedSource
    public void a(byte[] bArr) throws EOFException {
        int i = 0;
        while (i < bArr.length) {
            int a2 = a(bArr, i, bArr.length - i);
            if (a2 != -1) {
                i += a2;
            } else {
                throw new EOFException();
            }
        }
    }

    public int a(byte[] bArr, int i, int i2) {
        Util.a((long) bArr.length, (long) i, (long) i2);
        Segment segment = this.f3326a;
        if (segment == null) {
            return -1;
        }
        int min = Math.min(i2, segment.c - segment.b);
        System.arraycopy(segment.f3350a, segment.b, bArr, i, min);
        segment.b += min;
        this.b -= (long) min;
        if (segment.b == segment.c) {
            this.f3326a = segment.c();
            SegmentPool.a(segment);
        }
        return min;
    }

    @Override // java.nio.channels.ReadableByteChannel
    public int read(ByteBuffer byteBuffer) throws IOException {
        Segment segment = this.f3326a;
        if (segment == null) {
            return -1;
        }
        int min = Math.min(byteBuffer.remaining(), segment.c - segment.b);
        byteBuffer.put(segment.f3350a, segment.b, min);
        segment.b += min;
        this.b -= (long) min;
        if (segment.b == segment.c) {
            this.f3326a = segment.c();
            SegmentPool.a(segment);
        }
        return min;
    }

    public void u() {
        try {
            i(this.b);
        } catch (EOFException e) {
            throw new AssertionError(e);
        }
    }

    @Override // okio.BufferedSource
    public void i(long j) throws EOFException {
        while (j > 0) {
            if (this.f3326a != null) {
                int min = (int) Math.min(j, (long) (this.f3326a.c - this.f3326a.b));
                long j2 = (long) min;
                this.b -= j2;
                j -= j2;
                this.f3326a.b += min;
                if (this.f3326a.b == this.f3326a.c) {
                    Segment segment = this.f3326a;
                    this.f3326a = segment.c();
                    SegmentPool.a(segment);
                }
            } else {
                throw new EOFException();
            }
        }
    }

    /* renamed from: a */
    public Buffer c(ByteString byteString) {
        if (byteString != null) {
            byteString.a(this);
            return this;
        }
        throw new IllegalArgumentException("byteString == null");
    }

    /* renamed from: a */
    public Buffer b(String str) {
        return a(str, 0, str.length());
    }

    public Buffer a(String str, int i, int i2) {
        char c2;
        if (str == null) {
            throw new IllegalArgumentException("string == null");
        } else if (i < 0) {
            throw new IllegalArgumentException("beginIndex < 0: " + i);
        } else if (i2 < i) {
            throw new IllegalArgumentException("endIndex < beginIndex: " + i2 + " < " + i);
        } else if (i2 <= str.length()) {
            while (i < i2) {
                char charAt = str.charAt(i);
                if (charAt < 128) {
                    Segment f = f(1);
                    byte[] bArr = f.f3350a;
                    int i3 = f.c - i;
                    int min = Math.min(i2, 8192 - i3);
                    int i4 = i + 1;
                    bArr[i + i3] = (byte) charAt;
                    while (i4 < min) {
                        char charAt2 = str.charAt(i4);
                        if (charAt2 >= 128) {
                            break;
                        }
                        bArr[i4 + i3] = (byte) charAt2;
                        i4++;
                    }
                    int i5 = (i3 + i4) - f.c;
                    f.c += i5;
                    this.b += (long) i5;
                    i = i4;
                } else if (charAt < 2048) {
                    k((charAt >> 6) | 192);
                    k((charAt & '?') | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                    i++;
                } else if (charAt < 55296 || charAt > 57343) {
                    k((charAt >> '\f') | TbsListener.ErrorCode.EXCEED_INCR_UPDATE);
                    k(((charAt >> 6) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                    k((charAt & '?') | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                    i++;
                } else {
                    int i6 = i + 1;
                    if (i6 < i2) {
                        c2 = str.charAt(i6);
                    } else {
                        c2 = 0;
                    }
                    if (charAt > 56319 || c2 < 56320 || c2 > 57343) {
                        k(63);
                        i = i6;
                    } else {
                        int i7 = (((charAt & 10239) << 10) | (9215 & c2)) + 65536;
                        k((i7 >> 18) | TbsListener.ErrorCode.TPATCH_VERSION_FAILED);
                        k(((i7 >> 12) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                        k(((i7 >> 6) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                        k((i7 & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                        i += 2;
                    }
                }
            }
            return this;
        } else {
            throw new IllegalArgumentException("endIndex > string.length: " + i2 + " > " + str.length());
        }
    }

    public Buffer a(int i) {
        if (i < 128) {
            k(i);
        } else if (i < 2048) {
            k((i >> 6) | 192);
            k((i & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        } else if (i < 65536) {
            if (i < 55296 || i > 57343) {
                k((i >> 12) | TbsListener.ErrorCode.EXCEED_INCR_UPDATE);
                k(((i >> 6) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
                k((i & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
            } else {
                k(63);
            }
        } else if (i <= 1114111) {
            k((i >> 18) | TbsListener.ErrorCode.TPATCH_VERSION_FAILED);
            k(((i >> 12) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
            k(((i >> 6) & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
            k((i & 63) | TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        } else {
            throw new IllegalArgumentException("Unexpected code point: " + Integer.toHexString(i));
        }
        return this;
    }

    public Buffer a(String str, Charset charset) {
        return a(str, 0, str.length(), charset);
    }

    public Buffer a(String str, int i, int i2, Charset charset) {
        if (str == null) {
            throw new IllegalArgumentException("string == null");
        } else if (i < 0) {
            throw new IllegalAccessError("beginIndex < 0: " + i);
        } else if (i2 < i) {
            throw new IllegalArgumentException("endIndex < beginIndex: " + i2 + " < " + i);
        } else if (i2 > str.length()) {
            throw new IllegalArgumentException("endIndex > string.length: " + i2 + " > " + str.length());
        } else if (charset == null) {
            throw new IllegalArgumentException("charset == null");
        } else if (charset.equals(Util.f3352a)) {
            return a(str, i, i2);
        } else {
            byte[] bytes = str.substring(i, i2).getBytes(charset);
            return c(bytes, 0, bytes.length);
        }
    }

    /* renamed from: b */
    public Buffer c(byte[] bArr) {
        if (bArr != null) {
            return c(bArr, 0, bArr.length);
        }
        throw new IllegalArgumentException("source == null");
    }

    /* renamed from: b */
    public Buffer c(byte[] bArr, int i, int i2) {
        if (bArr != null) {
            long j = (long) i2;
            Util.a((long) bArr.length, (long) i, j);
            int i3 = i2 + i;
            while (i < i3) {
                Segment f = f(1);
                int min = Math.min(i3 - i, 8192 - f.c);
                System.arraycopy(bArr, i, f.f3350a, f.c, min);
                i += min;
                f.c += min;
            }
            this.b += j;
            return this;
        }
        throw new IllegalArgumentException("source == null");
    }

    @Override // java.nio.channels.WritableByteChannel
    public int write(ByteBuffer byteBuffer) throws IOException {
        if (byteBuffer != null) {
            int remaining = byteBuffer.remaining();
            int i = remaining;
            while (i > 0) {
                Segment f = f(1);
                int min = Math.min(i, 8192 - f.c);
                byteBuffer.get(f.f3350a, f.c, min);
                i -= min;
                f.c += min;
            }
            this.b += (long) remaining;
            return remaining;
        }
        throw new IllegalArgumentException("source == null");
    }

    @Override // okio.BufferedSink
    public long a(Source source) throws IOException {
        if (source != null) {
            long j = 0;
            while (true) {
                long read = source.read(this, 8192);
                if (read == -1) {
                    return j;
                }
                j += read;
            }
        } else {
            throw new IllegalArgumentException("source == null");
        }
    }

    /* renamed from: b */
    public Buffer k(int i) {
        Segment f = f(1);
        byte[] bArr = f.f3350a;
        int i2 = f.c;
        f.c = i2 + 1;
        bArr[i2] = (byte) i;
        this.b++;
        return this;
    }

    /* renamed from: c */
    public Buffer j(int i) {
        Segment f = f(2);
        byte[] bArr = f.f3350a;
        int i2 = f.c;
        int i3 = i2 + 1;
        bArr[i2] = (byte) ((i >>> 8) & WebView.NORMAL_MODE_ALPHA);
        bArr[i3] = (byte) (i & WebView.NORMAL_MODE_ALPHA);
        f.c = i3 + 1;
        this.b += 2;
        return this;
    }

    /* renamed from: d */
    public Buffer i(int i) {
        Segment f = f(4);
        byte[] bArr = f.f3350a;
        int i2 = f.c;
        int i3 = i2 + 1;
        bArr[i2] = (byte) ((i >>> 24) & WebView.NORMAL_MODE_ALPHA);
        int i4 = i3 + 1;
        bArr[i3] = (byte) ((i >>> 16) & WebView.NORMAL_MODE_ALPHA);
        int i5 = i4 + 1;
        bArr[i4] = (byte) ((i >>> 8) & WebView.NORMAL_MODE_ALPHA);
        bArr[i5] = (byte) (i & WebView.NORMAL_MODE_ALPHA);
        f.c = i5 + 1;
        this.b += 4;
        return this;
    }

    /* renamed from: e */
    public Buffer h(int i) {
        return i(Util.a(i));
    }

    public Buffer j(long j) {
        Segment f = f(8);
        byte[] bArr = f.f3350a;
        int i = f.c;
        int i2 = i + 1;
        bArr[i] = (byte) ((int) ((j >>> 56) & 255));
        int i3 = i2 + 1;
        bArr[i2] = (byte) ((int) ((j >>> 48) & 255));
        int i4 = i3 + 1;
        bArr[i3] = (byte) ((int) ((j >>> 40) & 255));
        int i5 = i4 + 1;
        bArr[i4] = (byte) ((int) ((j >>> 32) & 255));
        int i6 = i5 + 1;
        bArr[i5] = (byte) ((int) ((j >>> 24) & 255));
        int i7 = i6 + 1;
        bArr[i6] = (byte) ((int) ((j >>> 16) & 255));
        int i8 = i7 + 1;
        bArr[i7] = (byte) ((int) ((j >>> 8) & 255));
        bArr[i8] = (byte) ((int) (j & 255));
        f.c = i8 + 1;
        this.b += 8;
        return this;
    }

    /* renamed from: k */
    public Buffer n(long j) {
        int i = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i == 0) {
            return k(48);
        }
        boolean z = false;
        int i2 = 1;
        if (i < 0) {
            j = -j;
            if (j < 0) {
                return b("-9223372036854775808");
            }
            z = true;
        }
        if (j >= 100000000) {
            i2 = j < 1000000000000L ? j < 10000000000L ? j < 1000000000 ? 9 : 10 : j < 100000000000L ? 11 : 12 : j < 1000000000000000L ? j < 10000000000000L ? 13 : j < 100000000000000L ? 14 : 15 : j < 100000000000000000L ? j < 10000000000000000L ? 16 : 17 : j < 1000000000000000000L ? 18 : 19;
        } else if (j >= 10000) {
            i2 = j < 1000000 ? j < 100000 ? 5 : 6 : j < 10000000 ? 7 : 8;
        } else if (j >= 100) {
            i2 = j < 1000 ? 3 : 4;
        } else if (j >= 10) {
            i2 = 2;
        }
        if (z) {
            i2++;
        }
        Segment f = f(i2);
        byte[] bArr = f.f3350a;
        int i3 = f.c + i2;
        while (j != 0) {
            i3--;
            bArr[i3] = c[(int) (j % 10)];
            j /= 10;
        }
        if (z) {
            bArr[i3 - 1] = Framer.STDIN_FRAME_PREFIX;
        }
        f.c += i2;
        this.b += (long) i2;
        return this;
    }

    /* renamed from: l */
    public Buffer m(long j) {
        if (j == 0) {
            return k(48);
        }
        int numberOfTrailingZeros = (Long.numberOfTrailingZeros(Long.highestOneBit(j)) / 4) + 1;
        Segment f = f(numberOfTrailingZeros);
        byte[] bArr = f.f3350a;
        int i = f.c;
        for (int i2 = (f.c + numberOfTrailingZeros) - 1; i2 >= i; i2--) {
            bArr[i2] = c[(int) (15 & j)];
            j >>>= 4;
        }
        f.c += numberOfTrailingZeros;
        this.b += (long) numberOfTrailingZeros;
        return this;
    }

    /* access modifiers changed from: package-private */
    public Segment f(int i) {
        if (i < 1 || i > 8192) {
            throw new IllegalArgumentException();
        } else if (this.f3326a == null) {
            this.f3326a = SegmentPool.a();
            Segment segment = this.f3326a;
            Segment segment2 = this.f3326a;
            Segment segment3 = this.f3326a;
            segment2.g = segment3;
            segment.f = segment3;
            return segment3;
        } else {
            Segment segment4 = this.f3326a.g;
            return (segment4.c + i > 8192 || !segment4.e) ? segment4.a(SegmentPool.a()) : segment4;
        }
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j) {
        int i;
        if (buffer == null) {
            throw new IllegalArgumentException("source == null");
        } else if (buffer != this) {
            Util.a(buffer.b, 0, j);
            while (j > 0) {
                if (j < ((long) (buffer.f3326a.c - buffer.f3326a.b))) {
                    Segment segment = this.f3326a != null ? this.f3326a.g : null;
                    if (segment != null && segment.e) {
                        long j2 = ((long) segment.c) + j;
                        if (segment.d) {
                            i = 0;
                        } else {
                            i = segment.b;
                        }
                        if (j2 - ((long) i) <= 8192) {
                            buffer.f3326a.a(segment, (int) j);
                            buffer.b -= j;
                            this.b += j;
                            return;
                        }
                    }
                    buffer.f3326a = buffer.f3326a.a((int) j);
                }
                Segment segment2 = buffer.f3326a;
                long j3 = (long) (segment2.c - segment2.b);
                buffer.f3326a = segment2.c();
                if (this.f3326a == null) {
                    this.f3326a = segment2;
                    Segment segment3 = this.f3326a;
                    Segment segment4 = this.f3326a;
                    Segment segment5 = this.f3326a;
                    segment4.g = segment5;
                    segment3.f = segment5;
                } else {
                    this.f3326a.g.a(segment2).d();
                }
                buffer.b -= j3;
                this.b += j3;
                j -= j3;
            }
        } else {
            throw new IllegalArgumentException("source == this");
        }
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j) {
        if (buffer == null) {
            throw new IllegalArgumentException("sink == null");
        } else if (j < 0) {
            throw new IllegalArgumentException("byteCount < 0: " + j);
        } else if (this.b == 0) {
            return -1;
        } else {
            if (j > this.b) {
                j = this.b;
            }
            buffer.write(this, j);
            return j;
        }
    }

    @Override // okio.BufferedSource
    public long a(byte b2) {
        return a(b2, 0, Long.MAX_VALUE);
    }

    public long a(byte b2, long j, long j2) {
        Segment segment;
        long j3 = 0;
        if (j < 0 || j2 < j) {
            throw new IllegalArgumentException(String.format("size=%s fromIndex=%s toIndex=%s", Long.valueOf(this.b), Long.valueOf(j), Long.valueOf(j2)));
        }
        if (j2 > this.b) {
            j2 = this.b;
        }
        if (j == j2 || (segment = this.f3326a) == null) {
            return -1;
        }
        if (this.b - j >= j) {
            while (true) {
                long j4 = ((long) (segment.c - segment.b)) + j3;
                if (j4 >= j) {
                    break;
                }
                segment = segment.f;
                j3 = j4;
            }
        } else {
            j3 = this.b;
            while (j3 > j) {
                segment = segment.g;
                j3 -= (long) (segment.c - segment.b);
            }
        }
        while (j3 < j2) {
            byte[] bArr = segment.f3350a;
            int min = (int) Math.min((long) segment.c, (((long) segment.b) + j2) - j3);
            for (int i = (int) ((((long) segment.b) + j) - j3); i < min; i++) {
                if (bArr[i] == b2) {
                    return ((long) (i - segment.b)) + j3;
                }
            }
            j = ((long) (segment.c - segment.b)) + j3;
            segment = segment.f;
            j3 = j;
        }
        return -1;
    }

    public long b(ByteString byteString) throws IOException {
        return a(byteString, 0);
    }

    public long a(ByteString byteString, long j) throws IOException {
        byte[] bArr;
        Segment segment;
        if (byteString.h() != 0) {
            long j2 = 0;
            if (j >= 0) {
                Segment segment2 = this.f3326a;
                long j3 = -1;
                if (segment2 == null) {
                    return -1;
                }
                if (this.b - j >= j) {
                    while (true) {
                        long j4 = ((long) (segment2.c - segment2.b)) + j2;
                        if (j4 >= j) {
                            break;
                        }
                        segment2 = segment2.f;
                        j2 = j4;
                    }
                } else {
                    j2 = this.b;
                    while (j2 > j) {
                        segment2 = segment2.g;
                        j2 -= (long) (segment2.c - segment2.b);
                    }
                }
                byte a2 = byteString.a(0);
                int h = byteString.h();
                long j5 = (this.b - ((long) h)) + 1;
                long j6 = j;
                long j7 = j2;
                Segment segment3 = segment2;
                while (j7 < j5) {
                    byte[] bArr2 = segment3.f3350a;
                    int min = (int) Math.min((long) segment3.c, (((long) segment3.b) + j5) - j7);
                    int i = (int) ((((long) segment3.b) + j6) - j7);
                    while (i < min) {
                        if (bArr2[i] == a2) {
                            bArr = bArr2;
                            segment = segment3;
                            if (a(segment3, i + 1, byteString, 1, h)) {
                                return ((long) (i - segment.b)) + j7;
                            }
                        } else {
                            bArr = bArr2;
                            segment = segment3;
                        }
                        i++;
                        segment3 = segment;
                        bArr2 = bArr;
                    }
                    j6 = ((long) (segment3.c - segment3.b)) + j7;
                    segment3 = segment3.f;
                    j7 = j6;
                    j3 = -1;
                }
                return j3;
            }
            throw new IllegalArgumentException("fromIndex < 0");
        }
        throw new IllegalArgumentException("bytes is empty");
    }

    @Override // okio.BufferedSource
    public boolean a(long j, ByteString byteString) {
        return a(j, byteString, 0, byteString.h());
    }

    public boolean a(long j, ByteString byteString, int i, int i2) {
        if (j < 0 || i < 0 || i2 < 0 || this.b - j < ((long) i2) || byteString.h() - i < i2) {
            return false;
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (c(((long) i3) + j) != byteString.a(i + i3)) {
                return false;
            }
        }
        return true;
    }

    private boolean a(Segment segment, int i, ByteString byteString, int i2, int i3) {
        int i4 = segment.c;
        byte[] bArr = segment.f3350a;
        while (i2 < i3) {
            if (i == i4) {
                segment = segment.f;
                byte[] bArr2 = segment.f3350a;
                bArr = bArr2;
                i = segment.b;
                i4 = segment.c;
            }
            if (bArr[i] != byteString.a(i2)) {
                return false;
            }
            i++;
            i2++;
        }
        return true;
    }

    @Override // okio.Source, okio.Sink
    public Timeout timeout() {
        return Timeout.NONE;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof Buffer)) {
            return false;
        }
        Buffer buffer = (Buffer) obj;
        if (this.b != buffer.b) {
            return false;
        }
        long j = 0;
        if (this.b == 0) {
            return true;
        }
        Segment segment = this.f3326a;
        Segment segment2 = buffer.f3326a;
        int i = segment.b;
        int i2 = segment2.b;
        while (j < this.b) {
            long min = (long) Math.min(segment.c - i, segment2.c - i2);
            int i3 = i2;
            int i4 = i;
            int i5 = 0;
            while (((long) i5) < min) {
                int i6 = i4 + 1;
                int i7 = i3 + 1;
                if (segment.f3350a[i4] != segment2.f3350a[i3]) {
                    return false;
                }
                i5++;
                i4 = i6;
                i3 = i7;
            }
            if (i4 == segment.c) {
                segment = segment.f;
                i = segment.b;
            } else {
                i = i4;
            }
            if (i3 == segment2.c) {
                segment2 = segment2.f;
                i2 = segment2.b;
            } else {
                i2 = i3;
            }
            j += min;
        }
        return true;
    }

    public int hashCode() {
        Segment segment = this.f3326a;
        if (segment == null) {
            return 0;
        }
        int i = 1;
        do {
            int i2 = segment.c;
            for (int i3 = segment.b; i3 < i2; i3++) {
                i = (i * 31) + segment.f3350a[i3];
            }
            segment = segment.f;
        } while (segment != this.f3326a);
        return i;
    }

    public String toString() {
        return w().toString();
    }

    /* renamed from: v */
    public Buffer clone() {
        Buffer buffer = new Buffer();
        if (this.b == 0) {
            return buffer;
        }
        buffer.f3326a = this.f3326a.a();
        Segment segment = buffer.f3326a;
        Segment segment2 = buffer.f3326a;
        Segment segment3 = buffer.f3326a;
        segment2.g = segment3;
        segment.f = segment3;
        Segment segment4 = this.f3326a;
        while (true) {
            segment4 = segment4.f;
            if (segment4 != this.f3326a) {
                buffer.f3326a.g.a(segment4.a());
            } else {
                buffer.b = this.b;
                return buffer;
            }
        }
    }

    public ByteString w() {
        if (this.b <= 2147483647L) {
            return g((int) this.b);
        }
        throw new IllegalArgumentException("size > Integer.MAX_VALUE: " + this.b);
    }

    public ByteString g(int i) {
        if (i == 0) {
            return ByteString.b;
        }
        return new SegmentedByteString(this, i);
    }

    public UnsafeCursor a(UnsafeCursor unsafeCursor) {
        if (unsafeCursor.f3329a == null) {
            unsafeCursor.f3329a = this;
            unsafeCursor.b = true;
            return unsafeCursor;
        }
        throw new IllegalStateException("already attached to a buffer");
    }

    public static final class UnsafeCursor implements Closeable {

        /* renamed from: a  reason: collision with root package name */
        public Buffer f3329a;
        public boolean b;
        public long c = -1;
        public byte[] d;
        public int e = -1;
        public int f = -1;
        private Segment g;

        public int a() {
            if (this.c == this.f3329a.b) {
                throw new IllegalStateException();
            } else if (this.c == -1) {
                return a(0);
            } else {
                return a(this.c + ((long) (this.f - this.e)));
            }
        }

        public int a(long j) {
            int i = (j > -1 ? 1 : (j == -1 ? 0 : -1));
            if (i < 0 || j > this.f3329a.b) {
                throw new ArrayIndexOutOfBoundsException(String.format("offset=%s > size=%s", Long.valueOf(j), Long.valueOf(this.f3329a.b)));
            } else if (i == 0 || j == this.f3329a.b) {
                this.g = null;
                this.c = j;
                this.d = null;
                this.e = -1;
                this.f = -1;
                return -1;
            } else {
                long j2 = 0;
                long j3 = this.f3329a.b;
                Segment segment = this.f3329a.f3326a;
                Segment segment2 = this.f3329a.f3326a;
                if (this.g != null) {
                    long j4 = this.c - ((long) (this.e - this.g.b));
                    if (j4 > j) {
                        segment2 = this.g;
                        j3 = j4;
                    } else {
                        segment = this.g;
                        j2 = j4;
                    }
                }
                if (j3 - j > j - j2) {
                    while (j >= ((long) (segment.c - segment.b)) + j2) {
                        j2 += (long) (segment.c - segment.b);
                        segment = segment.f;
                    }
                } else {
                    j2 = j3;
                    segment = segment2;
                    while (j2 > j) {
                        segment = segment.g;
                        j2 -= (long) (segment.c - segment.b);
                    }
                }
                if (this.b && segment.d) {
                    Segment b2 = segment.b();
                    if (this.f3329a.f3326a == segment) {
                        this.f3329a.f3326a = b2;
                    }
                    segment = segment.a(b2);
                    segment.g.c();
                }
                this.g = segment;
                this.c = j;
                this.d = segment.f3350a;
                this.e = segment.b + ((int) (j - j2));
                this.f = segment.c;
                return this.f - this.e;
            }
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            if (this.f3329a != null) {
                this.f3329a = null;
                this.g = null;
                this.c = -1;
                this.d = null;
                this.e = -1;
                this.f = -1;
                return;
            }
            throw new IllegalStateException("not attached to a buffer");
        }
    }
}
