package okio;

import java.io.EOFException;
import java.io.IOException;
import java.util.zip.CRC32;
import java.util.zip.Inflater;

public final class GzipSource implements Source {

    /* renamed from: a  reason: collision with root package name */
    private int f3334a = 0;
    private final BufferedSource b;
    private final Inflater c;
    private final InflaterSource d;
    private final CRC32 e = new CRC32();

    public GzipSource(Source source) {
        if (source != null) {
            this.c = new Inflater(true);
            this.b = Okio.a(source);
            this.d = new InflaterSource(this.b, this.c);
            return;
        }
        throw new IllegalArgumentException("source == null");
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j) throws IOException {
        int i = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i < 0) {
            throw new IllegalArgumentException("byteCount < 0: " + j);
        } else if (i == 0) {
            return 0;
        } else {
            if (this.f3334a == 0) {
                a();
                this.f3334a = 1;
            }
            if (this.f3334a == 1) {
                long j2 = buffer.b;
                long read = this.d.read(buffer, j);
                if (read != -1) {
                    a(buffer, j2, read);
                    return read;
                }
                this.f3334a = 2;
            }
            if (this.f3334a == 2) {
                b();
                this.f3334a = 3;
                if (!this.b.f()) {
                    throw new IOException("gzip finished without exhausting source");
                }
            }
            return -1;
        }
    }

    private void a() throws IOException {
        this.b.a(10);
        byte c2 = this.b.b().c(3L);
        boolean z = ((c2 >> 1) & 1) == 1;
        if (z) {
            a(this.b.b(), 0, 10);
        }
        a("ID1ID2", 8075, this.b.j());
        this.b.i(8);
        if (((c2 >> 2) & 1) == 1) {
            this.b.a(2);
            if (z) {
                a(this.b.b(), 0, 2);
            }
            long m = (long) this.b.b().m();
            this.b.a(m);
            if (z) {
                a(this.b.b(), 0, m);
            }
            this.b.i(m);
        }
        if (((c2 >> 3) & 1) == 1) {
            long a2 = this.b.a((byte) 0);
            if (a2 != -1) {
                if (z) {
                    a(this.b.b(), 0, a2 + 1);
                }
                this.b.i(a2 + 1);
            } else {
                throw new EOFException();
            }
        }
        if (((c2 >> 4) & 1) == 1) {
            long a3 = this.b.a((byte) 0);
            if (a3 != -1) {
                if (z) {
                    a(this.b.b(), 0, a3 + 1);
                }
                this.b.i(a3 + 1);
            } else {
                throw new EOFException();
            }
        }
        if (z) {
            a("FHCRC", this.b.m(), (short) ((int) this.e.getValue()));
            this.e.reset();
        }
    }

    private void b() throws IOException {
        a("CRC", this.b.n(), (int) this.e.getValue());
        a("ISIZE", this.b.n(), (int) this.c.getBytesWritten());
    }

    @Override // okio.Source
    public Timeout timeout() {
        return this.b.timeout();
    }

    @Override // okio.Source, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        this.d.close();
    }

    private void a(Buffer buffer, long j, long j2) {
        Segment segment = buffer.f3326a;
        while (j >= ((long) (segment.c - segment.b))) {
            j -= (long) (segment.c - segment.b);
            segment = segment.f;
        }
        while (j2 > 0) {
            int i = (int) (((long) segment.b) + j);
            int min = (int) Math.min((long) (segment.c - i), j2);
            this.e.update(segment.f3350a, i, min);
            j2 -= (long) min;
            segment = segment.f;
            j = 0;
        }
    }

    private void a(String str, int i, int i2) throws IOException {
        if (i2 != i) {
            throw new IOException(String.format("%s: actual 0x%08x != expected 0x%08x", str, Integer.valueOf(i2), Integer.valueOf(i)));
        }
    }
}
