package okio;

import java.io.EOFException;
import java.io.IOException;
import java.util.zip.DataFormatException;
import java.util.zip.Inflater;

public final class InflaterSource implements Source {

    /* renamed from: a  reason: collision with root package name */
    private final BufferedSource f3337a;
    private final Inflater b;
    private int c;
    private boolean d;

    InflaterSource(BufferedSource bufferedSource, Inflater inflater) {
        if (bufferedSource == null) {
            throw new IllegalArgumentException("source == null");
        } else if (inflater != null) {
            this.f3337a = bufferedSource;
            this.b = inflater;
        } else {
            throw new IllegalArgumentException("inflater == null");
        }
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j) throws IOException {
        Segment f;
        int i = (j > 0 ? 1 : (j == 0 ? 0 : -1));
        if (i < 0) {
            throw new IllegalArgumentException("byteCount < 0: " + j);
        } else if (this.d) {
            throw new IllegalStateException("closed");
        } else if (i == 0) {
            return 0;
        } else {
            while (true) {
                boolean a2 = a();
                try {
                    f = buffer.f(1);
                    int inflate = this.b.inflate(f.f3350a, f.c, (int) Math.min(j, (long) (8192 - f.c)));
                    if (inflate > 0) {
                        f.c += inflate;
                        long j2 = (long) inflate;
                        buffer.b += j2;
                        return j2;
                    } else if (this.b.finished()) {
                        break;
                    } else if (this.b.needsDictionary()) {
                        break;
                    } else if (a2) {
                        throw new EOFException("source exhausted prematurely");
                    }
                } catch (DataFormatException e) {
                    throw new IOException(e);
                }
            }
            b();
            if (f.b != f.c) {
                return -1;
            }
            buffer.f3326a = f.c();
            SegmentPool.a(f);
            return -1;
        }
    }

    public boolean a() throws IOException {
        if (!this.b.needsInput()) {
            return false;
        }
        b();
        if (this.b.getRemaining() != 0) {
            throw new IllegalStateException("?");
        } else if (this.f3337a.f()) {
            return true;
        } else {
            Segment segment = this.f3337a.b().f3326a;
            this.c = segment.c - segment.b;
            this.b.setInput(segment.f3350a, segment.b, this.c);
            return false;
        }
    }

    private void b() throws IOException {
        if (this.c != 0) {
            int remaining = this.c - this.b.getRemaining();
            this.c -= remaining;
            this.f3337a.i((long) remaining);
        }
    }

    @Override // okio.Source
    public Timeout timeout() {
        return this.f3337a.timeout();
    }

    @Override // okio.Source, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        if (!this.d) {
            this.b.end();
            this.d = true;
            this.f3337a.close();
        }
    }
}
