package okio;

import java.io.IOException;

public final class Pipe {

    /* renamed from: a  reason: collision with root package name */
    final long f3343a;
    final Buffer b = new Buffer();
    boolean c;
    boolean d;
    private final Sink e = new PipeSink();
    private final Source f = new PipeSource();

    public Pipe(long j) {
        if (j >= 1) {
            this.f3343a = j;
            return;
        }
        throw new IllegalArgumentException("maxBufferSize < 1: " + j);
    }

    public Source a() {
        return this.f;
    }

    public Sink b() {
        return this.e;
    }

    final class PipeSink implements Sink {

        /* renamed from: a  reason: collision with root package name */
        final Timeout f3344a = new Timeout();

        PipeSink() {
        }

        @Override // okio.Sink
        public void write(Buffer buffer, long j) throws IOException {
            synchronized (Pipe.this.b) {
                if (!Pipe.this.c) {
                    while (j > 0) {
                        if (!Pipe.this.d) {
                            long a2 = Pipe.this.f3343a - Pipe.this.b.a();
                            if (a2 == 0) {
                                this.f3344a.waitUntilNotified(Pipe.this.b);
                            } else {
                                long min = Math.min(a2, j);
                                Pipe.this.b.write(buffer, min);
                                j -= min;
                                Pipe.this.b.notifyAll();
                            }
                        } else {
                            throw new IOException("source is closed");
                        }
                    }
                } else {
                    throw new IllegalStateException("closed");
                }
            }
        }

        @Override // okio.Sink, java.io.Flushable
        public void flush() throws IOException {
            synchronized (Pipe.this.b) {
                if (Pipe.this.c) {
                    throw new IllegalStateException("closed");
                } else if (Pipe.this.d) {
                    if (Pipe.this.b.a() > 0) {
                        throw new IOException("source is closed");
                    }
                }
            }
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable, okio.Sink
        public void close() throws IOException {
            synchronized (Pipe.this.b) {
                if (!Pipe.this.c) {
                    if (Pipe.this.d) {
                        if (Pipe.this.b.a() > 0) {
                            throw new IOException("source is closed");
                        }
                    }
                    Pipe.this.c = true;
                    Pipe.this.b.notifyAll();
                }
            }
        }

        @Override // okio.Sink
        public Timeout timeout() {
            return this.f3344a;
        }
    }

    final class PipeSource implements Source {

        /* renamed from: a  reason: collision with root package name */
        final Timeout f3345a = new Timeout();

        PipeSource() {
        }

        @Override // okio.Source
        public long read(Buffer buffer, long j) throws IOException {
            synchronized (Pipe.this.b) {
                if (!Pipe.this.d) {
                    while (Pipe.this.b.a() == 0) {
                        if (Pipe.this.c) {
                            return -1;
                        }
                        this.f3345a.waitUntilNotified(Pipe.this.b);
                    }
                    long read = Pipe.this.b.read(buffer, j);
                    Pipe.this.b.notifyAll();
                    return read;
                }
                throw new IllegalStateException("closed");
            }
        }

        @Override // okio.Source, java.io.Closeable, java.lang.AutoCloseable
        public void close() throws IOException {
            synchronized (Pipe.this.b) {
                Pipe.this.d = true;
                Pipe.this.b.notifyAll();
            }
        }

        @Override // okio.Source
        public Timeout timeout() {
            return this.f3345a;
        }
    }
}
