package okio;

import java.io.IOException;
import java.io.OutputStream;
import java.nio.ByteBuffer;

/* access modifiers changed from: package-private */
public final class RealBufferedSink implements BufferedSink {

    /* renamed from: a  reason: collision with root package name */
    public final Buffer f3346a = new Buffer();
    public final Sink b;
    boolean c;

    RealBufferedSink(Sink sink) {
        if (sink != null) {
            this.b = sink;
            return;
        }
        throw new NullPointerException("sink == null");
    }

    @Override // okio.BufferedSink
    public Buffer b() {
        return this.f3346a;
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j) throws IOException {
        if (!this.c) {
            this.f3346a.write(buffer, j);
            x();
            return;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink c(ByteString byteString) throws IOException {
        if (!this.c) {
            this.f3346a.c(byteString);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink b(String str) throws IOException {
        if (!this.c) {
            this.f3346a.b(str);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink c(byte[] bArr) throws IOException {
        if (!this.c) {
            this.f3346a.c(bArr);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink c(byte[] bArr, int i, int i2) throws IOException {
        if (!this.c) {
            this.f3346a.c(bArr, i, i2);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // java.nio.channels.WritableByteChannel
    public int write(ByteBuffer byteBuffer) throws IOException {
        if (!this.c) {
            int write = this.f3346a.write(byteBuffer);
            x();
            return write;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public long a(Source source) throws IOException {
        if (source != null) {
            long j = 0;
            while (true) {
                long read = source.read(this.f3346a, 8192);
                if (read == -1) {
                    return j;
                }
                j += read;
                x();
            }
        } else {
            throw new IllegalArgumentException("source == null");
        }
    }

    @Override // okio.BufferedSink
    public BufferedSink k(int i) throws IOException {
        if (!this.c) {
            this.f3346a.k(i);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink j(int i) throws IOException {
        if (!this.c) {
            this.f3346a.j(i);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink i(int i) throws IOException {
        if (!this.c) {
            this.f3346a.i(i);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink h(int i) throws IOException {
        if (!this.c) {
            this.f3346a.h(i);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink n(long j) throws IOException {
        if (!this.c) {
            this.f3346a.n(j);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink m(long j) throws IOException {
        if (!this.c) {
            this.f3346a.m(j);
            return x();
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink x() throws IOException {
        if (!this.c) {
            long h = this.f3346a.h();
            if (h > 0) {
                this.b.write(this.f3346a, h);
            }
            return this;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public BufferedSink e() throws IOException {
        if (!this.c) {
            long a2 = this.f3346a.a();
            if (a2 > 0) {
                this.b.write(this.f3346a, a2);
            }
            return this;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSink
    public OutputStream c() {
        return new OutputStream() {
            /* class okio.RealBufferedSink.AnonymousClass1 */

            @Override // java.io.OutputStream
            public void write(int i) throws IOException {
                if (!RealBufferedSink.this.c) {
                    RealBufferedSink.this.f3346a.k((int) ((byte) i));
                    RealBufferedSink.this.x();
                    return;
                }
                throw new IOException("closed");
            }

            @Override // java.io.OutputStream
            public void write(byte[] bArr, int i, int i2) throws IOException {
                if (!RealBufferedSink.this.c) {
                    RealBufferedSink.this.f3346a.c(bArr, i, i2);
                    RealBufferedSink.this.x();
                    return;
                }
                throw new IOException("closed");
            }

            @Override // java.io.OutputStream, java.io.Flushable
            public void flush() throws IOException {
                if (!RealBufferedSink.this.c) {
                    RealBufferedSink.this.flush();
                }
            }

            @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
            public void close() throws IOException {
                RealBufferedSink.this.close();
            }

            public String toString() {
                return RealBufferedSink.this + ".outputStream()";
            }
        };
    }

    @Override // okio.BufferedSink, okio.Sink, java.io.Flushable
    public void flush() throws IOException {
        if (!this.c) {
            if (this.f3346a.b > 0) {
                this.b.write(this.f3346a, this.f3346a.b);
            }
            this.b.flush();
            return;
        }
        throw new IllegalStateException("closed");
    }

    public boolean isOpen() {
        return !this.c;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, okio.Sink, java.nio.channels.Channel
    public void close() throws IOException {
        if (!this.c) {
            Throwable th = null;
            try {
                if (this.f3346a.b > 0) {
                    this.b.write(this.f3346a, this.f3346a.b);
                }
            } catch (Throwable th2) {
                th = th2;
            }
            try {
                this.b.close();
            } catch (Throwable th3) {
                if (th == null) {
                    th = th3;
                }
            }
            this.c = true;
            if (th != null) {
                Util.a(th);
            }
        }
    }

    @Override // okio.Sink
    public Timeout timeout() {
        return this.b.timeout();
    }

    public String toString() {
        return "buffer(" + this.b + ")";
    }
}
