package okio;

import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;

/* access modifiers changed from: package-private */
public final class RealBufferedSource implements BufferedSource {

    /* renamed from: a  reason: collision with root package name */
    public final Buffer f3348a = new Buffer();
    public final Source b;
    boolean c;

    RealBufferedSource(Source source) {
        if (source != null) {
            this.b = source;
            return;
        }
        throw new NullPointerException("source == null");
    }

    @Override // okio.BufferedSource
    public Buffer b() {
        return this.f3348a;
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j) throws IOException {
        if (buffer == null) {
            throw new IllegalArgumentException("sink == null");
        } else if (j < 0) {
            throw new IllegalArgumentException("byteCount < 0: " + j);
        } else if (this.c) {
            throw new IllegalStateException("closed");
        } else if (this.f3348a.b == 0 && this.b.read(this.f3348a, 8192) == -1) {
            return -1;
        } else {
            return this.f3348a.read(buffer, Math.min(j, this.f3348a.b));
        }
    }

    @Override // okio.BufferedSource
    public boolean f() throws IOException {
        if (!this.c) {
            return this.f3348a.f() && this.b.read(this.f3348a, 8192) == -1;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSource
    public void a(long j) throws IOException {
        if (!b(j)) {
            throw new EOFException();
        }
    }

    @Override // okio.BufferedSource
    public boolean b(long j) throws IOException {
        if (j < 0) {
            throw new IllegalArgumentException("byteCount < 0: " + j);
        } else if (!this.c) {
            while (this.f3348a.b < j) {
                if (this.b.read(this.f3348a, 8192) == -1) {
                    return false;
                }
            }
            return true;
        } else {
            throw new IllegalStateException("closed");
        }
    }

    @Override // okio.BufferedSource
    public byte i() throws IOException {
        a(1);
        return this.f3348a.i();
    }

    @Override // okio.BufferedSource
    public ByteString d(long j) throws IOException {
        a(j);
        return this.f3348a.d(j);
    }

    @Override // okio.BufferedSource
    public byte[] t() throws IOException {
        this.f3348a.a(this.b);
        return this.f3348a.t();
    }

    @Override // okio.BufferedSource
    public byte[] h(long j) throws IOException {
        a(j);
        return this.f3348a.h(j);
    }

    @Override // okio.BufferedSource
    public void a(byte[] bArr) throws IOException {
        try {
            a((long) bArr.length);
            this.f3348a.a(bArr);
        } catch (EOFException e) {
            int i = 0;
            while (this.f3348a.b > 0) {
                int a2 = this.f3348a.a(bArr, i, (int) this.f3348a.b);
                if (a2 != -1) {
                    i += a2;
                } else {
                    throw new AssertionError();
                }
            }
            throw e;
        }
    }

    @Override // java.nio.channels.ReadableByteChannel
    public int read(ByteBuffer byteBuffer) throws IOException {
        if (this.f3348a.b == 0 && this.b.read(this.f3348a, 8192) == -1) {
            return -1;
        }
        return this.f3348a.read(byteBuffer);
    }

    @Override // okio.BufferedSource
    public void a(Buffer buffer, long j) throws IOException {
        try {
            a(j);
            this.f3348a.a(buffer, j);
        } catch (EOFException e) {
            buffer.a((Source) this.f3348a);
            throw e;
        }
    }

    @Override // okio.BufferedSource
    public long a(Sink sink) throws IOException {
        if (sink != null) {
            long j = 0;
            while (this.b.read(this.f3348a, 8192) != -1) {
                long h = this.f3348a.h();
                if (h > 0) {
                    j += h;
                    sink.write(this.f3348a, h);
                }
            }
            if (this.f3348a.a() <= 0) {
                return j;
            }
            long a2 = j + this.f3348a.a();
            sink.write(this.f3348a, this.f3348a.a());
            return a2;
        }
        throw new IllegalArgumentException("sink == null");
    }

    @Override // okio.BufferedSource
    public String r() throws IOException {
        this.f3348a.a(this.b);
        return this.f3348a.r();
    }

    @Override // okio.BufferedSource
    public String a(Charset charset) throws IOException {
        if (charset != null) {
            this.f3348a.a(this.b);
            return this.f3348a.a(charset);
        }
        throw new IllegalArgumentException("charset == null");
    }

    @Override // okio.BufferedSource
    public String s() throws IOException {
        return f(Long.MAX_VALUE);
    }

    @Override // okio.BufferedSource
    public String f(long j) throws IOException {
        if (j >= 0) {
            long j2 = j == Long.MAX_VALUE ? Long.MAX_VALUE : j + 1;
            long a2 = a((byte) 10, 0, j2);
            if (a2 != -1) {
                return this.f3348a.g(a2);
            }
            if (j2 < Long.MAX_VALUE && b(j2) && this.f3348a.c(j2 - 1) == 13 && b(1 + j2) && this.f3348a.c(j2) == 10) {
                return this.f3348a.g(j2);
            }
            Buffer buffer = new Buffer();
            this.f3348a.a(buffer, 0, Math.min(32L, this.f3348a.a()));
            throw new EOFException("\\n not found: limit=" + Math.min(this.f3348a.a(), j) + " content=" + buffer.q().f() + (char) 8230);
        }
        throw new IllegalArgumentException("limit < 0: " + j);
    }

    @Override // okio.BufferedSource
    public short j() throws IOException {
        a(2);
        return this.f3348a.j();
    }

    @Override // okio.BufferedSource
    public short m() throws IOException {
        a(2);
        return this.f3348a.m();
    }

    @Override // okio.BufferedSource
    public int k() throws IOException {
        a(4);
        return this.f3348a.k();
    }

    @Override // okio.BufferedSource
    public int n() throws IOException {
        a(4);
        return this.f3348a.n();
    }

    @Override // okio.BufferedSource
    public long l() throws IOException {
        a(8);
        return this.f3348a.l();
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x002b  */
    @Override // okio.BufferedSource
    public long o() throws IOException {
        a(1);
        int i = 0;
        while (true) {
            int i2 = i + 1;
            if (!b((long) i2)) {
                break;
            }
            byte c2 = this.f3348a.c((long) i);
            if ((c2 >= 48 && c2 <= 57) || (i == 0 && c2 == 45)) {
                i = i2;
            } else if (i == 0) {
                throw new NumberFormatException(String.format("Expected leading [0-9] or '-' character but was %#x", Byte.valueOf(c2)));
            }
        }
        if (i == 0) {
        }
        return this.f3348a.o();
    }

    @Override // okio.BufferedSource
    public long p() throws IOException {
        a(1);
        int i = 0;
        while (true) {
            int i2 = i + 1;
            if (!b((long) i2)) {
                break;
            }
            byte c2 = this.f3348a.c((long) i);
            if ((c2 >= 48 && c2 <= 57) || ((c2 >= 97 && c2 <= 102) || (c2 >= 65 && c2 <= 70))) {
                i = i2;
            } else if (i == 0) {
                throw new NumberFormatException(String.format("Expected leading [0-9a-fA-F] character but was %#x", Byte.valueOf(c2)));
            }
        }
        return this.f3348a.p();
    }

    @Override // okio.BufferedSource
    public void i(long j) throws IOException {
        if (!this.c) {
            while (j > 0) {
                if (this.f3348a.b == 0 && this.b.read(this.f3348a, 8192) == -1) {
                    throw new EOFException();
                }
                long min = Math.min(j, this.f3348a.a());
                this.f3348a.i(min);
                j -= min;
            }
            return;
        }
        throw new IllegalStateException("closed");
    }

    @Override // okio.BufferedSource
    public long a(byte b2) throws IOException {
        return a(b2, 0, Long.MAX_VALUE);
    }

    public long a(byte b2, long j, long j2) throws IOException {
        if (this.c) {
            throw new IllegalStateException("closed");
        } else if (j < 0 || j2 < j) {
            throw new IllegalArgumentException(String.format("fromIndex=%s toIndex=%s", Long.valueOf(j), Long.valueOf(j2)));
        } else {
            while (j < j2) {
                long a2 = this.f3348a.a(b2, j, j2);
                if (a2 != -1) {
                    return a2;
                }
                long j3 = this.f3348a.b;
                if (j3 >= j2 || this.b.read(this.f3348a, 8192) == -1) {
                    return -1;
                }
                j = Math.max(j, j3);
            }
            return -1;
        }
    }

    @Override // okio.BufferedSource
    public boolean a(long j, ByteString byteString) throws IOException {
        return a(j, byteString, 0, byteString.h());
    }

    public boolean a(long j, ByteString byteString, int i, int i2) throws IOException {
        if (this.c) {
            throw new IllegalStateException("closed");
        } else if (j < 0 || i < 0 || i2 < 0 || byteString.h() - i < i2) {
            return false;
        } else {
            for (int i3 = 0; i3 < i2; i3++) {
                long j2 = ((long) i3) + j;
                if (!(b(1 + j2) && this.f3348a.c(j2) == byteString.a(i + i3))) {
                    return false;
                }
            }
            return true;
        }
    }

    @Override // okio.BufferedSource
    public InputStream g() {
        return new InputStream() {
            /* class okio.RealBufferedSource.AnonymousClass1 */

            @Override // java.io.InputStream
            public int read() throws IOException {
                if (RealBufferedSource.this.c) {
                    throw new IOException("closed");
                } else if (RealBufferedSource.this.f3348a.b == 0 && RealBufferedSource.this.b.read(RealBufferedSource.this.f3348a, 8192) == -1) {
                    return -1;
                } else {
                    return RealBufferedSource.this.f3348a.i() & 255;
                }
            }

            @Override // java.io.InputStream
            public int read(byte[] bArr, int i, int i2) throws IOException {
                if (!RealBufferedSource.this.c) {
                    Util.a((long) bArr.length, (long) i, (long) i2);
                    if (RealBufferedSource.this.f3348a.b == 0 && RealBufferedSource.this.b.read(RealBufferedSource.this.f3348a, 8192) == -1) {
                        return -1;
                    }
                    return RealBufferedSource.this.f3348a.a(bArr, i, i2);
                }
                throw new IOException("closed");
            }

            @Override // java.io.InputStream
            public int available() throws IOException {
                if (!RealBufferedSource.this.c) {
                    return (int) Math.min(RealBufferedSource.this.f3348a.b, 2147483647L);
                }
                throw new IOException("closed");
            }

            @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
            public void close() throws IOException {
                RealBufferedSource.this.close();
            }

            public String toString() {
                return RealBufferedSource.this + ".inputStream()";
            }
        };
    }

    public boolean isOpen() {
        return !this.c;
    }

    @Override // okio.Source, java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.Channel
    public void close() throws IOException {
        if (!this.c) {
            this.c = true;
            this.b.close();
            this.f3348a.u();
        }
    }

    @Override // okio.Source
    public Timeout timeout() {
        return this.b.timeout();
    }

    public String toString() {
        return "buffer(" + this.b + ")";
    }
}
