package org.apache.commons.cli;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Option implements Serializable, Cloneable {
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private String f3358a;
    private String b;
    private String c = "arg";
    private String d;
    private boolean e;
    private boolean f;
    private int g = -1;
    private Object h;
    private List i = new ArrayList();
    private char j;

    public Option(String str, String str2, boolean z, String str3) throws IllegalArgumentException {
        OptionValidator.a(str);
        this.f3358a = str;
        this.b = str2;
        if (z) {
            this.g = 1;
        }
        this.d = str3;
    }

    /* access modifiers changed from: package-private */
    public String a() {
        if (this.f3358a == null) {
            return this.b;
        }
        return this.f3358a;
    }

    public String b() {
        return this.f3358a;
    }

    public String c() {
        return this.b;
    }

    public boolean d() {
        return this.f;
    }

    public boolean e() {
        return this.b != null;
    }

    public boolean f() {
        return this.g > 0 || this.g == -2;
    }

    public String g() {
        return this.d;
    }

    public boolean h() {
        return this.e;
    }

    public String i() {
        return this.c;
    }

    public boolean j() {
        return this.c != null && this.c.length() > 0;
    }

    public boolean k() {
        return this.g > 1 || this.g == -2;
    }

    public char l() {
        return this.j;
    }

    public boolean m() {
        return this.j > 0;
    }

    /* access modifiers changed from: package-private */
    public void a(String str) {
        if (this.g != -1) {
            b(str);
            return;
        }
        throw new RuntimeException("NO_ARGS_ALLOWED");
    }

    private void b(String str) {
        if (m()) {
            char l = l();
            int indexOf = str.indexOf(l);
            while (indexOf != -1 && this.i.size() != this.g - 1) {
                c(str.substring(0, indexOf));
                str = str.substring(indexOf + 1);
                indexOf = str.indexOf(l);
            }
        }
        c(str);
    }

    private void c(String str) {
        if (this.g <= 0 || this.i.size() <= this.g - 1) {
            this.i.add(str);
            return;
        }
        throw new RuntimeException("Cannot add value, list full.");
    }

    public String[] n() {
        if (p()) {
            return null;
        }
        return (String[]) this.i.toArray(new String[this.i.size()]);
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("[ option: ");
        stringBuffer.append(this.f3358a);
        if (this.b != null) {
            stringBuffer.append(" ");
            stringBuffer.append(this.b);
        }
        stringBuffer.append(" ");
        if (k()) {
            stringBuffer.append("[ARG...]");
        } else if (f()) {
            stringBuffer.append(" [ARG]");
        }
        stringBuffer.append(" :: ");
        stringBuffer.append(this.d);
        if (this.h != null) {
            stringBuffer.append(" :: ");
            stringBuffer.append(this.h);
        }
        stringBuffer.append(" ]");
        return stringBuffer.toString();
    }

    private boolean p() {
        return this.i.isEmpty();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        Option option = (Option) obj;
        if (this.f3358a == null ? option.f3358a == null : this.f3358a.equals(option.f3358a)) {
            return this.b == null ? option.b == null : this.b.equals(option.b);
        }
        return false;
    }

    public int hashCode() {
        int i2 = 0;
        int hashCode = (this.f3358a != null ? this.f3358a.hashCode() : 0) * 31;
        if (this.b != null) {
            i2 = this.b.hashCode();
        }
        return hashCode + i2;
    }

    @Override // java.lang.Object
    public Object clone() {
        try {
            Option option = (Option) super.clone();
            option.i = new ArrayList(this.i);
            return option;
        } catch (CloneNotSupportedException e2) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("A CloneNotSupportedException was thrown: ");
            stringBuffer.append(e2.getMessage());
            throw new RuntimeException(stringBuffer.toString());
        }
    }

    /* access modifiers changed from: package-private */
    public void o() {
        this.i.clear();
    }
}
