package org.apache.commons.lang3;

import java.io.Serializable;
import java.util.Iterator;
import java.util.NoSuchElementException;

/* access modifiers changed from: package-private */
public final class CharRange implements Serializable, Iterable<Character> {
    private static final long serialVersionUID = 8270183163158333422L;

    /* renamed from: a  reason: collision with root package name */
    private final char f3368a;
    private final char b;
    private final boolean c;
    private transient String d;

    private CharRange(char c2, char c3, boolean z) {
        if (c2 > c3) {
            c3 = c2;
            c2 = c3;
        }
        this.f3368a = c2;
        this.b = c3;
        this.c = z;
    }

    public static CharRange a(char c2) {
        return new CharRange(c2, c2, false);
    }

    public static CharRange b(char c2) {
        return new CharRange(c2, c2, true);
    }

    public static CharRange a(char c2, char c3) {
        return new CharRange(c2, c3, false);
    }

    public static CharRange b(char c2, char c3) {
        return new CharRange(c2, c3, true);
    }

    public boolean a() {
        return this.c;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof CharRange)) {
            return false;
        }
        CharRange charRange = (CharRange) obj;
        if (this.f3368a == charRange.f3368a && this.b == charRange.b && this.c == charRange.c) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return this.f3368a + 'S' + (this.b * 7) + (this.c ? 1 : 0);
    }

    public String toString() {
        if (this.d == null) {
            StringBuilder sb = new StringBuilder(4);
            if (a()) {
                sb.append('^');
            }
            sb.append(this.f3368a);
            if (this.f3368a != this.b) {
                sb.append('-');
                sb.append(this.b);
            }
            this.d = sb.toString();
        }
        return this.d;
    }

    @Override // java.lang.Iterable
    public Iterator<Character> iterator() {
        return new CharacterIterator();
    }

    private static class CharacterIterator implements Iterator<Character> {

        /* renamed from: a  reason: collision with root package name */
        private char f3369a;
        private final CharRange b;
        private boolean c;

        private CharacterIterator(CharRange charRange) {
            this.b = charRange;
            this.c = true;
            if (!this.b.c) {
                this.f3369a = this.b.f3368a;
            } else if (this.b.f3368a != 0) {
                this.f3369a = 0;
            } else if (this.b.b == 65535) {
                this.c = false;
            } else {
                this.f3369a = (char) (this.b.b + 1);
            }
        }

        private void b() {
            if (this.b.c) {
                if (this.f3369a == 65535) {
                    this.c = false;
                } else if (this.f3369a + 1 != this.b.f3368a) {
                    this.f3369a = (char) (this.f3369a + 1);
                } else if (this.b.b == 65535) {
                    this.c = false;
                } else {
                    this.f3369a = (char) (this.b.b + 1);
                }
            } else if (this.f3369a < this.b.b) {
                this.f3369a = (char) (this.f3369a + 1);
            } else {
                this.c = false;
            }
        }

        public boolean hasNext() {
            return this.c;
        }

        /* renamed from: a */
        public Character next() {
            if (this.c) {
                char c2 = this.f3369a;
                b();
                return Character.valueOf(c2);
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }
    }
}
