package org.apache.commons.lang3;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.apache.commons.lang3.mutable.MutableObject;

public class ClassUtils {

    /* renamed from: a  reason: collision with root package name */
    public static final String f3372a = String.valueOf('.');
    public static final String b = String.valueOf('$');
    private static final Map<String, Class<?>> c = new HashMap();
    private static final Map<Class<?>, Class<?>> d = new HashMap();
    private static final Map<Class<?>, Class<?>> e = new HashMap();
    private static final Map<String, String> f;
    private static final Map<String, String> g;

    public enum Interfaces {
        INCLUDE,
        EXCLUDE
    }

    static {
        c.put("boolean", Boolean.TYPE);
        c.put("byte", Byte.TYPE);
        c.put("char", Character.TYPE);
        c.put("short", Short.TYPE);
        c.put("int", Integer.TYPE);
        c.put("long", Long.TYPE);
        c.put("double", Double.TYPE);
        c.put("float", Float.TYPE);
        c.put("void", Void.TYPE);
        d.put(Boolean.TYPE, Boolean.class);
        d.put(Byte.TYPE, Byte.class);
        d.put(Character.TYPE, Character.class);
        d.put(Short.TYPE, Short.class);
        d.put(Integer.TYPE, Integer.class);
        d.put(Long.TYPE, Long.class);
        d.put(Double.TYPE, Double.class);
        d.put(Float.TYPE, Float.class);
        d.put(Void.TYPE, Void.TYPE);
        for (Map.Entry<Class<?>, Class<?>> entry : d.entrySet()) {
            Class<?> key = entry.getKey();
            Class<?> value = entry.getValue();
            if (!key.equals(value)) {
                e.put(value, key);
            }
        }
        HashMap hashMap = new HashMap();
        hashMap.put("int", "I");
        hashMap.put("boolean", "Z");
        hashMap.put("float", "F");
        hashMap.put("long", "J");
        hashMap.put("short", "S");
        hashMap.put("byte", "B");
        hashMap.put("double", "D");
        hashMap.put("char", "C");
        HashMap hashMap2 = new HashMap();
        for (Map.Entry entry2 : hashMap.entrySet()) {
            hashMap2.put(entry2.getValue(), entry2.getKey());
        }
        f = Collections.unmodifiableMap(hashMap);
        g = Collections.unmodifiableMap(hashMap2);
    }

    public static String a(Class<?> cls) {
        return cls == null ? "" : a(cls.getName());
    }

    public static String a(String str) {
        if (StringUtils.a(str)) {
            return "";
        }
        StringBuilder sb = new StringBuilder();
        int i = 0;
        if (str.startsWith("[")) {
            while (str.charAt(0) == '[') {
                str = str.substring(1);
                sb.append("[]");
            }
            if (str.charAt(0) == 'L' && str.charAt(str.length() - 1) == ';') {
                str = str.substring(1, str.length() - 1);
            }
            if (g.containsKey(str)) {
                str = g.get(str);
            }
        }
        int lastIndexOf = str.lastIndexOf(46);
        if (lastIndexOf != -1) {
            i = lastIndexOf + 1;
        }
        int indexOf = str.indexOf(36, i);
        String substring = str.substring(lastIndexOf + 1);
        if (indexOf != -1) {
            substring = substring.replace('$', '.');
        }
        return substring + ((Object) sb);
    }

    public static List<Class<?>> b(Class<?> cls) {
        if (cls == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        for (Class<? super Object> superclass = cls.getSuperclass(); superclass != null; superclass = superclass.getSuperclass()) {
            arrayList.add(superclass);
        }
        return arrayList;
    }

    public static List<Class<?>> c(Class<?> cls) {
        if (cls == null) {
            return null;
        }
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        a(cls, linkedHashSet);
        return new ArrayList(linkedHashSet);
    }

    private static void a(Class<?> cls, HashSet<Class<?>> hashSet) {
        while (cls != null) {
            Class<?>[] interfaces = cls.getInterfaces();
            for (Class<?> cls2 : interfaces) {
                if (hashSet.add(cls2)) {
                    a(cls2, hashSet);
                }
            }
            cls = cls.getSuperclass();
        }
    }

    public static boolean a(Class<?>[] clsArr, Class<?>[] clsArr2, boolean z) {
        if (!ArrayUtils.a((Object[]) clsArr, (Object[]) clsArr2)) {
            return false;
        }
        if (clsArr == null) {
            clsArr = ArrayUtils.b;
        }
        if (clsArr2 == null) {
            clsArr2 = ArrayUtils.b;
        }
        for (int i = 0; i < clsArr.length; i++) {
            if (!a(clsArr[i], clsArr2[i], z)) {
                return false;
            }
        }
        return true;
    }

    public static boolean d(Class<?> cls) {
        return e.containsKey(cls);
    }

    public static boolean a(Class<?> cls, Class<?> cls2) {
        return a(cls, cls2, SystemUtils.a(JavaVersion.JAVA_1_5));
    }

    public static boolean a(Class<?> cls, Class<?> cls2, boolean z) {
        if (cls2 == null) {
            return false;
        }
        if (cls == null) {
            return !cls2.isPrimitive();
        }
        if (z) {
            if (cls.isPrimitive() && !cls2.isPrimitive() && (cls = e(cls)) == null) {
                return false;
            }
            if (cls2.isPrimitive() && !cls.isPrimitive() && (cls = f(cls)) == null) {
                return false;
            }
        }
        if (cls.equals(cls2)) {
            return true;
        }
        if (!cls.isPrimitive()) {
            return cls2.isAssignableFrom(cls);
        }
        if (!cls2.isPrimitive()) {
            return false;
        }
        if (Integer.TYPE.equals(cls)) {
            if (Long.TYPE.equals(cls2) || Float.TYPE.equals(cls2) || Double.TYPE.equals(cls2)) {
                return true;
            }
            return false;
        } else if (Long.TYPE.equals(cls)) {
            if (Float.TYPE.equals(cls2) || Double.TYPE.equals(cls2)) {
                return true;
            }
            return false;
        } else if (Boolean.TYPE.equals(cls) || Double.TYPE.equals(cls)) {
            return false;
        } else {
            if (Float.TYPE.equals(cls)) {
                return Double.TYPE.equals(cls2);
            }
            if (Character.TYPE.equals(cls)) {
                if (Integer.TYPE.equals(cls2) || Long.TYPE.equals(cls2) || Float.TYPE.equals(cls2) || Double.TYPE.equals(cls2)) {
                    return true;
                }
                return false;
            } else if (Short.TYPE.equals(cls)) {
                if (Integer.TYPE.equals(cls2) || Long.TYPE.equals(cls2) || Float.TYPE.equals(cls2) || Double.TYPE.equals(cls2)) {
                    return true;
                }
                return false;
            } else if (!Byte.TYPE.equals(cls)) {
                return false;
            } else {
                if (Short.TYPE.equals(cls2) || Integer.TYPE.equals(cls2) || Long.TYPE.equals(cls2) || Float.TYPE.equals(cls2) || Double.TYPE.equals(cls2)) {
                    return true;
                }
                return false;
            }
        }
    }

    public static Class<?> e(Class<?> cls) {
        return (cls == null || !cls.isPrimitive()) ? cls : d.get(cls);
    }

    public static Class<?> f(Class<?> cls) {
        return e.get(cls);
    }

    public static Class<?>[] a(Object... objArr) {
        if (objArr == null) {
            return null;
        }
        if (objArr.length == 0) {
            return ArrayUtils.b;
        }
        Class<?>[] clsArr = new Class[objArr.length];
        for (int i = 0; i < objArr.length; i++) {
            clsArr[i] = objArr[i] == null ? null : objArr[i].getClass();
        }
        return clsArr;
    }

    /* renamed from: org.apache.commons.lang3.ClassUtils$1  reason: invalid class name */
    static class AnonymousClass1 implements Iterable<Class<?>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Class f3373a;

        @Override // java.lang.Iterable
        public Iterator<Class<?>> iterator() {
            final MutableObject mutableObject = new MutableObject(this.f3373a);
            return new Iterator<Class<?>>() {
                /* class org.apache.commons.lang3.ClassUtils.AnonymousClass1.AnonymousClass1 */

                public boolean hasNext() {
                    return mutableObject.a() != null;
                }

                /* renamed from: a */
                public Class<?> next() {
                    Class<?> cls = (Class) mutableObject.a();
                    mutableObject.a(cls.getSuperclass());
                    return cls;
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }
            };
        }
    }

    /* renamed from: org.apache.commons.lang3.ClassUtils$2  reason: invalid class name */
    static class AnonymousClass2 implements Iterable<Class<?>> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Iterable f3375a;

        @Override // java.lang.Iterable
        public Iterator<Class<?>> iterator() {
            final HashSet hashSet = new HashSet();
            final Iterator it = this.f3375a.iterator();
            return new Iterator<Class<?>>() {
                /* class org.apache.commons.lang3.ClassUtils.AnonymousClass2.AnonymousClass1 */

                /* renamed from: a  reason: collision with root package name */
                Iterator<Class<?>> f3376a = Collections.emptySet().iterator();

                public boolean hasNext() {
                    return this.f3376a.hasNext() || it.hasNext();
                }

                /* renamed from: a */
                public Class<?> next() {
                    if (this.f3376a.hasNext()) {
                        Class<?> next = this.f3376a.next();
                        hashSet.add(next);
                        return next;
                    }
                    Class<?> cls = (Class) it.next();
                    LinkedHashSet linkedHashSet = new LinkedHashSet();
                    a(linkedHashSet, cls);
                    this.f3376a = linkedHashSet.iterator();
                    return cls;
                }

                private void a(Set<Class<?>> set, Class<?> cls) {
                    Class<?>[] interfaces = cls.getInterfaces();
                    for (Class<?> cls2 : interfaces) {
                        if (!hashSet.contains(cls2)) {
                            set.add(cls2);
                        }
                        a(set, cls2);
                    }
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }
            };
        }
    }
}
