package org.apache.commons.lang3;

import java.io.PrintStream;

public class SystemUtils {
    public static final String A = c("java.vm.specification.name");
    public static final String B = c("java.vm.specification.vendor");
    public static final String C = c("java.vm.specification.version");
    public static final String D = c("java.vm.vendor");
    public static final String E = c("java.vm.version");
    @Deprecated
    public static final String F = c("line.separator");
    public static final String G = c("os.arch");
    public static final String H = c("os.name");
    public static final String I = c("os.version");
    @Deprecated
    public static final String J = c("path.separator");
    public static final String K = c(c("user.country") == null ? "user.region" : "user.country");
    public static final String L = c("user.dir");
    public static final String M = c("user.home");
    public static final String N = c("user.language");
    public static final String O = c("user.name");
    public static final String P = c("user.timezone");
    public static final boolean Q = a("1.1");
    public static final boolean R = a("1.2");
    public static final boolean S = a("1.3");
    public static final boolean T = a("1.4");
    public static final boolean U = a("1.5");
    public static final boolean V = a("1.6");
    public static final boolean W = a("1.7");
    public static final boolean X = a("1.8");
    @Deprecated
    public static final boolean Y = a("9");
    public static final boolean Z = a("9");

    /* renamed from: a  reason: collision with root package name */
    public static final String f3389a = c("awt.toolkit");
    public static final boolean aA;
    public static final boolean aB = b("Windows");
    public static final boolean aC = b("Windows 2000");
    public static final boolean aD = b("Windows 2003");
    public static final boolean aE = b("Windows Server 2008");
    public static final boolean aF = b("Windows Server 2012");
    public static final boolean aG = b("Windows 95");
    public static final boolean aH = b("Windows 98");
    public static final boolean aI = b("Windows Me");
    public static final boolean aJ = b("Windows NT");
    public static final boolean aK = b("Windows XP");
    public static final boolean aL = b("Windows Vista");
    public static final boolean aM = b("Windows 7");
    public static final boolean aN = b("Windows 8");
    public static final boolean aO = b("Windows 10");
    public static final boolean aP = b("z/OS");
    private static final JavaVersion aQ = JavaVersion.a(t);
    public static final boolean aa = a("10");
    public static final boolean ab = b("AIX");
    public static final boolean ac = b("HP-UX");
    public static final boolean ad = b("OS/400");
    public static final boolean ae = b("Irix");
    public static final boolean af = (b("Linux") || b("LINUX"));
    public static final boolean ag = b("Mac");
    public static final boolean ah = b("Mac OS X");
    public static final boolean ai = d("Mac OS X", "10.0");
    public static final boolean aj = d("Mac OS X", "10.1");
    public static final boolean ak = d("Mac OS X", "10.2");
    public static final boolean al = d("Mac OS X", "10.3");
    public static final boolean am = d("Mac OS X", "10.4");
    public static final boolean an = d("Mac OS X", "10.5");
    public static final boolean ao = d("Mac OS X", "10.6");
    public static final boolean ap = d("Mac OS X", "10.7");
    public static final boolean aq = d("Mac OS X", "10.8");
    public static final boolean ar = d("Mac OS X", "10.9");
    public static final boolean as = d("Mac OS X", "10.10");
    public static final boolean at = d("Mac OS X", "10.11");
    public static final boolean au = b("FreeBSD");
    public static final boolean av = b("OpenBSD");
    public static final boolean aw = b("NetBSD");
    public static final boolean ax = b("OS/2");
    public static final boolean ay = b("Solaris");
    public static final boolean az = b("SunOS");
    public static final String b = c("file.encoding");
    @Deprecated
    public static final String c = c("file.separator");
    public static final String d = c("java.awt.fonts");
    public static final String e = c("java.awt.graphicsenv");
    public static final String f = c("java.awt.headless");
    public static final String g = c("java.awt.printerjob");
    public static final String h = c("java.class.path");
    public static final String i = c("java.class.version");
    public static final String j = c("java.compiler");
    public static final String k = c("java.endorsed.dirs");
    public static final String l = c("java.ext.dirs");
    public static final String m = c("java.home");
    public static final String n = c("java.io.tmpdir");
    public static final String o = c("java.library.path");
    public static final String p = c("java.runtime.name");
    public static final String q = c("java.runtime.version");
    public static final String r = c("java.specification.name");
    public static final String s = c("java.specification.vendor");
    public static final String t = c("java.specification.version");
    public static final String u = c("java.util.prefs.PreferencesFactory");
    public static final String v = c("java.vendor");
    public static final String w = c("java.vendor.url");
    public static final String x = c("java.version");
    public static final String y = c("java.vm.info");
    public static final String z = c("java.vm.name");

    static {
        boolean z2 = false;
        if (ab || ac || ae || af || ah || ay || az || au || av || aw) {
            z2 = true;
        }
        aA = z2;
    }

    private static boolean a(String str) {
        return a(t, str);
    }

    private static boolean d(String str, String str2) {
        return a(H, I, str, str2);
    }

    private static boolean b(String str) {
        return b(H, str);
    }

    private static String c(String str) {
        try {
            return System.getProperty(str);
        } catch (SecurityException unused) {
            PrintStream printStream = System.err;
            printStream.println("Caught a SecurityException reading the system property '" + str + "'; the SystemUtils property value will default to null.");
            return null;
        }
    }

    public static boolean a(JavaVersion javaVersion) {
        return aQ.a(javaVersion);
    }

    static boolean a(String str, String str2) {
        if (str == null) {
            return false;
        }
        return str.startsWith(str2);
    }

    static boolean a(String str, String str2, String str3, String str4) {
        return str != null && str2 != null && b(str, str3) && c(str2, str4);
    }

    static boolean b(String str, String str2) {
        if (str == null) {
            return false;
        }
        return str.startsWith(str2);
    }

    static boolean c(String str, String str2) {
        if (StringUtils.a(str)) {
            return false;
        }
        String[] split = str2.split("\\.");
        String[] split2 = str.split("\\.");
        for (int i2 = 0; i2 < Math.min(split.length, split2.length); i2++) {
            if (!split[i2].equals(split2[i2])) {
                return false;
            }
        }
        return true;
    }
}
