package org.apache.commons.lang3.builder;

import java.lang.reflect.AccessibleObject;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.util.Arrays;
import org.apache.commons.lang3.Validate;

public class ReflectionToStringBuilder extends ToStringBuilder {

    /* renamed from: a  reason: collision with root package name */
    protected String[] f3418a;
    private boolean b = false;
    private boolean c = false;
    private boolean d;
    private Class<?> e = null;

    public static String a(Object obj, ToStringStyle toStringStyle) {
        return a(obj, toStringStyle, false, false, null);
    }

    public static <T> String a(T t, ToStringStyle toStringStyle, boolean z, boolean z2, Class<? super T> cls) {
        return new ReflectionToStringBuilder(t, toStringStyle, null, cls, z, z2).toString();
    }

    private static Object b(Object obj) {
        Validate.a(obj != null, "The Object passed in should not be null.", new Object[0]);
        return obj;
    }

    public <T> ReflectionToStringBuilder(T t, ToStringStyle toStringStyle, StringBuffer stringBuffer, Class<? super T> cls, boolean z, boolean z2) {
        super(b((Object) t), toStringStyle, stringBuffer);
        b((Class<?>) cls);
        b(z);
        a(z2);
    }

    /* access modifiers changed from: protected */
    public boolean a(Field field) {
        if (field.getName().indexOf(36) != -1) {
            return false;
        }
        if (Modifier.isTransient(field.getModifiers()) && !c()) {
            return false;
        }
        if (Modifier.isStatic(field.getModifiers()) && !b()) {
            return false;
        }
        if (this.f3418a == null || Arrays.binarySearch(this.f3418a, field.getName()) < 0) {
            return !field.isAnnotationPresent(ToStringExclude.class);
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void a(Class<?> cls) {
        if (cls.isArray()) {
            a(e());
            return;
        }
        Field[] declaredFields = cls.getDeclaredFields();
        AccessibleObject.setAccessible(declaredFields, true);
        for (Field field : declaredFields) {
            String name = field.getName();
            if (a(field)) {
                try {
                    Object b2 = b(field);
                    if (!this.d || b2 != null) {
                        a(name, b2);
                    }
                } catch (IllegalAccessException e2) {
                    throw new InternalError("Unexpected IllegalAccessException: " + e2.getMessage());
                }
            }
        }
    }

    public Class<?> a() {
        return this.e;
    }

    /* access modifiers changed from: protected */
    public Object b(Field field) throws IllegalArgumentException, IllegalAccessException {
        return field.get(e());
    }

    public boolean b() {
        return this.b;
    }

    public boolean c() {
        return this.c;
    }

    public ReflectionToStringBuilder a(Object obj) {
        g().b(f(), (String) null, obj);
        return this;
    }

    public void a(boolean z) {
        this.b = z;
    }

    public void b(boolean z) {
        this.c = z;
    }

    public void b(Class<?> cls) {
        Object e2;
        if (cls == null || (e2 = e()) == null || cls.isInstance(e2)) {
            this.e = cls;
            return;
        }
        throw new IllegalArgumentException("Specified class is not a superclass of the object");
    }

    @Override // org.apache.commons.lang3.builder.ToStringBuilder
    public String toString() {
        if (e() == null) {
            return g().f();
        }
        Class<?> cls = e().getClass();
        a(cls);
        while (cls.getSuperclass() != null && cls != a()) {
            cls = cls.getSuperclass();
            a(cls);
        }
        return super.toString();
    }
}
