package org.apache.commons.lang3.builder;

import java.io.Serializable;
import java.lang.reflect.Array;
import java.util.Collection;
import java.util.Map;
import java.util.WeakHashMap;
import org.apache.commons.lang3.ClassUtils;
import org.apache.commons.lang3.ObjectUtils;

public abstract class ToStringStyle implements Serializable {

    /* renamed from: a  reason: collision with root package name */
    public static final ToStringStyle f3420a = new DefaultToStringStyle();
    public static final ToStringStyle b = new MultiLineToStringStyle();
    public static final ToStringStyle c = new NoFieldNameToStringStyle();
    public static final ToStringStyle d = new ShortPrefixToStringStyle();
    public static final ToStringStyle e = new SimpleToStringStyle();
    public static final ToStringStyle f = new NoClassNameToStringStyle();
    public static final ToStringStyle g = new JsonToStringStyle();
    private static final ThreadLocal<WeakHashMap<Object, Object>> h = new ThreadLocal<>();
    private static final long serialVersionUID = -2587890625525655916L;
    private String A = "<";
    private String B = ">";
    private boolean i = true;
    private boolean j = true;
    private boolean k = false;
    private boolean l = true;
    private String m = "[";
    private String n = "]";
    private String o = "=";
    private boolean p = false;
    private boolean q = false;
    private String r = ",";
    private String s = "{";
    private String t = ",";
    private boolean u = true;
    private String v = "}";
    private boolean w = true;
    private String x = "<null>";
    private String y = "<size=";
    private String z = ">";

    static Map<Object, Object> g() {
        return h.get();
    }

    static boolean a(Object obj) {
        Map<Object, Object> g2 = g();
        return g2 != null && g2.containsKey(obj);
    }

    static void b(Object obj) {
        if (obj != null) {
            if (g() == null) {
                h.set(new WeakHashMap<>());
            }
            g().put(obj, null);
        }
    }

    static void c(Object obj) {
        Map<Object, Object> g2;
        if (obj != null && (g2 = g()) != null) {
            g2.remove(obj);
            if (g2.isEmpty()) {
                h.remove();
            }
        }
    }

    protected ToStringStyle() {
    }

    public void a(StringBuffer stringBuffer, Object obj) {
        if (obj != null) {
            c(stringBuffer, obj);
            d(stringBuffer, obj);
            b(stringBuffer);
            if (this.p) {
                d(stringBuffer);
            }
        }
    }

    public void b(StringBuffer stringBuffer, Object obj) {
        if (!this.q) {
            a(stringBuffer);
        }
        c(stringBuffer);
        c(obj);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer) {
        int length = stringBuffer.length();
        int length2 = this.r.length();
        if (length > 0 && length2 > 0 && length >= length2) {
            boolean z2 = false;
            int i2 = 0;
            while (true) {
                if (i2 >= length2) {
                    z2 = true;
                    break;
                } else if (stringBuffer.charAt((length - 1) - i2) != this.r.charAt((length2 - 1) - i2)) {
                    break;
                } else {
                    i2++;
                }
            }
            if (z2) {
                stringBuffer.setLength(length - length2);
            }
        }
    }

    public void a(StringBuffer stringBuffer, String str, Object obj, Boolean bool) {
        b(stringBuffer, str);
        if (obj == null) {
            a(stringBuffer, str);
        } else {
            a(stringBuffer, str, obj, a(bool));
        }
        c(stringBuffer, str);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, Object obj, boolean z2) {
        if (!a(obj) || (obj instanceof Number) || (obj instanceof Boolean) || (obj instanceof Character)) {
            b(obj);
            try {
                if (obj instanceof Collection) {
                    if (z2) {
                        a(stringBuffer, str, (Collection) obj);
                    } else {
                        b(stringBuffer, str, ((Collection) obj).size());
                    }
                } else if (obj instanceof Map) {
                    if (z2) {
                        a(stringBuffer, str, (Map) obj);
                    } else {
                        b(stringBuffer, str, ((Map) obj).size());
                    }
                } else if (obj instanceof long[]) {
                    if (z2) {
                        a(stringBuffer, str, (long[]) obj);
                    } else {
                        b(stringBuffer, str, (long[]) obj);
                    }
                } else if (obj instanceof int[]) {
                    if (z2) {
                        a(stringBuffer, str, (int[]) obj);
                    } else {
                        b(stringBuffer, str, (int[]) obj);
                    }
                } else if (obj instanceof short[]) {
                    if (z2) {
                        a(stringBuffer, str, (short[]) obj);
                    } else {
                        b(stringBuffer, str, (short[]) obj);
                    }
                } else if (obj instanceof byte[]) {
                    if (z2) {
                        a(stringBuffer, str, (byte[]) obj);
                    } else {
                        b(stringBuffer, str, (byte[]) obj);
                    }
                } else if (obj instanceof char[]) {
                    if (z2) {
                        a(stringBuffer, str, (char[]) obj);
                    } else {
                        b(stringBuffer, str, (char[]) obj);
                    }
                } else if (obj instanceof double[]) {
                    if (z2) {
                        a(stringBuffer, str, (double[]) obj);
                    } else {
                        b(stringBuffer, str, (double[]) obj);
                    }
                } else if (obj instanceof float[]) {
                    if (z2) {
                        a(stringBuffer, str, (float[]) obj);
                    } else {
                        b(stringBuffer, str, (float[]) obj);
                    }
                } else if (obj instanceof boolean[]) {
                    if (z2) {
                        a(stringBuffer, str, (boolean[]) obj);
                    } else {
                        b(stringBuffer, str, (boolean[]) obj);
                    }
                } else if (obj.getClass().isArray()) {
                    if (z2) {
                        a(stringBuffer, str, (Object[]) obj);
                    } else {
                        b(stringBuffer, str, (Object[]) obj);
                    }
                } else if (z2) {
                    a(stringBuffer, str, obj);
                } else {
                    d(stringBuffer, str, obj);
                }
            } finally {
                c(obj);
            }
        } else {
            c(stringBuffer, str, obj);
        }
    }

    /* access modifiers changed from: protected */
    public void c(StringBuffer stringBuffer, String str, Object obj) {
        ObjectUtils.a(stringBuffer, obj);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, Object obj) {
        stringBuffer.append(obj);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, Collection<?> collection) {
        stringBuffer.append(collection);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, Map<?, ?> map) {
        stringBuffer.append(map);
    }

    /* access modifiers changed from: protected */
    public void d(StringBuffer stringBuffer, String str, Object obj) {
        stringBuffer.append(this.A);
        stringBuffer.append(a(obj.getClass()));
        stringBuffer.append(this.B);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, long j2) {
        stringBuffer.append(j2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, int i2) {
        stringBuffer.append(i2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, short s2) {
        stringBuffer.append((int) s2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, byte b2) {
        stringBuffer.append((int) b2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, char c2) {
        stringBuffer.append(c2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, double d2) {
        stringBuffer.append(d2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, float f2) {
        stringBuffer.append(f2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, boolean z2) {
        stringBuffer.append(z2);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, Object[] objArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < objArr.length; i2++) {
            Object obj = objArr[i2];
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            if (obj == null) {
                a(stringBuffer, str);
            } else {
                a(stringBuffer, str, obj, this.u);
            }
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, Object obj) {
        stringBuffer.append(this.s);
        int length = Array.getLength(obj);
        for (int i2 = 0; i2 < length; i2++) {
            Object obj2 = Array.get(obj, i2);
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            if (obj2 == null) {
                a(stringBuffer, str);
            } else {
                a(stringBuffer, str, obj2, this.u);
            }
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, Object[] objArr) {
        b(stringBuffer, str, objArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, long[] jArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < jArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, jArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, long[] jArr) {
        b(stringBuffer, str, jArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, int[] iArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < iArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, iArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, int[] iArr) {
        b(stringBuffer, str, iArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, short[] sArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < sArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, sArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, short[] sArr) {
        b(stringBuffer, str, sArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, byte[] bArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < bArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, bArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, byte[] bArr) {
        b(stringBuffer, str, bArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, char[] cArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < cArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, cArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, char[] cArr) {
        b(stringBuffer, str, cArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, double[] dArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < dArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, dArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, double[] dArr) {
        b(stringBuffer, str, dArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, float[] fArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < fArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, fArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, float[] fArr) {
        b(stringBuffer, str, fArr.length);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str, boolean[] zArr) {
        stringBuffer.append(this.s);
        for (int i2 = 0; i2 < zArr.length; i2++) {
            if (i2 > 0) {
                stringBuffer.append(this.t);
            }
            a(stringBuffer, str, zArr[i2]);
        }
        stringBuffer.append(this.v);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, boolean[] zArr) {
        b(stringBuffer, str, zArr.length);
    }

    /* access modifiers changed from: protected */
    public void c(StringBuffer stringBuffer, Object obj) {
        if (this.j && obj != null) {
            b(obj);
            if (this.k) {
                stringBuffer.append(a(obj.getClass()));
            } else {
                stringBuffer.append(obj.getClass().getName());
            }
        }
    }

    /* access modifiers changed from: protected */
    public void d(StringBuffer stringBuffer, Object obj) {
        if (a() && obj != null) {
            b(obj);
            stringBuffer.append('@');
            stringBuffer.append(Integer.toHexString(System.identityHashCode(obj)));
        }
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer) {
        stringBuffer.append(this.m);
    }

    /* access modifiers changed from: protected */
    public void c(StringBuffer stringBuffer) {
        stringBuffer.append(this.n);
    }

    /* access modifiers changed from: protected */
    public void a(StringBuffer stringBuffer, String str) {
        stringBuffer.append(this.x);
    }

    /* access modifiers changed from: protected */
    public void d(StringBuffer stringBuffer) {
        stringBuffer.append(this.r);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str) {
        if (this.i && str != null) {
            stringBuffer.append(str);
            stringBuffer.append(this.o);
        }
    }

    /* access modifiers changed from: protected */
    public void c(StringBuffer stringBuffer, String str) {
        d(stringBuffer);
    }

    /* access modifiers changed from: protected */
    public void b(StringBuffer stringBuffer, String str, int i2) {
        stringBuffer.append(this.y);
        stringBuffer.append(i2);
        stringBuffer.append(this.z);
    }

    /* access modifiers changed from: protected */
    public boolean a(Boolean bool) {
        if (bool == null) {
            return this.w;
        }
        return bool.booleanValue();
    }

    /* access modifiers changed from: protected */
    public String a(Class<?> cls) {
        return ClassUtils.a(cls);
    }

    /* access modifiers changed from: protected */
    public void a(boolean z2) {
        this.j = z2;
    }

    /* access modifiers changed from: protected */
    public void b(boolean z2) {
        this.k = z2;
    }

    /* access modifiers changed from: protected */
    public boolean a() {
        return this.l;
    }

    /* access modifiers changed from: protected */
    public void c(boolean z2) {
        this.l = z2;
    }

    /* access modifiers changed from: protected */
    public void d(boolean z2) {
        this.i = z2;
    }

    /* access modifiers changed from: protected */
    public void e(boolean z2) {
        this.w = z2;
    }

    /* access modifiers changed from: protected */
    public void f(boolean z2) {
        this.u = z2;
    }

    /* access modifiers changed from: protected */
    public String b() {
        return this.s;
    }

    /* access modifiers changed from: protected */
    public void a(String str) {
        if (str == null) {
            str = "";
        }
        this.s = str;
    }

    /* access modifiers changed from: protected */
    public String c() {
        return this.v;
    }

    /* access modifiers changed from: protected */
    public void b(String str) {
        if (str == null) {
            str = "";
        }
        this.v = str;
    }

    /* access modifiers changed from: protected */
    public void c(String str) {
        if (str == null) {
            str = "";
        }
        this.t = str;
    }

    /* access modifiers changed from: protected */
    public String d() {
        return this.m;
    }

    /* access modifiers changed from: protected */
    public void d(String str) {
        if (str == null) {
            str = "";
        }
        this.m = str;
    }

    /* access modifiers changed from: protected */
    public String e() {
        return this.n;
    }

    /* access modifiers changed from: protected */
    public void e(String str) {
        if (str == null) {
            str = "";
        }
        this.n = str;
    }

    /* access modifiers changed from: protected */
    public void f(String str) {
        if (str == null) {
            str = "";
        }
        this.o = str;
    }

    /* access modifiers changed from: protected */
    public void g(String str) {
        if (str == null) {
            str = "";
        }
        this.r = str;
    }

    /* access modifiers changed from: protected */
    public void g(boolean z2) {
        this.p = z2;
    }

    /* access modifiers changed from: protected */
    public String f() {
        return this.x;
    }

    /* access modifiers changed from: protected */
    public void h(String str) {
        if (str == null) {
            str = "";
        }
        this.x = str;
    }

    /* access modifiers changed from: protected */
    public void i(String str) {
        if (str == null) {
            str = "";
        }
        this.y = str;
    }

    /* access modifiers changed from: protected */
    public void j(String str) {
        if (str == null) {
            str = "";
        }
        this.z = str;
    }

    /* access modifiers changed from: protected */
    public void k(String str) {
        if (str == null) {
            str = "";
        }
        this.A = str;
    }

    /* access modifiers changed from: protected */
    public void l(String str) {
        if (str == null) {
            str = "";
        }
        this.B = str;
    }

    private static final class DefaultToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        DefaultToStringStyle() {
        }

        private Object readResolve() {
            return ToStringStyle.f3420a;
        }
    }

    private static final class NoFieldNameToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        NoFieldNameToStringStyle() {
            d(false);
        }

        private Object readResolve() {
            return ToStringStyle.c;
        }
    }

    private static final class ShortPrefixToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        ShortPrefixToStringStyle() {
            b(true);
            c(false);
        }

        private Object readResolve() {
            return ToStringStyle.d;
        }
    }

    private static final class SimpleToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        SimpleToStringStyle() {
            a(false);
            c(false);
            d(false);
            d("");
            e("");
        }

        private Object readResolve() {
            return ToStringStyle.e;
        }
    }

    private static final class MultiLineToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        MultiLineToStringStyle() {
            d("[");
            g(System.lineSeparator() + "  ");
            g(true);
            e(System.lineSeparator() + "]");
        }

        private Object readResolve() {
            return ToStringStyle.b;
        }
    }

    private static final class NoClassNameToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        NoClassNameToStringStyle() {
            a(false);
            c(false);
        }

        private Object readResolve() {
            return ToStringStyle.f;
        }
    }

    private static final class JsonToStringStyle extends ToStringStyle {
        private static final long serialVersionUID = 1;

        JsonToStringStyle() {
            a(false);
            c(false);
            d("{");
            e("}");
            a("[");
            b("]");
            g(",");
            f(":");
            h("null");
            k("\"<");
            l(">\"");
            i("\"<size=");
            j(">\"");
        }

        @Override // org.apache.commons.lang3.builder.ToStringStyle
        public void a(StringBuffer stringBuffer, String str, Object obj, Boolean bool) {
            if (str == null) {
                throw new UnsupportedOperationException("Field names are mandatory when using JsonToStringStyle");
            } else if (a(bool)) {
                ToStringStyle.super.a(stringBuffer, str, obj, bool);
            } else {
                throw new UnsupportedOperationException("FullDetail must be true when using JsonToStringStyle");
            }
        }

        /* access modifiers changed from: protected */
        @Override // org.apache.commons.lang3.builder.ToStringStyle
        public void a(StringBuffer stringBuffer, String str, char c) {
            d(stringBuffer, String.valueOf(c));
        }

        /* access modifiers changed from: protected */
        @Override // org.apache.commons.lang3.builder.ToStringStyle
        public void a(StringBuffer stringBuffer, String str, Object obj) {
            if (obj == null) {
                a(stringBuffer, str);
            } else if ((obj instanceof String) || (obj instanceof Character)) {
                d(stringBuffer, obj.toString());
            } else if ((obj instanceof Number) || (obj instanceof Boolean)) {
                stringBuffer.append(obj);
            } else {
                String obj2 = obj.toString();
                if (n(obj2) || m(obj2)) {
                    stringBuffer.append(obj);
                } else {
                    a(stringBuffer, str, obj2);
                }
            }
        }

        private boolean m(String str) {
            return str.startsWith(b()) && str.startsWith(c());
        }

        private boolean n(String str) {
            return str.startsWith(d()) && str.endsWith(e());
        }

        private void d(StringBuffer stringBuffer, String str) {
            stringBuffer.append('\"');
            stringBuffer.append(str);
            stringBuffer.append('\"');
        }

        /* access modifiers changed from: protected */
        @Override // org.apache.commons.lang3.builder.ToStringStyle
        public void b(StringBuffer stringBuffer, String str) {
            if (str != null) {
                ToStringStyle.super.b(stringBuffer, "\"" + str + "\"");
                return;
            }
            throw new UnsupportedOperationException("Field names are mandatory when using JsonToStringStyle");
        }

        private Object readResolve() {
            return ToStringStyle.g;
        }
    }
}
