package org.apache.commons.lang3.concurrent;

import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

public abstract class BackgroundInitializer<T> implements ConcurrentInitializer<T> {

    /* renamed from: a  reason: collision with root package name */
    private ExecutorService f3425a;
    private ExecutorService b;
    private Future<T> c;

    /* access modifiers changed from: protected */
    public int g() {
        return 1;
    }

    /* access modifiers changed from: protected */
    public abstract T h() throws Exception;

    protected BackgroundInitializer() {
        this(null);
    }

    protected BackgroundInitializer(ExecutorService executorService) {
        a(executorService);
    }

    public final synchronized ExecutorService a() {
        return this.f3425a;
    }

    public synchronized boolean b() {
        return this.c != null;
    }

    public final synchronized void a(ExecutorService executorService) {
        if (!b()) {
            this.f3425a = executorService;
        } else {
            throw new IllegalStateException("Cannot set ExecutorService after start()!");
        }
    }

    public synchronized boolean c() {
        ExecutorService executorService;
        if (b()) {
            return false;
        }
        this.b = a();
        if (this.b == null) {
            executorService = i();
            this.b = executorService;
        } else {
            executorService = null;
        }
        this.c = this.b.submit(b(executorService));
        return true;
    }

    public T d() throws ConcurrentException {
        try {
            return e().get();
        } catch (ExecutionException e) {
            ConcurrentUtils.b(e);
            return null;
        } catch (InterruptedException e2) {
            Thread.currentThread().interrupt();
            throw new ConcurrentException(e2);
        }
    }

    public synchronized Future<T> e() {
        if (this.c != null) {
        } else {
            throw new IllegalStateException("start() must be called first!");
        }
        return this.c;
    }

    /* access modifiers changed from: protected */
    public final synchronized ExecutorService f() {
        return this.b;
    }

    private Callable<T> b(ExecutorService executorService) {
        return new InitializationTask(executorService);
    }

    private ExecutorService i() {
        return Executors.newFixedThreadPool(g());
    }

    /* access modifiers changed from: private */
    public class InitializationTask implements Callable<T> {
        private final ExecutorService b;

        InitializationTask(ExecutorService executorService) {
            this.b = executorService;
        }

        @Override // java.util.concurrent.Callable
        public T call() throws Exception {
            try {
                return (T) BackgroundInitializer.this.h();
            } finally {
                if (this.b != null) {
                    this.b.shutdown();
                }
            }
        }
    }
}
