package org.apache.commons.lang3.concurrent;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;
import org.apache.commons.lang3.Validate;

public class ConcurrentUtils {
    private ConcurrentUtils() {
    }

    public static ConcurrentException a(ExecutionException executionException) {
        if (executionException == null || executionException.getCause() == null) {
            return null;
        }
        c(executionException);
        return new ConcurrentException(executionException.getMessage(), executionException.getCause());
    }

    public static void b(ExecutionException executionException) throws ConcurrentException {
        ConcurrentException a2 = a(executionException);
        if (a2 != null) {
            throw a2;
        }
    }

    static Throwable a(Throwable th) {
        boolean z = th != null && !(th instanceof RuntimeException) && !(th instanceof Error);
        Validate.a(z, "Not a checked exception: " + th, new Object[0]);
        return th;
    }

    private static void c(ExecutionException executionException) {
        if (executionException.getCause() instanceof RuntimeException) {
            throw ((RuntimeException) executionException.getCause());
        } else if (executionException.getCause() instanceof Error) {
            throw ((Error) executionException.getCause());
        }
    }

    static final class ConstantFuture<T> implements Future<T> {

        /* renamed from: a  reason: collision with root package name */
        private final T f3429a;

        public boolean cancel(boolean z) {
            return false;
        }

        public boolean isCancelled() {
            return false;
        }

        public boolean isDone() {
            return true;
        }

        @Override // java.util.concurrent.Future
        public T get() {
            return this.f3429a;
        }

        @Override // java.util.concurrent.Future
        public T get(long j, TimeUnit timeUnit) {
            return this.f3429a;
        }
    }
}
