package org.apache.commons.lang3.concurrent;

import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import java.util.concurrent.FutureTask;

public class Memoizer<I, O> implements Computable<I, O> {

    /* renamed from: a  reason: collision with root package name */
    private final ConcurrentMap<I, Future<O>> f3432a;
    private final Computable<I, O> b;
    private final boolean c;

    @Override // org.apache.commons.lang3.concurrent.Computable
    public O a(final I i) throws InterruptedException {
        FutureTask futureTask;
        while (true) {
            Future<O> future = this.f3432a.get(i);
            if (future == null && (future = this.f3432a.putIfAbsent(i, (futureTask = new FutureTask(new Callable<O>() {
                /* class org.apache.commons.lang3.concurrent.Memoizer.AnonymousClass1 */

                /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: org.apache.commons.lang3.concurrent.Computable */
                /* JADX WARN: Multi-variable type inference failed */
                @Override // java.util.concurrent.Callable
                public O call() throws InterruptedException {
                    return (O) Memoizer.this.b.a(i);
                }
            })))) == null) {
                futureTask.run();
                future = futureTask;
            }
            try {
                return future.get();
            } catch (CancellationException unused) {
                this.f3432a.remove(i, future);
            } catch (ExecutionException e) {
                if (this.c) {
                    this.f3432a.remove(i, future);
                }
                throw a(e.getCause());
            }
        }
    }

    private RuntimeException a(Throwable th) {
        if (th instanceof RuntimeException) {
            return (RuntimeException) th;
        }
        if (th instanceof Error) {
            throw ((Error) th);
        }
        throw new IllegalStateException("Unchecked exception", th);
    }
}
