package org.apache.commons.lang3.concurrent;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;

public class MultiBackgroundInitializer extends BackgroundInitializer<MultiBackgroundInitializerResults> {

    /* renamed from: a  reason: collision with root package name */
    private final Map<String, BackgroundInitializer<?>> f3434a = new HashMap();

    /* access modifiers changed from: protected */
    @Override // org.apache.commons.lang3.concurrent.BackgroundInitializer
    public int g() {
        int i = 1;
        for (BackgroundInitializer<?> backgroundInitializer : this.f3434a.values()) {
            i += backgroundInitializer.g();
        }
        return i;
    }

    /* access modifiers changed from: protected */
    /* renamed from: i */
    public MultiBackgroundInitializerResults h() throws Exception {
        HashMap hashMap;
        synchronized (this) {
            hashMap = new HashMap(this.f3434a);
        }
        ExecutorService f = f();
        for (BackgroundInitializer backgroundInitializer : hashMap.values()) {
            if (backgroundInitializer.a() == null) {
                backgroundInitializer.a(f);
            }
            backgroundInitializer.c();
        }
        HashMap hashMap2 = new HashMap();
        HashMap hashMap3 = new HashMap();
        for (Map.Entry entry : hashMap.entrySet()) {
            try {
                hashMap2.put(entry.getKey(), ((BackgroundInitializer) entry.getValue()).d());
            } catch (ConcurrentException e) {
                hashMap3.put(entry.getKey(), e);
            }
        }
        return new MultiBackgroundInitializerResults(hashMap, hashMap2, hashMap3);
    }

    public static class MultiBackgroundInitializerResults {

        /* renamed from: a  reason: collision with root package name */
        private final Map<String, BackgroundInitializer<?>> f3435a;
        private final Map<String, Object> b;
        private final Map<String, ConcurrentException> c;

        private MultiBackgroundInitializerResults(Map<String, BackgroundInitializer<?>> map, Map<String, Object> map2, Map<String, ConcurrentException> map3) {
            this.f3435a = map;
            this.b = map2;
            this.c = map3;
        }
    }
}
