package org.apache.commons.lang3.math;

public final class Fraction extends Number implements Comparable<Fraction> {

    /* renamed from: a  reason: collision with root package name */
    public static final Fraction f3445a = new Fraction(0, 1);
    public static final Fraction b = new Fraction(1, 1);
    public static final Fraction c = new Fraction(1, 2);
    public static final Fraction d = new Fraction(1, 3);
    public static final Fraction e = new Fraction(2, 3);
    public static final Fraction f = new Fraction(1, 4);
    public static final Fraction g = new Fraction(2, 4);
    public static final Fraction h = new Fraction(3, 4);
    public static final Fraction i = new Fraction(1, 5);
    public static final Fraction j = new Fraction(2, 5);
    public static final Fraction k = new Fraction(3, 5);
    public static final Fraction l = new Fraction(4, 5);
    private static final long serialVersionUID = 65382027393090L;
    private final int m;
    private final int n;
    private transient int o = 0;
    private transient String p = null;
    private transient String q = null;

    private Fraction(int i2, int i3) {
        this.m = i2;
        this.n = i3;
    }

    public int a() {
        return this.m;
    }

    public int b() {
        return this.n;
    }

    public int intValue() {
        return this.m / this.n;
    }

    public long longValue() {
        return ((long) this.m) / ((long) this.n);
    }

    public float floatValue() {
        return ((float) this.m) / ((float) this.n);
    }

    public double doubleValue() {
        return ((double) this.m) / ((double) this.n);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Fraction)) {
            return false;
        }
        Fraction fraction = (Fraction) obj;
        if (a() == fraction.a() && b() == fraction.b()) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        if (this.o == 0) {
            this.o = ((a() + 629) * 37) + b();
        }
        return this.o;
    }

    /* renamed from: a */
    public int compareTo(Fraction fraction) {
        int i2;
        if (this == fraction) {
            return 0;
        }
        if ((this.m == fraction.m && this.n == fraction.n) || ((long) this.m) * ((long) fraction.n) == ((long) fraction.m) * ((long) this.n)) {
            return 0;
        }
        return i2 < 0 ? -1 : 1;
    }

    public String toString() {
        if (this.p == null) {
            this.p = a() + "/" + b();
        }
        return this.p;
    }
}
