package org.apache.commons.lang3.text;

import java.io.Reader;
import java.io.Serializable;
import java.io.Writer;
import java.nio.CharBuffer;
import java.util.List;
import org.apache.commons.lang3.builder.Builder;

@Deprecated
public class StrBuilder implements Serializable, Appendable, CharSequence, Builder<String> {
    private static final long serialVersionUID = 7628716375283629643L;

    /* renamed from: a  reason: collision with root package name */
    protected char[] f3465a;
    protected int b;
    private String c;

    public StrBuilder() {
        this(32);
    }

    public StrBuilder(int i) {
        this.f3465a = new char[(i <= 0 ? 32 : i)];
    }

    public int length() {
        return this.b;
    }

    public StrBuilder a(int i) {
        if (i > this.f3465a.length) {
            char[] cArr = this.f3465a;
            this.f3465a = new char[(i * 2)];
            System.arraycopy(cArr, 0, this.f3465a, 0, this.b);
        }
        return this;
    }

    public int a() {
        return this.b;
    }

    public StrBuilder b() {
        this.b = 0;
        return this;
    }

    public char charAt(int i) {
        if (i >= 0 && i < length()) {
            return this.f3465a[i];
        }
        throw new StringIndexOutOfBoundsException(i);
    }

    public void a(int i, int i2, char[] cArr, int i3) {
        if (i < 0) {
            throw new StringIndexOutOfBoundsException(i);
        } else if (i2 < 0 || i2 > length()) {
            throw new StringIndexOutOfBoundsException(i2);
        } else if (i <= i2) {
            System.arraycopy(this.f3465a, i, cArr, i3, i2 - i);
        } else {
            throw new StringIndexOutOfBoundsException("end < start");
        }
    }

    public StrBuilder c() {
        if (this.c == null) {
            return this;
        }
        return a(this.c);
    }

    /* renamed from: a */
    public StrBuilder append(CharSequence charSequence) {
        if (charSequence == null) {
            return c();
        }
        if (charSequence instanceof StrBuilder) {
            return a((StrBuilder) charSequence);
        }
        if (charSequence instanceof StringBuilder) {
            return a((StringBuilder) charSequence);
        }
        if (charSequence instanceof StringBuffer) {
            return a((StringBuffer) charSequence);
        }
        if (charSequence instanceof CharBuffer) {
            return a((CharBuffer) charSequence);
        }
        return a(charSequence.toString());
    }

    /* renamed from: a */
    public StrBuilder append(CharSequence charSequence, int i, int i2) {
        if (charSequence == null) {
            return c();
        }
        return a(charSequence.toString(), i, i2);
    }

    public StrBuilder a(String str) {
        if (str == null) {
            return c();
        }
        int length = str.length();
        if (length > 0) {
            int length2 = length();
            a(length2 + length);
            str.getChars(0, length, this.f3465a, length2);
            this.b += length;
        }
        return this;
    }

    public StrBuilder a(String str, int i, int i2) {
        int i3;
        if (str == null) {
            return c();
        }
        if (i < 0 || i > str.length()) {
            throw new StringIndexOutOfBoundsException("startIndex must be valid");
        } else if (i2 < 0 || (i3 = i + i2) > str.length()) {
            throw new StringIndexOutOfBoundsException("length must be valid");
        } else {
            if (i2 > 0) {
                int length = length();
                a(length + i2);
                str.getChars(i, i3, this.f3465a, length);
                this.b += i2;
            }
            return this;
        }
    }

    public StrBuilder a(CharBuffer charBuffer) {
        if (charBuffer == null) {
            return c();
        }
        if (charBuffer.hasArray()) {
            int remaining = charBuffer.remaining();
            int length = length();
            a(length + remaining);
            System.arraycopy(charBuffer.array(), charBuffer.arrayOffset() + charBuffer.position(), this.f3465a, length, remaining);
            this.b += remaining;
        } else {
            a(charBuffer.toString());
        }
        return this;
    }

    public StrBuilder a(StringBuffer stringBuffer) {
        if (stringBuffer == null) {
            return c();
        }
        int length = stringBuffer.length();
        if (length > 0) {
            int length2 = length();
            a(length2 + length);
            stringBuffer.getChars(0, length, this.f3465a, length2);
            this.b += length;
        }
        return this;
    }

    public StrBuilder a(StringBuilder sb) {
        if (sb == null) {
            return c();
        }
        int length = sb.length();
        if (length > 0) {
            int length2 = length();
            a(length2 + length);
            sb.getChars(0, length, this.f3465a, length2);
            this.b += length;
        }
        return this;
    }

    public StrBuilder a(StrBuilder strBuilder) {
        if (strBuilder == null) {
            return c();
        }
        int length = strBuilder.length();
        if (length > 0) {
            int length2 = length();
            a(length2 + length);
            System.arraycopy(strBuilder.f3465a, 0, this.f3465a, length2, length);
            this.b += length;
        }
        return this;
    }

    public StrBuilder a(char[] cArr) {
        if (cArr == null) {
            return c();
        }
        int length = cArr.length;
        if (length > 0) {
            int length2 = length();
            a(length2 + length);
            System.arraycopy(cArr, 0, this.f3465a, length2, length);
            this.b += length;
        }
        return this;
    }

    public StrBuilder a(char[] cArr, int i, int i2) {
        if (cArr == null) {
            return c();
        }
        if (i < 0 || i > cArr.length) {
            throw new StringIndexOutOfBoundsException("Invalid startIndex: " + i2);
        } else if (i2 < 0 || i + i2 > cArr.length) {
            throw new StringIndexOutOfBoundsException("Invalid length: " + i2);
        } else {
            if (i2 > 0) {
                int length = length();
                a(length + i2);
                System.arraycopy(cArr, i, this.f3465a, length, i2);
                this.b += i2;
            }
            return this;
        }
    }

    /* renamed from: a */
    public StrBuilder append(char c2) {
        a(length() + 1);
        char[] cArr = this.f3465a;
        int i = this.b;
        this.b = i + 1;
        cArr[i] = c2;
        return this;
    }

    public CharSequence subSequence(int i, int i2) {
        if (i < 0) {
            throw new StringIndexOutOfBoundsException(i);
        } else if (i2 > this.b) {
            throw new StringIndexOutOfBoundsException(i2);
        } else if (i <= i2) {
            return a(i, i2);
        } else {
            throw new StringIndexOutOfBoundsException(i2 - i);
        }
    }

    public String a(int i, int i2) {
        return new String(this.f3465a, i, b(i, i2) - i);
    }

    public boolean b(StrBuilder strBuilder) {
        if (this == strBuilder) {
            return true;
        }
        if (strBuilder == null || this.b != strBuilder.b) {
            return false;
        }
        char[] cArr = this.f3465a;
        char[] cArr2 = strBuilder.f3465a;
        for (int i = this.b - 1; i >= 0; i--) {
            if (cArr[i] != cArr2[i]) {
                return false;
            }
        }
        return true;
    }

    public boolean equals(Object obj) {
        return (obj instanceof StrBuilder) && b((StrBuilder) obj);
    }

    public int hashCode() {
        char[] cArr = this.f3465a;
        int i = 0;
        for (int i2 = this.b - 1; i2 >= 0; i2--) {
            i = (i * 31) + cArr[i2];
        }
        return i;
    }

    public String toString() {
        return new String(this.f3465a, 0, this.b);
    }

    /* access modifiers changed from: protected */
    public int b(int i, int i2) {
        if (i >= 0) {
            if (i2 > this.b) {
                i2 = this.b;
            }
            if (i <= i2) {
                return i2;
            }
            throw new StringIndexOutOfBoundsException("end < start");
        }
        throw new StringIndexOutOfBoundsException(i);
    }

    class StrBuilderTokenizer extends StrTokenizer {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ StrBuilder f3467a;

        /* access modifiers changed from: protected */
        @Override // org.apache.commons.lang3.text.StrTokenizer
        public List<String> a(char[] cArr, int i, int i2) {
            if (cArr == null) {
                return super.a(this.f3467a.f3465a, 0, this.f3467a.a());
            }
            return super.a(cArr, i, i2);
        }
    }

    class StrBuilderReader extends Reader {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ StrBuilder f3466a;
        private int b;
        private int c;

        @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
        public void close() {
        }

        public boolean markSupported() {
            return true;
        }

        @Override // java.io.Reader
        public int read() {
            if (!ready()) {
                return -1;
            }
            StrBuilder strBuilder = this.f3466a;
            int i = this.b;
            this.b = i + 1;
            return strBuilder.charAt(i);
        }

        @Override // java.io.Reader
        public int read(char[] cArr, int i, int i2) {
            int i3;
            if (i < 0 || i2 < 0 || i > cArr.length || (i3 = i + i2) > cArr.length || i3 < 0) {
                throw new IndexOutOfBoundsException();
            } else if (i2 == 0) {
                return 0;
            } else {
                if (this.b >= this.f3466a.a()) {
                    return -1;
                }
                if (this.b + i2 > this.f3466a.a()) {
                    i2 = this.f3466a.a() - this.b;
                }
                this.f3466a.a(this.b, this.b + i2, cArr, i);
                this.b += i2;
                return i2;
            }
        }

        @Override // java.io.Reader
        public long skip(long j) {
            if (((long) this.b) + j > ((long) this.f3466a.a())) {
                j = (long) (this.f3466a.a() - this.b);
            }
            if (j < 0) {
                return 0;
            }
            this.b = (int) (((long) this.b) + j);
            return j;
        }

        @Override // java.io.Reader
        public boolean ready() {
            return this.b < this.f3466a.a();
        }

        @Override // java.io.Reader
        public void mark(int i) {
            this.c = this.b;
        }

        @Override // java.io.Reader
        public void reset() {
            this.b = this.c;
        }
    }

    class StrBuilderWriter extends Writer {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ StrBuilder f3468a;

        @Override // java.io.Closeable, java.io.Writer, java.lang.AutoCloseable
        public void close() {
        }

        @Override // java.io.Writer, java.io.Flushable
        public void flush() {
        }

        @Override // java.io.Writer
        public void write(int i) {
            this.f3468a.append((char) i);
        }

        @Override // java.io.Writer
        public void write(char[] cArr) {
            this.f3468a.a(cArr);
        }

        @Override // java.io.Writer
        public void write(char[] cArr, int i, int i2) {
            this.f3468a.a(cArr, i, i2);
        }

        @Override // java.io.Writer
        public void write(String str) {
            this.f3468a.a(str);
        }

        @Override // java.io.Writer
        public void write(String str, int i, int i2) {
            this.f3468a.a(str, i, i2);
        }
    }
}
