package org.apache.commons.lang3.text;

import java.util.Arrays;
import org.apache.commons.lang3.StringUtils;

@Deprecated
public abstract class StrMatcher {

    /* renamed from: a  reason: collision with root package name */
    private static final StrMatcher f3471a = new CharMatcher(',');
    private static final StrMatcher b = new CharMatcher('\t');
    private static final StrMatcher c = new CharMatcher(' ');
    private static final StrMatcher d = new CharSetMatcher(" \t\n\r\f".toCharArray());
    private static final StrMatcher e = new TrimMatcher();
    private static final StrMatcher f = new CharMatcher('\'');
    private static final StrMatcher g = new CharMatcher('\"');
    private static final StrMatcher h = new CharSetMatcher("'\"".toCharArray());
    private static final StrMatcher i = new NoMatcher();

    public abstract int a(char[] cArr, int i2, int i3, int i4);

    public static StrMatcher a() {
        return f3471a;
    }

    public static StrMatcher b() {
        return b;
    }

    public static StrMatcher c() {
        return d;
    }

    public static StrMatcher d() {
        return e;
    }

    public static StrMatcher e() {
        return g;
    }

    public static StrMatcher f() {
        return i;
    }

    public static StrMatcher a(String str) {
        if (StringUtils.a(str)) {
            return i;
        }
        return new StringMatcher(str);
    }

    protected StrMatcher() {
    }

    public int a(char[] cArr, int i2) {
        return a(cArr, i2, 0, cArr.length);
    }

    static final class CharSetMatcher extends StrMatcher {

        /* renamed from: a  reason: collision with root package name */
        private final char[] f3473a;

        CharSetMatcher(char[] cArr) {
            this.f3473a = (char[]) cArr.clone();
            Arrays.sort(this.f3473a);
        }

        @Override // org.apache.commons.lang3.text.StrMatcher
        public int a(char[] cArr, int i, int i2, int i3) {
            return Arrays.binarySearch(this.f3473a, cArr[i]) >= 0 ? 1 : 0;
        }
    }

    static final class CharMatcher extends StrMatcher {

        /* renamed from: a  reason: collision with root package name */
        private final char f3472a;

        CharMatcher(char c) {
            this.f3472a = c;
        }

        @Override // org.apache.commons.lang3.text.StrMatcher
        public int a(char[] cArr, int i, int i2, int i3) {
            return this.f3472a == cArr[i] ? 1 : 0;
        }
    }

    static final class StringMatcher extends StrMatcher {

        /* renamed from: a  reason: collision with root package name */
        private final char[] f3474a;

        StringMatcher(String str) {
            this.f3474a = str.toCharArray();
        }

        @Override // org.apache.commons.lang3.text.StrMatcher
        public int a(char[] cArr, int i, int i2, int i3) {
            int length = this.f3474a.length;
            if (i + length > i3) {
                return 0;
            }
            int i4 = i;
            int i5 = 0;
            while (i5 < this.f3474a.length) {
                if (this.f3474a[i5] != cArr[i4]) {
                    return 0;
                }
                i5++;
                i4++;
            }
            return length;
        }

        public String toString() {
            return super.toString() + ' ' + Arrays.toString(this.f3474a);
        }
    }

    static final class NoMatcher extends StrMatcher {
        @Override // org.apache.commons.lang3.text.StrMatcher
        public int a(char[] cArr, int i, int i2, int i3) {
            return 0;
        }

        NoMatcher() {
        }
    }

    static final class TrimMatcher extends StrMatcher {
        TrimMatcher() {
        }

        @Override // org.apache.commons.lang3.text.StrMatcher
        public int a(char[] cArr, int i, int i2, int i3) {
            return cArr[i] <= ' ' ? 1 : 0;
        }
    }
}
