package org.apache.commons.lang3.time;

import java.util.ArrayList;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.Validate;

public class DurationFormatUtils {

    /* renamed from: a  reason: collision with root package name */
    static final Object f3484a = "y";
    static final Object b = "M";
    static final Object c = "d";
    static final Object d = "H";
    static final Object e = "m";
    static final Object f = "s";
    static final Object g = "S";

    public static String a(long j) {
        return a(j, "HH:mm:ss.SSS");
    }

    public static String a(long j, String str) {
        return a(j, str, true);
    }

    public static String a(long j, String str, boolean z) {
        long j2;
        long j3;
        long j4;
        long j5;
        long j6;
        long j7;
        Validate.a(0, Long.MAX_VALUE, j, "durationMillis must not be negative");
        Token[] a2 = a(str);
        if (Token.a(a2, c)) {
            long j8 = j / 86400000;
            j3 = j - (86400000 * j8);
            j2 = j8;
        } else {
            j3 = j;
            j2 = 0;
        }
        if (Token.a(a2, d)) {
            long j9 = j3 / 3600000;
            j3 -= 3600000 * j9;
            j4 = j9;
        } else {
            j4 = 0;
        }
        if (Token.a(a2, e)) {
            long j10 = j3 / 60000;
            j3 -= 60000 * j10;
            j5 = j10;
        } else {
            j5 = 0;
        }
        if (Token.a(a2, f)) {
            long j11 = j3 / 1000;
            j6 = j3 - (1000 * j11);
            j7 = j11;
        } else {
            j7 = 0;
            j6 = j3;
        }
        return a(a2, 0, 0, j2, j4, j5, j7, j6, z);
    }

    static String a(Token[] tokenArr, long j, long j2, long j3, long j4, long j5, long j6, long j7, boolean z) {
        int i;
        int i2;
        StringBuilder sb = new StringBuilder();
        int i3 = 0;
        boolean z2 = false;
        for (int length = tokenArr.length; i3 < length; length = i) {
            Token token = tokenArr[i3];
            Object c2 = token.c();
            int b2 = token.b();
            if (c2 instanceof StringBuilder) {
                sb.append(c2.toString());
                i = length;
                i2 = i3;
            } else {
                if (c2.equals(f3484a)) {
                    sb.append(a(j, z, b2));
                    i = length;
                    i2 = i3;
                } else {
                    if (c2.equals(b)) {
                        i2 = i3;
                        sb.append(a(j2, z, b2));
                    } else {
                        i2 = i3;
                        if (c2.equals(c)) {
                            sb.append(a(j3, z, b2));
                        } else {
                            if (c2.equals(d)) {
                                i = length;
                                sb.append(a(j4, z, b2));
                            } else {
                                i = length;
                                if (c2.equals(e)) {
                                    sb.append(a(j5, z, b2));
                                } else {
                                    if (c2.equals(f)) {
                                        sb.append(a(j6, z, b2));
                                        z2 = true;
                                    } else if (c2.equals(g)) {
                                        if (z2) {
                                            int i4 = 3;
                                            if (z) {
                                                i4 = Math.max(3, b2);
                                            }
                                            sb.append(a(j7, true, i4));
                                        } else {
                                            sb.append(a(j7, z, b2));
                                        }
                                        z2 = false;
                                    }
                                    i3 = i2 + 1;
                                }
                            }
                            z2 = false;
                            i3 = i2 + 1;
                        }
                    }
                    i = length;
                }
                z2 = false;
            }
            i3 = i2 + 1;
        }
        return sb.toString();
    }

    private static String a(long j, boolean z, int i) {
        String l = Long.toString(j);
        return z ? StringUtils.a(l, i, '0') : l;
    }

    static Token[] a(String str) {
        Object obj;
        ArrayList arrayList = new ArrayList(str.length());
        StringBuilder sb = null;
        Token token = null;
        boolean z = false;
        for (int i = 0; i < str.length(); i++) {
            char charAt = str.charAt(i);
            if (!z || charAt == '\'') {
                if (charAt != '\'') {
                    if (charAt == 'H') {
                        obj = d;
                    } else if (charAt == 'M') {
                        obj = b;
                    } else if (charAt == 'S') {
                        obj = g;
                    } else if (charAt == 'd') {
                        obj = c;
                    } else if (charAt == 'm') {
                        obj = e;
                    } else if (charAt == 's') {
                        obj = f;
                    } else if (charAt != 'y') {
                        if (sb == null) {
                            sb = new StringBuilder();
                            arrayList.add(new Token(sb));
                        }
                        sb.append(charAt);
                        obj = null;
                    } else {
                        obj = f3484a;
                    }
                } else if (z) {
                    sb = null;
                    obj = null;
                    z = false;
                } else {
                    StringBuilder sb2 = new StringBuilder();
                    arrayList.add(new Token(sb2));
                    obj = null;
                    sb = sb2;
                    z = true;
                }
                if (obj != null) {
                    if (token == null || !token.c().equals(obj)) {
                        token = new Token(obj);
                        arrayList.add(token);
                    } else {
                        token.a();
                    }
                    sb = null;
                }
            } else {
                sb.append(charAt);
            }
        }
        if (!z) {
            return (Token[]) arrayList.toArray(new Token[arrayList.size()]);
        }
        throw new IllegalArgumentException("Unmatched quote in format: " + str);
    }

    /* access modifiers changed from: package-private */
    public static class Token {

        /* renamed from: a  reason: collision with root package name */
        private final Object f3485a;
        private int b = 1;

        static boolean a(Token[] tokenArr, Object obj) {
            for (Token token : tokenArr) {
                if (token.c() == obj) {
                    return true;
                }
            }
            return false;
        }

        Token(Object obj) {
            this.f3485a = obj;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.b++;
        }

        /* access modifiers changed from: package-private */
        public int b() {
            return this.b;
        }

        /* access modifiers changed from: package-private */
        public Object c() {
            return this.f3485a;
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof Token)) {
                return false;
            }
            Token token = (Token) obj;
            if (this.f3485a.getClass() != token.f3485a.getClass() || this.b != token.b) {
                return false;
            }
            if (this.f3485a instanceof StringBuilder) {
                return this.f3485a.toString().equals(token.f3485a.toString());
            }
            if (this.f3485a instanceof Number) {
                return this.f3485a.equals(token.f3485a);
            }
            if (this.f3485a == token.f3485a) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return this.f3485a.hashCode();
        }

        public String toString() {
            return StringUtils.a(this.f3485a.toString(), this.b);
        }
    }
}
