package org.apache.commons.lang3.time;

import java.text.FieldPosition;
import java.text.Format;
import java.text.ParsePosition;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

public class FastDateFormat extends Format implements DateParser, DatePrinter {

    /* renamed from: a  reason: collision with root package name */
    private static final FormatCache<FastDateFormat> f3486a = new FormatCache<FastDateFormat>() {
        /* class org.apache.commons.lang3.time.FastDateFormat.AnonymousClass1 */

        /* access modifiers changed from: protected */
        /* renamed from: a */
        public FastDateFormat b(String str, TimeZone timeZone, Locale locale) {
            return new FastDateFormat(str, timeZone, locale);
        }
    };
    private static final long serialVersionUID = 2;
    private final FastDatePrinter b;
    private final FastDateParser c;

    public static FastDateFormat a(String str) {
        return f3486a.c(str, null, null);
    }

    public static FastDateFormat a(String str, Locale locale) {
        return f3486a.c(str, null, locale);
    }

    protected FastDateFormat(String str, TimeZone timeZone, Locale locale) {
        this(str, timeZone, locale, null);
    }

    protected FastDateFormat(String str, TimeZone timeZone, Locale locale, Date date) {
        this.b = new FastDatePrinter(str, timeZone, locale);
        this.c = new FastDateParser(str, timeZone, locale, date);
    }

    public StringBuffer format(Object obj, StringBuffer stringBuffer, FieldPosition fieldPosition) {
        stringBuffer.append(this.b.a(obj));
        return stringBuffer;
    }

    public Object parseObject(String str, ParsePosition parsePosition) {
        return this.c.a(str, parsePosition);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof FastDateFormat)) {
            return false;
        }
        return this.b.equals(((FastDateFormat) obj).b);
    }

    public int hashCode() {
        return this.b.hashCode();
    }

    public String toString() {
        return "FastDateFormat[" + this.b.b() + "," + this.b.d() + "," + this.b.c().getID() + "]";
    }
}
