package org.apache.commons.lang3.time;

import com.tencent.smtt.sdk.TbsListener;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.text.DateFormatSymbols;
import java.text.ParsePosition;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Comparator;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Locale;
import java.util.Map;
import java.util.TimeZone;
import java.util.TreeSet;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class FastDateParser implements Serializable, DateParser {

    /* renamed from: a  reason: collision with root package name */
    static final Locale f3487a = new Locale("ja", "JP", "JP");
    private static final Comparator<String> h = new Comparator<String>() {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass1 */

        /* renamed from: a */
        public int compare(String str, String str2) {
            return str2.compareTo(str);
        }
    };
    private static final ConcurrentMap<Locale, Strategy>[] i = new ConcurrentMap[17];
    private static final Strategy j = new NumberStrategy(1) {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass2 */

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.NumberStrategy
        public int a(FastDateParser fastDateParser, int i) {
            return i < 100 ? fastDateParser.a((FastDateParser) i) : i;
        }
    };
    private static final Strategy k = new NumberStrategy(2) {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass3 */

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.NumberStrategy
        public int a(FastDateParser fastDateParser, int i) {
            return i - 1;
        }
    };
    private static final Strategy l = new NumberStrategy(1);
    private static final Strategy m = new NumberStrategy(3);
    private static final Strategy n = new NumberStrategy(4);
    private static final Strategy o = new NumberStrategy(6);
    private static final Strategy p = new NumberStrategy(5);
    private static final Strategy q = new NumberStrategy(7) {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass4 */

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.NumberStrategy
        public int a(FastDateParser fastDateParser, int i) {
            if (i != 7) {
                return 1 + i;
            }
            return 1;
        }
    };
    private static final Strategy r = new NumberStrategy(8);
    private static final Strategy s = new NumberStrategy(11);
    private static final long serialVersionUID = 3;
    private static final Strategy t = new NumberStrategy(11) {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass5 */

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.NumberStrategy
        public int a(FastDateParser fastDateParser, int i) {
            if (i == 24) {
                return 0;
            }
            return i;
        }
    };
    private static final Strategy u = new NumberStrategy(10) {
        /* class org.apache.commons.lang3.time.FastDateParser.AnonymousClass6 */

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.NumberStrategy
        public int a(FastDateParser fastDateParser, int i) {
            if (i == 12) {
                return 0;
            }
            return i;
        }
    };
    private static final Strategy v = new NumberStrategy(10);
    private static final Strategy w = new NumberStrategy(12);
    private static final Strategy x = new NumberStrategy(13);
    private static final Strategy y = new NumberStrategy(14);
    private final String b;
    private final TimeZone c;
    private final Locale d;
    private final int e;
    private final int f;
    private transient List<StrategyAndWidth> g;

    /* access modifiers changed from: private */
    public static boolean b(char c2) {
        return (c2 >= 'A' && c2 <= 'Z') || (c2 >= 'a' && c2 <= 'z');
    }

    protected FastDateParser(String str, TimeZone timeZone, Locale locale, Date date) {
        int i2;
        this.b = str;
        this.c = timeZone;
        this.d = locale;
        Calendar instance = Calendar.getInstance(timeZone, locale);
        if (date != null) {
            instance.setTime(date);
            i2 = instance.get(1);
        } else if (locale.equals(f3487a)) {
            i2 = 0;
        } else {
            instance.setTime(new Date());
            i2 = instance.get(1) - 80;
        }
        this.e = (i2 / 100) * 100;
        this.f = i2 - this.e;
        a(instance);
    }

    private void a(Calendar calendar) {
        this.g = new ArrayList();
        StrategyParser strategyParser = new StrategyParser(calendar);
        while (true) {
            StrategyAndWidth a2 = strategyParser.a();
            if (a2 != null) {
                this.g.add(a2);
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: private */
    public static class StrategyAndWidth {

        /* renamed from: a  reason: collision with root package name */
        final Strategy f3493a;
        final int b;

        StrategyAndWidth(Strategy strategy, int i) {
            this.f3493a = strategy;
            this.b = i;
        }

        /* access modifiers changed from: package-private */
        public int a(ListIterator<StrategyAndWidth> listIterator) {
            if (!this.f3493a.a() || !listIterator.hasNext()) {
                return 0;
            }
            Strategy strategy = listIterator.next().f3493a;
            listIterator.previous();
            if (strategy.a()) {
                return this.b;
            }
            return 0;
        }
    }

    /* access modifiers changed from: private */
    public class StrategyParser {
        private final Calendar b;
        private int c;

        StrategyParser(Calendar calendar) {
            this.b = calendar;
        }

        /* access modifiers changed from: package-private */
        public StrategyAndWidth a() {
            if (this.c >= FastDateParser.this.b.length()) {
                return null;
            }
            char charAt = FastDateParser.this.b.charAt(this.c);
            if (FastDateParser.b(charAt)) {
                return a(charAt);
            }
            return b();
        }

        private StrategyAndWidth a(char c2) {
            int i = this.c;
            do {
                int i2 = this.c + 1;
                this.c = i2;
                if (i2 >= FastDateParser.this.b.length()) {
                    break;
                }
            } while (FastDateParser.this.b.charAt(this.c) == c2);
            int i3 = this.c - i;
            return new StrategyAndWidth(FastDateParser.this.a((FastDateParser) c2, (char) i3, (int) this.b), i3);
        }

        private StrategyAndWidth b() {
            StringBuilder sb = new StringBuilder();
            boolean z = false;
            while (this.c < FastDateParser.this.b.length()) {
                char charAt = FastDateParser.this.b.charAt(this.c);
                if (!z && FastDateParser.b(charAt)) {
                    break;
                }
                if (charAt == '\'') {
                    int i = this.c + 1;
                    this.c = i;
                    if (i == FastDateParser.this.b.length() || FastDateParser.this.b.charAt(this.c) != '\'') {
                        z = !z;
                    }
                }
                this.c++;
                sb.append(charAt);
            }
            if (!z) {
                String sb2 = sb.toString();
                return new StrategyAndWidth(new CopyQuotedStrategy(sb2), sb2.length());
            }
            throw new IllegalArgumentException("Unterminated quote");
        }
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof FastDateParser)) {
            return false;
        }
        FastDateParser fastDateParser = (FastDateParser) obj;
        if (!this.b.equals(fastDateParser.b) || !this.c.equals(fastDateParser.c) || !this.d.equals(fastDateParser.d)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return this.b.hashCode() + ((this.c.hashCode() + (this.d.hashCode() * 13)) * 13);
    }

    public String toString() {
        return "FastDateParser[" + this.b + "," + this.d + "," + this.c.getID() + "]";
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        a(Calendar.getInstance(this.c, this.d));
    }

    public Object a(String str, ParsePosition parsePosition) {
        return b(str, parsePosition);
    }

    public Date b(String str, ParsePosition parsePosition) {
        Calendar instance = Calendar.getInstance(this.c, this.d);
        instance.clear();
        if (a(str, parsePosition, instance)) {
            return instance.getTime();
        }
        return null;
    }

    public boolean a(String str, ParsePosition parsePosition, Calendar calendar) {
        ListIterator<StrategyAndWidth> listIterator = this.g.listIterator();
        while (listIterator.hasNext()) {
            StrategyAndWidth next = listIterator.next();
            if (!next.f3493a.a(this, calendar, str, parsePosition, next.a(listIterator))) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: private */
    public static StringBuilder b(StringBuilder sb, String str) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            switch (charAt) {
                case '$':
                case '(':
                case ')':
                case '*':
                case '+':
                case '.':
                case '?':
                case '[':
                case '\\':
                case '^':
                case TbsListener.ErrorCode.DOWNLOAD_RETRYTIMES302_EXCEED:
                case TbsListener.ErrorCode.DOWNLOAD_REDIRECT_EMPTY:
                    sb.append('\\');
                    break;
            }
            sb.append(charAt);
        }
        return sb;
    }

    /* access modifiers changed from: private */
    public static Map<String, Integer> b(Calendar calendar, Locale locale, int i2, StringBuilder sb) {
        HashMap hashMap = new HashMap();
        Map<String, Integer> displayNames = calendar.getDisplayNames(i2, 0, locale);
        TreeSet treeSet = new TreeSet(h);
        for (Map.Entry<String, Integer> entry : displayNames.entrySet()) {
            String lowerCase = entry.getKey().toLowerCase(locale);
            if (treeSet.add(lowerCase)) {
                hashMap.put(lowerCase, entry.getValue());
            }
        }
        Iterator it = treeSet.iterator();
        while (it.hasNext()) {
            b(sb, (String) it.next()).append('|');
        }
        return hashMap;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a(int i2) {
        int i3 = this.e + i2;
        return i2 >= this.f ? i3 : i3 + 100;
    }

    /* access modifiers changed from: private */
    public static abstract class Strategy {
        /* access modifiers changed from: package-private */
        public boolean a() {
            return false;
        }

        /* access modifiers changed from: package-private */
        public abstract boolean a(FastDateParser fastDateParser, Calendar calendar, String str, ParsePosition parsePosition, int i);

        private Strategy() {
        }
    }

    private static abstract class PatternStrategy extends Strategy {

        /* renamed from: a  reason: collision with root package name */
        private Pattern f3492a;

        /* access modifiers changed from: package-private */
        public abstract void a(FastDateParser fastDateParser, Calendar calendar, String str);

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a() {
            return false;
        }

        private PatternStrategy() {
            super();
        }

        /* access modifiers changed from: package-private */
        public void a(StringBuilder sb) {
            a(sb.toString());
        }

        /* access modifiers changed from: package-private */
        public void a(String str) {
            this.f3492a = Pattern.compile(str);
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a(FastDateParser fastDateParser, Calendar calendar, String str, ParsePosition parsePosition, int i) {
            Matcher matcher = this.f3492a.matcher(str.substring(parsePosition.getIndex()));
            if (!matcher.lookingAt()) {
                parsePosition.setErrorIndex(parsePosition.getIndex());
                return false;
            }
            parsePosition.setIndex(parsePosition.getIndex() + matcher.end(1));
            a(fastDateParser, calendar, matcher.group(1));
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0064  */
    private Strategy a(char c2, int i2, Calendar calendar) {
        switch (c2) {
            case 'D':
                return o;
            case 'E':
                return a(7, calendar);
            case 'F':
                return r;
            case 'G':
                return a(0, calendar);
            case 'H':
                return s;
            default:
                switch (c2) {
                    case 'W':
                        return n;
                    case 'X':
                        return ISO8601TimeZoneStrategy.a(i2);
                    case 'Y':
                        return i2 > 2 ? l : j;
                    case 'Z':
                        if (i2 == 2) {
                            return ISO8601TimeZoneStrategy.c;
                        }
                        return a(15, calendar);
                    default:
                        switch (c2) {
                            case TbsListener.ErrorCode.THREAD_INIT_ERROR:
                                break;
                            case TbsListener.ErrorCode.DOWNLOAD_HAS_COPY_TBS_ERROR:
                                return a(15, calendar);
                            default:
                                switch (c2) {
                                    case 'K':
                                        return v;
                                    case 'M':
                                        return i2 >= 3 ? a(2, calendar) : k;
                                    case 'S':
                                        return y;
                                    case 'a':
                                        return a(9, calendar);
                                    case 'd':
                                        return p;
                                    case 'h':
                                        return u;
                                    case 'k':
                                        return t;
                                    case 'm':
                                        return w;
                                    case 's':
                                        return x;
                                    case 'u':
                                        return q;
                                    case 'w':
                                        return m;
                                    default:
                                        throw new IllegalArgumentException("Format '" + c2 + "' not supported");
                                }
                        }
                }
        }
    }

    private static ConcurrentMap<Locale, Strategy> b(int i2) {
        ConcurrentMap<Locale, Strategy> concurrentMap;
        synchronized (i) {
            if (i[i2] == null) {
                i[i2] = new ConcurrentHashMap(3);
            }
            concurrentMap = i[i2];
        }
        return concurrentMap;
    }

    private Strategy a(int i2, Calendar calendar) {
        ConcurrentMap<Locale, Strategy> b2 = b(i2);
        Strategy strategy = b2.get(this.d);
        if (strategy == null) {
            strategy = i2 == 15 ? new TimeZoneStrategy(this.d) : new CaseInsensitiveTextStrategy(i2, calendar, this.d);
            Strategy putIfAbsent = b2.putIfAbsent(this.d, strategy);
            if (putIfAbsent != null) {
                return putIfAbsent;
            }
        }
        return strategy;
    }

    /* access modifiers changed from: private */
    public static class CopyQuotedStrategy extends Strategy {

        /* renamed from: a  reason: collision with root package name */
        private final String f3489a;

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a() {
            return false;
        }

        CopyQuotedStrategy(String str) {
            super();
            this.f3489a = str;
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a(FastDateParser fastDateParser, Calendar calendar, String str, ParsePosition parsePosition, int i) {
            for (int i2 = 0; i2 < this.f3489a.length(); i2++) {
                int index = parsePosition.getIndex() + i2;
                if (index == str.length()) {
                    parsePosition.setErrorIndex(index);
                    return false;
                } else if (this.f3489a.charAt(i2) != str.charAt(index)) {
                    parsePosition.setErrorIndex(index);
                    return false;
                }
            }
            parsePosition.setIndex(this.f3489a.length() + parsePosition.getIndex());
            return true;
        }
    }

    /* access modifiers changed from: private */
    public static class CaseInsensitiveTextStrategy extends PatternStrategy {

        /* renamed from: a  reason: collision with root package name */
        final Locale f3488a;
        private final int b;
        private final Map<String, Integer> c;

        CaseInsensitiveTextStrategy(int i, Calendar calendar, Locale locale) {
            super();
            this.b = i;
            this.f3488a = locale;
            StringBuilder sb = new StringBuilder();
            sb.append("((?iu)");
            this.c = FastDateParser.b(calendar, locale, i, sb);
            sb.setLength(sb.length() - 1);
            sb.append(")");
            a(sb);
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.PatternStrategy
        public void a(FastDateParser fastDateParser, Calendar calendar, String str) {
            calendar.set(this.b, this.c.get(str.toLowerCase(this.f3488a)).intValue());
        }
    }

    private static class NumberStrategy extends Strategy {

        /* renamed from: a  reason: collision with root package name */
        private final int f3491a;

        /* access modifiers changed from: package-private */
        public int a(FastDateParser fastDateParser, int i) {
            return i;
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a() {
            return true;
        }

        NumberStrategy(int i) {
            super();
            this.f3491a = i;
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.Strategy
        public boolean a(FastDateParser fastDateParser, Calendar calendar, String str, ParsePosition parsePosition, int i) {
            int index = parsePosition.getIndex();
            int length = str.length();
            if (i == 0) {
                while (index < length && Character.isWhitespace(str.charAt(index))) {
                    index++;
                }
                parsePosition.setIndex(index);
            } else {
                int i2 = i + index;
                if (length > i2) {
                    length = i2;
                }
            }
            while (index < length && Character.isDigit(str.charAt(index))) {
                index++;
            }
            if (parsePosition.getIndex() == index) {
                parsePosition.setErrorIndex(index);
                return false;
            }
            int parseInt = Integer.parseInt(str.substring(parsePosition.getIndex(), index));
            parsePosition.setIndex(index);
            calendar.set(this.f3491a, a(fastDateParser, parseInt));
            return true;
        }
    }

    /* access modifiers changed from: package-private */
    public static class TimeZoneStrategy extends PatternStrategy {

        /* renamed from: a  reason: collision with root package name */
        private final Locale f3495a;
        private final Map<String, TzInfo> b = new HashMap();

        private static class TzInfo {

            /* renamed from: a  reason: collision with root package name */
            TimeZone f3496a;
            int b;

            TzInfo(TimeZone timeZone, boolean z) {
                this.f3496a = timeZone;
                this.b = z ? timeZone.getDSTSavings() : 0;
            }
        }

        TimeZoneStrategy(Locale locale) {
            super();
            this.f3495a = locale;
            StringBuilder sb = new StringBuilder();
            sb.append("((?iu)[+-]\\d{4}|GMT[+-]\\d{1,2}:\\d{2}");
            TreeSet<String> treeSet = new TreeSet(FastDateParser.h);
            String[][] zoneStrings = DateFormatSymbols.getInstance(locale).getZoneStrings();
            for (String[] strArr : zoneStrings) {
                String str = strArr[0];
                if (!str.equalsIgnoreCase("GMT")) {
                    TimeZone timeZone = TimeZone.getTimeZone(str);
                    TzInfo tzInfo = new TzInfo(timeZone, false);
                    TzInfo tzInfo2 = tzInfo;
                    for (int i = 1; i < strArr.length; i++) {
                        if (i == 3) {
                            tzInfo2 = new TzInfo(timeZone, true);
                        } else if (i == 5) {
                            tzInfo2 = tzInfo;
                        }
                        if (strArr[i] != null) {
                            String lowerCase = strArr[i].toLowerCase(locale);
                            if (treeSet.add(lowerCase)) {
                                this.b.put(lowerCase, tzInfo2);
                            }
                        }
                    }
                }
            }
            for (String str2 : treeSet) {
                sb.append('|');
                FastDateParser.b(sb, str2);
            }
            sb.append(")");
            a(sb);
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.PatternStrategy
        public void a(FastDateParser fastDateParser, Calendar calendar, String str) {
            TimeZone a2 = FastTimeZone.a(str);
            if (a2 != null) {
                calendar.setTimeZone(a2);
                return;
            }
            TzInfo tzInfo = this.b.get(str.toLowerCase(this.f3495a));
            calendar.set(16, tzInfo.b);
            calendar.set(15, tzInfo.f3496a.getRawOffset());
        }
    }

    /* access modifiers changed from: private */
    public static class ISO8601TimeZoneStrategy extends PatternStrategy {

        /* renamed from: a  reason: collision with root package name */
        private static final Strategy f3490a = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}))");
        private static final Strategy b = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}\\d{2}))");
        private static final Strategy c = new ISO8601TimeZoneStrategy("(Z|(?:[+-]\\d{2}(?::)\\d{2}))");

        ISO8601TimeZoneStrategy(String str) {
            super();
            a(str);
        }

        /* access modifiers changed from: package-private */
        @Override // org.apache.commons.lang3.time.FastDateParser.PatternStrategy
        public void a(FastDateParser fastDateParser, Calendar calendar, String str) {
            calendar.setTimeZone(FastTimeZone.a(str));
        }

        static Strategy a(int i) {
            switch (i) {
                case 1:
                    return f3490a;
                case 2:
                    return b;
                case 3:
                    return c;
                default:
                    throw new IllegalArgumentException("invalid number of X");
            }
        }
    }
}
