package org.apache.commons.lang3.time;

import com.tencent.smtt.sdk.TbsListener;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.text.DateFormatSymbols;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import org.apache.commons.lang3.exception.ExceptionUtils;

public class FastDatePrinter implements Serializable, DatePrinter {
    private static final ConcurrentMap<TimeZoneDisplayKey, String> f = new ConcurrentHashMap(7);
    private static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final String f3497a;
    private final TimeZone b;
    private final Locale c;
    private transient Rule[] d;
    private transient int e;

    /* access modifiers changed from: private */
    public interface NumberRule extends Rule {
        void a(Appendable appendable, int i) throws IOException;
    }

    /* access modifiers changed from: private */
    public interface Rule {
        int a();

        void a(Appendable appendable, Calendar calendar) throws IOException;
    }

    protected FastDatePrinter(String str, TimeZone timeZone, Locale locale) {
        this.f3497a = str;
        this.b = timeZone;
        this.c = locale;
        e();
    }

    private void e() {
        List<Rule> a2 = a();
        this.d = (Rule[]) a2.toArray(new Rule[a2.size()]);
        int length = this.d.length;
        int i = 0;
        while (true) {
            length--;
            if (length >= 0) {
                i += this.d[length].a();
            } else {
                this.e = i;
                return;
            }
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x011e  */
    public List<Rule> a() {
        Object obj;
        Object weekYear;
        int i;
        DateFormatSymbols dateFormatSymbols = new DateFormatSymbols(this.c);
        ArrayList arrayList = new ArrayList();
        String[] eras = dateFormatSymbols.getEras();
        String[] months = dateFormatSymbols.getMonths();
        String[] shortMonths = dateFormatSymbols.getShortMonths();
        String[] weekdays = dateFormatSymbols.getWeekdays();
        String[] shortWeekdays = dateFormatSymbols.getShortWeekdays();
        String[] amPmStrings = dateFormatSymbols.getAmPmStrings();
        int length = this.f3497a.length();
        int[] iArr = new int[1];
        int i2 = 0;
        int i3 = 0;
        while (i3 < length) {
            iArr[i2] = i3;
            String a2 = a(this.f3497a, iArr);
            int i4 = iArr[i2];
            int length2 = a2.length();
            if (length2 == 0) {
                return arrayList;
            }
            char charAt = a2.charAt(i2);
            switch (charAt) {
                case 'D':
                    i2 = 0;
                    obj = a(6, length2);
                    continue;
                    arrayList.add(obj);
                    i3 = i4 + 1;
                case 'E':
                    i2 = 0;
                    obj = new TextField(7, length2 < 4 ? shortWeekdays : weekdays);
                    continue;
                    arrayList.add(obj);
                    i3 = i4 + 1;
                case 'F':
                    i2 = 0;
                    obj = a(8, length2);
                    continue;
                    arrayList.add(obj);
                    i3 = i4 + 1;
                case 'G':
                    i2 = 0;
                    obj = new TextField(0, eras);
                    continue;
                    arrayList.add(obj);
                    i3 = i4 + 1;
                case 'H':
                    obj = a(11, length2);
                    break;
                default:
                    switch (charAt) {
                        case 'W':
                            obj = a(4, length2);
                            break;
                        case 'X':
                            obj = Iso8601_Rule.a(length2);
                            break;
                        case 'Y':
                            if (length2 == 2) {
                                obj = TwoDigitYearField.f3511a;
                            } else {
                                if (length2 < 4) {
                                    i = 1;
                                    length2 = 4;
                                } else {
                                    i = 1;
                                }
                                obj = a(i, length2);
                            }
                            if (charAt == 'Y') {
                                weekYear = new WeekYear((NumberRule) obj);
                                obj = weekYear;
                                break;
                            }
                            break;
                        case 'Z':
                            if (length2 != 1) {
                                if (length2 != 2) {
                                    obj = TimeZoneNumberRule.f3506a;
                                    break;
                                } else {
                                    obj = Iso8601_Rule.c;
                                    break;
                                }
                            } else {
                                obj = TimeZoneNumberRule.b;
                                break;
                            }
                        default:
                            switch (charAt) {
                                case TbsListener.ErrorCode.THREAD_INIT_ERROR:
                                    break;
                                case TbsListener.ErrorCode.DOWNLOAD_HAS_COPY_TBS_ERROR:
                                    if (length2 < 4) {
                                        obj = new TimeZoneNameRule(this.b, this.c, 0);
                                        break;
                                    } else {
                                        obj = new TimeZoneNameRule(this.b, this.c, 1);
                                        break;
                                    }
                                default:
                                    switch (charAt) {
                                        case '\'':
                                            String substring = a2.substring(1);
                                            if (substring.length() != 1) {
                                                obj = new StringLiteral(substring);
                                                break;
                                            } else {
                                                obj = new CharacterLiteral(substring.charAt(0));
                                                break;
                                            }
                                        case 'K':
                                            obj = a(10, length2);
                                            break;
                                        case 'M':
                                            if (length2 < 4) {
                                                if (length2 != 3) {
                                                    if (length2 != 2) {
                                                        obj = UnpaddedMonthField.f3512a;
                                                        break;
                                                    } else {
                                                        obj = TwoDigitMonthField.f3509a;
                                                        break;
                                                    }
                                                } else {
                                                    obj = new TextField(2, shortMonths);
                                                    break;
                                                }
                                            } else {
                                                obj = new TextField(2, months);
                                                break;
                                            }
                                        case 'S':
                                            obj = a(14, length2);
                                            break;
                                        case 'a':
                                            obj = new TextField(9, amPmStrings);
                                            break;
                                        case 'd':
                                            obj = a(5, length2);
                                            break;
                                        case 'h':
                                            weekYear = new TwelveHourField(a(10, length2));
                                            obj = weekYear;
                                            break;
                                        case 'k':
                                            obj = new TwentyFourHourField(a(11, length2));
                                            break;
                                        case 'm':
                                            obj = a(12, length2);
                                            break;
                                        case 's':
                                            obj = a(13, length2);
                                            break;
                                        case 'u':
                                            obj = new DayInWeekField(a(7, length2));
                                            break;
                                        case 'w':
                                            obj = a(3, length2);
                                            break;
                                        default:
                                            throw new IllegalArgumentException("Illegal pattern component: " + a2);
                                    }
                            }
                    }
            }
            i2 = 0;
            arrayList.add(obj);
            i3 = i4 + 1;
        }
        return arrayList;
    }

    /* access modifiers changed from: protected */
    public String a(String str, int[] iArr) {
        StringBuilder sb = new StringBuilder();
        int i = iArr[0];
        int length = str.length();
        char charAt = str.charAt(i);
        if ((charAt >= 'A' && charAt <= 'Z') || (charAt >= 'a' && charAt <= 'z')) {
            sb.append(charAt);
            while (true) {
                int i2 = i + 1;
                if (i2 >= length || str.charAt(i2) != charAt) {
                    break;
                }
                sb.append(charAt);
                i = i2;
            }
        } else {
            sb.append('\'');
            boolean z = false;
            while (true) {
                if (i >= length) {
                    break;
                }
                char charAt2 = str.charAt(i);
                if (charAt2 == '\'') {
                    int i3 = i + 1;
                    if (i3 >= length || str.charAt(i3) != '\'') {
                        z = !z;
                    } else {
                        sb.append(charAt2);
                        i = i3;
                    }
                } else if (z || ((charAt2 < 'A' || charAt2 > 'Z') && (charAt2 < 'a' || charAt2 > 'z'))) {
                    sb.append(charAt2);
                }
                i++;
            }
            i--;
        }
        iArr[0] = i;
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    public NumberRule a(int i, int i2) {
        switch (i2) {
            case 1:
                return new UnpaddedNumberField(i);
            case 2:
                return new TwoDigitNumberField(i);
            default:
                return new PaddedNumberField(i, i2);
        }
    }

    /* access modifiers changed from: package-private */
    public String a(Object obj) {
        if (obj instanceof Date) {
            return a((Date) obj);
        }
        if (obj instanceof Calendar) {
            return a((Calendar) obj);
        }
        if (obj instanceof Long) {
            return a(((Long) obj).longValue());
        }
        StringBuilder sb = new StringBuilder();
        sb.append("Unknown class: ");
        sb.append(obj == null ? "<null>" : obj.getClass().getName());
        throw new IllegalArgumentException(sb.toString());
    }

    public String a(long j) {
        Calendar f2 = f();
        f2.setTimeInMillis(j);
        return b(f2);
    }

    private String b(Calendar calendar) {
        return ((StringBuilder) b(calendar, new StringBuilder(this.e))).toString();
    }

    private Calendar f() {
        return Calendar.getInstance(this.b, this.c);
    }

    public String a(Date date) {
        Calendar f2 = f();
        f2.setTime(date);
        return b(f2);
    }

    public String a(Calendar calendar) {
        return ((StringBuilder) a(calendar, new StringBuilder(this.e))).toString();
    }

    public <B extends Appendable> B a(Calendar calendar, B b2) {
        if (!calendar.getTimeZone().equals(this.b)) {
            calendar = (Calendar) calendar.clone();
            calendar.setTimeZone(this.b);
        }
        return (B) b(calendar, b2);
    }

    private <B extends Appendable> B b(Calendar calendar, B b2) {
        try {
            for (Rule rule : this.d) {
                rule.a(b2, calendar);
            }
        } catch (IOException e2) {
            ExceptionUtils.b(e2);
        }
        return b2;
    }

    public String b() {
        return this.f3497a;
    }

    public TimeZone c() {
        return this.b;
    }

    public Locale d() {
        return this.c;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof FastDatePrinter)) {
            return false;
        }
        FastDatePrinter fastDatePrinter = (FastDatePrinter) obj;
        if (!this.f3497a.equals(fastDatePrinter.f3497a) || !this.b.equals(fastDatePrinter.b) || !this.c.equals(fastDatePrinter.c)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        return this.f3497a.hashCode() + ((this.b.hashCode() + (this.c.hashCode() * 13)) * 13);
    }

    public String toString() {
        return "FastDatePrinter[" + this.f3497a + "," + this.c + "," + this.b.getID() + "]";
    }

    private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
        objectInputStream.defaultReadObject();
        e();
    }

    /* access modifiers changed from: private */
    public static void b(Appendable appendable, int i) throws IOException {
        appendable.append((char) ((i / 10) + 48));
        appendable.append((char) ((i % 10) + 48));
    }

    /* access modifiers changed from: private */
    public static void b(Appendable appendable, int i, int i2) throws IOException {
        if (i < 10000) {
            int i3 = 4;
            if (i < 1000) {
                i3 = 3;
                if (i < 100) {
                    i3 = 2;
                    if (i < 10) {
                        i3 = 1;
                    }
                }
            }
            for (int i4 = i2 - i3; i4 > 0; i4--) {
                appendable.append('0');
            }
            switch (i3) {
                case 1:
                    break;
                case 4:
                    appendable.append((char) ((i / 1000) + 48));
                    i %= 1000;
                case 3:
                    if (i >= 100) {
                        appendable.append((char) ((i / 100) + 48));
                        i %= 100;
                    } else {
                        appendable.append('0');
                    }
                case 2:
                    if (i >= 10) {
                        appendable.append((char) ((i / 10) + 48));
                        i %= 10;
                        break;
                    } else {
                        appendable.append('0');
                        break;
                    }
                default:
                    return;
            }
            appendable.append((char) (i + 48));
            return;
        }
        char[] cArr = new char[10];
        int i5 = 0;
        while (i != 0) {
            cArr[i5] = (char) ((i % 10) + 48);
            i /= 10;
            i5++;
        }
        while (i5 < i2) {
            appendable.append('0');
            i2--;
        }
        while (true) {
            i5--;
            if (i5 >= 0) {
                appendable.append(cArr[i5]);
            } else {
                return;
            }
        }
    }

    /* access modifiers changed from: private */
    public static class CharacterLiteral implements Rule {

        /* renamed from: a  reason: collision with root package name */
        private final char f3498a;

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 1;
        }

        CharacterLiteral(char c) {
            this.f3498a = c;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            appendable.append(this.f3498a);
        }
    }

    /* access modifiers changed from: private */
    public static class StringLiteral implements Rule {

        /* renamed from: a  reason: collision with root package name */
        private final String f3502a;

        StringLiteral(String str) {
            this.f3502a = str;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.f3502a.length();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            appendable.append(this.f3502a);
        }
    }

    /* access modifiers changed from: private */
    public static class TextField implements Rule {

        /* renamed from: a  reason: collision with root package name */
        private final int f3503a;
        private final String[] b;

        TextField(int i, String[] strArr) {
            this.f3503a = i;
            this.b = strArr;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            int length = this.b.length;
            int i = 0;
            while (true) {
                length--;
                if (length < 0) {
                    return i;
                }
                int length2 = this.b[length].length();
                if (length2 > i) {
                    i = length2;
                }
            }
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            appendable.append(this.b[calendar.get(this.f3503a)]);
        }
    }

    /* access modifiers changed from: private */
    public static class UnpaddedNumberField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final int f3513a;

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 4;
        }

        UnpaddedNumberField(int i) {
            this.f3513a = i;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(this.f3513a));
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            if (i < 10) {
                appendable.append((char) (i + 48));
            } else if (i < 100) {
                FastDatePrinter.b(appendable, i);
            } else {
                FastDatePrinter.b(appendable, i, 1);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class UnpaddedMonthField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        static final UnpaddedMonthField f3512a = new UnpaddedMonthField();

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 2;
        }

        UnpaddedMonthField() {
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(2) + 1);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            if (i < 10) {
                appendable.append((char) (i + 48));
            } else {
                FastDatePrinter.b(appendable, i);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class PaddedNumberField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final int f3501a;
        private final int b;

        PaddedNumberField(int i, int i2) {
            if (i2 >= 3) {
                this.f3501a = i;
                this.b = i2;
                return;
            }
            throw new IllegalArgumentException();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.b;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(this.f3501a));
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            FastDatePrinter.b(appendable, i, this.b);
        }
    }

    /* access modifiers changed from: private */
    public static class TwoDigitNumberField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final int f3510a;

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 2;
        }

        TwoDigitNumberField(int i) {
            this.f3510a = i;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(this.f3510a));
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            if (i < 100) {
                FastDatePrinter.b(appendable, i);
            } else {
                FastDatePrinter.b(appendable, i, 2);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class TwoDigitYearField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        static final TwoDigitYearField f3511a = new TwoDigitYearField();

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 2;
        }

        TwoDigitYearField() {
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(1) % 100);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            FastDatePrinter.b(appendable, i);
        }
    }

    /* access modifiers changed from: private */
    public static class TwoDigitMonthField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        static final TwoDigitMonthField f3509a = new TwoDigitMonthField();

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 2;
        }

        TwoDigitMonthField() {
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            a(appendable, calendar.get(2) + 1);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public final void a(Appendable appendable, int i) throws IOException {
            FastDatePrinter.b(appendable, i);
        }
    }

    /* access modifiers changed from: private */
    public static class TwelveHourField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final NumberRule f3507a;

        TwelveHourField(NumberRule numberRule) {
            this.f3507a = numberRule;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.f3507a.a();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            int i = calendar.get(10);
            if (i == 0) {
                i = calendar.getLeastMaximum(10) + 1;
            }
            this.f3507a.a(appendable, i);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public void a(Appendable appendable, int i) throws IOException {
            this.f3507a.a(appendable, i);
        }
    }

    /* access modifiers changed from: private */
    public static class TwentyFourHourField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final NumberRule f3508a;

        TwentyFourHourField(NumberRule numberRule) {
            this.f3508a = numberRule;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.f3508a.a();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            int i = calendar.get(11);
            if (i == 0) {
                i = calendar.getMaximum(11) + 1;
            }
            this.f3508a.a(appendable, i);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public void a(Appendable appendable, int i) throws IOException {
            this.f3508a.a(appendable, i);
        }
    }

    /* access modifiers changed from: private */
    public static class DayInWeekField implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final NumberRule f3499a;

        DayInWeekField(NumberRule numberRule) {
            this.f3499a = numberRule;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.f3499a.a();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            int i = 7;
            int i2 = calendar.get(7);
            NumberRule numberRule = this.f3499a;
            if (i2 != 1) {
                i = i2 - 1;
            }
            numberRule.a(appendable, i);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public void a(Appendable appendable, int i) throws IOException {
            this.f3499a.a(appendable, i);
        }
    }

    /* access modifiers changed from: private */
    public static class WeekYear implements NumberRule {

        /* renamed from: a  reason: collision with root package name */
        private final NumberRule f3514a;

        WeekYear(NumberRule numberRule) {
            this.f3514a = numberRule;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.f3514a.a();
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            this.f3514a.a(appendable, calendar.getWeekYear());
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.NumberRule
        public void a(Appendable appendable, int i) throws IOException {
            this.f3514a.a(appendable, i);
        }
    }

    static String a(TimeZone timeZone, boolean z, int i, Locale locale) {
        TimeZoneDisplayKey timeZoneDisplayKey = new TimeZoneDisplayKey(timeZone, z, i, locale);
        String str = f.get(timeZoneDisplayKey);
        if (str != null) {
            return str;
        }
        String displayName = timeZone.getDisplayName(z, i, locale);
        String putIfAbsent = f.putIfAbsent(timeZoneDisplayKey, displayName);
        return putIfAbsent != null ? putIfAbsent : displayName;
    }

    /* access modifiers changed from: private */
    public static class TimeZoneNameRule implements Rule {

        /* renamed from: a  reason: collision with root package name */
        private final Locale f3505a;
        private final int b;
        private final String c;
        private final String d;

        TimeZoneNameRule(TimeZone timeZone, Locale locale, int i) {
            this.f3505a = locale;
            this.b = i;
            this.c = FastDatePrinter.a(timeZone, false, i, locale);
            this.d = FastDatePrinter.a(timeZone, true, i, locale);
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return Math.max(this.c.length(), this.d.length());
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            TimeZone timeZone = calendar.getTimeZone();
            if (calendar.get(16) != 0) {
                appendable.append(FastDatePrinter.a(timeZone, true, this.b, this.f3505a));
            } else {
                appendable.append(FastDatePrinter.a(timeZone, false, this.b, this.f3505a));
            }
        }
    }

    /* access modifiers changed from: private */
    public static class TimeZoneNumberRule implements Rule {

        /* renamed from: a  reason: collision with root package name */
        static final TimeZoneNumberRule f3506a = new TimeZoneNumberRule(true);
        static final TimeZoneNumberRule b = new TimeZoneNumberRule(false);
        final boolean c;

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return 5;
        }

        TimeZoneNumberRule(boolean z) {
            this.c = z;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            int i = calendar.get(15) + calendar.get(16);
            if (i < 0) {
                appendable.append('-');
                i = -i;
            } else {
                appendable.append('+');
            }
            int i2 = i / 3600000;
            FastDatePrinter.b(appendable, i2);
            if (this.c) {
                appendable.append(':');
            }
            FastDatePrinter.b(appendable, (i / 60000) - (i2 * 60));
        }
    }

    /* access modifiers changed from: private */
    public static class Iso8601_Rule implements Rule {

        /* renamed from: a  reason: collision with root package name */
        static final Iso8601_Rule f3500a = new Iso8601_Rule(3);
        static final Iso8601_Rule b = new Iso8601_Rule(5);
        static final Iso8601_Rule c = new Iso8601_Rule(6);
        final int d;

        static Iso8601_Rule a(int i) {
            switch (i) {
                case 1:
                    return f3500a;
                case 2:
                    return b;
                case 3:
                    return c;
                default:
                    throw new IllegalArgumentException("invalid number of X");
            }
        }

        Iso8601_Rule(int i) {
            this.d = i;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public int a() {
            return this.d;
        }

        @Override // org.apache.commons.lang3.time.FastDatePrinter.Rule
        public void a(Appendable appendable, Calendar calendar) throws IOException {
            int i = calendar.get(15) + calendar.get(16);
            if (i == 0) {
                appendable.append("Z");
                return;
            }
            if (i < 0) {
                appendable.append('-');
                i = -i;
            } else {
                appendable.append('+');
            }
            int i2 = i / 3600000;
            FastDatePrinter.b(appendable, i2);
            if (this.d >= 5) {
                if (this.d == 6) {
                    appendable.append(':');
                }
                FastDatePrinter.b(appendable, (i / 60000) - (i2 * 60));
            }
        }
    }

    /* access modifiers changed from: private */
    public static class TimeZoneDisplayKey {

        /* renamed from: a  reason: collision with root package name */
        private final TimeZone f3504a;
        private final int b;
        private final Locale c;

        TimeZoneDisplayKey(TimeZone timeZone, boolean z, int i, Locale locale) {
            this.f3504a = timeZone;
            if (z) {
                this.b = Integer.MIN_VALUE | i;
            } else {
                this.b = i;
            }
            this.c = locale;
        }

        public int hashCode() {
            return (((this.b * 31) + this.c.hashCode()) * 31) + this.f3504a.hashCode();
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof TimeZoneDisplayKey)) {
                return false;
            }
            TimeZoneDisplayKey timeZoneDisplayKey = (TimeZoneDisplayKey) obj;
            if (!this.f3504a.equals(timeZoneDisplayKey.f3504a) || this.b != timeZoneDisplayKey.b || !this.c.equals(timeZoneDisplayKey.c)) {
                return false;
            }
            return true;
        }
    }
}
