package org.apache.commons.lang3.time;

import java.text.Format;
import java.util.Arrays;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import org.apache.commons.lang3.Validate;

/* access modifiers changed from: package-private */
public abstract class FormatCache<F extends Format> {
    private static final ConcurrentMap<MultipartKey, String> b = new ConcurrentHashMap(7);

    /* renamed from: a  reason: collision with root package name */
    private final ConcurrentMap<MultipartKey, F> f3516a = new ConcurrentHashMap(7);

    /* access modifiers changed from: protected */
    public abstract F b(String str, TimeZone timeZone, Locale locale);

    FormatCache() {
    }

    public F c(String str, TimeZone timeZone, Locale locale) {
        Validate.a((Object) str, "pattern must not be null", new Object[0]);
        if (timeZone == null) {
            timeZone = TimeZone.getDefault();
        }
        if (locale == null) {
            locale = Locale.getDefault();
        }
        MultipartKey multipartKey = new MultipartKey(str, timeZone, locale);
        F f = this.f3516a.get(multipartKey);
        if (f != null) {
            return f;
        }
        F b2 = b(str, timeZone, locale);
        F putIfAbsent = this.f3516a.putIfAbsent(multipartKey, b2);
        return putIfAbsent != null ? putIfAbsent : b2;
    }

    /* access modifiers changed from: private */
    public static class MultipartKey {

        /* renamed from: a  reason: collision with root package name */
        private final Object[] f3517a;
        private int b;

        MultipartKey(Object... objArr) {
            this.f3517a = objArr;
        }

        public boolean equals(Object obj) {
            return Arrays.equals(this.f3517a, ((MultipartKey) obj).f3517a);
        }

        public int hashCode() {
            if (this.b == 0) {
                Object[] objArr = this.f3517a;
                int i = 0;
                for (Object obj : objArr) {
                    if (obj != null) {
                        i = (i * 7) + obj.hashCode();
                    }
                }
                this.b = i;
            }
            return this.b;
        }
    }
}
