package org.apache.commons.lang3.time;

import java.util.Date;
import java.util.TimeZone;

/* access modifiers changed from: package-private */
public class GmtTimeZone extends TimeZone {
    static final long serialVersionUID = 1;

    /* renamed from: a  reason: collision with root package name */
    private final int f3518a;
    private final String b;

    public boolean inDaylightTime(Date date) {
        return false;
    }

    public boolean useDaylightTime() {
        return false;
    }

    GmtTimeZone(boolean z, int i, int i2) {
        if (i >= 24) {
            throw new IllegalArgumentException(i + " hours out of range");
        } else if (i2 < 60) {
            int i3 = ((i * 60) + i2) * 60000;
            this.f3518a = z ? -i3 : i3;
            StringBuilder sb = new StringBuilder(9);
            sb.append("GMT");
            sb.append(z ? '-' : '+');
            StringBuilder a2 = a(sb, i);
            a2.append(':');
            this.b = a(a2, i2).toString();
        } else {
            throw new IllegalArgumentException(i2 + " minutes out of range");
        }
    }

    private static StringBuilder a(StringBuilder sb, int i) {
        sb.append((char) ((i / 10) + 48));
        sb.append((char) ((i % 10) + 48));
        return sb;
    }

    public int getOffset(int i, int i2, int i3, int i4, int i5, int i6) {
        return this.f3518a;
    }

    public void setRawOffset(int i) {
        throw new UnsupportedOperationException();
    }

    public int getRawOffset() {
        return this.f3518a;
    }

    public String getID() {
        return this.b;
    }

    public String toString() {
        return "[GmtTimeZone id=\"" + this.b + "\",offset=" + this.f3518a + ']';
    }

    public int hashCode() {
        return this.f3518a;
    }

    public boolean equals(Object obj) {
        if ((obj instanceof GmtTimeZone) && this.b == ((GmtTimeZone) obj).b) {
            return true;
        }
        return false;
    }
}
