package org.apache.commons.lang3.tuple;

import java.io.Serializable;
import java.util.Objects;
import org.apache.commons.lang3.builder.CompareToBuilder;

public abstract class Triple<L, M, R> implements Serializable, Comparable<Triple<L, M, R>> {
    private static final long serialVersionUID = 1;

    public abstract L a();

    public abstract M b();

    public abstract R c();

    /* renamed from: a */
    public int compareTo(Triple<L, M, R> triple) {
        return new CompareToBuilder().a(a(), triple.a()).a(b(), triple.b()).a(c(), triple.c()).a();
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof Triple)) {
            return false;
        }
        Triple triple = (Triple) obj;
        if (!Objects.equals(a(), triple.a()) || !Objects.equals(b(), triple.b()) || !Objects.equals(c(), triple.c())) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int i = 0;
        int hashCode = (a() == null ? 0 : a().hashCode()) ^ (b() == null ? 0 : b().hashCode());
        if (c() != null) {
            i = c().hashCode();
        }
        return hashCode ^ i;
    }

    public String toString() {
        return "(" + ((Object) a()) + "," + ((Object) b()) + "," + ((Object) c()) + ")";
    }
}
