package org.greenrobot.eventbus;

import android.os.Looper;
import java.io.PrintStream;
import java.util.logging.Level;
import org.greenrobot.eventbus.android.AndroidLogger;

public interface Logger {
    void a(Level level, String str);

    void a(Level level, String str, Throwable th);

    public static class JavaLogger implements Logger {

        /* renamed from: a  reason: collision with root package name */
        protected final java.util.logging.Logger f3534a;

        @Override // org.greenrobot.eventbus.Logger
        public void a(Level level, String str) {
            this.f3534a.log(level, str);
        }

        @Override // org.greenrobot.eventbus.Logger
        public void a(Level level, String str, Throwable th) {
            this.f3534a.log(level, str, th);
        }
    }

    public static class SystemOutLogger implements Logger {
        @Override // org.greenrobot.eventbus.Logger
        public void a(Level level, String str) {
            PrintStream printStream = System.out;
            printStream.println("[" + level + "] " + str);
        }

        @Override // org.greenrobot.eventbus.Logger
        public void a(Level level, String str, Throwable th) {
            PrintStream printStream = System.out;
            printStream.println("[" + level + "] " + str);
            th.printStackTrace(System.out);
        }
    }

    public static class Default {
        public static Logger a() {
            if (!AndroidLogger.a() || b() == null) {
                return new SystemOutLogger();
            }
            return new AndroidLogger("EventBus");
        }

        static Object b() {
            try {
                return Looper.getMainLooper();
            } catch (RuntimeException unused) {
                return null;
            }
        }
    }
}
