package org.greenrobot.eventbus;

import com.tencent.smtt.sdk.TbsListener;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.greenrobot.eventbus.meta.SubscriberInfo;
import org.greenrobot.eventbus.meta.SubscriberInfoIndex;

/* access modifiers changed from: package-private */
public class SubscriberMethodFinder {

    /* renamed from: a  reason: collision with root package name */
    private static final Map<Class<?>, List<SubscriberMethod>> f3541a = new ConcurrentHashMap();
    private static final FindState[] e = new FindState[4];
    private List<SubscriberInfoIndex> b;
    private final boolean c;
    private final boolean d;

    SubscriberMethodFinder(List<SubscriberInfoIndex> list, boolean z, boolean z2) {
        this.b = list;
        this.c = z;
        this.d = z2;
    }

    /* access modifiers changed from: package-private */
    public List<SubscriberMethod> a(Class<?> cls) {
        List<SubscriberMethod> list;
        List<SubscriberMethod> list2 = f3541a.get(cls);
        if (list2 != null) {
            return list2;
        }
        if (this.d) {
            list = c(cls);
        } else {
            list = b(cls);
        }
        if (!list.isEmpty()) {
            f3541a.put(cls, list);
            return list;
        }
        throw new EventBusException("Subscriber " + cls + " and its super classes have no public methods with the @Subscribe annotation");
    }

    private List<SubscriberMethod> b(Class<?> cls) {
        FindState a2 = a();
        a2.a(cls);
        while (a2.f != null) {
            a2.h = b(a2);
            if (a2.h != null) {
                SubscriberMethod[] c2 = a2.h.c();
                for (SubscriberMethod subscriberMethod : c2) {
                    if (a2.a(subscriberMethod.f3540a, subscriberMethod.c)) {
                        a2.f3542a.add(subscriberMethod);
                    }
                }
            } else {
                c(a2);
            }
            a2.b();
        }
        return a(a2);
    }

    private List<SubscriberMethod> a(FindState findState) {
        ArrayList arrayList = new ArrayList(findState.f3542a);
        findState.a();
        synchronized (e) {
            int i = 0;
            while (true) {
                if (i >= 4) {
                    break;
                }
                try {
                    if (e[i] == null) {
                        e[i] = findState;
                        break;
                    }
                    i++;
                } catch (Throwable th) {
                    throw th;
                }
            }
        }
        return arrayList;
    }

    private FindState a() {
        synchronized (e) {
            for (int i = 0; i < 4; i++) {
                try {
                    FindState findState = e[i];
                    if (findState != null) {
                        e[i] = null;
                        return findState;
                    }
                } catch (Throwable th) {
                    throw th;
                }
            }
            return new FindState();
        }
    }

    private SubscriberInfo b(FindState findState) {
        if (!(findState.h == null || findState.h.b() == null)) {
            SubscriberInfo b2 = findState.h.b();
            if (findState.f == b2.a()) {
                return b2;
            }
        }
        if (this.b == null) {
            return null;
        }
        for (SubscriberInfoIndex subscriberInfoIndex : this.b) {
            SubscriberInfo a2 = subscriberInfoIndex.a(findState.f);
            if (a2 != null) {
                return a2;
            }
        }
        return null;
    }

    private List<SubscriberMethod> c(Class<?> cls) {
        FindState a2 = a();
        a2.a(cls);
        while (a2.f != null) {
            c(a2);
            a2.b();
        }
        return a(a2);
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(10:0|1|2|3|4|5|6|(3:8|(2:25|(3:41|29|30))(2:12|(2:14|(2:16|(2:18|45)(1:44))(1:43))(2:19|(3:40|23|24)))|31)|42|32) */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x00f0, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x00f1, code lost:
        r15 = "Could not inspect methods of " + r15.f.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x010a, code lost:
        if (r14.d != false) goto L_0x010c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x010c, code lost:
        r15 = r15 + ". Please consider using EventBus annotation processor to avoid reflection.";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x011e, code lost:
        r15 = r15 + ". Please make this class visible to EventBus annotation processor to avoid reflection.";
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x0134, code lost:
        throw new org.greenrobot.eventbus.EventBusException(r15, r0);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0008 */
    private void c(FindState findState) {
        Method[] methodArr = findState.f.getDeclaredMethods();
        methodArr = findState.f.getMethods();
        findState.g = true;
        for (Method method : methodArr) {
            int modifiers = method.getModifiers();
            if ((modifiers & 1) != 0 && (modifiers & 5192) == 0) {
                Class<?>[] parameterTypes = method.getParameterTypes();
                if (parameterTypes.length == 1) {
                    Subscribe subscribe = (Subscribe) method.getAnnotation(Subscribe.class);
                    if (subscribe != null) {
                        Class<?> cls = parameterTypes[0];
                        if (findState.a(method, cls)) {
                            findState.f3542a.add(new SubscriberMethod(method, cls, subscribe.a(), subscribe.c(), subscribe.b()));
                        }
                    }
                } else if (this.c && method.isAnnotationPresent(Subscribe.class)) {
                    throw new EventBusException("@Subscribe method " + (method.getDeclaringClass().getName() + "." + method.getName()) + "must have exactly 1 parameter but has " + parameterTypes.length);
                }
            } else if (this.c && method.isAnnotationPresent(Subscribe.class)) {
                throw new EventBusException((method.getDeclaringClass().getName() + "." + method.getName()) + " is a illegal @Subscribe method: must be public, non-static, and non-abstract");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class FindState {

        /* renamed from: a  reason: collision with root package name */
        final List<SubscriberMethod> f3542a = new ArrayList();
        final Map<Class, Object> b = new HashMap();
        final Map<String, Class> c = new HashMap();
        final StringBuilder d = new StringBuilder((int) TbsListener.ErrorCode.DOWNLOAD_INTERRUPT);
        Class<?> e;
        Class<?> f;
        boolean g;
        SubscriberInfo h;

        FindState() {
        }

        /* access modifiers changed from: package-private */
        public void a(Class<?> cls) {
            this.f = cls;
            this.e = cls;
            this.g = false;
            this.h = null;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f3542a.clear();
            this.b.clear();
            this.c.clear();
            this.d.setLength(0);
            this.e = null;
            this.f = null;
            this.g = false;
            this.h = null;
        }

        /* access modifiers changed from: package-private */
        public boolean a(Method method, Class<?> cls) {
            Object put = this.b.put(cls, method);
            if (put == null) {
                return true;
            }
            if (put instanceof Method) {
                if (b((Method) put, cls)) {
                    this.b.put(cls, this);
                } else {
                    throw new IllegalStateException();
                }
            }
            return b(method, cls);
        }

        private boolean b(Method method, Class<?> cls) {
            this.d.setLength(0);
            this.d.append(method.getName());
            StringBuilder sb = this.d;
            sb.append('>');
            sb.append(cls.getName());
            String sb2 = this.d.toString();
            Class<?> declaringClass = method.getDeclaringClass();
            Class put = this.c.put(sb2, declaringClass);
            if (put == null || put.isAssignableFrom(declaringClass)) {
                return true;
            }
            this.c.put(sb2, put);
            return false;
        }

        /* access modifiers changed from: package-private */
        public void b() {
            if (this.g) {
                this.f = null;
                return;
            }
            this.f = this.f.getSuperclass();
            String name = this.f.getName();
            if (name.startsWith("java.") || name.startsWith("javax.") || name.startsWith("android.") || name.startsWith("androidx.")) {
                this.f = null;
            }
        }
    }
}
